/* Copyright 2017 WALLIX

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// DO NOT EDIT
// This file was automatically generated with go generate
package awsat

import (
	"github.com/aws/aws-sdk-go/aws"
	"github.com/aws/aws-sdk-go/aws/request"
	"github.com/aws/aws-sdk-go/service/acm"
	"github.com/aws/aws-sdk-go/service/acm/acmiface"
	"github.com/aws/aws-sdk-go/service/applicationautoscaling"
	"github.com/aws/aws-sdk-go/service/applicationautoscaling/applicationautoscalingiface"
	"github.com/aws/aws-sdk-go/service/autoscaling"
	"github.com/aws/aws-sdk-go/service/autoscaling/autoscalingiface"
	"github.com/aws/aws-sdk-go/service/cloudformation"
	"github.com/aws/aws-sdk-go/service/cloudformation/cloudformationiface"
	"github.com/aws/aws-sdk-go/service/cloudfront"
	"github.com/aws/aws-sdk-go/service/cloudfront/cloudfrontiface"
	"github.com/aws/aws-sdk-go/service/cloudwatch"
	"github.com/aws/aws-sdk-go/service/cloudwatch/cloudwatchiface"
	"github.com/aws/aws-sdk-go/service/ec2"
	"github.com/aws/aws-sdk-go/service/ec2/ec2iface"
	"github.com/aws/aws-sdk-go/service/ecr"
	"github.com/aws/aws-sdk-go/service/ecr/ecriface"
	"github.com/aws/aws-sdk-go/service/ecs"
	"github.com/aws/aws-sdk-go/service/ecs/ecsiface"
	"github.com/aws/aws-sdk-go/service/elbv2"
	"github.com/aws/aws-sdk-go/service/elbv2/elbv2iface"
	"github.com/aws/aws-sdk-go/service/iam"
	"github.com/aws/aws-sdk-go/service/iam/iamiface"
	"github.com/aws/aws-sdk-go/service/lambda"
	"github.com/aws/aws-sdk-go/service/lambda/lambdaiface"
	"github.com/aws/aws-sdk-go/service/rds"
	"github.com/aws/aws-sdk-go/service/rds/rdsiface"
	"github.com/aws/aws-sdk-go/service/route53"
	"github.com/aws/aws-sdk-go/service/route53/route53iface"
	"github.com/aws/aws-sdk-go/service/s3"
	"github.com/aws/aws-sdk-go/service/s3/s3iface"
	"github.com/aws/aws-sdk-go/service/sns"
	"github.com/aws/aws-sdk-go/service/sns/snsiface"
	"github.com/aws/aws-sdk-go/service/sqs"
	"github.com/aws/aws-sdk-go/service/sqs/sqsiface"
)

type acmMock struct {
	basicMock
	acmiface.ACMAPI
	AddTagsToCertificateFunc                 func(param0 *acm.AddTagsToCertificateInput) (*acm.AddTagsToCertificateOutput, error)
	AddTagsToCertificateRequestFunc          func(param0 *acm.AddTagsToCertificateInput) (*request.Request, *acm.AddTagsToCertificateOutput)
	AddTagsToCertificateWithContextFunc      func(param0 aws.Context, param1 *acm.AddTagsToCertificateInput, param2 ...request.Option) (*acm.AddTagsToCertificateOutput, error)
	DeleteCertificateFunc                    func(param0 *acm.DeleteCertificateInput) (*acm.DeleteCertificateOutput, error)
	DeleteCertificateRequestFunc             func(param0 *acm.DeleteCertificateInput) (*request.Request, *acm.DeleteCertificateOutput)
	DeleteCertificateWithContextFunc         func(param0 aws.Context, param1 *acm.DeleteCertificateInput, param2 ...request.Option) (*acm.DeleteCertificateOutput, error)
	DescribeCertificateFunc                  func(param0 *acm.DescribeCertificateInput) (*acm.DescribeCertificateOutput, error)
	DescribeCertificateRequestFunc           func(param0 *acm.DescribeCertificateInput) (*request.Request, *acm.DescribeCertificateOutput)
	DescribeCertificateWithContextFunc       func(param0 aws.Context, param1 *acm.DescribeCertificateInput, param2 ...request.Option) (*acm.DescribeCertificateOutput, error)
	GetCertificateFunc                       func(param0 *acm.GetCertificateInput) (*acm.GetCertificateOutput, error)
	GetCertificateRequestFunc                func(param0 *acm.GetCertificateInput) (*request.Request, *acm.GetCertificateOutput)
	GetCertificateWithContextFunc            func(param0 aws.Context, param1 *acm.GetCertificateInput, param2 ...request.Option) (*acm.GetCertificateOutput, error)
	ImportCertificateFunc                    func(param0 *acm.ImportCertificateInput) (*acm.ImportCertificateOutput, error)
	ImportCertificateRequestFunc             func(param0 *acm.ImportCertificateInput) (*request.Request, *acm.ImportCertificateOutput)
	ImportCertificateWithContextFunc         func(param0 aws.Context, param1 *acm.ImportCertificateInput, param2 ...request.Option) (*acm.ImportCertificateOutput, error)
	ListCertificatesFunc                     func(param0 *acm.ListCertificatesInput) (*acm.ListCertificatesOutput, error)
	ListCertificatesRequestFunc              func(param0 *acm.ListCertificatesInput) (*request.Request, *acm.ListCertificatesOutput)
	ListCertificatesWithContextFunc          func(param0 aws.Context, param1 *acm.ListCertificatesInput, param2 ...request.Option) (*acm.ListCertificatesOutput, error)
	ListTagsForCertificateFunc               func(param0 *acm.ListTagsForCertificateInput) (*acm.ListTagsForCertificateOutput, error)
	ListTagsForCertificateRequestFunc        func(param0 *acm.ListTagsForCertificateInput) (*request.Request, *acm.ListTagsForCertificateOutput)
	ListTagsForCertificateWithContextFunc    func(param0 aws.Context, param1 *acm.ListTagsForCertificateInput, param2 ...request.Option) (*acm.ListTagsForCertificateOutput, error)
	RemoveTagsFromCertificateFunc            func(param0 *acm.RemoveTagsFromCertificateInput) (*acm.RemoveTagsFromCertificateOutput, error)
	RemoveTagsFromCertificateRequestFunc     func(param0 *acm.RemoveTagsFromCertificateInput) (*request.Request, *acm.RemoveTagsFromCertificateOutput)
	RemoveTagsFromCertificateWithContextFunc func(param0 aws.Context, param1 *acm.RemoveTagsFromCertificateInput, param2 ...request.Option) (*acm.RemoveTagsFromCertificateOutput, error)
	RequestCertificateFunc                   func(param0 *acm.RequestCertificateInput) (*acm.RequestCertificateOutput, error)
	RequestCertificateRequestFunc            func(param0 *acm.RequestCertificateInput) (*request.Request, *acm.RequestCertificateOutput)
	RequestCertificateWithContextFunc        func(param0 aws.Context, param1 *acm.RequestCertificateInput, param2 ...request.Option) (*acm.RequestCertificateOutput, error)
	ResendValidationEmailFunc                func(param0 *acm.ResendValidationEmailInput) (*acm.ResendValidationEmailOutput, error)
	ResendValidationEmailRequestFunc         func(param0 *acm.ResendValidationEmailInput) (*request.Request, *acm.ResendValidationEmailOutput)
	ResendValidationEmailWithContextFunc     func(param0 aws.Context, param1 *acm.ResendValidationEmailInput, param2 ...request.Option) (*acm.ResendValidationEmailOutput, error)
}

func (m *acmMock) AddTagsToCertificate(param0 *acm.AddTagsToCertificateInput) (*acm.AddTagsToCertificateOutput, error) {
	m.addCall("AddTagsToCertificate")
	m.verifyInput("AddTagsToCertificate", param0)
	return m.AddTagsToCertificateFunc(param0)
}

func (m *acmMock) AddTagsToCertificateRequest(param0 *acm.AddTagsToCertificateInput) (*request.Request, *acm.AddTagsToCertificateOutput) {
	m.addCall("AddTagsToCertificateRequest")
	m.verifyInput("AddTagsToCertificateRequest", param0)
	return m.AddTagsToCertificateRequestFunc(param0)
}

func (m *acmMock) AddTagsToCertificateWithContext(param0 aws.Context, param1 *acm.AddTagsToCertificateInput, param2 ...request.Option) (*acm.AddTagsToCertificateOutput, error) {
	m.addCall("AddTagsToCertificateWithContext")
	m.verifyInput("AddTagsToCertificateWithContext", param0)
	return m.AddTagsToCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) DeleteCertificate(param0 *acm.DeleteCertificateInput) (*acm.DeleteCertificateOutput, error) {
	m.addCall("DeleteCertificate")
	m.verifyInput("DeleteCertificate", param0)
	return m.DeleteCertificateFunc(param0)
}

func (m *acmMock) DeleteCertificateRequest(param0 *acm.DeleteCertificateInput) (*request.Request, *acm.DeleteCertificateOutput) {
	m.addCall("DeleteCertificateRequest")
	m.verifyInput("DeleteCertificateRequest", param0)
	return m.DeleteCertificateRequestFunc(param0)
}

func (m *acmMock) DeleteCertificateWithContext(param0 aws.Context, param1 *acm.DeleteCertificateInput, param2 ...request.Option) (*acm.DeleteCertificateOutput, error) {
	m.addCall("DeleteCertificateWithContext")
	m.verifyInput("DeleteCertificateWithContext", param0)
	return m.DeleteCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) DescribeCertificate(param0 *acm.DescribeCertificateInput) (*acm.DescribeCertificateOutput, error) {
	m.addCall("DescribeCertificate")
	m.verifyInput("DescribeCertificate", param0)
	return m.DescribeCertificateFunc(param0)
}

func (m *acmMock) DescribeCertificateRequest(param0 *acm.DescribeCertificateInput) (*request.Request, *acm.DescribeCertificateOutput) {
	m.addCall("DescribeCertificateRequest")
	m.verifyInput("DescribeCertificateRequest", param0)
	return m.DescribeCertificateRequestFunc(param0)
}

func (m *acmMock) DescribeCertificateWithContext(param0 aws.Context, param1 *acm.DescribeCertificateInput, param2 ...request.Option) (*acm.DescribeCertificateOutput, error) {
	m.addCall("DescribeCertificateWithContext")
	m.verifyInput("DescribeCertificateWithContext", param0)
	return m.DescribeCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) GetCertificate(param0 *acm.GetCertificateInput) (*acm.GetCertificateOutput, error) {
	m.addCall("GetCertificate")
	m.verifyInput("GetCertificate", param0)
	return m.GetCertificateFunc(param0)
}

func (m *acmMock) GetCertificateRequest(param0 *acm.GetCertificateInput) (*request.Request, *acm.GetCertificateOutput) {
	m.addCall("GetCertificateRequest")
	m.verifyInput("GetCertificateRequest", param0)
	return m.GetCertificateRequestFunc(param0)
}

func (m *acmMock) GetCertificateWithContext(param0 aws.Context, param1 *acm.GetCertificateInput, param2 ...request.Option) (*acm.GetCertificateOutput, error) {
	m.addCall("GetCertificateWithContext")
	m.verifyInput("GetCertificateWithContext", param0)
	return m.GetCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) ImportCertificate(param0 *acm.ImportCertificateInput) (*acm.ImportCertificateOutput, error) {
	m.addCall("ImportCertificate")
	m.verifyInput("ImportCertificate", param0)
	return m.ImportCertificateFunc(param0)
}

func (m *acmMock) ImportCertificateRequest(param0 *acm.ImportCertificateInput) (*request.Request, *acm.ImportCertificateOutput) {
	m.addCall("ImportCertificateRequest")
	m.verifyInput("ImportCertificateRequest", param0)
	return m.ImportCertificateRequestFunc(param0)
}

func (m *acmMock) ImportCertificateWithContext(param0 aws.Context, param1 *acm.ImportCertificateInput, param2 ...request.Option) (*acm.ImportCertificateOutput, error) {
	m.addCall("ImportCertificateWithContext")
	m.verifyInput("ImportCertificateWithContext", param0)
	return m.ImportCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) ListCertificates(param0 *acm.ListCertificatesInput) (*acm.ListCertificatesOutput, error) {
	m.addCall("ListCertificates")
	m.verifyInput("ListCertificates", param0)
	return m.ListCertificatesFunc(param0)
}

func (m *acmMock) ListCertificatesRequest(param0 *acm.ListCertificatesInput) (*request.Request, *acm.ListCertificatesOutput) {
	m.addCall("ListCertificatesRequest")
	m.verifyInput("ListCertificatesRequest", param0)
	return m.ListCertificatesRequestFunc(param0)
}

func (m *acmMock) ListCertificatesWithContext(param0 aws.Context, param1 *acm.ListCertificatesInput, param2 ...request.Option) (*acm.ListCertificatesOutput, error) {
	m.addCall("ListCertificatesWithContext")
	m.verifyInput("ListCertificatesWithContext", param0)
	return m.ListCertificatesWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) ListTagsForCertificate(param0 *acm.ListTagsForCertificateInput) (*acm.ListTagsForCertificateOutput, error) {
	m.addCall("ListTagsForCertificate")
	m.verifyInput("ListTagsForCertificate", param0)
	return m.ListTagsForCertificateFunc(param0)
}

func (m *acmMock) ListTagsForCertificateRequest(param0 *acm.ListTagsForCertificateInput) (*request.Request, *acm.ListTagsForCertificateOutput) {
	m.addCall("ListTagsForCertificateRequest")
	m.verifyInput("ListTagsForCertificateRequest", param0)
	return m.ListTagsForCertificateRequestFunc(param0)
}

func (m *acmMock) ListTagsForCertificateWithContext(param0 aws.Context, param1 *acm.ListTagsForCertificateInput, param2 ...request.Option) (*acm.ListTagsForCertificateOutput, error) {
	m.addCall("ListTagsForCertificateWithContext")
	m.verifyInput("ListTagsForCertificateWithContext", param0)
	return m.ListTagsForCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) RemoveTagsFromCertificate(param0 *acm.RemoveTagsFromCertificateInput) (*acm.RemoveTagsFromCertificateOutput, error) {
	m.addCall("RemoveTagsFromCertificate")
	m.verifyInput("RemoveTagsFromCertificate", param0)
	return m.RemoveTagsFromCertificateFunc(param0)
}

func (m *acmMock) RemoveTagsFromCertificateRequest(param0 *acm.RemoveTagsFromCertificateInput) (*request.Request, *acm.RemoveTagsFromCertificateOutput) {
	m.addCall("RemoveTagsFromCertificateRequest")
	m.verifyInput("RemoveTagsFromCertificateRequest", param0)
	return m.RemoveTagsFromCertificateRequestFunc(param0)
}

func (m *acmMock) RemoveTagsFromCertificateWithContext(param0 aws.Context, param1 *acm.RemoveTagsFromCertificateInput, param2 ...request.Option) (*acm.RemoveTagsFromCertificateOutput, error) {
	m.addCall("RemoveTagsFromCertificateWithContext")
	m.verifyInput("RemoveTagsFromCertificateWithContext", param0)
	return m.RemoveTagsFromCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) RequestCertificate(param0 *acm.RequestCertificateInput) (*acm.RequestCertificateOutput, error) {
	m.addCall("RequestCertificate")
	m.verifyInput("RequestCertificate", param0)
	return m.RequestCertificateFunc(param0)
}

func (m *acmMock) RequestCertificateRequest(param0 *acm.RequestCertificateInput) (*request.Request, *acm.RequestCertificateOutput) {
	m.addCall("RequestCertificateRequest")
	m.verifyInput("RequestCertificateRequest", param0)
	return m.RequestCertificateRequestFunc(param0)
}

func (m *acmMock) RequestCertificateWithContext(param0 aws.Context, param1 *acm.RequestCertificateInput, param2 ...request.Option) (*acm.RequestCertificateOutput, error) {
	m.addCall("RequestCertificateWithContext")
	m.verifyInput("RequestCertificateWithContext", param0)
	return m.RequestCertificateWithContextFunc(param0, param1, param2...)
}

func (m *acmMock) ResendValidationEmail(param0 *acm.ResendValidationEmailInput) (*acm.ResendValidationEmailOutput, error) {
	m.addCall("ResendValidationEmail")
	m.verifyInput("ResendValidationEmail", param0)
	return m.ResendValidationEmailFunc(param0)
}

func (m *acmMock) ResendValidationEmailRequest(param0 *acm.ResendValidationEmailInput) (*request.Request, *acm.ResendValidationEmailOutput) {
	m.addCall("ResendValidationEmailRequest")
	m.verifyInput("ResendValidationEmailRequest", param0)
	return m.ResendValidationEmailRequestFunc(param0)
}

func (m *acmMock) ResendValidationEmailWithContext(param0 aws.Context, param1 *acm.ResendValidationEmailInput, param2 ...request.Option) (*acm.ResendValidationEmailOutput, error) {
	m.addCall("ResendValidationEmailWithContext")
	m.verifyInput("ResendValidationEmailWithContext", param0)
	return m.ResendValidationEmailWithContextFunc(param0, param1, param2...)
}

type applicationautoscalingMock struct {
	basicMock
	applicationautoscalingiface.ApplicationAutoScalingAPI
	DeleteScalingPolicyFunc                  func(param0 *applicationautoscaling.DeleteScalingPolicyInput) (*applicationautoscaling.DeleteScalingPolicyOutput, error)
	DeleteScalingPolicyRequestFunc           func(param0 *applicationautoscaling.DeleteScalingPolicyInput) (*request.Request, *applicationautoscaling.DeleteScalingPolicyOutput)
	DeleteScalingPolicyWithContextFunc       func(param0 aws.Context, param1 *applicationautoscaling.DeleteScalingPolicyInput, param2 ...request.Option) (*applicationautoscaling.DeleteScalingPolicyOutput, error)
	DeregisterScalableTargetFunc             func(param0 *applicationautoscaling.DeregisterScalableTargetInput) (*applicationautoscaling.DeregisterScalableTargetOutput, error)
	DeregisterScalableTargetRequestFunc      func(param0 *applicationautoscaling.DeregisterScalableTargetInput) (*request.Request, *applicationautoscaling.DeregisterScalableTargetOutput)
	DeregisterScalableTargetWithContextFunc  func(param0 aws.Context, param1 *applicationautoscaling.DeregisterScalableTargetInput, param2 ...request.Option) (*applicationautoscaling.DeregisterScalableTargetOutput, error)
	DescribeScalableTargetsFunc              func(param0 *applicationautoscaling.DescribeScalableTargetsInput) (*applicationautoscaling.DescribeScalableTargetsOutput, error)
	DescribeScalableTargetsRequestFunc       func(param0 *applicationautoscaling.DescribeScalableTargetsInput) (*request.Request, *applicationautoscaling.DescribeScalableTargetsOutput)
	DescribeScalableTargetsWithContextFunc   func(param0 aws.Context, param1 *applicationautoscaling.DescribeScalableTargetsInput, param2 ...request.Option) (*applicationautoscaling.DescribeScalableTargetsOutput, error)
	DescribeScalingActivitiesFunc            func(param0 *applicationautoscaling.DescribeScalingActivitiesInput) (*applicationautoscaling.DescribeScalingActivitiesOutput, error)
	DescribeScalingActivitiesRequestFunc     func(param0 *applicationautoscaling.DescribeScalingActivitiesInput) (*request.Request, *applicationautoscaling.DescribeScalingActivitiesOutput)
	DescribeScalingActivitiesWithContextFunc func(param0 aws.Context, param1 *applicationautoscaling.DescribeScalingActivitiesInput, param2 ...request.Option) (*applicationautoscaling.DescribeScalingActivitiesOutput, error)
	DescribeScalingPoliciesFunc              func(param0 *applicationautoscaling.DescribeScalingPoliciesInput) (*applicationautoscaling.DescribeScalingPoliciesOutput, error)
	DescribeScalingPoliciesRequestFunc       func(param0 *applicationautoscaling.DescribeScalingPoliciesInput) (*request.Request, *applicationautoscaling.DescribeScalingPoliciesOutput)
	DescribeScalingPoliciesWithContextFunc   func(param0 aws.Context, param1 *applicationautoscaling.DescribeScalingPoliciesInput, param2 ...request.Option) (*applicationautoscaling.DescribeScalingPoliciesOutput, error)
	PutScalingPolicyFunc                     func(param0 *applicationautoscaling.PutScalingPolicyInput) (*applicationautoscaling.PutScalingPolicyOutput, error)
	PutScalingPolicyRequestFunc              func(param0 *applicationautoscaling.PutScalingPolicyInput) (*request.Request, *applicationautoscaling.PutScalingPolicyOutput)
	PutScalingPolicyWithContextFunc          func(param0 aws.Context, param1 *applicationautoscaling.PutScalingPolicyInput, param2 ...request.Option) (*applicationautoscaling.PutScalingPolicyOutput, error)
	RegisterScalableTargetFunc               func(param0 *applicationautoscaling.RegisterScalableTargetInput) (*applicationautoscaling.RegisterScalableTargetOutput, error)
	RegisterScalableTargetRequestFunc        func(param0 *applicationautoscaling.RegisterScalableTargetInput) (*request.Request, *applicationautoscaling.RegisterScalableTargetOutput)
	RegisterScalableTargetWithContextFunc    func(param0 aws.Context, param1 *applicationautoscaling.RegisterScalableTargetInput, param2 ...request.Option) (*applicationautoscaling.RegisterScalableTargetOutput, error)
}

func (m *applicationautoscalingMock) DeleteScalingPolicy(param0 *applicationautoscaling.DeleteScalingPolicyInput) (*applicationautoscaling.DeleteScalingPolicyOutput, error) {
	m.addCall("DeleteScalingPolicy")
	m.verifyInput("DeleteScalingPolicy", param0)
	return m.DeleteScalingPolicyFunc(param0)
}

func (m *applicationautoscalingMock) DeleteScalingPolicyRequest(param0 *applicationautoscaling.DeleteScalingPolicyInput) (*request.Request, *applicationautoscaling.DeleteScalingPolicyOutput) {
	m.addCall("DeleteScalingPolicyRequest")
	m.verifyInput("DeleteScalingPolicyRequest", param0)
	return m.DeleteScalingPolicyRequestFunc(param0)
}

func (m *applicationautoscalingMock) DeleteScalingPolicyWithContext(param0 aws.Context, param1 *applicationautoscaling.DeleteScalingPolicyInput, param2 ...request.Option) (*applicationautoscaling.DeleteScalingPolicyOutput, error) {
	m.addCall("DeleteScalingPolicyWithContext")
	m.verifyInput("DeleteScalingPolicyWithContext", param0)
	return m.DeleteScalingPolicyWithContextFunc(param0, param1, param2...)
}

func (m *applicationautoscalingMock) DeregisterScalableTarget(param0 *applicationautoscaling.DeregisterScalableTargetInput) (*applicationautoscaling.DeregisterScalableTargetOutput, error) {
	m.addCall("DeregisterScalableTarget")
	m.verifyInput("DeregisterScalableTarget", param0)
	return m.DeregisterScalableTargetFunc(param0)
}

func (m *applicationautoscalingMock) DeregisterScalableTargetRequest(param0 *applicationautoscaling.DeregisterScalableTargetInput) (*request.Request, *applicationautoscaling.DeregisterScalableTargetOutput) {
	m.addCall("DeregisterScalableTargetRequest")
	m.verifyInput("DeregisterScalableTargetRequest", param0)
	return m.DeregisterScalableTargetRequestFunc(param0)
}

func (m *applicationautoscalingMock) DeregisterScalableTargetWithContext(param0 aws.Context, param1 *applicationautoscaling.DeregisterScalableTargetInput, param2 ...request.Option) (*applicationautoscaling.DeregisterScalableTargetOutput, error) {
	m.addCall("DeregisterScalableTargetWithContext")
	m.verifyInput("DeregisterScalableTargetWithContext", param0)
	return m.DeregisterScalableTargetWithContextFunc(param0, param1, param2...)
}

func (m *applicationautoscalingMock) DescribeScalableTargets(param0 *applicationautoscaling.DescribeScalableTargetsInput) (*applicationautoscaling.DescribeScalableTargetsOutput, error) {
	m.addCall("DescribeScalableTargets")
	m.verifyInput("DescribeScalableTargets", param0)
	return m.DescribeScalableTargetsFunc(param0)
}

func (m *applicationautoscalingMock) DescribeScalableTargetsRequest(param0 *applicationautoscaling.DescribeScalableTargetsInput) (*request.Request, *applicationautoscaling.DescribeScalableTargetsOutput) {
	m.addCall("DescribeScalableTargetsRequest")
	m.verifyInput("DescribeScalableTargetsRequest", param0)
	return m.DescribeScalableTargetsRequestFunc(param0)
}

func (m *applicationautoscalingMock) DescribeScalableTargetsWithContext(param0 aws.Context, param1 *applicationautoscaling.DescribeScalableTargetsInput, param2 ...request.Option) (*applicationautoscaling.DescribeScalableTargetsOutput, error) {
	m.addCall("DescribeScalableTargetsWithContext")
	m.verifyInput("DescribeScalableTargetsWithContext", param0)
	return m.DescribeScalableTargetsWithContextFunc(param0, param1, param2...)
}

func (m *applicationautoscalingMock) DescribeScalingActivities(param0 *applicationautoscaling.DescribeScalingActivitiesInput) (*applicationautoscaling.DescribeScalingActivitiesOutput, error) {
	m.addCall("DescribeScalingActivities")
	m.verifyInput("DescribeScalingActivities", param0)
	return m.DescribeScalingActivitiesFunc(param0)
}

func (m *applicationautoscalingMock) DescribeScalingActivitiesRequest(param0 *applicationautoscaling.DescribeScalingActivitiesInput) (*request.Request, *applicationautoscaling.DescribeScalingActivitiesOutput) {
	m.addCall("DescribeScalingActivitiesRequest")
	m.verifyInput("DescribeScalingActivitiesRequest", param0)
	return m.DescribeScalingActivitiesRequestFunc(param0)
}

func (m *applicationautoscalingMock) DescribeScalingActivitiesWithContext(param0 aws.Context, param1 *applicationautoscaling.DescribeScalingActivitiesInput, param2 ...request.Option) (*applicationautoscaling.DescribeScalingActivitiesOutput, error) {
	m.addCall("DescribeScalingActivitiesWithContext")
	m.verifyInput("DescribeScalingActivitiesWithContext", param0)
	return m.DescribeScalingActivitiesWithContextFunc(param0, param1, param2...)
}

func (m *applicationautoscalingMock) DescribeScalingPolicies(param0 *applicationautoscaling.DescribeScalingPoliciesInput) (*applicationautoscaling.DescribeScalingPoliciesOutput, error) {
	m.addCall("DescribeScalingPolicies")
	m.verifyInput("DescribeScalingPolicies", param0)
	return m.DescribeScalingPoliciesFunc(param0)
}

func (m *applicationautoscalingMock) DescribeScalingPoliciesRequest(param0 *applicationautoscaling.DescribeScalingPoliciesInput) (*request.Request, *applicationautoscaling.DescribeScalingPoliciesOutput) {
	m.addCall("DescribeScalingPoliciesRequest")
	m.verifyInput("DescribeScalingPoliciesRequest", param0)
	return m.DescribeScalingPoliciesRequestFunc(param0)
}

func (m *applicationautoscalingMock) DescribeScalingPoliciesWithContext(param0 aws.Context, param1 *applicationautoscaling.DescribeScalingPoliciesInput, param2 ...request.Option) (*applicationautoscaling.DescribeScalingPoliciesOutput, error) {
	m.addCall("DescribeScalingPoliciesWithContext")
	m.verifyInput("DescribeScalingPoliciesWithContext", param0)
	return m.DescribeScalingPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *applicationautoscalingMock) PutScalingPolicy(param0 *applicationautoscaling.PutScalingPolicyInput) (*applicationautoscaling.PutScalingPolicyOutput, error) {
	m.addCall("PutScalingPolicy")
	m.verifyInput("PutScalingPolicy", param0)
	return m.PutScalingPolicyFunc(param0)
}

func (m *applicationautoscalingMock) PutScalingPolicyRequest(param0 *applicationautoscaling.PutScalingPolicyInput) (*request.Request, *applicationautoscaling.PutScalingPolicyOutput) {
	m.addCall("PutScalingPolicyRequest")
	m.verifyInput("PutScalingPolicyRequest", param0)
	return m.PutScalingPolicyRequestFunc(param0)
}

func (m *applicationautoscalingMock) PutScalingPolicyWithContext(param0 aws.Context, param1 *applicationautoscaling.PutScalingPolicyInput, param2 ...request.Option) (*applicationautoscaling.PutScalingPolicyOutput, error) {
	m.addCall("PutScalingPolicyWithContext")
	m.verifyInput("PutScalingPolicyWithContext", param0)
	return m.PutScalingPolicyWithContextFunc(param0, param1, param2...)
}

func (m *applicationautoscalingMock) RegisterScalableTarget(param0 *applicationautoscaling.RegisterScalableTargetInput) (*applicationautoscaling.RegisterScalableTargetOutput, error) {
	m.addCall("RegisterScalableTarget")
	m.verifyInput("RegisterScalableTarget", param0)
	return m.RegisterScalableTargetFunc(param0)
}

func (m *applicationautoscalingMock) RegisterScalableTargetRequest(param0 *applicationautoscaling.RegisterScalableTargetInput) (*request.Request, *applicationautoscaling.RegisterScalableTargetOutput) {
	m.addCall("RegisterScalableTargetRequest")
	m.verifyInput("RegisterScalableTargetRequest", param0)
	return m.RegisterScalableTargetRequestFunc(param0)
}

func (m *applicationautoscalingMock) RegisterScalableTargetWithContext(param0 aws.Context, param1 *applicationautoscaling.RegisterScalableTargetInput, param2 ...request.Option) (*applicationautoscaling.RegisterScalableTargetOutput, error) {
	m.addCall("RegisterScalableTargetWithContext")
	m.verifyInput("RegisterScalableTargetWithContext", param0)
	return m.RegisterScalableTargetWithContextFunc(param0, param1, param2...)
}

type autoscalingMock struct {
	basicMock
	autoscalingiface.AutoScalingAPI
	AttachInstancesFunc                                 func(param0 *autoscaling.AttachInstancesInput) (*autoscaling.AttachInstancesOutput, error)
	AttachInstancesRequestFunc                          func(param0 *autoscaling.AttachInstancesInput) (*request.Request, *autoscaling.AttachInstancesOutput)
	AttachInstancesWithContextFunc                      func(param0 aws.Context, param1 *autoscaling.AttachInstancesInput, param2 ...request.Option) (*autoscaling.AttachInstancesOutput, error)
	AttachLoadBalancerTargetGroupsFunc                  func(param0 *autoscaling.AttachLoadBalancerTargetGroupsInput) (*autoscaling.AttachLoadBalancerTargetGroupsOutput, error)
	AttachLoadBalancerTargetGroupsRequestFunc           func(param0 *autoscaling.AttachLoadBalancerTargetGroupsInput) (*request.Request, *autoscaling.AttachLoadBalancerTargetGroupsOutput)
	AttachLoadBalancerTargetGroupsWithContextFunc       func(param0 aws.Context, param1 *autoscaling.AttachLoadBalancerTargetGroupsInput, param2 ...request.Option) (*autoscaling.AttachLoadBalancerTargetGroupsOutput, error)
	AttachLoadBalancersFunc                             func(param0 *autoscaling.AttachLoadBalancersInput) (*autoscaling.AttachLoadBalancersOutput, error)
	AttachLoadBalancersRequestFunc                      func(param0 *autoscaling.AttachLoadBalancersInput) (*request.Request, *autoscaling.AttachLoadBalancersOutput)
	AttachLoadBalancersWithContextFunc                  func(param0 aws.Context, param1 *autoscaling.AttachLoadBalancersInput, param2 ...request.Option) (*autoscaling.AttachLoadBalancersOutput, error)
	CompleteLifecycleActionFunc                         func(param0 *autoscaling.CompleteLifecycleActionInput) (*autoscaling.CompleteLifecycleActionOutput, error)
	CompleteLifecycleActionRequestFunc                  func(param0 *autoscaling.CompleteLifecycleActionInput) (*request.Request, *autoscaling.CompleteLifecycleActionOutput)
	CompleteLifecycleActionWithContextFunc              func(param0 aws.Context, param1 *autoscaling.CompleteLifecycleActionInput, param2 ...request.Option) (*autoscaling.CompleteLifecycleActionOutput, error)
	CreateAutoScalingGroupFunc                          func(param0 *autoscaling.CreateAutoScalingGroupInput) (*autoscaling.CreateAutoScalingGroupOutput, error)
	CreateAutoScalingGroupRequestFunc                   func(param0 *autoscaling.CreateAutoScalingGroupInput) (*request.Request, *autoscaling.CreateAutoScalingGroupOutput)
	CreateAutoScalingGroupWithContextFunc               func(param0 aws.Context, param1 *autoscaling.CreateAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.CreateAutoScalingGroupOutput, error)
	CreateLaunchConfigurationFunc                       func(param0 *autoscaling.CreateLaunchConfigurationInput) (*autoscaling.CreateLaunchConfigurationOutput, error)
	CreateLaunchConfigurationRequestFunc                func(param0 *autoscaling.CreateLaunchConfigurationInput) (*request.Request, *autoscaling.CreateLaunchConfigurationOutput)
	CreateLaunchConfigurationWithContextFunc            func(param0 aws.Context, param1 *autoscaling.CreateLaunchConfigurationInput, param2 ...request.Option) (*autoscaling.CreateLaunchConfigurationOutput, error)
	CreateOrUpdateTagsFunc                              func(param0 *autoscaling.CreateOrUpdateTagsInput) (*autoscaling.CreateOrUpdateTagsOutput, error)
	CreateOrUpdateTagsRequestFunc                       func(param0 *autoscaling.CreateOrUpdateTagsInput) (*request.Request, *autoscaling.CreateOrUpdateTagsOutput)
	CreateOrUpdateTagsWithContextFunc                   func(param0 aws.Context, param1 *autoscaling.CreateOrUpdateTagsInput, param2 ...request.Option) (*autoscaling.CreateOrUpdateTagsOutput, error)
	DeleteAutoScalingGroupFunc                          func(param0 *autoscaling.DeleteAutoScalingGroupInput) (*autoscaling.DeleteAutoScalingGroupOutput, error)
	DeleteAutoScalingGroupRequestFunc                   func(param0 *autoscaling.DeleteAutoScalingGroupInput) (*request.Request, *autoscaling.DeleteAutoScalingGroupOutput)
	DeleteAutoScalingGroupWithContextFunc               func(param0 aws.Context, param1 *autoscaling.DeleteAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.DeleteAutoScalingGroupOutput, error)
	DeleteLaunchConfigurationFunc                       func(param0 *autoscaling.DeleteLaunchConfigurationInput) (*autoscaling.DeleteLaunchConfigurationOutput, error)
	DeleteLaunchConfigurationRequestFunc                func(param0 *autoscaling.DeleteLaunchConfigurationInput) (*request.Request, *autoscaling.DeleteLaunchConfigurationOutput)
	DeleteLaunchConfigurationWithContextFunc            func(param0 aws.Context, param1 *autoscaling.DeleteLaunchConfigurationInput, param2 ...request.Option) (*autoscaling.DeleteLaunchConfigurationOutput, error)
	DeleteLifecycleHookFunc                             func(param0 *autoscaling.DeleteLifecycleHookInput) (*autoscaling.DeleteLifecycleHookOutput, error)
	DeleteLifecycleHookRequestFunc                      func(param0 *autoscaling.DeleteLifecycleHookInput) (*request.Request, *autoscaling.DeleteLifecycleHookOutput)
	DeleteLifecycleHookWithContextFunc                  func(param0 aws.Context, param1 *autoscaling.DeleteLifecycleHookInput, param2 ...request.Option) (*autoscaling.DeleteLifecycleHookOutput, error)
	DeleteNotificationConfigurationFunc                 func(param0 *autoscaling.DeleteNotificationConfigurationInput) (*autoscaling.DeleteNotificationConfigurationOutput, error)
	DeleteNotificationConfigurationRequestFunc          func(param0 *autoscaling.DeleteNotificationConfigurationInput) (*request.Request, *autoscaling.DeleteNotificationConfigurationOutput)
	DeleteNotificationConfigurationWithContextFunc      func(param0 aws.Context, param1 *autoscaling.DeleteNotificationConfigurationInput, param2 ...request.Option) (*autoscaling.DeleteNotificationConfigurationOutput, error)
	DeletePolicyFunc                                    func(param0 *autoscaling.DeletePolicyInput) (*autoscaling.DeletePolicyOutput, error)
	DeletePolicyRequestFunc                             func(param0 *autoscaling.DeletePolicyInput) (*request.Request, *autoscaling.DeletePolicyOutput)
	DeletePolicyWithContextFunc                         func(param0 aws.Context, param1 *autoscaling.DeletePolicyInput, param2 ...request.Option) (*autoscaling.DeletePolicyOutput, error)
	DeleteScheduledActionFunc                           func(param0 *autoscaling.DeleteScheduledActionInput) (*autoscaling.DeleteScheduledActionOutput, error)
	DeleteScheduledActionRequestFunc                    func(param0 *autoscaling.DeleteScheduledActionInput) (*request.Request, *autoscaling.DeleteScheduledActionOutput)
	DeleteScheduledActionWithContextFunc                func(param0 aws.Context, param1 *autoscaling.DeleteScheduledActionInput, param2 ...request.Option) (*autoscaling.DeleteScheduledActionOutput, error)
	DeleteTagsFunc                                      func(param0 *autoscaling.DeleteTagsInput) (*autoscaling.DeleteTagsOutput, error)
	DeleteTagsRequestFunc                               func(param0 *autoscaling.DeleteTagsInput) (*request.Request, *autoscaling.DeleteTagsOutput)
	DeleteTagsWithContextFunc                           func(param0 aws.Context, param1 *autoscaling.DeleteTagsInput, param2 ...request.Option) (*autoscaling.DeleteTagsOutput, error)
	DescribeAccountLimitsFunc                           func(param0 *autoscaling.DescribeAccountLimitsInput) (*autoscaling.DescribeAccountLimitsOutput, error)
	DescribeAccountLimitsRequestFunc                    func(param0 *autoscaling.DescribeAccountLimitsInput) (*request.Request, *autoscaling.DescribeAccountLimitsOutput)
	DescribeAccountLimitsWithContextFunc                func(param0 aws.Context, param1 *autoscaling.DescribeAccountLimitsInput, param2 ...request.Option) (*autoscaling.DescribeAccountLimitsOutput, error)
	DescribeAdjustmentTypesFunc                         func(param0 *autoscaling.DescribeAdjustmentTypesInput) (*autoscaling.DescribeAdjustmentTypesOutput, error)
	DescribeAdjustmentTypesRequestFunc                  func(param0 *autoscaling.DescribeAdjustmentTypesInput) (*request.Request, *autoscaling.DescribeAdjustmentTypesOutput)
	DescribeAdjustmentTypesWithContextFunc              func(param0 aws.Context, param1 *autoscaling.DescribeAdjustmentTypesInput, param2 ...request.Option) (*autoscaling.DescribeAdjustmentTypesOutput, error)
	DescribeAutoScalingGroupsFunc                       func(param0 *autoscaling.DescribeAutoScalingGroupsInput) (*autoscaling.DescribeAutoScalingGroupsOutput, error)
	DescribeAutoScalingGroupsRequestFunc                func(param0 *autoscaling.DescribeAutoScalingGroupsInput) (*request.Request, *autoscaling.DescribeAutoScalingGroupsOutput)
	DescribeAutoScalingGroupsWithContextFunc            func(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.Option) (*autoscaling.DescribeAutoScalingGroupsOutput, error)
	DescribeAutoScalingInstancesFunc                    func(param0 *autoscaling.DescribeAutoScalingInstancesInput) (*autoscaling.DescribeAutoScalingInstancesOutput, error)
	DescribeAutoScalingInstancesRequestFunc             func(param0 *autoscaling.DescribeAutoScalingInstancesInput) (*request.Request, *autoscaling.DescribeAutoScalingInstancesOutput)
	DescribeAutoScalingInstancesWithContextFunc         func(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingInstancesInput, param2 ...request.Option) (*autoscaling.DescribeAutoScalingInstancesOutput, error)
	DescribeAutoScalingNotificationTypesFunc            func(param0 *autoscaling.DescribeAutoScalingNotificationTypesInput) (*autoscaling.DescribeAutoScalingNotificationTypesOutput, error)
	DescribeAutoScalingNotificationTypesRequestFunc     func(param0 *autoscaling.DescribeAutoScalingNotificationTypesInput) (*request.Request, *autoscaling.DescribeAutoScalingNotificationTypesOutput)
	DescribeAutoScalingNotificationTypesWithContextFunc func(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingNotificationTypesInput, param2 ...request.Option) (*autoscaling.DescribeAutoScalingNotificationTypesOutput, error)
	DescribeLaunchConfigurationsFunc                    func(param0 *autoscaling.DescribeLaunchConfigurationsInput) (*autoscaling.DescribeLaunchConfigurationsOutput, error)
	DescribeLaunchConfigurationsRequestFunc             func(param0 *autoscaling.DescribeLaunchConfigurationsInput) (*request.Request, *autoscaling.DescribeLaunchConfigurationsOutput)
	DescribeLaunchConfigurationsWithContextFunc         func(param0 aws.Context, param1 *autoscaling.DescribeLaunchConfigurationsInput, param2 ...request.Option) (*autoscaling.DescribeLaunchConfigurationsOutput, error)
	DescribeLifecycleHookTypesFunc                      func(param0 *autoscaling.DescribeLifecycleHookTypesInput) (*autoscaling.DescribeLifecycleHookTypesOutput, error)
	DescribeLifecycleHookTypesRequestFunc               func(param0 *autoscaling.DescribeLifecycleHookTypesInput) (*request.Request, *autoscaling.DescribeLifecycleHookTypesOutput)
	DescribeLifecycleHookTypesWithContextFunc           func(param0 aws.Context, param1 *autoscaling.DescribeLifecycleHookTypesInput, param2 ...request.Option) (*autoscaling.DescribeLifecycleHookTypesOutput, error)
	DescribeLifecycleHooksFunc                          func(param0 *autoscaling.DescribeLifecycleHooksInput) (*autoscaling.DescribeLifecycleHooksOutput, error)
	DescribeLifecycleHooksRequestFunc                   func(param0 *autoscaling.DescribeLifecycleHooksInput) (*request.Request, *autoscaling.DescribeLifecycleHooksOutput)
	DescribeLifecycleHooksWithContextFunc               func(param0 aws.Context, param1 *autoscaling.DescribeLifecycleHooksInput, param2 ...request.Option) (*autoscaling.DescribeLifecycleHooksOutput, error)
	DescribeLoadBalancerTargetGroupsFunc                func(param0 *autoscaling.DescribeLoadBalancerTargetGroupsInput) (*autoscaling.DescribeLoadBalancerTargetGroupsOutput, error)
	DescribeLoadBalancerTargetGroupsRequestFunc         func(param0 *autoscaling.DescribeLoadBalancerTargetGroupsInput) (*request.Request, *autoscaling.DescribeLoadBalancerTargetGroupsOutput)
	DescribeLoadBalancerTargetGroupsWithContextFunc     func(param0 aws.Context, param1 *autoscaling.DescribeLoadBalancerTargetGroupsInput, param2 ...request.Option) (*autoscaling.DescribeLoadBalancerTargetGroupsOutput, error)
	DescribeLoadBalancersFunc                           func(param0 *autoscaling.DescribeLoadBalancersInput) (*autoscaling.DescribeLoadBalancersOutput, error)
	DescribeLoadBalancersRequestFunc                    func(param0 *autoscaling.DescribeLoadBalancersInput) (*request.Request, *autoscaling.DescribeLoadBalancersOutput)
	DescribeLoadBalancersWithContextFunc                func(param0 aws.Context, param1 *autoscaling.DescribeLoadBalancersInput, param2 ...request.Option) (*autoscaling.DescribeLoadBalancersOutput, error)
	DescribeMetricCollectionTypesFunc                   func(param0 *autoscaling.DescribeMetricCollectionTypesInput) (*autoscaling.DescribeMetricCollectionTypesOutput, error)
	DescribeMetricCollectionTypesRequestFunc            func(param0 *autoscaling.DescribeMetricCollectionTypesInput) (*request.Request, *autoscaling.DescribeMetricCollectionTypesOutput)
	DescribeMetricCollectionTypesWithContextFunc        func(param0 aws.Context, param1 *autoscaling.DescribeMetricCollectionTypesInput, param2 ...request.Option) (*autoscaling.DescribeMetricCollectionTypesOutput, error)
	DescribeNotificationConfigurationsFunc              func(param0 *autoscaling.DescribeNotificationConfigurationsInput) (*autoscaling.DescribeNotificationConfigurationsOutput, error)
	DescribeNotificationConfigurationsRequestFunc       func(param0 *autoscaling.DescribeNotificationConfigurationsInput) (*request.Request, *autoscaling.DescribeNotificationConfigurationsOutput)
	DescribeNotificationConfigurationsWithContextFunc   func(param0 aws.Context, param1 *autoscaling.DescribeNotificationConfigurationsInput, param2 ...request.Option) (*autoscaling.DescribeNotificationConfigurationsOutput, error)
	DescribePoliciesFunc                                func(param0 *autoscaling.DescribePoliciesInput) (*autoscaling.DescribePoliciesOutput, error)
	DescribePoliciesRequestFunc                         func(param0 *autoscaling.DescribePoliciesInput) (*request.Request, *autoscaling.DescribePoliciesOutput)
	DescribePoliciesWithContextFunc                     func(param0 aws.Context, param1 *autoscaling.DescribePoliciesInput, param2 ...request.Option) (*autoscaling.DescribePoliciesOutput, error)
	DescribeScalingActivitiesFunc                       func(param0 *autoscaling.DescribeScalingActivitiesInput) (*autoscaling.DescribeScalingActivitiesOutput, error)
	DescribeScalingActivitiesRequestFunc                func(param0 *autoscaling.DescribeScalingActivitiesInput) (*request.Request, *autoscaling.DescribeScalingActivitiesOutput)
	DescribeScalingActivitiesWithContextFunc            func(param0 aws.Context, param1 *autoscaling.DescribeScalingActivitiesInput, param2 ...request.Option) (*autoscaling.DescribeScalingActivitiesOutput, error)
	DescribeScalingProcessTypesFunc                     func(param0 *autoscaling.DescribeScalingProcessTypesInput) (*autoscaling.DescribeScalingProcessTypesOutput, error)
	DescribeScalingProcessTypesRequestFunc              func(param0 *autoscaling.DescribeScalingProcessTypesInput) (*request.Request, *autoscaling.DescribeScalingProcessTypesOutput)
	DescribeScalingProcessTypesWithContextFunc          func(param0 aws.Context, param1 *autoscaling.DescribeScalingProcessTypesInput, param2 ...request.Option) (*autoscaling.DescribeScalingProcessTypesOutput, error)
	DescribeScheduledActionsFunc                        func(param0 *autoscaling.DescribeScheduledActionsInput) (*autoscaling.DescribeScheduledActionsOutput, error)
	DescribeScheduledActionsRequestFunc                 func(param0 *autoscaling.DescribeScheduledActionsInput) (*request.Request, *autoscaling.DescribeScheduledActionsOutput)
	DescribeScheduledActionsWithContextFunc             func(param0 aws.Context, param1 *autoscaling.DescribeScheduledActionsInput, param2 ...request.Option) (*autoscaling.DescribeScheduledActionsOutput, error)
	DescribeTagsFunc                                    func(param0 *autoscaling.DescribeTagsInput) (*autoscaling.DescribeTagsOutput, error)
	DescribeTagsRequestFunc                             func(param0 *autoscaling.DescribeTagsInput) (*request.Request, *autoscaling.DescribeTagsOutput)
	DescribeTagsWithContextFunc                         func(param0 aws.Context, param1 *autoscaling.DescribeTagsInput, param2 ...request.Option) (*autoscaling.DescribeTagsOutput, error)
	DescribeTerminationPolicyTypesFunc                  func(param0 *autoscaling.DescribeTerminationPolicyTypesInput) (*autoscaling.DescribeTerminationPolicyTypesOutput, error)
	DescribeTerminationPolicyTypesRequestFunc           func(param0 *autoscaling.DescribeTerminationPolicyTypesInput) (*request.Request, *autoscaling.DescribeTerminationPolicyTypesOutput)
	DescribeTerminationPolicyTypesWithContextFunc       func(param0 aws.Context, param1 *autoscaling.DescribeTerminationPolicyTypesInput, param2 ...request.Option) (*autoscaling.DescribeTerminationPolicyTypesOutput, error)
	DetachInstancesFunc                                 func(param0 *autoscaling.DetachInstancesInput) (*autoscaling.DetachInstancesOutput, error)
	DetachInstancesRequestFunc                          func(param0 *autoscaling.DetachInstancesInput) (*request.Request, *autoscaling.DetachInstancesOutput)
	DetachInstancesWithContextFunc                      func(param0 aws.Context, param1 *autoscaling.DetachInstancesInput, param2 ...request.Option) (*autoscaling.DetachInstancesOutput, error)
	DetachLoadBalancerTargetGroupsFunc                  func(param0 *autoscaling.DetachLoadBalancerTargetGroupsInput) (*autoscaling.DetachLoadBalancerTargetGroupsOutput, error)
	DetachLoadBalancerTargetGroupsRequestFunc           func(param0 *autoscaling.DetachLoadBalancerTargetGroupsInput) (*request.Request, *autoscaling.DetachLoadBalancerTargetGroupsOutput)
	DetachLoadBalancerTargetGroupsWithContextFunc       func(param0 aws.Context, param1 *autoscaling.DetachLoadBalancerTargetGroupsInput, param2 ...request.Option) (*autoscaling.DetachLoadBalancerTargetGroupsOutput, error)
	DetachLoadBalancersFunc                             func(param0 *autoscaling.DetachLoadBalancersInput) (*autoscaling.DetachLoadBalancersOutput, error)
	DetachLoadBalancersRequestFunc                      func(param0 *autoscaling.DetachLoadBalancersInput) (*request.Request, *autoscaling.DetachLoadBalancersOutput)
	DetachLoadBalancersWithContextFunc                  func(param0 aws.Context, param1 *autoscaling.DetachLoadBalancersInput, param2 ...request.Option) (*autoscaling.DetachLoadBalancersOutput, error)
	DisableMetricsCollectionFunc                        func(param0 *autoscaling.DisableMetricsCollectionInput) (*autoscaling.DisableMetricsCollectionOutput, error)
	DisableMetricsCollectionRequestFunc                 func(param0 *autoscaling.DisableMetricsCollectionInput) (*request.Request, *autoscaling.DisableMetricsCollectionOutput)
	DisableMetricsCollectionWithContextFunc             func(param0 aws.Context, param1 *autoscaling.DisableMetricsCollectionInput, param2 ...request.Option) (*autoscaling.DisableMetricsCollectionOutput, error)
	EnableMetricsCollectionFunc                         func(param0 *autoscaling.EnableMetricsCollectionInput) (*autoscaling.EnableMetricsCollectionOutput, error)
	EnableMetricsCollectionRequestFunc                  func(param0 *autoscaling.EnableMetricsCollectionInput) (*request.Request, *autoscaling.EnableMetricsCollectionOutput)
	EnableMetricsCollectionWithContextFunc              func(param0 aws.Context, param1 *autoscaling.EnableMetricsCollectionInput, param2 ...request.Option) (*autoscaling.EnableMetricsCollectionOutput, error)
	EnterStandbyFunc                                    func(param0 *autoscaling.EnterStandbyInput) (*autoscaling.EnterStandbyOutput, error)
	EnterStandbyRequestFunc                             func(param0 *autoscaling.EnterStandbyInput) (*request.Request, *autoscaling.EnterStandbyOutput)
	EnterStandbyWithContextFunc                         func(param0 aws.Context, param1 *autoscaling.EnterStandbyInput, param2 ...request.Option) (*autoscaling.EnterStandbyOutput, error)
	ExecutePolicyFunc                                   func(param0 *autoscaling.ExecutePolicyInput) (*autoscaling.ExecutePolicyOutput, error)
	ExecutePolicyRequestFunc                            func(param0 *autoscaling.ExecutePolicyInput) (*request.Request, *autoscaling.ExecutePolicyOutput)
	ExecutePolicyWithContextFunc                        func(param0 aws.Context, param1 *autoscaling.ExecutePolicyInput, param2 ...request.Option) (*autoscaling.ExecutePolicyOutput, error)
	ExitStandbyFunc                                     func(param0 *autoscaling.ExitStandbyInput) (*autoscaling.ExitStandbyOutput, error)
	ExitStandbyRequestFunc                              func(param0 *autoscaling.ExitStandbyInput) (*request.Request, *autoscaling.ExitStandbyOutput)
	ExitStandbyWithContextFunc                          func(param0 aws.Context, param1 *autoscaling.ExitStandbyInput, param2 ...request.Option) (*autoscaling.ExitStandbyOutput, error)
	PutLifecycleHookFunc                                func(param0 *autoscaling.PutLifecycleHookInput) (*autoscaling.PutLifecycleHookOutput, error)
	PutLifecycleHookRequestFunc                         func(param0 *autoscaling.PutLifecycleHookInput) (*request.Request, *autoscaling.PutLifecycleHookOutput)
	PutLifecycleHookWithContextFunc                     func(param0 aws.Context, param1 *autoscaling.PutLifecycleHookInput, param2 ...request.Option) (*autoscaling.PutLifecycleHookOutput, error)
	PutNotificationConfigurationFunc                    func(param0 *autoscaling.PutNotificationConfigurationInput) (*autoscaling.PutNotificationConfigurationOutput, error)
	PutNotificationConfigurationRequestFunc             func(param0 *autoscaling.PutNotificationConfigurationInput) (*request.Request, *autoscaling.PutNotificationConfigurationOutput)
	PutNotificationConfigurationWithContextFunc         func(param0 aws.Context, param1 *autoscaling.PutNotificationConfigurationInput, param2 ...request.Option) (*autoscaling.PutNotificationConfigurationOutput, error)
	PutScalingPolicyFunc                                func(param0 *autoscaling.PutScalingPolicyInput) (*autoscaling.PutScalingPolicyOutput, error)
	PutScalingPolicyRequestFunc                         func(param0 *autoscaling.PutScalingPolicyInput) (*request.Request, *autoscaling.PutScalingPolicyOutput)
	PutScalingPolicyWithContextFunc                     func(param0 aws.Context, param1 *autoscaling.PutScalingPolicyInput, param2 ...request.Option) (*autoscaling.PutScalingPolicyOutput, error)
	PutScheduledUpdateGroupActionFunc                   func(param0 *autoscaling.PutScheduledUpdateGroupActionInput) (*autoscaling.PutScheduledUpdateGroupActionOutput, error)
	PutScheduledUpdateGroupActionRequestFunc            func(param0 *autoscaling.PutScheduledUpdateGroupActionInput) (*request.Request, *autoscaling.PutScheduledUpdateGroupActionOutput)
	PutScheduledUpdateGroupActionWithContextFunc        func(param0 aws.Context, param1 *autoscaling.PutScheduledUpdateGroupActionInput, param2 ...request.Option) (*autoscaling.PutScheduledUpdateGroupActionOutput, error)
	RecordLifecycleActionHeartbeatFunc                  func(param0 *autoscaling.RecordLifecycleActionHeartbeatInput) (*autoscaling.RecordLifecycleActionHeartbeatOutput, error)
	RecordLifecycleActionHeartbeatRequestFunc           func(param0 *autoscaling.RecordLifecycleActionHeartbeatInput) (*request.Request, *autoscaling.RecordLifecycleActionHeartbeatOutput)
	RecordLifecycleActionHeartbeatWithContextFunc       func(param0 aws.Context, param1 *autoscaling.RecordLifecycleActionHeartbeatInput, param2 ...request.Option) (*autoscaling.RecordLifecycleActionHeartbeatOutput, error)
	ResumeProcessesFunc                                 func(param0 *autoscaling.ScalingProcessQuery) (*autoscaling.ResumeProcessesOutput, error)
	ResumeProcessesRequestFunc                          func(param0 *autoscaling.ScalingProcessQuery) (*request.Request, *autoscaling.ResumeProcessesOutput)
	ResumeProcessesWithContextFunc                      func(param0 aws.Context, param1 *autoscaling.ScalingProcessQuery, param2 ...request.Option) (*autoscaling.ResumeProcessesOutput, error)
	SetDesiredCapacityFunc                              func(param0 *autoscaling.SetDesiredCapacityInput) (*autoscaling.SetDesiredCapacityOutput, error)
	SetDesiredCapacityRequestFunc                       func(param0 *autoscaling.SetDesiredCapacityInput) (*request.Request, *autoscaling.SetDesiredCapacityOutput)
	SetDesiredCapacityWithContextFunc                   func(param0 aws.Context, param1 *autoscaling.SetDesiredCapacityInput, param2 ...request.Option) (*autoscaling.SetDesiredCapacityOutput, error)
	SetInstanceHealthFunc                               func(param0 *autoscaling.SetInstanceHealthInput) (*autoscaling.SetInstanceHealthOutput, error)
	SetInstanceHealthRequestFunc                        func(param0 *autoscaling.SetInstanceHealthInput) (*request.Request, *autoscaling.SetInstanceHealthOutput)
	SetInstanceHealthWithContextFunc                    func(param0 aws.Context, param1 *autoscaling.SetInstanceHealthInput, param2 ...request.Option) (*autoscaling.SetInstanceHealthOutput, error)
	SetInstanceProtectionFunc                           func(param0 *autoscaling.SetInstanceProtectionInput) (*autoscaling.SetInstanceProtectionOutput, error)
	SetInstanceProtectionRequestFunc                    func(param0 *autoscaling.SetInstanceProtectionInput) (*request.Request, *autoscaling.SetInstanceProtectionOutput)
	SetInstanceProtectionWithContextFunc                func(param0 aws.Context, param1 *autoscaling.SetInstanceProtectionInput, param2 ...request.Option) (*autoscaling.SetInstanceProtectionOutput, error)
	SuspendProcessesFunc                                func(param0 *autoscaling.ScalingProcessQuery) (*autoscaling.SuspendProcessesOutput, error)
	SuspendProcessesRequestFunc                         func(param0 *autoscaling.ScalingProcessQuery) (*request.Request, *autoscaling.SuspendProcessesOutput)
	SuspendProcessesWithContextFunc                     func(param0 aws.Context, param1 *autoscaling.ScalingProcessQuery, param2 ...request.Option) (*autoscaling.SuspendProcessesOutput, error)
	TerminateInstanceInAutoScalingGroupFunc             func(param0 *autoscaling.TerminateInstanceInAutoScalingGroupInput) (*autoscaling.TerminateInstanceInAutoScalingGroupOutput, error)
	TerminateInstanceInAutoScalingGroupRequestFunc      func(param0 *autoscaling.TerminateInstanceInAutoScalingGroupInput) (*request.Request, *autoscaling.TerminateInstanceInAutoScalingGroupOutput)
	TerminateInstanceInAutoScalingGroupWithContextFunc  func(param0 aws.Context, param1 *autoscaling.TerminateInstanceInAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.TerminateInstanceInAutoScalingGroupOutput, error)
	UpdateAutoScalingGroupFunc                          func(param0 *autoscaling.UpdateAutoScalingGroupInput) (*autoscaling.UpdateAutoScalingGroupOutput, error)
	UpdateAutoScalingGroupRequestFunc                   func(param0 *autoscaling.UpdateAutoScalingGroupInput) (*request.Request, *autoscaling.UpdateAutoScalingGroupOutput)
	UpdateAutoScalingGroupWithContextFunc               func(param0 aws.Context, param1 *autoscaling.UpdateAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.UpdateAutoScalingGroupOutput, error)
	WaitUntilGroupExistsFunc                            func(param0 *autoscaling.DescribeAutoScalingGroupsInput) error
	WaitUntilGroupExistsWithContextFunc                 func(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.WaiterOption) error
	WaitUntilGroupInServiceFunc                         func(param0 *autoscaling.DescribeAutoScalingGroupsInput) error
	WaitUntilGroupInServiceWithContextFunc              func(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.WaiterOption) error
	WaitUntilGroupNotExistsFunc                         func(param0 *autoscaling.DescribeAutoScalingGroupsInput) error
	WaitUntilGroupNotExistsWithContextFunc              func(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.WaiterOption) error
}

func (m *autoscalingMock) AttachInstances(param0 *autoscaling.AttachInstancesInput) (*autoscaling.AttachInstancesOutput, error) {
	m.addCall("AttachInstances")
	m.verifyInput("AttachInstances", param0)
	return m.AttachInstancesFunc(param0)
}

func (m *autoscalingMock) AttachInstancesRequest(param0 *autoscaling.AttachInstancesInput) (*request.Request, *autoscaling.AttachInstancesOutput) {
	m.addCall("AttachInstancesRequest")
	m.verifyInput("AttachInstancesRequest", param0)
	return m.AttachInstancesRequestFunc(param0)
}

func (m *autoscalingMock) AttachInstancesWithContext(param0 aws.Context, param1 *autoscaling.AttachInstancesInput, param2 ...request.Option) (*autoscaling.AttachInstancesOutput, error) {
	m.addCall("AttachInstancesWithContext")
	m.verifyInput("AttachInstancesWithContext", param0)
	return m.AttachInstancesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) AttachLoadBalancerTargetGroups(param0 *autoscaling.AttachLoadBalancerTargetGroupsInput) (*autoscaling.AttachLoadBalancerTargetGroupsOutput, error) {
	m.addCall("AttachLoadBalancerTargetGroups")
	m.verifyInput("AttachLoadBalancerTargetGroups", param0)
	return m.AttachLoadBalancerTargetGroupsFunc(param0)
}

func (m *autoscalingMock) AttachLoadBalancerTargetGroupsRequest(param0 *autoscaling.AttachLoadBalancerTargetGroupsInput) (*request.Request, *autoscaling.AttachLoadBalancerTargetGroupsOutput) {
	m.addCall("AttachLoadBalancerTargetGroupsRequest")
	m.verifyInput("AttachLoadBalancerTargetGroupsRequest", param0)
	return m.AttachLoadBalancerTargetGroupsRequestFunc(param0)
}

func (m *autoscalingMock) AttachLoadBalancerTargetGroupsWithContext(param0 aws.Context, param1 *autoscaling.AttachLoadBalancerTargetGroupsInput, param2 ...request.Option) (*autoscaling.AttachLoadBalancerTargetGroupsOutput, error) {
	m.addCall("AttachLoadBalancerTargetGroupsWithContext")
	m.verifyInput("AttachLoadBalancerTargetGroupsWithContext", param0)
	return m.AttachLoadBalancerTargetGroupsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) AttachLoadBalancers(param0 *autoscaling.AttachLoadBalancersInput) (*autoscaling.AttachLoadBalancersOutput, error) {
	m.addCall("AttachLoadBalancers")
	m.verifyInput("AttachLoadBalancers", param0)
	return m.AttachLoadBalancersFunc(param0)
}

func (m *autoscalingMock) AttachLoadBalancersRequest(param0 *autoscaling.AttachLoadBalancersInput) (*request.Request, *autoscaling.AttachLoadBalancersOutput) {
	m.addCall("AttachLoadBalancersRequest")
	m.verifyInput("AttachLoadBalancersRequest", param0)
	return m.AttachLoadBalancersRequestFunc(param0)
}

func (m *autoscalingMock) AttachLoadBalancersWithContext(param0 aws.Context, param1 *autoscaling.AttachLoadBalancersInput, param2 ...request.Option) (*autoscaling.AttachLoadBalancersOutput, error) {
	m.addCall("AttachLoadBalancersWithContext")
	m.verifyInput("AttachLoadBalancersWithContext", param0)
	return m.AttachLoadBalancersWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) CompleteLifecycleAction(param0 *autoscaling.CompleteLifecycleActionInput) (*autoscaling.CompleteLifecycleActionOutput, error) {
	m.addCall("CompleteLifecycleAction")
	m.verifyInput("CompleteLifecycleAction", param0)
	return m.CompleteLifecycleActionFunc(param0)
}

func (m *autoscalingMock) CompleteLifecycleActionRequest(param0 *autoscaling.CompleteLifecycleActionInput) (*request.Request, *autoscaling.CompleteLifecycleActionOutput) {
	m.addCall("CompleteLifecycleActionRequest")
	m.verifyInput("CompleteLifecycleActionRequest", param0)
	return m.CompleteLifecycleActionRequestFunc(param0)
}

func (m *autoscalingMock) CompleteLifecycleActionWithContext(param0 aws.Context, param1 *autoscaling.CompleteLifecycleActionInput, param2 ...request.Option) (*autoscaling.CompleteLifecycleActionOutput, error) {
	m.addCall("CompleteLifecycleActionWithContext")
	m.verifyInput("CompleteLifecycleActionWithContext", param0)
	return m.CompleteLifecycleActionWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) CreateAutoScalingGroup(param0 *autoscaling.CreateAutoScalingGroupInput) (*autoscaling.CreateAutoScalingGroupOutput, error) {
	m.addCall("CreateAutoScalingGroup")
	m.verifyInput("CreateAutoScalingGroup", param0)
	return m.CreateAutoScalingGroupFunc(param0)
}

func (m *autoscalingMock) CreateAutoScalingGroupRequest(param0 *autoscaling.CreateAutoScalingGroupInput) (*request.Request, *autoscaling.CreateAutoScalingGroupOutput) {
	m.addCall("CreateAutoScalingGroupRequest")
	m.verifyInput("CreateAutoScalingGroupRequest", param0)
	return m.CreateAutoScalingGroupRequestFunc(param0)
}

func (m *autoscalingMock) CreateAutoScalingGroupWithContext(param0 aws.Context, param1 *autoscaling.CreateAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.CreateAutoScalingGroupOutput, error) {
	m.addCall("CreateAutoScalingGroupWithContext")
	m.verifyInput("CreateAutoScalingGroupWithContext", param0)
	return m.CreateAutoScalingGroupWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) CreateLaunchConfiguration(param0 *autoscaling.CreateLaunchConfigurationInput) (*autoscaling.CreateLaunchConfigurationOutput, error) {
	m.addCall("CreateLaunchConfiguration")
	m.verifyInput("CreateLaunchConfiguration", param0)
	return m.CreateLaunchConfigurationFunc(param0)
}

func (m *autoscalingMock) CreateLaunchConfigurationRequest(param0 *autoscaling.CreateLaunchConfigurationInput) (*request.Request, *autoscaling.CreateLaunchConfigurationOutput) {
	m.addCall("CreateLaunchConfigurationRequest")
	m.verifyInput("CreateLaunchConfigurationRequest", param0)
	return m.CreateLaunchConfigurationRequestFunc(param0)
}

func (m *autoscalingMock) CreateLaunchConfigurationWithContext(param0 aws.Context, param1 *autoscaling.CreateLaunchConfigurationInput, param2 ...request.Option) (*autoscaling.CreateLaunchConfigurationOutput, error) {
	m.addCall("CreateLaunchConfigurationWithContext")
	m.verifyInput("CreateLaunchConfigurationWithContext", param0)
	return m.CreateLaunchConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) CreateOrUpdateTags(param0 *autoscaling.CreateOrUpdateTagsInput) (*autoscaling.CreateOrUpdateTagsOutput, error) {
	m.addCall("CreateOrUpdateTags")
	m.verifyInput("CreateOrUpdateTags", param0)
	return m.CreateOrUpdateTagsFunc(param0)
}

func (m *autoscalingMock) CreateOrUpdateTagsRequest(param0 *autoscaling.CreateOrUpdateTagsInput) (*request.Request, *autoscaling.CreateOrUpdateTagsOutput) {
	m.addCall("CreateOrUpdateTagsRequest")
	m.verifyInput("CreateOrUpdateTagsRequest", param0)
	return m.CreateOrUpdateTagsRequestFunc(param0)
}

func (m *autoscalingMock) CreateOrUpdateTagsWithContext(param0 aws.Context, param1 *autoscaling.CreateOrUpdateTagsInput, param2 ...request.Option) (*autoscaling.CreateOrUpdateTagsOutput, error) {
	m.addCall("CreateOrUpdateTagsWithContext")
	m.verifyInput("CreateOrUpdateTagsWithContext", param0)
	return m.CreateOrUpdateTagsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeleteAutoScalingGroup(param0 *autoscaling.DeleteAutoScalingGroupInput) (*autoscaling.DeleteAutoScalingGroupOutput, error) {
	m.addCall("DeleteAutoScalingGroup")
	m.verifyInput("DeleteAutoScalingGroup", param0)
	return m.DeleteAutoScalingGroupFunc(param0)
}

func (m *autoscalingMock) DeleteAutoScalingGroupRequest(param0 *autoscaling.DeleteAutoScalingGroupInput) (*request.Request, *autoscaling.DeleteAutoScalingGroupOutput) {
	m.addCall("DeleteAutoScalingGroupRequest")
	m.verifyInput("DeleteAutoScalingGroupRequest", param0)
	return m.DeleteAutoScalingGroupRequestFunc(param0)
}

func (m *autoscalingMock) DeleteAutoScalingGroupWithContext(param0 aws.Context, param1 *autoscaling.DeleteAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.DeleteAutoScalingGroupOutput, error) {
	m.addCall("DeleteAutoScalingGroupWithContext")
	m.verifyInput("DeleteAutoScalingGroupWithContext", param0)
	return m.DeleteAutoScalingGroupWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeleteLaunchConfiguration(param0 *autoscaling.DeleteLaunchConfigurationInput) (*autoscaling.DeleteLaunchConfigurationOutput, error) {
	m.addCall("DeleteLaunchConfiguration")
	m.verifyInput("DeleteLaunchConfiguration", param0)
	return m.DeleteLaunchConfigurationFunc(param0)
}

func (m *autoscalingMock) DeleteLaunchConfigurationRequest(param0 *autoscaling.DeleteLaunchConfigurationInput) (*request.Request, *autoscaling.DeleteLaunchConfigurationOutput) {
	m.addCall("DeleteLaunchConfigurationRequest")
	m.verifyInput("DeleteLaunchConfigurationRequest", param0)
	return m.DeleteLaunchConfigurationRequestFunc(param0)
}

func (m *autoscalingMock) DeleteLaunchConfigurationWithContext(param0 aws.Context, param1 *autoscaling.DeleteLaunchConfigurationInput, param2 ...request.Option) (*autoscaling.DeleteLaunchConfigurationOutput, error) {
	m.addCall("DeleteLaunchConfigurationWithContext")
	m.verifyInput("DeleteLaunchConfigurationWithContext", param0)
	return m.DeleteLaunchConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeleteLifecycleHook(param0 *autoscaling.DeleteLifecycleHookInput) (*autoscaling.DeleteLifecycleHookOutput, error) {
	m.addCall("DeleteLifecycleHook")
	m.verifyInput("DeleteLifecycleHook", param0)
	return m.DeleteLifecycleHookFunc(param0)
}

func (m *autoscalingMock) DeleteLifecycleHookRequest(param0 *autoscaling.DeleteLifecycleHookInput) (*request.Request, *autoscaling.DeleteLifecycleHookOutput) {
	m.addCall("DeleteLifecycleHookRequest")
	m.verifyInput("DeleteLifecycleHookRequest", param0)
	return m.DeleteLifecycleHookRequestFunc(param0)
}

func (m *autoscalingMock) DeleteLifecycleHookWithContext(param0 aws.Context, param1 *autoscaling.DeleteLifecycleHookInput, param2 ...request.Option) (*autoscaling.DeleteLifecycleHookOutput, error) {
	m.addCall("DeleteLifecycleHookWithContext")
	m.verifyInput("DeleteLifecycleHookWithContext", param0)
	return m.DeleteLifecycleHookWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeleteNotificationConfiguration(param0 *autoscaling.DeleteNotificationConfigurationInput) (*autoscaling.DeleteNotificationConfigurationOutput, error) {
	m.addCall("DeleteNotificationConfiguration")
	m.verifyInput("DeleteNotificationConfiguration", param0)
	return m.DeleteNotificationConfigurationFunc(param0)
}

func (m *autoscalingMock) DeleteNotificationConfigurationRequest(param0 *autoscaling.DeleteNotificationConfigurationInput) (*request.Request, *autoscaling.DeleteNotificationConfigurationOutput) {
	m.addCall("DeleteNotificationConfigurationRequest")
	m.verifyInput("DeleteNotificationConfigurationRequest", param0)
	return m.DeleteNotificationConfigurationRequestFunc(param0)
}

func (m *autoscalingMock) DeleteNotificationConfigurationWithContext(param0 aws.Context, param1 *autoscaling.DeleteNotificationConfigurationInput, param2 ...request.Option) (*autoscaling.DeleteNotificationConfigurationOutput, error) {
	m.addCall("DeleteNotificationConfigurationWithContext")
	m.verifyInput("DeleteNotificationConfigurationWithContext", param0)
	return m.DeleteNotificationConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeletePolicy(param0 *autoscaling.DeletePolicyInput) (*autoscaling.DeletePolicyOutput, error) {
	m.addCall("DeletePolicy")
	m.verifyInput("DeletePolicy", param0)
	return m.DeletePolicyFunc(param0)
}

func (m *autoscalingMock) DeletePolicyRequest(param0 *autoscaling.DeletePolicyInput) (*request.Request, *autoscaling.DeletePolicyOutput) {
	m.addCall("DeletePolicyRequest")
	m.verifyInput("DeletePolicyRequest", param0)
	return m.DeletePolicyRequestFunc(param0)
}

func (m *autoscalingMock) DeletePolicyWithContext(param0 aws.Context, param1 *autoscaling.DeletePolicyInput, param2 ...request.Option) (*autoscaling.DeletePolicyOutput, error) {
	m.addCall("DeletePolicyWithContext")
	m.verifyInput("DeletePolicyWithContext", param0)
	return m.DeletePolicyWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeleteScheduledAction(param0 *autoscaling.DeleteScheduledActionInput) (*autoscaling.DeleteScheduledActionOutput, error) {
	m.addCall("DeleteScheduledAction")
	m.verifyInput("DeleteScheduledAction", param0)
	return m.DeleteScheduledActionFunc(param0)
}

func (m *autoscalingMock) DeleteScheduledActionRequest(param0 *autoscaling.DeleteScheduledActionInput) (*request.Request, *autoscaling.DeleteScheduledActionOutput) {
	m.addCall("DeleteScheduledActionRequest")
	m.verifyInput("DeleteScheduledActionRequest", param0)
	return m.DeleteScheduledActionRequestFunc(param0)
}

func (m *autoscalingMock) DeleteScheduledActionWithContext(param0 aws.Context, param1 *autoscaling.DeleteScheduledActionInput, param2 ...request.Option) (*autoscaling.DeleteScheduledActionOutput, error) {
	m.addCall("DeleteScheduledActionWithContext")
	m.verifyInput("DeleteScheduledActionWithContext", param0)
	return m.DeleteScheduledActionWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DeleteTags(param0 *autoscaling.DeleteTagsInput) (*autoscaling.DeleteTagsOutput, error) {
	m.addCall("DeleteTags")
	m.verifyInput("DeleteTags", param0)
	return m.DeleteTagsFunc(param0)
}

func (m *autoscalingMock) DeleteTagsRequest(param0 *autoscaling.DeleteTagsInput) (*request.Request, *autoscaling.DeleteTagsOutput) {
	m.addCall("DeleteTagsRequest")
	m.verifyInput("DeleteTagsRequest", param0)
	return m.DeleteTagsRequestFunc(param0)
}

func (m *autoscalingMock) DeleteTagsWithContext(param0 aws.Context, param1 *autoscaling.DeleteTagsInput, param2 ...request.Option) (*autoscaling.DeleteTagsOutput, error) {
	m.addCall("DeleteTagsWithContext")
	m.verifyInput("DeleteTagsWithContext", param0)
	return m.DeleteTagsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeAccountLimits(param0 *autoscaling.DescribeAccountLimitsInput) (*autoscaling.DescribeAccountLimitsOutput, error) {
	m.addCall("DescribeAccountLimits")
	m.verifyInput("DescribeAccountLimits", param0)
	return m.DescribeAccountLimitsFunc(param0)
}

func (m *autoscalingMock) DescribeAccountLimitsRequest(param0 *autoscaling.DescribeAccountLimitsInput) (*request.Request, *autoscaling.DescribeAccountLimitsOutput) {
	m.addCall("DescribeAccountLimitsRequest")
	m.verifyInput("DescribeAccountLimitsRequest", param0)
	return m.DescribeAccountLimitsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeAccountLimitsWithContext(param0 aws.Context, param1 *autoscaling.DescribeAccountLimitsInput, param2 ...request.Option) (*autoscaling.DescribeAccountLimitsOutput, error) {
	m.addCall("DescribeAccountLimitsWithContext")
	m.verifyInput("DescribeAccountLimitsWithContext", param0)
	return m.DescribeAccountLimitsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeAdjustmentTypes(param0 *autoscaling.DescribeAdjustmentTypesInput) (*autoscaling.DescribeAdjustmentTypesOutput, error) {
	m.addCall("DescribeAdjustmentTypes")
	m.verifyInput("DescribeAdjustmentTypes", param0)
	return m.DescribeAdjustmentTypesFunc(param0)
}

func (m *autoscalingMock) DescribeAdjustmentTypesRequest(param0 *autoscaling.DescribeAdjustmentTypesInput) (*request.Request, *autoscaling.DescribeAdjustmentTypesOutput) {
	m.addCall("DescribeAdjustmentTypesRequest")
	m.verifyInput("DescribeAdjustmentTypesRequest", param0)
	return m.DescribeAdjustmentTypesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeAdjustmentTypesWithContext(param0 aws.Context, param1 *autoscaling.DescribeAdjustmentTypesInput, param2 ...request.Option) (*autoscaling.DescribeAdjustmentTypesOutput, error) {
	m.addCall("DescribeAdjustmentTypesWithContext")
	m.verifyInput("DescribeAdjustmentTypesWithContext", param0)
	return m.DescribeAdjustmentTypesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeAutoScalingGroups(param0 *autoscaling.DescribeAutoScalingGroupsInput) (*autoscaling.DescribeAutoScalingGroupsOutput, error) {
	m.addCall("DescribeAutoScalingGroups")
	m.verifyInput("DescribeAutoScalingGroups", param0)
	return m.DescribeAutoScalingGroupsFunc(param0)
}

func (m *autoscalingMock) DescribeAutoScalingGroupsRequest(param0 *autoscaling.DescribeAutoScalingGroupsInput) (*request.Request, *autoscaling.DescribeAutoScalingGroupsOutput) {
	m.addCall("DescribeAutoScalingGroupsRequest")
	m.verifyInput("DescribeAutoScalingGroupsRequest", param0)
	return m.DescribeAutoScalingGroupsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeAutoScalingGroupsWithContext(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.Option) (*autoscaling.DescribeAutoScalingGroupsOutput, error) {
	m.addCall("DescribeAutoScalingGroupsWithContext")
	m.verifyInput("DescribeAutoScalingGroupsWithContext", param0)
	return m.DescribeAutoScalingGroupsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeAutoScalingInstances(param0 *autoscaling.DescribeAutoScalingInstancesInput) (*autoscaling.DescribeAutoScalingInstancesOutput, error) {
	m.addCall("DescribeAutoScalingInstances")
	m.verifyInput("DescribeAutoScalingInstances", param0)
	return m.DescribeAutoScalingInstancesFunc(param0)
}

func (m *autoscalingMock) DescribeAutoScalingInstancesRequest(param0 *autoscaling.DescribeAutoScalingInstancesInput) (*request.Request, *autoscaling.DescribeAutoScalingInstancesOutput) {
	m.addCall("DescribeAutoScalingInstancesRequest")
	m.verifyInput("DescribeAutoScalingInstancesRequest", param0)
	return m.DescribeAutoScalingInstancesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeAutoScalingInstancesWithContext(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingInstancesInput, param2 ...request.Option) (*autoscaling.DescribeAutoScalingInstancesOutput, error) {
	m.addCall("DescribeAutoScalingInstancesWithContext")
	m.verifyInput("DescribeAutoScalingInstancesWithContext", param0)
	return m.DescribeAutoScalingInstancesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeAutoScalingNotificationTypes(param0 *autoscaling.DescribeAutoScalingNotificationTypesInput) (*autoscaling.DescribeAutoScalingNotificationTypesOutput, error) {
	m.addCall("DescribeAutoScalingNotificationTypes")
	m.verifyInput("DescribeAutoScalingNotificationTypes", param0)
	return m.DescribeAutoScalingNotificationTypesFunc(param0)
}

func (m *autoscalingMock) DescribeAutoScalingNotificationTypesRequest(param0 *autoscaling.DescribeAutoScalingNotificationTypesInput) (*request.Request, *autoscaling.DescribeAutoScalingNotificationTypesOutput) {
	m.addCall("DescribeAutoScalingNotificationTypesRequest")
	m.verifyInput("DescribeAutoScalingNotificationTypesRequest", param0)
	return m.DescribeAutoScalingNotificationTypesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeAutoScalingNotificationTypesWithContext(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingNotificationTypesInput, param2 ...request.Option) (*autoscaling.DescribeAutoScalingNotificationTypesOutput, error) {
	m.addCall("DescribeAutoScalingNotificationTypesWithContext")
	m.verifyInput("DescribeAutoScalingNotificationTypesWithContext", param0)
	return m.DescribeAutoScalingNotificationTypesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeLaunchConfigurations(param0 *autoscaling.DescribeLaunchConfigurationsInput) (*autoscaling.DescribeLaunchConfigurationsOutput, error) {
	m.addCall("DescribeLaunchConfigurations")
	m.verifyInput("DescribeLaunchConfigurations", param0)
	return m.DescribeLaunchConfigurationsFunc(param0)
}

func (m *autoscalingMock) DescribeLaunchConfigurationsRequest(param0 *autoscaling.DescribeLaunchConfigurationsInput) (*request.Request, *autoscaling.DescribeLaunchConfigurationsOutput) {
	m.addCall("DescribeLaunchConfigurationsRequest")
	m.verifyInput("DescribeLaunchConfigurationsRequest", param0)
	return m.DescribeLaunchConfigurationsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeLaunchConfigurationsWithContext(param0 aws.Context, param1 *autoscaling.DescribeLaunchConfigurationsInput, param2 ...request.Option) (*autoscaling.DescribeLaunchConfigurationsOutput, error) {
	m.addCall("DescribeLaunchConfigurationsWithContext")
	m.verifyInput("DescribeLaunchConfigurationsWithContext", param0)
	return m.DescribeLaunchConfigurationsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeLifecycleHookTypes(param0 *autoscaling.DescribeLifecycleHookTypesInput) (*autoscaling.DescribeLifecycleHookTypesOutput, error) {
	m.addCall("DescribeLifecycleHookTypes")
	m.verifyInput("DescribeLifecycleHookTypes", param0)
	return m.DescribeLifecycleHookTypesFunc(param0)
}

func (m *autoscalingMock) DescribeLifecycleHookTypesRequest(param0 *autoscaling.DescribeLifecycleHookTypesInput) (*request.Request, *autoscaling.DescribeLifecycleHookTypesOutput) {
	m.addCall("DescribeLifecycleHookTypesRequest")
	m.verifyInput("DescribeLifecycleHookTypesRequest", param0)
	return m.DescribeLifecycleHookTypesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeLifecycleHookTypesWithContext(param0 aws.Context, param1 *autoscaling.DescribeLifecycleHookTypesInput, param2 ...request.Option) (*autoscaling.DescribeLifecycleHookTypesOutput, error) {
	m.addCall("DescribeLifecycleHookTypesWithContext")
	m.verifyInput("DescribeLifecycleHookTypesWithContext", param0)
	return m.DescribeLifecycleHookTypesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeLifecycleHooks(param0 *autoscaling.DescribeLifecycleHooksInput) (*autoscaling.DescribeLifecycleHooksOutput, error) {
	m.addCall("DescribeLifecycleHooks")
	m.verifyInput("DescribeLifecycleHooks", param0)
	return m.DescribeLifecycleHooksFunc(param0)
}

func (m *autoscalingMock) DescribeLifecycleHooksRequest(param0 *autoscaling.DescribeLifecycleHooksInput) (*request.Request, *autoscaling.DescribeLifecycleHooksOutput) {
	m.addCall("DescribeLifecycleHooksRequest")
	m.verifyInput("DescribeLifecycleHooksRequest", param0)
	return m.DescribeLifecycleHooksRequestFunc(param0)
}

func (m *autoscalingMock) DescribeLifecycleHooksWithContext(param0 aws.Context, param1 *autoscaling.DescribeLifecycleHooksInput, param2 ...request.Option) (*autoscaling.DescribeLifecycleHooksOutput, error) {
	m.addCall("DescribeLifecycleHooksWithContext")
	m.verifyInput("DescribeLifecycleHooksWithContext", param0)
	return m.DescribeLifecycleHooksWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeLoadBalancerTargetGroups(param0 *autoscaling.DescribeLoadBalancerTargetGroupsInput) (*autoscaling.DescribeLoadBalancerTargetGroupsOutput, error) {
	m.addCall("DescribeLoadBalancerTargetGroups")
	m.verifyInput("DescribeLoadBalancerTargetGroups", param0)
	return m.DescribeLoadBalancerTargetGroupsFunc(param0)
}

func (m *autoscalingMock) DescribeLoadBalancerTargetGroupsRequest(param0 *autoscaling.DescribeLoadBalancerTargetGroupsInput) (*request.Request, *autoscaling.DescribeLoadBalancerTargetGroupsOutput) {
	m.addCall("DescribeLoadBalancerTargetGroupsRequest")
	m.verifyInput("DescribeLoadBalancerTargetGroupsRequest", param0)
	return m.DescribeLoadBalancerTargetGroupsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeLoadBalancerTargetGroupsWithContext(param0 aws.Context, param1 *autoscaling.DescribeLoadBalancerTargetGroupsInput, param2 ...request.Option) (*autoscaling.DescribeLoadBalancerTargetGroupsOutput, error) {
	m.addCall("DescribeLoadBalancerTargetGroupsWithContext")
	m.verifyInput("DescribeLoadBalancerTargetGroupsWithContext", param0)
	return m.DescribeLoadBalancerTargetGroupsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeLoadBalancers(param0 *autoscaling.DescribeLoadBalancersInput) (*autoscaling.DescribeLoadBalancersOutput, error) {
	m.addCall("DescribeLoadBalancers")
	m.verifyInput("DescribeLoadBalancers", param0)
	return m.DescribeLoadBalancersFunc(param0)
}

func (m *autoscalingMock) DescribeLoadBalancersRequest(param0 *autoscaling.DescribeLoadBalancersInput) (*request.Request, *autoscaling.DescribeLoadBalancersOutput) {
	m.addCall("DescribeLoadBalancersRequest")
	m.verifyInput("DescribeLoadBalancersRequest", param0)
	return m.DescribeLoadBalancersRequestFunc(param0)
}

func (m *autoscalingMock) DescribeLoadBalancersWithContext(param0 aws.Context, param1 *autoscaling.DescribeLoadBalancersInput, param2 ...request.Option) (*autoscaling.DescribeLoadBalancersOutput, error) {
	m.addCall("DescribeLoadBalancersWithContext")
	m.verifyInput("DescribeLoadBalancersWithContext", param0)
	return m.DescribeLoadBalancersWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeMetricCollectionTypes(param0 *autoscaling.DescribeMetricCollectionTypesInput) (*autoscaling.DescribeMetricCollectionTypesOutput, error) {
	m.addCall("DescribeMetricCollectionTypes")
	m.verifyInput("DescribeMetricCollectionTypes", param0)
	return m.DescribeMetricCollectionTypesFunc(param0)
}

func (m *autoscalingMock) DescribeMetricCollectionTypesRequest(param0 *autoscaling.DescribeMetricCollectionTypesInput) (*request.Request, *autoscaling.DescribeMetricCollectionTypesOutput) {
	m.addCall("DescribeMetricCollectionTypesRequest")
	m.verifyInput("DescribeMetricCollectionTypesRequest", param0)
	return m.DescribeMetricCollectionTypesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeMetricCollectionTypesWithContext(param0 aws.Context, param1 *autoscaling.DescribeMetricCollectionTypesInput, param2 ...request.Option) (*autoscaling.DescribeMetricCollectionTypesOutput, error) {
	m.addCall("DescribeMetricCollectionTypesWithContext")
	m.verifyInput("DescribeMetricCollectionTypesWithContext", param0)
	return m.DescribeMetricCollectionTypesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeNotificationConfigurations(param0 *autoscaling.DescribeNotificationConfigurationsInput) (*autoscaling.DescribeNotificationConfigurationsOutput, error) {
	m.addCall("DescribeNotificationConfigurations")
	m.verifyInput("DescribeNotificationConfigurations", param0)
	return m.DescribeNotificationConfigurationsFunc(param0)
}

func (m *autoscalingMock) DescribeNotificationConfigurationsRequest(param0 *autoscaling.DescribeNotificationConfigurationsInput) (*request.Request, *autoscaling.DescribeNotificationConfigurationsOutput) {
	m.addCall("DescribeNotificationConfigurationsRequest")
	m.verifyInput("DescribeNotificationConfigurationsRequest", param0)
	return m.DescribeNotificationConfigurationsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeNotificationConfigurationsWithContext(param0 aws.Context, param1 *autoscaling.DescribeNotificationConfigurationsInput, param2 ...request.Option) (*autoscaling.DescribeNotificationConfigurationsOutput, error) {
	m.addCall("DescribeNotificationConfigurationsWithContext")
	m.verifyInput("DescribeNotificationConfigurationsWithContext", param0)
	return m.DescribeNotificationConfigurationsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribePolicies(param0 *autoscaling.DescribePoliciesInput) (*autoscaling.DescribePoliciesOutput, error) {
	m.addCall("DescribePolicies")
	m.verifyInput("DescribePolicies", param0)
	return m.DescribePoliciesFunc(param0)
}

func (m *autoscalingMock) DescribePoliciesRequest(param0 *autoscaling.DescribePoliciesInput) (*request.Request, *autoscaling.DescribePoliciesOutput) {
	m.addCall("DescribePoliciesRequest")
	m.verifyInput("DescribePoliciesRequest", param0)
	return m.DescribePoliciesRequestFunc(param0)
}

func (m *autoscalingMock) DescribePoliciesWithContext(param0 aws.Context, param1 *autoscaling.DescribePoliciesInput, param2 ...request.Option) (*autoscaling.DescribePoliciesOutput, error) {
	m.addCall("DescribePoliciesWithContext")
	m.verifyInput("DescribePoliciesWithContext", param0)
	return m.DescribePoliciesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeScalingActivities(param0 *autoscaling.DescribeScalingActivitiesInput) (*autoscaling.DescribeScalingActivitiesOutput, error) {
	m.addCall("DescribeScalingActivities")
	m.verifyInput("DescribeScalingActivities", param0)
	return m.DescribeScalingActivitiesFunc(param0)
}

func (m *autoscalingMock) DescribeScalingActivitiesRequest(param0 *autoscaling.DescribeScalingActivitiesInput) (*request.Request, *autoscaling.DescribeScalingActivitiesOutput) {
	m.addCall("DescribeScalingActivitiesRequest")
	m.verifyInput("DescribeScalingActivitiesRequest", param0)
	return m.DescribeScalingActivitiesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeScalingActivitiesWithContext(param0 aws.Context, param1 *autoscaling.DescribeScalingActivitiesInput, param2 ...request.Option) (*autoscaling.DescribeScalingActivitiesOutput, error) {
	m.addCall("DescribeScalingActivitiesWithContext")
	m.verifyInput("DescribeScalingActivitiesWithContext", param0)
	return m.DescribeScalingActivitiesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeScalingProcessTypes(param0 *autoscaling.DescribeScalingProcessTypesInput) (*autoscaling.DescribeScalingProcessTypesOutput, error) {
	m.addCall("DescribeScalingProcessTypes")
	m.verifyInput("DescribeScalingProcessTypes", param0)
	return m.DescribeScalingProcessTypesFunc(param0)
}

func (m *autoscalingMock) DescribeScalingProcessTypesRequest(param0 *autoscaling.DescribeScalingProcessTypesInput) (*request.Request, *autoscaling.DescribeScalingProcessTypesOutput) {
	m.addCall("DescribeScalingProcessTypesRequest")
	m.verifyInput("DescribeScalingProcessTypesRequest", param0)
	return m.DescribeScalingProcessTypesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeScalingProcessTypesWithContext(param0 aws.Context, param1 *autoscaling.DescribeScalingProcessTypesInput, param2 ...request.Option) (*autoscaling.DescribeScalingProcessTypesOutput, error) {
	m.addCall("DescribeScalingProcessTypesWithContext")
	m.verifyInput("DescribeScalingProcessTypesWithContext", param0)
	return m.DescribeScalingProcessTypesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeScheduledActions(param0 *autoscaling.DescribeScheduledActionsInput) (*autoscaling.DescribeScheduledActionsOutput, error) {
	m.addCall("DescribeScheduledActions")
	m.verifyInput("DescribeScheduledActions", param0)
	return m.DescribeScheduledActionsFunc(param0)
}

func (m *autoscalingMock) DescribeScheduledActionsRequest(param0 *autoscaling.DescribeScheduledActionsInput) (*request.Request, *autoscaling.DescribeScheduledActionsOutput) {
	m.addCall("DescribeScheduledActionsRequest")
	m.verifyInput("DescribeScheduledActionsRequest", param0)
	return m.DescribeScheduledActionsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeScheduledActionsWithContext(param0 aws.Context, param1 *autoscaling.DescribeScheduledActionsInput, param2 ...request.Option) (*autoscaling.DescribeScheduledActionsOutput, error) {
	m.addCall("DescribeScheduledActionsWithContext")
	m.verifyInput("DescribeScheduledActionsWithContext", param0)
	return m.DescribeScheduledActionsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeTags(param0 *autoscaling.DescribeTagsInput) (*autoscaling.DescribeTagsOutput, error) {
	m.addCall("DescribeTags")
	m.verifyInput("DescribeTags", param0)
	return m.DescribeTagsFunc(param0)
}

func (m *autoscalingMock) DescribeTagsRequest(param0 *autoscaling.DescribeTagsInput) (*request.Request, *autoscaling.DescribeTagsOutput) {
	m.addCall("DescribeTagsRequest")
	m.verifyInput("DescribeTagsRequest", param0)
	return m.DescribeTagsRequestFunc(param0)
}

func (m *autoscalingMock) DescribeTagsWithContext(param0 aws.Context, param1 *autoscaling.DescribeTagsInput, param2 ...request.Option) (*autoscaling.DescribeTagsOutput, error) {
	m.addCall("DescribeTagsWithContext")
	m.verifyInput("DescribeTagsWithContext", param0)
	return m.DescribeTagsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DescribeTerminationPolicyTypes(param0 *autoscaling.DescribeTerminationPolicyTypesInput) (*autoscaling.DescribeTerminationPolicyTypesOutput, error) {
	m.addCall("DescribeTerminationPolicyTypes")
	m.verifyInput("DescribeTerminationPolicyTypes", param0)
	return m.DescribeTerminationPolicyTypesFunc(param0)
}

func (m *autoscalingMock) DescribeTerminationPolicyTypesRequest(param0 *autoscaling.DescribeTerminationPolicyTypesInput) (*request.Request, *autoscaling.DescribeTerminationPolicyTypesOutput) {
	m.addCall("DescribeTerminationPolicyTypesRequest")
	m.verifyInput("DescribeTerminationPolicyTypesRequest", param0)
	return m.DescribeTerminationPolicyTypesRequestFunc(param0)
}

func (m *autoscalingMock) DescribeTerminationPolicyTypesWithContext(param0 aws.Context, param1 *autoscaling.DescribeTerminationPolicyTypesInput, param2 ...request.Option) (*autoscaling.DescribeTerminationPolicyTypesOutput, error) {
	m.addCall("DescribeTerminationPolicyTypesWithContext")
	m.verifyInput("DescribeTerminationPolicyTypesWithContext", param0)
	return m.DescribeTerminationPolicyTypesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DetachInstances(param0 *autoscaling.DetachInstancesInput) (*autoscaling.DetachInstancesOutput, error) {
	m.addCall("DetachInstances")
	m.verifyInput("DetachInstances", param0)
	return m.DetachInstancesFunc(param0)
}

func (m *autoscalingMock) DetachInstancesRequest(param0 *autoscaling.DetachInstancesInput) (*request.Request, *autoscaling.DetachInstancesOutput) {
	m.addCall("DetachInstancesRequest")
	m.verifyInput("DetachInstancesRequest", param0)
	return m.DetachInstancesRequestFunc(param0)
}

func (m *autoscalingMock) DetachInstancesWithContext(param0 aws.Context, param1 *autoscaling.DetachInstancesInput, param2 ...request.Option) (*autoscaling.DetachInstancesOutput, error) {
	m.addCall("DetachInstancesWithContext")
	m.verifyInput("DetachInstancesWithContext", param0)
	return m.DetachInstancesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DetachLoadBalancerTargetGroups(param0 *autoscaling.DetachLoadBalancerTargetGroupsInput) (*autoscaling.DetachLoadBalancerTargetGroupsOutput, error) {
	m.addCall("DetachLoadBalancerTargetGroups")
	m.verifyInput("DetachLoadBalancerTargetGroups", param0)
	return m.DetachLoadBalancerTargetGroupsFunc(param0)
}

func (m *autoscalingMock) DetachLoadBalancerTargetGroupsRequest(param0 *autoscaling.DetachLoadBalancerTargetGroupsInput) (*request.Request, *autoscaling.DetachLoadBalancerTargetGroupsOutput) {
	m.addCall("DetachLoadBalancerTargetGroupsRequest")
	m.verifyInput("DetachLoadBalancerTargetGroupsRequest", param0)
	return m.DetachLoadBalancerTargetGroupsRequestFunc(param0)
}

func (m *autoscalingMock) DetachLoadBalancerTargetGroupsWithContext(param0 aws.Context, param1 *autoscaling.DetachLoadBalancerTargetGroupsInput, param2 ...request.Option) (*autoscaling.DetachLoadBalancerTargetGroupsOutput, error) {
	m.addCall("DetachLoadBalancerTargetGroupsWithContext")
	m.verifyInput("DetachLoadBalancerTargetGroupsWithContext", param0)
	return m.DetachLoadBalancerTargetGroupsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DetachLoadBalancers(param0 *autoscaling.DetachLoadBalancersInput) (*autoscaling.DetachLoadBalancersOutput, error) {
	m.addCall("DetachLoadBalancers")
	m.verifyInput("DetachLoadBalancers", param0)
	return m.DetachLoadBalancersFunc(param0)
}

func (m *autoscalingMock) DetachLoadBalancersRequest(param0 *autoscaling.DetachLoadBalancersInput) (*request.Request, *autoscaling.DetachLoadBalancersOutput) {
	m.addCall("DetachLoadBalancersRequest")
	m.verifyInput("DetachLoadBalancersRequest", param0)
	return m.DetachLoadBalancersRequestFunc(param0)
}

func (m *autoscalingMock) DetachLoadBalancersWithContext(param0 aws.Context, param1 *autoscaling.DetachLoadBalancersInput, param2 ...request.Option) (*autoscaling.DetachLoadBalancersOutput, error) {
	m.addCall("DetachLoadBalancersWithContext")
	m.verifyInput("DetachLoadBalancersWithContext", param0)
	return m.DetachLoadBalancersWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) DisableMetricsCollection(param0 *autoscaling.DisableMetricsCollectionInput) (*autoscaling.DisableMetricsCollectionOutput, error) {
	m.addCall("DisableMetricsCollection")
	m.verifyInput("DisableMetricsCollection", param0)
	return m.DisableMetricsCollectionFunc(param0)
}

func (m *autoscalingMock) DisableMetricsCollectionRequest(param0 *autoscaling.DisableMetricsCollectionInput) (*request.Request, *autoscaling.DisableMetricsCollectionOutput) {
	m.addCall("DisableMetricsCollectionRequest")
	m.verifyInput("DisableMetricsCollectionRequest", param0)
	return m.DisableMetricsCollectionRequestFunc(param0)
}

func (m *autoscalingMock) DisableMetricsCollectionWithContext(param0 aws.Context, param1 *autoscaling.DisableMetricsCollectionInput, param2 ...request.Option) (*autoscaling.DisableMetricsCollectionOutput, error) {
	m.addCall("DisableMetricsCollectionWithContext")
	m.verifyInput("DisableMetricsCollectionWithContext", param0)
	return m.DisableMetricsCollectionWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) EnableMetricsCollection(param0 *autoscaling.EnableMetricsCollectionInput) (*autoscaling.EnableMetricsCollectionOutput, error) {
	m.addCall("EnableMetricsCollection")
	m.verifyInput("EnableMetricsCollection", param0)
	return m.EnableMetricsCollectionFunc(param0)
}

func (m *autoscalingMock) EnableMetricsCollectionRequest(param0 *autoscaling.EnableMetricsCollectionInput) (*request.Request, *autoscaling.EnableMetricsCollectionOutput) {
	m.addCall("EnableMetricsCollectionRequest")
	m.verifyInput("EnableMetricsCollectionRequest", param0)
	return m.EnableMetricsCollectionRequestFunc(param0)
}

func (m *autoscalingMock) EnableMetricsCollectionWithContext(param0 aws.Context, param1 *autoscaling.EnableMetricsCollectionInput, param2 ...request.Option) (*autoscaling.EnableMetricsCollectionOutput, error) {
	m.addCall("EnableMetricsCollectionWithContext")
	m.verifyInput("EnableMetricsCollectionWithContext", param0)
	return m.EnableMetricsCollectionWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) EnterStandby(param0 *autoscaling.EnterStandbyInput) (*autoscaling.EnterStandbyOutput, error) {
	m.addCall("EnterStandby")
	m.verifyInput("EnterStandby", param0)
	return m.EnterStandbyFunc(param0)
}

func (m *autoscalingMock) EnterStandbyRequest(param0 *autoscaling.EnterStandbyInput) (*request.Request, *autoscaling.EnterStandbyOutput) {
	m.addCall("EnterStandbyRequest")
	m.verifyInput("EnterStandbyRequest", param0)
	return m.EnterStandbyRequestFunc(param0)
}

func (m *autoscalingMock) EnterStandbyWithContext(param0 aws.Context, param1 *autoscaling.EnterStandbyInput, param2 ...request.Option) (*autoscaling.EnterStandbyOutput, error) {
	m.addCall("EnterStandbyWithContext")
	m.verifyInput("EnterStandbyWithContext", param0)
	return m.EnterStandbyWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) ExecutePolicy(param0 *autoscaling.ExecutePolicyInput) (*autoscaling.ExecutePolicyOutput, error) {
	m.addCall("ExecutePolicy")
	m.verifyInput("ExecutePolicy", param0)
	return m.ExecutePolicyFunc(param0)
}

func (m *autoscalingMock) ExecutePolicyRequest(param0 *autoscaling.ExecutePolicyInput) (*request.Request, *autoscaling.ExecutePolicyOutput) {
	m.addCall("ExecutePolicyRequest")
	m.verifyInput("ExecutePolicyRequest", param0)
	return m.ExecutePolicyRequestFunc(param0)
}

func (m *autoscalingMock) ExecutePolicyWithContext(param0 aws.Context, param1 *autoscaling.ExecutePolicyInput, param2 ...request.Option) (*autoscaling.ExecutePolicyOutput, error) {
	m.addCall("ExecutePolicyWithContext")
	m.verifyInput("ExecutePolicyWithContext", param0)
	return m.ExecutePolicyWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) ExitStandby(param0 *autoscaling.ExitStandbyInput) (*autoscaling.ExitStandbyOutput, error) {
	m.addCall("ExitStandby")
	m.verifyInput("ExitStandby", param0)
	return m.ExitStandbyFunc(param0)
}

func (m *autoscalingMock) ExitStandbyRequest(param0 *autoscaling.ExitStandbyInput) (*request.Request, *autoscaling.ExitStandbyOutput) {
	m.addCall("ExitStandbyRequest")
	m.verifyInput("ExitStandbyRequest", param0)
	return m.ExitStandbyRequestFunc(param0)
}

func (m *autoscalingMock) ExitStandbyWithContext(param0 aws.Context, param1 *autoscaling.ExitStandbyInput, param2 ...request.Option) (*autoscaling.ExitStandbyOutput, error) {
	m.addCall("ExitStandbyWithContext")
	m.verifyInput("ExitStandbyWithContext", param0)
	return m.ExitStandbyWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) PutLifecycleHook(param0 *autoscaling.PutLifecycleHookInput) (*autoscaling.PutLifecycleHookOutput, error) {
	m.addCall("PutLifecycleHook")
	m.verifyInput("PutLifecycleHook", param0)
	return m.PutLifecycleHookFunc(param0)
}

func (m *autoscalingMock) PutLifecycleHookRequest(param0 *autoscaling.PutLifecycleHookInput) (*request.Request, *autoscaling.PutLifecycleHookOutput) {
	m.addCall("PutLifecycleHookRequest")
	m.verifyInput("PutLifecycleHookRequest", param0)
	return m.PutLifecycleHookRequestFunc(param0)
}

func (m *autoscalingMock) PutLifecycleHookWithContext(param0 aws.Context, param1 *autoscaling.PutLifecycleHookInput, param2 ...request.Option) (*autoscaling.PutLifecycleHookOutput, error) {
	m.addCall("PutLifecycleHookWithContext")
	m.verifyInput("PutLifecycleHookWithContext", param0)
	return m.PutLifecycleHookWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) PutNotificationConfiguration(param0 *autoscaling.PutNotificationConfigurationInput) (*autoscaling.PutNotificationConfigurationOutput, error) {
	m.addCall("PutNotificationConfiguration")
	m.verifyInput("PutNotificationConfiguration", param0)
	return m.PutNotificationConfigurationFunc(param0)
}

func (m *autoscalingMock) PutNotificationConfigurationRequest(param0 *autoscaling.PutNotificationConfigurationInput) (*request.Request, *autoscaling.PutNotificationConfigurationOutput) {
	m.addCall("PutNotificationConfigurationRequest")
	m.verifyInput("PutNotificationConfigurationRequest", param0)
	return m.PutNotificationConfigurationRequestFunc(param0)
}

func (m *autoscalingMock) PutNotificationConfigurationWithContext(param0 aws.Context, param1 *autoscaling.PutNotificationConfigurationInput, param2 ...request.Option) (*autoscaling.PutNotificationConfigurationOutput, error) {
	m.addCall("PutNotificationConfigurationWithContext")
	m.verifyInput("PutNotificationConfigurationWithContext", param0)
	return m.PutNotificationConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) PutScalingPolicy(param0 *autoscaling.PutScalingPolicyInput) (*autoscaling.PutScalingPolicyOutput, error) {
	m.addCall("PutScalingPolicy")
	m.verifyInput("PutScalingPolicy", param0)
	return m.PutScalingPolicyFunc(param0)
}

func (m *autoscalingMock) PutScalingPolicyRequest(param0 *autoscaling.PutScalingPolicyInput) (*request.Request, *autoscaling.PutScalingPolicyOutput) {
	m.addCall("PutScalingPolicyRequest")
	m.verifyInput("PutScalingPolicyRequest", param0)
	return m.PutScalingPolicyRequestFunc(param0)
}

func (m *autoscalingMock) PutScalingPolicyWithContext(param0 aws.Context, param1 *autoscaling.PutScalingPolicyInput, param2 ...request.Option) (*autoscaling.PutScalingPolicyOutput, error) {
	m.addCall("PutScalingPolicyWithContext")
	m.verifyInput("PutScalingPolicyWithContext", param0)
	return m.PutScalingPolicyWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) PutScheduledUpdateGroupAction(param0 *autoscaling.PutScheduledUpdateGroupActionInput) (*autoscaling.PutScheduledUpdateGroupActionOutput, error) {
	m.addCall("PutScheduledUpdateGroupAction")
	m.verifyInput("PutScheduledUpdateGroupAction", param0)
	return m.PutScheduledUpdateGroupActionFunc(param0)
}

func (m *autoscalingMock) PutScheduledUpdateGroupActionRequest(param0 *autoscaling.PutScheduledUpdateGroupActionInput) (*request.Request, *autoscaling.PutScheduledUpdateGroupActionOutput) {
	m.addCall("PutScheduledUpdateGroupActionRequest")
	m.verifyInput("PutScheduledUpdateGroupActionRequest", param0)
	return m.PutScheduledUpdateGroupActionRequestFunc(param0)
}

func (m *autoscalingMock) PutScheduledUpdateGroupActionWithContext(param0 aws.Context, param1 *autoscaling.PutScheduledUpdateGroupActionInput, param2 ...request.Option) (*autoscaling.PutScheduledUpdateGroupActionOutput, error) {
	m.addCall("PutScheduledUpdateGroupActionWithContext")
	m.verifyInput("PutScheduledUpdateGroupActionWithContext", param0)
	return m.PutScheduledUpdateGroupActionWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) RecordLifecycleActionHeartbeat(param0 *autoscaling.RecordLifecycleActionHeartbeatInput) (*autoscaling.RecordLifecycleActionHeartbeatOutput, error) {
	m.addCall("RecordLifecycleActionHeartbeat")
	m.verifyInput("RecordLifecycleActionHeartbeat", param0)
	return m.RecordLifecycleActionHeartbeatFunc(param0)
}

func (m *autoscalingMock) RecordLifecycleActionHeartbeatRequest(param0 *autoscaling.RecordLifecycleActionHeartbeatInput) (*request.Request, *autoscaling.RecordLifecycleActionHeartbeatOutput) {
	m.addCall("RecordLifecycleActionHeartbeatRequest")
	m.verifyInput("RecordLifecycleActionHeartbeatRequest", param0)
	return m.RecordLifecycleActionHeartbeatRequestFunc(param0)
}

func (m *autoscalingMock) RecordLifecycleActionHeartbeatWithContext(param0 aws.Context, param1 *autoscaling.RecordLifecycleActionHeartbeatInput, param2 ...request.Option) (*autoscaling.RecordLifecycleActionHeartbeatOutput, error) {
	m.addCall("RecordLifecycleActionHeartbeatWithContext")
	m.verifyInput("RecordLifecycleActionHeartbeatWithContext", param0)
	return m.RecordLifecycleActionHeartbeatWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) ResumeProcesses(param0 *autoscaling.ScalingProcessQuery) (*autoscaling.ResumeProcessesOutput, error) {
	m.addCall("ResumeProcesses")
	m.verifyInput("ResumeProcesses", param0)
	return m.ResumeProcessesFunc(param0)
}

func (m *autoscalingMock) ResumeProcessesRequest(param0 *autoscaling.ScalingProcessQuery) (*request.Request, *autoscaling.ResumeProcessesOutput) {
	m.addCall("ResumeProcessesRequest")
	m.verifyInput("ResumeProcessesRequest", param0)
	return m.ResumeProcessesRequestFunc(param0)
}

func (m *autoscalingMock) ResumeProcessesWithContext(param0 aws.Context, param1 *autoscaling.ScalingProcessQuery, param2 ...request.Option) (*autoscaling.ResumeProcessesOutput, error) {
	m.addCall("ResumeProcessesWithContext")
	m.verifyInput("ResumeProcessesWithContext", param0)
	return m.ResumeProcessesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) SetDesiredCapacity(param0 *autoscaling.SetDesiredCapacityInput) (*autoscaling.SetDesiredCapacityOutput, error) {
	m.addCall("SetDesiredCapacity")
	m.verifyInput("SetDesiredCapacity", param0)
	return m.SetDesiredCapacityFunc(param0)
}

func (m *autoscalingMock) SetDesiredCapacityRequest(param0 *autoscaling.SetDesiredCapacityInput) (*request.Request, *autoscaling.SetDesiredCapacityOutput) {
	m.addCall("SetDesiredCapacityRequest")
	m.verifyInput("SetDesiredCapacityRequest", param0)
	return m.SetDesiredCapacityRequestFunc(param0)
}

func (m *autoscalingMock) SetDesiredCapacityWithContext(param0 aws.Context, param1 *autoscaling.SetDesiredCapacityInput, param2 ...request.Option) (*autoscaling.SetDesiredCapacityOutput, error) {
	m.addCall("SetDesiredCapacityWithContext")
	m.verifyInput("SetDesiredCapacityWithContext", param0)
	return m.SetDesiredCapacityWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) SetInstanceHealth(param0 *autoscaling.SetInstanceHealthInput) (*autoscaling.SetInstanceHealthOutput, error) {
	m.addCall("SetInstanceHealth")
	m.verifyInput("SetInstanceHealth", param0)
	return m.SetInstanceHealthFunc(param0)
}

func (m *autoscalingMock) SetInstanceHealthRequest(param0 *autoscaling.SetInstanceHealthInput) (*request.Request, *autoscaling.SetInstanceHealthOutput) {
	m.addCall("SetInstanceHealthRequest")
	m.verifyInput("SetInstanceHealthRequest", param0)
	return m.SetInstanceHealthRequestFunc(param0)
}

func (m *autoscalingMock) SetInstanceHealthWithContext(param0 aws.Context, param1 *autoscaling.SetInstanceHealthInput, param2 ...request.Option) (*autoscaling.SetInstanceHealthOutput, error) {
	m.addCall("SetInstanceHealthWithContext")
	m.verifyInput("SetInstanceHealthWithContext", param0)
	return m.SetInstanceHealthWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) SetInstanceProtection(param0 *autoscaling.SetInstanceProtectionInput) (*autoscaling.SetInstanceProtectionOutput, error) {
	m.addCall("SetInstanceProtection")
	m.verifyInput("SetInstanceProtection", param0)
	return m.SetInstanceProtectionFunc(param0)
}

func (m *autoscalingMock) SetInstanceProtectionRequest(param0 *autoscaling.SetInstanceProtectionInput) (*request.Request, *autoscaling.SetInstanceProtectionOutput) {
	m.addCall("SetInstanceProtectionRequest")
	m.verifyInput("SetInstanceProtectionRequest", param0)
	return m.SetInstanceProtectionRequestFunc(param0)
}

func (m *autoscalingMock) SetInstanceProtectionWithContext(param0 aws.Context, param1 *autoscaling.SetInstanceProtectionInput, param2 ...request.Option) (*autoscaling.SetInstanceProtectionOutput, error) {
	m.addCall("SetInstanceProtectionWithContext")
	m.verifyInput("SetInstanceProtectionWithContext", param0)
	return m.SetInstanceProtectionWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) SuspendProcesses(param0 *autoscaling.ScalingProcessQuery) (*autoscaling.SuspendProcessesOutput, error) {
	m.addCall("SuspendProcesses")
	m.verifyInput("SuspendProcesses", param0)
	return m.SuspendProcessesFunc(param0)
}

func (m *autoscalingMock) SuspendProcessesRequest(param0 *autoscaling.ScalingProcessQuery) (*request.Request, *autoscaling.SuspendProcessesOutput) {
	m.addCall("SuspendProcessesRequest")
	m.verifyInput("SuspendProcessesRequest", param0)
	return m.SuspendProcessesRequestFunc(param0)
}

func (m *autoscalingMock) SuspendProcessesWithContext(param0 aws.Context, param1 *autoscaling.ScalingProcessQuery, param2 ...request.Option) (*autoscaling.SuspendProcessesOutput, error) {
	m.addCall("SuspendProcessesWithContext")
	m.verifyInput("SuspendProcessesWithContext", param0)
	return m.SuspendProcessesWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) TerminateInstanceInAutoScalingGroup(param0 *autoscaling.TerminateInstanceInAutoScalingGroupInput) (*autoscaling.TerminateInstanceInAutoScalingGroupOutput, error) {
	m.addCall("TerminateInstanceInAutoScalingGroup")
	m.verifyInput("TerminateInstanceInAutoScalingGroup", param0)
	return m.TerminateInstanceInAutoScalingGroupFunc(param0)
}

func (m *autoscalingMock) TerminateInstanceInAutoScalingGroupRequest(param0 *autoscaling.TerminateInstanceInAutoScalingGroupInput) (*request.Request, *autoscaling.TerminateInstanceInAutoScalingGroupOutput) {
	m.addCall("TerminateInstanceInAutoScalingGroupRequest")
	m.verifyInput("TerminateInstanceInAutoScalingGroupRequest", param0)
	return m.TerminateInstanceInAutoScalingGroupRequestFunc(param0)
}

func (m *autoscalingMock) TerminateInstanceInAutoScalingGroupWithContext(param0 aws.Context, param1 *autoscaling.TerminateInstanceInAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.TerminateInstanceInAutoScalingGroupOutput, error) {
	m.addCall("TerminateInstanceInAutoScalingGroupWithContext")
	m.verifyInput("TerminateInstanceInAutoScalingGroupWithContext", param0)
	return m.TerminateInstanceInAutoScalingGroupWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) UpdateAutoScalingGroup(param0 *autoscaling.UpdateAutoScalingGroupInput) (*autoscaling.UpdateAutoScalingGroupOutput, error) {
	m.addCall("UpdateAutoScalingGroup")
	m.verifyInput("UpdateAutoScalingGroup", param0)
	return m.UpdateAutoScalingGroupFunc(param0)
}

func (m *autoscalingMock) UpdateAutoScalingGroupRequest(param0 *autoscaling.UpdateAutoScalingGroupInput) (*request.Request, *autoscaling.UpdateAutoScalingGroupOutput) {
	m.addCall("UpdateAutoScalingGroupRequest")
	m.verifyInput("UpdateAutoScalingGroupRequest", param0)
	return m.UpdateAutoScalingGroupRequestFunc(param0)
}

func (m *autoscalingMock) UpdateAutoScalingGroupWithContext(param0 aws.Context, param1 *autoscaling.UpdateAutoScalingGroupInput, param2 ...request.Option) (*autoscaling.UpdateAutoScalingGroupOutput, error) {
	m.addCall("UpdateAutoScalingGroupWithContext")
	m.verifyInput("UpdateAutoScalingGroupWithContext", param0)
	return m.UpdateAutoScalingGroupWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) WaitUntilGroupExists(param0 *autoscaling.DescribeAutoScalingGroupsInput) error {
	m.addCall("WaitUntilGroupExists")
	m.verifyInput("WaitUntilGroupExists", param0)
	return m.WaitUntilGroupExistsFunc(param0)
}

func (m *autoscalingMock) WaitUntilGroupExistsWithContext(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilGroupExistsWithContext")
	m.verifyInput("WaitUntilGroupExistsWithContext", param0)
	return m.WaitUntilGroupExistsWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) WaitUntilGroupInService(param0 *autoscaling.DescribeAutoScalingGroupsInput) error {
	m.addCall("WaitUntilGroupInService")
	m.verifyInput("WaitUntilGroupInService", param0)
	return m.WaitUntilGroupInServiceFunc(param0)
}

func (m *autoscalingMock) WaitUntilGroupInServiceWithContext(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilGroupInServiceWithContext")
	m.verifyInput("WaitUntilGroupInServiceWithContext", param0)
	return m.WaitUntilGroupInServiceWithContextFunc(param0, param1, param2...)
}

func (m *autoscalingMock) WaitUntilGroupNotExists(param0 *autoscaling.DescribeAutoScalingGroupsInput) error {
	m.addCall("WaitUntilGroupNotExists")
	m.verifyInput("WaitUntilGroupNotExists", param0)
	return m.WaitUntilGroupNotExistsFunc(param0)
}

func (m *autoscalingMock) WaitUntilGroupNotExistsWithContext(param0 aws.Context, param1 *autoscaling.DescribeAutoScalingGroupsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilGroupNotExistsWithContext")
	m.verifyInput("WaitUntilGroupNotExistsWithContext", param0)
	return m.WaitUntilGroupNotExistsWithContextFunc(param0, param1, param2...)
}

type cloudformationMock struct {
	basicMock
	cloudformationiface.CloudFormationAPI
	CancelUpdateStackFunc                           func(param0 *cloudformation.CancelUpdateStackInput) (*cloudformation.CancelUpdateStackOutput, error)
	CancelUpdateStackRequestFunc                    func(param0 *cloudformation.CancelUpdateStackInput) (*request.Request, *cloudformation.CancelUpdateStackOutput)
	CancelUpdateStackWithContextFunc                func(param0 aws.Context, param1 *cloudformation.CancelUpdateStackInput, param2 ...request.Option) (*cloudformation.CancelUpdateStackOutput, error)
	ContinueUpdateRollbackFunc                      func(param0 *cloudformation.ContinueUpdateRollbackInput) (*cloudformation.ContinueUpdateRollbackOutput, error)
	ContinueUpdateRollbackRequestFunc               func(param0 *cloudformation.ContinueUpdateRollbackInput) (*request.Request, *cloudformation.ContinueUpdateRollbackOutput)
	ContinueUpdateRollbackWithContextFunc           func(param0 aws.Context, param1 *cloudformation.ContinueUpdateRollbackInput, param2 ...request.Option) (*cloudformation.ContinueUpdateRollbackOutput, error)
	CreateChangeSetFunc                             func(param0 *cloudformation.CreateChangeSetInput) (*cloudformation.CreateChangeSetOutput, error)
	CreateChangeSetRequestFunc                      func(param0 *cloudformation.CreateChangeSetInput) (*request.Request, *cloudformation.CreateChangeSetOutput)
	CreateChangeSetWithContextFunc                  func(param0 aws.Context, param1 *cloudformation.CreateChangeSetInput, param2 ...request.Option) (*cloudformation.CreateChangeSetOutput, error)
	CreateStackFunc                                 func(param0 *cloudformation.CreateStackInput) (*cloudformation.CreateStackOutput, error)
	CreateStackInstancesFunc                        func(param0 *cloudformation.CreateStackInstancesInput) (*cloudformation.CreateStackInstancesOutput, error)
	CreateStackInstancesRequestFunc                 func(param0 *cloudformation.CreateStackInstancesInput) (*request.Request, *cloudformation.CreateStackInstancesOutput)
	CreateStackInstancesWithContextFunc             func(param0 aws.Context, param1 *cloudformation.CreateStackInstancesInput, param2 ...request.Option) (*cloudformation.CreateStackInstancesOutput, error)
	CreateStackRequestFunc                          func(param0 *cloudformation.CreateStackInput) (*request.Request, *cloudformation.CreateStackOutput)
	CreateStackSetFunc                              func(param0 *cloudformation.CreateStackSetInput) (*cloudformation.CreateStackSetOutput, error)
	CreateStackSetRequestFunc                       func(param0 *cloudformation.CreateStackSetInput) (*request.Request, *cloudformation.CreateStackSetOutput)
	CreateStackSetWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.CreateStackSetInput, param2 ...request.Option) (*cloudformation.CreateStackSetOutput, error)
	CreateStackWithContextFunc                      func(param0 aws.Context, param1 *cloudformation.CreateStackInput, param2 ...request.Option) (*cloudformation.CreateStackOutput, error)
	DeleteChangeSetFunc                             func(param0 *cloudformation.DeleteChangeSetInput) (*cloudformation.DeleteChangeSetOutput, error)
	DeleteChangeSetRequestFunc                      func(param0 *cloudformation.DeleteChangeSetInput) (*request.Request, *cloudformation.DeleteChangeSetOutput)
	DeleteChangeSetWithContextFunc                  func(param0 aws.Context, param1 *cloudformation.DeleteChangeSetInput, param2 ...request.Option) (*cloudformation.DeleteChangeSetOutput, error)
	DeleteStackFunc                                 func(param0 *cloudformation.DeleteStackInput) (*cloudformation.DeleteStackOutput, error)
	DeleteStackInstancesFunc                        func(param0 *cloudformation.DeleteStackInstancesInput) (*cloudformation.DeleteStackInstancesOutput, error)
	DeleteStackInstancesRequestFunc                 func(param0 *cloudformation.DeleteStackInstancesInput) (*request.Request, *cloudformation.DeleteStackInstancesOutput)
	DeleteStackInstancesWithContextFunc             func(param0 aws.Context, param1 *cloudformation.DeleteStackInstancesInput, param2 ...request.Option) (*cloudformation.DeleteStackInstancesOutput, error)
	DeleteStackRequestFunc                          func(param0 *cloudformation.DeleteStackInput) (*request.Request, *cloudformation.DeleteStackOutput)
	DeleteStackSetFunc                              func(param0 *cloudformation.DeleteStackSetInput) (*cloudformation.DeleteStackSetOutput, error)
	DeleteStackSetRequestFunc                       func(param0 *cloudformation.DeleteStackSetInput) (*request.Request, *cloudformation.DeleteStackSetOutput)
	DeleteStackSetWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.DeleteStackSetInput, param2 ...request.Option) (*cloudformation.DeleteStackSetOutput, error)
	DeleteStackWithContextFunc                      func(param0 aws.Context, param1 *cloudformation.DeleteStackInput, param2 ...request.Option) (*cloudformation.DeleteStackOutput, error)
	DescribeAccountLimitsFunc                       func(param0 *cloudformation.DescribeAccountLimitsInput) (*cloudformation.DescribeAccountLimitsOutput, error)
	DescribeAccountLimitsRequestFunc                func(param0 *cloudformation.DescribeAccountLimitsInput) (*request.Request, *cloudformation.DescribeAccountLimitsOutput)
	DescribeAccountLimitsWithContextFunc            func(param0 aws.Context, param1 *cloudformation.DescribeAccountLimitsInput, param2 ...request.Option) (*cloudformation.DescribeAccountLimitsOutput, error)
	DescribeChangeSetFunc                           func(param0 *cloudformation.DescribeChangeSetInput) (*cloudformation.DescribeChangeSetOutput, error)
	DescribeChangeSetRequestFunc                    func(param0 *cloudformation.DescribeChangeSetInput) (*request.Request, *cloudformation.DescribeChangeSetOutput)
	DescribeChangeSetWithContextFunc                func(param0 aws.Context, param1 *cloudformation.DescribeChangeSetInput, param2 ...request.Option) (*cloudformation.DescribeChangeSetOutput, error)
	DescribeStackEventsFunc                         func(param0 *cloudformation.DescribeStackEventsInput) (*cloudformation.DescribeStackEventsOutput, error)
	DescribeStackEventsRequestFunc                  func(param0 *cloudformation.DescribeStackEventsInput) (*request.Request, *cloudformation.DescribeStackEventsOutput)
	DescribeStackEventsWithContextFunc              func(param0 aws.Context, param1 *cloudformation.DescribeStackEventsInput, param2 ...request.Option) (*cloudformation.DescribeStackEventsOutput, error)
	DescribeStackInstanceFunc                       func(param0 *cloudformation.DescribeStackInstanceInput) (*cloudformation.DescribeStackInstanceOutput, error)
	DescribeStackInstanceRequestFunc                func(param0 *cloudformation.DescribeStackInstanceInput) (*request.Request, *cloudformation.DescribeStackInstanceOutput)
	DescribeStackInstanceWithContextFunc            func(param0 aws.Context, param1 *cloudformation.DescribeStackInstanceInput, param2 ...request.Option) (*cloudformation.DescribeStackInstanceOutput, error)
	DescribeStackResourceFunc                       func(param0 *cloudformation.DescribeStackResourceInput) (*cloudformation.DescribeStackResourceOutput, error)
	DescribeStackResourceRequestFunc                func(param0 *cloudformation.DescribeStackResourceInput) (*request.Request, *cloudformation.DescribeStackResourceOutput)
	DescribeStackResourceWithContextFunc            func(param0 aws.Context, param1 *cloudformation.DescribeStackResourceInput, param2 ...request.Option) (*cloudformation.DescribeStackResourceOutput, error)
	DescribeStackResourcesFunc                      func(param0 *cloudformation.DescribeStackResourcesInput) (*cloudformation.DescribeStackResourcesOutput, error)
	DescribeStackResourcesRequestFunc               func(param0 *cloudformation.DescribeStackResourcesInput) (*request.Request, *cloudformation.DescribeStackResourcesOutput)
	DescribeStackResourcesWithContextFunc           func(param0 aws.Context, param1 *cloudformation.DescribeStackResourcesInput, param2 ...request.Option) (*cloudformation.DescribeStackResourcesOutput, error)
	DescribeStackSetFunc                            func(param0 *cloudformation.DescribeStackSetInput) (*cloudformation.DescribeStackSetOutput, error)
	DescribeStackSetOperationFunc                   func(param0 *cloudformation.DescribeStackSetOperationInput) (*cloudformation.DescribeStackSetOperationOutput, error)
	DescribeStackSetOperationRequestFunc            func(param0 *cloudformation.DescribeStackSetOperationInput) (*request.Request, *cloudformation.DescribeStackSetOperationOutput)
	DescribeStackSetOperationWithContextFunc        func(param0 aws.Context, param1 *cloudformation.DescribeStackSetOperationInput, param2 ...request.Option) (*cloudformation.DescribeStackSetOperationOutput, error)
	DescribeStackSetRequestFunc                     func(param0 *cloudformation.DescribeStackSetInput) (*request.Request, *cloudformation.DescribeStackSetOutput)
	DescribeStackSetWithContextFunc                 func(param0 aws.Context, param1 *cloudformation.DescribeStackSetInput, param2 ...request.Option) (*cloudformation.DescribeStackSetOutput, error)
	DescribeStacksFunc                              func(param0 *cloudformation.DescribeStacksInput) (*cloudformation.DescribeStacksOutput, error)
	DescribeStacksRequestFunc                       func(param0 *cloudformation.DescribeStacksInput) (*request.Request, *cloudformation.DescribeStacksOutput)
	DescribeStacksWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.Option) (*cloudformation.DescribeStacksOutput, error)
	EstimateTemplateCostFunc                        func(param0 *cloudformation.EstimateTemplateCostInput) (*cloudformation.EstimateTemplateCostOutput, error)
	EstimateTemplateCostRequestFunc                 func(param0 *cloudformation.EstimateTemplateCostInput) (*request.Request, *cloudformation.EstimateTemplateCostOutput)
	EstimateTemplateCostWithContextFunc             func(param0 aws.Context, param1 *cloudformation.EstimateTemplateCostInput, param2 ...request.Option) (*cloudformation.EstimateTemplateCostOutput, error)
	ExecuteChangeSetFunc                            func(param0 *cloudformation.ExecuteChangeSetInput) (*cloudformation.ExecuteChangeSetOutput, error)
	ExecuteChangeSetRequestFunc                     func(param0 *cloudformation.ExecuteChangeSetInput) (*request.Request, *cloudformation.ExecuteChangeSetOutput)
	ExecuteChangeSetWithContextFunc                 func(param0 aws.Context, param1 *cloudformation.ExecuteChangeSetInput, param2 ...request.Option) (*cloudformation.ExecuteChangeSetOutput, error)
	GetStackPolicyFunc                              func(param0 *cloudformation.GetStackPolicyInput) (*cloudformation.GetStackPolicyOutput, error)
	GetStackPolicyRequestFunc                       func(param0 *cloudformation.GetStackPolicyInput) (*request.Request, *cloudformation.GetStackPolicyOutput)
	GetStackPolicyWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.GetStackPolicyInput, param2 ...request.Option) (*cloudformation.GetStackPolicyOutput, error)
	GetTemplateFunc                                 func(param0 *cloudformation.GetTemplateInput) (*cloudformation.GetTemplateOutput, error)
	GetTemplateRequestFunc                          func(param0 *cloudformation.GetTemplateInput) (*request.Request, *cloudformation.GetTemplateOutput)
	GetTemplateSummaryFunc                          func(param0 *cloudformation.GetTemplateSummaryInput) (*cloudformation.GetTemplateSummaryOutput, error)
	GetTemplateSummaryRequestFunc                   func(param0 *cloudformation.GetTemplateSummaryInput) (*request.Request, *cloudformation.GetTemplateSummaryOutput)
	GetTemplateSummaryWithContextFunc               func(param0 aws.Context, param1 *cloudformation.GetTemplateSummaryInput, param2 ...request.Option) (*cloudformation.GetTemplateSummaryOutput, error)
	GetTemplateWithContextFunc                      func(param0 aws.Context, param1 *cloudformation.GetTemplateInput, param2 ...request.Option) (*cloudformation.GetTemplateOutput, error)
	ListChangeSetsFunc                              func(param0 *cloudformation.ListChangeSetsInput) (*cloudformation.ListChangeSetsOutput, error)
	ListChangeSetsRequestFunc                       func(param0 *cloudformation.ListChangeSetsInput) (*request.Request, *cloudformation.ListChangeSetsOutput)
	ListChangeSetsWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.ListChangeSetsInput, param2 ...request.Option) (*cloudformation.ListChangeSetsOutput, error)
	ListExportsFunc                                 func(param0 *cloudformation.ListExportsInput) (*cloudformation.ListExportsOutput, error)
	ListExportsRequestFunc                          func(param0 *cloudformation.ListExportsInput) (*request.Request, *cloudformation.ListExportsOutput)
	ListExportsWithContextFunc                      func(param0 aws.Context, param1 *cloudformation.ListExportsInput, param2 ...request.Option) (*cloudformation.ListExportsOutput, error)
	ListImportsFunc                                 func(param0 *cloudformation.ListImportsInput) (*cloudformation.ListImportsOutput, error)
	ListImportsRequestFunc                          func(param0 *cloudformation.ListImportsInput) (*request.Request, *cloudformation.ListImportsOutput)
	ListImportsWithContextFunc                      func(param0 aws.Context, param1 *cloudformation.ListImportsInput, param2 ...request.Option) (*cloudformation.ListImportsOutput, error)
	ListStackInstancesFunc                          func(param0 *cloudformation.ListStackInstancesInput) (*cloudformation.ListStackInstancesOutput, error)
	ListStackInstancesRequestFunc                   func(param0 *cloudformation.ListStackInstancesInput) (*request.Request, *cloudformation.ListStackInstancesOutput)
	ListStackInstancesWithContextFunc               func(param0 aws.Context, param1 *cloudformation.ListStackInstancesInput, param2 ...request.Option) (*cloudformation.ListStackInstancesOutput, error)
	ListStackResourcesFunc                          func(param0 *cloudformation.ListStackResourcesInput) (*cloudformation.ListStackResourcesOutput, error)
	ListStackResourcesRequestFunc                   func(param0 *cloudformation.ListStackResourcesInput) (*request.Request, *cloudformation.ListStackResourcesOutput)
	ListStackResourcesWithContextFunc               func(param0 aws.Context, param1 *cloudformation.ListStackResourcesInput, param2 ...request.Option) (*cloudformation.ListStackResourcesOutput, error)
	ListStackSetOperationResultsFunc                func(param0 *cloudformation.ListStackSetOperationResultsInput) (*cloudformation.ListStackSetOperationResultsOutput, error)
	ListStackSetOperationResultsRequestFunc         func(param0 *cloudformation.ListStackSetOperationResultsInput) (*request.Request, *cloudformation.ListStackSetOperationResultsOutput)
	ListStackSetOperationResultsWithContextFunc     func(param0 aws.Context, param1 *cloudformation.ListStackSetOperationResultsInput, param2 ...request.Option) (*cloudformation.ListStackSetOperationResultsOutput, error)
	ListStackSetOperationsFunc                      func(param0 *cloudformation.ListStackSetOperationsInput) (*cloudformation.ListStackSetOperationsOutput, error)
	ListStackSetOperationsRequestFunc               func(param0 *cloudformation.ListStackSetOperationsInput) (*request.Request, *cloudformation.ListStackSetOperationsOutput)
	ListStackSetOperationsWithContextFunc           func(param0 aws.Context, param1 *cloudformation.ListStackSetOperationsInput, param2 ...request.Option) (*cloudformation.ListStackSetOperationsOutput, error)
	ListStackSetsFunc                               func(param0 *cloudformation.ListStackSetsInput) (*cloudformation.ListStackSetsOutput, error)
	ListStackSetsRequestFunc                        func(param0 *cloudformation.ListStackSetsInput) (*request.Request, *cloudformation.ListStackSetsOutput)
	ListStackSetsWithContextFunc                    func(param0 aws.Context, param1 *cloudformation.ListStackSetsInput, param2 ...request.Option) (*cloudformation.ListStackSetsOutput, error)
	ListStacksFunc                                  func(param0 *cloudformation.ListStacksInput) (*cloudformation.ListStacksOutput, error)
	ListStacksRequestFunc                           func(param0 *cloudformation.ListStacksInput) (*request.Request, *cloudformation.ListStacksOutput)
	ListStacksWithContextFunc                       func(param0 aws.Context, param1 *cloudformation.ListStacksInput, param2 ...request.Option) (*cloudformation.ListStacksOutput, error)
	SetStackPolicyFunc                              func(param0 *cloudformation.SetStackPolicyInput) (*cloudformation.SetStackPolicyOutput, error)
	SetStackPolicyRequestFunc                       func(param0 *cloudformation.SetStackPolicyInput) (*request.Request, *cloudformation.SetStackPolicyOutput)
	SetStackPolicyWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.SetStackPolicyInput, param2 ...request.Option) (*cloudformation.SetStackPolicyOutput, error)
	SignalResourceFunc                              func(param0 *cloudformation.SignalResourceInput) (*cloudformation.SignalResourceOutput, error)
	SignalResourceRequestFunc                       func(param0 *cloudformation.SignalResourceInput) (*request.Request, *cloudformation.SignalResourceOutput)
	SignalResourceWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.SignalResourceInput, param2 ...request.Option) (*cloudformation.SignalResourceOutput, error)
	StopStackSetOperationFunc                       func(param0 *cloudformation.StopStackSetOperationInput) (*cloudformation.StopStackSetOperationOutput, error)
	StopStackSetOperationRequestFunc                func(param0 *cloudformation.StopStackSetOperationInput) (*request.Request, *cloudformation.StopStackSetOperationOutput)
	StopStackSetOperationWithContextFunc            func(param0 aws.Context, param1 *cloudformation.StopStackSetOperationInput, param2 ...request.Option) (*cloudformation.StopStackSetOperationOutput, error)
	UpdateStackFunc                                 func(param0 *cloudformation.UpdateStackInput) (*cloudformation.UpdateStackOutput, error)
	UpdateStackRequestFunc                          func(param0 *cloudformation.UpdateStackInput) (*request.Request, *cloudformation.UpdateStackOutput)
	UpdateStackSetFunc                              func(param0 *cloudformation.UpdateStackSetInput) (*cloudformation.UpdateStackSetOutput, error)
	UpdateStackSetRequestFunc                       func(param0 *cloudformation.UpdateStackSetInput) (*request.Request, *cloudformation.UpdateStackSetOutput)
	UpdateStackSetWithContextFunc                   func(param0 aws.Context, param1 *cloudformation.UpdateStackSetInput, param2 ...request.Option) (*cloudformation.UpdateStackSetOutput, error)
	UpdateStackWithContextFunc                      func(param0 aws.Context, param1 *cloudformation.UpdateStackInput, param2 ...request.Option) (*cloudformation.UpdateStackOutput, error)
	ValidateTemplateFunc                            func(param0 *cloudformation.ValidateTemplateInput) (*cloudformation.ValidateTemplateOutput, error)
	ValidateTemplateRequestFunc                     func(param0 *cloudformation.ValidateTemplateInput) (*request.Request, *cloudformation.ValidateTemplateOutput)
	ValidateTemplateWithContextFunc                 func(param0 aws.Context, param1 *cloudformation.ValidateTemplateInput, param2 ...request.Option) (*cloudformation.ValidateTemplateOutput, error)
	WaitUntilChangeSetCreateCompleteFunc            func(param0 *cloudformation.DescribeChangeSetInput) error
	WaitUntilChangeSetCreateCompleteWithContextFunc func(param0 aws.Context, param1 *cloudformation.DescribeChangeSetInput, param2 ...request.WaiterOption) error
	WaitUntilStackCreateCompleteFunc                func(param0 *cloudformation.DescribeStacksInput) error
	WaitUntilStackCreateCompleteWithContextFunc     func(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error
	WaitUntilStackDeleteCompleteFunc                func(param0 *cloudformation.DescribeStacksInput) error
	WaitUntilStackDeleteCompleteWithContextFunc     func(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error
	WaitUntilStackExistsFunc                        func(param0 *cloudformation.DescribeStacksInput) error
	WaitUntilStackExistsWithContextFunc             func(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error
	WaitUntilStackUpdateCompleteFunc                func(param0 *cloudformation.DescribeStacksInput) error
	WaitUntilStackUpdateCompleteWithContextFunc     func(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error
}

func (m *cloudformationMock) CancelUpdateStack(param0 *cloudformation.CancelUpdateStackInput) (*cloudformation.CancelUpdateStackOutput, error) {
	m.addCall("CancelUpdateStack")
	m.verifyInput("CancelUpdateStack", param0)
	return m.CancelUpdateStackFunc(param0)
}

func (m *cloudformationMock) CancelUpdateStackRequest(param0 *cloudformation.CancelUpdateStackInput) (*request.Request, *cloudformation.CancelUpdateStackOutput) {
	m.addCall("CancelUpdateStackRequest")
	m.verifyInput("CancelUpdateStackRequest", param0)
	return m.CancelUpdateStackRequestFunc(param0)
}

func (m *cloudformationMock) CancelUpdateStackWithContext(param0 aws.Context, param1 *cloudformation.CancelUpdateStackInput, param2 ...request.Option) (*cloudformation.CancelUpdateStackOutput, error) {
	m.addCall("CancelUpdateStackWithContext")
	m.verifyInput("CancelUpdateStackWithContext", param0)
	return m.CancelUpdateStackWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ContinueUpdateRollback(param0 *cloudformation.ContinueUpdateRollbackInput) (*cloudformation.ContinueUpdateRollbackOutput, error) {
	m.addCall("ContinueUpdateRollback")
	m.verifyInput("ContinueUpdateRollback", param0)
	return m.ContinueUpdateRollbackFunc(param0)
}

func (m *cloudformationMock) ContinueUpdateRollbackRequest(param0 *cloudformation.ContinueUpdateRollbackInput) (*request.Request, *cloudformation.ContinueUpdateRollbackOutput) {
	m.addCall("ContinueUpdateRollbackRequest")
	m.verifyInput("ContinueUpdateRollbackRequest", param0)
	return m.ContinueUpdateRollbackRequestFunc(param0)
}

func (m *cloudformationMock) ContinueUpdateRollbackWithContext(param0 aws.Context, param1 *cloudformation.ContinueUpdateRollbackInput, param2 ...request.Option) (*cloudformation.ContinueUpdateRollbackOutput, error) {
	m.addCall("ContinueUpdateRollbackWithContext")
	m.verifyInput("ContinueUpdateRollbackWithContext", param0)
	return m.ContinueUpdateRollbackWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) CreateChangeSet(param0 *cloudformation.CreateChangeSetInput) (*cloudformation.CreateChangeSetOutput, error) {
	m.addCall("CreateChangeSet")
	m.verifyInput("CreateChangeSet", param0)
	return m.CreateChangeSetFunc(param0)
}

func (m *cloudformationMock) CreateChangeSetRequest(param0 *cloudformation.CreateChangeSetInput) (*request.Request, *cloudformation.CreateChangeSetOutput) {
	m.addCall("CreateChangeSetRequest")
	m.verifyInput("CreateChangeSetRequest", param0)
	return m.CreateChangeSetRequestFunc(param0)
}

func (m *cloudformationMock) CreateChangeSetWithContext(param0 aws.Context, param1 *cloudformation.CreateChangeSetInput, param2 ...request.Option) (*cloudformation.CreateChangeSetOutput, error) {
	m.addCall("CreateChangeSetWithContext")
	m.verifyInput("CreateChangeSetWithContext", param0)
	return m.CreateChangeSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) CreateStack(param0 *cloudformation.CreateStackInput) (*cloudformation.CreateStackOutput, error) {
	m.addCall("CreateStack")
	m.verifyInput("CreateStack", param0)
	return m.CreateStackFunc(param0)
}

func (m *cloudformationMock) CreateStackInstances(param0 *cloudformation.CreateStackInstancesInput) (*cloudformation.CreateStackInstancesOutput, error) {
	m.addCall("CreateStackInstances")
	m.verifyInput("CreateStackInstances", param0)
	return m.CreateStackInstancesFunc(param0)
}

func (m *cloudformationMock) CreateStackInstancesRequest(param0 *cloudformation.CreateStackInstancesInput) (*request.Request, *cloudformation.CreateStackInstancesOutput) {
	m.addCall("CreateStackInstancesRequest")
	m.verifyInput("CreateStackInstancesRequest", param0)
	return m.CreateStackInstancesRequestFunc(param0)
}

func (m *cloudformationMock) CreateStackInstancesWithContext(param0 aws.Context, param1 *cloudformation.CreateStackInstancesInput, param2 ...request.Option) (*cloudformation.CreateStackInstancesOutput, error) {
	m.addCall("CreateStackInstancesWithContext")
	m.verifyInput("CreateStackInstancesWithContext", param0)
	return m.CreateStackInstancesWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) CreateStackRequest(param0 *cloudformation.CreateStackInput) (*request.Request, *cloudformation.CreateStackOutput) {
	m.addCall("CreateStackRequest")
	m.verifyInput("CreateStackRequest", param0)
	return m.CreateStackRequestFunc(param0)
}

func (m *cloudformationMock) CreateStackSet(param0 *cloudformation.CreateStackSetInput) (*cloudformation.CreateStackSetOutput, error) {
	m.addCall("CreateStackSet")
	m.verifyInput("CreateStackSet", param0)
	return m.CreateStackSetFunc(param0)
}

func (m *cloudformationMock) CreateStackSetRequest(param0 *cloudformation.CreateStackSetInput) (*request.Request, *cloudformation.CreateStackSetOutput) {
	m.addCall("CreateStackSetRequest")
	m.verifyInput("CreateStackSetRequest", param0)
	return m.CreateStackSetRequestFunc(param0)
}

func (m *cloudformationMock) CreateStackSetWithContext(param0 aws.Context, param1 *cloudformation.CreateStackSetInput, param2 ...request.Option) (*cloudformation.CreateStackSetOutput, error) {
	m.addCall("CreateStackSetWithContext")
	m.verifyInput("CreateStackSetWithContext", param0)
	return m.CreateStackSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) CreateStackWithContext(param0 aws.Context, param1 *cloudformation.CreateStackInput, param2 ...request.Option) (*cloudformation.CreateStackOutput, error) {
	m.addCall("CreateStackWithContext")
	m.verifyInput("CreateStackWithContext", param0)
	return m.CreateStackWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DeleteChangeSet(param0 *cloudformation.DeleteChangeSetInput) (*cloudformation.DeleteChangeSetOutput, error) {
	m.addCall("DeleteChangeSet")
	m.verifyInput("DeleteChangeSet", param0)
	return m.DeleteChangeSetFunc(param0)
}

func (m *cloudformationMock) DeleteChangeSetRequest(param0 *cloudformation.DeleteChangeSetInput) (*request.Request, *cloudformation.DeleteChangeSetOutput) {
	m.addCall("DeleteChangeSetRequest")
	m.verifyInput("DeleteChangeSetRequest", param0)
	return m.DeleteChangeSetRequestFunc(param0)
}

func (m *cloudformationMock) DeleteChangeSetWithContext(param0 aws.Context, param1 *cloudformation.DeleteChangeSetInput, param2 ...request.Option) (*cloudformation.DeleteChangeSetOutput, error) {
	m.addCall("DeleteChangeSetWithContext")
	m.verifyInput("DeleteChangeSetWithContext", param0)
	return m.DeleteChangeSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DeleteStack(param0 *cloudformation.DeleteStackInput) (*cloudformation.DeleteStackOutput, error) {
	m.addCall("DeleteStack")
	m.verifyInput("DeleteStack", param0)
	return m.DeleteStackFunc(param0)
}

func (m *cloudformationMock) DeleteStackInstances(param0 *cloudformation.DeleteStackInstancesInput) (*cloudformation.DeleteStackInstancesOutput, error) {
	m.addCall("DeleteStackInstances")
	m.verifyInput("DeleteStackInstances", param0)
	return m.DeleteStackInstancesFunc(param0)
}

func (m *cloudformationMock) DeleteStackInstancesRequest(param0 *cloudformation.DeleteStackInstancesInput) (*request.Request, *cloudformation.DeleteStackInstancesOutput) {
	m.addCall("DeleteStackInstancesRequest")
	m.verifyInput("DeleteStackInstancesRequest", param0)
	return m.DeleteStackInstancesRequestFunc(param0)
}

func (m *cloudformationMock) DeleteStackInstancesWithContext(param0 aws.Context, param1 *cloudformation.DeleteStackInstancesInput, param2 ...request.Option) (*cloudformation.DeleteStackInstancesOutput, error) {
	m.addCall("DeleteStackInstancesWithContext")
	m.verifyInput("DeleteStackInstancesWithContext", param0)
	return m.DeleteStackInstancesWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DeleteStackRequest(param0 *cloudformation.DeleteStackInput) (*request.Request, *cloudformation.DeleteStackOutput) {
	m.addCall("DeleteStackRequest")
	m.verifyInput("DeleteStackRequest", param0)
	return m.DeleteStackRequestFunc(param0)
}

func (m *cloudformationMock) DeleteStackSet(param0 *cloudformation.DeleteStackSetInput) (*cloudformation.DeleteStackSetOutput, error) {
	m.addCall("DeleteStackSet")
	m.verifyInput("DeleteStackSet", param0)
	return m.DeleteStackSetFunc(param0)
}

func (m *cloudformationMock) DeleteStackSetRequest(param0 *cloudformation.DeleteStackSetInput) (*request.Request, *cloudformation.DeleteStackSetOutput) {
	m.addCall("DeleteStackSetRequest")
	m.verifyInput("DeleteStackSetRequest", param0)
	return m.DeleteStackSetRequestFunc(param0)
}

func (m *cloudformationMock) DeleteStackSetWithContext(param0 aws.Context, param1 *cloudformation.DeleteStackSetInput, param2 ...request.Option) (*cloudformation.DeleteStackSetOutput, error) {
	m.addCall("DeleteStackSetWithContext")
	m.verifyInput("DeleteStackSetWithContext", param0)
	return m.DeleteStackSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DeleteStackWithContext(param0 aws.Context, param1 *cloudformation.DeleteStackInput, param2 ...request.Option) (*cloudformation.DeleteStackOutput, error) {
	m.addCall("DeleteStackWithContext")
	m.verifyInput("DeleteStackWithContext", param0)
	return m.DeleteStackWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeAccountLimits(param0 *cloudformation.DescribeAccountLimitsInput) (*cloudformation.DescribeAccountLimitsOutput, error) {
	m.addCall("DescribeAccountLimits")
	m.verifyInput("DescribeAccountLimits", param0)
	return m.DescribeAccountLimitsFunc(param0)
}

func (m *cloudformationMock) DescribeAccountLimitsRequest(param0 *cloudformation.DescribeAccountLimitsInput) (*request.Request, *cloudformation.DescribeAccountLimitsOutput) {
	m.addCall("DescribeAccountLimitsRequest")
	m.verifyInput("DescribeAccountLimitsRequest", param0)
	return m.DescribeAccountLimitsRequestFunc(param0)
}

func (m *cloudformationMock) DescribeAccountLimitsWithContext(param0 aws.Context, param1 *cloudformation.DescribeAccountLimitsInput, param2 ...request.Option) (*cloudformation.DescribeAccountLimitsOutput, error) {
	m.addCall("DescribeAccountLimitsWithContext")
	m.verifyInput("DescribeAccountLimitsWithContext", param0)
	return m.DescribeAccountLimitsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeChangeSet(param0 *cloudformation.DescribeChangeSetInput) (*cloudformation.DescribeChangeSetOutput, error) {
	m.addCall("DescribeChangeSet")
	m.verifyInput("DescribeChangeSet", param0)
	return m.DescribeChangeSetFunc(param0)
}

func (m *cloudformationMock) DescribeChangeSetRequest(param0 *cloudformation.DescribeChangeSetInput) (*request.Request, *cloudformation.DescribeChangeSetOutput) {
	m.addCall("DescribeChangeSetRequest")
	m.verifyInput("DescribeChangeSetRequest", param0)
	return m.DescribeChangeSetRequestFunc(param0)
}

func (m *cloudformationMock) DescribeChangeSetWithContext(param0 aws.Context, param1 *cloudformation.DescribeChangeSetInput, param2 ...request.Option) (*cloudformation.DescribeChangeSetOutput, error) {
	m.addCall("DescribeChangeSetWithContext")
	m.verifyInput("DescribeChangeSetWithContext", param0)
	return m.DescribeChangeSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStackEvents(param0 *cloudformation.DescribeStackEventsInput) (*cloudformation.DescribeStackEventsOutput, error) {
	m.addCall("DescribeStackEvents")
	m.verifyInput("DescribeStackEvents", param0)
	return m.DescribeStackEventsFunc(param0)
}

func (m *cloudformationMock) DescribeStackEventsRequest(param0 *cloudformation.DescribeStackEventsInput) (*request.Request, *cloudformation.DescribeStackEventsOutput) {
	m.addCall("DescribeStackEventsRequest")
	m.verifyInput("DescribeStackEventsRequest", param0)
	return m.DescribeStackEventsRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStackEventsWithContext(param0 aws.Context, param1 *cloudformation.DescribeStackEventsInput, param2 ...request.Option) (*cloudformation.DescribeStackEventsOutput, error) {
	m.addCall("DescribeStackEventsWithContext")
	m.verifyInput("DescribeStackEventsWithContext", param0)
	return m.DescribeStackEventsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStackInstance(param0 *cloudformation.DescribeStackInstanceInput) (*cloudformation.DescribeStackInstanceOutput, error) {
	m.addCall("DescribeStackInstance")
	m.verifyInput("DescribeStackInstance", param0)
	return m.DescribeStackInstanceFunc(param0)
}

func (m *cloudformationMock) DescribeStackInstanceRequest(param0 *cloudformation.DescribeStackInstanceInput) (*request.Request, *cloudformation.DescribeStackInstanceOutput) {
	m.addCall("DescribeStackInstanceRequest")
	m.verifyInput("DescribeStackInstanceRequest", param0)
	return m.DescribeStackInstanceRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStackInstanceWithContext(param0 aws.Context, param1 *cloudformation.DescribeStackInstanceInput, param2 ...request.Option) (*cloudformation.DescribeStackInstanceOutput, error) {
	m.addCall("DescribeStackInstanceWithContext")
	m.verifyInput("DescribeStackInstanceWithContext", param0)
	return m.DescribeStackInstanceWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStackResource(param0 *cloudformation.DescribeStackResourceInput) (*cloudformation.DescribeStackResourceOutput, error) {
	m.addCall("DescribeStackResource")
	m.verifyInput("DescribeStackResource", param0)
	return m.DescribeStackResourceFunc(param0)
}

func (m *cloudformationMock) DescribeStackResourceRequest(param0 *cloudformation.DescribeStackResourceInput) (*request.Request, *cloudformation.DescribeStackResourceOutput) {
	m.addCall("DescribeStackResourceRequest")
	m.verifyInput("DescribeStackResourceRequest", param0)
	return m.DescribeStackResourceRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStackResourceWithContext(param0 aws.Context, param1 *cloudformation.DescribeStackResourceInput, param2 ...request.Option) (*cloudformation.DescribeStackResourceOutput, error) {
	m.addCall("DescribeStackResourceWithContext")
	m.verifyInput("DescribeStackResourceWithContext", param0)
	return m.DescribeStackResourceWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStackResources(param0 *cloudformation.DescribeStackResourcesInput) (*cloudformation.DescribeStackResourcesOutput, error) {
	m.addCall("DescribeStackResources")
	m.verifyInput("DescribeStackResources", param0)
	return m.DescribeStackResourcesFunc(param0)
}

func (m *cloudformationMock) DescribeStackResourcesRequest(param0 *cloudformation.DescribeStackResourcesInput) (*request.Request, *cloudformation.DescribeStackResourcesOutput) {
	m.addCall("DescribeStackResourcesRequest")
	m.verifyInput("DescribeStackResourcesRequest", param0)
	return m.DescribeStackResourcesRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStackResourcesWithContext(param0 aws.Context, param1 *cloudformation.DescribeStackResourcesInput, param2 ...request.Option) (*cloudformation.DescribeStackResourcesOutput, error) {
	m.addCall("DescribeStackResourcesWithContext")
	m.verifyInput("DescribeStackResourcesWithContext", param0)
	return m.DescribeStackResourcesWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStackSet(param0 *cloudformation.DescribeStackSetInput) (*cloudformation.DescribeStackSetOutput, error) {
	m.addCall("DescribeStackSet")
	m.verifyInput("DescribeStackSet", param0)
	return m.DescribeStackSetFunc(param0)
}

func (m *cloudformationMock) DescribeStackSetOperation(param0 *cloudformation.DescribeStackSetOperationInput) (*cloudformation.DescribeStackSetOperationOutput, error) {
	m.addCall("DescribeStackSetOperation")
	m.verifyInput("DescribeStackSetOperation", param0)
	return m.DescribeStackSetOperationFunc(param0)
}

func (m *cloudformationMock) DescribeStackSetOperationRequest(param0 *cloudformation.DescribeStackSetOperationInput) (*request.Request, *cloudformation.DescribeStackSetOperationOutput) {
	m.addCall("DescribeStackSetOperationRequest")
	m.verifyInput("DescribeStackSetOperationRequest", param0)
	return m.DescribeStackSetOperationRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStackSetOperationWithContext(param0 aws.Context, param1 *cloudformation.DescribeStackSetOperationInput, param2 ...request.Option) (*cloudformation.DescribeStackSetOperationOutput, error) {
	m.addCall("DescribeStackSetOperationWithContext")
	m.verifyInput("DescribeStackSetOperationWithContext", param0)
	return m.DescribeStackSetOperationWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStackSetRequest(param0 *cloudformation.DescribeStackSetInput) (*request.Request, *cloudformation.DescribeStackSetOutput) {
	m.addCall("DescribeStackSetRequest")
	m.verifyInput("DescribeStackSetRequest", param0)
	return m.DescribeStackSetRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStackSetWithContext(param0 aws.Context, param1 *cloudformation.DescribeStackSetInput, param2 ...request.Option) (*cloudformation.DescribeStackSetOutput, error) {
	m.addCall("DescribeStackSetWithContext")
	m.verifyInput("DescribeStackSetWithContext", param0)
	return m.DescribeStackSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) DescribeStacks(param0 *cloudformation.DescribeStacksInput) (*cloudformation.DescribeStacksOutput, error) {
	m.addCall("DescribeStacks")
	m.verifyInput("DescribeStacks", param0)
	return m.DescribeStacksFunc(param0)
}

func (m *cloudformationMock) DescribeStacksRequest(param0 *cloudformation.DescribeStacksInput) (*request.Request, *cloudformation.DescribeStacksOutput) {
	m.addCall("DescribeStacksRequest")
	m.verifyInput("DescribeStacksRequest", param0)
	return m.DescribeStacksRequestFunc(param0)
}

func (m *cloudformationMock) DescribeStacksWithContext(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.Option) (*cloudformation.DescribeStacksOutput, error) {
	m.addCall("DescribeStacksWithContext")
	m.verifyInput("DescribeStacksWithContext", param0)
	return m.DescribeStacksWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) EstimateTemplateCost(param0 *cloudformation.EstimateTemplateCostInput) (*cloudformation.EstimateTemplateCostOutput, error) {
	m.addCall("EstimateTemplateCost")
	m.verifyInput("EstimateTemplateCost", param0)
	return m.EstimateTemplateCostFunc(param0)
}

func (m *cloudformationMock) EstimateTemplateCostRequest(param0 *cloudformation.EstimateTemplateCostInput) (*request.Request, *cloudformation.EstimateTemplateCostOutput) {
	m.addCall("EstimateTemplateCostRequest")
	m.verifyInput("EstimateTemplateCostRequest", param0)
	return m.EstimateTemplateCostRequestFunc(param0)
}

func (m *cloudformationMock) EstimateTemplateCostWithContext(param0 aws.Context, param1 *cloudformation.EstimateTemplateCostInput, param2 ...request.Option) (*cloudformation.EstimateTemplateCostOutput, error) {
	m.addCall("EstimateTemplateCostWithContext")
	m.verifyInput("EstimateTemplateCostWithContext", param0)
	return m.EstimateTemplateCostWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ExecuteChangeSet(param0 *cloudformation.ExecuteChangeSetInput) (*cloudformation.ExecuteChangeSetOutput, error) {
	m.addCall("ExecuteChangeSet")
	m.verifyInput("ExecuteChangeSet", param0)
	return m.ExecuteChangeSetFunc(param0)
}

func (m *cloudformationMock) ExecuteChangeSetRequest(param0 *cloudformation.ExecuteChangeSetInput) (*request.Request, *cloudformation.ExecuteChangeSetOutput) {
	m.addCall("ExecuteChangeSetRequest")
	m.verifyInput("ExecuteChangeSetRequest", param0)
	return m.ExecuteChangeSetRequestFunc(param0)
}

func (m *cloudformationMock) ExecuteChangeSetWithContext(param0 aws.Context, param1 *cloudformation.ExecuteChangeSetInput, param2 ...request.Option) (*cloudformation.ExecuteChangeSetOutput, error) {
	m.addCall("ExecuteChangeSetWithContext")
	m.verifyInput("ExecuteChangeSetWithContext", param0)
	return m.ExecuteChangeSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) GetStackPolicy(param0 *cloudformation.GetStackPolicyInput) (*cloudformation.GetStackPolicyOutput, error) {
	m.addCall("GetStackPolicy")
	m.verifyInput("GetStackPolicy", param0)
	return m.GetStackPolicyFunc(param0)
}

func (m *cloudformationMock) GetStackPolicyRequest(param0 *cloudformation.GetStackPolicyInput) (*request.Request, *cloudformation.GetStackPolicyOutput) {
	m.addCall("GetStackPolicyRequest")
	m.verifyInput("GetStackPolicyRequest", param0)
	return m.GetStackPolicyRequestFunc(param0)
}

func (m *cloudformationMock) GetStackPolicyWithContext(param0 aws.Context, param1 *cloudformation.GetStackPolicyInput, param2 ...request.Option) (*cloudformation.GetStackPolicyOutput, error) {
	m.addCall("GetStackPolicyWithContext")
	m.verifyInput("GetStackPolicyWithContext", param0)
	return m.GetStackPolicyWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) GetTemplate(param0 *cloudformation.GetTemplateInput) (*cloudformation.GetTemplateOutput, error) {
	m.addCall("GetTemplate")
	m.verifyInput("GetTemplate", param0)
	return m.GetTemplateFunc(param0)
}

func (m *cloudformationMock) GetTemplateRequest(param0 *cloudformation.GetTemplateInput) (*request.Request, *cloudformation.GetTemplateOutput) {
	m.addCall("GetTemplateRequest")
	m.verifyInput("GetTemplateRequest", param0)
	return m.GetTemplateRequestFunc(param0)
}

func (m *cloudformationMock) GetTemplateSummary(param0 *cloudformation.GetTemplateSummaryInput) (*cloudformation.GetTemplateSummaryOutput, error) {
	m.addCall("GetTemplateSummary")
	m.verifyInput("GetTemplateSummary", param0)
	return m.GetTemplateSummaryFunc(param0)
}

func (m *cloudformationMock) GetTemplateSummaryRequest(param0 *cloudformation.GetTemplateSummaryInput) (*request.Request, *cloudformation.GetTemplateSummaryOutput) {
	m.addCall("GetTemplateSummaryRequest")
	m.verifyInput("GetTemplateSummaryRequest", param0)
	return m.GetTemplateSummaryRequestFunc(param0)
}

func (m *cloudformationMock) GetTemplateSummaryWithContext(param0 aws.Context, param1 *cloudformation.GetTemplateSummaryInput, param2 ...request.Option) (*cloudformation.GetTemplateSummaryOutput, error) {
	m.addCall("GetTemplateSummaryWithContext")
	m.verifyInput("GetTemplateSummaryWithContext", param0)
	return m.GetTemplateSummaryWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) GetTemplateWithContext(param0 aws.Context, param1 *cloudformation.GetTemplateInput, param2 ...request.Option) (*cloudformation.GetTemplateOutput, error) {
	m.addCall("GetTemplateWithContext")
	m.verifyInput("GetTemplateWithContext", param0)
	return m.GetTemplateWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListChangeSets(param0 *cloudformation.ListChangeSetsInput) (*cloudformation.ListChangeSetsOutput, error) {
	m.addCall("ListChangeSets")
	m.verifyInput("ListChangeSets", param0)
	return m.ListChangeSetsFunc(param0)
}

func (m *cloudformationMock) ListChangeSetsRequest(param0 *cloudformation.ListChangeSetsInput) (*request.Request, *cloudformation.ListChangeSetsOutput) {
	m.addCall("ListChangeSetsRequest")
	m.verifyInput("ListChangeSetsRequest", param0)
	return m.ListChangeSetsRequestFunc(param0)
}

func (m *cloudformationMock) ListChangeSetsWithContext(param0 aws.Context, param1 *cloudformation.ListChangeSetsInput, param2 ...request.Option) (*cloudformation.ListChangeSetsOutput, error) {
	m.addCall("ListChangeSetsWithContext")
	m.verifyInput("ListChangeSetsWithContext", param0)
	return m.ListChangeSetsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListExports(param0 *cloudformation.ListExportsInput) (*cloudformation.ListExportsOutput, error) {
	m.addCall("ListExports")
	m.verifyInput("ListExports", param0)
	return m.ListExportsFunc(param0)
}

func (m *cloudformationMock) ListExportsRequest(param0 *cloudformation.ListExportsInput) (*request.Request, *cloudformation.ListExportsOutput) {
	m.addCall("ListExportsRequest")
	m.verifyInput("ListExportsRequest", param0)
	return m.ListExportsRequestFunc(param0)
}

func (m *cloudformationMock) ListExportsWithContext(param0 aws.Context, param1 *cloudformation.ListExportsInput, param2 ...request.Option) (*cloudformation.ListExportsOutput, error) {
	m.addCall("ListExportsWithContext")
	m.verifyInput("ListExportsWithContext", param0)
	return m.ListExportsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListImports(param0 *cloudformation.ListImportsInput) (*cloudformation.ListImportsOutput, error) {
	m.addCall("ListImports")
	m.verifyInput("ListImports", param0)
	return m.ListImportsFunc(param0)
}

func (m *cloudformationMock) ListImportsRequest(param0 *cloudformation.ListImportsInput) (*request.Request, *cloudformation.ListImportsOutput) {
	m.addCall("ListImportsRequest")
	m.verifyInput("ListImportsRequest", param0)
	return m.ListImportsRequestFunc(param0)
}

func (m *cloudformationMock) ListImportsWithContext(param0 aws.Context, param1 *cloudformation.ListImportsInput, param2 ...request.Option) (*cloudformation.ListImportsOutput, error) {
	m.addCall("ListImportsWithContext")
	m.verifyInput("ListImportsWithContext", param0)
	return m.ListImportsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListStackInstances(param0 *cloudformation.ListStackInstancesInput) (*cloudformation.ListStackInstancesOutput, error) {
	m.addCall("ListStackInstances")
	m.verifyInput("ListStackInstances", param0)
	return m.ListStackInstancesFunc(param0)
}

func (m *cloudformationMock) ListStackInstancesRequest(param0 *cloudformation.ListStackInstancesInput) (*request.Request, *cloudformation.ListStackInstancesOutput) {
	m.addCall("ListStackInstancesRequest")
	m.verifyInput("ListStackInstancesRequest", param0)
	return m.ListStackInstancesRequestFunc(param0)
}

func (m *cloudformationMock) ListStackInstancesWithContext(param0 aws.Context, param1 *cloudformation.ListStackInstancesInput, param2 ...request.Option) (*cloudformation.ListStackInstancesOutput, error) {
	m.addCall("ListStackInstancesWithContext")
	m.verifyInput("ListStackInstancesWithContext", param0)
	return m.ListStackInstancesWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListStackResources(param0 *cloudformation.ListStackResourcesInput) (*cloudformation.ListStackResourcesOutput, error) {
	m.addCall("ListStackResources")
	m.verifyInput("ListStackResources", param0)
	return m.ListStackResourcesFunc(param0)
}

func (m *cloudformationMock) ListStackResourcesRequest(param0 *cloudformation.ListStackResourcesInput) (*request.Request, *cloudformation.ListStackResourcesOutput) {
	m.addCall("ListStackResourcesRequest")
	m.verifyInput("ListStackResourcesRequest", param0)
	return m.ListStackResourcesRequestFunc(param0)
}

func (m *cloudformationMock) ListStackResourcesWithContext(param0 aws.Context, param1 *cloudformation.ListStackResourcesInput, param2 ...request.Option) (*cloudformation.ListStackResourcesOutput, error) {
	m.addCall("ListStackResourcesWithContext")
	m.verifyInput("ListStackResourcesWithContext", param0)
	return m.ListStackResourcesWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListStackSetOperationResults(param0 *cloudformation.ListStackSetOperationResultsInput) (*cloudformation.ListStackSetOperationResultsOutput, error) {
	m.addCall("ListStackSetOperationResults")
	m.verifyInput("ListStackSetOperationResults", param0)
	return m.ListStackSetOperationResultsFunc(param0)
}

func (m *cloudformationMock) ListStackSetOperationResultsRequest(param0 *cloudformation.ListStackSetOperationResultsInput) (*request.Request, *cloudformation.ListStackSetOperationResultsOutput) {
	m.addCall("ListStackSetOperationResultsRequest")
	m.verifyInput("ListStackSetOperationResultsRequest", param0)
	return m.ListStackSetOperationResultsRequestFunc(param0)
}

func (m *cloudformationMock) ListStackSetOperationResultsWithContext(param0 aws.Context, param1 *cloudformation.ListStackSetOperationResultsInput, param2 ...request.Option) (*cloudformation.ListStackSetOperationResultsOutput, error) {
	m.addCall("ListStackSetOperationResultsWithContext")
	m.verifyInput("ListStackSetOperationResultsWithContext", param0)
	return m.ListStackSetOperationResultsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListStackSetOperations(param0 *cloudformation.ListStackSetOperationsInput) (*cloudformation.ListStackSetOperationsOutput, error) {
	m.addCall("ListStackSetOperations")
	m.verifyInput("ListStackSetOperations", param0)
	return m.ListStackSetOperationsFunc(param0)
}

func (m *cloudformationMock) ListStackSetOperationsRequest(param0 *cloudformation.ListStackSetOperationsInput) (*request.Request, *cloudformation.ListStackSetOperationsOutput) {
	m.addCall("ListStackSetOperationsRequest")
	m.verifyInput("ListStackSetOperationsRequest", param0)
	return m.ListStackSetOperationsRequestFunc(param0)
}

func (m *cloudformationMock) ListStackSetOperationsWithContext(param0 aws.Context, param1 *cloudformation.ListStackSetOperationsInput, param2 ...request.Option) (*cloudformation.ListStackSetOperationsOutput, error) {
	m.addCall("ListStackSetOperationsWithContext")
	m.verifyInput("ListStackSetOperationsWithContext", param0)
	return m.ListStackSetOperationsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListStackSets(param0 *cloudformation.ListStackSetsInput) (*cloudformation.ListStackSetsOutput, error) {
	m.addCall("ListStackSets")
	m.verifyInput("ListStackSets", param0)
	return m.ListStackSetsFunc(param0)
}

func (m *cloudformationMock) ListStackSetsRequest(param0 *cloudformation.ListStackSetsInput) (*request.Request, *cloudformation.ListStackSetsOutput) {
	m.addCall("ListStackSetsRequest")
	m.verifyInput("ListStackSetsRequest", param0)
	return m.ListStackSetsRequestFunc(param0)
}

func (m *cloudformationMock) ListStackSetsWithContext(param0 aws.Context, param1 *cloudformation.ListStackSetsInput, param2 ...request.Option) (*cloudformation.ListStackSetsOutput, error) {
	m.addCall("ListStackSetsWithContext")
	m.verifyInput("ListStackSetsWithContext", param0)
	return m.ListStackSetsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ListStacks(param0 *cloudformation.ListStacksInput) (*cloudformation.ListStacksOutput, error) {
	m.addCall("ListStacks")
	m.verifyInput("ListStacks", param0)
	return m.ListStacksFunc(param0)
}

func (m *cloudformationMock) ListStacksRequest(param0 *cloudformation.ListStacksInput) (*request.Request, *cloudformation.ListStacksOutput) {
	m.addCall("ListStacksRequest")
	m.verifyInput("ListStacksRequest", param0)
	return m.ListStacksRequestFunc(param0)
}

func (m *cloudformationMock) ListStacksWithContext(param0 aws.Context, param1 *cloudformation.ListStacksInput, param2 ...request.Option) (*cloudformation.ListStacksOutput, error) {
	m.addCall("ListStacksWithContext")
	m.verifyInput("ListStacksWithContext", param0)
	return m.ListStacksWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) SetStackPolicy(param0 *cloudformation.SetStackPolicyInput) (*cloudformation.SetStackPolicyOutput, error) {
	m.addCall("SetStackPolicy")
	m.verifyInput("SetStackPolicy", param0)
	return m.SetStackPolicyFunc(param0)
}

func (m *cloudformationMock) SetStackPolicyRequest(param0 *cloudformation.SetStackPolicyInput) (*request.Request, *cloudformation.SetStackPolicyOutput) {
	m.addCall("SetStackPolicyRequest")
	m.verifyInput("SetStackPolicyRequest", param0)
	return m.SetStackPolicyRequestFunc(param0)
}

func (m *cloudformationMock) SetStackPolicyWithContext(param0 aws.Context, param1 *cloudformation.SetStackPolicyInput, param2 ...request.Option) (*cloudformation.SetStackPolicyOutput, error) {
	m.addCall("SetStackPolicyWithContext")
	m.verifyInput("SetStackPolicyWithContext", param0)
	return m.SetStackPolicyWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) SignalResource(param0 *cloudformation.SignalResourceInput) (*cloudformation.SignalResourceOutput, error) {
	m.addCall("SignalResource")
	m.verifyInput("SignalResource", param0)
	return m.SignalResourceFunc(param0)
}

func (m *cloudformationMock) SignalResourceRequest(param0 *cloudformation.SignalResourceInput) (*request.Request, *cloudformation.SignalResourceOutput) {
	m.addCall("SignalResourceRequest")
	m.verifyInput("SignalResourceRequest", param0)
	return m.SignalResourceRequestFunc(param0)
}

func (m *cloudformationMock) SignalResourceWithContext(param0 aws.Context, param1 *cloudformation.SignalResourceInput, param2 ...request.Option) (*cloudformation.SignalResourceOutput, error) {
	m.addCall("SignalResourceWithContext")
	m.verifyInput("SignalResourceWithContext", param0)
	return m.SignalResourceWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) StopStackSetOperation(param0 *cloudformation.StopStackSetOperationInput) (*cloudformation.StopStackSetOperationOutput, error) {
	m.addCall("StopStackSetOperation")
	m.verifyInput("StopStackSetOperation", param0)
	return m.StopStackSetOperationFunc(param0)
}

func (m *cloudformationMock) StopStackSetOperationRequest(param0 *cloudformation.StopStackSetOperationInput) (*request.Request, *cloudformation.StopStackSetOperationOutput) {
	m.addCall("StopStackSetOperationRequest")
	m.verifyInput("StopStackSetOperationRequest", param0)
	return m.StopStackSetOperationRequestFunc(param0)
}

func (m *cloudformationMock) StopStackSetOperationWithContext(param0 aws.Context, param1 *cloudformation.StopStackSetOperationInput, param2 ...request.Option) (*cloudformation.StopStackSetOperationOutput, error) {
	m.addCall("StopStackSetOperationWithContext")
	m.verifyInput("StopStackSetOperationWithContext", param0)
	return m.StopStackSetOperationWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) UpdateStack(param0 *cloudformation.UpdateStackInput) (*cloudformation.UpdateStackOutput, error) {
	m.addCall("UpdateStack")
	m.verifyInput("UpdateStack", param0)
	return m.UpdateStackFunc(param0)
}

func (m *cloudformationMock) UpdateStackRequest(param0 *cloudformation.UpdateStackInput) (*request.Request, *cloudformation.UpdateStackOutput) {
	m.addCall("UpdateStackRequest")
	m.verifyInput("UpdateStackRequest", param0)
	return m.UpdateStackRequestFunc(param0)
}

func (m *cloudformationMock) UpdateStackSet(param0 *cloudformation.UpdateStackSetInput) (*cloudformation.UpdateStackSetOutput, error) {
	m.addCall("UpdateStackSet")
	m.verifyInput("UpdateStackSet", param0)
	return m.UpdateStackSetFunc(param0)
}

func (m *cloudformationMock) UpdateStackSetRequest(param0 *cloudformation.UpdateStackSetInput) (*request.Request, *cloudformation.UpdateStackSetOutput) {
	m.addCall("UpdateStackSetRequest")
	m.verifyInput("UpdateStackSetRequest", param0)
	return m.UpdateStackSetRequestFunc(param0)
}

func (m *cloudformationMock) UpdateStackSetWithContext(param0 aws.Context, param1 *cloudformation.UpdateStackSetInput, param2 ...request.Option) (*cloudformation.UpdateStackSetOutput, error) {
	m.addCall("UpdateStackSetWithContext")
	m.verifyInput("UpdateStackSetWithContext", param0)
	return m.UpdateStackSetWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) UpdateStackWithContext(param0 aws.Context, param1 *cloudformation.UpdateStackInput, param2 ...request.Option) (*cloudformation.UpdateStackOutput, error) {
	m.addCall("UpdateStackWithContext")
	m.verifyInput("UpdateStackWithContext", param0)
	return m.UpdateStackWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) ValidateTemplate(param0 *cloudformation.ValidateTemplateInput) (*cloudformation.ValidateTemplateOutput, error) {
	m.addCall("ValidateTemplate")
	m.verifyInput("ValidateTemplate", param0)
	return m.ValidateTemplateFunc(param0)
}

func (m *cloudformationMock) ValidateTemplateRequest(param0 *cloudformation.ValidateTemplateInput) (*request.Request, *cloudformation.ValidateTemplateOutput) {
	m.addCall("ValidateTemplateRequest")
	m.verifyInput("ValidateTemplateRequest", param0)
	return m.ValidateTemplateRequestFunc(param0)
}

func (m *cloudformationMock) ValidateTemplateWithContext(param0 aws.Context, param1 *cloudformation.ValidateTemplateInput, param2 ...request.Option) (*cloudformation.ValidateTemplateOutput, error) {
	m.addCall("ValidateTemplateWithContext")
	m.verifyInput("ValidateTemplateWithContext", param0)
	return m.ValidateTemplateWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) WaitUntilChangeSetCreateComplete(param0 *cloudformation.DescribeChangeSetInput) error {
	m.addCall("WaitUntilChangeSetCreateComplete")
	m.verifyInput("WaitUntilChangeSetCreateComplete", param0)
	return m.WaitUntilChangeSetCreateCompleteFunc(param0)
}

func (m *cloudformationMock) WaitUntilChangeSetCreateCompleteWithContext(param0 aws.Context, param1 *cloudformation.DescribeChangeSetInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilChangeSetCreateCompleteWithContext")
	m.verifyInput("WaitUntilChangeSetCreateCompleteWithContext", param0)
	return m.WaitUntilChangeSetCreateCompleteWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) WaitUntilStackCreateComplete(param0 *cloudformation.DescribeStacksInput) error {
	m.addCall("WaitUntilStackCreateComplete")
	m.verifyInput("WaitUntilStackCreateComplete", param0)
	return m.WaitUntilStackCreateCompleteFunc(param0)
}

func (m *cloudformationMock) WaitUntilStackCreateCompleteWithContext(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilStackCreateCompleteWithContext")
	m.verifyInput("WaitUntilStackCreateCompleteWithContext", param0)
	return m.WaitUntilStackCreateCompleteWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) WaitUntilStackDeleteComplete(param0 *cloudformation.DescribeStacksInput) error {
	m.addCall("WaitUntilStackDeleteComplete")
	m.verifyInput("WaitUntilStackDeleteComplete", param0)
	return m.WaitUntilStackDeleteCompleteFunc(param0)
}

func (m *cloudformationMock) WaitUntilStackDeleteCompleteWithContext(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilStackDeleteCompleteWithContext")
	m.verifyInput("WaitUntilStackDeleteCompleteWithContext", param0)
	return m.WaitUntilStackDeleteCompleteWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) WaitUntilStackExists(param0 *cloudformation.DescribeStacksInput) error {
	m.addCall("WaitUntilStackExists")
	m.verifyInput("WaitUntilStackExists", param0)
	return m.WaitUntilStackExistsFunc(param0)
}

func (m *cloudformationMock) WaitUntilStackExistsWithContext(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilStackExistsWithContext")
	m.verifyInput("WaitUntilStackExistsWithContext", param0)
	return m.WaitUntilStackExistsWithContextFunc(param0, param1, param2...)
}

func (m *cloudformationMock) WaitUntilStackUpdateComplete(param0 *cloudformation.DescribeStacksInput) error {
	m.addCall("WaitUntilStackUpdateComplete")
	m.verifyInput("WaitUntilStackUpdateComplete", param0)
	return m.WaitUntilStackUpdateCompleteFunc(param0)
}

func (m *cloudformationMock) WaitUntilStackUpdateCompleteWithContext(param0 aws.Context, param1 *cloudformation.DescribeStacksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilStackUpdateCompleteWithContext")
	m.verifyInput("WaitUntilStackUpdateCompleteWithContext", param0)
	return m.WaitUntilStackUpdateCompleteWithContextFunc(param0, param1, param2...)
}

type cloudfrontMock struct {
	basicMock
	cloudfrontiface.CloudFrontAPI
	CreateCloudFrontOriginAccessIdentityFunc               func(param0 *cloudfront.CreateCloudFrontOriginAccessIdentityInput) (*cloudfront.CreateCloudFrontOriginAccessIdentityOutput, error)
	CreateCloudFrontOriginAccessIdentityRequestFunc        func(param0 *cloudfront.CreateCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.CreateCloudFrontOriginAccessIdentityOutput)
	CreateCloudFrontOriginAccessIdentityWithContextFunc    func(param0 aws.Context, param1 *cloudfront.CreateCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.CreateCloudFrontOriginAccessIdentityOutput, error)
	CreateDistributionFunc                                 func(param0 *cloudfront.CreateDistributionInput) (*cloudfront.CreateDistributionOutput, error)
	CreateDistributionRequestFunc                          func(param0 *cloudfront.CreateDistributionInput) (*request.Request, *cloudfront.CreateDistributionOutput)
	CreateDistributionWithContextFunc                      func(param0 aws.Context, param1 *cloudfront.CreateDistributionInput, param2 ...request.Option) (*cloudfront.CreateDistributionOutput, error)
	CreateDistributionWithTagsFunc                         func(param0 *cloudfront.CreateDistributionWithTagsInput) (*cloudfront.CreateDistributionWithTagsOutput, error)
	CreateDistributionWithTagsRequestFunc                  func(param0 *cloudfront.CreateDistributionWithTagsInput) (*request.Request, *cloudfront.CreateDistributionWithTagsOutput)
	CreateDistributionWithTagsWithContextFunc              func(param0 aws.Context, param1 *cloudfront.CreateDistributionWithTagsInput, param2 ...request.Option) (*cloudfront.CreateDistributionWithTagsOutput, error)
	CreateInvalidationFunc                                 func(param0 *cloudfront.CreateInvalidationInput) (*cloudfront.CreateInvalidationOutput, error)
	CreateInvalidationRequestFunc                          func(param0 *cloudfront.CreateInvalidationInput) (*request.Request, *cloudfront.CreateInvalidationOutput)
	CreateInvalidationWithContextFunc                      func(param0 aws.Context, param1 *cloudfront.CreateInvalidationInput, param2 ...request.Option) (*cloudfront.CreateInvalidationOutput, error)
	CreateStreamingDistributionFunc                        func(param0 *cloudfront.CreateStreamingDistributionInput) (*cloudfront.CreateStreamingDistributionOutput, error)
	CreateStreamingDistributionRequestFunc                 func(param0 *cloudfront.CreateStreamingDistributionInput) (*request.Request, *cloudfront.CreateStreamingDistributionOutput)
	CreateStreamingDistributionWithContextFunc             func(param0 aws.Context, param1 *cloudfront.CreateStreamingDistributionInput, param2 ...request.Option) (*cloudfront.CreateStreamingDistributionOutput, error)
	CreateStreamingDistributionWithTagsFunc                func(param0 *cloudfront.CreateStreamingDistributionWithTagsInput) (*cloudfront.CreateStreamingDistributionWithTagsOutput, error)
	CreateStreamingDistributionWithTagsRequestFunc         func(param0 *cloudfront.CreateStreamingDistributionWithTagsInput) (*request.Request, *cloudfront.CreateStreamingDistributionWithTagsOutput)
	CreateStreamingDistributionWithTagsWithContextFunc     func(param0 aws.Context, param1 *cloudfront.CreateStreamingDistributionWithTagsInput, param2 ...request.Option) (*cloudfront.CreateStreamingDistributionWithTagsOutput, error)
	DeleteCloudFrontOriginAccessIdentityFunc               func(param0 *cloudfront.DeleteCloudFrontOriginAccessIdentityInput) (*cloudfront.DeleteCloudFrontOriginAccessIdentityOutput, error)
	DeleteCloudFrontOriginAccessIdentityRequestFunc        func(param0 *cloudfront.DeleteCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.DeleteCloudFrontOriginAccessIdentityOutput)
	DeleteCloudFrontOriginAccessIdentityWithContextFunc    func(param0 aws.Context, param1 *cloudfront.DeleteCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.DeleteCloudFrontOriginAccessIdentityOutput, error)
	DeleteDistributionFunc                                 func(param0 *cloudfront.DeleteDistributionInput) (*cloudfront.DeleteDistributionOutput, error)
	DeleteDistributionRequestFunc                          func(param0 *cloudfront.DeleteDistributionInput) (*request.Request, *cloudfront.DeleteDistributionOutput)
	DeleteDistributionWithContextFunc                      func(param0 aws.Context, param1 *cloudfront.DeleteDistributionInput, param2 ...request.Option) (*cloudfront.DeleteDistributionOutput, error)
	DeleteStreamingDistributionFunc                        func(param0 *cloudfront.DeleteStreamingDistributionInput) (*cloudfront.DeleteStreamingDistributionOutput, error)
	DeleteStreamingDistributionRequestFunc                 func(param0 *cloudfront.DeleteStreamingDistributionInput) (*request.Request, *cloudfront.DeleteStreamingDistributionOutput)
	DeleteStreamingDistributionWithContextFunc             func(param0 aws.Context, param1 *cloudfront.DeleteStreamingDistributionInput, param2 ...request.Option) (*cloudfront.DeleteStreamingDistributionOutput, error)
	GetCloudFrontOriginAccessIdentityFunc                  func(param0 *cloudfront.GetCloudFrontOriginAccessIdentityInput) (*cloudfront.GetCloudFrontOriginAccessIdentityOutput, error)
	GetCloudFrontOriginAccessIdentityConfigFunc            func(param0 *cloudfront.GetCloudFrontOriginAccessIdentityConfigInput) (*cloudfront.GetCloudFrontOriginAccessIdentityConfigOutput, error)
	GetCloudFrontOriginAccessIdentityConfigRequestFunc     func(param0 *cloudfront.GetCloudFrontOriginAccessIdentityConfigInput) (*request.Request, *cloudfront.GetCloudFrontOriginAccessIdentityConfigOutput)
	GetCloudFrontOriginAccessIdentityConfigWithContextFunc func(param0 aws.Context, param1 *cloudfront.GetCloudFrontOriginAccessIdentityConfigInput, param2 ...request.Option) (*cloudfront.GetCloudFrontOriginAccessIdentityConfigOutput, error)
	GetCloudFrontOriginAccessIdentityRequestFunc           func(param0 *cloudfront.GetCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.GetCloudFrontOriginAccessIdentityOutput)
	GetCloudFrontOriginAccessIdentityWithContextFunc       func(param0 aws.Context, param1 *cloudfront.GetCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.GetCloudFrontOriginAccessIdentityOutput, error)
	GetDistributionFunc                                    func(param0 *cloudfront.GetDistributionInput) (*cloudfront.GetDistributionOutput, error)
	GetDistributionConfigFunc                              func(param0 *cloudfront.GetDistributionConfigInput) (*cloudfront.GetDistributionConfigOutput, error)
	GetDistributionConfigRequestFunc                       func(param0 *cloudfront.GetDistributionConfigInput) (*request.Request, *cloudfront.GetDistributionConfigOutput)
	GetDistributionConfigWithContextFunc                   func(param0 aws.Context, param1 *cloudfront.GetDistributionConfigInput, param2 ...request.Option) (*cloudfront.GetDistributionConfigOutput, error)
	GetDistributionRequestFunc                             func(param0 *cloudfront.GetDistributionInput) (*request.Request, *cloudfront.GetDistributionOutput)
	GetDistributionWithContextFunc                         func(param0 aws.Context, param1 *cloudfront.GetDistributionInput, param2 ...request.Option) (*cloudfront.GetDistributionOutput, error)
	GetInvalidationFunc                                    func(param0 *cloudfront.GetInvalidationInput) (*cloudfront.GetInvalidationOutput, error)
	GetInvalidationRequestFunc                             func(param0 *cloudfront.GetInvalidationInput) (*request.Request, *cloudfront.GetInvalidationOutput)
	GetInvalidationWithContextFunc                         func(param0 aws.Context, param1 *cloudfront.GetInvalidationInput, param2 ...request.Option) (*cloudfront.GetInvalidationOutput, error)
	GetStreamingDistributionFunc                           func(param0 *cloudfront.GetStreamingDistributionInput) (*cloudfront.GetStreamingDistributionOutput, error)
	GetStreamingDistributionConfigFunc                     func(param0 *cloudfront.GetStreamingDistributionConfigInput) (*cloudfront.GetStreamingDistributionConfigOutput, error)
	GetStreamingDistributionConfigRequestFunc              func(param0 *cloudfront.GetStreamingDistributionConfigInput) (*request.Request, *cloudfront.GetStreamingDistributionConfigOutput)
	GetStreamingDistributionConfigWithContextFunc          func(param0 aws.Context, param1 *cloudfront.GetStreamingDistributionConfigInput, param2 ...request.Option) (*cloudfront.GetStreamingDistributionConfigOutput, error)
	GetStreamingDistributionRequestFunc                    func(param0 *cloudfront.GetStreamingDistributionInput) (*request.Request, *cloudfront.GetStreamingDistributionOutput)
	GetStreamingDistributionWithContextFunc                func(param0 aws.Context, param1 *cloudfront.GetStreamingDistributionInput, param2 ...request.Option) (*cloudfront.GetStreamingDistributionOutput, error)
	ListCloudFrontOriginAccessIdentitiesFunc               func(param0 *cloudfront.ListCloudFrontOriginAccessIdentitiesInput) (*cloudfront.ListCloudFrontOriginAccessIdentitiesOutput, error)
	ListCloudFrontOriginAccessIdentitiesRequestFunc        func(param0 *cloudfront.ListCloudFrontOriginAccessIdentitiesInput) (*request.Request, *cloudfront.ListCloudFrontOriginAccessIdentitiesOutput)
	ListCloudFrontOriginAccessIdentitiesWithContextFunc    func(param0 aws.Context, param1 *cloudfront.ListCloudFrontOriginAccessIdentitiesInput, param2 ...request.Option) (*cloudfront.ListCloudFrontOriginAccessIdentitiesOutput, error)
	ListDistributionsFunc                                  func(param0 *cloudfront.ListDistributionsInput) (*cloudfront.ListDistributionsOutput, error)
	ListDistributionsByWebACLIdFunc                        func(param0 *cloudfront.ListDistributionsByWebACLIdInput) (*cloudfront.ListDistributionsByWebACLIdOutput, error)
	ListDistributionsByWebACLIdRequestFunc                 func(param0 *cloudfront.ListDistributionsByWebACLIdInput) (*request.Request, *cloudfront.ListDistributionsByWebACLIdOutput)
	ListDistributionsByWebACLIdWithContextFunc             func(param0 aws.Context, param1 *cloudfront.ListDistributionsByWebACLIdInput, param2 ...request.Option) (*cloudfront.ListDistributionsByWebACLIdOutput, error)
	ListDistributionsRequestFunc                           func(param0 *cloudfront.ListDistributionsInput) (*request.Request, *cloudfront.ListDistributionsOutput)
	ListDistributionsWithContextFunc                       func(param0 aws.Context, param1 *cloudfront.ListDistributionsInput, param2 ...request.Option) (*cloudfront.ListDistributionsOutput, error)
	ListInvalidationsFunc                                  func(param0 *cloudfront.ListInvalidationsInput) (*cloudfront.ListInvalidationsOutput, error)
	ListInvalidationsRequestFunc                           func(param0 *cloudfront.ListInvalidationsInput) (*request.Request, *cloudfront.ListInvalidationsOutput)
	ListInvalidationsWithContextFunc                       func(param0 aws.Context, param1 *cloudfront.ListInvalidationsInput, param2 ...request.Option) (*cloudfront.ListInvalidationsOutput, error)
	ListStreamingDistributionsFunc                         func(param0 *cloudfront.ListStreamingDistributionsInput) (*cloudfront.ListStreamingDistributionsOutput, error)
	ListStreamingDistributionsRequestFunc                  func(param0 *cloudfront.ListStreamingDistributionsInput) (*request.Request, *cloudfront.ListStreamingDistributionsOutput)
	ListStreamingDistributionsWithContextFunc              func(param0 aws.Context, param1 *cloudfront.ListStreamingDistributionsInput, param2 ...request.Option) (*cloudfront.ListStreamingDistributionsOutput, error)
	ListTagsForResourceFunc                                func(param0 *cloudfront.ListTagsForResourceInput) (*cloudfront.ListTagsForResourceOutput, error)
	ListTagsForResourceRequestFunc                         func(param0 *cloudfront.ListTagsForResourceInput) (*request.Request, *cloudfront.ListTagsForResourceOutput)
	ListTagsForResourceWithContextFunc                     func(param0 aws.Context, param1 *cloudfront.ListTagsForResourceInput, param2 ...request.Option) (*cloudfront.ListTagsForResourceOutput, error)
	TagResourceFunc                                        func(param0 *cloudfront.TagResourceInput) (*cloudfront.TagResourceOutput, error)
	TagResourceRequestFunc                                 func(param0 *cloudfront.TagResourceInput) (*request.Request, *cloudfront.TagResourceOutput)
	TagResourceWithContextFunc                             func(param0 aws.Context, param1 *cloudfront.TagResourceInput, param2 ...request.Option) (*cloudfront.TagResourceOutput, error)
	UntagResourceFunc                                      func(param0 *cloudfront.UntagResourceInput) (*cloudfront.UntagResourceOutput, error)
	UntagResourceRequestFunc                               func(param0 *cloudfront.UntagResourceInput) (*request.Request, *cloudfront.UntagResourceOutput)
	UntagResourceWithContextFunc                           func(param0 aws.Context, param1 *cloudfront.UntagResourceInput, param2 ...request.Option) (*cloudfront.UntagResourceOutput, error)
	UpdateCloudFrontOriginAccessIdentityFunc               func(param0 *cloudfront.UpdateCloudFrontOriginAccessIdentityInput) (*cloudfront.UpdateCloudFrontOriginAccessIdentityOutput, error)
	UpdateCloudFrontOriginAccessIdentityRequestFunc        func(param0 *cloudfront.UpdateCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.UpdateCloudFrontOriginAccessIdentityOutput)
	UpdateCloudFrontOriginAccessIdentityWithContextFunc    func(param0 aws.Context, param1 *cloudfront.UpdateCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.UpdateCloudFrontOriginAccessIdentityOutput, error)
	UpdateDistributionFunc                                 func(param0 *cloudfront.UpdateDistributionInput) (*cloudfront.UpdateDistributionOutput, error)
	UpdateDistributionRequestFunc                          func(param0 *cloudfront.UpdateDistributionInput) (*request.Request, *cloudfront.UpdateDistributionOutput)
	UpdateDistributionWithContextFunc                      func(param0 aws.Context, param1 *cloudfront.UpdateDistributionInput, param2 ...request.Option) (*cloudfront.UpdateDistributionOutput, error)
	UpdateStreamingDistributionFunc                        func(param0 *cloudfront.UpdateStreamingDistributionInput) (*cloudfront.UpdateStreamingDistributionOutput, error)
	UpdateStreamingDistributionRequestFunc                 func(param0 *cloudfront.UpdateStreamingDistributionInput) (*request.Request, *cloudfront.UpdateStreamingDistributionOutput)
	UpdateStreamingDistributionWithContextFunc             func(param0 aws.Context, param1 *cloudfront.UpdateStreamingDistributionInput, param2 ...request.Option) (*cloudfront.UpdateStreamingDistributionOutput, error)
	WaitUntilDistributionDeployedFunc                      func(param0 *cloudfront.GetDistributionInput) error
	WaitUntilDistributionDeployedWithContextFunc           func(param0 aws.Context, param1 *cloudfront.GetDistributionInput, param2 ...request.WaiterOption) error
	WaitUntilInvalidationCompletedFunc                     func(param0 *cloudfront.GetInvalidationInput) error
	WaitUntilInvalidationCompletedWithContextFunc          func(param0 aws.Context, param1 *cloudfront.GetInvalidationInput, param2 ...request.WaiterOption) error
	WaitUntilStreamingDistributionDeployedFunc             func(param0 *cloudfront.GetStreamingDistributionInput) error
	WaitUntilStreamingDistributionDeployedWithContextFunc  func(param0 aws.Context, param1 *cloudfront.GetStreamingDistributionInput, param2 ...request.WaiterOption) error
}

func (m *cloudfrontMock) CreateCloudFrontOriginAccessIdentity(param0 *cloudfront.CreateCloudFrontOriginAccessIdentityInput) (*cloudfront.CreateCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("CreateCloudFrontOriginAccessIdentity")
	m.verifyInput("CreateCloudFrontOriginAccessIdentity", param0)
	return m.CreateCloudFrontOriginAccessIdentityFunc(param0)
}

func (m *cloudfrontMock) CreateCloudFrontOriginAccessIdentityRequest(param0 *cloudfront.CreateCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.CreateCloudFrontOriginAccessIdentityOutput) {
	m.addCall("CreateCloudFrontOriginAccessIdentityRequest")
	m.verifyInput("CreateCloudFrontOriginAccessIdentityRequest", param0)
	return m.CreateCloudFrontOriginAccessIdentityRequestFunc(param0)
}

func (m *cloudfrontMock) CreateCloudFrontOriginAccessIdentityWithContext(param0 aws.Context, param1 *cloudfront.CreateCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.CreateCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("CreateCloudFrontOriginAccessIdentityWithContext")
	m.verifyInput("CreateCloudFrontOriginAccessIdentityWithContext", param0)
	return m.CreateCloudFrontOriginAccessIdentityWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) CreateDistribution(param0 *cloudfront.CreateDistributionInput) (*cloudfront.CreateDistributionOutput, error) {
	m.addCall("CreateDistribution")
	m.verifyInput("CreateDistribution", param0)
	return m.CreateDistributionFunc(param0)
}

func (m *cloudfrontMock) CreateDistributionRequest(param0 *cloudfront.CreateDistributionInput) (*request.Request, *cloudfront.CreateDistributionOutput) {
	m.addCall("CreateDistributionRequest")
	m.verifyInput("CreateDistributionRequest", param0)
	return m.CreateDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) CreateDistributionWithContext(param0 aws.Context, param1 *cloudfront.CreateDistributionInput, param2 ...request.Option) (*cloudfront.CreateDistributionOutput, error) {
	m.addCall("CreateDistributionWithContext")
	m.verifyInput("CreateDistributionWithContext", param0)
	return m.CreateDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) CreateDistributionWithTags(param0 *cloudfront.CreateDistributionWithTagsInput) (*cloudfront.CreateDistributionWithTagsOutput, error) {
	m.addCall("CreateDistributionWithTags")
	m.verifyInput("CreateDistributionWithTags", param0)
	return m.CreateDistributionWithTagsFunc(param0)
}

func (m *cloudfrontMock) CreateDistributionWithTagsRequest(param0 *cloudfront.CreateDistributionWithTagsInput) (*request.Request, *cloudfront.CreateDistributionWithTagsOutput) {
	m.addCall("CreateDistributionWithTagsRequest")
	m.verifyInput("CreateDistributionWithTagsRequest", param0)
	return m.CreateDistributionWithTagsRequestFunc(param0)
}

func (m *cloudfrontMock) CreateDistributionWithTagsWithContext(param0 aws.Context, param1 *cloudfront.CreateDistributionWithTagsInput, param2 ...request.Option) (*cloudfront.CreateDistributionWithTagsOutput, error) {
	m.addCall("CreateDistributionWithTagsWithContext")
	m.verifyInput("CreateDistributionWithTagsWithContext", param0)
	return m.CreateDistributionWithTagsWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) CreateInvalidation(param0 *cloudfront.CreateInvalidationInput) (*cloudfront.CreateInvalidationOutput, error) {
	m.addCall("CreateInvalidation")
	m.verifyInput("CreateInvalidation", param0)
	return m.CreateInvalidationFunc(param0)
}

func (m *cloudfrontMock) CreateInvalidationRequest(param0 *cloudfront.CreateInvalidationInput) (*request.Request, *cloudfront.CreateInvalidationOutput) {
	m.addCall("CreateInvalidationRequest")
	m.verifyInput("CreateInvalidationRequest", param0)
	return m.CreateInvalidationRequestFunc(param0)
}

func (m *cloudfrontMock) CreateInvalidationWithContext(param0 aws.Context, param1 *cloudfront.CreateInvalidationInput, param2 ...request.Option) (*cloudfront.CreateInvalidationOutput, error) {
	m.addCall("CreateInvalidationWithContext")
	m.verifyInput("CreateInvalidationWithContext", param0)
	return m.CreateInvalidationWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) CreateStreamingDistribution(param0 *cloudfront.CreateStreamingDistributionInput) (*cloudfront.CreateStreamingDistributionOutput, error) {
	m.addCall("CreateStreamingDistribution")
	m.verifyInput("CreateStreamingDistribution", param0)
	return m.CreateStreamingDistributionFunc(param0)
}

func (m *cloudfrontMock) CreateStreamingDistributionRequest(param0 *cloudfront.CreateStreamingDistributionInput) (*request.Request, *cloudfront.CreateStreamingDistributionOutput) {
	m.addCall("CreateStreamingDistributionRequest")
	m.verifyInput("CreateStreamingDistributionRequest", param0)
	return m.CreateStreamingDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) CreateStreamingDistributionWithContext(param0 aws.Context, param1 *cloudfront.CreateStreamingDistributionInput, param2 ...request.Option) (*cloudfront.CreateStreamingDistributionOutput, error) {
	m.addCall("CreateStreamingDistributionWithContext")
	m.verifyInput("CreateStreamingDistributionWithContext", param0)
	return m.CreateStreamingDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) CreateStreamingDistributionWithTags(param0 *cloudfront.CreateStreamingDistributionWithTagsInput) (*cloudfront.CreateStreamingDistributionWithTagsOutput, error) {
	m.addCall("CreateStreamingDistributionWithTags")
	m.verifyInput("CreateStreamingDistributionWithTags", param0)
	return m.CreateStreamingDistributionWithTagsFunc(param0)
}

func (m *cloudfrontMock) CreateStreamingDistributionWithTagsRequest(param0 *cloudfront.CreateStreamingDistributionWithTagsInput) (*request.Request, *cloudfront.CreateStreamingDistributionWithTagsOutput) {
	m.addCall("CreateStreamingDistributionWithTagsRequest")
	m.verifyInput("CreateStreamingDistributionWithTagsRequest", param0)
	return m.CreateStreamingDistributionWithTagsRequestFunc(param0)
}

func (m *cloudfrontMock) CreateStreamingDistributionWithTagsWithContext(param0 aws.Context, param1 *cloudfront.CreateStreamingDistributionWithTagsInput, param2 ...request.Option) (*cloudfront.CreateStreamingDistributionWithTagsOutput, error) {
	m.addCall("CreateStreamingDistributionWithTagsWithContext")
	m.verifyInput("CreateStreamingDistributionWithTagsWithContext", param0)
	return m.CreateStreamingDistributionWithTagsWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) DeleteCloudFrontOriginAccessIdentity(param0 *cloudfront.DeleteCloudFrontOriginAccessIdentityInput) (*cloudfront.DeleteCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("DeleteCloudFrontOriginAccessIdentity")
	m.verifyInput("DeleteCloudFrontOriginAccessIdentity", param0)
	return m.DeleteCloudFrontOriginAccessIdentityFunc(param0)
}

func (m *cloudfrontMock) DeleteCloudFrontOriginAccessIdentityRequest(param0 *cloudfront.DeleteCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.DeleteCloudFrontOriginAccessIdentityOutput) {
	m.addCall("DeleteCloudFrontOriginAccessIdentityRequest")
	m.verifyInput("DeleteCloudFrontOriginAccessIdentityRequest", param0)
	return m.DeleteCloudFrontOriginAccessIdentityRequestFunc(param0)
}

func (m *cloudfrontMock) DeleteCloudFrontOriginAccessIdentityWithContext(param0 aws.Context, param1 *cloudfront.DeleteCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.DeleteCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("DeleteCloudFrontOriginAccessIdentityWithContext")
	m.verifyInput("DeleteCloudFrontOriginAccessIdentityWithContext", param0)
	return m.DeleteCloudFrontOriginAccessIdentityWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) DeleteDistribution(param0 *cloudfront.DeleteDistributionInput) (*cloudfront.DeleteDistributionOutput, error) {
	m.addCall("DeleteDistribution")
	m.verifyInput("DeleteDistribution", param0)
	return m.DeleteDistributionFunc(param0)
}

func (m *cloudfrontMock) DeleteDistributionRequest(param0 *cloudfront.DeleteDistributionInput) (*request.Request, *cloudfront.DeleteDistributionOutput) {
	m.addCall("DeleteDistributionRequest")
	m.verifyInput("DeleteDistributionRequest", param0)
	return m.DeleteDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) DeleteDistributionWithContext(param0 aws.Context, param1 *cloudfront.DeleteDistributionInput, param2 ...request.Option) (*cloudfront.DeleteDistributionOutput, error) {
	m.addCall("DeleteDistributionWithContext")
	m.verifyInput("DeleteDistributionWithContext", param0)
	return m.DeleteDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) DeleteStreamingDistribution(param0 *cloudfront.DeleteStreamingDistributionInput) (*cloudfront.DeleteStreamingDistributionOutput, error) {
	m.addCall("DeleteStreamingDistribution")
	m.verifyInput("DeleteStreamingDistribution", param0)
	return m.DeleteStreamingDistributionFunc(param0)
}

func (m *cloudfrontMock) DeleteStreamingDistributionRequest(param0 *cloudfront.DeleteStreamingDistributionInput) (*request.Request, *cloudfront.DeleteStreamingDistributionOutput) {
	m.addCall("DeleteStreamingDistributionRequest")
	m.verifyInput("DeleteStreamingDistributionRequest", param0)
	return m.DeleteStreamingDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) DeleteStreamingDistributionWithContext(param0 aws.Context, param1 *cloudfront.DeleteStreamingDistributionInput, param2 ...request.Option) (*cloudfront.DeleteStreamingDistributionOutput, error) {
	m.addCall("DeleteStreamingDistributionWithContext")
	m.verifyInput("DeleteStreamingDistributionWithContext", param0)
	return m.DeleteStreamingDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetCloudFrontOriginAccessIdentity(param0 *cloudfront.GetCloudFrontOriginAccessIdentityInput) (*cloudfront.GetCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("GetCloudFrontOriginAccessIdentity")
	m.verifyInput("GetCloudFrontOriginAccessIdentity", param0)
	return m.GetCloudFrontOriginAccessIdentityFunc(param0)
}

func (m *cloudfrontMock) GetCloudFrontOriginAccessIdentityConfig(param0 *cloudfront.GetCloudFrontOriginAccessIdentityConfigInput) (*cloudfront.GetCloudFrontOriginAccessIdentityConfigOutput, error) {
	m.addCall("GetCloudFrontOriginAccessIdentityConfig")
	m.verifyInput("GetCloudFrontOriginAccessIdentityConfig", param0)
	return m.GetCloudFrontOriginAccessIdentityConfigFunc(param0)
}

func (m *cloudfrontMock) GetCloudFrontOriginAccessIdentityConfigRequest(param0 *cloudfront.GetCloudFrontOriginAccessIdentityConfigInput) (*request.Request, *cloudfront.GetCloudFrontOriginAccessIdentityConfigOutput) {
	m.addCall("GetCloudFrontOriginAccessIdentityConfigRequest")
	m.verifyInput("GetCloudFrontOriginAccessIdentityConfigRequest", param0)
	return m.GetCloudFrontOriginAccessIdentityConfigRequestFunc(param0)
}

func (m *cloudfrontMock) GetCloudFrontOriginAccessIdentityConfigWithContext(param0 aws.Context, param1 *cloudfront.GetCloudFrontOriginAccessIdentityConfigInput, param2 ...request.Option) (*cloudfront.GetCloudFrontOriginAccessIdentityConfigOutput, error) {
	m.addCall("GetCloudFrontOriginAccessIdentityConfigWithContext")
	m.verifyInput("GetCloudFrontOriginAccessIdentityConfigWithContext", param0)
	return m.GetCloudFrontOriginAccessIdentityConfigWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetCloudFrontOriginAccessIdentityRequest(param0 *cloudfront.GetCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.GetCloudFrontOriginAccessIdentityOutput) {
	m.addCall("GetCloudFrontOriginAccessIdentityRequest")
	m.verifyInput("GetCloudFrontOriginAccessIdentityRequest", param0)
	return m.GetCloudFrontOriginAccessIdentityRequestFunc(param0)
}

func (m *cloudfrontMock) GetCloudFrontOriginAccessIdentityWithContext(param0 aws.Context, param1 *cloudfront.GetCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.GetCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("GetCloudFrontOriginAccessIdentityWithContext")
	m.verifyInput("GetCloudFrontOriginAccessIdentityWithContext", param0)
	return m.GetCloudFrontOriginAccessIdentityWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetDistribution(param0 *cloudfront.GetDistributionInput) (*cloudfront.GetDistributionOutput, error) {
	m.addCall("GetDistribution")
	m.verifyInput("GetDistribution", param0)
	return m.GetDistributionFunc(param0)
}

func (m *cloudfrontMock) GetDistributionConfig(param0 *cloudfront.GetDistributionConfigInput) (*cloudfront.GetDistributionConfigOutput, error) {
	m.addCall("GetDistributionConfig")
	m.verifyInput("GetDistributionConfig", param0)
	return m.GetDistributionConfigFunc(param0)
}

func (m *cloudfrontMock) GetDistributionConfigRequest(param0 *cloudfront.GetDistributionConfigInput) (*request.Request, *cloudfront.GetDistributionConfigOutput) {
	m.addCall("GetDistributionConfigRequest")
	m.verifyInput("GetDistributionConfigRequest", param0)
	return m.GetDistributionConfigRequestFunc(param0)
}

func (m *cloudfrontMock) GetDistributionConfigWithContext(param0 aws.Context, param1 *cloudfront.GetDistributionConfigInput, param2 ...request.Option) (*cloudfront.GetDistributionConfigOutput, error) {
	m.addCall("GetDistributionConfigWithContext")
	m.verifyInput("GetDistributionConfigWithContext", param0)
	return m.GetDistributionConfigWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetDistributionRequest(param0 *cloudfront.GetDistributionInput) (*request.Request, *cloudfront.GetDistributionOutput) {
	m.addCall("GetDistributionRequest")
	m.verifyInput("GetDistributionRequest", param0)
	return m.GetDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) GetDistributionWithContext(param0 aws.Context, param1 *cloudfront.GetDistributionInput, param2 ...request.Option) (*cloudfront.GetDistributionOutput, error) {
	m.addCall("GetDistributionWithContext")
	m.verifyInput("GetDistributionWithContext", param0)
	return m.GetDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetInvalidation(param0 *cloudfront.GetInvalidationInput) (*cloudfront.GetInvalidationOutput, error) {
	m.addCall("GetInvalidation")
	m.verifyInput("GetInvalidation", param0)
	return m.GetInvalidationFunc(param0)
}

func (m *cloudfrontMock) GetInvalidationRequest(param0 *cloudfront.GetInvalidationInput) (*request.Request, *cloudfront.GetInvalidationOutput) {
	m.addCall("GetInvalidationRequest")
	m.verifyInput("GetInvalidationRequest", param0)
	return m.GetInvalidationRequestFunc(param0)
}

func (m *cloudfrontMock) GetInvalidationWithContext(param0 aws.Context, param1 *cloudfront.GetInvalidationInput, param2 ...request.Option) (*cloudfront.GetInvalidationOutput, error) {
	m.addCall("GetInvalidationWithContext")
	m.verifyInput("GetInvalidationWithContext", param0)
	return m.GetInvalidationWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetStreamingDistribution(param0 *cloudfront.GetStreamingDistributionInput) (*cloudfront.GetStreamingDistributionOutput, error) {
	m.addCall("GetStreamingDistribution")
	m.verifyInput("GetStreamingDistribution", param0)
	return m.GetStreamingDistributionFunc(param0)
}

func (m *cloudfrontMock) GetStreamingDistributionConfig(param0 *cloudfront.GetStreamingDistributionConfigInput) (*cloudfront.GetStreamingDistributionConfigOutput, error) {
	m.addCall("GetStreamingDistributionConfig")
	m.verifyInput("GetStreamingDistributionConfig", param0)
	return m.GetStreamingDistributionConfigFunc(param0)
}

func (m *cloudfrontMock) GetStreamingDistributionConfigRequest(param0 *cloudfront.GetStreamingDistributionConfigInput) (*request.Request, *cloudfront.GetStreamingDistributionConfigOutput) {
	m.addCall("GetStreamingDistributionConfigRequest")
	m.verifyInput("GetStreamingDistributionConfigRequest", param0)
	return m.GetStreamingDistributionConfigRequestFunc(param0)
}

func (m *cloudfrontMock) GetStreamingDistributionConfigWithContext(param0 aws.Context, param1 *cloudfront.GetStreamingDistributionConfigInput, param2 ...request.Option) (*cloudfront.GetStreamingDistributionConfigOutput, error) {
	m.addCall("GetStreamingDistributionConfigWithContext")
	m.verifyInput("GetStreamingDistributionConfigWithContext", param0)
	return m.GetStreamingDistributionConfigWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) GetStreamingDistributionRequest(param0 *cloudfront.GetStreamingDistributionInput) (*request.Request, *cloudfront.GetStreamingDistributionOutput) {
	m.addCall("GetStreamingDistributionRequest")
	m.verifyInput("GetStreamingDistributionRequest", param0)
	return m.GetStreamingDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) GetStreamingDistributionWithContext(param0 aws.Context, param1 *cloudfront.GetStreamingDistributionInput, param2 ...request.Option) (*cloudfront.GetStreamingDistributionOutput, error) {
	m.addCall("GetStreamingDistributionWithContext")
	m.verifyInput("GetStreamingDistributionWithContext", param0)
	return m.GetStreamingDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) ListCloudFrontOriginAccessIdentities(param0 *cloudfront.ListCloudFrontOriginAccessIdentitiesInput) (*cloudfront.ListCloudFrontOriginAccessIdentitiesOutput, error) {
	m.addCall("ListCloudFrontOriginAccessIdentities")
	m.verifyInput("ListCloudFrontOriginAccessIdentities", param0)
	return m.ListCloudFrontOriginAccessIdentitiesFunc(param0)
}

func (m *cloudfrontMock) ListCloudFrontOriginAccessIdentitiesRequest(param0 *cloudfront.ListCloudFrontOriginAccessIdentitiesInput) (*request.Request, *cloudfront.ListCloudFrontOriginAccessIdentitiesOutput) {
	m.addCall("ListCloudFrontOriginAccessIdentitiesRequest")
	m.verifyInput("ListCloudFrontOriginAccessIdentitiesRequest", param0)
	return m.ListCloudFrontOriginAccessIdentitiesRequestFunc(param0)
}

func (m *cloudfrontMock) ListCloudFrontOriginAccessIdentitiesWithContext(param0 aws.Context, param1 *cloudfront.ListCloudFrontOriginAccessIdentitiesInput, param2 ...request.Option) (*cloudfront.ListCloudFrontOriginAccessIdentitiesOutput, error) {
	m.addCall("ListCloudFrontOriginAccessIdentitiesWithContext")
	m.verifyInput("ListCloudFrontOriginAccessIdentitiesWithContext", param0)
	return m.ListCloudFrontOriginAccessIdentitiesWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) ListDistributions(param0 *cloudfront.ListDistributionsInput) (*cloudfront.ListDistributionsOutput, error) {
	m.addCall("ListDistributions")
	m.verifyInput("ListDistributions", param0)
	return m.ListDistributionsFunc(param0)
}

func (m *cloudfrontMock) ListDistributionsByWebACLId(param0 *cloudfront.ListDistributionsByWebACLIdInput) (*cloudfront.ListDistributionsByWebACLIdOutput, error) {
	m.addCall("ListDistributionsByWebACLId")
	m.verifyInput("ListDistributionsByWebACLId", param0)
	return m.ListDistributionsByWebACLIdFunc(param0)
}

func (m *cloudfrontMock) ListDistributionsByWebACLIdRequest(param0 *cloudfront.ListDistributionsByWebACLIdInput) (*request.Request, *cloudfront.ListDistributionsByWebACLIdOutput) {
	m.addCall("ListDistributionsByWebACLIdRequest")
	m.verifyInput("ListDistributionsByWebACLIdRequest", param0)
	return m.ListDistributionsByWebACLIdRequestFunc(param0)
}

func (m *cloudfrontMock) ListDistributionsByWebACLIdWithContext(param0 aws.Context, param1 *cloudfront.ListDistributionsByWebACLIdInput, param2 ...request.Option) (*cloudfront.ListDistributionsByWebACLIdOutput, error) {
	m.addCall("ListDistributionsByWebACLIdWithContext")
	m.verifyInput("ListDistributionsByWebACLIdWithContext", param0)
	return m.ListDistributionsByWebACLIdWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) ListDistributionsRequest(param0 *cloudfront.ListDistributionsInput) (*request.Request, *cloudfront.ListDistributionsOutput) {
	m.addCall("ListDistributionsRequest")
	m.verifyInput("ListDistributionsRequest", param0)
	return m.ListDistributionsRequestFunc(param0)
}

func (m *cloudfrontMock) ListDistributionsWithContext(param0 aws.Context, param1 *cloudfront.ListDistributionsInput, param2 ...request.Option) (*cloudfront.ListDistributionsOutput, error) {
	m.addCall("ListDistributionsWithContext")
	m.verifyInput("ListDistributionsWithContext", param0)
	return m.ListDistributionsWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) ListInvalidations(param0 *cloudfront.ListInvalidationsInput) (*cloudfront.ListInvalidationsOutput, error) {
	m.addCall("ListInvalidations")
	m.verifyInput("ListInvalidations", param0)
	return m.ListInvalidationsFunc(param0)
}

func (m *cloudfrontMock) ListInvalidationsRequest(param0 *cloudfront.ListInvalidationsInput) (*request.Request, *cloudfront.ListInvalidationsOutput) {
	m.addCall("ListInvalidationsRequest")
	m.verifyInput("ListInvalidationsRequest", param0)
	return m.ListInvalidationsRequestFunc(param0)
}

func (m *cloudfrontMock) ListInvalidationsWithContext(param0 aws.Context, param1 *cloudfront.ListInvalidationsInput, param2 ...request.Option) (*cloudfront.ListInvalidationsOutput, error) {
	m.addCall("ListInvalidationsWithContext")
	m.verifyInput("ListInvalidationsWithContext", param0)
	return m.ListInvalidationsWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) ListStreamingDistributions(param0 *cloudfront.ListStreamingDistributionsInput) (*cloudfront.ListStreamingDistributionsOutput, error) {
	m.addCall("ListStreamingDistributions")
	m.verifyInput("ListStreamingDistributions", param0)
	return m.ListStreamingDistributionsFunc(param0)
}

func (m *cloudfrontMock) ListStreamingDistributionsRequest(param0 *cloudfront.ListStreamingDistributionsInput) (*request.Request, *cloudfront.ListStreamingDistributionsOutput) {
	m.addCall("ListStreamingDistributionsRequest")
	m.verifyInput("ListStreamingDistributionsRequest", param0)
	return m.ListStreamingDistributionsRequestFunc(param0)
}

func (m *cloudfrontMock) ListStreamingDistributionsWithContext(param0 aws.Context, param1 *cloudfront.ListStreamingDistributionsInput, param2 ...request.Option) (*cloudfront.ListStreamingDistributionsOutput, error) {
	m.addCall("ListStreamingDistributionsWithContext")
	m.verifyInput("ListStreamingDistributionsWithContext", param0)
	return m.ListStreamingDistributionsWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) ListTagsForResource(param0 *cloudfront.ListTagsForResourceInput) (*cloudfront.ListTagsForResourceOutput, error) {
	m.addCall("ListTagsForResource")
	m.verifyInput("ListTagsForResource", param0)
	return m.ListTagsForResourceFunc(param0)
}

func (m *cloudfrontMock) ListTagsForResourceRequest(param0 *cloudfront.ListTagsForResourceInput) (*request.Request, *cloudfront.ListTagsForResourceOutput) {
	m.addCall("ListTagsForResourceRequest")
	m.verifyInput("ListTagsForResourceRequest", param0)
	return m.ListTagsForResourceRequestFunc(param0)
}

func (m *cloudfrontMock) ListTagsForResourceWithContext(param0 aws.Context, param1 *cloudfront.ListTagsForResourceInput, param2 ...request.Option) (*cloudfront.ListTagsForResourceOutput, error) {
	m.addCall("ListTagsForResourceWithContext")
	m.verifyInput("ListTagsForResourceWithContext", param0)
	return m.ListTagsForResourceWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) TagResource(param0 *cloudfront.TagResourceInput) (*cloudfront.TagResourceOutput, error) {
	m.addCall("TagResource")
	m.verifyInput("TagResource", param0)
	return m.TagResourceFunc(param0)
}

func (m *cloudfrontMock) TagResourceRequest(param0 *cloudfront.TagResourceInput) (*request.Request, *cloudfront.TagResourceOutput) {
	m.addCall("TagResourceRequest")
	m.verifyInput("TagResourceRequest", param0)
	return m.TagResourceRequestFunc(param0)
}

func (m *cloudfrontMock) TagResourceWithContext(param0 aws.Context, param1 *cloudfront.TagResourceInput, param2 ...request.Option) (*cloudfront.TagResourceOutput, error) {
	m.addCall("TagResourceWithContext")
	m.verifyInput("TagResourceWithContext", param0)
	return m.TagResourceWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) UntagResource(param0 *cloudfront.UntagResourceInput) (*cloudfront.UntagResourceOutput, error) {
	m.addCall("UntagResource")
	m.verifyInput("UntagResource", param0)
	return m.UntagResourceFunc(param0)
}

func (m *cloudfrontMock) UntagResourceRequest(param0 *cloudfront.UntagResourceInput) (*request.Request, *cloudfront.UntagResourceOutput) {
	m.addCall("UntagResourceRequest")
	m.verifyInput("UntagResourceRequest", param0)
	return m.UntagResourceRequestFunc(param0)
}

func (m *cloudfrontMock) UntagResourceWithContext(param0 aws.Context, param1 *cloudfront.UntagResourceInput, param2 ...request.Option) (*cloudfront.UntagResourceOutput, error) {
	m.addCall("UntagResourceWithContext")
	m.verifyInput("UntagResourceWithContext", param0)
	return m.UntagResourceWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) UpdateCloudFrontOriginAccessIdentity(param0 *cloudfront.UpdateCloudFrontOriginAccessIdentityInput) (*cloudfront.UpdateCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("UpdateCloudFrontOriginAccessIdentity")
	m.verifyInput("UpdateCloudFrontOriginAccessIdentity", param0)
	return m.UpdateCloudFrontOriginAccessIdentityFunc(param0)
}

func (m *cloudfrontMock) UpdateCloudFrontOriginAccessIdentityRequest(param0 *cloudfront.UpdateCloudFrontOriginAccessIdentityInput) (*request.Request, *cloudfront.UpdateCloudFrontOriginAccessIdentityOutput) {
	m.addCall("UpdateCloudFrontOriginAccessIdentityRequest")
	m.verifyInput("UpdateCloudFrontOriginAccessIdentityRequest", param0)
	return m.UpdateCloudFrontOriginAccessIdentityRequestFunc(param0)
}

func (m *cloudfrontMock) UpdateCloudFrontOriginAccessIdentityWithContext(param0 aws.Context, param1 *cloudfront.UpdateCloudFrontOriginAccessIdentityInput, param2 ...request.Option) (*cloudfront.UpdateCloudFrontOriginAccessIdentityOutput, error) {
	m.addCall("UpdateCloudFrontOriginAccessIdentityWithContext")
	m.verifyInput("UpdateCloudFrontOriginAccessIdentityWithContext", param0)
	return m.UpdateCloudFrontOriginAccessIdentityWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) UpdateDistribution(param0 *cloudfront.UpdateDistributionInput) (*cloudfront.UpdateDistributionOutput, error) {
	m.addCall("UpdateDistribution")
	m.verifyInput("UpdateDistribution", param0)
	return m.UpdateDistributionFunc(param0)
}

func (m *cloudfrontMock) UpdateDistributionRequest(param0 *cloudfront.UpdateDistributionInput) (*request.Request, *cloudfront.UpdateDistributionOutput) {
	m.addCall("UpdateDistributionRequest")
	m.verifyInput("UpdateDistributionRequest", param0)
	return m.UpdateDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) UpdateDistributionWithContext(param0 aws.Context, param1 *cloudfront.UpdateDistributionInput, param2 ...request.Option) (*cloudfront.UpdateDistributionOutput, error) {
	m.addCall("UpdateDistributionWithContext")
	m.verifyInput("UpdateDistributionWithContext", param0)
	return m.UpdateDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) UpdateStreamingDistribution(param0 *cloudfront.UpdateStreamingDistributionInput) (*cloudfront.UpdateStreamingDistributionOutput, error) {
	m.addCall("UpdateStreamingDistribution")
	m.verifyInput("UpdateStreamingDistribution", param0)
	return m.UpdateStreamingDistributionFunc(param0)
}

func (m *cloudfrontMock) UpdateStreamingDistributionRequest(param0 *cloudfront.UpdateStreamingDistributionInput) (*request.Request, *cloudfront.UpdateStreamingDistributionOutput) {
	m.addCall("UpdateStreamingDistributionRequest")
	m.verifyInput("UpdateStreamingDistributionRequest", param0)
	return m.UpdateStreamingDistributionRequestFunc(param0)
}

func (m *cloudfrontMock) UpdateStreamingDistributionWithContext(param0 aws.Context, param1 *cloudfront.UpdateStreamingDistributionInput, param2 ...request.Option) (*cloudfront.UpdateStreamingDistributionOutput, error) {
	m.addCall("UpdateStreamingDistributionWithContext")
	m.verifyInput("UpdateStreamingDistributionWithContext", param0)
	return m.UpdateStreamingDistributionWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) WaitUntilDistributionDeployed(param0 *cloudfront.GetDistributionInput) error {
	m.addCall("WaitUntilDistributionDeployed")
	m.verifyInput("WaitUntilDistributionDeployed", param0)
	return m.WaitUntilDistributionDeployedFunc(param0)
}

func (m *cloudfrontMock) WaitUntilDistributionDeployedWithContext(param0 aws.Context, param1 *cloudfront.GetDistributionInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilDistributionDeployedWithContext")
	m.verifyInput("WaitUntilDistributionDeployedWithContext", param0)
	return m.WaitUntilDistributionDeployedWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) WaitUntilInvalidationCompleted(param0 *cloudfront.GetInvalidationInput) error {
	m.addCall("WaitUntilInvalidationCompleted")
	m.verifyInput("WaitUntilInvalidationCompleted", param0)
	return m.WaitUntilInvalidationCompletedFunc(param0)
}

func (m *cloudfrontMock) WaitUntilInvalidationCompletedWithContext(param0 aws.Context, param1 *cloudfront.GetInvalidationInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInvalidationCompletedWithContext")
	m.verifyInput("WaitUntilInvalidationCompletedWithContext", param0)
	return m.WaitUntilInvalidationCompletedWithContextFunc(param0, param1, param2...)
}

func (m *cloudfrontMock) WaitUntilStreamingDistributionDeployed(param0 *cloudfront.GetStreamingDistributionInput) error {
	m.addCall("WaitUntilStreamingDistributionDeployed")
	m.verifyInput("WaitUntilStreamingDistributionDeployed", param0)
	return m.WaitUntilStreamingDistributionDeployedFunc(param0)
}

func (m *cloudfrontMock) WaitUntilStreamingDistributionDeployedWithContext(param0 aws.Context, param1 *cloudfront.GetStreamingDistributionInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilStreamingDistributionDeployedWithContext")
	m.verifyInput("WaitUntilStreamingDistributionDeployedWithContext", param0)
	return m.WaitUntilStreamingDistributionDeployedWithContextFunc(param0, param1, param2...)
}

type cloudwatchMock struct {
	basicMock
	cloudwatchiface.CloudWatchAPI
	DeleteAlarmsFunc                       func(param0 *cloudwatch.DeleteAlarmsInput) (*cloudwatch.DeleteAlarmsOutput, error)
	DeleteAlarmsRequestFunc                func(param0 *cloudwatch.DeleteAlarmsInput) (*request.Request, *cloudwatch.DeleteAlarmsOutput)
	DeleteAlarmsWithContextFunc            func(param0 aws.Context, param1 *cloudwatch.DeleteAlarmsInput, param2 ...request.Option) (*cloudwatch.DeleteAlarmsOutput, error)
	DeleteDashboardsFunc                   func(param0 *cloudwatch.DeleteDashboardsInput) (*cloudwatch.DeleteDashboardsOutput, error)
	DeleteDashboardsRequestFunc            func(param0 *cloudwatch.DeleteDashboardsInput) (*request.Request, *cloudwatch.DeleteDashboardsOutput)
	DeleteDashboardsWithContextFunc        func(param0 aws.Context, param1 *cloudwatch.DeleteDashboardsInput, param2 ...request.Option) (*cloudwatch.DeleteDashboardsOutput, error)
	DescribeAlarmHistoryFunc               func(param0 *cloudwatch.DescribeAlarmHistoryInput) (*cloudwatch.DescribeAlarmHistoryOutput, error)
	DescribeAlarmHistoryRequestFunc        func(param0 *cloudwatch.DescribeAlarmHistoryInput) (*request.Request, *cloudwatch.DescribeAlarmHistoryOutput)
	DescribeAlarmHistoryWithContextFunc    func(param0 aws.Context, param1 *cloudwatch.DescribeAlarmHistoryInput, param2 ...request.Option) (*cloudwatch.DescribeAlarmHistoryOutput, error)
	DescribeAlarmsFunc                     func(param0 *cloudwatch.DescribeAlarmsInput) (*cloudwatch.DescribeAlarmsOutput, error)
	DescribeAlarmsForMetricFunc            func(param0 *cloudwatch.DescribeAlarmsForMetricInput) (*cloudwatch.DescribeAlarmsForMetricOutput, error)
	DescribeAlarmsForMetricRequestFunc     func(param0 *cloudwatch.DescribeAlarmsForMetricInput) (*request.Request, *cloudwatch.DescribeAlarmsForMetricOutput)
	DescribeAlarmsForMetricWithContextFunc func(param0 aws.Context, param1 *cloudwatch.DescribeAlarmsForMetricInput, param2 ...request.Option) (*cloudwatch.DescribeAlarmsForMetricOutput, error)
	DescribeAlarmsRequestFunc              func(param0 *cloudwatch.DescribeAlarmsInput) (*request.Request, *cloudwatch.DescribeAlarmsOutput)
	DescribeAlarmsWithContextFunc          func(param0 aws.Context, param1 *cloudwatch.DescribeAlarmsInput, param2 ...request.Option) (*cloudwatch.DescribeAlarmsOutput, error)
	DisableAlarmActionsFunc                func(param0 *cloudwatch.DisableAlarmActionsInput) (*cloudwatch.DisableAlarmActionsOutput, error)
	DisableAlarmActionsRequestFunc         func(param0 *cloudwatch.DisableAlarmActionsInput) (*request.Request, *cloudwatch.DisableAlarmActionsOutput)
	DisableAlarmActionsWithContextFunc     func(param0 aws.Context, param1 *cloudwatch.DisableAlarmActionsInput, param2 ...request.Option) (*cloudwatch.DisableAlarmActionsOutput, error)
	EnableAlarmActionsFunc                 func(param0 *cloudwatch.EnableAlarmActionsInput) (*cloudwatch.EnableAlarmActionsOutput, error)
	EnableAlarmActionsRequestFunc          func(param0 *cloudwatch.EnableAlarmActionsInput) (*request.Request, *cloudwatch.EnableAlarmActionsOutput)
	EnableAlarmActionsWithContextFunc      func(param0 aws.Context, param1 *cloudwatch.EnableAlarmActionsInput, param2 ...request.Option) (*cloudwatch.EnableAlarmActionsOutput, error)
	GetDashboardFunc                       func(param0 *cloudwatch.GetDashboardInput) (*cloudwatch.GetDashboardOutput, error)
	GetDashboardRequestFunc                func(param0 *cloudwatch.GetDashboardInput) (*request.Request, *cloudwatch.GetDashboardOutput)
	GetDashboardWithContextFunc            func(param0 aws.Context, param1 *cloudwatch.GetDashboardInput, param2 ...request.Option) (*cloudwatch.GetDashboardOutput, error)
	GetMetricStatisticsFunc                func(param0 *cloudwatch.GetMetricStatisticsInput) (*cloudwatch.GetMetricStatisticsOutput, error)
	GetMetricStatisticsRequestFunc         func(param0 *cloudwatch.GetMetricStatisticsInput) (*request.Request, *cloudwatch.GetMetricStatisticsOutput)
	GetMetricStatisticsWithContextFunc     func(param0 aws.Context, param1 *cloudwatch.GetMetricStatisticsInput, param2 ...request.Option) (*cloudwatch.GetMetricStatisticsOutput, error)
	ListDashboardsFunc                     func(param0 *cloudwatch.ListDashboardsInput) (*cloudwatch.ListDashboardsOutput, error)
	ListDashboardsRequestFunc              func(param0 *cloudwatch.ListDashboardsInput) (*request.Request, *cloudwatch.ListDashboardsOutput)
	ListDashboardsWithContextFunc          func(param0 aws.Context, param1 *cloudwatch.ListDashboardsInput, param2 ...request.Option) (*cloudwatch.ListDashboardsOutput, error)
	ListMetricsFunc                        func(param0 *cloudwatch.ListMetricsInput) (*cloudwatch.ListMetricsOutput, error)
	ListMetricsRequestFunc                 func(param0 *cloudwatch.ListMetricsInput) (*request.Request, *cloudwatch.ListMetricsOutput)
	ListMetricsWithContextFunc             func(param0 aws.Context, param1 *cloudwatch.ListMetricsInput, param2 ...request.Option) (*cloudwatch.ListMetricsOutput, error)
	PutDashboardFunc                       func(param0 *cloudwatch.PutDashboardInput) (*cloudwatch.PutDashboardOutput, error)
	PutDashboardRequestFunc                func(param0 *cloudwatch.PutDashboardInput) (*request.Request, *cloudwatch.PutDashboardOutput)
	PutDashboardWithContextFunc            func(param0 aws.Context, param1 *cloudwatch.PutDashboardInput, param2 ...request.Option) (*cloudwatch.PutDashboardOutput, error)
	PutMetricAlarmFunc                     func(param0 *cloudwatch.PutMetricAlarmInput) (*cloudwatch.PutMetricAlarmOutput, error)
	PutMetricAlarmRequestFunc              func(param0 *cloudwatch.PutMetricAlarmInput) (*request.Request, *cloudwatch.PutMetricAlarmOutput)
	PutMetricAlarmWithContextFunc          func(param0 aws.Context, param1 *cloudwatch.PutMetricAlarmInput, param2 ...request.Option) (*cloudwatch.PutMetricAlarmOutput, error)
	PutMetricDataFunc                      func(param0 *cloudwatch.PutMetricDataInput) (*cloudwatch.PutMetricDataOutput, error)
	PutMetricDataRequestFunc               func(param0 *cloudwatch.PutMetricDataInput) (*request.Request, *cloudwatch.PutMetricDataOutput)
	PutMetricDataWithContextFunc           func(param0 aws.Context, param1 *cloudwatch.PutMetricDataInput, param2 ...request.Option) (*cloudwatch.PutMetricDataOutput, error)
	SetAlarmStateFunc                      func(param0 *cloudwatch.SetAlarmStateInput) (*cloudwatch.SetAlarmStateOutput, error)
	SetAlarmStateRequestFunc               func(param0 *cloudwatch.SetAlarmStateInput) (*request.Request, *cloudwatch.SetAlarmStateOutput)
	SetAlarmStateWithContextFunc           func(param0 aws.Context, param1 *cloudwatch.SetAlarmStateInput, param2 ...request.Option) (*cloudwatch.SetAlarmStateOutput, error)
	WaitUntilAlarmExistsFunc               func(param0 *cloudwatch.DescribeAlarmsInput) error
	WaitUntilAlarmExistsWithContextFunc    func(param0 aws.Context, param1 *cloudwatch.DescribeAlarmsInput, param2 ...request.WaiterOption) error
}

func (m *cloudwatchMock) DeleteAlarms(param0 *cloudwatch.DeleteAlarmsInput) (*cloudwatch.DeleteAlarmsOutput, error) {
	m.addCall("DeleteAlarms")
	m.verifyInput("DeleteAlarms", param0)
	return m.DeleteAlarmsFunc(param0)
}

func (m *cloudwatchMock) DeleteAlarmsRequest(param0 *cloudwatch.DeleteAlarmsInput) (*request.Request, *cloudwatch.DeleteAlarmsOutput) {
	m.addCall("DeleteAlarmsRequest")
	m.verifyInput("DeleteAlarmsRequest", param0)
	return m.DeleteAlarmsRequestFunc(param0)
}

func (m *cloudwatchMock) DeleteAlarmsWithContext(param0 aws.Context, param1 *cloudwatch.DeleteAlarmsInput, param2 ...request.Option) (*cloudwatch.DeleteAlarmsOutput, error) {
	m.addCall("DeleteAlarmsWithContext")
	m.verifyInput("DeleteAlarmsWithContext", param0)
	return m.DeleteAlarmsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) DeleteDashboards(param0 *cloudwatch.DeleteDashboardsInput) (*cloudwatch.DeleteDashboardsOutput, error) {
	m.addCall("DeleteDashboards")
	m.verifyInput("DeleteDashboards", param0)
	return m.DeleteDashboardsFunc(param0)
}

func (m *cloudwatchMock) DeleteDashboardsRequest(param0 *cloudwatch.DeleteDashboardsInput) (*request.Request, *cloudwatch.DeleteDashboardsOutput) {
	m.addCall("DeleteDashboardsRequest")
	m.verifyInput("DeleteDashboardsRequest", param0)
	return m.DeleteDashboardsRequestFunc(param0)
}

func (m *cloudwatchMock) DeleteDashboardsWithContext(param0 aws.Context, param1 *cloudwatch.DeleteDashboardsInput, param2 ...request.Option) (*cloudwatch.DeleteDashboardsOutput, error) {
	m.addCall("DeleteDashboardsWithContext")
	m.verifyInput("DeleteDashboardsWithContext", param0)
	return m.DeleteDashboardsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) DescribeAlarmHistory(param0 *cloudwatch.DescribeAlarmHistoryInput) (*cloudwatch.DescribeAlarmHistoryOutput, error) {
	m.addCall("DescribeAlarmHistory")
	m.verifyInput("DescribeAlarmHistory", param0)
	return m.DescribeAlarmHistoryFunc(param0)
}

func (m *cloudwatchMock) DescribeAlarmHistoryRequest(param0 *cloudwatch.DescribeAlarmHistoryInput) (*request.Request, *cloudwatch.DescribeAlarmHistoryOutput) {
	m.addCall("DescribeAlarmHistoryRequest")
	m.verifyInput("DescribeAlarmHistoryRequest", param0)
	return m.DescribeAlarmHistoryRequestFunc(param0)
}

func (m *cloudwatchMock) DescribeAlarmHistoryWithContext(param0 aws.Context, param1 *cloudwatch.DescribeAlarmHistoryInput, param2 ...request.Option) (*cloudwatch.DescribeAlarmHistoryOutput, error) {
	m.addCall("DescribeAlarmHistoryWithContext")
	m.verifyInput("DescribeAlarmHistoryWithContext", param0)
	return m.DescribeAlarmHistoryWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) DescribeAlarms(param0 *cloudwatch.DescribeAlarmsInput) (*cloudwatch.DescribeAlarmsOutput, error) {
	m.addCall("DescribeAlarms")
	m.verifyInput("DescribeAlarms", param0)
	return m.DescribeAlarmsFunc(param0)
}

func (m *cloudwatchMock) DescribeAlarmsForMetric(param0 *cloudwatch.DescribeAlarmsForMetricInput) (*cloudwatch.DescribeAlarmsForMetricOutput, error) {
	m.addCall("DescribeAlarmsForMetric")
	m.verifyInput("DescribeAlarmsForMetric", param0)
	return m.DescribeAlarmsForMetricFunc(param0)
}

func (m *cloudwatchMock) DescribeAlarmsForMetricRequest(param0 *cloudwatch.DescribeAlarmsForMetricInput) (*request.Request, *cloudwatch.DescribeAlarmsForMetricOutput) {
	m.addCall("DescribeAlarmsForMetricRequest")
	m.verifyInput("DescribeAlarmsForMetricRequest", param0)
	return m.DescribeAlarmsForMetricRequestFunc(param0)
}

func (m *cloudwatchMock) DescribeAlarmsForMetricWithContext(param0 aws.Context, param1 *cloudwatch.DescribeAlarmsForMetricInput, param2 ...request.Option) (*cloudwatch.DescribeAlarmsForMetricOutput, error) {
	m.addCall("DescribeAlarmsForMetricWithContext")
	m.verifyInput("DescribeAlarmsForMetricWithContext", param0)
	return m.DescribeAlarmsForMetricWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) DescribeAlarmsRequest(param0 *cloudwatch.DescribeAlarmsInput) (*request.Request, *cloudwatch.DescribeAlarmsOutput) {
	m.addCall("DescribeAlarmsRequest")
	m.verifyInput("DescribeAlarmsRequest", param0)
	return m.DescribeAlarmsRequestFunc(param0)
}

func (m *cloudwatchMock) DescribeAlarmsWithContext(param0 aws.Context, param1 *cloudwatch.DescribeAlarmsInput, param2 ...request.Option) (*cloudwatch.DescribeAlarmsOutput, error) {
	m.addCall("DescribeAlarmsWithContext")
	m.verifyInput("DescribeAlarmsWithContext", param0)
	return m.DescribeAlarmsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) DisableAlarmActions(param0 *cloudwatch.DisableAlarmActionsInput) (*cloudwatch.DisableAlarmActionsOutput, error) {
	m.addCall("DisableAlarmActions")
	m.verifyInput("DisableAlarmActions", param0)
	return m.DisableAlarmActionsFunc(param0)
}

func (m *cloudwatchMock) DisableAlarmActionsRequest(param0 *cloudwatch.DisableAlarmActionsInput) (*request.Request, *cloudwatch.DisableAlarmActionsOutput) {
	m.addCall("DisableAlarmActionsRequest")
	m.verifyInput("DisableAlarmActionsRequest", param0)
	return m.DisableAlarmActionsRequestFunc(param0)
}

func (m *cloudwatchMock) DisableAlarmActionsWithContext(param0 aws.Context, param1 *cloudwatch.DisableAlarmActionsInput, param2 ...request.Option) (*cloudwatch.DisableAlarmActionsOutput, error) {
	m.addCall("DisableAlarmActionsWithContext")
	m.verifyInput("DisableAlarmActionsWithContext", param0)
	return m.DisableAlarmActionsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) EnableAlarmActions(param0 *cloudwatch.EnableAlarmActionsInput) (*cloudwatch.EnableAlarmActionsOutput, error) {
	m.addCall("EnableAlarmActions")
	m.verifyInput("EnableAlarmActions", param0)
	return m.EnableAlarmActionsFunc(param0)
}

func (m *cloudwatchMock) EnableAlarmActionsRequest(param0 *cloudwatch.EnableAlarmActionsInput) (*request.Request, *cloudwatch.EnableAlarmActionsOutput) {
	m.addCall("EnableAlarmActionsRequest")
	m.verifyInput("EnableAlarmActionsRequest", param0)
	return m.EnableAlarmActionsRequestFunc(param0)
}

func (m *cloudwatchMock) EnableAlarmActionsWithContext(param0 aws.Context, param1 *cloudwatch.EnableAlarmActionsInput, param2 ...request.Option) (*cloudwatch.EnableAlarmActionsOutput, error) {
	m.addCall("EnableAlarmActionsWithContext")
	m.verifyInput("EnableAlarmActionsWithContext", param0)
	return m.EnableAlarmActionsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) GetDashboard(param0 *cloudwatch.GetDashboardInput) (*cloudwatch.GetDashboardOutput, error) {
	m.addCall("GetDashboard")
	m.verifyInput("GetDashboard", param0)
	return m.GetDashboardFunc(param0)
}

func (m *cloudwatchMock) GetDashboardRequest(param0 *cloudwatch.GetDashboardInput) (*request.Request, *cloudwatch.GetDashboardOutput) {
	m.addCall("GetDashboardRequest")
	m.verifyInput("GetDashboardRequest", param0)
	return m.GetDashboardRequestFunc(param0)
}

func (m *cloudwatchMock) GetDashboardWithContext(param0 aws.Context, param1 *cloudwatch.GetDashboardInput, param2 ...request.Option) (*cloudwatch.GetDashboardOutput, error) {
	m.addCall("GetDashboardWithContext")
	m.verifyInput("GetDashboardWithContext", param0)
	return m.GetDashboardWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) GetMetricStatistics(param0 *cloudwatch.GetMetricStatisticsInput) (*cloudwatch.GetMetricStatisticsOutput, error) {
	m.addCall("GetMetricStatistics")
	m.verifyInput("GetMetricStatistics", param0)
	return m.GetMetricStatisticsFunc(param0)
}

func (m *cloudwatchMock) GetMetricStatisticsRequest(param0 *cloudwatch.GetMetricStatisticsInput) (*request.Request, *cloudwatch.GetMetricStatisticsOutput) {
	m.addCall("GetMetricStatisticsRequest")
	m.verifyInput("GetMetricStatisticsRequest", param0)
	return m.GetMetricStatisticsRequestFunc(param0)
}

func (m *cloudwatchMock) GetMetricStatisticsWithContext(param0 aws.Context, param1 *cloudwatch.GetMetricStatisticsInput, param2 ...request.Option) (*cloudwatch.GetMetricStatisticsOutput, error) {
	m.addCall("GetMetricStatisticsWithContext")
	m.verifyInput("GetMetricStatisticsWithContext", param0)
	return m.GetMetricStatisticsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) ListDashboards(param0 *cloudwatch.ListDashboardsInput) (*cloudwatch.ListDashboardsOutput, error) {
	m.addCall("ListDashboards")
	m.verifyInput("ListDashboards", param0)
	return m.ListDashboardsFunc(param0)
}

func (m *cloudwatchMock) ListDashboardsRequest(param0 *cloudwatch.ListDashboardsInput) (*request.Request, *cloudwatch.ListDashboardsOutput) {
	m.addCall("ListDashboardsRequest")
	m.verifyInput("ListDashboardsRequest", param0)
	return m.ListDashboardsRequestFunc(param0)
}

func (m *cloudwatchMock) ListDashboardsWithContext(param0 aws.Context, param1 *cloudwatch.ListDashboardsInput, param2 ...request.Option) (*cloudwatch.ListDashboardsOutput, error) {
	m.addCall("ListDashboardsWithContext")
	m.verifyInput("ListDashboardsWithContext", param0)
	return m.ListDashboardsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) ListMetrics(param0 *cloudwatch.ListMetricsInput) (*cloudwatch.ListMetricsOutput, error) {
	m.addCall("ListMetrics")
	m.verifyInput("ListMetrics", param0)
	return m.ListMetricsFunc(param0)
}

func (m *cloudwatchMock) ListMetricsRequest(param0 *cloudwatch.ListMetricsInput) (*request.Request, *cloudwatch.ListMetricsOutput) {
	m.addCall("ListMetricsRequest")
	m.verifyInput("ListMetricsRequest", param0)
	return m.ListMetricsRequestFunc(param0)
}

func (m *cloudwatchMock) ListMetricsWithContext(param0 aws.Context, param1 *cloudwatch.ListMetricsInput, param2 ...request.Option) (*cloudwatch.ListMetricsOutput, error) {
	m.addCall("ListMetricsWithContext")
	m.verifyInput("ListMetricsWithContext", param0)
	return m.ListMetricsWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) PutDashboard(param0 *cloudwatch.PutDashboardInput) (*cloudwatch.PutDashboardOutput, error) {
	m.addCall("PutDashboard")
	m.verifyInput("PutDashboard", param0)
	return m.PutDashboardFunc(param0)
}

func (m *cloudwatchMock) PutDashboardRequest(param0 *cloudwatch.PutDashboardInput) (*request.Request, *cloudwatch.PutDashboardOutput) {
	m.addCall("PutDashboardRequest")
	m.verifyInput("PutDashboardRequest", param0)
	return m.PutDashboardRequestFunc(param0)
}

func (m *cloudwatchMock) PutDashboardWithContext(param0 aws.Context, param1 *cloudwatch.PutDashboardInput, param2 ...request.Option) (*cloudwatch.PutDashboardOutput, error) {
	m.addCall("PutDashboardWithContext")
	m.verifyInput("PutDashboardWithContext", param0)
	return m.PutDashboardWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) PutMetricAlarm(param0 *cloudwatch.PutMetricAlarmInput) (*cloudwatch.PutMetricAlarmOutput, error) {
	m.addCall("PutMetricAlarm")
	m.verifyInput("PutMetricAlarm", param0)
	return m.PutMetricAlarmFunc(param0)
}

func (m *cloudwatchMock) PutMetricAlarmRequest(param0 *cloudwatch.PutMetricAlarmInput) (*request.Request, *cloudwatch.PutMetricAlarmOutput) {
	m.addCall("PutMetricAlarmRequest")
	m.verifyInput("PutMetricAlarmRequest", param0)
	return m.PutMetricAlarmRequestFunc(param0)
}

func (m *cloudwatchMock) PutMetricAlarmWithContext(param0 aws.Context, param1 *cloudwatch.PutMetricAlarmInput, param2 ...request.Option) (*cloudwatch.PutMetricAlarmOutput, error) {
	m.addCall("PutMetricAlarmWithContext")
	m.verifyInput("PutMetricAlarmWithContext", param0)
	return m.PutMetricAlarmWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) PutMetricData(param0 *cloudwatch.PutMetricDataInput) (*cloudwatch.PutMetricDataOutput, error) {
	m.addCall("PutMetricData")
	m.verifyInput("PutMetricData", param0)
	return m.PutMetricDataFunc(param0)
}

func (m *cloudwatchMock) PutMetricDataRequest(param0 *cloudwatch.PutMetricDataInput) (*request.Request, *cloudwatch.PutMetricDataOutput) {
	m.addCall("PutMetricDataRequest")
	m.verifyInput("PutMetricDataRequest", param0)
	return m.PutMetricDataRequestFunc(param0)
}

func (m *cloudwatchMock) PutMetricDataWithContext(param0 aws.Context, param1 *cloudwatch.PutMetricDataInput, param2 ...request.Option) (*cloudwatch.PutMetricDataOutput, error) {
	m.addCall("PutMetricDataWithContext")
	m.verifyInput("PutMetricDataWithContext", param0)
	return m.PutMetricDataWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) SetAlarmState(param0 *cloudwatch.SetAlarmStateInput) (*cloudwatch.SetAlarmStateOutput, error) {
	m.addCall("SetAlarmState")
	m.verifyInput("SetAlarmState", param0)
	return m.SetAlarmStateFunc(param0)
}

func (m *cloudwatchMock) SetAlarmStateRequest(param0 *cloudwatch.SetAlarmStateInput) (*request.Request, *cloudwatch.SetAlarmStateOutput) {
	m.addCall("SetAlarmStateRequest")
	m.verifyInput("SetAlarmStateRequest", param0)
	return m.SetAlarmStateRequestFunc(param0)
}

func (m *cloudwatchMock) SetAlarmStateWithContext(param0 aws.Context, param1 *cloudwatch.SetAlarmStateInput, param2 ...request.Option) (*cloudwatch.SetAlarmStateOutput, error) {
	m.addCall("SetAlarmStateWithContext")
	m.verifyInput("SetAlarmStateWithContext", param0)
	return m.SetAlarmStateWithContextFunc(param0, param1, param2...)
}

func (m *cloudwatchMock) WaitUntilAlarmExists(param0 *cloudwatch.DescribeAlarmsInput) error {
	m.addCall("WaitUntilAlarmExists")
	m.verifyInput("WaitUntilAlarmExists", param0)
	return m.WaitUntilAlarmExistsFunc(param0)
}

func (m *cloudwatchMock) WaitUntilAlarmExistsWithContext(param0 aws.Context, param1 *cloudwatch.DescribeAlarmsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilAlarmExistsWithContext")
	m.verifyInput("WaitUntilAlarmExistsWithContext", param0)
	return m.WaitUntilAlarmExistsWithContextFunc(param0, param1, param2...)
}

type ec2Mock struct {
	basicMock
	ec2iface.EC2API
	AcceptReservedInstancesExchangeQuoteFunc                  func(param0 *ec2.AcceptReservedInstancesExchangeQuoteInput) (*ec2.AcceptReservedInstancesExchangeQuoteOutput, error)
	AcceptReservedInstancesExchangeQuoteRequestFunc           func(param0 *ec2.AcceptReservedInstancesExchangeQuoteInput) (*request.Request, *ec2.AcceptReservedInstancesExchangeQuoteOutput)
	AcceptReservedInstancesExchangeQuoteWithContextFunc       func(param0 aws.Context, param1 *ec2.AcceptReservedInstancesExchangeQuoteInput, param2 ...request.Option) (*ec2.AcceptReservedInstancesExchangeQuoteOutput, error)
	AcceptVpcPeeringConnectionFunc                            func(param0 *ec2.AcceptVpcPeeringConnectionInput) (*ec2.AcceptVpcPeeringConnectionOutput, error)
	AcceptVpcPeeringConnectionRequestFunc                     func(param0 *ec2.AcceptVpcPeeringConnectionInput) (*request.Request, *ec2.AcceptVpcPeeringConnectionOutput)
	AcceptVpcPeeringConnectionWithContextFunc                 func(param0 aws.Context, param1 *ec2.AcceptVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.AcceptVpcPeeringConnectionOutput, error)
	AllocateAddressFunc                                       func(param0 *ec2.AllocateAddressInput) (*ec2.AllocateAddressOutput, error)
	AllocateAddressRequestFunc                                func(param0 *ec2.AllocateAddressInput) (*request.Request, *ec2.AllocateAddressOutput)
	AllocateAddressWithContextFunc                            func(param0 aws.Context, param1 *ec2.AllocateAddressInput, param2 ...request.Option) (*ec2.AllocateAddressOutput, error)
	AllocateHostsFunc                                         func(param0 *ec2.AllocateHostsInput) (*ec2.AllocateHostsOutput, error)
	AllocateHostsRequestFunc                                  func(param0 *ec2.AllocateHostsInput) (*request.Request, *ec2.AllocateHostsOutput)
	AllocateHostsWithContextFunc                              func(param0 aws.Context, param1 *ec2.AllocateHostsInput, param2 ...request.Option) (*ec2.AllocateHostsOutput, error)
	AssignIpv6AddressesFunc                                   func(param0 *ec2.AssignIpv6AddressesInput) (*ec2.AssignIpv6AddressesOutput, error)
	AssignIpv6AddressesRequestFunc                            func(param0 *ec2.AssignIpv6AddressesInput) (*request.Request, *ec2.AssignIpv6AddressesOutput)
	AssignIpv6AddressesWithContextFunc                        func(param0 aws.Context, param1 *ec2.AssignIpv6AddressesInput, param2 ...request.Option) (*ec2.AssignIpv6AddressesOutput, error)
	AssignPrivateIpAddressesFunc                              func(param0 *ec2.AssignPrivateIpAddressesInput) (*ec2.AssignPrivateIpAddressesOutput, error)
	AssignPrivateIpAddressesRequestFunc                       func(param0 *ec2.AssignPrivateIpAddressesInput) (*request.Request, *ec2.AssignPrivateIpAddressesOutput)
	AssignPrivateIpAddressesWithContextFunc                   func(param0 aws.Context, param1 *ec2.AssignPrivateIpAddressesInput, param2 ...request.Option) (*ec2.AssignPrivateIpAddressesOutput, error)
	AssociateAddressFunc                                      func(param0 *ec2.AssociateAddressInput) (*ec2.AssociateAddressOutput, error)
	AssociateAddressRequestFunc                               func(param0 *ec2.AssociateAddressInput) (*request.Request, *ec2.AssociateAddressOutput)
	AssociateAddressWithContextFunc                           func(param0 aws.Context, param1 *ec2.AssociateAddressInput, param2 ...request.Option) (*ec2.AssociateAddressOutput, error)
	AssociateDhcpOptionsFunc                                  func(param0 *ec2.AssociateDhcpOptionsInput) (*ec2.AssociateDhcpOptionsOutput, error)
	AssociateDhcpOptionsRequestFunc                           func(param0 *ec2.AssociateDhcpOptionsInput) (*request.Request, *ec2.AssociateDhcpOptionsOutput)
	AssociateDhcpOptionsWithContextFunc                       func(param0 aws.Context, param1 *ec2.AssociateDhcpOptionsInput, param2 ...request.Option) (*ec2.AssociateDhcpOptionsOutput, error)
	AssociateIamInstanceProfileFunc                           func(param0 *ec2.AssociateIamInstanceProfileInput) (*ec2.AssociateIamInstanceProfileOutput, error)
	AssociateIamInstanceProfileRequestFunc                    func(param0 *ec2.AssociateIamInstanceProfileInput) (*request.Request, *ec2.AssociateIamInstanceProfileOutput)
	AssociateIamInstanceProfileWithContextFunc                func(param0 aws.Context, param1 *ec2.AssociateIamInstanceProfileInput, param2 ...request.Option) (*ec2.AssociateIamInstanceProfileOutput, error)
	AssociateRouteTableFunc                                   func(param0 *ec2.AssociateRouteTableInput) (*ec2.AssociateRouteTableOutput, error)
	AssociateRouteTableRequestFunc                            func(param0 *ec2.AssociateRouteTableInput) (*request.Request, *ec2.AssociateRouteTableOutput)
	AssociateRouteTableWithContextFunc                        func(param0 aws.Context, param1 *ec2.AssociateRouteTableInput, param2 ...request.Option) (*ec2.AssociateRouteTableOutput, error)
	AssociateSubnetCidrBlockFunc                              func(param0 *ec2.AssociateSubnetCidrBlockInput) (*ec2.AssociateSubnetCidrBlockOutput, error)
	AssociateSubnetCidrBlockRequestFunc                       func(param0 *ec2.AssociateSubnetCidrBlockInput) (*request.Request, *ec2.AssociateSubnetCidrBlockOutput)
	AssociateSubnetCidrBlockWithContextFunc                   func(param0 aws.Context, param1 *ec2.AssociateSubnetCidrBlockInput, param2 ...request.Option) (*ec2.AssociateSubnetCidrBlockOutput, error)
	AssociateVpcCidrBlockFunc                                 func(param0 *ec2.AssociateVpcCidrBlockInput) (*ec2.AssociateVpcCidrBlockOutput, error)
	AssociateVpcCidrBlockRequestFunc                          func(param0 *ec2.AssociateVpcCidrBlockInput) (*request.Request, *ec2.AssociateVpcCidrBlockOutput)
	AssociateVpcCidrBlockWithContextFunc                      func(param0 aws.Context, param1 *ec2.AssociateVpcCidrBlockInput, param2 ...request.Option) (*ec2.AssociateVpcCidrBlockOutput, error)
	AttachClassicLinkVpcFunc                                  func(param0 *ec2.AttachClassicLinkVpcInput) (*ec2.AttachClassicLinkVpcOutput, error)
	AttachClassicLinkVpcRequestFunc                           func(param0 *ec2.AttachClassicLinkVpcInput) (*request.Request, *ec2.AttachClassicLinkVpcOutput)
	AttachClassicLinkVpcWithContextFunc                       func(param0 aws.Context, param1 *ec2.AttachClassicLinkVpcInput, param2 ...request.Option) (*ec2.AttachClassicLinkVpcOutput, error)
	AttachInternetGatewayFunc                                 func(param0 *ec2.AttachInternetGatewayInput) (*ec2.AttachInternetGatewayOutput, error)
	AttachInternetGatewayRequestFunc                          func(param0 *ec2.AttachInternetGatewayInput) (*request.Request, *ec2.AttachInternetGatewayOutput)
	AttachInternetGatewayWithContextFunc                      func(param0 aws.Context, param1 *ec2.AttachInternetGatewayInput, param2 ...request.Option) (*ec2.AttachInternetGatewayOutput, error)
	AttachNetworkInterfaceFunc                                func(param0 *ec2.AttachNetworkInterfaceInput) (*ec2.AttachNetworkInterfaceOutput, error)
	AttachNetworkInterfaceRequestFunc                         func(param0 *ec2.AttachNetworkInterfaceInput) (*request.Request, *ec2.AttachNetworkInterfaceOutput)
	AttachNetworkInterfaceWithContextFunc                     func(param0 aws.Context, param1 *ec2.AttachNetworkInterfaceInput, param2 ...request.Option) (*ec2.AttachNetworkInterfaceOutput, error)
	AttachVolumeFunc                                          func(param0 *ec2.AttachVolumeInput) (*ec2.VolumeAttachment, error)
	AttachVolumeRequestFunc                                   func(param0 *ec2.AttachVolumeInput) (*request.Request, *ec2.VolumeAttachment)
	AttachVolumeWithContextFunc                               func(param0 aws.Context, param1 *ec2.AttachVolumeInput, param2 ...request.Option) (*ec2.VolumeAttachment, error)
	AttachVpnGatewayFunc                                      func(param0 *ec2.AttachVpnGatewayInput) (*ec2.AttachVpnGatewayOutput, error)
	AttachVpnGatewayRequestFunc                               func(param0 *ec2.AttachVpnGatewayInput) (*request.Request, *ec2.AttachVpnGatewayOutput)
	AttachVpnGatewayWithContextFunc                           func(param0 aws.Context, param1 *ec2.AttachVpnGatewayInput, param2 ...request.Option) (*ec2.AttachVpnGatewayOutput, error)
	AuthorizeSecurityGroupEgressFunc                          func(param0 *ec2.AuthorizeSecurityGroupEgressInput) (*ec2.AuthorizeSecurityGroupEgressOutput, error)
	AuthorizeSecurityGroupEgressRequestFunc                   func(param0 *ec2.AuthorizeSecurityGroupEgressInput) (*request.Request, *ec2.AuthorizeSecurityGroupEgressOutput)
	AuthorizeSecurityGroupEgressWithContextFunc               func(param0 aws.Context, param1 *ec2.AuthorizeSecurityGroupEgressInput, param2 ...request.Option) (*ec2.AuthorizeSecurityGroupEgressOutput, error)
	AuthorizeSecurityGroupIngressFunc                         func(param0 *ec2.AuthorizeSecurityGroupIngressInput) (*ec2.AuthorizeSecurityGroupIngressOutput, error)
	AuthorizeSecurityGroupIngressRequestFunc                  func(param0 *ec2.AuthorizeSecurityGroupIngressInput) (*request.Request, *ec2.AuthorizeSecurityGroupIngressOutput)
	AuthorizeSecurityGroupIngressWithContextFunc              func(param0 aws.Context, param1 *ec2.AuthorizeSecurityGroupIngressInput, param2 ...request.Option) (*ec2.AuthorizeSecurityGroupIngressOutput, error)
	BundleInstanceFunc                                        func(param0 *ec2.BundleInstanceInput) (*ec2.BundleInstanceOutput, error)
	BundleInstanceRequestFunc                                 func(param0 *ec2.BundleInstanceInput) (*request.Request, *ec2.BundleInstanceOutput)
	BundleInstanceWithContextFunc                             func(param0 aws.Context, param1 *ec2.BundleInstanceInput, param2 ...request.Option) (*ec2.BundleInstanceOutput, error)
	CancelBundleTaskFunc                                      func(param0 *ec2.CancelBundleTaskInput) (*ec2.CancelBundleTaskOutput, error)
	CancelBundleTaskRequestFunc                               func(param0 *ec2.CancelBundleTaskInput) (*request.Request, *ec2.CancelBundleTaskOutput)
	CancelBundleTaskWithContextFunc                           func(param0 aws.Context, param1 *ec2.CancelBundleTaskInput, param2 ...request.Option) (*ec2.CancelBundleTaskOutput, error)
	CancelConversionTaskFunc                                  func(param0 *ec2.CancelConversionTaskInput) (*ec2.CancelConversionTaskOutput, error)
	CancelConversionTaskRequestFunc                           func(param0 *ec2.CancelConversionTaskInput) (*request.Request, *ec2.CancelConversionTaskOutput)
	CancelConversionTaskWithContextFunc                       func(param0 aws.Context, param1 *ec2.CancelConversionTaskInput, param2 ...request.Option) (*ec2.CancelConversionTaskOutput, error)
	CancelExportTaskFunc                                      func(param0 *ec2.CancelExportTaskInput) (*ec2.CancelExportTaskOutput, error)
	CancelExportTaskRequestFunc                               func(param0 *ec2.CancelExportTaskInput) (*request.Request, *ec2.CancelExportTaskOutput)
	CancelExportTaskWithContextFunc                           func(param0 aws.Context, param1 *ec2.CancelExportTaskInput, param2 ...request.Option) (*ec2.CancelExportTaskOutput, error)
	CancelImportTaskFunc                                      func(param0 *ec2.CancelImportTaskInput) (*ec2.CancelImportTaskOutput, error)
	CancelImportTaskRequestFunc                               func(param0 *ec2.CancelImportTaskInput) (*request.Request, *ec2.CancelImportTaskOutput)
	CancelImportTaskWithContextFunc                           func(param0 aws.Context, param1 *ec2.CancelImportTaskInput, param2 ...request.Option) (*ec2.CancelImportTaskOutput, error)
	CancelReservedInstancesListingFunc                        func(param0 *ec2.CancelReservedInstancesListingInput) (*ec2.CancelReservedInstancesListingOutput, error)
	CancelReservedInstancesListingRequestFunc                 func(param0 *ec2.CancelReservedInstancesListingInput) (*request.Request, *ec2.CancelReservedInstancesListingOutput)
	CancelReservedInstancesListingWithContextFunc             func(param0 aws.Context, param1 *ec2.CancelReservedInstancesListingInput, param2 ...request.Option) (*ec2.CancelReservedInstancesListingOutput, error)
	CancelSpotFleetRequestsFunc                               func(param0 *ec2.CancelSpotFleetRequestsInput) (*ec2.CancelSpotFleetRequestsOutput, error)
	CancelSpotFleetRequestsRequestFunc                        func(param0 *ec2.CancelSpotFleetRequestsInput) (*request.Request, *ec2.CancelSpotFleetRequestsOutput)
	CancelSpotFleetRequestsWithContextFunc                    func(param0 aws.Context, param1 *ec2.CancelSpotFleetRequestsInput, param2 ...request.Option) (*ec2.CancelSpotFleetRequestsOutput, error)
	CancelSpotInstanceRequestsFunc                            func(param0 *ec2.CancelSpotInstanceRequestsInput) (*ec2.CancelSpotInstanceRequestsOutput, error)
	CancelSpotInstanceRequestsRequestFunc                     func(param0 *ec2.CancelSpotInstanceRequestsInput) (*request.Request, *ec2.CancelSpotInstanceRequestsOutput)
	CancelSpotInstanceRequestsWithContextFunc                 func(param0 aws.Context, param1 *ec2.CancelSpotInstanceRequestsInput, param2 ...request.Option) (*ec2.CancelSpotInstanceRequestsOutput, error)
	ConfirmProductInstanceFunc                                func(param0 *ec2.ConfirmProductInstanceInput) (*ec2.ConfirmProductInstanceOutput, error)
	ConfirmProductInstanceRequestFunc                         func(param0 *ec2.ConfirmProductInstanceInput) (*request.Request, *ec2.ConfirmProductInstanceOutput)
	ConfirmProductInstanceWithContextFunc                     func(param0 aws.Context, param1 *ec2.ConfirmProductInstanceInput, param2 ...request.Option) (*ec2.ConfirmProductInstanceOutput, error)
	CopyFpgaImageFunc                                         func(param0 *ec2.CopyFpgaImageInput) (*ec2.CopyFpgaImageOutput, error)
	CopyFpgaImageRequestFunc                                  func(param0 *ec2.CopyFpgaImageInput) (*request.Request, *ec2.CopyFpgaImageOutput)
	CopyFpgaImageWithContextFunc                              func(param0 aws.Context, param1 *ec2.CopyFpgaImageInput, param2 ...request.Option) (*ec2.CopyFpgaImageOutput, error)
	CopyImageFunc                                             func(param0 *ec2.CopyImageInput) (*ec2.CopyImageOutput, error)
	CopyImageRequestFunc                                      func(param0 *ec2.CopyImageInput) (*request.Request, *ec2.CopyImageOutput)
	CopyImageWithContextFunc                                  func(param0 aws.Context, param1 *ec2.CopyImageInput, param2 ...request.Option) (*ec2.CopyImageOutput, error)
	CopySnapshotFunc                                          func(param0 *ec2.CopySnapshotInput) (*ec2.CopySnapshotOutput, error)
	CopySnapshotRequestFunc                                   func(param0 *ec2.CopySnapshotInput) (*request.Request, *ec2.CopySnapshotOutput)
	CopySnapshotWithContextFunc                               func(param0 aws.Context, param1 *ec2.CopySnapshotInput, param2 ...request.Option) (*ec2.CopySnapshotOutput, error)
	CreateCustomerGatewayFunc                                 func(param0 *ec2.CreateCustomerGatewayInput) (*ec2.CreateCustomerGatewayOutput, error)
	CreateCustomerGatewayRequestFunc                          func(param0 *ec2.CreateCustomerGatewayInput) (*request.Request, *ec2.CreateCustomerGatewayOutput)
	CreateCustomerGatewayWithContextFunc                      func(param0 aws.Context, param1 *ec2.CreateCustomerGatewayInput, param2 ...request.Option) (*ec2.CreateCustomerGatewayOutput, error)
	CreateDefaultVpcFunc                                      func(param0 *ec2.CreateDefaultVpcInput) (*ec2.CreateDefaultVpcOutput, error)
	CreateDefaultVpcRequestFunc                               func(param0 *ec2.CreateDefaultVpcInput) (*request.Request, *ec2.CreateDefaultVpcOutput)
	CreateDefaultVpcWithContextFunc                           func(param0 aws.Context, param1 *ec2.CreateDefaultVpcInput, param2 ...request.Option) (*ec2.CreateDefaultVpcOutput, error)
	CreateDhcpOptionsFunc                                     func(param0 *ec2.CreateDhcpOptionsInput) (*ec2.CreateDhcpOptionsOutput, error)
	CreateDhcpOptionsRequestFunc                              func(param0 *ec2.CreateDhcpOptionsInput) (*request.Request, *ec2.CreateDhcpOptionsOutput)
	CreateDhcpOptionsWithContextFunc                          func(param0 aws.Context, param1 *ec2.CreateDhcpOptionsInput, param2 ...request.Option) (*ec2.CreateDhcpOptionsOutput, error)
	CreateEgressOnlyInternetGatewayFunc                       func(param0 *ec2.CreateEgressOnlyInternetGatewayInput) (*ec2.CreateEgressOnlyInternetGatewayOutput, error)
	CreateEgressOnlyInternetGatewayRequestFunc                func(param0 *ec2.CreateEgressOnlyInternetGatewayInput) (*request.Request, *ec2.CreateEgressOnlyInternetGatewayOutput)
	CreateEgressOnlyInternetGatewayWithContextFunc            func(param0 aws.Context, param1 *ec2.CreateEgressOnlyInternetGatewayInput, param2 ...request.Option) (*ec2.CreateEgressOnlyInternetGatewayOutput, error)
	CreateFlowLogsFunc                                        func(param0 *ec2.CreateFlowLogsInput) (*ec2.CreateFlowLogsOutput, error)
	CreateFlowLogsRequestFunc                                 func(param0 *ec2.CreateFlowLogsInput) (*request.Request, *ec2.CreateFlowLogsOutput)
	CreateFlowLogsWithContextFunc                             func(param0 aws.Context, param1 *ec2.CreateFlowLogsInput, param2 ...request.Option) (*ec2.CreateFlowLogsOutput, error)
	CreateFpgaImageFunc                                       func(param0 *ec2.CreateFpgaImageInput) (*ec2.CreateFpgaImageOutput, error)
	CreateFpgaImageRequestFunc                                func(param0 *ec2.CreateFpgaImageInput) (*request.Request, *ec2.CreateFpgaImageOutput)
	CreateFpgaImageWithContextFunc                            func(param0 aws.Context, param1 *ec2.CreateFpgaImageInput, param2 ...request.Option) (*ec2.CreateFpgaImageOutput, error)
	CreateImageFunc                                           func(param0 *ec2.CreateImageInput) (*ec2.CreateImageOutput, error)
	CreateImageRequestFunc                                    func(param0 *ec2.CreateImageInput) (*request.Request, *ec2.CreateImageOutput)
	CreateImageWithContextFunc                                func(param0 aws.Context, param1 *ec2.CreateImageInput, param2 ...request.Option) (*ec2.CreateImageOutput, error)
	CreateInstanceExportTaskFunc                              func(param0 *ec2.CreateInstanceExportTaskInput) (*ec2.CreateInstanceExportTaskOutput, error)
	CreateInstanceExportTaskRequestFunc                       func(param0 *ec2.CreateInstanceExportTaskInput) (*request.Request, *ec2.CreateInstanceExportTaskOutput)
	CreateInstanceExportTaskWithContextFunc                   func(param0 aws.Context, param1 *ec2.CreateInstanceExportTaskInput, param2 ...request.Option) (*ec2.CreateInstanceExportTaskOutput, error)
	CreateInternetGatewayFunc                                 func(param0 *ec2.CreateInternetGatewayInput) (*ec2.CreateInternetGatewayOutput, error)
	CreateInternetGatewayRequestFunc                          func(param0 *ec2.CreateInternetGatewayInput) (*request.Request, *ec2.CreateInternetGatewayOutput)
	CreateInternetGatewayWithContextFunc                      func(param0 aws.Context, param1 *ec2.CreateInternetGatewayInput, param2 ...request.Option) (*ec2.CreateInternetGatewayOutput, error)
	CreateKeyPairFunc                                         func(param0 *ec2.CreateKeyPairInput) (*ec2.CreateKeyPairOutput, error)
	CreateKeyPairRequestFunc                                  func(param0 *ec2.CreateKeyPairInput) (*request.Request, *ec2.CreateKeyPairOutput)
	CreateKeyPairWithContextFunc                              func(param0 aws.Context, param1 *ec2.CreateKeyPairInput, param2 ...request.Option) (*ec2.CreateKeyPairOutput, error)
	CreateNatGatewayFunc                                      func(param0 *ec2.CreateNatGatewayInput) (*ec2.CreateNatGatewayOutput, error)
	CreateNatGatewayRequestFunc                               func(param0 *ec2.CreateNatGatewayInput) (*request.Request, *ec2.CreateNatGatewayOutput)
	CreateNatGatewayWithContextFunc                           func(param0 aws.Context, param1 *ec2.CreateNatGatewayInput, param2 ...request.Option) (*ec2.CreateNatGatewayOutput, error)
	CreateNetworkAclFunc                                      func(param0 *ec2.CreateNetworkAclInput) (*ec2.CreateNetworkAclOutput, error)
	CreateNetworkAclEntryFunc                                 func(param0 *ec2.CreateNetworkAclEntryInput) (*ec2.CreateNetworkAclEntryOutput, error)
	CreateNetworkAclEntryRequestFunc                          func(param0 *ec2.CreateNetworkAclEntryInput) (*request.Request, *ec2.CreateNetworkAclEntryOutput)
	CreateNetworkAclEntryWithContextFunc                      func(param0 aws.Context, param1 *ec2.CreateNetworkAclEntryInput, param2 ...request.Option) (*ec2.CreateNetworkAclEntryOutput, error)
	CreateNetworkAclRequestFunc                               func(param0 *ec2.CreateNetworkAclInput) (*request.Request, *ec2.CreateNetworkAclOutput)
	CreateNetworkAclWithContextFunc                           func(param0 aws.Context, param1 *ec2.CreateNetworkAclInput, param2 ...request.Option) (*ec2.CreateNetworkAclOutput, error)
	CreateNetworkInterfaceFunc                                func(param0 *ec2.CreateNetworkInterfaceInput) (*ec2.CreateNetworkInterfaceOutput, error)
	CreateNetworkInterfacePermissionFunc                      func(param0 *ec2.CreateNetworkInterfacePermissionInput) (*ec2.CreateNetworkInterfacePermissionOutput, error)
	CreateNetworkInterfacePermissionRequestFunc               func(param0 *ec2.CreateNetworkInterfacePermissionInput) (*request.Request, *ec2.CreateNetworkInterfacePermissionOutput)
	CreateNetworkInterfacePermissionWithContextFunc           func(param0 aws.Context, param1 *ec2.CreateNetworkInterfacePermissionInput, param2 ...request.Option) (*ec2.CreateNetworkInterfacePermissionOutput, error)
	CreateNetworkInterfaceRequestFunc                         func(param0 *ec2.CreateNetworkInterfaceInput) (*request.Request, *ec2.CreateNetworkInterfaceOutput)
	CreateNetworkInterfaceWithContextFunc                     func(param0 aws.Context, param1 *ec2.CreateNetworkInterfaceInput, param2 ...request.Option) (*ec2.CreateNetworkInterfaceOutput, error)
	CreatePlacementGroupFunc                                  func(param0 *ec2.CreatePlacementGroupInput) (*ec2.CreatePlacementGroupOutput, error)
	CreatePlacementGroupRequestFunc                           func(param0 *ec2.CreatePlacementGroupInput) (*request.Request, *ec2.CreatePlacementGroupOutput)
	CreatePlacementGroupWithContextFunc                       func(param0 aws.Context, param1 *ec2.CreatePlacementGroupInput, param2 ...request.Option) (*ec2.CreatePlacementGroupOutput, error)
	CreateReservedInstancesListingFunc                        func(param0 *ec2.CreateReservedInstancesListingInput) (*ec2.CreateReservedInstancesListingOutput, error)
	CreateReservedInstancesListingRequestFunc                 func(param0 *ec2.CreateReservedInstancesListingInput) (*request.Request, *ec2.CreateReservedInstancesListingOutput)
	CreateReservedInstancesListingWithContextFunc             func(param0 aws.Context, param1 *ec2.CreateReservedInstancesListingInput, param2 ...request.Option) (*ec2.CreateReservedInstancesListingOutput, error)
	CreateRouteFunc                                           func(param0 *ec2.CreateRouteInput) (*ec2.CreateRouteOutput, error)
	CreateRouteRequestFunc                                    func(param0 *ec2.CreateRouteInput) (*request.Request, *ec2.CreateRouteOutput)
	CreateRouteTableFunc                                      func(param0 *ec2.CreateRouteTableInput) (*ec2.CreateRouteTableOutput, error)
	CreateRouteTableRequestFunc                               func(param0 *ec2.CreateRouteTableInput) (*request.Request, *ec2.CreateRouteTableOutput)
	CreateRouteTableWithContextFunc                           func(param0 aws.Context, param1 *ec2.CreateRouteTableInput, param2 ...request.Option) (*ec2.CreateRouteTableOutput, error)
	CreateRouteWithContextFunc                                func(param0 aws.Context, param1 *ec2.CreateRouteInput, param2 ...request.Option) (*ec2.CreateRouteOutput, error)
	CreateSecurityGroupFunc                                   func(param0 *ec2.CreateSecurityGroupInput) (*ec2.CreateSecurityGroupOutput, error)
	CreateSecurityGroupRequestFunc                            func(param0 *ec2.CreateSecurityGroupInput) (*request.Request, *ec2.CreateSecurityGroupOutput)
	CreateSecurityGroupWithContextFunc                        func(param0 aws.Context, param1 *ec2.CreateSecurityGroupInput, param2 ...request.Option) (*ec2.CreateSecurityGroupOutput, error)
	CreateSnapshotFunc                                        func(param0 *ec2.CreateSnapshotInput) (*ec2.Snapshot, error)
	CreateSnapshotRequestFunc                                 func(param0 *ec2.CreateSnapshotInput) (*request.Request, *ec2.Snapshot)
	CreateSnapshotWithContextFunc                             func(param0 aws.Context, param1 *ec2.CreateSnapshotInput, param2 ...request.Option) (*ec2.Snapshot, error)
	CreateSpotDatafeedSubscriptionFunc                        func(param0 *ec2.CreateSpotDatafeedSubscriptionInput) (*ec2.CreateSpotDatafeedSubscriptionOutput, error)
	CreateSpotDatafeedSubscriptionRequestFunc                 func(param0 *ec2.CreateSpotDatafeedSubscriptionInput) (*request.Request, *ec2.CreateSpotDatafeedSubscriptionOutput)
	CreateSpotDatafeedSubscriptionWithContextFunc             func(param0 aws.Context, param1 *ec2.CreateSpotDatafeedSubscriptionInput, param2 ...request.Option) (*ec2.CreateSpotDatafeedSubscriptionOutput, error)
	CreateSubnetFunc                                          func(param0 *ec2.CreateSubnetInput) (*ec2.CreateSubnetOutput, error)
	CreateSubnetRequestFunc                                   func(param0 *ec2.CreateSubnetInput) (*request.Request, *ec2.CreateSubnetOutput)
	CreateSubnetWithContextFunc                               func(param0 aws.Context, param1 *ec2.CreateSubnetInput, param2 ...request.Option) (*ec2.CreateSubnetOutput, error)
	CreateTagsFunc                                            func(param0 *ec2.CreateTagsInput) (*ec2.CreateTagsOutput, error)
	CreateTagsRequestFunc                                     func(param0 *ec2.CreateTagsInput) (*request.Request, *ec2.CreateTagsOutput)
	CreateTagsWithContextFunc                                 func(param0 aws.Context, param1 *ec2.CreateTagsInput, param2 ...request.Option) (*ec2.CreateTagsOutput, error)
	CreateVolumeFunc                                          func(param0 *ec2.CreateVolumeInput) (*ec2.Volume, error)
	CreateVolumeRequestFunc                                   func(param0 *ec2.CreateVolumeInput) (*request.Request, *ec2.Volume)
	CreateVolumeWithContextFunc                               func(param0 aws.Context, param1 *ec2.CreateVolumeInput, param2 ...request.Option) (*ec2.Volume, error)
	CreateVpcFunc                                             func(param0 *ec2.CreateVpcInput) (*ec2.CreateVpcOutput, error)
	CreateVpcEndpointFunc                                     func(param0 *ec2.CreateVpcEndpointInput) (*ec2.CreateVpcEndpointOutput, error)
	CreateVpcEndpointRequestFunc                              func(param0 *ec2.CreateVpcEndpointInput) (*request.Request, *ec2.CreateVpcEndpointOutput)
	CreateVpcEndpointWithContextFunc                          func(param0 aws.Context, param1 *ec2.CreateVpcEndpointInput, param2 ...request.Option) (*ec2.CreateVpcEndpointOutput, error)
	CreateVpcPeeringConnectionFunc                            func(param0 *ec2.CreateVpcPeeringConnectionInput) (*ec2.CreateVpcPeeringConnectionOutput, error)
	CreateVpcPeeringConnectionRequestFunc                     func(param0 *ec2.CreateVpcPeeringConnectionInput) (*request.Request, *ec2.CreateVpcPeeringConnectionOutput)
	CreateVpcPeeringConnectionWithContextFunc                 func(param0 aws.Context, param1 *ec2.CreateVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.CreateVpcPeeringConnectionOutput, error)
	CreateVpcRequestFunc                                      func(param0 *ec2.CreateVpcInput) (*request.Request, *ec2.CreateVpcOutput)
	CreateVpcWithContextFunc                                  func(param0 aws.Context, param1 *ec2.CreateVpcInput, param2 ...request.Option) (*ec2.CreateVpcOutput, error)
	CreateVpnConnectionFunc                                   func(param0 *ec2.CreateVpnConnectionInput) (*ec2.CreateVpnConnectionOutput, error)
	CreateVpnConnectionRequestFunc                            func(param0 *ec2.CreateVpnConnectionInput) (*request.Request, *ec2.CreateVpnConnectionOutput)
	CreateVpnConnectionRouteFunc                              func(param0 *ec2.CreateVpnConnectionRouteInput) (*ec2.CreateVpnConnectionRouteOutput, error)
	CreateVpnConnectionRouteRequestFunc                       func(param0 *ec2.CreateVpnConnectionRouteInput) (*request.Request, *ec2.CreateVpnConnectionRouteOutput)
	CreateVpnConnectionRouteWithContextFunc                   func(param0 aws.Context, param1 *ec2.CreateVpnConnectionRouteInput, param2 ...request.Option) (*ec2.CreateVpnConnectionRouteOutput, error)
	CreateVpnConnectionWithContextFunc                        func(param0 aws.Context, param1 *ec2.CreateVpnConnectionInput, param2 ...request.Option) (*ec2.CreateVpnConnectionOutput, error)
	CreateVpnGatewayFunc                                      func(param0 *ec2.CreateVpnGatewayInput) (*ec2.CreateVpnGatewayOutput, error)
	CreateVpnGatewayRequestFunc                               func(param0 *ec2.CreateVpnGatewayInput) (*request.Request, *ec2.CreateVpnGatewayOutput)
	CreateVpnGatewayWithContextFunc                           func(param0 aws.Context, param1 *ec2.CreateVpnGatewayInput, param2 ...request.Option) (*ec2.CreateVpnGatewayOutput, error)
	DeleteCustomerGatewayFunc                                 func(param0 *ec2.DeleteCustomerGatewayInput) (*ec2.DeleteCustomerGatewayOutput, error)
	DeleteCustomerGatewayRequestFunc                          func(param0 *ec2.DeleteCustomerGatewayInput) (*request.Request, *ec2.DeleteCustomerGatewayOutput)
	DeleteCustomerGatewayWithContextFunc                      func(param0 aws.Context, param1 *ec2.DeleteCustomerGatewayInput, param2 ...request.Option) (*ec2.DeleteCustomerGatewayOutput, error)
	DeleteDhcpOptionsFunc                                     func(param0 *ec2.DeleteDhcpOptionsInput) (*ec2.DeleteDhcpOptionsOutput, error)
	DeleteDhcpOptionsRequestFunc                              func(param0 *ec2.DeleteDhcpOptionsInput) (*request.Request, *ec2.DeleteDhcpOptionsOutput)
	DeleteDhcpOptionsWithContextFunc                          func(param0 aws.Context, param1 *ec2.DeleteDhcpOptionsInput, param2 ...request.Option) (*ec2.DeleteDhcpOptionsOutput, error)
	DeleteEgressOnlyInternetGatewayFunc                       func(param0 *ec2.DeleteEgressOnlyInternetGatewayInput) (*ec2.DeleteEgressOnlyInternetGatewayOutput, error)
	DeleteEgressOnlyInternetGatewayRequestFunc                func(param0 *ec2.DeleteEgressOnlyInternetGatewayInput) (*request.Request, *ec2.DeleteEgressOnlyInternetGatewayOutput)
	DeleteEgressOnlyInternetGatewayWithContextFunc            func(param0 aws.Context, param1 *ec2.DeleteEgressOnlyInternetGatewayInput, param2 ...request.Option) (*ec2.DeleteEgressOnlyInternetGatewayOutput, error)
	DeleteFlowLogsFunc                                        func(param0 *ec2.DeleteFlowLogsInput) (*ec2.DeleteFlowLogsOutput, error)
	DeleteFlowLogsRequestFunc                                 func(param0 *ec2.DeleteFlowLogsInput) (*request.Request, *ec2.DeleteFlowLogsOutput)
	DeleteFlowLogsWithContextFunc                             func(param0 aws.Context, param1 *ec2.DeleteFlowLogsInput, param2 ...request.Option) (*ec2.DeleteFlowLogsOutput, error)
	DeleteFpgaImageFunc                                       func(param0 *ec2.DeleteFpgaImageInput) (*ec2.DeleteFpgaImageOutput, error)
	DeleteFpgaImageRequestFunc                                func(param0 *ec2.DeleteFpgaImageInput) (*request.Request, *ec2.DeleteFpgaImageOutput)
	DeleteFpgaImageWithContextFunc                            func(param0 aws.Context, param1 *ec2.DeleteFpgaImageInput, param2 ...request.Option) (*ec2.DeleteFpgaImageOutput, error)
	DeleteInternetGatewayFunc                                 func(param0 *ec2.DeleteInternetGatewayInput) (*ec2.DeleteInternetGatewayOutput, error)
	DeleteInternetGatewayRequestFunc                          func(param0 *ec2.DeleteInternetGatewayInput) (*request.Request, *ec2.DeleteInternetGatewayOutput)
	DeleteInternetGatewayWithContextFunc                      func(param0 aws.Context, param1 *ec2.DeleteInternetGatewayInput, param2 ...request.Option) (*ec2.DeleteInternetGatewayOutput, error)
	DeleteKeyPairFunc                                         func(param0 *ec2.DeleteKeyPairInput) (*ec2.DeleteKeyPairOutput, error)
	DeleteKeyPairRequestFunc                                  func(param0 *ec2.DeleteKeyPairInput) (*request.Request, *ec2.DeleteKeyPairOutput)
	DeleteKeyPairWithContextFunc                              func(param0 aws.Context, param1 *ec2.DeleteKeyPairInput, param2 ...request.Option) (*ec2.DeleteKeyPairOutput, error)
	DeleteNatGatewayFunc                                      func(param0 *ec2.DeleteNatGatewayInput) (*ec2.DeleteNatGatewayOutput, error)
	DeleteNatGatewayRequestFunc                               func(param0 *ec2.DeleteNatGatewayInput) (*request.Request, *ec2.DeleteNatGatewayOutput)
	DeleteNatGatewayWithContextFunc                           func(param0 aws.Context, param1 *ec2.DeleteNatGatewayInput, param2 ...request.Option) (*ec2.DeleteNatGatewayOutput, error)
	DeleteNetworkAclFunc                                      func(param0 *ec2.DeleteNetworkAclInput) (*ec2.DeleteNetworkAclOutput, error)
	DeleteNetworkAclEntryFunc                                 func(param0 *ec2.DeleteNetworkAclEntryInput) (*ec2.DeleteNetworkAclEntryOutput, error)
	DeleteNetworkAclEntryRequestFunc                          func(param0 *ec2.DeleteNetworkAclEntryInput) (*request.Request, *ec2.DeleteNetworkAclEntryOutput)
	DeleteNetworkAclEntryWithContextFunc                      func(param0 aws.Context, param1 *ec2.DeleteNetworkAclEntryInput, param2 ...request.Option) (*ec2.DeleteNetworkAclEntryOutput, error)
	DeleteNetworkAclRequestFunc                               func(param0 *ec2.DeleteNetworkAclInput) (*request.Request, *ec2.DeleteNetworkAclOutput)
	DeleteNetworkAclWithContextFunc                           func(param0 aws.Context, param1 *ec2.DeleteNetworkAclInput, param2 ...request.Option) (*ec2.DeleteNetworkAclOutput, error)
	DeleteNetworkInterfaceFunc                                func(param0 *ec2.DeleteNetworkInterfaceInput) (*ec2.DeleteNetworkInterfaceOutput, error)
	DeleteNetworkInterfacePermissionFunc                      func(param0 *ec2.DeleteNetworkInterfacePermissionInput) (*ec2.DeleteNetworkInterfacePermissionOutput, error)
	DeleteNetworkInterfacePermissionRequestFunc               func(param0 *ec2.DeleteNetworkInterfacePermissionInput) (*request.Request, *ec2.DeleteNetworkInterfacePermissionOutput)
	DeleteNetworkInterfacePermissionWithContextFunc           func(param0 aws.Context, param1 *ec2.DeleteNetworkInterfacePermissionInput, param2 ...request.Option) (*ec2.DeleteNetworkInterfacePermissionOutput, error)
	DeleteNetworkInterfaceRequestFunc                         func(param0 *ec2.DeleteNetworkInterfaceInput) (*request.Request, *ec2.DeleteNetworkInterfaceOutput)
	DeleteNetworkInterfaceWithContextFunc                     func(param0 aws.Context, param1 *ec2.DeleteNetworkInterfaceInput, param2 ...request.Option) (*ec2.DeleteNetworkInterfaceOutput, error)
	DeletePlacementGroupFunc                                  func(param0 *ec2.DeletePlacementGroupInput) (*ec2.DeletePlacementGroupOutput, error)
	DeletePlacementGroupRequestFunc                           func(param0 *ec2.DeletePlacementGroupInput) (*request.Request, *ec2.DeletePlacementGroupOutput)
	DeletePlacementGroupWithContextFunc                       func(param0 aws.Context, param1 *ec2.DeletePlacementGroupInput, param2 ...request.Option) (*ec2.DeletePlacementGroupOutput, error)
	DeleteRouteFunc                                           func(param0 *ec2.DeleteRouteInput) (*ec2.DeleteRouteOutput, error)
	DeleteRouteRequestFunc                                    func(param0 *ec2.DeleteRouteInput) (*request.Request, *ec2.DeleteRouteOutput)
	DeleteRouteTableFunc                                      func(param0 *ec2.DeleteRouteTableInput) (*ec2.DeleteRouteTableOutput, error)
	DeleteRouteTableRequestFunc                               func(param0 *ec2.DeleteRouteTableInput) (*request.Request, *ec2.DeleteRouteTableOutput)
	DeleteRouteTableWithContextFunc                           func(param0 aws.Context, param1 *ec2.DeleteRouteTableInput, param2 ...request.Option) (*ec2.DeleteRouteTableOutput, error)
	DeleteRouteWithContextFunc                                func(param0 aws.Context, param1 *ec2.DeleteRouteInput, param2 ...request.Option) (*ec2.DeleteRouteOutput, error)
	DeleteSecurityGroupFunc                                   func(param0 *ec2.DeleteSecurityGroupInput) (*ec2.DeleteSecurityGroupOutput, error)
	DeleteSecurityGroupRequestFunc                            func(param0 *ec2.DeleteSecurityGroupInput) (*request.Request, *ec2.DeleteSecurityGroupOutput)
	DeleteSecurityGroupWithContextFunc                        func(param0 aws.Context, param1 *ec2.DeleteSecurityGroupInput, param2 ...request.Option) (*ec2.DeleteSecurityGroupOutput, error)
	DeleteSnapshotFunc                                        func(param0 *ec2.DeleteSnapshotInput) (*ec2.DeleteSnapshotOutput, error)
	DeleteSnapshotRequestFunc                                 func(param0 *ec2.DeleteSnapshotInput) (*request.Request, *ec2.DeleteSnapshotOutput)
	DeleteSnapshotWithContextFunc                             func(param0 aws.Context, param1 *ec2.DeleteSnapshotInput, param2 ...request.Option) (*ec2.DeleteSnapshotOutput, error)
	DeleteSpotDatafeedSubscriptionFunc                        func(param0 *ec2.DeleteSpotDatafeedSubscriptionInput) (*ec2.DeleteSpotDatafeedSubscriptionOutput, error)
	DeleteSpotDatafeedSubscriptionRequestFunc                 func(param0 *ec2.DeleteSpotDatafeedSubscriptionInput) (*request.Request, *ec2.DeleteSpotDatafeedSubscriptionOutput)
	DeleteSpotDatafeedSubscriptionWithContextFunc             func(param0 aws.Context, param1 *ec2.DeleteSpotDatafeedSubscriptionInput, param2 ...request.Option) (*ec2.DeleteSpotDatafeedSubscriptionOutput, error)
	DeleteSubnetFunc                                          func(param0 *ec2.DeleteSubnetInput) (*ec2.DeleteSubnetOutput, error)
	DeleteSubnetRequestFunc                                   func(param0 *ec2.DeleteSubnetInput) (*request.Request, *ec2.DeleteSubnetOutput)
	DeleteSubnetWithContextFunc                               func(param0 aws.Context, param1 *ec2.DeleteSubnetInput, param2 ...request.Option) (*ec2.DeleteSubnetOutput, error)
	DeleteTagsFunc                                            func(param0 *ec2.DeleteTagsInput) (*ec2.DeleteTagsOutput, error)
	DeleteTagsRequestFunc                                     func(param0 *ec2.DeleteTagsInput) (*request.Request, *ec2.DeleteTagsOutput)
	DeleteTagsWithContextFunc                                 func(param0 aws.Context, param1 *ec2.DeleteTagsInput, param2 ...request.Option) (*ec2.DeleteTagsOutput, error)
	DeleteVolumeFunc                                          func(param0 *ec2.DeleteVolumeInput) (*ec2.DeleteVolumeOutput, error)
	DeleteVolumeRequestFunc                                   func(param0 *ec2.DeleteVolumeInput) (*request.Request, *ec2.DeleteVolumeOutput)
	DeleteVolumeWithContextFunc                               func(param0 aws.Context, param1 *ec2.DeleteVolumeInput, param2 ...request.Option) (*ec2.DeleteVolumeOutput, error)
	DeleteVpcFunc                                             func(param0 *ec2.DeleteVpcInput) (*ec2.DeleteVpcOutput, error)
	DeleteVpcEndpointsFunc                                    func(param0 *ec2.DeleteVpcEndpointsInput) (*ec2.DeleteVpcEndpointsOutput, error)
	DeleteVpcEndpointsRequestFunc                             func(param0 *ec2.DeleteVpcEndpointsInput) (*request.Request, *ec2.DeleteVpcEndpointsOutput)
	DeleteVpcEndpointsWithContextFunc                         func(param0 aws.Context, param1 *ec2.DeleteVpcEndpointsInput, param2 ...request.Option) (*ec2.DeleteVpcEndpointsOutput, error)
	DeleteVpcPeeringConnectionFunc                            func(param0 *ec2.DeleteVpcPeeringConnectionInput) (*ec2.DeleteVpcPeeringConnectionOutput, error)
	DeleteVpcPeeringConnectionRequestFunc                     func(param0 *ec2.DeleteVpcPeeringConnectionInput) (*request.Request, *ec2.DeleteVpcPeeringConnectionOutput)
	DeleteVpcPeeringConnectionWithContextFunc                 func(param0 aws.Context, param1 *ec2.DeleteVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.DeleteVpcPeeringConnectionOutput, error)
	DeleteVpcRequestFunc                                      func(param0 *ec2.DeleteVpcInput) (*request.Request, *ec2.DeleteVpcOutput)
	DeleteVpcWithContextFunc                                  func(param0 aws.Context, param1 *ec2.DeleteVpcInput, param2 ...request.Option) (*ec2.DeleteVpcOutput, error)
	DeleteVpnConnectionFunc                                   func(param0 *ec2.DeleteVpnConnectionInput) (*ec2.DeleteVpnConnectionOutput, error)
	DeleteVpnConnectionRequestFunc                            func(param0 *ec2.DeleteVpnConnectionInput) (*request.Request, *ec2.DeleteVpnConnectionOutput)
	DeleteVpnConnectionRouteFunc                              func(param0 *ec2.DeleteVpnConnectionRouteInput) (*ec2.DeleteVpnConnectionRouteOutput, error)
	DeleteVpnConnectionRouteRequestFunc                       func(param0 *ec2.DeleteVpnConnectionRouteInput) (*request.Request, *ec2.DeleteVpnConnectionRouteOutput)
	DeleteVpnConnectionRouteWithContextFunc                   func(param0 aws.Context, param1 *ec2.DeleteVpnConnectionRouteInput, param2 ...request.Option) (*ec2.DeleteVpnConnectionRouteOutput, error)
	DeleteVpnConnectionWithContextFunc                        func(param0 aws.Context, param1 *ec2.DeleteVpnConnectionInput, param2 ...request.Option) (*ec2.DeleteVpnConnectionOutput, error)
	DeleteVpnGatewayFunc                                      func(param0 *ec2.DeleteVpnGatewayInput) (*ec2.DeleteVpnGatewayOutput, error)
	DeleteVpnGatewayRequestFunc                               func(param0 *ec2.DeleteVpnGatewayInput) (*request.Request, *ec2.DeleteVpnGatewayOutput)
	DeleteVpnGatewayWithContextFunc                           func(param0 aws.Context, param1 *ec2.DeleteVpnGatewayInput, param2 ...request.Option) (*ec2.DeleteVpnGatewayOutput, error)
	DeregisterImageFunc                                       func(param0 *ec2.DeregisterImageInput) (*ec2.DeregisterImageOutput, error)
	DeregisterImageRequestFunc                                func(param0 *ec2.DeregisterImageInput) (*request.Request, *ec2.DeregisterImageOutput)
	DeregisterImageWithContextFunc                            func(param0 aws.Context, param1 *ec2.DeregisterImageInput, param2 ...request.Option) (*ec2.DeregisterImageOutput, error)
	DescribeAccountAttributesFunc                             func(param0 *ec2.DescribeAccountAttributesInput) (*ec2.DescribeAccountAttributesOutput, error)
	DescribeAccountAttributesRequestFunc                      func(param0 *ec2.DescribeAccountAttributesInput) (*request.Request, *ec2.DescribeAccountAttributesOutput)
	DescribeAccountAttributesWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeAccountAttributesInput, param2 ...request.Option) (*ec2.DescribeAccountAttributesOutput, error)
	DescribeAddressesFunc                                     func(param0 *ec2.DescribeAddressesInput) (*ec2.DescribeAddressesOutput, error)
	DescribeAddressesRequestFunc                              func(param0 *ec2.DescribeAddressesInput) (*request.Request, *ec2.DescribeAddressesOutput)
	DescribeAddressesWithContextFunc                          func(param0 aws.Context, param1 *ec2.DescribeAddressesInput, param2 ...request.Option) (*ec2.DescribeAddressesOutput, error)
	DescribeAvailabilityZonesFunc                             func(param0 *ec2.DescribeAvailabilityZonesInput) (*ec2.DescribeAvailabilityZonesOutput, error)
	DescribeAvailabilityZonesRequestFunc                      func(param0 *ec2.DescribeAvailabilityZonesInput) (*request.Request, *ec2.DescribeAvailabilityZonesOutput)
	DescribeAvailabilityZonesWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeAvailabilityZonesInput, param2 ...request.Option) (*ec2.DescribeAvailabilityZonesOutput, error)
	DescribeBundleTasksFunc                                   func(param0 *ec2.DescribeBundleTasksInput) (*ec2.DescribeBundleTasksOutput, error)
	DescribeBundleTasksRequestFunc                            func(param0 *ec2.DescribeBundleTasksInput) (*request.Request, *ec2.DescribeBundleTasksOutput)
	DescribeBundleTasksWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeBundleTasksInput, param2 ...request.Option) (*ec2.DescribeBundleTasksOutput, error)
	DescribeClassicLinkInstancesFunc                          func(param0 *ec2.DescribeClassicLinkInstancesInput) (*ec2.DescribeClassicLinkInstancesOutput, error)
	DescribeClassicLinkInstancesRequestFunc                   func(param0 *ec2.DescribeClassicLinkInstancesInput) (*request.Request, *ec2.DescribeClassicLinkInstancesOutput)
	DescribeClassicLinkInstancesWithContextFunc               func(param0 aws.Context, param1 *ec2.DescribeClassicLinkInstancesInput, param2 ...request.Option) (*ec2.DescribeClassicLinkInstancesOutput, error)
	DescribeConversionTasksFunc                               func(param0 *ec2.DescribeConversionTasksInput) (*ec2.DescribeConversionTasksOutput, error)
	DescribeConversionTasksRequestFunc                        func(param0 *ec2.DescribeConversionTasksInput) (*request.Request, *ec2.DescribeConversionTasksOutput)
	DescribeConversionTasksWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.Option) (*ec2.DescribeConversionTasksOutput, error)
	DescribeCustomerGatewaysFunc                              func(param0 *ec2.DescribeCustomerGatewaysInput) (*ec2.DescribeCustomerGatewaysOutput, error)
	DescribeCustomerGatewaysRequestFunc                       func(param0 *ec2.DescribeCustomerGatewaysInput) (*request.Request, *ec2.DescribeCustomerGatewaysOutput)
	DescribeCustomerGatewaysWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeCustomerGatewaysInput, param2 ...request.Option) (*ec2.DescribeCustomerGatewaysOutput, error)
	DescribeDhcpOptionsFunc                                   func(param0 *ec2.DescribeDhcpOptionsInput) (*ec2.DescribeDhcpOptionsOutput, error)
	DescribeDhcpOptionsRequestFunc                            func(param0 *ec2.DescribeDhcpOptionsInput) (*request.Request, *ec2.DescribeDhcpOptionsOutput)
	DescribeDhcpOptionsWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeDhcpOptionsInput, param2 ...request.Option) (*ec2.DescribeDhcpOptionsOutput, error)
	DescribeEgressOnlyInternetGatewaysFunc                    func(param0 *ec2.DescribeEgressOnlyInternetGatewaysInput) (*ec2.DescribeEgressOnlyInternetGatewaysOutput, error)
	DescribeEgressOnlyInternetGatewaysRequestFunc             func(param0 *ec2.DescribeEgressOnlyInternetGatewaysInput) (*request.Request, *ec2.DescribeEgressOnlyInternetGatewaysOutput)
	DescribeEgressOnlyInternetGatewaysWithContextFunc         func(param0 aws.Context, param1 *ec2.DescribeEgressOnlyInternetGatewaysInput, param2 ...request.Option) (*ec2.DescribeEgressOnlyInternetGatewaysOutput, error)
	DescribeElasticGpusFunc                                   func(param0 *ec2.DescribeElasticGpusInput) (*ec2.DescribeElasticGpusOutput, error)
	DescribeElasticGpusRequestFunc                            func(param0 *ec2.DescribeElasticGpusInput) (*request.Request, *ec2.DescribeElasticGpusOutput)
	DescribeElasticGpusWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeElasticGpusInput, param2 ...request.Option) (*ec2.DescribeElasticGpusOutput, error)
	DescribeExportTasksFunc                                   func(param0 *ec2.DescribeExportTasksInput) (*ec2.DescribeExportTasksOutput, error)
	DescribeExportTasksRequestFunc                            func(param0 *ec2.DescribeExportTasksInput) (*request.Request, *ec2.DescribeExportTasksOutput)
	DescribeExportTasksWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeExportTasksInput, param2 ...request.Option) (*ec2.DescribeExportTasksOutput, error)
	DescribeFlowLogsFunc                                      func(param0 *ec2.DescribeFlowLogsInput) (*ec2.DescribeFlowLogsOutput, error)
	DescribeFlowLogsRequestFunc                               func(param0 *ec2.DescribeFlowLogsInput) (*request.Request, *ec2.DescribeFlowLogsOutput)
	DescribeFlowLogsWithContextFunc                           func(param0 aws.Context, param1 *ec2.DescribeFlowLogsInput, param2 ...request.Option) (*ec2.DescribeFlowLogsOutput, error)
	DescribeFpgaImageAttributeFunc                            func(param0 *ec2.DescribeFpgaImageAttributeInput) (*ec2.DescribeFpgaImageAttributeOutput, error)
	DescribeFpgaImageAttributeRequestFunc                     func(param0 *ec2.DescribeFpgaImageAttributeInput) (*request.Request, *ec2.DescribeFpgaImageAttributeOutput)
	DescribeFpgaImageAttributeWithContextFunc                 func(param0 aws.Context, param1 *ec2.DescribeFpgaImageAttributeInput, param2 ...request.Option) (*ec2.DescribeFpgaImageAttributeOutput, error)
	DescribeFpgaImagesFunc                                    func(param0 *ec2.DescribeFpgaImagesInput) (*ec2.DescribeFpgaImagesOutput, error)
	DescribeFpgaImagesRequestFunc                             func(param0 *ec2.DescribeFpgaImagesInput) (*request.Request, *ec2.DescribeFpgaImagesOutput)
	DescribeFpgaImagesWithContextFunc                         func(param0 aws.Context, param1 *ec2.DescribeFpgaImagesInput, param2 ...request.Option) (*ec2.DescribeFpgaImagesOutput, error)
	DescribeHostReservationOfferingsFunc                      func(param0 *ec2.DescribeHostReservationOfferingsInput) (*ec2.DescribeHostReservationOfferingsOutput, error)
	DescribeHostReservationOfferingsRequestFunc               func(param0 *ec2.DescribeHostReservationOfferingsInput) (*request.Request, *ec2.DescribeHostReservationOfferingsOutput)
	DescribeHostReservationOfferingsWithContextFunc           func(param0 aws.Context, param1 *ec2.DescribeHostReservationOfferingsInput, param2 ...request.Option) (*ec2.DescribeHostReservationOfferingsOutput, error)
	DescribeHostReservationsFunc                              func(param0 *ec2.DescribeHostReservationsInput) (*ec2.DescribeHostReservationsOutput, error)
	DescribeHostReservationsRequestFunc                       func(param0 *ec2.DescribeHostReservationsInput) (*request.Request, *ec2.DescribeHostReservationsOutput)
	DescribeHostReservationsWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeHostReservationsInput, param2 ...request.Option) (*ec2.DescribeHostReservationsOutput, error)
	DescribeHostsFunc                                         func(param0 *ec2.DescribeHostsInput) (*ec2.DescribeHostsOutput, error)
	DescribeHostsRequestFunc                                  func(param0 *ec2.DescribeHostsInput) (*request.Request, *ec2.DescribeHostsOutput)
	DescribeHostsWithContextFunc                              func(param0 aws.Context, param1 *ec2.DescribeHostsInput, param2 ...request.Option) (*ec2.DescribeHostsOutput, error)
	DescribeIamInstanceProfileAssociationsFunc                func(param0 *ec2.DescribeIamInstanceProfileAssociationsInput) (*ec2.DescribeIamInstanceProfileAssociationsOutput, error)
	DescribeIamInstanceProfileAssociationsRequestFunc         func(param0 *ec2.DescribeIamInstanceProfileAssociationsInput) (*request.Request, *ec2.DescribeIamInstanceProfileAssociationsOutput)
	DescribeIamInstanceProfileAssociationsWithContextFunc     func(param0 aws.Context, param1 *ec2.DescribeIamInstanceProfileAssociationsInput, param2 ...request.Option) (*ec2.DescribeIamInstanceProfileAssociationsOutput, error)
	DescribeIdFormatFunc                                      func(param0 *ec2.DescribeIdFormatInput) (*ec2.DescribeIdFormatOutput, error)
	DescribeIdFormatRequestFunc                               func(param0 *ec2.DescribeIdFormatInput) (*request.Request, *ec2.DescribeIdFormatOutput)
	DescribeIdFormatWithContextFunc                           func(param0 aws.Context, param1 *ec2.DescribeIdFormatInput, param2 ...request.Option) (*ec2.DescribeIdFormatOutput, error)
	DescribeIdentityIdFormatFunc                              func(param0 *ec2.DescribeIdentityIdFormatInput) (*ec2.DescribeIdentityIdFormatOutput, error)
	DescribeIdentityIdFormatRequestFunc                       func(param0 *ec2.DescribeIdentityIdFormatInput) (*request.Request, *ec2.DescribeIdentityIdFormatOutput)
	DescribeIdentityIdFormatWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeIdentityIdFormatInput, param2 ...request.Option) (*ec2.DescribeIdentityIdFormatOutput, error)
	DescribeImageAttributeFunc                                func(param0 *ec2.DescribeImageAttributeInput) (*ec2.DescribeImageAttributeOutput, error)
	DescribeImageAttributeRequestFunc                         func(param0 *ec2.DescribeImageAttributeInput) (*request.Request, *ec2.DescribeImageAttributeOutput)
	DescribeImageAttributeWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeImageAttributeInput, param2 ...request.Option) (*ec2.DescribeImageAttributeOutput, error)
	DescribeImagesFunc                                        func(param0 *ec2.DescribeImagesInput) (*ec2.DescribeImagesOutput, error)
	DescribeImagesRequestFunc                                 func(param0 *ec2.DescribeImagesInput) (*request.Request, *ec2.DescribeImagesOutput)
	DescribeImagesWithContextFunc                             func(param0 aws.Context, param1 *ec2.DescribeImagesInput, param2 ...request.Option) (*ec2.DescribeImagesOutput, error)
	DescribeImportImageTasksFunc                              func(param0 *ec2.DescribeImportImageTasksInput) (*ec2.DescribeImportImageTasksOutput, error)
	DescribeImportImageTasksRequestFunc                       func(param0 *ec2.DescribeImportImageTasksInput) (*request.Request, *ec2.DescribeImportImageTasksOutput)
	DescribeImportImageTasksWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeImportImageTasksInput, param2 ...request.Option) (*ec2.DescribeImportImageTasksOutput, error)
	DescribeImportSnapshotTasksFunc                           func(param0 *ec2.DescribeImportSnapshotTasksInput) (*ec2.DescribeImportSnapshotTasksOutput, error)
	DescribeImportSnapshotTasksRequestFunc                    func(param0 *ec2.DescribeImportSnapshotTasksInput) (*request.Request, *ec2.DescribeImportSnapshotTasksOutput)
	DescribeImportSnapshotTasksWithContextFunc                func(param0 aws.Context, param1 *ec2.DescribeImportSnapshotTasksInput, param2 ...request.Option) (*ec2.DescribeImportSnapshotTasksOutput, error)
	DescribeInstanceAttributeFunc                             func(param0 *ec2.DescribeInstanceAttributeInput) (*ec2.DescribeInstanceAttributeOutput, error)
	DescribeInstanceAttributeRequestFunc                      func(param0 *ec2.DescribeInstanceAttributeInput) (*request.Request, *ec2.DescribeInstanceAttributeOutput)
	DescribeInstanceAttributeWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeInstanceAttributeInput, param2 ...request.Option) (*ec2.DescribeInstanceAttributeOutput, error)
	DescribeInstanceStatusFunc                                func(param0 *ec2.DescribeInstanceStatusInput) (*ec2.DescribeInstanceStatusOutput, error)
	DescribeInstanceStatusRequestFunc                         func(param0 *ec2.DescribeInstanceStatusInput) (*request.Request, *ec2.DescribeInstanceStatusOutput)
	DescribeInstanceStatusWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeInstanceStatusInput, param2 ...request.Option) (*ec2.DescribeInstanceStatusOutput, error)
	DescribeInstancesFunc                                     func(param0 *ec2.DescribeInstancesInput) (*ec2.DescribeInstancesOutput, error)
	DescribeInstancesRequestFunc                              func(param0 *ec2.DescribeInstancesInput) (*request.Request, *ec2.DescribeInstancesOutput)
	DescribeInstancesWithContextFunc                          func(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.Option) (*ec2.DescribeInstancesOutput, error)
	DescribeInternetGatewaysFunc                              func(param0 *ec2.DescribeInternetGatewaysInput) (*ec2.DescribeInternetGatewaysOutput, error)
	DescribeInternetGatewaysRequestFunc                       func(param0 *ec2.DescribeInternetGatewaysInput) (*request.Request, *ec2.DescribeInternetGatewaysOutput)
	DescribeInternetGatewaysWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeInternetGatewaysInput, param2 ...request.Option) (*ec2.DescribeInternetGatewaysOutput, error)
	DescribeKeyPairsFunc                                      func(param0 *ec2.DescribeKeyPairsInput) (*ec2.DescribeKeyPairsOutput, error)
	DescribeKeyPairsRequestFunc                               func(param0 *ec2.DescribeKeyPairsInput) (*request.Request, *ec2.DescribeKeyPairsOutput)
	DescribeKeyPairsWithContextFunc                           func(param0 aws.Context, param1 *ec2.DescribeKeyPairsInput, param2 ...request.Option) (*ec2.DescribeKeyPairsOutput, error)
	DescribeMovingAddressesFunc                               func(param0 *ec2.DescribeMovingAddressesInput) (*ec2.DescribeMovingAddressesOutput, error)
	DescribeMovingAddressesRequestFunc                        func(param0 *ec2.DescribeMovingAddressesInput) (*request.Request, *ec2.DescribeMovingAddressesOutput)
	DescribeMovingAddressesWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribeMovingAddressesInput, param2 ...request.Option) (*ec2.DescribeMovingAddressesOutput, error)
	DescribeNatGatewaysFunc                                   func(param0 *ec2.DescribeNatGatewaysInput) (*ec2.DescribeNatGatewaysOutput, error)
	DescribeNatGatewaysRequestFunc                            func(param0 *ec2.DescribeNatGatewaysInput) (*request.Request, *ec2.DescribeNatGatewaysOutput)
	DescribeNatGatewaysWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeNatGatewaysInput, param2 ...request.Option) (*ec2.DescribeNatGatewaysOutput, error)
	DescribeNetworkAclsFunc                                   func(param0 *ec2.DescribeNetworkAclsInput) (*ec2.DescribeNetworkAclsOutput, error)
	DescribeNetworkAclsRequestFunc                            func(param0 *ec2.DescribeNetworkAclsInput) (*request.Request, *ec2.DescribeNetworkAclsOutput)
	DescribeNetworkAclsWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeNetworkAclsInput, param2 ...request.Option) (*ec2.DescribeNetworkAclsOutput, error)
	DescribeNetworkInterfaceAttributeFunc                     func(param0 *ec2.DescribeNetworkInterfaceAttributeInput) (*ec2.DescribeNetworkInterfaceAttributeOutput, error)
	DescribeNetworkInterfaceAttributeRequestFunc              func(param0 *ec2.DescribeNetworkInterfaceAttributeInput) (*request.Request, *ec2.DescribeNetworkInterfaceAttributeOutput)
	DescribeNetworkInterfaceAttributeWithContextFunc          func(param0 aws.Context, param1 *ec2.DescribeNetworkInterfaceAttributeInput, param2 ...request.Option) (*ec2.DescribeNetworkInterfaceAttributeOutput, error)
	DescribeNetworkInterfacePermissionsFunc                   func(param0 *ec2.DescribeNetworkInterfacePermissionsInput) (*ec2.DescribeNetworkInterfacePermissionsOutput, error)
	DescribeNetworkInterfacePermissionsRequestFunc            func(param0 *ec2.DescribeNetworkInterfacePermissionsInput) (*request.Request, *ec2.DescribeNetworkInterfacePermissionsOutput)
	DescribeNetworkInterfacePermissionsWithContextFunc        func(param0 aws.Context, param1 *ec2.DescribeNetworkInterfacePermissionsInput, param2 ...request.Option) (*ec2.DescribeNetworkInterfacePermissionsOutput, error)
	DescribeNetworkInterfacesFunc                             func(param0 *ec2.DescribeNetworkInterfacesInput) (*ec2.DescribeNetworkInterfacesOutput, error)
	DescribeNetworkInterfacesRequestFunc                      func(param0 *ec2.DescribeNetworkInterfacesInput) (*request.Request, *ec2.DescribeNetworkInterfacesOutput)
	DescribeNetworkInterfacesWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeNetworkInterfacesInput, param2 ...request.Option) (*ec2.DescribeNetworkInterfacesOutput, error)
	DescribePlacementGroupsFunc                               func(param0 *ec2.DescribePlacementGroupsInput) (*ec2.DescribePlacementGroupsOutput, error)
	DescribePlacementGroupsRequestFunc                        func(param0 *ec2.DescribePlacementGroupsInput) (*request.Request, *ec2.DescribePlacementGroupsOutput)
	DescribePlacementGroupsWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribePlacementGroupsInput, param2 ...request.Option) (*ec2.DescribePlacementGroupsOutput, error)
	DescribePrefixListsFunc                                   func(param0 *ec2.DescribePrefixListsInput) (*ec2.DescribePrefixListsOutput, error)
	DescribePrefixListsRequestFunc                            func(param0 *ec2.DescribePrefixListsInput) (*request.Request, *ec2.DescribePrefixListsOutput)
	DescribePrefixListsWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribePrefixListsInput, param2 ...request.Option) (*ec2.DescribePrefixListsOutput, error)
	DescribeRegionsFunc                                       func(param0 *ec2.DescribeRegionsInput) (*ec2.DescribeRegionsOutput, error)
	DescribeRegionsRequestFunc                                func(param0 *ec2.DescribeRegionsInput) (*request.Request, *ec2.DescribeRegionsOutput)
	DescribeRegionsWithContextFunc                            func(param0 aws.Context, param1 *ec2.DescribeRegionsInput, param2 ...request.Option) (*ec2.DescribeRegionsOutput, error)
	DescribeReservedInstancesFunc                             func(param0 *ec2.DescribeReservedInstancesInput) (*ec2.DescribeReservedInstancesOutput, error)
	DescribeReservedInstancesListingsFunc                     func(param0 *ec2.DescribeReservedInstancesListingsInput) (*ec2.DescribeReservedInstancesListingsOutput, error)
	DescribeReservedInstancesListingsRequestFunc              func(param0 *ec2.DescribeReservedInstancesListingsInput) (*request.Request, *ec2.DescribeReservedInstancesListingsOutput)
	DescribeReservedInstancesListingsWithContextFunc          func(param0 aws.Context, param1 *ec2.DescribeReservedInstancesListingsInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesListingsOutput, error)
	DescribeReservedInstancesModificationsFunc                func(param0 *ec2.DescribeReservedInstancesModificationsInput) (*ec2.DescribeReservedInstancesModificationsOutput, error)
	DescribeReservedInstancesModificationsRequestFunc         func(param0 *ec2.DescribeReservedInstancesModificationsInput) (*request.Request, *ec2.DescribeReservedInstancesModificationsOutput)
	DescribeReservedInstancesModificationsWithContextFunc     func(param0 aws.Context, param1 *ec2.DescribeReservedInstancesModificationsInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesModificationsOutput, error)
	DescribeReservedInstancesOfferingsFunc                    func(param0 *ec2.DescribeReservedInstancesOfferingsInput) (*ec2.DescribeReservedInstancesOfferingsOutput, error)
	DescribeReservedInstancesOfferingsRequestFunc             func(param0 *ec2.DescribeReservedInstancesOfferingsInput) (*request.Request, *ec2.DescribeReservedInstancesOfferingsOutput)
	DescribeReservedInstancesOfferingsWithContextFunc         func(param0 aws.Context, param1 *ec2.DescribeReservedInstancesOfferingsInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesOfferingsOutput, error)
	DescribeReservedInstancesRequestFunc                      func(param0 *ec2.DescribeReservedInstancesInput) (*request.Request, *ec2.DescribeReservedInstancesOutput)
	DescribeReservedInstancesWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeReservedInstancesInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesOutput, error)
	DescribeRouteTablesFunc                                   func(param0 *ec2.DescribeRouteTablesInput) (*ec2.DescribeRouteTablesOutput, error)
	DescribeRouteTablesRequestFunc                            func(param0 *ec2.DescribeRouteTablesInput) (*request.Request, *ec2.DescribeRouteTablesOutput)
	DescribeRouteTablesWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeRouteTablesInput, param2 ...request.Option) (*ec2.DescribeRouteTablesOutput, error)
	DescribeScheduledInstanceAvailabilityFunc                 func(param0 *ec2.DescribeScheduledInstanceAvailabilityInput) (*ec2.DescribeScheduledInstanceAvailabilityOutput, error)
	DescribeScheduledInstanceAvailabilityRequestFunc          func(param0 *ec2.DescribeScheduledInstanceAvailabilityInput) (*request.Request, *ec2.DescribeScheduledInstanceAvailabilityOutput)
	DescribeScheduledInstanceAvailabilityWithContextFunc      func(param0 aws.Context, param1 *ec2.DescribeScheduledInstanceAvailabilityInput, param2 ...request.Option) (*ec2.DescribeScheduledInstanceAvailabilityOutput, error)
	DescribeScheduledInstancesFunc                            func(param0 *ec2.DescribeScheduledInstancesInput) (*ec2.DescribeScheduledInstancesOutput, error)
	DescribeScheduledInstancesRequestFunc                     func(param0 *ec2.DescribeScheduledInstancesInput) (*request.Request, *ec2.DescribeScheduledInstancesOutput)
	DescribeScheduledInstancesWithContextFunc                 func(param0 aws.Context, param1 *ec2.DescribeScheduledInstancesInput, param2 ...request.Option) (*ec2.DescribeScheduledInstancesOutput, error)
	DescribeSecurityGroupReferencesFunc                       func(param0 *ec2.DescribeSecurityGroupReferencesInput) (*ec2.DescribeSecurityGroupReferencesOutput, error)
	DescribeSecurityGroupReferencesRequestFunc                func(param0 *ec2.DescribeSecurityGroupReferencesInput) (*request.Request, *ec2.DescribeSecurityGroupReferencesOutput)
	DescribeSecurityGroupReferencesWithContextFunc            func(param0 aws.Context, param1 *ec2.DescribeSecurityGroupReferencesInput, param2 ...request.Option) (*ec2.DescribeSecurityGroupReferencesOutput, error)
	DescribeSecurityGroupsFunc                                func(param0 *ec2.DescribeSecurityGroupsInput) (*ec2.DescribeSecurityGroupsOutput, error)
	DescribeSecurityGroupsRequestFunc                         func(param0 *ec2.DescribeSecurityGroupsInput) (*request.Request, *ec2.DescribeSecurityGroupsOutput)
	DescribeSecurityGroupsWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeSecurityGroupsInput, param2 ...request.Option) (*ec2.DescribeSecurityGroupsOutput, error)
	DescribeSnapshotAttributeFunc                             func(param0 *ec2.DescribeSnapshotAttributeInput) (*ec2.DescribeSnapshotAttributeOutput, error)
	DescribeSnapshotAttributeRequestFunc                      func(param0 *ec2.DescribeSnapshotAttributeInput) (*request.Request, *ec2.DescribeSnapshotAttributeOutput)
	DescribeSnapshotAttributeWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeSnapshotAttributeInput, param2 ...request.Option) (*ec2.DescribeSnapshotAttributeOutput, error)
	DescribeSnapshotsFunc                                     func(param0 *ec2.DescribeSnapshotsInput) (*ec2.DescribeSnapshotsOutput, error)
	DescribeSnapshotsRequestFunc                              func(param0 *ec2.DescribeSnapshotsInput) (*request.Request, *ec2.DescribeSnapshotsOutput)
	DescribeSnapshotsWithContextFunc                          func(param0 aws.Context, param1 *ec2.DescribeSnapshotsInput, param2 ...request.Option) (*ec2.DescribeSnapshotsOutput, error)
	DescribeSpotDatafeedSubscriptionFunc                      func(param0 *ec2.DescribeSpotDatafeedSubscriptionInput) (*ec2.DescribeSpotDatafeedSubscriptionOutput, error)
	DescribeSpotDatafeedSubscriptionRequestFunc               func(param0 *ec2.DescribeSpotDatafeedSubscriptionInput) (*request.Request, *ec2.DescribeSpotDatafeedSubscriptionOutput)
	DescribeSpotDatafeedSubscriptionWithContextFunc           func(param0 aws.Context, param1 *ec2.DescribeSpotDatafeedSubscriptionInput, param2 ...request.Option) (*ec2.DescribeSpotDatafeedSubscriptionOutput, error)
	DescribeSpotFleetInstancesFunc                            func(param0 *ec2.DescribeSpotFleetInstancesInput) (*ec2.DescribeSpotFleetInstancesOutput, error)
	DescribeSpotFleetInstancesRequestFunc                     func(param0 *ec2.DescribeSpotFleetInstancesInput) (*request.Request, *ec2.DescribeSpotFleetInstancesOutput)
	DescribeSpotFleetInstancesWithContextFunc                 func(param0 aws.Context, param1 *ec2.DescribeSpotFleetInstancesInput, param2 ...request.Option) (*ec2.DescribeSpotFleetInstancesOutput, error)
	DescribeSpotFleetRequestHistoryFunc                       func(param0 *ec2.DescribeSpotFleetRequestHistoryInput) (*ec2.DescribeSpotFleetRequestHistoryOutput, error)
	DescribeSpotFleetRequestHistoryRequestFunc                func(param0 *ec2.DescribeSpotFleetRequestHistoryInput) (*request.Request, *ec2.DescribeSpotFleetRequestHistoryOutput)
	DescribeSpotFleetRequestHistoryWithContextFunc            func(param0 aws.Context, param1 *ec2.DescribeSpotFleetRequestHistoryInput, param2 ...request.Option) (*ec2.DescribeSpotFleetRequestHistoryOutput, error)
	DescribeSpotFleetRequestsFunc                             func(param0 *ec2.DescribeSpotFleetRequestsInput) (*ec2.DescribeSpotFleetRequestsOutput, error)
	DescribeSpotFleetRequestsRequestFunc                      func(param0 *ec2.DescribeSpotFleetRequestsInput) (*request.Request, *ec2.DescribeSpotFleetRequestsOutput)
	DescribeSpotFleetRequestsWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeSpotFleetRequestsInput, param2 ...request.Option) (*ec2.DescribeSpotFleetRequestsOutput, error)
	DescribeSpotInstanceRequestsFunc                          func(param0 *ec2.DescribeSpotInstanceRequestsInput) (*ec2.DescribeSpotInstanceRequestsOutput, error)
	DescribeSpotInstanceRequestsRequestFunc                   func(param0 *ec2.DescribeSpotInstanceRequestsInput) (*request.Request, *ec2.DescribeSpotInstanceRequestsOutput)
	DescribeSpotInstanceRequestsWithContextFunc               func(param0 aws.Context, param1 *ec2.DescribeSpotInstanceRequestsInput, param2 ...request.Option) (*ec2.DescribeSpotInstanceRequestsOutput, error)
	DescribeSpotPriceHistoryFunc                              func(param0 *ec2.DescribeSpotPriceHistoryInput) (*ec2.DescribeSpotPriceHistoryOutput, error)
	DescribeSpotPriceHistoryRequestFunc                       func(param0 *ec2.DescribeSpotPriceHistoryInput) (*request.Request, *ec2.DescribeSpotPriceHistoryOutput)
	DescribeSpotPriceHistoryWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeSpotPriceHistoryInput, param2 ...request.Option) (*ec2.DescribeSpotPriceHistoryOutput, error)
	DescribeStaleSecurityGroupsFunc                           func(param0 *ec2.DescribeStaleSecurityGroupsInput) (*ec2.DescribeStaleSecurityGroupsOutput, error)
	DescribeStaleSecurityGroupsRequestFunc                    func(param0 *ec2.DescribeStaleSecurityGroupsInput) (*request.Request, *ec2.DescribeStaleSecurityGroupsOutput)
	DescribeStaleSecurityGroupsWithContextFunc                func(param0 aws.Context, param1 *ec2.DescribeStaleSecurityGroupsInput, param2 ...request.Option) (*ec2.DescribeStaleSecurityGroupsOutput, error)
	DescribeSubnetsFunc                                       func(param0 *ec2.DescribeSubnetsInput) (*ec2.DescribeSubnetsOutput, error)
	DescribeSubnetsRequestFunc                                func(param0 *ec2.DescribeSubnetsInput) (*request.Request, *ec2.DescribeSubnetsOutput)
	DescribeSubnetsWithContextFunc                            func(param0 aws.Context, param1 *ec2.DescribeSubnetsInput, param2 ...request.Option) (*ec2.DescribeSubnetsOutput, error)
	DescribeTagsFunc                                          func(param0 *ec2.DescribeTagsInput) (*ec2.DescribeTagsOutput, error)
	DescribeTagsRequestFunc                                   func(param0 *ec2.DescribeTagsInput) (*request.Request, *ec2.DescribeTagsOutput)
	DescribeTagsWithContextFunc                               func(param0 aws.Context, param1 *ec2.DescribeTagsInput, param2 ...request.Option) (*ec2.DescribeTagsOutput, error)
	DescribeVolumeAttributeFunc                               func(param0 *ec2.DescribeVolumeAttributeInput) (*ec2.DescribeVolumeAttributeOutput, error)
	DescribeVolumeAttributeRequestFunc                        func(param0 *ec2.DescribeVolumeAttributeInput) (*request.Request, *ec2.DescribeVolumeAttributeOutput)
	DescribeVolumeAttributeWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribeVolumeAttributeInput, param2 ...request.Option) (*ec2.DescribeVolumeAttributeOutput, error)
	DescribeVolumeStatusFunc                                  func(param0 *ec2.DescribeVolumeStatusInput) (*ec2.DescribeVolumeStatusOutput, error)
	DescribeVolumeStatusRequestFunc                           func(param0 *ec2.DescribeVolumeStatusInput) (*request.Request, *ec2.DescribeVolumeStatusOutput)
	DescribeVolumeStatusWithContextFunc                       func(param0 aws.Context, param1 *ec2.DescribeVolumeStatusInput, param2 ...request.Option) (*ec2.DescribeVolumeStatusOutput, error)
	DescribeVolumesFunc                                       func(param0 *ec2.DescribeVolumesInput) (*ec2.DescribeVolumesOutput, error)
	DescribeVolumesModificationsFunc                          func(param0 *ec2.DescribeVolumesModificationsInput) (*ec2.DescribeVolumesModificationsOutput, error)
	DescribeVolumesModificationsRequestFunc                   func(param0 *ec2.DescribeVolumesModificationsInput) (*request.Request, *ec2.DescribeVolumesModificationsOutput)
	DescribeVolumesModificationsWithContextFunc               func(param0 aws.Context, param1 *ec2.DescribeVolumesModificationsInput, param2 ...request.Option) (*ec2.DescribeVolumesModificationsOutput, error)
	DescribeVolumesRequestFunc                                func(param0 *ec2.DescribeVolumesInput) (*request.Request, *ec2.DescribeVolumesOutput)
	DescribeVolumesWithContextFunc                            func(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.Option) (*ec2.DescribeVolumesOutput, error)
	DescribeVpcAttributeFunc                                  func(param0 *ec2.DescribeVpcAttributeInput) (*ec2.DescribeVpcAttributeOutput, error)
	DescribeVpcAttributeRequestFunc                           func(param0 *ec2.DescribeVpcAttributeInput) (*request.Request, *ec2.DescribeVpcAttributeOutput)
	DescribeVpcAttributeWithContextFunc                       func(param0 aws.Context, param1 *ec2.DescribeVpcAttributeInput, param2 ...request.Option) (*ec2.DescribeVpcAttributeOutput, error)
	DescribeVpcClassicLinkFunc                                func(param0 *ec2.DescribeVpcClassicLinkInput) (*ec2.DescribeVpcClassicLinkOutput, error)
	DescribeVpcClassicLinkDnsSupportFunc                      func(param0 *ec2.DescribeVpcClassicLinkDnsSupportInput) (*ec2.DescribeVpcClassicLinkDnsSupportOutput, error)
	DescribeVpcClassicLinkDnsSupportRequestFunc               func(param0 *ec2.DescribeVpcClassicLinkDnsSupportInput) (*request.Request, *ec2.DescribeVpcClassicLinkDnsSupportOutput)
	DescribeVpcClassicLinkDnsSupportWithContextFunc           func(param0 aws.Context, param1 *ec2.DescribeVpcClassicLinkDnsSupportInput, param2 ...request.Option) (*ec2.DescribeVpcClassicLinkDnsSupportOutput, error)
	DescribeVpcClassicLinkRequestFunc                         func(param0 *ec2.DescribeVpcClassicLinkInput) (*request.Request, *ec2.DescribeVpcClassicLinkOutput)
	DescribeVpcClassicLinkWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeVpcClassicLinkInput, param2 ...request.Option) (*ec2.DescribeVpcClassicLinkOutput, error)
	DescribeVpcEndpointServicesFunc                           func(param0 *ec2.DescribeVpcEndpointServicesInput) (*ec2.DescribeVpcEndpointServicesOutput, error)
	DescribeVpcEndpointServicesRequestFunc                    func(param0 *ec2.DescribeVpcEndpointServicesInput) (*request.Request, *ec2.DescribeVpcEndpointServicesOutput)
	DescribeVpcEndpointServicesWithContextFunc                func(param0 aws.Context, param1 *ec2.DescribeVpcEndpointServicesInput, param2 ...request.Option) (*ec2.DescribeVpcEndpointServicesOutput, error)
	DescribeVpcEndpointsFunc                                  func(param0 *ec2.DescribeVpcEndpointsInput) (*ec2.DescribeVpcEndpointsOutput, error)
	DescribeVpcEndpointsRequestFunc                           func(param0 *ec2.DescribeVpcEndpointsInput) (*request.Request, *ec2.DescribeVpcEndpointsOutput)
	DescribeVpcEndpointsWithContextFunc                       func(param0 aws.Context, param1 *ec2.DescribeVpcEndpointsInput, param2 ...request.Option) (*ec2.DescribeVpcEndpointsOutput, error)
	DescribeVpcPeeringConnectionsFunc                         func(param0 *ec2.DescribeVpcPeeringConnectionsInput) (*ec2.DescribeVpcPeeringConnectionsOutput, error)
	DescribeVpcPeeringConnectionsRequestFunc                  func(param0 *ec2.DescribeVpcPeeringConnectionsInput) (*request.Request, *ec2.DescribeVpcPeeringConnectionsOutput)
	DescribeVpcPeeringConnectionsWithContextFunc              func(param0 aws.Context, param1 *ec2.DescribeVpcPeeringConnectionsInput, param2 ...request.Option) (*ec2.DescribeVpcPeeringConnectionsOutput, error)
	DescribeVpcsFunc                                          func(param0 *ec2.DescribeVpcsInput) (*ec2.DescribeVpcsOutput, error)
	DescribeVpcsRequestFunc                                   func(param0 *ec2.DescribeVpcsInput) (*request.Request, *ec2.DescribeVpcsOutput)
	DescribeVpcsWithContextFunc                               func(param0 aws.Context, param1 *ec2.DescribeVpcsInput, param2 ...request.Option) (*ec2.DescribeVpcsOutput, error)
	DescribeVpnConnectionsFunc                                func(param0 *ec2.DescribeVpnConnectionsInput) (*ec2.DescribeVpnConnectionsOutput, error)
	DescribeVpnConnectionsRequestFunc                         func(param0 *ec2.DescribeVpnConnectionsInput) (*request.Request, *ec2.DescribeVpnConnectionsOutput)
	DescribeVpnConnectionsWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeVpnConnectionsInput, param2 ...request.Option) (*ec2.DescribeVpnConnectionsOutput, error)
	DescribeVpnGatewaysFunc                                   func(param0 *ec2.DescribeVpnGatewaysInput) (*ec2.DescribeVpnGatewaysOutput, error)
	DescribeVpnGatewaysRequestFunc                            func(param0 *ec2.DescribeVpnGatewaysInput) (*request.Request, *ec2.DescribeVpnGatewaysOutput)
	DescribeVpnGatewaysWithContextFunc                        func(param0 aws.Context, param1 *ec2.DescribeVpnGatewaysInput, param2 ...request.Option) (*ec2.DescribeVpnGatewaysOutput, error)
	DetachClassicLinkVpcFunc                                  func(param0 *ec2.DetachClassicLinkVpcInput) (*ec2.DetachClassicLinkVpcOutput, error)
	DetachClassicLinkVpcRequestFunc                           func(param0 *ec2.DetachClassicLinkVpcInput) (*request.Request, *ec2.DetachClassicLinkVpcOutput)
	DetachClassicLinkVpcWithContextFunc                       func(param0 aws.Context, param1 *ec2.DetachClassicLinkVpcInput, param2 ...request.Option) (*ec2.DetachClassicLinkVpcOutput, error)
	DetachInternetGatewayFunc                                 func(param0 *ec2.DetachInternetGatewayInput) (*ec2.DetachInternetGatewayOutput, error)
	DetachInternetGatewayRequestFunc                          func(param0 *ec2.DetachInternetGatewayInput) (*request.Request, *ec2.DetachInternetGatewayOutput)
	DetachInternetGatewayWithContextFunc                      func(param0 aws.Context, param1 *ec2.DetachInternetGatewayInput, param2 ...request.Option) (*ec2.DetachInternetGatewayOutput, error)
	DetachNetworkInterfaceFunc                                func(param0 *ec2.DetachNetworkInterfaceInput) (*ec2.DetachNetworkInterfaceOutput, error)
	DetachNetworkInterfaceRequestFunc                         func(param0 *ec2.DetachNetworkInterfaceInput) (*request.Request, *ec2.DetachNetworkInterfaceOutput)
	DetachNetworkInterfaceWithContextFunc                     func(param0 aws.Context, param1 *ec2.DetachNetworkInterfaceInput, param2 ...request.Option) (*ec2.DetachNetworkInterfaceOutput, error)
	DetachVolumeFunc                                          func(param0 *ec2.DetachVolumeInput) (*ec2.VolumeAttachment, error)
	DetachVolumeRequestFunc                                   func(param0 *ec2.DetachVolumeInput) (*request.Request, *ec2.VolumeAttachment)
	DetachVolumeWithContextFunc                               func(param0 aws.Context, param1 *ec2.DetachVolumeInput, param2 ...request.Option) (*ec2.VolumeAttachment, error)
	DetachVpnGatewayFunc                                      func(param0 *ec2.DetachVpnGatewayInput) (*ec2.DetachVpnGatewayOutput, error)
	DetachVpnGatewayRequestFunc                               func(param0 *ec2.DetachVpnGatewayInput) (*request.Request, *ec2.DetachVpnGatewayOutput)
	DetachVpnGatewayWithContextFunc                           func(param0 aws.Context, param1 *ec2.DetachVpnGatewayInput, param2 ...request.Option) (*ec2.DetachVpnGatewayOutput, error)
	DisableVgwRoutePropagationFunc                            func(param0 *ec2.DisableVgwRoutePropagationInput) (*ec2.DisableVgwRoutePropagationOutput, error)
	DisableVgwRoutePropagationRequestFunc                     func(param0 *ec2.DisableVgwRoutePropagationInput) (*request.Request, *ec2.DisableVgwRoutePropagationOutput)
	DisableVgwRoutePropagationWithContextFunc                 func(param0 aws.Context, param1 *ec2.DisableVgwRoutePropagationInput, param2 ...request.Option) (*ec2.DisableVgwRoutePropagationOutput, error)
	DisableVpcClassicLinkFunc                                 func(param0 *ec2.DisableVpcClassicLinkInput) (*ec2.DisableVpcClassicLinkOutput, error)
	DisableVpcClassicLinkDnsSupportFunc                       func(param0 *ec2.DisableVpcClassicLinkDnsSupportInput) (*ec2.DisableVpcClassicLinkDnsSupportOutput, error)
	DisableVpcClassicLinkDnsSupportRequestFunc                func(param0 *ec2.DisableVpcClassicLinkDnsSupportInput) (*request.Request, *ec2.DisableVpcClassicLinkDnsSupportOutput)
	DisableVpcClassicLinkDnsSupportWithContextFunc            func(param0 aws.Context, param1 *ec2.DisableVpcClassicLinkDnsSupportInput, param2 ...request.Option) (*ec2.DisableVpcClassicLinkDnsSupportOutput, error)
	DisableVpcClassicLinkRequestFunc                          func(param0 *ec2.DisableVpcClassicLinkInput) (*request.Request, *ec2.DisableVpcClassicLinkOutput)
	DisableVpcClassicLinkWithContextFunc                      func(param0 aws.Context, param1 *ec2.DisableVpcClassicLinkInput, param2 ...request.Option) (*ec2.DisableVpcClassicLinkOutput, error)
	DisassociateAddressFunc                                   func(param0 *ec2.DisassociateAddressInput) (*ec2.DisassociateAddressOutput, error)
	DisassociateAddressRequestFunc                            func(param0 *ec2.DisassociateAddressInput) (*request.Request, *ec2.DisassociateAddressOutput)
	DisassociateAddressWithContextFunc                        func(param0 aws.Context, param1 *ec2.DisassociateAddressInput, param2 ...request.Option) (*ec2.DisassociateAddressOutput, error)
	DisassociateIamInstanceProfileFunc                        func(param0 *ec2.DisassociateIamInstanceProfileInput) (*ec2.DisassociateIamInstanceProfileOutput, error)
	DisassociateIamInstanceProfileRequestFunc                 func(param0 *ec2.DisassociateIamInstanceProfileInput) (*request.Request, *ec2.DisassociateIamInstanceProfileOutput)
	DisassociateIamInstanceProfileWithContextFunc             func(param0 aws.Context, param1 *ec2.DisassociateIamInstanceProfileInput, param2 ...request.Option) (*ec2.DisassociateIamInstanceProfileOutput, error)
	DisassociateRouteTableFunc                                func(param0 *ec2.DisassociateRouteTableInput) (*ec2.DisassociateRouteTableOutput, error)
	DisassociateRouteTableRequestFunc                         func(param0 *ec2.DisassociateRouteTableInput) (*request.Request, *ec2.DisassociateRouteTableOutput)
	DisassociateRouteTableWithContextFunc                     func(param0 aws.Context, param1 *ec2.DisassociateRouteTableInput, param2 ...request.Option) (*ec2.DisassociateRouteTableOutput, error)
	DisassociateSubnetCidrBlockFunc                           func(param0 *ec2.DisassociateSubnetCidrBlockInput) (*ec2.DisassociateSubnetCidrBlockOutput, error)
	DisassociateSubnetCidrBlockRequestFunc                    func(param0 *ec2.DisassociateSubnetCidrBlockInput) (*request.Request, *ec2.DisassociateSubnetCidrBlockOutput)
	DisassociateSubnetCidrBlockWithContextFunc                func(param0 aws.Context, param1 *ec2.DisassociateSubnetCidrBlockInput, param2 ...request.Option) (*ec2.DisassociateSubnetCidrBlockOutput, error)
	DisassociateVpcCidrBlockFunc                              func(param0 *ec2.DisassociateVpcCidrBlockInput) (*ec2.DisassociateVpcCidrBlockOutput, error)
	DisassociateVpcCidrBlockRequestFunc                       func(param0 *ec2.DisassociateVpcCidrBlockInput) (*request.Request, *ec2.DisassociateVpcCidrBlockOutput)
	DisassociateVpcCidrBlockWithContextFunc                   func(param0 aws.Context, param1 *ec2.DisassociateVpcCidrBlockInput, param2 ...request.Option) (*ec2.DisassociateVpcCidrBlockOutput, error)
	EnableVgwRoutePropagationFunc                             func(param0 *ec2.EnableVgwRoutePropagationInput) (*ec2.EnableVgwRoutePropagationOutput, error)
	EnableVgwRoutePropagationRequestFunc                      func(param0 *ec2.EnableVgwRoutePropagationInput) (*request.Request, *ec2.EnableVgwRoutePropagationOutput)
	EnableVgwRoutePropagationWithContextFunc                  func(param0 aws.Context, param1 *ec2.EnableVgwRoutePropagationInput, param2 ...request.Option) (*ec2.EnableVgwRoutePropagationOutput, error)
	EnableVolumeIOFunc                                        func(param0 *ec2.EnableVolumeIOInput) (*ec2.EnableVolumeIOOutput, error)
	EnableVolumeIORequestFunc                                 func(param0 *ec2.EnableVolumeIOInput) (*request.Request, *ec2.EnableVolumeIOOutput)
	EnableVolumeIOWithContextFunc                             func(param0 aws.Context, param1 *ec2.EnableVolumeIOInput, param2 ...request.Option) (*ec2.EnableVolumeIOOutput, error)
	EnableVpcClassicLinkFunc                                  func(param0 *ec2.EnableVpcClassicLinkInput) (*ec2.EnableVpcClassicLinkOutput, error)
	EnableVpcClassicLinkDnsSupportFunc                        func(param0 *ec2.EnableVpcClassicLinkDnsSupportInput) (*ec2.EnableVpcClassicLinkDnsSupportOutput, error)
	EnableVpcClassicLinkDnsSupportRequestFunc                 func(param0 *ec2.EnableVpcClassicLinkDnsSupportInput) (*request.Request, *ec2.EnableVpcClassicLinkDnsSupportOutput)
	EnableVpcClassicLinkDnsSupportWithContextFunc             func(param0 aws.Context, param1 *ec2.EnableVpcClassicLinkDnsSupportInput, param2 ...request.Option) (*ec2.EnableVpcClassicLinkDnsSupportOutput, error)
	EnableVpcClassicLinkRequestFunc                           func(param0 *ec2.EnableVpcClassicLinkInput) (*request.Request, *ec2.EnableVpcClassicLinkOutput)
	EnableVpcClassicLinkWithContextFunc                       func(param0 aws.Context, param1 *ec2.EnableVpcClassicLinkInput, param2 ...request.Option) (*ec2.EnableVpcClassicLinkOutput, error)
	GetConsoleOutputFunc                                      func(param0 *ec2.GetConsoleOutputInput) (*ec2.GetConsoleOutputOutput, error)
	GetConsoleOutputRequestFunc                               func(param0 *ec2.GetConsoleOutputInput) (*request.Request, *ec2.GetConsoleOutputOutput)
	GetConsoleOutputWithContextFunc                           func(param0 aws.Context, param1 *ec2.GetConsoleOutputInput, param2 ...request.Option) (*ec2.GetConsoleOutputOutput, error)
	GetConsoleScreenshotFunc                                  func(param0 *ec2.GetConsoleScreenshotInput) (*ec2.GetConsoleScreenshotOutput, error)
	GetConsoleScreenshotRequestFunc                           func(param0 *ec2.GetConsoleScreenshotInput) (*request.Request, *ec2.GetConsoleScreenshotOutput)
	GetConsoleScreenshotWithContextFunc                       func(param0 aws.Context, param1 *ec2.GetConsoleScreenshotInput, param2 ...request.Option) (*ec2.GetConsoleScreenshotOutput, error)
	GetHostReservationPurchasePreviewFunc                     func(param0 *ec2.GetHostReservationPurchasePreviewInput) (*ec2.GetHostReservationPurchasePreviewOutput, error)
	GetHostReservationPurchasePreviewRequestFunc              func(param0 *ec2.GetHostReservationPurchasePreviewInput) (*request.Request, *ec2.GetHostReservationPurchasePreviewOutput)
	GetHostReservationPurchasePreviewWithContextFunc          func(param0 aws.Context, param1 *ec2.GetHostReservationPurchasePreviewInput, param2 ...request.Option) (*ec2.GetHostReservationPurchasePreviewOutput, error)
	GetPasswordDataFunc                                       func(param0 *ec2.GetPasswordDataInput) (*ec2.GetPasswordDataOutput, error)
	GetPasswordDataRequestFunc                                func(param0 *ec2.GetPasswordDataInput) (*request.Request, *ec2.GetPasswordDataOutput)
	GetPasswordDataWithContextFunc                            func(param0 aws.Context, param1 *ec2.GetPasswordDataInput, param2 ...request.Option) (*ec2.GetPasswordDataOutput, error)
	GetReservedInstancesExchangeQuoteFunc                     func(param0 *ec2.GetReservedInstancesExchangeQuoteInput) (*ec2.GetReservedInstancesExchangeQuoteOutput, error)
	GetReservedInstancesExchangeQuoteRequestFunc              func(param0 *ec2.GetReservedInstancesExchangeQuoteInput) (*request.Request, *ec2.GetReservedInstancesExchangeQuoteOutput)
	GetReservedInstancesExchangeQuoteWithContextFunc          func(param0 aws.Context, param1 *ec2.GetReservedInstancesExchangeQuoteInput, param2 ...request.Option) (*ec2.GetReservedInstancesExchangeQuoteOutput, error)
	ImportImageFunc                                           func(param0 *ec2.ImportImageInput) (*ec2.ImportImageOutput, error)
	ImportImageRequestFunc                                    func(param0 *ec2.ImportImageInput) (*request.Request, *ec2.ImportImageOutput)
	ImportImageWithContextFunc                                func(param0 aws.Context, param1 *ec2.ImportImageInput, param2 ...request.Option) (*ec2.ImportImageOutput, error)
	ImportInstanceFunc                                        func(param0 *ec2.ImportInstanceInput) (*ec2.ImportInstanceOutput, error)
	ImportInstanceRequestFunc                                 func(param0 *ec2.ImportInstanceInput) (*request.Request, *ec2.ImportInstanceOutput)
	ImportInstanceWithContextFunc                             func(param0 aws.Context, param1 *ec2.ImportInstanceInput, param2 ...request.Option) (*ec2.ImportInstanceOutput, error)
	ImportKeyPairFunc                                         func(param0 *ec2.ImportKeyPairInput) (*ec2.ImportKeyPairOutput, error)
	ImportKeyPairRequestFunc                                  func(param0 *ec2.ImportKeyPairInput) (*request.Request, *ec2.ImportKeyPairOutput)
	ImportKeyPairWithContextFunc                              func(param0 aws.Context, param1 *ec2.ImportKeyPairInput, param2 ...request.Option) (*ec2.ImportKeyPairOutput, error)
	ImportSnapshotFunc                                        func(param0 *ec2.ImportSnapshotInput) (*ec2.ImportSnapshotOutput, error)
	ImportSnapshotRequestFunc                                 func(param0 *ec2.ImportSnapshotInput) (*request.Request, *ec2.ImportSnapshotOutput)
	ImportSnapshotWithContextFunc                             func(param0 aws.Context, param1 *ec2.ImportSnapshotInput, param2 ...request.Option) (*ec2.ImportSnapshotOutput, error)
	ImportVolumeFunc                                          func(param0 *ec2.ImportVolumeInput) (*ec2.ImportVolumeOutput, error)
	ImportVolumeRequestFunc                                   func(param0 *ec2.ImportVolumeInput) (*request.Request, *ec2.ImportVolumeOutput)
	ImportVolumeWithContextFunc                               func(param0 aws.Context, param1 *ec2.ImportVolumeInput, param2 ...request.Option) (*ec2.ImportVolumeOutput, error)
	ModifyFpgaImageAttributeFunc                              func(param0 *ec2.ModifyFpgaImageAttributeInput) (*ec2.ModifyFpgaImageAttributeOutput, error)
	ModifyFpgaImageAttributeRequestFunc                       func(param0 *ec2.ModifyFpgaImageAttributeInput) (*request.Request, *ec2.ModifyFpgaImageAttributeOutput)
	ModifyFpgaImageAttributeWithContextFunc                   func(param0 aws.Context, param1 *ec2.ModifyFpgaImageAttributeInput, param2 ...request.Option) (*ec2.ModifyFpgaImageAttributeOutput, error)
	ModifyHostsFunc                                           func(param0 *ec2.ModifyHostsInput) (*ec2.ModifyHostsOutput, error)
	ModifyHostsRequestFunc                                    func(param0 *ec2.ModifyHostsInput) (*request.Request, *ec2.ModifyHostsOutput)
	ModifyHostsWithContextFunc                                func(param0 aws.Context, param1 *ec2.ModifyHostsInput, param2 ...request.Option) (*ec2.ModifyHostsOutput, error)
	ModifyIdFormatFunc                                        func(param0 *ec2.ModifyIdFormatInput) (*ec2.ModifyIdFormatOutput, error)
	ModifyIdFormatRequestFunc                                 func(param0 *ec2.ModifyIdFormatInput) (*request.Request, *ec2.ModifyIdFormatOutput)
	ModifyIdFormatWithContextFunc                             func(param0 aws.Context, param1 *ec2.ModifyIdFormatInput, param2 ...request.Option) (*ec2.ModifyIdFormatOutput, error)
	ModifyIdentityIdFormatFunc                                func(param0 *ec2.ModifyIdentityIdFormatInput) (*ec2.ModifyIdentityIdFormatOutput, error)
	ModifyIdentityIdFormatRequestFunc                         func(param0 *ec2.ModifyIdentityIdFormatInput) (*request.Request, *ec2.ModifyIdentityIdFormatOutput)
	ModifyIdentityIdFormatWithContextFunc                     func(param0 aws.Context, param1 *ec2.ModifyIdentityIdFormatInput, param2 ...request.Option) (*ec2.ModifyIdentityIdFormatOutput, error)
	ModifyImageAttributeFunc                                  func(param0 *ec2.ModifyImageAttributeInput) (*ec2.ModifyImageAttributeOutput, error)
	ModifyImageAttributeRequestFunc                           func(param0 *ec2.ModifyImageAttributeInput) (*request.Request, *ec2.ModifyImageAttributeOutput)
	ModifyImageAttributeWithContextFunc                       func(param0 aws.Context, param1 *ec2.ModifyImageAttributeInput, param2 ...request.Option) (*ec2.ModifyImageAttributeOutput, error)
	ModifyInstanceAttributeFunc                               func(param0 *ec2.ModifyInstanceAttributeInput) (*ec2.ModifyInstanceAttributeOutput, error)
	ModifyInstanceAttributeRequestFunc                        func(param0 *ec2.ModifyInstanceAttributeInput) (*request.Request, *ec2.ModifyInstanceAttributeOutput)
	ModifyInstanceAttributeWithContextFunc                    func(param0 aws.Context, param1 *ec2.ModifyInstanceAttributeInput, param2 ...request.Option) (*ec2.ModifyInstanceAttributeOutput, error)
	ModifyInstancePlacementFunc                               func(param0 *ec2.ModifyInstancePlacementInput) (*ec2.ModifyInstancePlacementOutput, error)
	ModifyInstancePlacementRequestFunc                        func(param0 *ec2.ModifyInstancePlacementInput) (*request.Request, *ec2.ModifyInstancePlacementOutput)
	ModifyInstancePlacementWithContextFunc                    func(param0 aws.Context, param1 *ec2.ModifyInstancePlacementInput, param2 ...request.Option) (*ec2.ModifyInstancePlacementOutput, error)
	ModifyNetworkInterfaceAttributeFunc                       func(param0 *ec2.ModifyNetworkInterfaceAttributeInput) (*ec2.ModifyNetworkInterfaceAttributeOutput, error)
	ModifyNetworkInterfaceAttributeRequestFunc                func(param0 *ec2.ModifyNetworkInterfaceAttributeInput) (*request.Request, *ec2.ModifyNetworkInterfaceAttributeOutput)
	ModifyNetworkInterfaceAttributeWithContextFunc            func(param0 aws.Context, param1 *ec2.ModifyNetworkInterfaceAttributeInput, param2 ...request.Option) (*ec2.ModifyNetworkInterfaceAttributeOutput, error)
	ModifyReservedInstancesFunc                               func(param0 *ec2.ModifyReservedInstancesInput) (*ec2.ModifyReservedInstancesOutput, error)
	ModifyReservedInstancesRequestFunc                        func(param0 *ec2.ModifyReservedInstancesInput) (*request.Request, *ec2.ModifyReservedInstancesOutput)
	ModifyReservedInstancesWithContextFunc                    func(param0 aws.Context, param1 *ec2.ModifyReservedInstancesInput, param2 ...request.Option) (*ec2.ModifyReservedInstancesOutput, error)
	ModifySnapshotAttributeFunc                               func(param0 *ec2.ModifySnapshotAttributeInput) (*ec2.ModifySnapshotAttributeOutput, error)
	ModifySnapshotAttributeRequestFunc                        func(param0 *ec2.ModifySnapshotAttributeInput) (*request.Request, *ec2.ModifySnapshotAttributeOutput)
	ModifySnapshotAttributeWithContextFunc                    func(param0 aws.Context, param1 *ec2.ModifySnapshotAttributeInput, param2 ...request.Option) (*ec2.ModifySnapshotAttributeOutput, error)
	ModifySpotFleetRequestFunc                                func(param0 *ec2.ModifySpotFleetRequestInput) (*ec2.ModifySpotFleetRequestOutput, error)
	ModifySpotFleetRequestRequestFunc                         func(param0 *ec2.ModifySpotFleetRequestInput) (*request.Request, *ec2.ModifySpotFleetRequestOutput)
	ModifySpotFleetRequestWithContextFunc                     func(param0 aws.Context, param1 *ec2.ModifySpotFleetRequestInput, param2 ...request.Option) (*ec2.ModifySpotFleetRequestOutput, error)
	ModifySubnetAttributeFunc                                 func(param0 *ec2.ModifySubnetAttributeInput) (*ec2.ModifySubnetAttributeOutput, error)
	ModifySubnetAttributeRequestFunc                          func(param0 *ec2.ModifySubnetAttributeInput) (*request.Request, *ec2.ModifySubnetAttributeOutput)
	ModifySubnetAttributeWithContextFunc                      func(param0 aws.Context, param1 *ec2.ModifySubnetAttributeInput, param2 ...request.Option) (*ec2.ModifySubnetAttributeOutput, error)
	ModifyVolumeFunc                                          func(param0 *ec2.ModifyVolumeInput) (*ec2.ModifyVolumeOutput, error)
	ModifyVolumeAttributeFunc                                 func(param0 *ec2.ModifyVolumeAttributeInput) (*ec2.ModifyVolumeAttributeOutput, error)
	ModifyVolumeAttributeRequestFunc                          func(param0 *ec2.ModifyVolumeAttributeInput) (*request.Request, *ec2.ModifyVolumeAttributeOutput)
	ModifyVolumeAttributeWithContextFunc                      func(param0 aws.Context, param1 *ec2.ModifyVolumeAttributeInput, param2 ...request.Option) (*ec2.ModifyVolumeAttributeOutput, error)
	ModifyVolumeRequestFunc                                   func(param0 *ec2.ModifyVolumeInput) (*request.Request, *ec2.ModifyVolumeOutput)
	ModifyVolumeWithContextFunc                               func(param0 aws.Context, param1 *ec2.ModifyVolumeInput, param2 ...request.Option) (*ec2.ModifyVolumeOutput, error)
	ModifyVpcAttributeFunc                                    func(param0 *ec2.ModifyVpcAttributeInput) (*ec2.ModifyVpcAttributeOutput, error)
	ModifyVpcAttributeRequestFunc                             func(param0 *ec2.ModifyVpcAttributeInput) (*request.Request, *ec2.ModifyVpcAttributeOutput)
	ModifyVpcAttributeWithContextFunc                         func(param0 aws.Context, param1 *ec2.ModifyVpcAttributeInput, param2 ...request.Option) (*ec2.ModifyVpcAttributeOutput, error)
	ModifyVpcEndpointFunc                                     func(param0 *ec2.ModifyVpcEndpointInput) (*ec2.ModifyVpcEndpointOutput, error)
	ModifyVpcEndpointRequestFunc                              func(param0 *ec2.ModifyVpcEndpointInput) (*request.Request, *ec2.ModifyVpcEndpointOutput)
	ModifyVpcEndpointWithContextFunc                          func(param0 aws.Context, param1 *ec2.ModifyVpcEndpointInput, param2 ...request.Option) (*ec2.ModifyVpcEndpointOutput, error)
	ModifyVpcPeeringConnectionOptionsFunc                     func(param0 *ec2.ModifyVpcPeeringConnectionOptionsInput) (*ec2.ModifyVpcPeeringConnectionOptionsOutput, error)
	ModifyVpcPeeringConnectionOptionsRequestFunc              func(param0 *ec2.ModifyVpcPeeringConnectionOptionsInput) (*request.Request, *ec2.ModifyVpcPeeringConnectionOptionsOutput)
	ModifyVpcPeeringConnectionOptionsWithContextFunc          func(param0 aws.Context, param1 *ec2.ModifyVpcPeeringConnectionOptionsInput, param2 ...request.Option) (*ec2.ModifyVpcPeeringConnectionOptionsOutput, error)
	MonitorInstancesFunc                                      func(param0 *ec2.MonitorInstancesInput) (*ec2.MonitorInstancesOutput, error)
	MonitorInstancesRequestFunc                               func(param0 *ec2.MonitorInstancesInput) (*request.Request, *ec2.MonitorInstancesOutput)
	MonitorInstancesWithContextFunc                           func(param0 aws.Context, param1 *ec2.MonitorInstancesInput, param2 ...request.Option) (*ec2.MonitorInstancesOutput, error)
	MoveAddressToVpcFunc                                      func(param0 *ec2.MoveAddressToVpcInput) (*ec2.MoveAddressToVpcOutput, error)
	MoveAddressToVpcRequestFunc                               func(param0 *ec2.MoveAddressToVpcInput) (*request.Request, *ec2.MoveAddressToVpcOutput)
	MoveAddressToVpcWithContextFunc                           func(param0 aws.Context, param1 *ec2.MoveAddressToVpcInput, param2 ...request.Option) (*ec2.MoveAddressToVpcOutput, error)
	PurchaseHostReservationFunc                               func(param0 *ec2.PurchaseHostReservationInput) (*ec2.PurchaseHostReservationOutput, error)
	PurchaseHostReservationRequestFunc                        func(param0 *ec2.PurchaseHostReservationInput) (*request.Request, *ec2.PurchaseHostReservationOutput)
	PurchaseHostReservationWithContextFunc                    func(param0 aws.Context, param1 *ec2.PurchaseHostReservationInput, param2 ...request.Option) (*ec2.PurchaseHostReservationOutput, error)
	PurchaseReservedInstancesOfferingFunc                     func(param0 *ec2.PurchaseReservedInstancesOfferingInput) (*ec2.PurchaseReservedInstancesOfferingOutput, error)
	PurchaseReservedInstancesOfferingRequestFunc              func(param0 *ec2.PurchaseReservedInstancesOfferingInput) (*request.Request, *ec2.PurchaseReservedInstancesOfferingOutput)
	PurchaseReservedInstancesOfferingWithContextFunc          func(param0 aws.Context, param1 *ec2.PurchaseReservedInstancesOfferingInput, param2 ...request.Option) (*ec2.PurchaseReservedInstancesOfferingOutput, error)
	PurchaseScheduledInstancesFunc                            func(param0 *ec2.PurchaseScheduledInstancesInput) (*ec2.PurchaseScheduledInstancesOutput, error)
	PurchaseScheduledInstancesRequestFunc                     func(param0 *ec2.PurchaseScheduledInstancesInput) (*request.Request, *ec2.PurchaseScheduledInstancesOutput)
	PurchaseScheduledInstancesWithContextFunc                 func(param0 aws.Context, param1 *ec2.PurchaseScheduledInstancesInput, param2 ...request.Option) (*ec2.PurchaseScheduledInstancesOutput, error)
	RebootInstancesFunc                                       func(param0 *ec2.RebootInstancesInput) (*ec2.RebootInstancesOutput, error)
	RebootInstancesRequestFunc                                func(param0 *ec2.RebootInstancesInput) (*request.Request, *ec2.RebootInstancesOutput)
	RebootInstancesWithContextFunc                            func(param0 aws.Context, param1 *ec2.RebootInstancesInput, param2 ...request.Option) (*ec2.RebootInstancesOutput, error)
	RegisterImageFunc                                         func(param0 *ec2.RegisterImageInput) (*ec2.RegisterImageOutput, error)
	RegisterImageRequestFunc                                  func(param0 *ec2.RegisterImageInput) (*request.Request, *ec2.RegisterImageOutput)
	RegisterImageWithContextFunc                              func(param0 aws.Context, param1 *ec2.RegisterImageInput, param2 ...request.Option) (*ec2.RegisterImageOutput, error)
	RejectVpcPeeringConnectionFunc                            func(param0 *ec2.RejectVpcPeeringConnectionInput) (*ec2.RejectVpcPeeringConnectionOutput, error)
	RejectVpcPeeringConnectionRequestFunc                     func(param0 *ec2.RejectVpcPeeringConnectionInput) (*request.Request, *ec2.RejectVpcPeeringConnectionOutput)
	RejectVpcPeeringConnectionWithContextFunc                 func(param0 aws.Context, param1 *ec2.RejectVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.RejectVpcPeeringConnectionOutput, error)
	ReleaseAddressFunc                                        func(param0 *ec2.ReleaseAddressInput) (*ec2.ReleaseAddressOutput, error)
	ReleaseAddressRequestFunc                                 func(param0 *ec2.ReleaseAddressInput) (*request.Request, *ec2.ReleaseAddressOutput)
	ReleaseAddressWithContextFunc                             func(param0 aws.Context, param1 *ec2.ReleaseAddressInput, param2 ...request.Option) (*ec2.ReleaseAddressOutput, error)
	ReleaseHostsFunc                                          func(param0 *ec2.ReleaseHostsInput) (*ec2.ReleaseHostsOutput, error)
	ReleaseHostsRequestFunc                                   func(param0 *ec2.ReleaseHostsInput) (*request.Request, *ec2.ReleaseHostsOutput)
	ReleaseHostsWithContextFunc                               func(param0 aws.Context, param1 *ec2.ReleaseHostsInput, param2 ...request.Option) (*ec2.ReleaseHostsOutput, error)
	ReplaceIamInstanceProfileAssociationFunc                  func(param0 *ec2.ReplaceIamInstanceProfileAssociationInput) (*ec2.ReplaceIamInstanceProfileAssociationOutput, error)
	ReplaceIamInstanceProfileAssociationRequestFunc           func(param0 *ec2.ReplaceIamInstanceProfileAssociationInput) (*request.Request, *ec2.ReplaceIamInstanceProfileAssociationOutput)
	ReplaceIamInstanceProfileAssociationWithContextFunc       func(param0 aws.Context, param1 *ec2.ReplaceIamInstanceProfileAssociationInput, param2 ...request.Option) (*ec2.ReplaceIamInstanceProfileAssociationOutput, error)
	ReplaceNetworkAclAssociationFunc                          func(param0 *ec2.ReplaceNetworkAclAssociationInput) (*ec2.ReplaceNetworkAclAssociationOutput, error)
	ReplaceNetworkAclAssociationRequestFunc                   func(param0 *ec2.ReplaceNetworkAclAssociationInput) (*request.Request, *ec2.ReplaceNetworkAclAssociationOutput)
	ReplaceNetworkAclAssociationWithContextFunc               func(param0 aws.Context, param1 *ec2.ReplaceNetworkAclAssociationInput, param2 ...request.Option) (*ec2.ReplaceNetworkAclAssociationOutput, error)
	ReplaceNetworkAclEntryFunc                                func(param0 *ec2.ReplaceNetworkAclEntryInput) (*ec2.ReplaceNetworkAclEntryOutput, error)
	ReplaceNetworkAclEntryRequestFunc                         func(param0 *ec2.ReplaceNetworkAclEntryInput) (*request.Request, *ec2.ReplaceNetworkAclEntryOutput)
	ReplaceNetworkAclEntryWithContextFunc                     func(param0 aws.Context, param1 *ec2.ReplaceNetworkAclEntryInput, param2 ...request.Option) (*ec2.ReplaceNetworkAclEntryOutput, error)
	ReplaceRouteFunc                                          func(param0 *ec2.ReplaceRouteInput) (*ec2.ReplaceRouteOutput, error)
	ReplaceRouteRequestFunc                                   func(param0 *ec2.ReplaceRouteInput) (*request.Request, *ec2.ReplaceRouteOutput)
	ReplaceRouteTableAssociationFunc                          func(param0 *ec2.ReplaceRouteTableAssociationInput) (*ec2.ReplaceRouteTableAssociationOutput, error)
	ReplaceRouteTableAssociationRequestFunc                   func(param0 *ec2.ReplaceRouteTableAssociationInput) (*request.Request, *ec2.ReplaceRouteTableAssociationOutput)
	ReplaceRouteTableAssociationWithContextFunc               func(param0 aws.Context, param1 *ec2.ReplaceRouteTableAssociationInput, param2 ...request.Option) (*ec2.ReplaceRouteTableAssociationOutput, error)
	ReplaceRouteWithContextFunc                               func(param0 aws.Context, param1 *ec2.ReplaceRouteInput, param2 ...request.Option) (*ec2.ReplaceRouteOutput, error)
	ReportInstanceStatusFunc                                  func(param0 *ec2.ReportInstanceStatusInput) (*ec2.ReportInstanceStatusOutput, error)
	ReportInstanceStatusRequestFunc                           func(param0 *ec2.ReportInstanceStatusInput) (*request.Request, *ec2.ReportInstanceStatusOutput)
	ReportInstanceStatusWithContextFunc                       func(param0 aws.Context, param1 *ec2.ReportInstanceStatusInput, param2 ...request.Option) (*ec2.ReportInstanceStatusOutput, error)
	RequestSpotFleetFunc                                      func(param0 *ec2.RequestSpotFleetInput) (*ec2.RequestSpotFleetOutput, error)
	RequestSpotFleetRequestFunc                               func(param0 *ec2.RequestSpotFleetInput) (*request.Request, *ec2.RequestSpotFleetOutput)
	RequestSpotFleetWithContextFunc                           func(param0 aws.Context, param1 *ec2.RequestSpotFleetInput, param2 ...request.Option) (*ec2.RequestSpotFleetOutput, error)
	RequestSpotInstancesFunc                                  func(param0 *ec2.RequestSpotInstancesInput) (*ec2.RequestSpotInstancesOutput, error)
	RequestSpotInstancesRequestFunc                           func(param0 *ec2.RequestSpotInstancesInput) (*request.Request, *ec2.RequestSpotInstancesOutput)
	RequestSpotInstancesWithContextFunc                       func(param0 aws.Context, param1 *ec2.RequestSpotInstancesInput, param2 ...request.Option) (*ec2.RequestSpotInstancesOutput, error)
	ResetFpgaImageAttributeFunc                               func(param0 *ec2.ResetFpgaImageAttributeInput) (*ec2.ResetFpgaImageAttributeOutput, error)
	ResetFpgaImageAttributeRequestFunc                        func(param0 *ec2.ResetFpgaImageAttributeInput) (*request.Request, *ec2.ResetFpgaImageAttributeOutput)
	ResetFpgaImageAttributeWithContextFunc                    func(param0 aws.Context, param1 *ec2.ResetFpgaImageAttributeInput, param2 ...request.Option) (*ec2.ResetFpgaImageAttributeOutput, error)
	ResetImageAttributeFunc                                   func(param0 *ec2.ResetImageAttributeInput) (*ec2.ResetImageAttributeOutput, error)
	ResetImageAttributeRequestFunc                            func(param0 *ec2.ResetImageAttributeInput) (*request.Request, *ec2.ResetImageAttributeOutput)
	ResetImageAttributeWithContextFunc                        func(param0 aws.Context, param1 *ec2.ResetImageAttributeInput, param2 ...request.Option) (*ec2.ResetImageAttributeOutput, error)
	ResetInstanceAttributeFunc                                func(param0 *ec2.ResetInstanceAttributeInput) (*ec2.ResetInstanceAttributeOutput, error)
	ResetInstanceAttributeRequestFunc                         func(param0 *ec2.ResetInstanceAttributeInput) (*request.Request, *ec2.ResetInstanceAttributeOutput)
	ResetInstanceAttributeWithContextFunc                     func(param0 aws.Context, param1 *ec2.ResetInstanceAttributeInput, param2 ...request.Option) (*ec2.ResetInstanceAttributeOutput, error)
	ResetNetworkInterfaceAttributeFunc                        func(param0 *ec2.ResetNetworkInterfaceAttributeInput) (*ec2.ResetNetworkInterfaceAttributeOutput, error)
	ResetNetworkInterfaceAttributeRequestFunc                 func(param0 *ec2.ResetNetworkInterfaceAttributeInput) (*request.Request, *ec2.ResetNetworkInterfaceAttributeOutput)
	ResetNetworkInterfaceAttributeWithContextFunc             func(param0 aws.Context, param1 *ec2.ResetNetworkInterfaceAttributeInput, param2 ...request.Option) (*ec2.ResetNetworkInterfaceAttributeOutput, error)
	ResetSnapshotAttributeFunc                                func(param0 *ec2.ResetSnapshotAttributeInput) (*ec2.ResetSnapshotAttributeOutput, error)
	ResetSnapshotAttributeRequestFunc                         func(param0 *ec2.ResetSnapshotAttributeInput) (*request.Request, *ec2.ResetSnapshotAttributeOutput)
	ResetSnapshotAttributeWithContextFunc                     func(param0 aws.Context, param1 *ec2.ResetSnapshotAttributeInput, param2 ...request.Option) (*ec2.ResetSnapshotAttributeOutput, error)
	RestoreAddressToClassicFunc                               func(param0 *ec2.RestoreAddressToClassicInput) (*ec2.RestoreAddressToClassicOutput, error)
	RestoreAddressToClassicRequestFunc                        func(param0 *ec2.RestoreAddressToClassicInput) (*request.Request, *ec2.RestoreAddressToClassicOutput)
	RestoreAddressToClassicWithContextFunc                    func(param0 aws.Context, param1 *ec2.RestoreAddressToClassicInput, param2 ...request.Option) (*ec2.RestoreAddressToClassicOutput, error)
	RevokeSecurityGroupEgressFunc                             func(param0 *ec2.RevokeSecurityGroupEgressInput) (*ec2.RevokeSecurityGroupEgressOutput, error)
	RevokeSecurityGroupEgressRequestFunc                      func(param0 *ec2.RevokeSecurityGroupEgressInput) (*request.Request, *ec2.RevokeSecurityGroupEgressOutput)
	RevokeSecurityGroupEgressWithContextFunc                  func(param0 aws.Context, param1 *ec2.RevokeSecurityGroupEgressInput, param2 ...request.Option) (*ec2.RevokeSecurityGroupEgressOutput, error)
	RevokeSecurityGroupIngressFunc                            func(param0 *ec2.RevokeSecurityGroupIngressInput) (*ec2.RevokeSecurityGroupIngressOutput, error)
	RevokeSecurityGroupIngressRequestFunc                     func(param0 *ec2.RevokeSecurityGroupIngressInput) (*request.Request, *ec2.RevokeSecurityGroupIngressOutput)
	RevokeSecurityGroupIngressWithContextFunc                 func(param0 aws.Context, param1 *ec2.RevokeSecurityGroupIngressInput, param2 ...request.Option) (*ec2.RevokeSecurityGroupIngressOutput, error)
	RunInstancesFunc                                          func(param0 *ec2.RunInstancesInput) (*ec2.Reservation, error)
	RunInstancesRequestFunc                                   func(param0 *ec2.RunInstancesInput) (*request.Request, *ec2.Reservation)
	RunInstancesWithContextFunc                               func(param0 aws.Context, param1 *ec2.RunInstancesInput, param2 ...request.Option) (*ec2.Reservation, error)
	RunScheduledInstancesFunc                                 func(param0 *ec2.RunScheduledInstancesInput) (*ec2.RunScheduledInstancesOutput, error)
	RunScheduledInstancesRequestFunc                          func(param0 *ec2.RunScheduledInstancesInput) (*request.Request, *ec2.RunScheduledInstancesOutput)
	RunScheduledInstancesWithContextFunc                      func(param0 aws.Context, param1 *ec2.RunScheduledInstancesInput, param2 ...request.Option) (*ec2.RunScheduledInstancesOutput, error)
	StartInstancesFunc                                        func(param0 *ec2.StartInstancesInput) (*ec2.StartInstancesOutput, error)
	StartInstancesRequestFunc                                 func(param0 *ec2.StartInstancesInput) (*request.Request, *ec2.StartInstancesOutput)
	StartInstancesWithContextFunc                             func(param0 aws.Context, param1 *ec2.StartInstancesInput, param2 ...request.Option) (*ec2.StartInstancesOutput, error)
	StopInstancesFunc                                         func(param0 *ec2.StopInstancesInput) (*ec2.StopInstancesOutput, error)
	StopInstancesRequestFunc                                  func(param0 *ec2.StopInstancesInput) (*request.Request, *ec2.StopInstancesOutput)
	StopInstancesWithContextFunc                              func(param0 aws.Context, param1 *ec2.StopInstancesInput, param2 ...request.Option) (*ec2.StopInstancesOutput, error)
	TerminateInstancesFunc                                    func(param0 *ec2.TerminateInstancesInput) (*ec2.TerminateInstancesOutput, error)
	TerminateInstancesRequestFunc                             func(param0 *ec2.TerminateInstancesInput) (*request.Request, *ec2.TerminateInstancesOutput)
	TerminateInstancesWithContextFunc                         func(param0 aws.Context, param1 *ec2.TerminateInstancesInput, param2 ...request.Option) (*ec2.TerminateInstancesOutput, error)
	UnassignIpv6AddressesFunc                                 func(param0 *ec2.UnassignIpv6AddressesInput) (*ec2.UnassignIpv6AddressesOutput, error)
	UnassignIpv6AddressesRequestFunc                          func(param0 *ec2.UnassignIpv6AddressesInput) (*request.Request, *ec2.UnassignIpv6AddressesOutput)
	UnassignIpv6AddressesWithContextFunc                      func(param0 aws.Context, param1 *ec2.UnassignIpv6AddressesInput, param2 ...request.Option) (*ec2.UnassignIpv6AddressesOutput, error)
	UnassignPrivateIpAddressesFunc                            func(param0 *ec2.UnassignPrivateIpAddressesInput) (*ec2.UnassignPrivateIpAddressesOutput, error)
	UnassignPrivateIpAddressesRequestFunc                     func(param0 *ec2.UnassignPrivateIpAddressesInput) (*request.Request, *ec2.UnassignPrivateIpAddressesOutput)
	UnassignPrivateIpAddressesWithContextFunc                 func(param0 aws.Context, param1 *ec2.UnassignPrivateIpAddressesInput, param2 ...request.Option) (*ec2.UnassignPrivateIpAddressesOutput, error)
	UnmonitorInstancesFunc                                    func(param0 *ec2.UnmonitorInstancesInput) (*ec2.UnmonitorInstancesOutput, error)
	UnmonitorInstancesRequestFunc                             func(param0 *ec2.UnmonitorInstancesInput) (*request.Request, *ec2.UnmonitorInstancesOutput)
	UnmonitorInstancesWithContextFunc                         func(param0 aws.Context, param1 *ec2.UnmonitorInstancesInput, param2 ...request.Option) (*ec2.UnmonitorInstancesOutput, error)
	UpdateSecurityGroupRuleDescriptionsEgressFunc             func(param0 *ec2.UpdateSecurityGroupRuleDescriptionsEgressInput) (*ec2.UpdateSecurityGroupRuleDescriptionsEgressOutput, error)
	UpdateSecurityGroupRuleDescriptionsEgressRequestFunc      func(param0 *ec2.UpdateSecurityGroupRuleDescriptionsEgressInput) (*request.Request, *ec2.UpdateSecurityGroupRuleDescriptionsEgressOutput)
	UpdateSecurityGroupRuleDescriptionsEgressWithContextFunc  func(param0 aws.Context, param1 *ec2.UpdateSecurityGroupRuleDescriptionsEgressInput, param2 ...request.Option) (*ec2.UpdateSecurityGroupRuleDescriptionsEgressOutput, error)
	UpdateSecurityGroupRuleDescriptionsIngressFunc            func(param0 *ec2.UpdateSecurityGroupRuleDescriptionsIngressInput) (*ec2.UpdateSecurityGroupRuleDescriptionsIngressOutput, error)
	UpdateSecurityGroupRuleDescriptionsIngressRequestFunc     func(param0 *ec2.UpdateSecurityGroupRuleDescriptionsIngressInput) (*request.Request, *ec2.UpdateSecurityGroupRuleDescriptionsIngressOutput)
	UpdateSecurityGroupRuleDescriptionsIngressWithContextFunc func(param0 aws.Context, param1 *ec2.UpdateSecurityGroupRuleDescriptionsIngressInput, param2 ...request.Option) (*ec2.UpdateSecurityGroupRuleDescriptionsIngressOutput, error)
	WaitUntilBundleTaskCompleteFunc                           func(param0 *ec2.DescribeBundleTasksInput) error
	WaitUntilBundleTaskCompleteWithContextFunc                func(param0 aws.Context, param1 *ec2.DescribeBundleTasksInput, param2 ...request.WaiterOption) error
	WaitUntilConversionTaskCancelledFunc                      func(param0 *ec2.DescribeConversionTasksInput) error
	WaitUntilConversionTaskCancelledWithContextFunc           func(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.WaiterOption) error
	WaitUntilConversionTaskCompletedFunc                      func(param0 *ec2.DescribeConversionTasksInput) error
	WaitUntilConversionTaskCompletedWithContextFunc           func(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.WaiterOption) error
	WaitUntilConversionTaskDeletedFunc                        func(param0 *ec2.DescribeConversionTasksInput) error
	WaitUntilConversionTaskDeletedWithContextFunc             func(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.WaiterOption) error
	WaitUntilCustomerGatewayAvailableFunc                     func(param0 *ec2.DescribeCustomerGatewaysInput) error
	WaitUntilCustomerGatewayAvailableWithContextFunc          func(param0 aws.Context, param1 *ec2.DescribeCustomerGatewaysInput, param2 ...request.WaiterOption) error
	WaitUntilExportTaskCancelledFunc                          func(param0 *ec2.DescribeExportTasksInput) error
	WaitUntilExportTaskCancelledWithContextFunc               func(param0 aws.Context, param1 *ec2.DescribeExportTasksInput, param2 ...request.WaiterOption) error
	WaitUntilExportTaskCompletedFunc                          func(param0 *ec2.DescribeExportTasksInput) error
	WaitUntilExportTaskCompletedWithContextFunc               func(param0 aws.Context, param1 *ec2.DescribeExportTasksInput, param2 ...request.WaiterOption) error
	WaitUntilImageAvailableFunc                               func(param0 *ec2.DescribeImagesInput) error
	WaitUntilImageAvailableWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribeImagesInput, param2 ...request.WaiterOption) error
	WaitUntilImageExistsFunc                                  func(param0 *ec2.DescribeImagesInput) error
	WaitUntilImageExistsWithContextFunc                       func(param0 aws.Context, param1 *ec2.DescribeImagesInput, param2 ...request.WaiterOption) error
	WaitUntilInstanceExistsFunc                               func(param0 *ec2.DescribeInstancesInput) error
	WaitUntilInstanceExistsWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error
	WaitUntilInstanceRunningFunc                              func(param0 *ec2.DescribeInstancesInput) error
	WaitUntilInstanceRunningWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error
	WaitUntilInstanceStatusOkFunc                             func(param0 *ec2.DescribeInstanceStatusInput) error
	WaitUntilInstanceStatusOkWithContextFunc                  func(param0 aws.Context, param1 *ec2.DescribeInstanceStatusInput, param2 ...request.WaiterOption) error
	WaitUntilInstanceStoppedFunc                              func(param0 *ec2.DescribeInstancesInput) error
	WaitUntilInstanceStoppedWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error
	WaitUntilInstanceTerminatedFunc                           func(param0 *ec2.DescribeInstancesInput) error
	WaitUntilInstanceTerminatedWithContextFunc                func(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error
	WaitUntilKeyPairExistsFunc                                func(param0 *ec2.DescribeKeyPairsInput) error
	WaitUntilKeyPairExistsWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeKeyPairsInput, param2 ...request.WaiterOption) error
	WaitUntilNatGatewayAvailableFunc                          func(param0 *ec2.DescribeNatGatewaysInput) error
	WaitUntilNatGatewayAvailableWithContextFunc               func(param0 aws.Context, param1 *ec2.DescribeNatGatewaysInput, param2 ...request.WaiterOption) error
	WaitUntilNetworkInterfaceAvailableFunc                    func(param0 *ec2.DescribeNetworkInterfacesInput) error
	WaitUntilNetworkInterfaceAvailableWithContextFunc         func(param0 aws.Context, param1 *ec2.DescribeNetworkInterfacesInput, param2 ...request.WaiterOption) error
	WaitUntilPasswordDataAvailableFunc                        func(param0 *ec2.GetPasswordDataInput) error
	WaitUntilPasswordDataAvailableWithContextFunc             func(param0 aws.Context, param1 *ec2.GetPasswordDataInput, param2 ...request.WaiterOption) error
	WaitUntilSnapshotCompletedFunc                            func(param0 *ec2.DescribeSnapshotsInput) error
	WaitUntilSnapshotCompletedWithContextFunc                 func(param0 aws.Context, param1 *ec2.DescribeSnapshotsInput, param2 ...request.WaiterOption) error
	WaitUntilSpotInstanceRequestFulfilledFunc                 func(param0 *ec2.DescribeSpotInstanceRequestsInput) error
	WaitUntilSpotInstanceRequestFulfilledWithContextFunc      func(param0 aws.Context, param1 *ec2.DescribeSpotInstanceRequestsInput, param2 ...request.WaiterOption) error
	WaitUntilSubnetAvailableFunc                              func(param0 *ec2.DescribeSubnetsInput) error
	WaitUntilSubnetAvailableWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeSubnetsInput, param2 ...request.WaiterOption) error
	WaitUntilSystemStatusOkFunc                               func(param0 *ec2.DescribeInstanceStatusInput) error
	WaitUntilSystemStatusOkWithContextFunc                    func(param0 aws.Context, param1 *ec2.DescribeInstanceStatusInput, param2 ...request.WaiterOption) error
	WaitUntilVolumeAvailableFunc                              func(param0 *ec2.DescribeVolumesInput) error
	WaitUntilVolumeAvailableWithContextFunc                   func(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.WaiterOption) error
	WaitUntilVolumeDeletedFunc                                func(param0 *ec2.DescribeVolumesInput) error
	WaitUntilVolumeDeletedWithContextFunc                     func(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.WaiterOption) error
	WaitUntilVolumeInUseFunc                                  func(param0 *ec2.DescribeVolumesInput) error
	WaitUntilVolumeInUseWithContextFunc                       func(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.WaiterOption) error
	WaitUntilVpcAvailableFunc                                 func(param0 *ec2.DescribeVpcsInput) error
	WaitUntilVpcAvailableWithContextFunc                      func(param0 aws.Context, param1 *ec2.DescribeVpcsInput, param2 ...request.WaiterOption) error
	WaitUntilVpcExistsFunc                                    func(param0 *ec2.DescribeVpcsInput) error
	WaitUntilVpcExistsWithContextFunc                         func(param0 aws.Context, param1 *ec2.DescribeVpcsInput, param2 ...request.WaiterOption) error
	WaitUntilVpcPeeringConnectionDeletedFunc                  func(param0 *ec2.DescribeVpcPeeringConnectionsInput) error
	WaitUntilVpcPeeringConnectionDeletedWithContextFunc       func(param0 aws.Context, param1 *ec2.DescribeVpcPeeringConnectionsInput, param2 ...request.WaiterOption) error
	WaitUntilVpcPeeringConnectionExistsFunc                   func(param0 *ec2.DescribeVpcPeeringConnectionsInput) error
	WaitUntilVpcPeeringConnectionExistsWithContextFunc        func(param0 aws.Context, param1 *ec2.DescribeVpcPeeringConnectionsInput, param2 ...request.WaiterOption) error
	WaitUntilVpnConnectionAvailableFunc                       func(param0 *ec2.DescribeVpnConnectionsInput) error
	WaitUntilVpnConnectionAvailableWithContextFunc            func(param0 aws.Context, param1 *ec2.DescribeVpnConnectionsInput, param2 ...request.WaiterOption) error
	WaitUntilVpnConnectionDeletedFunc                         func(param0 *ec2.DescribeVpnConnectionsInput) error
	WaitUntilVpnConnectionDeletedWithContextFunc              func(param0 aws.Context, param1 *ec2.DescribeVpnConnectionsInput, param2 ...request.WaiterOption) error
}

func (m *ec2Mock) AcceptReservedInstancesExchangeQuote(param0 *ec2.AcceptReservedInstancesExchangeQuoteInput) (*ec2.AcceptReservedInstancesExchangeQuoteOutput, error) {
	m.addCall("AcceptReservedInstancesExchangeQuote")
	m.verifyInput("AcceptReservedInstancesExchangeQuote", param0)
	return m.AcceptReservedInstancesExchangeQuoteFunc(param0)
}

func (m *ec2Mock) AcceptReservedInstancesExchangeQuoteRequest(param0 *ec2.AcceptReservedInstancesExchangeQuoteInput) (*request.Request, *ec2.AcceptReservedInstancesExchangeQuoteOutput) {
	m.addCall("AcceptReservedInstancesExchangeQuoteRequest")
	m.verifyInput("AcceptReservedInstancesExchangeQuoteRequest", param0)
	return m.AcceptReservedInstancesExchangeQuoteRequestFunc(param0)
}

func (m *ec2Mock) AcceptReservedInstancesExchangeQuoteWithContext(param0 aws.Context, param1 *ec2.AcceptReservedInstancesExchangeQuoteInput, param2 ...request.Option) (*ec2.AcceptReservedInstancesExchangeQuoteOutput, error) {
	m.addCall("AcceptReservedInstancesExchangeQuoteWithContext")
	m.verifyInput("AcceptReservedInstancesExchangeQuoteWithContext", param0)
	return m.AcceptReservedInstancesExchangeQuoteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AcceptVpcPeeringConnection(param0 *ec2.AcceptVpcPeeringConnectionInput) (*ec2.AcceptVpcPeeringConnectionOutput, error) {
	m.addCall("AcceptVpcPeeringConnection")
	m.verifyInput("AcceptVpcPeeringConnection", param0)
	return m.AcceptVpcPeeringConnectionFunc(param0)
}

func (m *ec2Mock) AcceptVpcPeeringConnectionRequest(param0 *ec2.AcceptVpcPeeringConnectionInput) (*request.Request, *ec2.AcceptVpcPeeringConnectionOutput) {
	m.addCall("AcceptVpcPeeringConnectionRequest")
	m.verifyInput("AcceptVpcPeeringConnectionRequest", param0)
	return m.AcceptVpcPeeringConnectionRequestFunc(param0)
}

func (m *ec2Mock) AcceptVpcPeeringConnectionWithContext(param0 aws.Context, param1 *ec2.AcceptVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.AcceptVpcPeeringConnectionOutput, error) {
	m.addCall("AcceptVpcPeeringConnectionWithContext")
	m.verifyInput("AcceptVpcPeeringConnectionWithContext", param0)
	return m.AcceptVpcPeeringConnectionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AllocateAddress(param0 *ec2.AllocateAddressInput) (*ec2.AllocateAddressOutput, error) {
	m.addCall("AllocateAddress")
	m.verifyInput("AllocateAddress", param0)
	return m.AllocateAddressFunc(param0)
}

func (m *ec2Mock) AllocateAddressRequest(param0 *ec2.AllocateAddressInput) (*request.Request, *ec2.AllocateAddressOutput) {
	m.addCall("AllocateAddressRequest")
	m.verifyInput("AllocateAddressRequest", param0)
	return m.AllocateAddressRequestFunc(param0)
}

func (m *ec2Mock) AllocateAddressWithContext(param0 aws.Context, param1 *ec2.AllocateAddressInput, param2 ...request.Option) (*ec2.AllocateAddressOutput, error) {
	m.addCall("AllocateAddressWithContext")
	m.verifyInput("AllocateAddressWithContext", param0)
	return m.AllocateAddressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AllocateHosts(param0 *ec2.AllocateHostsInput) (*ec2.AllocateHostsOutput, error) {
	m.addCall("AllocateHosts")
	m.verifyInput("AllocateHosts", param0)
	return m.AllocateHostsFunc(param0)
}

func (m *ec2Mock) AllocateHostsRequest(param0 *ec2.AllocateHostsInput) (*request.Request, *ec2.AllocateHostsOutput) {
	m.addCall("AllocateHostsRequest")
	m.verifyInput("AllocateHostsRequest", param0)
	return m.AllocateHostsRequestFunc(param0)
}

func (m *ec2Mock) AllocateHostsWithContext(param0 aws.Context, param1 *ec2.AllocateHostsInput, param2 ...request.Option) (*ec2.AllocateHostsOutput, error) {
	m.addCall("AllocateHostsWithContext")
	m.verifyInput("AllocateHostsWithContext", param0)
	return m.AllocateHostsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssignIpv6Addresses(param0 *ec2.AssignIpv6AddressesInput) (*ec2.AssignIpv6AddressesOutput, error) {
	m.addCall("AssignIpv6Addresses")
	m.verifyInput("AssignIpv6Addresses", param0)
	return m.AssignIpv6AddressesFunc(param0)
}

func (m *ec2Mock) AssignIpv6AddressesRequest(param0 *ec2.AssignIpv6AddressesInput) (*request.Request, *ec2.AssignIpv6AddressesOutput) {
	m.addCall("AssignIpv6AddressesRequest")
	m.verifyInput("AssignIpv6AddressesRequest", param0)
	return m.AssignIpv6AddressesRequestFunc(param0)
}

func (m *ec2Mock) AssignIpv6AddressesWithContext(param0 aws.Context, param1 *ec2.AssignIpv6AddressesInput, param2 ...request.Option) (*ec2.AssignIpv6AddressesOutput, error) {
	m.addCall("AssignIpv6AddressesWithContext")
	m.verifyInput("AssignIpv6AddressesWithContext", param0)
	return m.AssignIpv6AddressesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssignPrivateIpAddresses(param0 *ec2.AssignPrivateIpAddressesInput) (*ec2.AssignPrivateIpAddressesOutput, error) {
	m.addCall("AssignPrivateIpAddresses")
	m.verifyInput("AssignPrivateIpAddresses", param0)
	return m.AssignPrivateIpAddressesFunc(param0)
}

func (m *ec2Mock) AssignPrivateIpAddressesRequest(param0 *ec2.AssignPrivateIpAddressesInput) (*request.Request, *ec2.AssignPrivateIpAddressesOutput) {
	m.addCall("AssignPrivateIpAddressesRequest")
	m.verifyInput("AssignPrivateIpAddressesRequest", param0)
	return m.AssignPrivateIpAddressesRequestFunc(param0)
}

func (m *ec2Mock) AssignPrivateIpAddressesWithContext(param0 aws.Context, param1 *ec2.AssignPrivateIpAddressesInput, param2 ...request.Option) (*ec2.AssignPrivateIpAddressesOutput, error) {
	m.addCall("AssignPrivateIpAddressesWithContext")
	m.verifyInput("AssignPrivateIpAddressesWithContext", param0)
	return m.AssignPrivateIpAddressesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssociateAddress(param0 *ec2.AssociateAddressInput) (*ec2.AssociateAddressOutput, error) {
	m.addCall("AssociateAddress")
	m.verifyInput("AssociateAddress", param0)
	return m.AssociateAddressFunc(param0)
}

func (m *ec2Mock) AssociateAddressRequest(param0 *ec2.AssociateAddressInput) (*request.Request, *ec2.AssociateAddressOutput) {
	m.addCall("AssociateAddressRequest")
	m.verifyInput("AssociateAddressRequest", param0)
	return m.AssociateAddressRequestFunc(param0)
}

func (m *ec2Mock) AssociateAddressWithContext(param0 aws.Context, param1 *ec2.AssociateAddressInput, param2 ...request.Option) (*ec2.AssociateAddressOutput, error) {
	m.addCall("AssociateAddressWithContext")
	m.verifyInput("AssociateAddressWithContext", param0)
	return m.AssociateAddressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssociateDhcpOptions(param0 *ec2.AssociateDhcpOptionsInput) (*ec2.AssociateDhcpOptionsOutput, error) {
	m.addCall("AssociateDhcpOptions")
	m.verifyInput("AssociateDhcpOptions", param0)
	return m.AssociateDhcpOptionsFunc(param0)
}

func (m *ec2Mock) AssociateDhcpOptionsRequest(param0 *ec2.AssociateDhcpOptionsInput) (*request.Request, *ec2.AssociateDhcpOptionsOutput) {
	m.addCall("AssociateDhcpOptionsRequest")
	m.verifyInput("AssociateDhcpOptionsRequest", param0)
	return m.AssociateDhcpOptionsRequestFunc(param0)
}

func (m *ec2Mock) AssociateDhcpOptionsWithContext(param0 aws.Context, param1 *ec2.AssociateDhcpOptionsInput, param2 ...request.Option) (*ec2.AssociateDhcpOptionsOutput, error) {
	m.addCall("AssociateDhcpOptionsWithContext")
	m.verifyInput("AssociateDhcpOptionsWithContext", param0)
	return m.AssociateDhcpOptionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssociateIamInstanceProfile(param0 *ec2.AssociateIamInstanceProfileInput) (*ec2.AssociateIamInstanceProfileOutput, error) {
	m.addCall("AssociateIamInstanceProfile")
	m.verifyInput("AssociateIamInstanceProfile", param0)
	return m.AssociateIamInstanceProfileFunc(param0)
}

func (m *ec2Mock) AssociateIamInstanceProfileRequest(param0 *ec2.AssociateIamInstanceProfileInput) (*request.Request, *ec2.AssociateIamInstanceProfileOutput) {
	m.addCall("AssociateIamInstanceProfileRequest")
	m.verifyInput("AssociateIamInstanceProfileRequest", param0)
	return m.AssociateIamInstanceProfileRequestFunc(param0)
}

func (m *ec2Mock) AssociateIamInstanceProfileWithContext(param0 aws.Context, param1 *ec2.AssociateIamInstanceProfileInput, param2 ...request.Option) (*ec2.AssociateIamInstanceProfileOutput, error) {
	m.addCall("AssociateIamInstanceProfileWithContext")
	m.verifyInput("AssociateIamInstanceProfileWithContext", param0)
	return m.AssociateIamInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssociateRouteTable(param0 *ec2.AssociateRouteTableInput) (*ec2.AssociateRouteTableOutput, error) {
	m.addCall("AssociateRouteTable")
	m.verifyInput("AssociateRouteTable", param0)
	return m.AssociateRouteTableFunc(param0)
}

func (m *ec2Mock) AssociateRouteTableRequest(param0 *ec2.AssociateRouteTableInput) (*request.Request, *ec2.AssociateRouteTableOutput) {
	m.addCall("AssociateRouteTableRequest")
	m.verifyInput("AssociateRouteTableRequest", param0)
	return m.AssociateRouteTableRequestFunc(param0)
}

func (m *ec2Mock) AssociateRouteTableWithContext(param0 aws.Context, param1 *ec2.AssociateRouteTableInput, param2 ...request.Option) (*ec2.AssociateRouteTableOutput, error) {
	m.addCall("AssociateRouteTableWithContext")
	m.verifyInput("AssociateRouteTableWithContext", param0)
	return m.AssociateRouteTableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssociateSubnetCidrBlock(param0 *ec2.AssociateSubnetCidrBlockInput) (*ec2.AssociateSubnetCidrBlockOutput, error) {
	m.addCall("AssociateSubnetCidrBlock")
	m.verifyInput("AssociateSubnetCidrBlock", param0)
	return m.AssociateSubnetCidrBlockFunc(param0)
}

func (m *ec2Mock) AssociateSubnetCidrBlockRequest(param0 *ec2.AssociateSubnetCidrBlockInput) (*request.Request, *ec2.AssociateSubnetCidrBlockOutput) {
	m.addCall("AssociateSubnetCidrBlockRequest")
	m.verifyInput("AssociateSubnetCidrBlockRequest", param0)
	return m.AssociateSubnetCidrBlockRequestFunc(param0)
}

func (m *ec2Mock) AssociateSubnetCidrBlockWithContext(param0 aws.Context, param1 *ec2.AssociateSubnetCidrBlockInput, param2 ...request.Option) (*ec2.AssociateSubnetCidrBlockOutput, error) {
	m.addCall("AssociateSubnetCidrBlockWithContext")
	m.verifyInput("AssociateSubnetCidrBlockWithContext", param0)
	return m.AssociateSubnetCidrBlockWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AssociateVpcCidrBlock(param0 *ec2.AssociateVpcCidrBlockInput) (*ec2.AssociateVpcCidrBlockOutput, error) {
	m.addCall("AssociateVpcCidrBlock")
	m.verifyInput("AssociateVpcCidrBlock", param0)
	return m.AssociateVpcCidrBlockFunc(param0)
}

func (m *ec2Mock) AssociateVpcCidrBlockRequest(param0 *ec2.AssociateVpcCidrBlockInput) (*request.Request, *ec2.AssociateVpcCidrBlockOutput) {
	m.addCall("AssociateVpcCidrBlockRequest")
	m.verifyInput("AssociateVpcCidrBlockRequest", param0)
	return m.AssociateVpcCidrBlockRequestFunc(param0)
}

func (m *ec2Mock) AssociateVpcCidrBlockWithContext(param0 aws.Context, param1 *ec2.AssociateVpcCidrBlockInput, param2 ...request.Option) (*ec2.AssociateVpcCidrBlockOutput, error) {
	m.addCall("AssociateVpcCidrBlockWithContext")
	m.verifyInput("AssociateVpcCidrBlockWithContext", param0)
	return m.AssociateVpcCidrBlockWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AttachClassicLinkVpc(param0 *ec2.AttachClassicLinkVpcInput) (*ec2.AttachClassicLinkVpcOutput, error) {
	m.addCall("AttachClassicLinkVpc")
	m.verifyInput("AttachClassicLinkVpc", param0)
	return m.AttachClassicLinkVpcFunc(param0)
}

func (m *ec2Mock) AttachClassicLinkVpcRequest(param0 *ec2.AttachClassicLinkVpcInput) (*request.Request, *ec2.AttachClassicLinkVpcOutput) {
	m.addCall("AttachClassicLinkVpcRequest")
	m.verifyInput("AttachClassicLinkVpcRequest", param0)
	return m.AttachClassicLinkVpcRequestFunc(param0)
}

func (m *ec2Mock) AttachClassicLinkVpcWithContext(param0 aws.Context, param1 *ec2.AttachClassicLinkVpcInput, param2 ...request.Option) (*ec2.AttachClassicLinkVpcOutput, error) {
	m.addCall("AttachClassicLinkVpcWithContext")
	m.verifyInput("AttachClassicLinkVpcWithContext", param0)
	return m.AttachClassicLinkVpcWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AttachInternetGateway(param0 *ec2.AttachInternetGatewayInput) (*ec2.AttachInternetGatewayOutput, error) {
	m.addCall("AttachInternetGateway")
	m.verifyInput("AttachInternetGateway", param0)
	return m.AttachInternetGatewayFunc(param0)
}

func (m *ec2Mock) AttachInternetGatewayRequest(param0 *ec2.AttachInternetGatewayInput) (*request.Request, *ec2.AttachInternetGatewayOutput) {
	m.addCall("AttachInternetGatewayRequest")
	m.verifyInput("AttachInternetGatewayRequest", param0)
	return m.AttachInternetGatewayRequestFunc(param0)
}

func (m *ec2Mock) AttachInternetGatewayWithContext(param0 aws.Context, param1 *ec2.AttachInternetGatewayInput, param2 ...request.Option) (*ec2.AttachInternetGatewayOutput, error) {
	m.addCall("AttachInternetGatewayWithContext")
	m.verifyInput("AttachInternetGatewayWithContext", param0)
	return m.AttachInternetGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AttachNetworkInterface(param0 *ec2.AttachNetworkInterfaceInput) (*ec2.AttachNetworkInterfaceOutput, error) {
	m.addCall("AttachNetworkInterface")
	m.verifyInput("AttachNetworkInterface", param0)
	return m.AttachNetworkInterfaceFunc(param0)
}

func (m *ec2Mock) AttachNetworkInterfaceRequest(param0 *ec2.AttachNetworkInterfaceInput) (*request.Request, *ec2.AttachNetworkInterfaceOutput) {
	m.addCall("AttachNetworkInterfaceRequest")
	m.verifyInput("AttachNetworkInterfaceRequest", param0)
	return m.AttachNetworkInterfaceRequestFunc(param0)
}

func (m *ec2Mock) AttachNetworkInterfaceWithContext(param0 aws.Context, param1 *ec2.AttachNetworkInterfaceInput, param2 ...request.Option) (*ec2.AttachNetworkInterfaceOutput, error) {
	m.addCall("AttachNetworkInterfaceWithContext")
	m.verifyInput("AttachNetworkInterfaceWithContext", param0)
	return m.AttachNetworkInterfaceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AttachVolume(param0 *ec2.AttachVolumeInput) (*ec2.VolumeAttachment, error) {
	m.addCall("AttachVolume")
	m.verifyInput("AttachVolume", param0)
	return m.AttachVolumeFunc(param0)
}

func (m *ec2Mock) AttachVolumeRequest(param0 *ec2.AttachVolumeInput) (*request.Request, *ec2.VolumeAttachment) {
	m.addCall("AttachVolumeRequest")
	m.verifyInput("AttachVolumeRequest", param0)
	return m.AttachVolumeRequestFunc(param0)
}

func (m *ec2Mock) AttachVolumeWithContext(param0 aws.Context, param1 *ec2.AttachVolumeInput, param2 ...request.Option) (*ec2.VolumeAttachment, error) {
	m.addCall("AttachVolumeWithContext")
	m.verifyInput("AttachVolumeWithContext", param0)
	return m.AttachVolumeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AttachVpnGateway(param0 *ec2.AttachVpnGatewayInput) (*ec2.AttachVpnGatewayOutput, error) {
	m.addCall("AttachVpnGateway")
	m.verifyInput("AttachVpnGateway", param0)
	return m.AttachVpnGatewayFunc(param0)
}

func (m *ec2Mock) AttachVpnGatewayRequest(param0 *ec2.AttachVpnGatewayInput) (*request.Request, *ec2.AttachVpnGatewayOutput) {
	m.addCall("AttachVpnGatewayRequest")
	m.verifyInput("AttachVpnGatewayRequest", param0)
	return m.AttachVpnGatewayRequestFunc(param0)
}

func (m *ec2Mock) AttachVpnGatewayWithContext(param0 aws.Context, param1 *ec2.AttachVpnGatewayInput, param2 ...request.Option) (*ec2.AttachVpnGatewayOutput, error) {
	m.addCall("AttachVpnGatewayWithContext")
	m.verifyInput("AttachVpnGatewayWithContext", param0)
	return m.AttachVpnGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AuthorizeSecurityGroupEgress(param0 *ec2.AuthorizeSecurityGroupEgressInput) (*ec2.AuthorizeSecurityGroupEgressOutput, error) {
	m.addCall("AuthorizeSecurityGroupEgress")
	m.verifyInput("AuthorizeSecurityGroupEgress", param0)
	return m.AuthorizeSecurityGroupEgressFunc(param0)
}

func (m *ec2Mock) AuthorizeSecurityGroupEgressRequest(param0 *ec2.AuthorizeSecurityGroupEgressInput) (*request.Request, *ec2.AuthorizeSecurityGroupEgressOutput) {
	m.addCall("AuthorizeSecurityGroupEgressRequest")
	m.verifyInput("AuthorizeSecurityGroupEgressRequest", param0)
	return m.AuthorizeSecurityGroupEgressRequestFunc(param0)
}

func (m *ec2Mock) AuthorizeSecurityGroupEgressWithContext(param0 aws.Context, param1 *ec2.AuthorizeSecurityGroupEgressInput, param2 ...request.Option) (*ec2.AuthorizeSecurityGroupEgressOutput, error) {
	m.addCall("AuthorizeSecurityGroupEgressWithContext")
	m.verifyInput("AuthorizeSecurityGroupEgressWithContext", param0)
	return m.AuthorizeSecurityGroupEgressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) AuthorizeSecurityGroupIngress(param0 *ec2.AuthorizeSecurityGroupIngressInput) (*ec2.AuthorizeSecurityGroupIngressOutput, error) {
	m.addCall("AuthorizeSecurityGroupIngress")
	m.verifyInput("AuthorizeSecurityGroupIngress", param0)
	return m.AuthorizeSecurityGroupIngressFunc(param0)
}

func (m *ec2Mock) AuthorizeSecurityGroupIngressRequest(param0 *ec2.AuthorizeSecurityGroupIngressInput) (*request.Request, *ec2.AuthorizeSecurityGroupIngressOutput) {
	m.addCall("AuthorizeSecurityGroupIngressRequest")
	m.verifyInput("AuthorizeSecurityGroupIngressRequest", param0)
	return m.AuthorizeSecurityGroupIngressRequestFunc(param0)
}

func (m *ec2Mock) AuthorizeSecurityGroupIngressWithContext(param0 aws.Context, param1 *ec2.AuthorizeSecurityGroupIngressInput, param2 ...request.Option) (*ec2.AuthorizeSecurityGroupIngressOutput, error) {
	m.addCall("AuthorizeSecurityGroupIngressWithContext")
	m.verifyInput("AuthorizeSecurityGroupIngressWithContext", param0)
	return m.AuthorizeSecurityGroupIngressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) BundleInstance(param0 *ec2.BundleInstanceInput) (*ec2.BundleInstanceOutput, error) {
	m.addCall("BundleInstance")
	m.verifyInput("BundleInstance", param0)
	return m.BundleInstanceFunc(param0)
}

func (m *ec2Mock) BundleInstanceRequest(param0 *ec2.BundleInstanceInput) (*request.Request, *ec2.BundleInstanceOutput) {
	m.addCall("BundleInstanceRequest")
	m.verifyInput("BundleInstanceRequest", param0)
	return m.BundleInstanceRequestFunc(param0)
}

func (m *ec2Mock) BundleInstanceWithContext(param0 aws.Context, param1 *ec2.BundleInstanceInput, param2 ...request.Option) (*ec2.BundleInstanceOutput, error) {
	m.addCall("BundleInstanceWithContext")
	m.verifyInput("BundleInstanceWithContext", param0)
	return m.BundleInstanceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelBundleTask(param0 *ec2.CancelBundleTaskInput) (*ec2.CancelBundleTaskOutput, error) {
	m.addCall("CancelBundleTask")
	m.verifyInput("CancelBundleTask", param0)
	return m.CancelBundleTaskFunc(param0)
}

func (m *ec2Mock) CancelBundleTaskRequest(param0 *ec2.CancelBundleTaskInput) (*request.Request, *ec2.CancelBundleTaskOutput) {
	m.addCall("CancelBundleTaskRequest")
	m.verifyInput("CancelBundleTaskRequest", param0)
	return m.CancelBundleTaskRequestFunc(param0)
}

func (m *ec2Mock) CancelBundleTaskWithContext(param0 aws.Context, param1 *ec2.CancelBundleTaskInput, param2 ...request.Option) (*ec2.CancelBundleTaskOutput, error) {
	m.addCall("CancelBundleTaskWithContext")
	m.verifyInput("CancelBundleTaskWithContext", param0)
	return m.CancelBundleTaskWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelConversionTask(param0 *ec2.CancelConversionTaskInput) (*ec2.CancelConversionTaskOutput, error) {
	m.addCall("CancelConversionTask")
	m.verifyInput("CancelConversionTask", param0)
	return m.CancelConversionTaskFunc(param0)
}

func (m *ec2Mock) CancelConversionTaskRequest(param0 *ec2.CancelConversionTaskInput) (*request.Request, *ec2.CancelConversionTaskOutput) {
	m.addCall("CancelConversionTaskRequest")
	m.verifyInput("CancelConversionTaskRequest", param0)
	return m.CancelConversionTaskRequestFunc(param0)
}

func (m *ec2Mock) CancelConversionTaskWithContext(param0 aws.Context, param1 *ec2.CancelConversionTaskInput, param2 ...request.Option) (*ec2.CancelConversionTaskOutput, error) {
	m.addCall("CancelConversionTaskWithContext")
	m.verifyInput("CancelConversionTaskWithContext", param0)
	return m.CancelConversionTaskWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelExportTask(param0 *ec2.CancelExportTaskInput) (*ec2.CancelExportTaskOutput, error) {
	m.addCall("CancelExportTask")
	m.verifyInput("CancelExportTask", param0)
	return m.CancelExportTaskFunc(param0)
}

func (m *ec2Mock) CancelExportTaskRequest(param0 *ec2.CancelExportTaskInput) (*request.Request, *ec2.CancelExportTaskOutput) {
	m.addCall("CancelExportTaskRequest")
	m.verifyInput("CancelExportTaskRequest", param0)
	return m.CancelExportTaskRequestFunc(param0)
}

func (m *ec2Mock) CancelExportTaskWithContext(param0 aws.Context, param1 *ec2.CancelExportTaskInput, param2 ...request.Option) (*ec2.CancelExportTaskOutput, error) {
	m.addCall("CancelExportTaskWithContext")
	m.verifyInput("CancelExportTaskWithContext", param0)
	return m.CancelExportTaskWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelImportTask(param0 *ec2.CancelImportTaskInput) (*ec2.CancelImportTaskOutput, error) {
	m.addCall("CancelImportTask")
	m.verifyInput("CancelImportTask", param0)
	return m.CancelImportTaskFunc(param0)
}

func (m *ec2Mock) CancelImportTaskRequest(param0 *ec2.CancelImportTaskInput) (*request.Request, *ec2.CancelImportTaskOutput) {
	m.addCall("CancelImportTaskRequest")
	m.verifyInput("CancelImportTaskRequest", param0)
	return m.CancelImportTaskRequestFunc(param0)
}

func (m *ec2Mock) CancelImportTaskWithContext(param0 aws.Context, param1 *ec2.CancelImportTaskInput, param2 ...request.Option) (*ec2.CancelImportTaskOutput, error) {
	m.addCall("CancelImportTaskWithContext")
	m.verifyInput("CancelImportTaskWithContext", param0)
	return m.CancelImportTaskWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelReservedInstancesListing(param0 *ec2.CancelReservedInstancesListingInput) (*ec2.CancelReservedInstancesListingOutput, error) {
	m.addCall("CancelReservedInstancesListing")
	m.verifyInput("CancelReservedInstancesListing", param0)
	return m.CancelReservedInstancesListingFunc(param0)
}

func (m *ec2Mock) CancelReservedInstancesListingRequest(param0 *ec2.CancelReservedInstancesListingInput) (*request.Request, *ec2.CancelReservedInstancesListingOutput) {
	m.addCall("CancelReservedInstancesListingRequest")
	m.verifyInput("CancelReservedInstancesListingRequest", param0)
	return m.CancelReservedInstancesListingRequestFunc(param0)
}

func (m *ec2Mock) CancelReservedInstancesListingWithContext(param0 aws.Context, param1 *ec2.CancelReservedInstancesListingInput, param2 ...request.Option) (*ec2.CancelReservedInstancesListingOutput, error) {
	m.addCall("CancelReservedInstancesListingWithContext")
	m.verifyInput("CancelReservedInstancesListingWithContext", param0)
	return m.CancelReservedInstancesListingWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelSpotFleetRequests(param0 *ec2.CancelSpotFleetRequestsInput) (*ec2.CancelSpotFleetRequestsOutput, error) {
	m.addCall("CancelSpotFleetRequests")
	m.verifyInput("CancelSpotFleetRequests", param0)
	return m.CancelSpotFleetRequestsFunc(param0)
}

func (m *ec2Mock) CancelSpotFleetRequestsRequest(param0 *ec2.CancelSpotFleetRequestsInput) (*request.Request, *ec2.CancelSpotFleetRequestsOutput) {
	m.addCall("CancelSpotFleetRequestsRequest")
	m.verifyInput("CancelSpotFleetRequestsRequest", param0)
	return m.CancelSpotFleetRequestsRequestFunc(param0)
}

func (m *ec2Mock) CancelSpotFleetRequestsWithContext(param0 aws.Context, param1 *ec2.CancelSpotFleetRequestsInput, param2 ...request.Option) (*ec2.CancelSpotFleetRequestsOutput, error) {
	m.addCall("CancelSpotFleetRequestsWithContext")
	m.verifyInput("CancelSpotFleetRequestsWithContext", param0)
	return m.CancelSpotFleetRequestsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CancelSpotInstanceRequests(param0 *ec2.CancelSpotInstanceRequestsInput) (*ec2.CancelSpotInstanceRequestsOutput, error) {
	m.addCall("CancelSpotInstanceRequests")
	m.verifyInput("CancelSpotInstanceRequests", param0)
	return m.CancelSpotInstanceRequestsFunc(param0)
}

func (m *ec2Mock) CancelSpotInstanceRequestsRequest(param0 *ec2.CancelSpotInstanceRequestsInput) (*request.Request, *ec2.CancelSpotInstanceRequestsOutput) {
	m.addCall("CancelSpotInstanceRequestsRequest")
	m.verifyInput("CancelSpotInstanceRequestsRequest", param0)
	return m.CancelSpotInstanceRequestsRequestFunc(param0)
}

func (m *ec2Mock) CancelSpotInstanceRequestsWithContext(param0 aws.Context, param1 *ec2.CancelSpotInstanceRequestsInput, param2 ...request.Option) (*ec2.CancelSpotInstanceRequestsOutput, error) {
	m.addCall("CancelSpotInstanceRequestsWithContext")
	m.verifyInput("CancelSpotInstanceRequestsWithContext", param0)
	return m.CancelSpotInstanceRequestsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ConfirmProductInstance(param0 *ec2.ConfirmProductInstanceInput) (*ec2.ConfirmProductInstanceOutput, error) {
	m.addCall("ConfirmProductInstance")
	m.verifyInput("ConfirmProductInstance", param0)
	return m.ConfirmProductInstanceFunc(param0)
}

func (m *ec2Mock) ConfirmProductInstanceRequest(param0 *ec2.ConfirmProductInstanceInput) (*request.Request, *ec2.ConfirmProductInstanceOutput) {
	m.addCall("ConfirmProductInstanceRequest")
	m.verifyInput("ConfirmProductInstanceRequest", param0)
	return m.ConfirmProductInstanceRequestFunc(param0)
}

func (m *ec2Mock) ConfirmProductInstanceWithContext(param0 aws.Context, param1 *ec2.ConfirmProductInstanceInput, param2 ...request.Option) (*ec2.ConfirmProductInstanceOutput, error) {
	m.addCall("ConfirmProductInstanceWithContext")
	m.verifyInput("ConfirmProductInstanceWithContext", param0)
	return m.ConfirmProductInstanceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CopyFpgaImage(param0 *ec2.CopyFpgaImageInput) (*ec2.CopyFpgaImageOutput, error) {
	m.addCall("CopyFpgaImage")
	m.verifyInput("CopyFpgaImage", param0)
	return m.CopyFpgaImageFunc(param0)
}

func (m *ec2Mock) CopyFpgaImageRequest(param0 *ec2.CopyFpgaImageInput) (*request.Request, *ec2.CopyFpgaImageOutput) {
	m.addCall("CopyFpgaImageRequest")
	m.verifyInput("CopyFpgaImageRequest", param0)
	return m.CopyFpgaImageRequestFunc(param0)
}

func (m *ec2Mock) CopyFpgaImageWithContext(param0 aws.Context, param1 *ec2.CopyFpgaImageInput, param2 ...request.Option) (*ec2.CopyFpgaImageOutput, error) {
	m.addCall("CopyFpgaImageWithContext")
	m.verifyInput("CopyFpgaImageWithContext", param0)
	return m.CopyFpgaImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CopyImage(param0 *ec2.CopyImageInput) (*ec2.CopyImageOutput, error) {
	m.addCall("CopyImage")
	m.verifyInput("CopyImage", param0)
	return m.CopyImageFunc(param0)
}

func (m *ec2Mock) CopyImageRequest(param0 *ec2.CopyImageInput) (*request.Request, *ec2.CopyImageOutput) {
	m.addCall("CopyImageRequest")
	m.verifyInput("CopyImageRequest", param0)
	return m.CopyImageRequestFunc(param0)
}

func (m *ec2Mock) CopyImageWithContext(param0 aws.Context, param1 *ec2.CopyImageInput, param2 ...request.Option) (*ec2.CopyImageOutput, error) {
	m.addCall("CopyImageWithContext")
	m.verifyInput("CopyImageWithContext", param0)
	return m.CopyImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CopySnapshot(param0 *ec2.CopySnapshotInput) (*ec2.CopySnapshotOutput, error) {
	m.addCall("CopySnapshot")
	m.verifyInput("CopySnapshot", param0)
	return m.CopySnapshotFunc(param0)
}

func (m *ec2Mock) CopySnapshotRequest(param0 *ec2.CopySnapshotInput) (*request.Request, *ec2.CopySnapshotOutput) {
	m.addCall("CopySnapshotRequest")
	m.verifyInput("CopySnapshotRequest", param0)
	return m.CopySnapshotRequestFunc(param0)
}

func (m *ec2Mock) CopySnapshotWithContext(param0 aws.Context, param1 *ec2.CopySnapshotInput, param2 ...request.Option) (*ec2.CopySnapshotOutput, error) {
	m.addCall("CopySnapshotWithContext")
	m.verifyInput("CopySnapshotWithContext", param0)
	return m.CopySnapshotWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateCustomerGateway(param0 *ec2.CreateCustomerGatewayInput) (*ec2.CreateCustomerGatewayOutput, error) {
	m.addCall("CreateCustomerGateway")
	m.verifyInput("CreateCustomerGateway", param0)
	return m.CreateCustomerGatewayFunc(param0)
}

func (m *ec2Mock) CreateCustomerGatewayRequest(param0 *ec2.CreateCustomerGatewayInput) (*request.Request, *ec2.CreateCustomerGatewayOutput) {
	m.addCall("CreateCustomerGatewayRequest")
	m.verifyInput("CreateCustomerGatewayRequest", param0)
	return m.CreateCustomerGatewayRequestFunc(param0)
}

func (m *ec2Mock) CreateCustomerGatewayWithContext(param0 aws.Context, param1 *ec2.CreateCustomerGatewayInput, param2 ...request.Option) (*ec2.CreateCustomerGatewayOutput, error) {
	m.addCall("CreateCustomerGatewayWithContext")
	m.verifyInput("CreateCustomerGatewayWithContext", param0)
	return m.CreateCustomerGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateDefaultVpc(param0 *ec2.CreateDefaultVpcInput) (*ec2.CreateDefaultVpcOutput, error) {
	m.addCall("CreateDefaultVpc")
	m.verifyInput("CreateDefaultVpc", param0)
	return m.CreateDefaultVpcFunc(param0)
}

func (m *ec2Mock) CreateDefaultVpcRequest(param0 *ec2.CreateDefaultVpcInput) (*request.Request, *ec2.CreateDefaultVpcOutput) {
	m.addCall("CreateDefaultVpcRequest")
	m.verifyInput("CreateDefaultVpcRequest", param0)
	return m.CreateDefaultVpcRequestFunc(param0)
}

func (m *ec2Mock) CreateDefaultVpcWithContext(param0 aws.Context, param1 *ec2.CreateDefaultVpcInput, param2 ...request.Option) (*ec2.CreateDefaultVpcOutput, error) {
	m.addCall("CreateDefaultVpcWithContext")
	m.verifyInput("CreateDefaultVpcWithContext", param0)
	return m.CreateDefaultVpcWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateDhcpOptions(param0 *ec2.CreateDhcpOptionsInput) (*ec2.CreateDhcpOptionsOutput, error) {
	m.addCall("CreateDhcpOptions")
	m.verifyInput("CreateDhcpOptions", param0)
	return m.CreateDhcpOptionsFunc(param0)
}

func (m *ec2Mock) CreateDhcpOptionsRequest(param0 *ec2.CreateDhcpOptionsInput) (*request.Request, *ec2.CreateDhcpOptionsOutput) {
	m.addCall("CreateDhcpOptionsRequest")
	m.verifyInput("CreateDhcpOptionsRequest", param0)
	return m.CreateDhcpOptionsRequestFunc(param0)
}

func (m *ec2Mock) CreateDhcpOptionsWithContext(param0 aws.Context, param1 *ec2.CreateDhcpOptionsInput, param2 ...request.Option) (*ec2.CreateDhcpOptionsOutput, error) {
	m.addCall("CreateDhcpOptionsWithContext")
	m.verifyInput("CreateDhcpOptionsWithContext", param0)
	return m.CreateDhcpOptionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateEgressOnlyInternetGateway(param0 *ec2.CreateEgressOnlyInternetGatewayInput) (*ec2.CreateEgressOnlyInternetGatewayOutput, error) {
	m.addCall("CreateEgressOnlyInternetGateway")
	m.verifyInput("CreateEgressOnlyInternetGateway", param0)
	return m.CreateEgressOnlyInternetGatewayFunc(param0)
}

func (m *ec2Mock) CreateEgressOnlyInternetGatewayRequest(param0 *ec2.CreateEgressOnlyInternetGatewayInput) (*request.Request, *ec2.CreateEgressOnlyInternetGatewayOutput) {
	m.addCall("CreateEgressOnlyInternetGatewayRequest")
	m.verifyInput("CreateEgressOnlyInternetGatewayRequest", param0)
	return m.CreateEgressOnlyInternetGatewayRequestFunc(param0)
}

func (m *ec2Mock) CreateEgressOnlyInternetGatewayWithContext(param0 aws.Context, param1 *ec2.CreateEgressOnlyInternetGatewayInput, param2 ...request.Option) (*ec2.CreateEgressOnlyInternetGatewayOutput, error) {
	m.addCall("CreateEgressOnlyInternetGatewayWithContext")
	m.verifyInput("CreateEgressOnlyInternetGatewayWithContext", param0)
	return m.CreateEgressOnlyInternetGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateFlowLogs(param0 *ec2.CreateFlowLogsInput) (*ec2.CreateFlowLogsOutput, error) {
	m.addCall("CreateFlowLogs")
	m.verifyInput("CreateFlowLogs", param0)
	return m.CreateFlowLogsFunc(param0)
}

func (m *ec2Mock) CreateFlowLogsRequest(param0 *ec2.CreateFlowLogsInput) (*request.Request, *ec2.CreateFlowLogsOutput) {
	m.addCall("CreateFlowLogsRequest")
	m.verifyInput("CreateFlowLogsRequest", param0)
	return m.CreateFlowLogsRequestFunc(param0)
}

func (m *ec2Mock) CreateFlowLogsWithContext(param0 aws.Context, param1 *ec2.CreateFlowLogsInput, param2 ...request.Option) (*ec2.CreateFlowLogsOutput, error) {
	m.addCall("CreateFlowLogsWithContext")
	m.verifyInput("CreateFlowLogsWithContext", param0)
	return m.CreateFlowLogsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateFpgaImage(param0 *ec2.CreateFpgaImageInput) (*ec2.CreateFpgaImageOutput, error) {
	m.addCall("CreateFpgaImage")
	m.verifyInput("CreateFpgaImage", param0)
	return m.CreateFpgaImageFunc(param0)
}

func (m *ec2Mock) CreateFpgaImageRequest(param0 *ec2.CreateFpgaImageInput) (*request.Request, *ec2.CreateFpgaImageOutput) {
	m.addCall("CreateFpgaImageRequest")
	m.verifyInput("CreateFpgaImageRequest", param0)
	return m.CreateFpgaImageRequestFunc(param0)
}

func (m *ec2Mock) CreateFpgaImageWithContext(param0 aws.Context, param1 *ec2.CreateFpgaImageInput, param2 ...request.Option) (*ec2.CreateFpgaImageOutput, error) {
	m.addCall("CreateFpgaImageWithContext")
	m.verifyInput("CreateFpgaImageWithContext", param0)
	return m.CreateFpgaImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateImage(param0 *ec2.CreateImageInput) (*ec2.CreateImageOutput, error) {
	m.addCall("CreateImage")
	m.verifyInput("CreateImage", param0)
	return m.CreateImageFunc(param0)
}

func (m *ec2Mock) CreateImageRequest(param0 *ec2.CreateImageInput) (*request.Request, *ec2.CreateImageOutput) {
	m.addCall("CreateImageRequest")
	m.verifyInput("CreateImageRequest", param0)
	return m.CreateImageRequestFunc(param0)
}

func (m *ec2Mock) CreateImageWithContext(param0 aws.Context, param1 *ec2.CreateImageInput, param2 ...request.Option) (*ec2.CreateImageOutput, error) {
	m.addCall("CreateImageWithContext")
	m.verifyInput("CreateImageWithContext", param0)
	return m.CreateImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateInstanceExportTask(param0 *ec2.CreateInstanceExportTaskInput) (*ec2.CreateInstanceExportTaskOutput, error) {
	m.addCall("CreateInstanceExportTask")
	m.verifyInput("CreateInstanceExportTask", param0)
	return m.CreateInstanceExportTaskFunc(param0)
}

func (m *ec2Mock) CreateInstanceExportTaskRequest(param0 *ec2.CreateInstanceExportTaskInput) (*request.Request, *ec2.CreateInstanceExportTaskOutput) {
	m.addCall("CreateInstanceExportTaskRequest")
	m.verifyInput("CreateInstanceExportTaskRequest", param0)
	return m.CreateInstanceExportTaskRequestFunc(param0)
}

func (m *ec2Mock) CreateInstanceExportTaskWithContext(param0 aws.Context, param1 *ec2.CreateInstanceExportTaskInput, param2 ...request.Option) (*ec2.CreateInstanceExportTaskOutput, error) {
	m.addCall("CreateInstanceExportTaskWithContext")
	m.verifyInput("CreateInstanceExportTaskWithContext", param0)
	return m.CreateInstanceExportTaskWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateInternetGateway(param0 *ec2.CreateInternetGatewayInput) (*ec2.CreateInternetGatewayOutput, error) {
	m.addCall("CreateInternetGateway")
	m.verifyInput("CreateInternetGateway", param0)
	return m.CreateInternetGatewayFunc(param0)
}

func (m *ec2Mock) CreateInternetGatewayRequest(param0 *ec2.CreateInternetGatewayInput) (*request.Request, *ec2.CreateInternetGatewayOutput) {
	m.addCall("CreateInternetGatewayRequest")
	m.verifyInput("CreateInternetGatewayRequest", param0)
	return m.CreateInternetGatewayRequestFunc(param0)
}

func (m *ec2Mock) CreateInternetGatewayWithContext(param0 aws.Context, param1 *ec2.CreateInternetGatewayInput, param2 ...request.Option) (*ec2.CreateInternetGatewayOutput, error) {
	m.addCall("CreateInternetGatewayWithContext")
	m.verifyInput("CreateInternetGatewayWithContext", param0)
	return m.CreateInternetGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateKeyPair(param0 *ec2.CreateKeyPairInput) (*ec2.CreateKeyPairOutput, error) {
	m.addCall("CreateKeyPair")
	m.verifyInput("CreateKeyPair", param0)
	return m.CreateKeyPairFunc(param0)
}

func (m *ec2Mock) CreateKeyPairRequest(param0 *ec2.CreateKeyPairInput) (*request.Request, *ec2.CreateKeyPairOutput) {
	m.addCall("CreateKeyPairRequest")
	m.verifyInput("CreateKeyPairRequest", param0)
	return m.CreateKeyPairRequestFunc(param0)
}

func (m *ec2Mock) CreateKeyPairWithContext(param0 aws.Context, param1 *ec2.CreateKeyPairInput, param2 ...request.Option) (*ec2.CreateKeyPairOutput, error) {
	m.addCall("CreateKeyPairWithContext")
	m.verifyInput("CreateKeyPairWithContext", param0)
	return m.CreateKeyPairWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateNatGateway(param0 *ec2.CreateNatGatewayInput) (*ec2.CreateNatGatewayOutput, error) {
	m.addCall("CreateNatGateway")
	m.verifyInput("CreateNatGateway", param0)
	return m.CreateNatGatewayFunc(param0)
}

func (m *ec2Mock) CreateNatGatewayRequest(param0 *ec2.CreateNatGatewayInput) (*request.Request, *ec2.CreateNatGatewayOutput) {
	m.addCall("CreateNatGatewayRequest")
	m.verifyInput("CreateNatGatewayRequest", param0)
	return m.CreateNatGatewayRequestFunc(param0)
}

func (m *ec2Mock) CreateNatGatewayWithContext(param0 aws.Context, param1 *ec2.CreateNatGatewayInput, param2 ...request.Option) (*ec2.CreateNatGatewayOutput, error) {
	m.addCall("CreateNatGatewayWithContext")
	m.verifyInput("CreateNatGatewayWithContext", param0)
	return m.CreateNatGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateNetworkAcl(param0 *ec2.CreateNetworkAclInput) (*ec2.CreateNetworkAclOutput, error) {
	m.addCall("CreateNetworkAcl")
	m.verifyInput("CreateNetworkAcl", param0)
	return m.CreateNetworkAclFunc(param0)
}

func (m *ec2Mock) CreateNetworkAclEntry(param0 *ec2.CreateNetworkAclEntryInput) (*ec2.CreateNetworkAclEntryOutput, error) {
	m.addCall("CreateNetworkAclEntry")
	m.verifyInput("CreateNetworkAclEntry", param0)
	return m.CreateNetworkAclEntryFunc(param0)
}

func (m *ec2Mock) CreateNetworkAclEntryRequest(param0 *ec2.CreateNetworkAclEntryInput) (*request.Request, *ec2.CreateNetworkAclEntryOutput) {
	m.addCall("CreateNetworkAclEntryRequest")
	m.verifyInput("CreateNetworkAclEntryRequest", param0)
	return m.CreateNetworkAclEntryRequestFunc(param0)
}

func (m *ec2Mock) CreateNetworkAclEntryWithContext(param0 aws.Context, param1 *ec2.CreateNetworkAclEntryInput, param2 ...request.Option) (*ec2.CreateNetworkAclEntryOutput, error) {
	m.addCall("CreateNetworkAclEntryWithContext")
	m.verifyInput("CreateNetworkAclEntryWithContext", param0)
	return m.CreateNetworkAclEntryWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateNetworkAclRequest(param0 *ec2.CreateNetworkAclInput) (*request.Request, *ec2.CreateNetworkAclOutput) {
	m.addCall("CreateNetworkAclRequest")
	m.verifyInput("CreateNetworkAclRequest", param0)
	return m.CreateNetworkAclRequestFunc(param0)
}

func (m *ec2Mock) CreateNetworkAclWithContext(param0 aws.Context, param1 *ec2.CreateNetworkAclInput, param2 ...request.Option) (*ec2.CreateNetworkAclOutput, error) {
	m.addCall("CreateNetworkAclWithContext")
	m.verifyInput("CreateNetworkAclWithContext", param0)
	return m.CreateNetworkAclWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateNetworkInterface(param0 *ec2.CreateNetworkInterfaceInput) (*ec2.CreateNetworkInterfaceOutput, error) {
	m.addCall("CreateNetworkInterface")
	m.verifyInput("CreateNetworkInterface", param0)
	return m.CreateNetworkInterfaceFunc(param0)
}

func (m *ec2Mock) CreateNetworkInterfacePermission(param0 *ec2.CreateNetworkInterfacePermissionInput) (*ec2.CreateNetworkInterfacePermissionOutput, error) {
	m.addCall("CreateNetworkInterfacePermission")
	m.verifyInput("CreateNetworkInterfacePermission", param0)
	return m.CreateNetworkInterfacePermissionFunc(param0)
}

func (m *ec2Mock) CreateNetworkInterfacePermissionRequest(param0 *ec2.CreateNetworkInterfacePermissionInput) (*request.Request, *ec2.CreateNetworkInterfacePermissionOutput) {
	m.addCall("CreateNetworkInterfacePermissionRequest")
	m.verifyInput("CreateNetworkInterfacePermissionRequest", param0)
	return m.CreateNetworkInterfacePermissionRequestFunc(param0)
}

func (m *ec2Mock) CreateNetworkInterfacePermissionWithContext(param0 aws.Context, param1 *ec2.CreateNetworkInterfacePermissionInput, param2 ...request.Option) (*ec2.CreateNetworkInterfacePermissionOutput, error) {
	m.addCall("CreateNetworkInterfacePermissionWithContext")
	m.verifyInput("CreateNetworkInterfacePermissionWithContext", param0)
	return m.CreateNetworkInterfacePermissionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateNetworkInterfaceRequest(param0 *ec2.CreateNetworkInterfaceInput) (*request.Request, *ec2.CreateNetworkInterfaceOutput) {
	m.addCall("CreateNetworkInterfaceRequest")
	m.verifyInput("CreateNetworkInterfaceRequest", param0)
	return m.CreateNetworkInterfaceRequestFunc(param0)
}

func (m *ec2Mock) CreateNetworkInterfaceWithContext(param0 aws.Context, param1 *ec2.CreateNetworkInterfaceInput, param2 ...request.Option) (*ec2.CreateNetworkInterfaceOutput, error) {
	m.addCall("CreateNetworkInterfaceWithContext")
	m.verifyInput("CreateNetworkInterfaceWithContext", param0)
	return m.CreateNetworkInterfaceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreatePlacementGroup(param0 *ec2.CreatePlacementGroupInput) (*ec2.CreatePlacementGroupOutput, error) {
	m.addCall("CreatePlacementGroup")
	m.verifyInput("CreatePlacementGroup", param0)
	return m.CreatePlacementGroupFunc(param0)
}

func (m *ec2Mock) CreatePlacementGroupRequest(param0 *ec2.CreatePlacementGroupInput) (*request.Request, *ec2.CreatePlacementGroupOutput) {
	m.addCall("CreatePlacementGroupRequest")
	m.verifyInput("CreatePlacementGroupRequest", param0)
	return m.CreatePlacementGroupRequestFunc(param0)
}

func (m *ec2Mock) CreatePlacementGroupWithContext(param0 aws.Context, param1 *ec2.CreatePlacementGroupInput, param2 ...request.Option) (*ec2.CreatePlacementGroupOutput, error) {
	m.addCall("CreatePlacementGroupWithContext")
	m.verifyInput("CreatePlacementGroupWithContext", param0)
	return m.CreatePlacementGroupWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateReservedInstancesListing(param0 *ec2.CreateReservedInstancesListingInput) (*ec2.CreateReservedInstancesListingOutput, error) {
	m.addCall("CreateReservedInstancesListing")
	m.verifyInput("CreateReservedInstancesListing", param0)
	return m.CreateReservedInstancesListingFunc(param0)
}

func (m *ec2Mock) CreateReservedInstancesListingRequest(param0 *ec2.CreateReservedInstancesListingInput) (*request.Request, *ec2.CreateReservedInstancesListingOutput) {
	m.addCall("CreateReservedInstancesListingRequest")
	m.verifyInput("CreateReservedInstancesListingRequest", param0)
	return m.CreateReservedInstancesListingRequestFunc(param0)
}

func (m *ec2Mock) CreateReservedInstancesListingWithContext(param0 aws.Context, param1 *ec2.CreateReservedInstancesListingInput, param2 ...request.Option) (*ec2.CreateReservedInstancesListingOutput, error) {
	m.addCall("CreateReservedInstancesListingWithContext")
	m.verifyInput("CreateReservedInstancesListingWithContext", param0)
	return m.CreateReservedInstancesListingWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateRoute(param0 *ec2.CreateRouteInput) (*ec2.CreateRouteOutput, error) {
	m.addCall("CreateRoute")
	m.verifyInput("CreateRoute", param0)
	return m.CreateRouteFunc(param0)
}

func (m *ec2Mock) CreateRouteRequest(param0 *ec2.CreateRouteInput) (*request.Request, *ec2.CreateRouteOutput) {
	m.addCall("CreateRouteRequest")
	m.verifyInput("CreateRouteRequest", param0)
	return m.CreateRouteRequestFunc(param0)
}

func (m *ec2Mock) CreateRouteTable(param0 *ec2.CreateRouteTableInput) (*ec2.CreateRouteTableOutput, error) {
	m.addCall("CreateRouteTable")
	m.verifyInput("CreateRouteTable", param0)
	return m.CreateRouteTableFunc(param0)
}

func (m *ec2Mock) CreateRouteTableRequest(param0 *ec2.CreateRouteTableInput) (*request.Request, *ec2.CreateRouteTableOutput) {
	m.addCall("CreateRouteTableRequest")
	m.verifyInput("CreateRouteTableRequest", param0)
	return m.CreateRouteTableRequestFunc(param0)
}

func (m *ec2Mock) CreateRouteTableWithContext(param0 aws.Context, param1 *ec2.CreateRouteTableInput, param2 ...request.Option) (*ec2.CreateRouteTableOutput, error) {
	m.addCall("CreateRouteTableWithContext")
	m.verifyInput("CreateRouteTableWithContext", param0)
	return m.CreateRouteTableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateRouteWithContext(param0 aws.Context, param1 *ec2.CreateRouteInput, param2 ...request.Option) (*ec2.CreateRouteOutput, error) {
	m.addCall("CreateRouteWithContext")
	m.verifyInput("CreateRouteWithContext", param0)
	return m.CreateRouteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateSecurityGroup(param0 *ec2.CreateSecurityGroupInput) (*ec2.CreateSecurityGroupOutput, error) {
	m.addCall("CreateSecurityGroup")
	m.verifyInput("CreateSecurityGroup", param0)
	return m.CreateSecurityGroupFunc(param0)
}

func (m *ec2Mock) CreateSecurityGroupRequest(param0 *ec2.CreateSecurityGroupInput) (*request.Request, *ec2.CreateSecurityGroupOutput) {
	m.addCall("CreateSecurityGroupRequest")
	m.verifyInput("CreateSecurityGroupRequest", param0)
	return m.CreateSecurityGroupRequestFunc(param0)
}

func (m *ec2Mock) CreateSecurityGroupWithContext(param0 aws.Context, param1 *ec2.CreateSecurityGroupInput, param2 ...request.Option) (*ec2.CreateSecurityGroupOutput, error) {
	m.addCall("CreateSecurityGroupWithContext")
	m.verifyInput("CreateSecurityGroupWithContext", param0)
	return m.CreateSecurityGroupWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateSnapshot(param0 *ec2.CreateSnapshotInput) (*ec2.Snapshot, error) {
	m.addCall("CreateSnapshot")
	m.verifyInput("CreateSnapshot", param0)
	return m.CreateSnapshotFunc(param0)
}

func (m *ec2Mock) CreateSnapshotRequest(param0 *ec2.CreateSnapshotInput) (*request.Request, *ec2.Snapshot) {
	m.addCall("CreateSnapshotRequest")
	m.verifyInput("CreateSnapshotRequest", param0)
	return m.CreateSnapshotRequestFunc(param0)
}

func (m *ec2Mock) CreateSnapshotWithContext(param0 aws.Context, param1 *ec2.CreateSnapshotInput, param2 ...request.Option) (*ec2.Snapshot, error) {
	m.addCall("CreateSnapshotWithContext")
	m.verifyInput("CreateSnapshotWithContext", param0)
	return m.CreateSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateSpotDatafeedSubscription(param0 *ec2.CreateSpotDatafeedSubscriptionInput) (*ec2.CreateSpotDatafeedSubscriptionOutput, error) {
	m.addCall("CreateSpotDatafeedSubscription")
	m.verifyInput("CreateSpotDatafeedSubscription", param0)
	return m.CreateSpotDatafeedSubscriptionFunc(param0)
}

func (m *ec2Mock) CreateSpotDatafeedSubscriptionRequest(param0 *ec2.CreateSpotDatafeedSubscriptionInput) (*request.Request, *ec2.CreateSpotDatafeedSubscriptionOutput) {
	m.addCall("CreateSpotDatafeedSubscriptionRequest")
	m.verifyInput("CreateSpotDatafeedSubscriptionRequest", param0)
	return m.CreateSpotDatafeedSubscriptionRequestFunc(param0)
}

func (m *ec2Mock) CreateSpotDatafeedSubscriptionWithContext(param0 aws.Context, param1 *ec2.CreateSpotDatafeedSubscriptionInput, param2 ...request.Option) (*ec2.CreateSpotDatafeedSubscriptionOutput, error) {
	m.addCall("CreateSpotDatafeedSubscriptionWithContext")
	m.verifyInput("CreateSpotDatafeedSubscriptionWithContext", param0)
	return m.CreateSpotDatafeedSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateSubnet(param0 *ec2.CreateSubnetInput) (*ec2.CreateSubnetOutput, error) {
	m.addCall("CreateSubnet")
	m.verifyInput("CreateSubnet", param0)
	return m.CreateSubnetFunc(param0)
}

func (m *ec2Mock) CreateSubnetRequest(param0 *ec2.CreateSubnetInput) (*request.Request, *ec2.CreateSubnetOutput) {
	m.addCall("CreateSubnetRequest")
	m.verifyInput("CreateSubnetRequest", param0)
	return m.CreateSubnetRequestFunc(param0)
}

func (m *ec2Mock) CreateSubnetWithContext(param0 aws.Context, param1 *ec2.CreateSubnetInput, param2 ...request.Option) (*ec2.CreateSubnetOutput, error) {
	m.addCall("CreateSubnetWithContext")
	m.verifyInput("CreateSubnetWithContext", param0)
	return m.CreateSubnetWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateTags(param0 *ec2.CreateTagsInput) (*ec2.CreateTagsOutput, error) {
	m.addCall("CreateTags")
	m.verifyInput("CreateTags", param0)
	return m.CreateTagsFunc(param0)
}

func (m *ec2Mock) CreateTagsRequest(param0 *ec2.CreateTagsInput) (*request.Request, *ec2.CreateTagsOutput) {
	m.addCall("CreateTagsRequest")
	m.verifyInput("CreateTagsRequest", param0)
	return m.CreateTagsRequestFunc(param0)
}

func (m *ec2Mock) CreateTagsWithContext(param0 aws.Context, param1 *ec2.CreateTagsInput, param2 ...request.Option) (*ec2.CreateTagsOutput, error) {
	m.addCall("CreateTagsWithContext")
	m.verifyInput("CreateTagsWithContext", param0)
	return m.CreateTagsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVolume(param0 *ec2.CreateVolumeInput) (*ec2.Volume, error) {
	m.addCall("CreateVolume")
	m.verifyInput("CreateVolume", param0)
	return m.CreateVolumeFunc(param0)
}

func (m *ec2Mock) CreateVolumeRequest(param0 *ec2.CreateVolumeInput) (*request.Request, *ec2.Volume) {
	m.addCall("CreateVolumeRequest")
	m.verifyInput("CreateVolumeRequest", param0)
	return m.CreateVolumeRequestFunc(param0)
}

func (m *ec2Mock) CreateVolumeWithContext(param0 aws.Context, param1 *ec2.CreateVolumeInput, param2 ...request.Option) (*ec2.Volume, error) {
	m.addCall("CreateVolumeWithContext")
	m.verifyInput("CreateVolumeWithContext", param0)
	return m.CreateVolumeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVpc(param0 *ec2.CreateVpcInput) (*ec2.CreateVpcOutput, error) {
	m.addCall("CreateVpc")
	m.verifyInput("CreateVpc", param0)
	return m.CreateVpcFunc(param0)
}

func (m *ec2Mock) CreateVpcEndpoint(param0 *ec2.CreateVpcEndpointInput) (*ec2.CreateVpcEndpointOutput, error) {
	m.addCall("CreateVpcEndpoint")
	m.verifyInput("CreateVpcEndpoint", param0)
	return m.CreateVpcEndpointFunc(param0)
}

func (m *ec2Mock) CreateVpcEndpointRequest(param0 *ec2.CreateVpcEndpointInput) (*request.Request, *ec2.CreateVpcEndpointOutput) {
	m.addCall("CreateVpcEndpointRequest")
	m.verifyInput("CreateVpcEndpointRequest", param0)
	return m.CreateVpcEndpointRequestFunc(param0)
}

func (m *ec2Mock) CreateVpcEndpointWithContext(param0 aws.Context, param1 *ec2.CreateVpcEndpointInput, param2 ...request.Option) (*ec2.CreateVpcEndpointOutput, error) {
	m.addCall("CreateVpcEndpointWithContext")
	m.verifyInput("CreateVpcEndpointWithContext", param0)
	return m.CreateVpcEndpointWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVpcPeeringConnection(param0 *ec2.CreateVpcPeeringConnectionInput) (*ec2.CreateVpcPeeringConnectionOutput, error) {
	m.addCall("CreateVpcPeeringConnection")
	m.verifyInput("CreateVpcPeeringConnection", param0)
	return m.CreateVpcPeeringConnectionFunc(param0)
}

func (m *ec2Mock) CreateVpcPeeringConnectionRequest(param0 *ec2.CreateVpcPeeringConnectionInput) (*request.Request, *ec2.CreateVpcPeeringConnectionOutput) {
	m.addCall("CreateVpcPeeringConnectionRequest")
	m.verifyInput("CreateVpcPeeringConnectionRequest", param0)
	return m.CreateVpcPeeringConnectionRequestFunc(param0)
}

func (m *ec2Mock) CreateVpcPeeringConnectionWithContext(param0 aws.Context, param1 *ec2.CreateVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.CreateVpcPeeringConnectionOutput, error) {
	m.addCall("CreateVpcPeeringConnectionWithContext")
	m.verifyInput("CreateVpcPeeringConnectionWithContext", param0)
	return m.CreateVpcPeeringConnectionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVpcRequest(param0 *ec2.CreateVpcInput) (*request.Request, *ec2.CreateVpcOutput) {
	m.addCall("CreateVpcRequest")
	m.verifyInput("CreateVpcRequest", param0)
	return m.CreateVpcRequestFunc(param0)
}

func (m *ec2Mock) CreateVpcWithContext(param0 aws.Context, param1 *ec2.CreateVpcInput, param2 ...request.Option) (*ec2.CreateVpcOutput, error) {
	m.addCall("CreateVpcWithContext")
	m.verifyInput("CreateVpcWithContext", param0)
	return m.CreateVpcWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVpnConnection(param0 *ec2.CreateVpnConnectionInput) (*ec2.CreateVpnConnectionOutput, error) {
	m.addCall("CreateVpnConnection")
	m.verifyInput("CreateVpnConnection", param0)
	return m.CreateVpnConnectionFunc(param0)
}

func (m *ec2Mock) CreateVpnConnectionRequest(param0 *ec2.CreateVpnConnectionInput) (*request.Request, *ec2.CreateVpnConnectionOutput) {
	m.addCall("CreateVpnConnectionRequest")
	m.verifyInput("CreateVpnConnectionRequest", param0)
	return m.CreateVpnConnectionRequestFunc(param0)
}

func (m *ec2Mock) CreateVpnConnectionRoute(param0 *ec2.CreateVpnConnectionRouteInput) (*ec2.CreateVpnConnectionRouteOutput, error) {
	m.addCall("CreateVpnConnectionRoute")
	m.verifyInput("CreateVpnConnectionRoute", param0)
	return m.CreateVpnConnectionRouteFunc(param0)
}

func (m *ec2Mock) CreateVpnConnectionRouteRequest(param0 *ec2.CreateVpnConnectionRouteInput) (*request.Request, *ec2.CreateVpnConnectionRouteOutput) {
	m.addCall("CreateVpnConnectionRouteRequest")
	m.verifyInput("CreateVpnConnectionRouteRequest", param0)
	return m.CreateVpnConnectionRouteRequestFunc(param0)
}

func (m *ec2Mock) CreateVpnConnectionRouteWithContext(param0 aws.Context, param1 *ec2.CreateVpnConnectionRouteInput, param2 ...request.Option) (*ec2.CreateVpnConnectionRouteOutput, error) {
	m.addCall("CreateVpnConnectionRouteWithContext")
	m.verifyInput("CreateVpnConnectionRouteWithContext", param0)
	return m.CreateVpnConnectionRouteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVpnConnectionWithContext(param0 aws.Context, param1 *ec2.CreateVpnConnectionInput, param2 ...request.Option) (*ec2.CreateVpnConnectionOutput, error) {
	m.addCall("CreateVpnConnectionWithContext")
	m.verifyInput("CreateVpnConnectionWithContext", param0)
	return m.CreateVpnConnectionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) CreateVpnGateway(param0 *ec2.CreateVpnGatewayInput) (*ec2.CreateVpnGatewayOutput, error) {
	m.addCall("CreateVpnGateway")
	m.verifyInput("CreateVpnGateway", param0)
	return m.CreateVpnGatewayFunc(param0)
}

func (m *ec2Mock) CreateVpnGatewayRequest(param0 *ec2.CreateVpnGatewayInput) (*request.Request, *ec2.CreateVpnGatewayOutput) {
	m.addCall("CreateVpnGatewayRequest")
	m.verifyInput("CreateVpnGatewayRequest", param0)
	return m.CreateVpnGatewayRequestFunc(param0)
}

func (m *ec2Mock) CreateVpnGatewayWithContext(param0 aws.Context, param1 *ec2.CreateVpnGatewayInput, param2 ...request.Option) (*ec2.CreateVpnGatewayOutput, error) {
	m.addCall("CreateVpnGatewayWithContext")
	m.verifyInput("CreateVpnGatewayWithContext", param0)
	return m.CreateVpnGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteCustomerGateway(param0 *ec2.DeleteCustomerGatewayInput) (*ec2.DeleteCustomerGatewayOutput, error) {
	m.addCall("DeleteCustomerGateway")
	m.verifyInput("DeleteCustomerGateway", param0)
	return m.DeleteCustomerGatewayFunc(param0)
}

func (m *ec2Mock) DeleteCustomerGatewayRequest(param0 *ec2.DeleteCustomerGatewayInput) (*request.Request, *ec2.DeleteCustomerGatewayOutput) {
	m.addCall("DeleteCustomerGatewayRequest")
	m.verifyInput("DeleteCustomerGatewayRequest", param0)
	return m.DeleteCustomerGatewayRequestFunc(param0)
}

func (m *ec2Mock) DeleteCustomerGatewayWithContext(param0 aws.Context, param1 *ec2.DeleteCustomerGatewayInput, param2 ...request.Option) (*ec2.DeleteCustomerGatewayOutput, error) {
	m.addCall("DeleteCustomerGatewayWithContext")
	m.verifyInput("DeleteCustomerGatewayWithContext", param0)
	return m.DeleteCustomerGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteDhcpOptions(param0 *ec2.DeleteDhcpOptionsInput) (*ec2.DeleteDhcpOptionsOutput, error) {
	m.addCall("DeleteDhcpOptions")
	m.verifyInput("DeleteDhcpOptions", param0)
	return m.DeleteDhcpOptionsFunc(param0)
}

func (m *ec2Mock) DeleteDhcpOptionsRequest(param0 *ec2.DeleteDhcpOptionsInput) (*request.Request, *ec2.DeleteDhcpOptionsOutput) {
	m.addCall("DeleteDhcpOptionsRequest")
	m.verifyInput("DeleteDhcpOptionsRequest", param0)
	return m.DeleteDhcpOptionsRequestFunc(param0)
}

func (m *ec2Mock) DeleteDhcpOptionsWithContext(param0 aws.Context, param1 *ec2.DeleteDhcpOptionsInput, param2 ...request.Option) (*ec2.DeleteDhcpOptionsOutput, error) {
	m.addCall("DeleteDhcpOptionsWithContext")
	m.verifyInput("DeleteDhcpOptionsWithContext", param0)
	return m.DeleteDhcpOptionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteEgressOnlyInternetGateway(param0 *ec2.DeleteEgressOnlyInternetGatewayInput) (*ec2.DeleteEgressOnlyInternetGatewayOutput, error) {
	m.addCall("DeleteEgressOnlyInternetGateway")
	m.verifyInput("DeleteEgressOnlyInternetGateway", param0)
	return m.DeleteEgressOnlyInternetGatewayFunc(param0)
}

func (m *ec2Mock) DeleteEgressOnlyInternetGatewayRequest(param0 *ec2.DeleteEgressOnlyInternetGatewayInput) (*request.Request, *ec2.DeleteEgressOnlyInternetGatewayOutput) {
	m.addCall("DeleteEgressOnlyInternetGatewayRequest")
	m.verifyInput("DeleteEgressOnlyInternetGatewayRequest", param0)
	return m.DeleteEgressOnlyInternetGatewayRequestFunc(param0)
}

func (m *ec2Mock) DeleteEgressOnlyInternetGatewayWithContext(param0 aws.Context, param1 *ec2.DeleteEgressOnlyInternetGatewayInput, param2 ...request.Option) (*ec2.DeleteEgressOnlyInternetGatewayOutput, error) {
	m.addCall("DeleteEgressOnlyInternetGatewayWithContext")
	m.verifyInput("DeleteEgressOnlyInternetGatewayWithContext", param0)
	return m.DeleteEgressOnlyInternetGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteFlowLogs(param0 *ec2.DeleteFlowLogsInput) (*ec2.DeleteFlowLogsOutput, error) {
	m.addCall("DeleteFlowLogs")
	m.verifyInput("DeleteFlowLogs", param0)
	return m.DeleteFlowLogsFunc(param0)
}

func (m *ec2Mock) DeleteFlowLogsRequest(param0 *ec2.DeleteFlowLogsInput) (*request.Request, *ec2.DeleteFlowLogsOutput) {
	m.addCall("DeleteFlowLogsRequest")
	m.verifyInput("DeleteFlowLogsRequest", param0)
	return m.DeleteFlowLogsRequestFunc(param0)
}

func (m *ec2Mock) DeleteFlowLogsWithContext(param0 aws.Context, param1 *ec2.DeleteFlowLogsInput, param2 ...request.Option) (*ec2.DeleteFlowLogsOutput, error) {
	m.addCall("DeleteFlowLogsWithContext")
	m.verifyInput("DeleteFlowLogsWithContext", param0)
	return m.DeleteFlowLogsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteFpgaImage(param0 *ec2.DeleteFpgaImageInput) (*ec2.DeleteFpgaImageOutput, error) {
	m.addCall("DeleteFpgaImage")
	m.verifyInput("DeleteFpgaImage", param0)
	return m.DeleteFpgaImageFunc(param0)
}

func (m *ec2Mock) DeleteFpgaImageRequest(param0 *ec2.DeleteFpgaImageInput) (*request.Request, *ec2.DeleteFpgaImageOutput) {
	m.addCall("DeleteFpgaImageRequest")
	m.verifyInput("DeleteFpgaImageRequest", param0)
	return m.DeleteFpgaImageRequestFunc(param0)
}

func (m *ec2Mock) DeleteFpgaImageWithContext(param0 aws.Context, param1 *ec2.DeleteFpgaImageInput, param2 ...request.Option) (*ec2.DeleteFpgaImageOutput, error) {
	m.addCall("DeleteFpgaImageWithContext")
	m.verifyInput("DeleteFpgaImageWithContext", param0)
	return m.DeleteFpgaImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteInternetGateway(param0 *ec2.DeleteInternetGatewayInput) (*ec2.DeleteInternetGatewayOutput, error) {
	m.addCall("DeleteInternetGateway")
	m.verifyInput("DeleteInternetGateway", param0)
	return m.DeleteInternetGatewayFunc(param0)
}

func (m *ec2Mock) DeleteInternetGatewayRequest(param0 *ec2.DeleteInternetGatewayInput) (*request.Request, *ec2.DeleteInternetGatewayOutput) {
	m.addCall("DeleteInternetGatewayRequest")
	m.verifyInput("DeleteInternetGatewayRequest", param0)
	return m.DeleteInternetGatewayRequestFunc(param0)
}

func (m *ec2Mock) DeleteInternetGatewayWithContext(param0 aws.Context, param1 *ec2.DeleteInternetGatewayInput, param2 ...request.Option) (*ec2.DeleteInternetGatewayOutput, error) {
	m.addCall("DeleteInternetGatewayWithContext")
	m.verifyInput("DeleteInternetGatewayWithContext", param0)
	return m.DeleteInternetGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteKeyPair(param0 *ec2.DeleteKeyPairInput) (*ec2.DeleteKeyPairOutput, error) {
	m.addCall("DeleteKeyPair")
	m.verifyInput("DeleteKeyPair", param0)
	return m.DeleteKeyPairFunc(param0)
}

func (m *ec2Mock) DeleteKeyPairRequest(param0 *ec2.DeleteKeyPairInput) (*request.Request, *ec2.DeleteKeyPairOutput) {
	m.addCall("DeleteKeyPairRequest")
	m.verifyInput("DeleteKeyPairRequest", param0)
	return m.DeleteKeyPairRequestFunc(param0)
}

func (m *ec2Mock) DeleteKeyPairWithContext(param0 aws.Context, param1 *ec2.DeleteKeyPairInput, param2 ...request.Option) (*ec2.DeleteKeyPairOutput, error) {
	m.addCall("DeleteKeyPairWithContext")
	m.verifyInput("DeleteKeyPairWithContext", param0)
	return m.DeleteKeyPairWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteNatGateway(param0 *ec2.DeleteNatGatewayInput) (*ec2.DeleteNatGatewayOutput, error) {
	m.addCall("DeleteNatGateway")
	m.verifyInput("DeleteNatGateway", param0)
	return m.DeleteNatGatewayFunc(param0)
}

func (m *ec2Mock) DeleteNatGatewayRequest(param0 *ec2.DeleteNatGatewayInput) (*request.Request, *ec2.DeleteNatGatewayOutput) {
	m.addCall("DeleteNatGatewayRequest")
	m.verifyInput("DeleteNatGatewayRequest", param0)
	return m.DeleteNatGatewayRequestFunc(param0)
}

func (m *ec2Mock) DeleteNatGatewayWithContext(param0 aws.Context, param1 *ec2.DeleteNatGatewayInput, param2 ...request.Option) (*ec2.DeleteNatGatewayOutput, error) {
	m.addCall("DeleteNatGatewayWithContext")
	m.verifyInput("DeleteNatGatewayWithContext", param0)
	return m.DeleteNatGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteNetworkAcl(param0 *ec2.DeleteNetworkAclInput) (*ec2.DeleteNetworkAclOutput, error) {
	m.addCall("DeleteNetworkAcl")
	m.verifyInput("DeleteNetworkAcl", param0)
	return m.DeleteNetworkAclFunc(param0)
}

func (m *ec2Mock) DeleteNetworkAclEntry(param0 *ec2.DeleteNetworkAclEntryInput) (*ec2.DeleteNetworkAclEntryOutput, error) {
	m.addCall("DeleteNetworkAclEntry")
	m.verifyInput("DeleteNetworkAclEntry", param0)
	return m.DeleteNetworkAclEntryFunc(param0)
}

func (m *ec2Mock) DeleteNetworkAclEntryRequest(param0 *ec2.DeleteNetworkAclEntryInput) (*request.Request, *ec2.DeleteNetworkAclEntryOutput) {
	m.addCall("DeleteNetworkAclEntryRequest")
	m.verifyInput("DeleteNetworkAclEntryRequest", param0)
	return m.DeleteNetworkAclEntryRequestFunc(param0)
}

func (m *ec2Mock) DeleteNetworkAclEntryWithContext(param0 aws.Context, param1 *ec2.DeleteNetworkAclEntryInput, param2 ...request.Option) (*ec2.DeleteNetworkAclEntryOutput, error) {
	m.addCall("DeleteNetworkAclEntryWithContext")
	m.verifyInput("DeleteNetworkAclEntryWithContext", param0)
	return m.DeleteNetworkAclEntryWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteNetworkAclRequest(param0 *ec2.DeleteNetworkAclInput) (*request.Request, *ec2.DeleteNetworkAclOutput) {
	m.addCall("DeleteNetworkAclRequest")
	m.verifyInput("DeleteNetworkAclRequest", param0)
	return m.DeleteNetworkAclRequestFunc(param0)
}

func (m *ec2Mock) DeleteNetworkAclWithContext(param0 aws.Context, param1 *ec2.DeleteNetworkAclInput, param2 ...request.Option) (*ec2.DeleteNetworkAclOutput, error) {
	m.addCall("DeleteNetworkAclWithContext")
	m.verifyInput("DeleteNetworkAclWithContext", param0)
	return m.DeleteNetworkAclWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteNetworkInterface(param0 *ec2.DeleteNetworkInterfaceInput) (*ec2.DeleteNetworkInterfaceOutput, error) {
	m.addCall("DeleteNetworkInterface")
	m.verifyInput("DeleteNetworkInterface", param0)
	return m.DeleteNetworkInterfaceFunc(param0)
}

func (m *ec2Mock) DeleteNetworkInterfacePermission(param0 *ec2.DeleteNetworkInterfacePermissionInput) (*ec2.DeleteNetworkInterfacePermissionOutput, error) {
	m.addCall("DeleteNetworkInterfacePermission")
	m.verifyInput("DeleteNetworkInterfacePermission", param0)
	return m.DeleteNetworkInterfacePermissionFunc(param0)
}

func (m *ec2Mock) DeleteNetworkInterfacePermissionRequest(param0 *ec2.DeleteNetworkInterfacePermissionInput) (*request.Request, *ec2.DeleteNetworkInterfacePermissionOutput) {
	m.addCall("DeleteNetworkInterfacePermissionRequest")
	m.verifyInput("DeleteNetworkInterfacePermissionRequest", param0)
	return m.DeleteNetworkInterfacePermissionRequestFunc(param0)
}

func (m *ec2Mock) DeleteNetworkInterfacePermissionWithContext(param0 aws.Context, param1 *ec2.DeleteNetworkInterfacePermissionInput, param2 ...request.Option) (*ec2.DeleteNetworkInterfacePermissionOutput, error) {
	m.addCall("DeleteNetworkInterfacePermissionWithContext")
	m.verifyInput("DeleteNetworkInterfacePermissionWithContext", param0)
	return m.DeleteNetworkInterfacePermissionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteNetworkInterfaceRequest(param0 *ec2.DeleteNetworkInterfaceInput) (*request.Request, *ec2.DeleteNetworkInterfaceOutput) {
	m.addCall("DeleteNetworkInterfaceRequest")
	m.verifyInput("DeleteNetworkInterfaceRequest", param0)
	return m.DeleteNetworkInterfaceRequestFunc(param0)
}

func (m *ec2Mock) DeleteNetworkInterfaceWithContext(param0 aws.Context, param1 *ec2.DeleteNetworkInterfaceInput, param2 ...request.Option) (*ec2.DeleteNetworkInterfaceOutput, error) {
	m.addCall("DeleteNetworkInterfaceWithContext")
	m.verifyInput("DeleteNetworkInterfaceWithContext", param0)
	return m.DeleteNetworkInterfaceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeletePlacementGroup(param0 *ec2.DeletePlacementGroupInput) (*ec2.DeletePlacementGroupOutput, error) {
	m.addCall("DeletePlacementGroup")
	m.verifyInput("DeletePlacementGroup", param0)
	return m.DeletePlacementGroupFunc(param0)
}

func (m *ec2Mock) DeletePlacementGroupRequest(param0 *ec2.DeletePlacementGroupInput) (*request.Request, *ec2.DeletePlacementGroupOutput) {
	m.addCall("DeletePlacementGroupRequest")
	m.verifyInput("DeletePlacementGroupRequest", param0)
	return m.DeletePlacementGroupRequestFunc(param0)
}

func (m *ec2Mock) DeletePlacementGroupWithContext(param0 aws.Context, param1 *ec2.DeletePlacementGroupInput, param2 ...request.Option) (*ec2.DeletePlacementGroupOutput, error) {
	m.addCall("DeletePlacementGroupWithContext")
	m.verifyInput("DeletePlacementGroupWithContext", param0)
	return m.DeletePlacementGroupWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteRoute(param0 *ec2.DeleteRouteInput) (*ec2.DeleteRouteOutput, error) {
	m.addCall("DeleteRoute")
	m.verifyInput("DeleteRoute", param0)
	return m.DeleteRouteFunc(param0)
}

func (m *ec2Mock) DeleteRouteRequest(param0 *ec2.DeleteRouteInput) (*request.Request, *ec2.DeleteRouteOutput) {
	m.addCall("DeleteRouteRequest")
	m.verifyInput("DeleteRouteRequest", param0)
	return m.DeleteRouteRequestFunc(param0)
}

func (m *ec2Mock) DeleteRouteTable(param0 *ec2.DeleteRouteTableInput) (*ec2.DeleteRouteTableOutput, error) {
	m.addCall("DeleteRouteTable")
	m.verifyInput("DeleteRouteTable", param0)
	return m.DeleteRouteTableFunc(param0)
}

func (m *ec2Mock) DeleteRouteTableRequest(param0 *ec2.DeleteRouteTableInput) (*request.Request, *ec2.DeleteRouteTableOutput) {
	m.addCall("DeleteRouteTableRequest")
	m.verifyInput("DeleteRouteTableRequest", param0)
	return m.DeleteRouteTableRequestFunc(param0)
}

func (m *ec2Mock) DeleteRouteTableWithContext(param0 aws.Context, param1 *ec2.DeleteRouteTableInput, param2 ...request.Option) (*ec2.DeleteRouteTableOutput, error) {
	m.addCall("DeleteRouteTableWithContext")
	m.verifyInput("DeleteRouteTableWithContext", param0)
	return m.DeleteRouteTableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteRouteWithContext(param0 aws.Context, param1 *ec2.DeleteRouteInput, param2 ...request.Option) (*ec2.DeleteRouteOutput, error) {
	m.addCall("DeleteRouteWithContext")
	m.verifyInput("DeleteRouteWithContext", param0)
	return m.DeleteRouteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteSecurityGroup(param0 *ec2.DeleteSecurityGroupInput) (*ec2.DeleteSecurityGroupOutput, error) {
	m.addCall("DeleteSecurityGroup")
	m.verifyInput("DeleteSecurityGroup", param0)
	return m.DeleteSecurityGroupFunc(param0)
}

func (m *ec2Mock) DeleteSecurityGroupRequest(param0 *ec2.DeleteSecurityGroupInput) (*request.Request, *ec2.DeleteSecurityGroupOutput) {
	m.addCall("DeleteSecurityGroupRequest")
	m.verifyInput("DeleteSecurityGroupRequest", param0)
	return m.DeleteSecurityGroupRequestFunc(param0)
}

func (m *ec2Mock) DeleteSecurityGroupWithContext(param0 aws.Context, param1 *ec2.DeleteSecurityGroupInput, param2 ...request.Option) (*ec2.DeleteSecurityGroupOutput, error) {
	m.addCall("DeleteSecurityGroupWithContext")
	m.verifyInput("DeleteSecurityGroupWithContext", param0)
	return m.DeleteSecurityGroupWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteSnapshot(param0 *ec2.DeleteSnapshotInput) (*ec2.DeleteSnapshotOutput, error) {
	m.addCall("DeleteSnapshot")
	m.verifyInput("DeleteSnapshot", param0)
	return m.DeleteSnapshotFunc(param0)
}

func (m *ec2Mock) DeleteSnapshotRequest(param0 *ec2.DeleteSnapshotInput) (*request.Request, *ec2.DeleteSnapshotOutput) {
	m.addCall("DeleteSnapshotRequest")
	m.verifyInput("DeleteSnapshotRequest", param0)
	return m.DeleteSnapshotRequestFunc(param0)
}

func (m *ec2Mock) DeleteSnapshotWithContext(param0 aws.Context, param1 *ec2.DeleteSnapshotInput, param2 ...request.Option) (*ec2.DeleteSnapshotOutput, error) {
	m.addCall("DeleteSnapshotWithContext")
	m.verifyInput("DeleteSnapshotWithContext", param0)
	return m.DeleteSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteSpotDatafeedSubscription(param0 *ec2.DeleteSpotDatafeedSubscriptionInput) (*ec2.DeleteSpotDatafeedSubscriptionOutput, error) {
	m.addCall("DeleteSpotDatafeedSubscription")
	m.verifyInput("DeleteSpotDatafeedSubscription", param0)
	return m.DeleteSpotDatafeedSubscriptionFunc(param0)
}

func (m *ec2Mock) DeleteSpotDatafeedSubscriptionRequest(param0 *ec2.DeleteSpotDatafeedSubscriptionInput) (*request.Request, *ec2.DeleteSpotDatafeedSubscriptionOutput) {
	m.addCall("DeleteSpotDatafeedSubscriptionRequest")
	m.verifyInput("DeleteSpotDatafeedSubscriptionRequest", param0)
	return m.DeleteSpotDatafeedSubscriptionRequestFunc(param0)
}

func (m *ec2Mock) DeleteSpotDatafeedSubscriptionWithContext(param0 aws.Context, param1 *ec2.DeleteSpotDatafeedSubscriptionInput, param2 ...request.Option) (*ec2.DeleteSpotDatafeedSubscriptionOutput, error) {
	m.addCall("DeleteSpotDatafeedSubscriptionWithContext")
	m.verifyInput("DeleteSpotDatafeedSubscriptionWithContext", param0)
	return m.DeleteSpotDatafeedSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteSubnet(param0 *ec2.DeleteSubnetInput) (*ec2.DeleteSubnetOutput, error) {
	m.addCall("DeleteSubnet")
	m.verifyInput("DeleteSubnet", param0)
	return m.DeleteSubnetFunc(param0)
}

func (m *ec2Mock) DeleteSubnetRequest(param0 *ec2.DeleteSubnetInput) (*request.Request, *ec2.DeleteSubnetOutput) {
	m.addCall("DeleteSubnetRequest")
	m.verifyInput("DeleteSubnetRequest", param0)
	return m.DeleteSubnetRequestFunc(param0)
}

func (m *ec2Mock) DeleteSubnetWithContext(param0 aws.Context, param1 *ec2.DeleteSubnetInput, param2 ...request.Option) (*ec2.DeleteSubnetOutput, error) {
	m.addCall("DeleteSubnetWithContext")
	m.verifyInput("DeleteSubnetWithContext", param0)
	return m.DeleteSubnetWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteTags(param0 *ec2.DeleteTagsInput) (*ec2.DeleteTagsOutput, error) {
	m.addCall("DeleteTags")
	m.verifyInput("DeleteTags", param0)
	return m.DeleteTagsFunc(param0)
}

func (m *ec2Mock) DeleteTagsRequest(param0 *ec2.DeleteTagsInput) (*request.Request, *ec2.DeleteTagsOutput) {
	m.addCall("DeleteTagsRequest")
	m.verifyInput("DeleteTagsRequest", param0)
	return m.DeleteTagsRequestFunc(param0)
}

func (m *ec2Mock) DeleteTagsWithContext(param0 aws.Context, param1 *ec2.DeleteTagsInput, param2 ...request.Option) (*ec2.DeleteTagsOutput, error) {
	m.addCall("DeleteTagsWithContext")
	m.verifyInput("DeleteTagsWithContext", param0)
	return m.DeleteTagsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVolume(param0 *ec2.DeleteVolumeInput) (*ec2.DeleteVolumeOutput, error) {
	m.addCall("DeleteVolume")
	m.verifyInput("DeleteVolume", param0)
	return m.DeleteVolumeFunc(param0)
}

func (m *ec2Mock) DeleteVolumeRequest(param0 *ec2.DeleteVolumeInput) (*request.Request, *ec2.DeleteVolumeOutput) {
	m.addCall("DeleteVolumeRequest")
	m.verifyInput("DeleteVolumeRequest", param0)
	return m.DeleteVolumeRequestFunc(param0)
}

func (m *ec2Mock) DeleteVolumeWithContext(param0 aws.Context, param1 *ec2.DeleteVolumeInput, param2 ...request.Option) (*ec2.DeleteVolumeOutput, error) {
	m.addCall("DeleteVolumeWithContext")
	m.verifyInput("DeleteVolumeWithContext", param0)
	return m.DeleteVolumeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVpc(param0 *ec2.DeleteVpcInput) (*ec2.DeleteVpcOutput, error) {
	m.addCall("DeleteVpc")
	m.verifyInput("DeleteVpc", param0)
	return m.DeleteVpcFunc(param0)
}

func (m *ec2Mock) DeleteVpcEndpoints(param0 *ec2.DeleteVpcEndpointsInput) (*ec2.DeleteVpcEndpointsOutput, error) {
	m.addCall("DeleteVpcEndpoints")
	m.verifyInput("DeleteVpcEndpoints", param0)
	return m.DeleteVpcEndpointsFunc(param0)
}

func (m *ec2Mock) DeleteVpcEndpointsRequest(param0 *ec2.DeleteVpcEndpointsInput) (*request.Request, *ec2.DeleteVpcEndpointsOutput) {
	m.addCall("DeleteVpcEndpointsRequest")
	m.verifyInput("DeleteVpcEndpointsRequest", param0)
	return m.DeleteVpcEndpointsRequestFunc(param0)
}

func (m *ec2Mock) DeleteVpcEndpointsWithContext(param0 aws.Context, param1 *ec2.DeleteVpcEndpointsInput, param2 ...request.Option) (*ec2.DeleteVpcEndpointsOutput, error) {
	m.addCall("DeleteVpcEndpointsWithContext")
	m.verifyInput("DeleteVpcEndpointsWithContext", param0)
	return m.DeleteVpcEndpointsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVpcPeeringConnection(param0 *ec2.DeleteVpcPeeringConnectionInput) (*ec2.DeleteVpcPeeringConnectionOutput, error) {
	m.addCall("DeleteVpcPeeringConnection")
	m.verifyInput("DeleteVpcPeeringConnection", param0)
	return m.DeleteVpcPeeringConnectionFunc(param0)
}

func (m *ec2Mock) DeleteVpcPeeringConnectionRequest(param0 *ec2.DeleteVpcPeeringConnectionInput) (*request.Request, *ec2.DeleteVpcPeeringConnectionOutput) {
	m.addCall("DeleteVpcPeeringConnectionRequest")
	m.verifyInput("DeleteVpcPeeringConnectionRequest", param0)
	return m.DeleteVpcPeeringConnectionRequestFunc(param0)
}

func (m *ec2Mock) DeleteVpcPeeringConnectionWithContext(param0 aws.Context, param1 *ec2.DeleteVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.DeleteVpcPeeringConnectionOutput, error) {
	m.addCall("DeleteVpcPeeringConnectionWithContext")
	m.verifyInput("DeleteVpcPeeringConnectionWithContext", param0)
	return m.DeleteVpcPeeringConnectionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVpcRequest(param0 *ec2.DeleteVpcInput) (*request.Request, *ec2.DeleteVpcOutput) {
	m.addCall("DeleteVpcRequest")
	m.verifyInput("DeleteVpcRequest", param0)
	return m.DeleteVpcRequestFunc(param0)
}

func (m *ec2Mock) DeleteVpcWithContext(param0 aws.Context, param1 *ec2.DeleteVpcInput, param2 ...request.Option) (*ec2.DeleteVpcOutput, error) {
	m.addCall("DeleteVpcWithContext")
	m.verifyInput("DeleteVpcWithContext", param0)
	return m.DeleteVpcWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVpnConnection(param0 *ec2.DeleteVpnConnectionInput) (*ec2.DeleteVpnConnectionOutput, error) {
	m.addCall("DeleteVpnConnection")
	m.verifyInput("DeleteVpnConnection", param0)
	return m.DeleteVpnConnectionFunc(param0)
}

func (m *ec2Mock) DeleteVpnConnectionRequest(param0 *ec2.DeleteVpnConnectionInput) (*request.Request, *ec2.DeleteVpnConnectionOutput) {
	m.addCall("DeleteVpnConnectionRequest")
	m.verifyInput("DeleteVpnConnectionRequest", param0)
	return m.DeleteVpnConnectionRequestFunc(param0)
}

func (m *ec2Mock) DeleteVpnConnectionRoute(param0 *ec2.DeleteVpnConnectionRouteInput) (*ec2.DeleteVpnConnectionRouteOutput, error) {
	m.addCall("DeleteVpnConnectionRoute")
	m.verifyInput("DeleteVpnConnectionRoute", param0)
	return m.DeleteVpnConnectionRouteFunc(param0)
}

func (m *ec2Mock) DeleteVpnConnectionRouteRequest(param0 *ec2.DeleteVpnConnectionRouteInput) (*request.Request, *ec2.DeleteVpnConnectionRouteOutput) {
	m.addCall("DeleteVpnConnectionRouteRequest")
	m.verifyInput("DeleteVpnConnectionRouteRequest", param0)
	return m.DeleteVpnConnectionRouteRequestFunc(param0)
}

func (m *ec2Mock) DeleteVpnConnectionRouteWithContext(param0 aws.Context, param1 *ec2.DeleteVpnConnectionRouteInput, param2 ...request.Option) (*ec2.DeleteVpnConnectionRouteOutput, error) {
	m.addCall("DeleteVpnConnectionRouteWithContext")
	m.verifyInput("DeleteVpnConnectionRouteWithContext", param0)
	return m.DeleteVpnConnectionRouteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVpnConnectionWithContext(param0 aws.Context, param1 *ec2.DeleteVpnConnectionInput, param2 ...request.Option) (*ec2.DeleteVpnConnectionOutput, error) {
	m.addCall("DeleteVpnConnectionWithContext")
	m.verifyInput("DeleteVpnConnectionWithContext", param0)
	return m.DeleteVpnConnectionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeleteVpnGateway(param0 *ec2.DeleteVpnGatewayInput) (*ec2.DeleteVpnGatewayOutput, error) {
	m.addCall("DeleteVpnGateway")
	m.verifyInput("DeleteVpnGateway", param0)
	return m.DeleteVpnGatewayFunc(param0)
}

func (m *ec2Mock) DeleteVpnGatewayRequest(param0 *ec2.DeleteVpnGatewayInput) (*request.Request, *ec2.DeleteVpnGatewayOutput) {
	m.addCall("DeleteVpnGatewayRequest")
	m.verifyInput("DeleteVpnGatewayRequest", param0)
	return m.DeleteVpnGatewayRequestFunc(param0)
}

func (m *ec2Mock) DeleteVpnGatewayWithContext(param0 aws.Context, param1 *ec2.DeleteVpnGatewayInput, param2 ...request.Option) (*ec2.DeleteVpnGatewayOutput, error) {
	m.addCall("DeleteVpnGatewayWithContext")
	m.verifyInput("DeleteVpnGatewayWithContext", param0)
	return m.DeleteVpnGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DeregisterImage(param0 *ec2.DeregisterImageInput) (*ec2.DeregisterImageOutput, error) {
	m.addCall("DeregisterImage")
	m.verifyInput("DeregisterImage", param0)
	return m.DeregisterImageFunc(param0)
}

func (m *ec2Mock) DeregisterImageRequest(param0 *ec2.DeregisterImageInput) (*request.Request, *ec2.DeregisterImageOutput) {
	m.addCall("DeregisterImageRequest")
	m.verifyInput("DeregisterImageRequest", param0)
	return m.DeregisterImageRequestFunc(param0)
}

func (m *ec2Mock) DeregisterImageWithContext(param0 aws.Context, param1 *ec2.DeregisterImageInput, param2 ...request.Option) (*ec2.DeregisterImageOutput, error) {
	m.addCall("DeregisterImageWithContext")
	m.verifyInput("DeregisterImageWithContext", param0)
	return m.DeregisterImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeAccountAttributes(param0 *ec2.DescribeAccountAttributesInput) (*ec2.DescribeAccountAttributesOutput, error) {
	m.addCall("DescribeAccountAttributes")
	m.verifyInput("DescribeAccountAttributes", param0)
	return m.DescribeAccountAttributesFunc(param0)
}

func (m *ec2Mock) DescribeAccountAttributesRequest(param0 *ec2.DescribeAccountAttributesInput) (*request.Request, *ec2.DescribeAccountAttributesOutput) {
	m.addCall("DescribeAccountAttributesRequest")
	m.verifyInput("DescribeAccountAttributesRequest", param0)
	return m.DescribeAccountAttributesRequestFunc(param0)
}

func (m *ec2Mock) DescribeAccountAttributesWithContext(param0 aws.Context, param1 *ec2.DescribeAccountAttributesInput, param2 ...request.Option) (*ec2.DescribeAccountAttributesOutput, error) {
	m.addCall("DescribeAccountAttributesWithContext")
	m.verifyInput("DescribeAccountAttributesWithContext", param0)
	return m.DescribeAccountAttributesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeAddresses(param0 *ec2.DescribeAddressesInput) (*ec2.DescribeAddressesOutput, error) {
	m.addCall("DescribeAddresses")
	m.verifyInput("DescribeAddresses", param0)
	return m.DescribeAddressesFunc(param0)
}

func (m *ec2Mock) DescribeAddressesRequest(param0 *ec2.DescribeAddressesInput) (*request.Request, *ec2.DescribeAddressesOutput) {
	m.addCall("DescribeAddressesRequest")
	m.verifyInput("DescribeAddressesRequest", param0)
	return m.DescribeAddressesRequestFunc(param0)
}

func (m *ec2Mock) DescribeAddressesWithContext(param0 aws.Context, param1 *ec2.DescribeAddressesInput, param2 ...request.Option) (*ec2.DescribeAddressesOutput, error) {
	m.addCall("DescribeAddressesWithContext")
	m.verifyInput("DescribeAddressesWithContext", param0)
	return m.DescribeAddressesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeAvailabilityZones(param0 *ec2.DescribeAvailabilityZonesInput) (*ec2.DescribeAvailabilityZonesOutput, error) {
	m.addCall("DescribeAvailabilityZones")
	m.verifyInput("DescribeAvailabilityZones", param0)
	return m.DescribeAvailabilityZonesFunc(param0)
}

func (m *ec2Mock) DescribeAvailabilityZonesRequest(param0 *ec2.DescribeAvailabilityZonesInput) (*request.Request, *ec2.DescribeAvailabilityZonesOutput) {
	m.addCall("DescribeAvailabilityZonesRequest")
	m.verifyInput("DescribeAvailabilityZonesRequest", param0)
	return m.DescribeAvailabilityZonesRequestFunc(param0)
}

func (m *ec2Mock) DescribeAvailabilityZonesWithContext(param0 aws.Context, param1 *ec2.DescribeAvailabilityZonesInput, param2 ...request.Option) (*ec2.DescribeAvailabilityZonesOutput, error) {
	m.addCall("DescribeAvailabilityZonesWithContext")
	m.verifyInput("DescribeAvailabilityZonesWithContext", param0)
	return m.DescribeAvailabilityZonesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeBundleTasks(param0 *ec2.DescribeBundleTasksInput) (*ec2.DescribeBundleTasksOutput, error) {
	m.addCall("DescribeBundleTasks")
	m.verifyInput("DescribeBundleTasks", param0)
	return m.DescribeBundleTasksFunc(param0)
}

func (m *ec2Mock) DescribeBundleTasksRequest(param0 *ec2.DescribeBundleTasksInput) (*request.Request, *ec2.DescribeBundleTasksOutput) {
	m.addCall("DescribeBundleTasksRequest")
	m.verifyInput("DescribeBundleTasksRequest", param0)
	return m.DescribeBundleTasksRequestFunc(param0)
}

func (m *ec2Mock) DescribeBundleTasksWithContext(param0 aws.Context, param1 *ec2.DescribeBundleTasksInput, param2 ...request.Option) (*ec2.DescribeBundleTasksOutput, error) {
	m.addCall("DescribeBundleTasksWithContext")
	m.verifyInput("DescribeBundleTasksWithContext", param0)
	return m.DescribeBundleTasksWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeClassicLinkInstances(param0 *ec2.DescribeClassicLinkInstancesInput) (*ec2.DescribeClassicLinkInstancesOutput, error) {
	m.addCall("DescribeClassicLinkInstances")
	m.verifyInput("DescribeClassicLinkInstances", param0)
	return m.DescribeClassicLinkInstancesFunc(param0)
}

func (m *ec2Mock) DescribeClassicLinkInstancesRequest(param0 *ec2.DescribeClassicLinkInstancesInput) (*request.Request, *ec2.DescribeClassicLinkInstancesOutput) {
	m.addCall("DescribeClassicLinkInstancesRequest")
	m.verifyInput("DescribeClassicLinkInstancesRequest", param0)
	return m.DescribeClassicLinkInstancesRequestFunc(param0)
}

func (m *ec2Mock) DescribeClassicLinkInstancesWithContext(param0 aws.Context, param1 *ec2.DescribeClassicLinkInstancesInput, param2 ...request.Option) (*ec2.DescribeClassicLinkInstancesOutput, error) {
	m.addCall("DescribeClassicLinkInstancesWithContext")
	m.verifyInput("DescribeClassicLinkInstancesWithContext", param0)
	return m.DescribeClassicLinkInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeConversionTasks(param0 *ec2.DescribeConversionTasksInput) (*ec2.DescribeConversionTasksOutput, error) {
	m.addCall("DescribeConversionTasks")
	m.verifyInput("DescribeConversionTasks", param0)
	return m.DescribeConversionTasksFunc(param0)
}

func (m *ec2Mock) DescribeConversionTasksRequest(param0 *ec2.DescribeConversionTasksInput) (*request.Request, *ec2.DescribeConversionTasksOutput) {
	m.addCall("DescribeConversionTasksRequest")
	m.verifyInput("DescribeConversionTasksRequest", param0)
	return m.DescribeConversionTasksRequestFunc(param0)
}

func (m *ec2Mock) DescribeConversionTasksWithContext(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.Option) (*ec2.DescribeConversionTasksOutput, error) {
	m.addCall("DescribeConversionTasksWithContext")
	m.verifyInput("DescribeConversionTasksWithContext", param0)
	return m.DescribeConversionTasksWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeCustomerGateways(param0 *ec2.DescribeCustomerGatewaysInput) (*ec2.DescribeCustomerGatewaysOutput, error) {
	m.addCall("DescribeCustomerGateways")
	m.verifyInput("DescribeCustomerGateways", param0)
	return m.DescribeCustomerGatewaysFunc(param0)
}

func (m *ec2Mock) DescribeCustomerGatewaysRequest(param0 *ec2.DescribeCustomerGatewaysInput) (*request.Request, *ec2.DescribeCustomerGatewaysOutput) {
	m.addCall("DescribeCustomerGatewaysRequest")
	m.verifyInput("DescribeCustomerGatewaysRequest", param0)
	return m.DescribeCustomerGatewaysRequestFunc(param0)
}

func (m *ec2Mock) DescribeCustomerGatewaysWithContext(param0 aws.Context, param1 *ec2.DescribeCustomerGatewaysInput, param2 ...request.Option) (*ec2.DescribeCustomerGatewaysOutput, error) {
	m.addCall("DescribeCustomerGatewaysWithContext")
	m.verifyInput("DescribeCustomerGatewaysWithContext", param0)
	return m.DescribeCustomerGatewaysWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeDhcpOptions(param0 *ec2.DescribeDhcpOptionsInput) (*ec2.DescribeDhcpOptionsOutput, error) {
	m.addCall("DescribeDhcpOptions")
	m.verifyInput("DescribeDhcpOptions", param0)
	return m.DescribeDhcpOptionsFunc(param0)
}

func (m *ec2Mock) DescribeDhcpOptionsRequest(param0 *ec2.DescribeDhcpOptionsInput) (*request.Request, *ec2.DescribeDhcpOptionsOutput) {
	m.addCall("DescribeDhcpOptionsRequest")
	m.verifyInput("DescribeDhcpOptionsRequest", param0)
	return m.DescribeDhcpOptionsRequestFunc(param0)
}

func (m *ec2Mock) DescribeDhcpOptionsWithContext(param0 aws.Context, param1 *ec2.DescribeDhcpOptionsInput, param2 ...request.Option) (*ec2.DescribeDhcpOptionsOutput, error) {
	m.addCall("DescribeDhcpOptionsWithContext")
	m.verifyInput("DescribeDhcpOptionsWithContext", param0)
	return m.DescribeDhcpOptionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeEgressOnlyInternetGateways(param0 *ec2.DescribeEgressOnlyInternetGatewaysInput) (*ec2.DescribeEgressOnlyInternetGatewaysOutput, error) {
	m.addCall("DescribeEgressOnlyInternetGateways")
	m.verifyInput("DescribeEgressOnlyInternetGateways", param0)
	return m.DescribeEgressOnlyInternetGatewaysFunc(param0)
}

func (m *ec2Mock) DescribeEgressOnlyInternetGatewaysRequest(param0 *ec2.DescribeEgressOnlyInternetGatewaysInput) (*request.Request, *ec2.DescribeEgressOnlyInternetGatewaysOutput) {
	m.addCall("DescribeEgressOnlyInternetGatewaysRequest")
	m.verifyInput("DescribeEgressOnlyInternetGatewaysRequest", param0)
	return m.DescribeEgressOnlyInternetGatewaysRequestFunc(param0)
}

func (m *ec2Mock) DescribeEgressOnlyInternetGatewaysWithContext(param0 aws.Context, param1 *ec2.DescribeEgressOnlyInternetGatewaysInput, param2 ...request.Option) (*ec2.DescribeEgressOnlyInternetGatewaysOutput, error) {
	m.addCall("DescribeEgressOnlyInternetGatewaysWithContext")
	m.verifyInput("DescribeEgressOnlyInternetGatewaysWithContext", param0)
	return m.DescribeEgressOnlyInternetGatewaysWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeElasticGpus(param0 *ec2.DescribeElasticGpusInput) (*ec2.DescribeElasticGpusOutput, error) {
	m.addCall("DescribeElasticGpus")
	m.verifyInput("DescribeElasticGpus", param0)
	return m.DescribeElasticGpusFunc(param0)
}

func (m *ec2Mock) DescribeElasticGpusRequest(param0 *ec2.DescribeElasticGpusInput) (*request.Request, *ec2.DescribeElasticGpusOutput) {
	m.addCall("DescribeElasticGpusRequest")
	m.verifyInput("DescribeElasticGpusRequest", param0)
	return m.DescribeElasticGpusRequestFunc(param0)
}

func (m *ec2Mock) DescribeElasticGpusWithContext(param0 aws.Context, param1 *ec2.DescribeElasticGpusInput, param2 ...request.Option) (*ec2.DescribeElasticGpusOutput, error) {
	m.addCall("DescribeElasticGpusWithContext")
	m.verifyInput("DescribeElasticGpusWithContext", param0)
	return m.DescribeElasticGpusWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeExportTasks(param0 *ec2.DescribeExportTasksInput) (*ec2.DescribeExportTasksOutput, error) {
	m.addCall("DescribeExportTasks")
	m.verifyInput("DescribeExportTasks", param0)
	return m.DescribeExportTasksFunc(param0)
}

func (m *ec2Mock) DescribeExportTasksRequest(param0 *ec2.DescribeExportTasksInput) (*request.Request, *ec2.DescribeExportTasksOutput) {
	m.addCall("DescribeExportTasksRequest")
	m.verifyInput("DescribeExportTasksRequest", param0)
	return m.DescribeExportTasksRequestFunc(param0)
}

func (m *ec2Mock) DescribeExportTasksWithContext(param0 aws.Context, param1 *ec2.DescribeExportTasksInput, param2 ...request.Option) (*ec2.DescribeExportTasksOutput, error) {
	m.addCall("DescribeExportTasksWithContext")
	m.verifyInput("DescribeExportTasksWithContext", param0)
	return m.DescribeExportTasksWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeFlowLogs(param0 *ec2.DescribeFlowLogsInput) (*ec2.DescribeFlowLogsOutput, error) {
	m.addCall("DescribeFlowLogs")
	m.verifyInput("DescribeFlowLogs", param0)
	return m.DescribeFlowLogsFunc(param0)
}

func (m *ec2Mock) DescribeFlowLogsRequest(param0 *ec2.DescribeFlowLogsInput) (*request.Request, *ec2.DescribeFlowLogsOutput) {
	m.addCall("DescribeFlowLogsRequest")
	m.verifyInput("DescribeFlowLogsRequest", param0)
	return m.DescribeFlowLogsRequestFunc(param0)
}

func (m *ec2Mock) DescribeFlowLogsWithContext(param0 aws.Context, param1 *ec2.DescribeFlowLogsInput, param2 ...request.Option) (*ec2.DescribeFlowLogsOutput, error) {
	m.addCall("DescribeFlowLogsWithContext")
	m.verifyInput("DescribeFlowLogsWithContext", param0)
	return m.DescribeFlowLogsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeFpgaImageAttribute(param0 *ec2.DescribeFpgaImageAttributeInput) (*ec2.DescribeFpgaImageAttributeOutput, error) {
	m.addCall("DescribeFpgaImageAttribute")
	m.verifyInput("DescribeFpgaImageAttribute", param0)
	return m.DescribeFpgaImageAttributeFunc(param0)
}

func (m *ec2Mock) DescribeFpgaImageAttributeRequest(param0 *ec2.DescribeFpgaImageAttributeInput) (*request.Request, *ec2.DescribeFpgaImageAttributeOutput) {
	m.addCall("DescribeFpgaImageAttributeRequest")
	m.verifyInput("DescribeFpgaImageAttributeRequest", param0)
	return m.DescribeFpgaImageAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeFpgaImageAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeFpgaImageAttributeInput, param2 ...request.Option) (*ec2.DescribeFpgaImageAttributeOutput, error) {
	m.addCall("DescribeFpgaImageAttributeWithContext")
	m.verifyInput("DescribeFpgaImageAttributeWithContext", param0)
	return m.DescribeFpgaImageAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeFpgaImages(param0 *ec2.DescribeFpgaImagesInput) (*ec2.DescribeFpgaImagesOutput, error) {
	m.addCall("DescribeFpgaImages")
	m.verifyInput("DescribeFpgaImages", param0)
	return m.DescribeFpgaImagesFunc(param0)
}

func (m *ec2Mock) DescribeFpgaImagesRequest(param0 *ec2.DescribeFpgaImagesInput) (*request.Request, *ec2.DescribeFpgaImagesOutput) {
	m.addCall("DescribeFpgaImagesRequest")
	m.verifyInput("DescribeFpgaImagesRequest", param0)
	return m.DescribeFpgaImagesRequestFunc(param0)
}

func (m *ec2Mock) DescribeFpgaImagesWithContext(param0 aws.Context, param1 *ec2.DescribeFpgaImagesInput, param2 ...request.Option) (*ec2.DescribeFpgaImagesOutput, error) {
	m.addCall("DescribeFpgaImagesWithContext")
	m.verifyInput("DescribeFpgaImagesWithContext", param0)
	return m.DescribeFpgaImagesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeHostReservationOfferings(param0 *ec2.DescribeHostReservationOfferingsInput) (*ec2.DescribeHostReservationOfferingsOutput, error) {
	m.addCall("DescribeHostReservationOfferings")
	m.verifyInput("DescribeHostReservationOfferings", param0)
	return m.DescribeHostReservationOfferingsFunc(param0)
}

func (m *ec2Mock) DescribeHostReservationOfferingsRequest(param0 *ec2.DescribeHostReservationOfferingsInput) (*request.Request, *ec2.DescribeHostReservationOfferingsOutput) {
	m.addCall("DescribeHostReservationOfferingsRequest")
	m.verifyInput("DescribeHostReservationOfferingsRequest", param0)
	return m.DescribeHostReservationOfferingsRequestFunc(param0)
}

func (m *ec2Mock) DescribeHostReservationOfferingsWithContext(param0 aws.Context, param1 *ec2.DescribeHostReservationOfferingsInput, param2 ...request.Option) (*ec2.DescribeHostReservationOfferingsOutput, error) {
	m.addCall("DescribeHostReservationOfferingsWithContext")
	m.verifyInput("DescribeHostReservationOfferingsWithContext", param0)
	return m.DescribeHostReservationOfferingsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeHostReservations(param0 *ec2.DescribeHostReservationsInput) (*ec2.DescribeHostReservationsOutput, error) {
	m.addCall("DescribeHostReservations")
	m.verifyInput("DescribeHostReservations", param0)
	return m.DescribeHostReservationsFunc(param0)
}

func (m *ec2Mock) DescribeHostReservationsRequest(param0 *ec2.DescribeHostReservationsInput) (*request.Request, *ec2.DescribeHostReservationsOutput) {
	m.addCall("DescribeHostReservationsRequest")
	m.verifyInput("DescribeHostReservationsRequest", param0)
	return m.DescribeHostReservationsRequestFunc(param0)
}

func (m *ec2Mock) DescribeHostReservationsWithContext(param0 aws.Context, param1 *ec2.DescribeHostReservationsInput, param2 ...request.Option) (*ec2.DescribeHostReservationsOutput, error) {
	m.addCall("DescribeHostReservationsWithContext")
	m.verifyInput("DescribeHostReservationsWithContext", param0)
	return m.DescribeHostReservationsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeHosts(param0 *ec2.DescribeHostsInput) (*ec2.DescribeHostsOutput, error) {
	m.addCall("DescribeHosts")
	m.verifyInput("DescribeHosts", param0)
	return m.DescribeHostsFunc(param0)
}

func (m *ec2Mock) DescribeHostsRequest(param0 *ec2.DescribeHostsInput) (*request.Request, *ec2.DescribeHostsOutput) {
	m.addCall("DescribeHostsRequest")
	m.verifyInput("DescribeHostsRequest", param0)
	return m.DescribeHostsRequestFunc(param0)
}

func (m *ec2Mock) DescribeHostsWithContext(param0 aws.Context, param1 *ec2.DescribeHostsInput, param2 ...request.Option) (*ec2.DescribeHostsOutput, error) {
	m.addCall("DescribeHostsWithContext")
	m.verifyInput("DescribeHostsWithContext", param0)
	return m.DescribeHostsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeIamInstanceProfileAssociations(param0 *ec2.DescribeIamInstanceProfileAssociationsInput) (*ec2.DescribeIamInstanceProfileAssociationsOutput, error) {
	m.addCall("DescribeIamInstanceProfileAssociations")
	m.verifyInput("DescribeIamInstanceProfileAssociations", param0)
	return m.DescribeIamInstanceProfileAssociationsFunc(param0)
}

func (m *ec2Mock) DescribeIamInstanceProfileAssociationsRequest(param0 *ec2.DescribeIamInstanceProfileAssociationsInput) (*request.Request, *ec2.DescribeIamInstanceProfileAssociationsOutput) {
	m.addCall("DescribeIamInstanceProfileAssociationsRequest")
	m.verifyInput("DescribeIamInstanceProfileAssociationsRequest", param0)
	return m.DescribeIamInstanceProfileAssociationsRequestFunc(param0)
}

func (m *ec2Mock) DescribeIamInstanceProfileAssociationsWithContext(param0 aws.Context, param1 *ec2.DescribeIamInstanceProfileAssociationsInput, param2 ...request.Option) (*ec2.DescribeIamInstanceProfileAssociationsOutput, error) {
	m.addCall("DescribeIamInstanceProfileAssociationsWithContext")
	m.verifyInput("DescribeIamInstanceProfileAssociationsWithContext", param0)
	return m.DescribeIamInstanceProfileAssociationsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeIdFormat(param0 *ec2.DescribeIdFormatInput) (*ec2.DescribeIdFormatOutput, error) {
	m.addCall("DescribeIdFormat")
	m.verifyInput("DescribeIdFormat", param0)
	return m.DescribeIdFormatFunc(param0)
}

func (m *ec2Mock) DescribeIdFormatRequest(param0 *ec2.DescribeIdFormatInput) (*request.Request, *ec2.DescribeIdFormatOutput) {
	m.addCall("DescribeIdFormatRequest")
	m.verifyInput("DescribeIdFormatRequest", param0)
	return m.DescribeIdFormatRequestFunc(param0)
}

func (m *ec2Mock) DescribeIdFormatWithContext(param0 aws.Context, param1 *ec2.DescribeIdFormatInput, param2 ...request.Option) (*ec2.DescribeIdFormatOutput, error) {
	m.addCall("DescribeIdFormatWithContext")
	m.verifyInput("DescribeIdFormatWithContext", param0)
	return m.DescribeIdFormatWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeIdentityIdFormat(param0 *ec2.DescribeIdentityIdFormatInput) (*ec2.DescribeIdentityIdFormatOutput, error) {
	m.addCall("DescribeIdentityIdFormat")
	m.verifyInput("DescribeIdentityIdFormat", param0)
	return m.DescribeIdentityIdFormatFunc(param0)
}

func (m *ec2Mock) DescribeIdentityIdFormatRequest(param0 *ec2.DescribeIdentityIdFormatInput) (*request.Request, *ec2.DescribeIdentityIdFormatOutput) {
	m.addCall("DescribeIdentityIdFormatRequest")
	m.verifyInput("DescribeIdentityIdFormatRequest", param0)
	return m.DescribeIdentityIdFormatRequestFunc(param0)
}

func (m *ec2Mock) DescribeIdentityIdFormatWithContext(param0 aws.Context, param1 *ec2.DescribeIdentityIdFormatInput, param2 ...request.Option) (*ec2.DescribeIdentityIdFormatOutput, error) {
	m.addCall("DescribeIdentityIdFormatWithContext")
	m.verifyInput("DescribeIdentityIdFormatWithContext", param0)
	return m.DescribeIdentityIdFormatWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeImageAttribute(param0 *ec2.DescribeImageAttributeInput) (*ec2.DescribeImageAttributeOutput, error) {
	m.addCall("DescribeImageAttribute")
	m.verifyInput("DescribeImageAttribute", param0)
	return m.DescribeImageAttributeFunc(param0)
}

func (m *ec2Mock) DescribeImageAttributeRequest(param0 *ec2.DescribeImageAttributeInput) (*request.Request, *ec2.DescribeImageAttributeOutput) {
	m.addCall("DescribeImageAttributeRequest")
	m.verifyInput("DescribeImageAttributeRequest", param0)
	return m.DescribeImageAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeImageAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeImageAttributeInput, param2 ...request.Option) (*ec2.DescribeImageAttributeOutput, error) {
	m.addCall("DescribeImageAttributeWithContext")
	m.verifyInput("DescribeImageAttributeWithContext", param0)
	return m.DescribeImageAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeImages(param0 *ec2.DescribeImagesInput) (*ec2.DescribeImagesOutput, error) {
	m.addCall("DescribeImages")
	m.verifyInput("DescribeImages", param0)
	return m.DescribeImagesFunc(param0)
}

func (m *ec2Mock) DescribeImagesRequest(param0 *ec2.DescribeImagesInput) (*request.Request, *ec2.DescribeImagesOutput) {
	m.addCall("DescribeImagesRequest")
	m.verifyInput("DescribeImagesRequest", param0)
	return m.DescribeImagesRequestFunc(param0)
}

func (m *ec2Mock) DescribeImagesWithContext(param0 aws.Context, param1 *ec2.DescribeImagesInput, param2 ...request.Option) (*ec2.DescribeImagesOutput, error) {
	m.addCall("DescribeImagesWithContext")
	m.verifyInput("DescribeImagesWithContext", param0)
	return m.DescribeImagesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeImportImageTasks(param0 *ec2.DescribeImportImageTasksInput) (*ec2.DescribeImportImageTasksOutput, error) {
	m.addCall("DescribeImportImageTasks")
	m.verifyInput("DescribeImportImageTasks", param0)
	return m.DescribeImportImageTasksFunc(param0)
}

func (m *ec2Mock) DescribeImportImageTasksRequest(param0 *ec2.DescribeImportImageTasksInput) (*request.Request, *ec2.DescribeImportImageTasksOutput) {
	m.addCall("DescribeImportImageTasksRequest")
	m.verifyInput("DescribeImportImageTasksRequest", param0)
	return m.DescribeImportImageTasksRequestFunc(param0)
}

func (m *ec2Mock) DescribeImportImageTasksWithContext(param0 aws.Context, param1 *ec2.DescribeImportImageTasksInput, param2 ...request.Option) (*ec2.DescribeImportImageTasksOutput, error) {
	m.addCall("DescribeImportImageTasksWithContext")
	m.verifyInput("DescribeImportImageTasksWithContext", param0)
	return m.DescribeImportImageTasksWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeImportSnapshotTasks(param0 *ec2.DescribeImportSnapshotTasksInput) (*ec2.DescribeImportSnapshotTasksOutput, error) {
	m.addCall("DescribeImportSnapshotTasks")
	m.verifyInput("DescribeImportSnapshotTasks", param0)
	return m.DescribeImportSnapshotTasksFunc(param0)
}

func (m *ec2Mock) DescribeImportSnapshotTasksRequest(param0 *ec2.DescribeImportSnapshotTasksInput) (*request.Request, *ec2.DescribeImportSnapshotTasksOutput) {
	m.addCall("DescribeImportSnapshotTasksRequest")
	m.verifyInput("DescribeImportSnapshotTasksRequest", param0)
	return m.DescribeImportSnapshotTasksRequestFunc(param0)
}

func (m *ec2Mock) DescribeImportSnapshotTasksWithContext(param0 aws.Context, param1 *ec2.DescribeImportSnapshotTasksInput, param2 ...request.Option) (*ec2.DescribeImportSnapshotTasksOutput, error) {
	m.addCall("DescribeImportSnapshotTasksWithContext")
	m.verifyInput("DescribeImportSnapshotTasksWithContext", param0)
	return m.DescribeImportSnapshotTasksWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeInstanceAttribute(param0 *ec2.DescribeInstanceAttributeInput) (*ec2.DescribeInstanceAttributeOutput, error) {
	m.addCall("DescribeInstanceAttribute")
	m.verifyInput("DescribeInstanceAttribute", param0)
	return m.DescribeInstanceAttributeFunc(param0)
}

func (m *ec2Mock) DescribeInstanceAttributeRequest(param0 *ec2.DescribeInstanceAttributeInput) (*request.Request, *ec2.DescribeInstanceAttributeOutput) {
	m.addCall("DescribeInstanceAttributeRequest")
	m.verifyInput("DescribeInstanceAttributeRequest", param0)
	return m.DescribeInstanceAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeInstanceAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeInstanceAttributeInput, param2 ...request.Option) (*ec2.DescribeInstanceAttributeOutput, error) {
	m.addCall("DescribeInstanceAttributeWithContext")
	m.verifyInput("DescribeInstanceAttributeWithContext", param0)
	return m.DescribeInstanceAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeInstanceStatus(param0 *ec2.DescribeInstanceStatusInput) (*ec2.DescribeInstanceStatusOutput, error) {
	m.addCall("DescribeInstanceStatus")
	m.verifyInput("DescribeInstanceStatus", param0)
	return m.DescribeInstanceStatusFunc(param0)
}

func (m *ec2Mock) DescribeInstanceStatusRequest(param0 *ec2.DescribeInstanceStatusInput) (*request.Request, *ec2.DescribeInstanceStatusOutput) {
	m.addCall("DescribeInstanceStatusRequest")
	m.verifyInput("DescribeInstanceStatusRequest", param0)
	return m.DescribeInstanceStatusRequestFunc(param0)
}

func (m *ec2Mock) DescribeInstanceStatusWithContext(param0 aws.Context, param1 *ec2.DescribeInstanceStatusInput, param2 ...request.Option) (*ec2.DescribeInstanceStatusOutput, error) {
	m.addCall("DescribeInstanceStatusWithContext")
	m.verifyInput("DescribeInstanceStatusWithContext", param0)
	return m.DescribeInstanceStatusWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeInstances(param0 *ec2.DescribeInstancesInput) (*ec2.DescribeInstancesOutput, error) {
	m.addCall("DescribeInstances")
	m.verifyInput("DescribeInstances", param0)
	return m.DescribeInstancesFunc(param0)
}

func (m *ec2Mock) DescribeInstancesRequest(param0 *ec2.DescribeInstancesInput) (*request.Request, *ec2.DescribeInstancesOutput) {
	m.addCall("DescribeInstancesRequest")
	m.verifyInput("DescribeInstancesRequest", param0)
	return m.DescribeInstancesRequestFunc(param0)
}

func (m *ec2Mock) DescribeInstancesWithContext(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.Option) (*ec2.DescribeInstancesOutput, error) {
	m.addCall("DescribeInstancesWithContext")
	m.verifyInput("DescribeInstancesWithContext", param0)
	return m.DescribeInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeInternetGateways(param0 *ec2.DescribeInternetGatewaysInput) (*ec2.DescribeInternetGatewaysOutput, error) {
	m.addCall("DescribeInternetGateways")
	m.verifyInput("DescribeInternetGateways", param0)
	return m.DescribeInternetGatewaysFunc(param0)
}

func (m *ec2Mock) DescribeInternetGatewaysRequest(param0 *ec2.DescribeInternetGatewaysInput) (*request.Request, *ec2.DescribeInternetGatewaysOutput) {
	m.addCall("DescribeInternetGatewaysRequest")
	m.verifyInput("DescribeInternetGatewaysRequest", param0)
	return m.DescribeInternetGatewaysRequestFunc(param0)
}

func (m *ec2Mock) DescribeInternetGatewaysWithContext(param0 aws.Context, param1 *ec2.DescribeInternetGatewaysInput, param2 ...request.Option) (*ec2.DescribeInternetGatewaysOutput, error) {
	m.addCall("DescribeInternetGatewaysWithContext")
	m.verifyInput("DescribeInternetGatewaysWithContext", param0)
	return m.DescribeInternetGatewaysWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeKeyPairs(param0 *ec2.DescribeKeyPairsInput) (*ec2.DescribeKeyPairsOutput, error) {
	m.addCall("DescribeKeyPairs")
	m.verifyInput("DescribeKeyPairs", param0)
	return m.DescribeKeyPairsFunc(param0)
}

func (m *ec2Mock) DescribeKeyPairsRequest(param0 *ec2.DescribeKeyPairsInput) (*request.Request, *ec2.DescribeKeyPairsOutput) {
	m.addCall("DescribeKeyPairsRequest")
	m.verifyInput("DescribeKeyPairsRequest", param0)
	return m.DescribeKeyPairsRequestFunc(param0)
}

func (m *ec2Mock) DescribeKeyPairsWithContext(param0 aws.Context, param1 *ec2.DescribeKeyPairsInput, param2 ...request.Option) (*ec2.DescribeKeyPairsOutput, error) {
	m.addCall("DescribeKeyPairsWithContext")
	m.verifyInput("DescribeKeyPairsWithContext", param0)
	return m.DescribeKeyPairsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeMovingAddresses(param0 *ec2.DescribeMovingAddressesInput) (*ec2.DescribeMovingAddressesOutput, error) {
	m.addCall("DescribeMovingAddresses")
	m.verifyInput("DescribeMovingAddresses", param0)
	return m.DescribeMovingAddressesFunc(param0)
}

func (m *ec2Mock) DescribeMovingAddressesRequest(param0 *ec2.DescribeMovingAddressesInput) (*request.Request, *ec2.DescribeMovingAddressesOutput) {
	m.addCall("DescribeMovingAddressesRequest")
	m.verifyInput("DescribeMovingAddressesRequest", param0)
	return m.DescribeMovingAddressesRequestFunc(param0)
}

func (m *ec2Mock) DescribeMovingAddressesWithContext(param0 aws.Context, param1 *ec2.DescribeMovingAddressesInput, param2 ...request.Option) (*ec2.DescribeMovingAddressesOutput, error) {
	m.addCall("DescribeMovingAddressesWithContext")
	m.verifyInput("DescribeMovingAddressesWithContext", param0)
	return m.DescribeMovingAddressesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeNatGateways(param0 *ec2.DescribeNatGatewaysInput) (*ec2.DescribeNatGatewaysOutput, error) {
	m.addCall("DescribeNatGateways")
	m.verifyInput("DescribeNatGateways", param0)
	return m.DescribeNatGatewaysFunc(param0)
}

func (m *ec2Mock) DescribeNatGatewaysRequest(param0 *ec2.DescribeNatGatewaysInput) (*request.Request, *ec2.DescribeNatGatewaysOutput) {
	m.addCall("DescribeNatGatewaysRequest")
	m.verifyInput("DescribeNatGatewaysRequest", param0)
	return m.DescribeNatGatewaysRequestFunc(param0)
}

func (m *ec2Mock) DescribeNatGatewaysWithContext(param0 aws.Context, param1 *ec2.DescribeNatGatewaysInput, param2 ...request.Option) (*ec2.DescribeNatGatewaysOutput, error) {
	m.addCall("DescribeNatGatewaysWithContext")
	m.verifyInput("DescribeNatGatewaysWithContext", param0)
	return m.DescribeNatGatewaysWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeNetworkAcls(param0 *ec2.DescribeNetworkAclsInput) (*ec2.DescribeNetworkAclsOutput, error) {
	m.addCall("DescribeNetworkAcls")
	m.verifyInput("DescribeNetworkAcls", param0)
	return m.DescribeNetworkAclsFunc(param0)
}

func (m *ec2Mock) DescribeNetworkAclsRequest(param0 *ec2.DescribeNetworkAclsInput) (*request.Request, *ec2.DescribeNetworkAclsOutput) {
	m.addCall("DescribeNetworkAclsRequest")
	m.verifyInput("DescribeNetworkAclsRequest", param0)
	return m.DescribeNetworkAclsRequestFunc(param0)
}

func (m *ec2Mock) DescribeNetworkAclsWithContext(param0 aws.Context, param1 *ec2.DescribeNetworkAclsInput, param2 ...request.Option) (*ec2.DescribeNetworkAclsOutput, error) {
	m.addCall("DescribeNetworkAclsWithContext")
	m.verifyInput("DescribeNetworkAclsWithContext", param0)
	return m.DescribeNetworkAclsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeNetworkInterfaceAttribute(param0 *ec2.DescribeNetworkInterfaceAttributeInput) (*ec2.DescribeNetworkInterfaceAttributeOutput, error) {
	m.addCall("DescribeNetworkInterfaceAttribute")
	m.verifyInput("DescribeNetworkInterfaceAttribute", param0)
	return m.DescribeNetworkInterfaceAttributeFunc(param0)
}

func (m *ec2Mock) DescribeNetworkInterfaceAttributeRequest(param0 *ec2.DescribeNetworkInterfaceAttributeInput) (*request.Request, *ec2.DescribeNetworkInterfaceAttributeOutput) {
	m.addCall("DescribeNetworkInterfaceAttributeRequest")
	m.verifyInput("DescribeNetworkInterfaceAttributeRequest", param0)
	return m.DescribeNetworkInterfaceAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeNetworkInterfaceAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeNetworkInterfaceAttributeInput, param2 ...request.Option) (*ec2.DescribeNetworkInterfaceAttributeOutput, error) {
	m.addCall("DescribeNetworkInterfaceAttributeWithContext")
	m.verifyInput("DescribeNetworkInterfaceAttributeWithContext", param0)
	return m.DescribeNetworkInterfaceAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeNetworkInterfacePermissions(param0 *ec2.DescribeNetworkInterfacePermissionsInput) (*ec2.DescribeNetworkInterfacePermissionsOutput, error) {
	m.addCall("DescribeNetworkInterfacePermissions")
	m.verifyInput("DescribeNetworkInterfacePermissions", param0)
	return m.DescribeNetworkInterfacePermissionsFunc(param0)
}

func (m *ec2Mock) DescribeNetworkInterfacePermissionsRequest(param0 *ec2.DescribeNetworkInterfacePermissionsInput) (*request.Request, *ec2.DescribeNetworkInterfacePermissionsOutput) {
	m.addCall("DescribeNetworkInterfacePermissionsRequest")
	m.verifyInput("DescribeNetworkInterfacePermissionsRequest", param0)
	return m.DescribeNetworkInterfacePermissionsRequestFunc(param0)
}

func (m *ec2Mock) DescribeNetworkInterfacePermissionsWithContext(param0 aws.Context, param1 *ec2.DescribeNetworkInterfacePermissionsInput, param2 ...request.Option) (*ec2.DescribeNetworkInterfacePermissionsOutput, error) {
	m.addCall("DescribeNetworkInterfacePermissionsWithContext")
	m.verifyInput("DescribeNetworkInterfacePermissionsWithContext", param0)
	return m.DescribeNetworkInterfacePermissionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeNetworkInterfaces(param0 *ec2.DescribeNetworkInterfacesInput) (*ec2.DescribeNetworkInterfacesOutput, error) {
	m.addCall("DescribeNetworkInterfaces")
	m.verifyInput("DescribeNetworkInterfaces", param0)
	return m.DescribeNetworkInterfacesFunc(param0)
}

func (m *ec2Mock) DescribeNetworkInterfacesRequest(param0 *ec2.DescribeNetworkInterfacesInput) (*request.Request, *ec2.DescribeNetworkInterfacesOutput) {
	m.addCall("DescribeNetworkInterfacesRequest")
	m.verifyInput("DescribeNetworkInterfacesRequest", param0)
	return m.DescribeNetworkInterfacesRequestFunc(param0)
}

func (m *ec2Mock) DescribeNetworkInterfacesWithContext(param0 aws.Context, param1 *ec2.DescribeNetworkInterfacesInput, param2 ...request.Option) (*ec2.DescribeNetworkInterfacesOutput, error) {
	m.addCall("DescribeNetworkInterfacesWithContext")
	m.verifyInput("DescribeNetworkInterfacesWithContext", param0)
	return m.DescribeNetworkInterfacesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribePlacementGroups(param0 *ec2.DescribePlacementGroupsInput) (*ec2.DescribePlacementGroupsOutput, error) {
	m.addCall("DescribePlacementGroups")
	m.verifyInput("DescribePlacementGroups", param0)
	return m.DescribePlacementGroupsFunc(param0)
}

func (m *ec2Mock) DescribePlacementGroupsRequest(param0 *ec2.DescribePlacementGroupsInput) (*request.Request, *ec2.DescribePlacementGroupsOutput) {
	m.addCall("DescribePlacementGroupsRequest")
	m.verifyInput("DescribePlacementGroupsRequest", param0)
	return m.DescribePlacementGroupsRequestFunc(param0)
}

func (m *ec2Mock) DescribePlacementGroupsWithContext(param0 aws.Context, param1 *ec2.DescribePlacementGroupsInput, param2 ...request.Option) (*ec2.DescribePlacementGroupsOutput, error) {
	m.addCall("DescribePlacementGroupsWithContext")
	m.verifyInput("DescribePlacementGroupsWithContext", param0)
	return m.DescribePlacementGroupsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribePrefixLists(param0 *ec2.DescribePrefixListsInput) (*ec2.DescribePrefixListsOutput, error) {
	m.addCall("DescribePrefixLists")
	m.verifyInput("DescribePrefixLists", param0)
	return m.DescribePrefixListsFunc(param0)
}

func (m *ec2Mock) DescribePrefixListsRequest(param0 *ec2.DescribePrefixListsInput) (*request.Request, *ec2.DescribePrefixListsOutput) {
	m.addCall("DescribePrefixListsRequest")
	m.verifyInput("DescribePrefixListsRequest", param0)
	return m.DescribePrefixListsRequestFunc(param0)
}

func (m *ec2Mock) DescribePrefixListsWithContext(param0 aws.Context, param1 *ec2.DescribePrefixListsInput, param2 ...request.Option) (*ec2.DescribePrefixListsOutput, error) {
	m.addCall("DescribePrefixListsWithContext")
	m.verifyInput("DescribePrefixListsWithContext", param0)
	return m.DescribePrefixListsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeRegions(param0 *ec2.DescribeRegionsInput) (*ec2.DescribeRegionsOutput, error) {
	m.addCall("DescribeRegions")
	m.verifyInput("DescribeRegions", param0)
	return m.DescribeRegionsFunc(param0)
}

func (m *ec2Mock) DescribeRegionsRequest(param0 *ec2.DescribeRegionsInput) (*request.Request, *ec2.DescribeRegionsOutput) {
	m.addCall("DescribeRegionsRequest")
	m.verifyInput("DescribeRegionsRequest", param0)
	return m.DescribeRegionsRequestFunc(param0)
}

func (m *ec2Mock) DescribeRegionsWithContext(param0 aws.Context, param1 *ec2.DescribeRegionsInput, param2 ...request.Option) (*ec2.DescribeRegionsOutput, error) {
	m.addCall("DescribeRegionsWithContext")
	m.verifyInput("DescribeRegionsWithContext", param0)
	return m.DescribeRegionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeReservedInstances(param0 *ec2.DescribeReservedInstancesInput) (*ec2.DescribeReservedInstancesOutput, error) {
	m.addCall("DescribeReservedInstances")
	m.verifyInput("DescribeReservedInstances", param0)
	return m.DescribeReservedInstancesFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesListings(param0 *ec2.DescribeReservedInstancesListingsInput) (*ec2.DescribeReservedInstancesListingsOutput, error) {
	m.addCall("DescribeReservedInstancesListings")
	m.verifyInput("DescribeReservedInstancesListings", param0)
	return m.DescribeReservedInstancesListingsFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesListingsRequest(param0 *ec2.DescribeReservedInstancesListingsInput) (*request.Request, *ec2.DescribeReservedInstancesListingsOutput) {
	m.addCall("DescribeReservedInstancesListingsRequest")
	m.verifyInput("DescribeReservedInstancesListingsRequest", param0)
	return m.DescribeReservedInstancesListingsRequestFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesListingsWithContext(param0 aws.Context, param1 *ec2.DescribeReservedInstancesListingsInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesListingsOutput, error) {
	m.addCall("DescribeReservedInstancesListingsWithContext")
	m.verifyInput("DescribeReservedInstancesListingsWithContext", param0)
	return m.DescribeReservedInstancesListingsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeReservedInstancesModifications(param0 *ec2.DescribeReservedInstancesModificationsInput) (*ec2.DescribeReservedInstancesModificationsOutput, error) {
	m.addCall("DescribeReservedInstancesModifications")
	m.verifyInput("DescribeReservedInstancesModifications", param0)
	return m.DescribeReservedInstancesModificationsFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesModificationsRequest(param0 *ec2.DescribeReservedInstancesModificationsInput) (*request.Request, *ec2.DescribeReservedInstancesModificationsOutput) {
	m.addCall("DescribeReservedInstancesModificationsRequest")
	m.verifyInput("DescribeReservedInstancesModificationsRequest", param0)
	return m.DescribeReservedInstancesModificationsRequestFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesModificationsWithContext(param0 aws.Context, param1 *ec2.DescribeReservedInstancesModificationsInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesModificationsOutput, error) {
	m.addCall("DescribeReservedInstancesModificationsWithContext")
	m.verifyInput("DescribeReservedInstancesModificationsWithContext", param0)
	return m.DescribeReservedInstancesModificationsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeReservedInstancesOfferings(param0 *ec2.DescribeReservedInstancesOfferingsInput) (*ec2.DescribeReservedInstancesOfferingsOutput, error) {
	m.addCall("DescribeReservedInstancesOfferings")
	m.verifyInput("DescribeReservedInstancesOfferings", param0)
	return m.DescribeReservedInstancesOfferingsFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesOfferingsRequest(param0 *ec2.DescribeReservedInstancesOfferingsInput) (*request.Request, *ec2.DescribeReservedInstancesOfferingsOutput) {
	m.addCall("DescribeReservedInstancesOfferingsRequest")
	m.verifyInput("DescribeReservedInstancesOfferingsRequest", param0)
	return m.DescribeReservedInstancesOfferingsRequestFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesOfferingsWithContext(param0 aws.Context, param1 *ec2.DescribeReservedInstancesOfferingsInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesOfferingsOutput, error) {
	m.addCall("DescribeReservedInstancesOfferingsWithContext")
	m.verifyInput("DescribeReservedInstancesOfferingsWithContext", param0)
	return m.DescribeReservedInstancesOfferingsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeReservedInstancesRequest(param0 *ec2.DescribeReservedInstancesInput) (*request.Request, *ec2.DescribeReservedInstancesOutput) {
	m.addCall("DescribeReservedInstancesRequest")
	m.verifyInput("DescribeReservedInstancesRequest", param0)
	return m.DescribeReservedInstancesRequestFunc(param0)
}

func (m *ec2Mock) DescribeReservedInstancesWithContext(param0 aws.Context, param1 *ec2.DescribeReservedInstancesInput, param2 ...request.Option) (*ec2.DescribeReservedInstancesOutput, error) {
	m.addCall("DescribeReservedInstancesWithContext")
	m.verifyInput("DescribeReservedInstancesWithContext", param0)
	return m.DescribeReservedInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeRouteTables(param0 *ec2.DescribeRouteTablesInput) (*ec2.DescribeRouteTablesOutput, error) {
	m.addCall("DescribeRouteTables")
	m.verifyInput("DescribeRouteTables", param0)
	return m.DescribeRouteTablesFunc(param0)
}

func (m *ec2Mock) DescribeRouteTablesRequest(param0 *ec2.DescribeRouteTablesInput) (*request.Request, *ec2.DescribeRouteTablesOutput) {
	m.addCall("DescribeRouteTablesRequest")
	m.verifyInput("DescribeRouteTablesRequest", param0)
	return m.DescribeRouteTablesRequestFunc(param0)
}

func (m *ec2Mock) DescribeRouteTablesWithContext(param0 aws.Context, param1 *ec2.DescribeRouteTablesInput, param2 ...request.Option) (*ec2.DescribeRouteTablesOutput, error) {
	m.addCall("DescribeRouteTablesWithContext")
	m.verifyInput("DescribeRouteTablesWithContext", param0)
	return m.DescribeRouteTablesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeScheduledInstanceAvailability(param0 *ec2.DescribeScheduledInstanceAvailabilityInput) (*ec2.DescribeScheduledInstanceAvailabilityOutput, error) {
	m.addCall("DescribeScheduledInstanceAvailability")
	m.verifyInput("DescribeScheduledInstanceAvailability", param0)
	return m.DescribeScheduledInstanceAvailabilityFunc(param0)
}

func (m *ec2Mock) DescribeScheduledInstanceAvailabilityRequest(param0 *ec2.DescribeScheduledInstanceAvailabilityInput) (*request.Request, *ec2.DescribeScheduledInstanceAvailabilityOutput) {
	m.addCall("DescribeScheduledInstanceAvailabilityRequest")
	m.verifyInput("DescribeScheduledInstanceAvailabilityRequest", param0)
	return m.DescribeScheduledInstanceAvailabilityRequestFunc(param0)
}

func (m *ec2Mock) DescribeScheduledInstanceAvailabilityWithContext(param0 aws.Context, param1 *ec2.DescribeScheduledInstanceAvailabilityInput, param2 ...request.Option) (*ec2.DescribeScheduledInstanceAvailabilityOutput, error) {
	m.addCall("DescribeScheduledInstanceAvailabilityWithContext")
	m.verifyInput("DescribeScheduledInstanceAvailabilityWithContext", param0)
	return m.DescribeScheduledInstanceAvailabilityWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeScheduledInstances(param0 *ec2.DescribeScheduledInstancesInput) (*ec2.DescribeScheduledInstancesOutput, error) {
	m.addCall("DescribeScheduledInstances")
	m.verifyInput("DescribeScheduledInstances", param0)
	return m.DescribeScheduledInstancesFunc(param0)
}

func (m *ec2Mock) DescribeScheduledInstancesRequest(param0 *ec2.DescribeScheduledInstancesInput) (*request.Request, *ec2.DescribeScheduledInstancesOutput) {
	m.addCall("DescribeScheduledInstancesRequest")
	m.verifyInput("DescribeScheduledInstancesRequest", param0)
	return m.DescribeScheduledInstancesRequestFunc(param0)
}

func (m *ec2Mock) DescribeScheduledInstancesWithContext(param0 aws.Context, param1 *ec2.DescribeScheduledInstancesInput, param2 ...request.Option) (*ec2.DescribeScheduledInstancesOutput, error) {
	m.addCall("DescribeScheduledInstancesWithContext")
	m.verifyInput("DescribeScheduledInstancesWithContext", param0)
	return m.DescribeScheduledInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSecurityGroupReferences(param0 *ec2.DescribeSecurityGroupReferencesInput) (*ec2.DescribeSecurityGroupReferencesOutput, error) {
	m.addCall("DescribeSecurityGroupReferences")
	m.verifyInput("DescribeSecurityGroupReferences", param0)
	return m.DescribeSecurityGroupReferencesFunc(param0)
}

func (m *ec2Mock) DescribeSecurityGroupReferencesRequest(param0 *ec2.DescribeSecurityGroupReferencesInput) (*request.Request, *ec2.DescribeSecurityGroupReferencesOutput) {
	m.addCall("DescribeSecurityGroupReferencesRequest")
	m.verifyInput("DescribeSecurityGroupReferencesRequest", param0)
	return m.DescribeSecurityGroupReferencesRequestFunc(param0)
}

func (m *ec2Mock) DescribeSecurityGroupReferencesWithContext(param0 aws.Context, param1 *ec2.DescribeSecurityGroupReferencesInput, param2 ...request.Option) (*ec2.DescribeSecurityGroupReferencesOutput, error) {
	m.addCall("DescribeSecurityGroupReferencesWithContext")
	m.verifyInput("DescribeSecurityGroupReferencesWithContext", param0)
	return m.DescribeSecurityGroupReferencesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSecurityGroups(param0 *ec2.DescribeSecurityGroupsInput) (*ec2.DescribeSecurityGroupsOutput, error) {
	m.addCall("DescribeSecurityGroups")
	m.verifyInput("DescribeSecurityGroups", param0)
	return m.DescribeSecurityGroupsFunc(param0)
}

func (m *ec2Mock) DescribeSecurityGroupsRequest(param0 *ec2.DescribeSecurityGroupsInput) (*request.Request, *ec2.DescribeSecurityGroupsOutput) {
	m.addCall("DescribeSecurityGroupsRequest")
	m.verifyInput("DescribeSecurityGroupsRequest", param0)
	return m.DescribeSecurityGroupsRequestFunc(param0)
}

func (m *ec2Mock) DescribeSecurityGroupsWithContext(param0 aws.Context, param1 *ec2.DescribeSecurityGroupsInput, param2 ...request.Option) (*ec2.DescribeSecurityGroupsOutput, error) {
	m.addCall("DescribeSecurityGroupsWithContext")
	m.verifyInput("DescribeSecurityGroupsWithContext", param0)
	return m.DescribeSecurityGroupsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSnapshotAttribute(param0 *ec2.DescribeSnapshotAttributeInput) (*ec2.DescribeSnapshotAttributeOutput, error) {
	m.addCall("DescribeSnapshotAttribute")
	m.verifyInput("DescribeSnapshotAttribute", param0)
	return m.DescribeSnapshotAttributeFunc(param0)
}

func (m *ec2Mock) DescribeSnapshotAttributeRequest(param0 *ec2.DescribeSnapshotAttributeInput) (*request.Request, *ec2.DescribeSnapshotAttributeOutput) {
	m.addCall("DescribeSnapshotAttributeRequest")
	m.verifyInput("DescribeSnapshotAttributeRequest", param0)
	return m.DescribeSnapshotAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeSnapshotAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeSnapshotAttributeInput, param2 ...request.Option) (*ec2.DescribeSnapshotAttributeOutput, error) {
	m.addCall("DescribeSnapshotAttributeWithContext")
	m.verifyInput("DescribeSnapshotAttributeWithContext", param0)
	return m.DescribeSnapshotAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSnapshots(param0 *ec2.DescribeSnapshotsInput) (*ec2.DescribeSnapshotsOutput, error) {
	m.addCall("DescribeSnapshots")
	m.verifyInput("DescribeSnapshots", param0)
	return m.DescribeSnapshotsFunc(param0)
}

func (m *ec2Mock) DescribeSnapshotsRequest(param0 *ec2.DescribeSnapshotsInput) (*request.Request, *ec2.DescribeSnapshotsOutput) {
	m.addCall("DescribeSnapshotsRequest")
	m.verifyInput("DescribeSnapshotsRequest", param0)
	return m.DescribeSnapshotsRequestFunc(param0)
}

func (m *ec2Mock) DescribeSnapshotsWithContext(param0 aws.Context, param1 *ec2.DescribeSnapshotsInput, param2 ...request.Option) (*ec2.DescribeSnapshotsOutput, error) {
	m.addCall("DescribeSnapshotsWithContext")
	m.verifyInput("DescribeSnapshotsWithContext", param0)
	return m.DescribeSnapshotsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSpotDatafeedSubscription(param0 *ec2.DescribeSpotDatafeedSubscriptionInput) (*ec2.DescribeSpotDatafeedSubscriptionOutput, error) {
	m.addCall("DescribeSpotDatafeedSubscription")
	m.verifyInput("DescribeSpotDatafeedSubscription", param0)
	return m.DescribeSpotDatafeedSubscriptionFunc(param0)
}

func (m *ec2Mock) DescribeSpotDatafeedSubscriptionRequest(param0 *ec2.DescribeSpotDatafeedSubscriptionInput) (*request.Request, *ec2.DescribeSpotDatafeedSubscriptionOutput) {
	m.addCall("DescribeSpotDatafeedSubscriptionRequest")
	m.verifyInput("DescribeSpotDatafeedSubscriptionRequest", param0)
	return m.DescribeSpotDatafeedSubscriptionRequestFunc(param0)
}

func (m *ec2Mock) DescribeSpotDatafeedSubscriptionWithContext(param0 aws.Context, param1 *ec2.DescribeSpotDatafeedSubscriptionInput, param2 ...request.Option) (*ec2.DescribeSpotDatafeedSubscriptionOutput, error) {
	m.addCall("DescribeSpotDatafeedSubscriptionWithContext")
	m.verifyInput("DescribeSpotDatafeedSubscriptionWithContext", param0)
	return m.DescribeSpotDatafeedSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSpotFleetInstances(param0 *ec2.DescribeSpotFleetInstancesInput) (*ec2.DescribeSpotFleetInstancesOutput, error) {
	m.addCall("DescribeSpotFleetInstances")
	m.verifyInput("DescribeSpotFleetInstances", param0)
	return m.DescribeSpotFleetInstancesFunc(param0)
}

func (m *ec2Mock) DescribeSpotFleetInstancesRequest(param0 *ec2.DescribeSpotFleetInstancesInput) (*request.Request, *ec2.DescribeSpotFleetInstancesOutput) {
	m.addCall("DescribeSpotFleetInstancesRequest")
	m.verifyInput("DescribeSpotFleetInstancesRequest", param0)
	return m.DescribeSpotFleetInstancesRequestFunc(param0)
}

func (m *ec2Mock) DescribeSpotFleetInstancesWithContext(param0 aws.Context, param1 *ec2.DescribeSpotFleetInstancesInput, param2 ...request.Option) (*ec2.DescribeSpotFleetInstancesOutput, error) {
	m.addCall("DescribeSpotFleetInstancesWithContext")
	m.verifyInput("DescribeSpotFleetInstancesWithContext", param0)
	return m.DescribeSpotFleetInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSpotFleetRequestHistory(param0 *ec2.DescribeSpotFleetRequestHistoryInput) (*ec2.DescribeSpotFleetRequestHistoryOutput, error) {
	m.addCall("DescribeSpotFleetRequestHistory")
	m.verifyInput("DescribeSpotFleetRequestHistory", param0)
	return m.DescribeSpotFleetRequestHistoryFunc(param0)
}

func (m *ec2Mock) DescribeSpotFleetRequestHistoryRequest(param0 *ec2.DescribeSpotFleetRequestHistoryInput) (*request.Request, *ec2.DescribeSpotFleetRequestHistoryOutput) {
	m.addCall("DescribeSpotFleetRequestHistoryRequest")
	m.verifyInput("DescribeSpotFleetRequestHistoryRequest", param0)
	return m.DescribeSpotFleetRequestHistoryRequestFunc(param0)
}

func (m *ec2Mock) DescribeSpotFleetRequestHistoryWithContext(param0 aws.Context, param1 *ec2.DescribeSpotFleetRequestHistoryInput, param2 ...request.Option) (*ec2.DescribeSpotFleetRequestHistoryOutput, error) {
	m.addCall("DescribeSpotFleetRequestHistoryWithContext")
	m.verifyInput("DescribeSpotFleetRequestHistoryWithContext", param0)
	return m.DescribeSpotFleetRequestHistoryWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSpotFleetRequests(param0 *ec2.DescribeSpotFleetRequestsInput) (*ec2.DescribeSpotFleetRequestsOutput, error) {
	m.addCall("DescribeSpotFleetRequests")
	m.verifyInput("DescribeSpotFleetRequests", param0)
	return m.DescribeSpotFleetRequestsFunc(param0)
}

func (m *ec2Mock) DescribeSpotFleetRequestsRequest(param0 *ec2.DescribeSpotFleetRequestsInput) (*request.Request, *ec2.DescribeSpotFleetRequestsOutput) {
	m.addCall("DescribeSpotFleetRequestsRequest")
	m.verifyInput("DescribeSpotFleetRequestsRequest", param0)
	return m.DescribeSpotFleetRequestsRequestFunc(param0)
}

func (m *ec2Mock) DescribeSpotFleetRequestsWithContext(param0 aws.Context, param1 *ec2.DescribeSpotFleetRequestsInput, param2 ...request.Option) (*ec2.DescribeSpotFleetRequestsOutput, error) {
	m.addCall("DescribeSpotFleetRequestsWithContext")
	m.verifyInput("DescribeSpotFleetRequestsWithContext", param0)
	return m.DescribeSpotFleetRequestsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSpotInstanceRequests(param0 *ec2.DescribeSpotInstanceRequestsInput) (*ec2.DescribeSpotInstanceRequestsOutput, error) {
	m.addCall("DescribeSpotInstanceRequests")
	m.verifyInput("DescribeSpotInstanceRequests", param0)
	return m.DescribeSpotInstanceRequestsFunc(param0)
}

func (m *ec2Mock) DescribeSpotInstanceRequestsRequest(param0 *ec2.DescribeSpotInstanceRequestsInput) (*request.Request, *ec2.DescribeSpotInstanceRequestsOutput) {
	m.addCall("DescribeSpotInstanceRequestsRequest")
	m.verifyInput("DescribeSpotInstanceRequestsRequest", param0)
	return m.DescribeSpotInstanceRequestsRequestFunc(param0)
}

func (m *ec2Mock) DescribeSpotInstanceRequestsWithContext(param0 aws.Context, param1 *ec2.DescribeSpotInstanceRequestsInput, param2 ...request.Option) (*ec2.DescribeSpotInstanceRequestsOutput, error) {
	m.addCall("DescribeSpotInstanceRequestsWithContext")
	m.verifyInput("DescribeSpotInstanceRequestsWithContext", param0)
	return m.DescribeSpotInstanceRequestsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSpotPriceHistory(param0 *ec2.DescribeSpotPriceHistoryInput) (*ec2.DescribeSpotPriceHistoryOutput, error) {
	m.addCall("DescribeSpotPriceHistory")
	m.verifyInput("DescribeSpotPriceHistory", param0)
	return m.DescribeSpotPriceHistoryFunc(param0)
}

func (m *ec2Mock) DescribeSpotPriceHistoryRequest(param0 *ec2.DescribeSpotPriceHistoryInput) (*request.Request, *ec2.DescribeSpotPriceHistoryOutput) {
	m.addCall("DescribeSpotPriceHistoryRequest")
	m.verifyInput("DescribeSpotPriceHistoryRequest", param0)
	return m.DescribeSpotPriceHistoryRequestFunc(param0)
}

func (m *ec2Mock) DescribeSpotPriceHistoryWithContext(param0 aws.Context, param1 *ec2.DescribeSpotPriceHistoryInput, param2 ...request.Option) (*ec2.DescribeSpotPriceHistoryOutput, error) {
	m.addCall("DescribeSpotPriceHistoryWithContext")
	m.verifyInput("DescribeSpotPriceHistoryWithContext", param0)
	return m.DescribeSpotPriceHistoryWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeStaleSecurityGroups(param0 *ec2.DescribeStaleSecurityGroupsInput) (*ec2.DescribeStaleSecurityGroupsOutput, error) {
	m.addCall("DescribeStaleSecurityGroups")
	m.verifyInput("DescribeStaleSecurityGroups", param0)
	return m.DescribeStaleSecurityGroupsFunc(param0)
}

func (m *ec2Mock) DescribeStaleSecurityGroupsRequest(param0 *ec2.DescribeStaleSecurityGroupsInput) (*request.Request, *ec2.DescribeStaleSecurityGroupsOutput) {
	m.addCall("DescribeStaleSecurityGroupsRequest")
	m.verifyInput("DescribeStaleSecurityGroupsRequest", param0)
	return m.DescribeStaleSecurityGroupsRequestFunc(param0)
}

func (m *ec2Mock) DescribeStaleSecurityGroupsWithContext(param0 aws.Context, param1 *ec2.DescribeStaleSecurityGroupsInput, param2 ...request.Option) (*ec2.DescribeStaleSecurityGroupsOutput, error) {
	m.addCall("DescribeStaleSecurityGroupsWithContext")
	m.verifyInput("DescribeStaleSecurityGroupsWithContext", param0)
	return m.DescribeStaleSecurityGroupsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeSubnets(param0 *ec2.DescribeSubnetsInput) (*ec2.DescribeSubnetsOutput, error) {
	m.addCall("DescribeSubnets")
	m.verifyInput("DescribeSubnets", param0)
	return m.DescribeSubnetsFunc(param0)
}

func (m *ec2Mock) DescribeSubnetsRequest(param0 *ec2.DescribeSubnetsInput) (*request.Request, *ec2.DescribeSubnetsOutput) {
	m.addCall("DescribeSubnetsRequest")
	m.verifyInput("DescribeSubnetsRequest", param0)
	return m.DescribeSubnetsRequestFunc(param0)
}

func (m *ec2Mock) DescribeSubnetsWithContext(param0 aws.Context, param1 *ec2.DescribeSubnetsInput, param2 ...request.Option) (*ec2.DescribeSubnetsOutput, error) {
	m.addCall("DescribeSubnetsWithContext")
	m.verifyInput("DescribeSubnetsWithContext", param0)
	return m.DescribeSubnetsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeTags(param0 *ec2.DescribeTagsInput) (*ec2.DescribeTagsOutput, error) {
	m.addCall("DescribeTags")
	m.verifyInput("DescribeTags", param0)
	return m.DescribeTagsFunc(param0)
}

func (m *ec2Mock) DescribeTagsRequest(param0 *ec2.DescribeTagsInput) (*request.Request, *ec2.DescribeTagsOutput) {
	m.addCall("DescribeTagsRequest")
	m.verifyInput("DescribeTagsRequest", param0)
	return m.DescribeTagsRequestFunc(param0)
}

func (m *ec2Mock) DescribeTagsWithContext(param0 aws.Context, param1 *ec2.DescribeTagsInput, param2 ...request.Option) (*ec2.DescribeTagsOutput, error) {
	m.addCall("DescribeTagsWithContext")
	m.verifyInput("DescribeTagsWithContext", param0)
	return m.DescribeTagsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVolumeAttribute(param0 *ec2.DescribeVolumeAttributeInput) (*ec2.DescribeVolumeAttributeOutput, error) {
	m.addCall("DescribeVolumeAttribute")
	m.verifyInput("DescribeVolumeAttribute", param0)
	return m.DescribeVolumeAttributeFunc(param0)
}

func (m *ec2Mock) DescribeVolumeAttributeRequest(param0 *ec2.DescribeVolumeAttributeInput) (*request.Request, *ec2.DescribeVolumeAttributeOutput) {
	m.addCall("DescribeVolumeAttributeRequest")
	m.verifyInput("DescribeVolumeAttributeRequest", param0)
	return m.DescribeVolumeAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeVolumeAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeVolumeAttributeInput, param2 ...request.Option) (*ec2.DescribeVolumeAttributeOutput, error) {
	m.addCall("DescribeVolumeAttributeWithContext")
	m.verifyInput("DescribeVolumeAttributeWithContext", param0)
	return m.DescribeVolumeAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVolumeStatus(param0 *ec2.DescribeVolumeStatusInput) (*ec2.DescribeVolumeStatusOutput, error) {
	m.addCall("DescribeVolumeStatus")
	m.verifyInput("DescribeVolumeStatus", param0)
	return m.DescribeVolumeStatusFunc(param0)
}

func (m *ec2Mock) DescribeVolumeStatusRequest(param0 *ec2.DescribeVolumeStatusInput) (*request.Request, *ec2.DescribeVolumeStatusOutput) {
	m.addCall("DescribeVolumeStatusRequest")
	m.verifyInput("DescribeVolumeStatusRequest", param0)
	return m.DescribeVolumeStatusRequestFunc(param0)
}

func (m *ec2Mock) DescribeVolumeStatusWithContext(param0 aws.Context, param1 *ec2.DescribeVolumeStatusInput, param2 ...request.Option) (*ec2.DescribeVolumeStatusOutput, error) {
	m.addCall("DescribeVolumeStatusWithContext")
	m.verifyInput("DescribeVolumeStatusWithContext", param0)
	return m.DescribeVolumeStatusWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVolumes(param0 *ec2.DescribeVolumesInput) (*ec2.DescribeVolumesOutput, error) {
	m.addCall("DescribeVolumes")
	m.verifyInput("DescribeVolumes", param0)
	return m.DescribeVolumesFunc(param0)
}

func (m *ec2Mock) DescribeVolumesModifications(param0 *ec2.DescribeVolumesModificationsInput) (*ec2.DescribeVolumesModificationsOutput, error) {
	m.addCall("DescribeVolumesModifications")
	m.verifyInput("DescribeVolumesModifications", param0)
	return m.DescribeVolumesModificationsFunc(param0)
}

func (m *ec2Mock) DescribeVolumesModificationsRequest(param0 *ec2.DescribeVolumesModificationsInput) (*request.Request, *ec2.DescribeVolumesModificationsOutput) {
	m.addCall("DescribeVolumesModificationsRequest")
	m.verifyInput("DescribeVolumesModificationsRequest", param0)
	return m.DescribeVolumesModificationsRequestFunc(param0)
}

func (m *ec2Mock) DescribeVolumesModificationsWithContext(param0 aws.Context, param1 *ec2.DescribeVolumesModificationsInput, param2 ...request.Option) (*ec2.DescribeVolumesModificationsOutput, error) {
	m.addCall("DescribeVolumesModificationsWithContext")
	m.verifyInput("DescribeVolumesModificationsWithContext", param0)
	return m.DescribeVolumesModificationsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVolumesRequest(param0 *ec2.DescribeVolumesInput) (*request.Request, *ec2.DescribeVolumesOutput) {
	m.addCall("DescribeVolumesRequest")
	m.verifyInput("DescribeVolumesRequest", param0)
	return m.DescribeVolumesRequestFunc(param0)
}

func (m *ec2Mock) DescribeVolumesWithContext(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.Option) (*ec2.DescribeVolumesOutput, error) {
	m.addCall("DescribeVolumesWithContext")
	m.verifyInput("DescribeVolumesWithContext", param0)
	return m.DescribeVolumesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcAttribute(param0 *ec2.DescribeVpcAttributeInput) (*ec2.DescribeVpcAttributeOutput, error) {
	m.addCall("DescribeVpcAttribute")
	m.verifyInput("DescribeVpcAttribute", param0)
	return m.DescribeVpcAttributeFunc(param0)
}

func (m *ec2Mock) DescribeVpcAttributeRequest(param0 *ec2.DescribeVpcAttributeInput) (*request.Request, *ec2.DescribeVpcAttributeOutput) {
	m.addCall("DescribeVpcAttributeRequest")
	m.verifyInput("DescribeVpcAttributeRequest", param0)
	return m.DescribeVpcAttributeRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcAttributeWithContext(param0 aws.Context, param1 *ec2.DescribeVpcAttributeInput, param2 ...request.Option) (*ec2.DescribeVpcAttributeOutput, error) {
	m.addCall("DescribeVpcAttributeWithContext")
	m.verifyInput("DescribeVpcAttributeWithContext", param0)
	return m.DescribeVpcAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcClassicLink(param0 *ec2.DescribeVpcClassicLinkInput) (*ec2.DescribeVpcClassicLinkOutput, error) {
	m.addCall("DescribeVpcClassicLink")
	m.verifyInput("DescribeVpcClassicLink", param0)
	return m.DescribeVpcClassicLinkFunc(param0)
}

func (m *ec2Mock) DescribeVpcClassicLinkDnsSupport(param0 *ec2.DescribeVpcClassicLinkDnsSupportInput) (*ec2.DescribeVpcClassicLinkDnsSupportOutput, error) {
	m.addCall("DescribeVpcClassicLinkDnsSupport")
	m.verifyInput("DescribeVpcClassicLinkDnsSupport", param0)
	return m.DescribeVpcClassicLinkDnsSupportFunc(param0)
}

func (m *ec2Mock) DescribeVpcClassicLinkDnsSupportRequest(param0 *ec2.DescribeVpcClassicLinkDnsSupportInput) (*request.Request, *ec2.DescribeVpcClassicLinkDnsSupportOutput) {
	m.addCall("DescribeVpcClassicLinkDnsSupportRequest")
	m.verifyInput("DescribeVpcClassicLinkDnsSupportRequest", param0)
	return m.DescribeVpcClassicLinkDnsSupportRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcClassicLinkDnsSupportWithContext(param0 aws.Context, param1 *ec2.DescribeVpcClassicLinkDnsSupportInput, param2 ...request.Option) (*ec2.DescribeVpcClassicLinkDnsSupportOutput, error) {
	m.addCall("DescribeVpcClassicLinkDnsSupportWithContext")
	m.verifyInput("DescribeVpcClassicLinkDnsSupportWithContext", param0)
	return m.DescribeVpcClassicLinkDnsSupportWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcClassicLinkRequest(param0 *ec2.DescribeVpcClassicLinkInput) (*request.Request, *ec2.DescribeVpcClassicLinkOutput) {
	m.addCall("DescribeVpcClassicLinkRequest")
	m.verifyInput("DescribeVpcClassicLinkRequest", param0)
	return m.DescribeVpcClassicLinkRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcClassicLinkWithContext(param0 aws.Context, param1 *ec2.DescribeVpcClassicLinkInput, param2 ...request.Option) (*ec2.DescribeVpcClassicLinkOutput, error) {
	m.addCall("DescribeVpcClassicLinkWithContext")
	m.verifyInput("DescribeVpcClassicLinkWithContext", param0)
	return m.DescribeVpcClassicLinkWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcEndpointServices(param0 *ec2.DescribeVpcEndpointServicesInput) (*ec2.DescribeVpcEndpointServicesOutput, error) {
	m.addCall("DescribeVpcEndpointServices")
	m.verifyInput("DescribeVpcEndpointServices", param0)
	return m.DescribeVpcEndpointServicesFunc(param0)
}

func (m *ec2Mock) DescribeVpcEndpointServicesRequest(param0 *ec2.DescribeVpcEndpointServicesInput) (*request.Request, *ec2.DescribeVpcEndpointServicesOutput) {
	m.addCall("DescribeVpcEndpointServicesRequest")
	m.verifyInput("DescribeVpcEndpointServicesRequest", param0)
	return m.DescribeVpcEndpointServicesRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcEndpointServicesWithContext(param0 aws.Context, param1 *ec2.DescribeVpcEndpointServicesInput, param2 ...request.Option) (*ec2.DescribeVpcEndpointServicesOutput, error) {
	m.addCall("DescribeVpcEndpointServicesWithContext")
	m.verifyInput("DescribeVpcEndpointServicesWithContext", param0)
	return m.DescribeVpcEndpointServicesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcEndpoints(param0 *ec2.DescribeVpcEndpointsInput) (*ec2.DescribeVpcEndpointsOutput, error) {
	m.addCall("DescribeVpcEndpoints")
	m.verifyInput("DescribeVpcEndpoints", param0)
	return m.DescribeVpcEndpointsFunc(param0)
}

func (m *ec2Mock) DescribeVpcEndpointsRequest(param0 *ec2.DescribeVpcEndpointsInput) (*request.Request, *ec2.DescribeVpcEndpointsOutput) {
	m.addCall("DescribeVpcEndpointsRequest")
	m.verifyInput("DescribeVpcEndpointsRequest", param0)
	return m.DescribeVpcEndpointsRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcEndpointsWithContext(param0 aws.Context, param1 *ec2.DescribeVpcEndpointsInput, param2 ...request.Option) (*ec2.DescribeVpcEndpointsOutput, error) {
	m.addCall("DescribeVpcEndpointsWithContext")
	m.verifyInput("DescribeVpcEndpointsWithContext", param0)
	return m.DescribeVpcEndpointsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcPeeringConnections(param0 *ec2.DescribeVpcPeeringConnectionsInput) (*ec2.DescribeVpcPeeringConnectionsOutput, error) {
	m.addCall("DescribeVpcPeeringConnections")
	m.verifyInput("DescribeVpcPeeringConnections", param0)
	return m.DescribeVpcPeeringConnectionsFunc(param0)
}

func (m *ec2Mock) DescribeVpcPeeringConnectionsRequest(param0 *ec2.DescribeVpcPeeringConnectionsInput) (*request.Request, *ec2.DescribeVpcPeeringConnectionsOutput) {
	m.addCall("DescribeVpcPeeringConnectionsRequest")
	m.verifyInput("DescribeVpcPeeringConnectionsRequest", param0)
	return m.DescribeVpcPeeringConnectionsRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcPeeringConnectionsWithContext(param0 aws.Context, param1 *ec2.DescribeVpcPeeringConnectionsInput, param2 ...request.Option) (*ec2.DescribeVpcPeeringConnectionsOutput, error) {
	m.addCall("DescribeVpcPeeringConnectionsWithContext")
	m.verifyInput("DescribeVpcPeeringConnectionsWithContext", param0)
	return m.DescribeVpcPeeringConnectionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpcs(param0 *ec2.DescribeVpcsInput) (*ec2.DescribeVpcsOutput, error) {
	m.addCall("DescribeVpcs")
	m.verifyInput("DescribeVpcs", param0)
	return m.DescribeVpcsFunc(param0)
}

func (m *ec2Mock) DescribeVpcsRequest(param0 *ec2.DescribeVpcsInput) (*request.Request, *ec2.DescribeVpcsOutput) {
	m.addCall("DescribeVpcsRequest")
	m.verifyInput("DescribeVpcsRequest", param0)
	return m.DescribeVpcsRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpcsWithContext(param0 aws.Context, param1 *ec2.DescribeVpcsInput, param2 ...request.Option) (*ec2.DescribeVpcsOutput, error) {
	m.addCall("DescribeVpcsWithContext")
	m.verifyInput("DescribeVpcsWithContext", param0)
	return m.DescribeVpcsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpnConnections(param0 *ec2.DescribeVpnConnectionsInput) (*ec2.DescribeVpnConnectionsOutput, error) {
	m.addCall("DescribeVpnConnections")
	m.verifyInput("DescribeVpnConnections", param0)
	return m.DescribeVpnConnectionsFunc(param0)
}

func (m *ec2Mock) DescribeVpnConnectionsRequest(param0 *ec2.DescribeVpnConnectionsInput) (*request.Request, *ec2.DescribeVpnConnectionsOutput) {
	m.addCall("DescribeVpnConnectionsRequest")
	m.verifyInput("DescribeVpnConnectionsRequest", param0)
	return m.DescribeVpnConnectionsRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpnConnectionsWithContext(param0 aws.Context, param1 *ec2.DescribeVpnConnectionsInput, param2 ...request.Option) (*ec2.DescribeVpnConnectionsOutput, error) {
	m.addCall("DescribeVpnConnectionsWithContext")
	m.verifyInput("DescribeVpnConnectionsWithContext", param0)
	return m.DescribeVpnConnectionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DescribeVpnGateways(param0 *ec2.DescribeVpnGatewaysInput) (*ec2.DescribeVpnGatewaysOutput, error) {
	m.addCall("DescribeVpnGateways")
	m.verifyInput("DescribeVpnGateways", param0)
	return m.DescribeVpnGatewaysFunc(param0)
}

func (m *ec2Mock) DescribeVpnGatewaysRequest(param0 *ec2.DescribeVpnGatewaysInput) (*request.Request, *ec2.DescribeVpnGatewaysOutput) {
	m.addCall("DescribeVpnGatewaysRequest")
	m.verifyInput("DescribeVpnGatewaysRequest", param0)
	return m.DescribeVpnGatewaysRequestFunc(param0)
}

func (m *ec2Mock) DescribeVpnGatewaysWithContext(param0 aws.Context, param1 *ec2.DescribeVpnGatewaysInput, param2 ...request.Option) (*ec2.DescribeVpnGatewaysOutput, error) {
	m.addCall("DescribeVpnGatewaysWithContext")
	m.verifyInput("DescribeVpnGatewaysWithContext", param0)
	return m.DescribeVpnGatewaysWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DetachClassicLinkVpc(param0 *ec2.DetachClassicLinkVpcInput) (*ec2.DetachClassicLinkVpcOutput, error) {
	m.addCall("DetachClassicLinkVpc")
	m.verifyInput("DetachClassicLinkVpc", param0)
	return m.DetachClassicLinkVpcFunc(param0)
}

func (m *ec2Mock) DetachClassicLinkVpcRequest(param0 *ec2.DetachClassicLinkVpcInput) (*request.Request, *ec2.DetachClassicLinkVpcOutput) {
	m.addCall("DetachClassicLinkVpcRequest")
	m.verifyInput("DetachClassicLinkVpcRequest", param0)
	return m.DetachClassicLinkVpcRequestFunc(param0)
}

func (m *ec2Mock) DetachClassicLinkVpcWithContext(param0 aws.Context, param1 *ec2.DetachClassicLinkVpcInput, param2 ...request.Option) (*ec2.DetachClassicLinkVpcOutput, error) {
	m.addCall("DetachClassicLinkVpcWithContext")
	m.verifyInput("DetachClassicLinkVpcWithContext", param0)
	return m.DetachClassicLinkVpcWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DetachInternetGateway(param0 *ec2.DetachInternetGatewayInput) (*ec2.DetachInternetGatewayOutput, error) {
	m.addCall("DetachInternetGateway")
	m.verifyInput("DetachInternetGateway", param0)
	return m.DetachInternetGatewayFunc(param0)
}

func (m *ec2Mock) DetachInternetGatewayRequest(param0 *ec2.DetachInternetGatewayInput) (*request.Request, *ec2.DetachInternetGatewayOutput) {
	m.addCall("DetachInternetGatewayRequest")
	m.verifyInput("DetachInternetGatewayRequest", param0)
	return m.DetachInternetGatewayRequestFunc(param0)
}

func (m *ec2Mock) DetachInternetGatewayWithContext(param0 aws.Context, param1 *ec2.DetachInternetGatewayInput, param2 ...request.Option) (*ec2.DetachInternetGatewayOutput, error) {
	m.addCall("DetachInternetGatewayWithContext")
	m.verifyInput("DetachInternetGatewayWithContext", param0)
	return m.DetachInternetGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DetachNetworkInterface(param0 *ec2.DetachNetworkInterfaceInput) (*ec2.DetachNetworkInterfaceOutput, error) {
	m.addCall("DetachNetworkInterface")
	m.verifyInput("DetachNetworkInterface", param0)
	return m.DetachNetworkInterfaceFunc(param0)
}

func (m *ec2Mock) DetachNetworkInterfaceRequest(param0 *ec2.DetachNetworkInterfaceInput) (*request.Request, *ec2.DetachNetworkInterfaceOutput) {
	m.addCall("DetachNetworkInterfaceRequest")
	m.verifyInput("DetachNetworkInterfaceRequest", param0)
	return m.DetachNetworkInterfaceRequestFunc(param0)
}

func (m *ec2Mock) DetachNetworkInterfaceWithContext(param0 aws.Context, param1 *ec2.DetachNetworkInterfaceInput, param2 ...request.Option) (*ec2.DetachNetworkInterfaceOutput, error) {
	m.addCall("DetachNetworkInterfaceWithContext")
	m.verifyInput("DetachNetworkInterfaceWithContext", param0)
	return m.DetachNetworkInterfaceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DetachVolume(param0 *ec2.DetachVolumeInput) (*ec2.VolumeAttachment, error) {
	m.addCall("DetachVolume")
	m.verifyInput("DetachVolume", param0)
	return m.DetachVolumeFunc(param0)
}

func (m *ec2Mock) DetachVolumeRequest(param0 *ec2.DetachVolumeInput) (*request.Request, *ec2.VolumeAttachment) {
	m.addCall("DetachVolumeRequest")
	m.verifyInput("DetachVolumeRequest", param0)
	return m.DetachVolumeRequestFunc(param0)
}

func (m *ec2Mock) DetachVolumeWithContext(param0 aws.Context, param1 *ec2.DetachVolumeInput, param2 ...request.Option) (*ec2.VolumeAttachment, error) {
	m.addCall("DetachVolumeWithContext")
	m.verifyInput("DetachVolumeWithContext", param0)
	return m.DetachVolumeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DetachVpnGateway(param0 *ec2.DetachVpnGatewayInput) (*ec2.DetachVpnGatewayOutput, error) {
	m.addCall("DetachVpnGateway")
	m.verifyInput("DetachVpnGateway", param0)
	return m.DetachVpnGatewayFunc(param0)
}

func (m *ec2Mock) DetachVpnGatewayRequest(param0 *ec2.DetachVpnGatewayInput) (*request.Request, *ec2.DetachVpnGatewayOutput) {
	m.addCall("DetachVpnGatewayRequest")
	m.verifyInput("DetachVpnGatewayRequest", param0)
	return m.DetachVpnGatewayRequestFunc(param0)
}

func (m *ec2Mock) DetachVpnGatewayWithContext(param0 aws.Context, param1 *ec2.DetachVpnGatewayInput, param2 ...request.Option) (*ec2.DetachVpnGatewayOutput, error) {
	m.addCall("DetachVpnGatewayWithContext")
	m.verifyInput("DetachVpnGatewayWithContext", param0)
	return m.DetachVpnGatewayWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisableVgwRoutePropagation(param0 *ec2.DisableVgwRoutePropagationInput) (*ec2.DisableVgwRoutePropagationOutput, error) {
	m.addCall("DisableVgwRoutePropagation")
	m.verifyInput("DisableVgwRoutePropagation", param0)
	return m.DisableVgwRoutePropagationFunc(param0)
}

func (m *ec2Mock) DisableVgwRoutePropagationRequest(param0 *ec2.DisableVgwRoutePropagationInput) (*request.Request, *ec2.DisableVgwRoutePropagationOutput) {
	m.addCall("DisableVgwRoutePropagationRequest")
	m.verifyInput("DisableVgwRoutePropagationRequest", param0)
	return m.DisableVgwRoutePropagationRequestFunc(param0)
}

func (m *ec2Mock) DisableVgwRoutePropagationWithContext(param0 aws.Context, param1 *ec2.DisableVgwRoutePropagationInput, param2 ...request.Option) (*ec2.DisableVgwRoutePropagationOutput, error) {
	m.addCall("DisableVgwRoutePropagationWithContext")
	m.verifyInput("DisableVgwRoutePropagationWithContext", param0)
	return m.DisableVgwRoutePropagationWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisableVpcClassicLink(param0 *ec2.DisableVpcClassicLinkInput) (*ec2.DisableVpcClassicLinkOutput, error) {
	m.addCall("DisableVpcClassicLink")
	m.verifyInput("DisableVpcClassicLink", param0)
	return m.DisableVpcClassicLinkFunc(param0)
}

func (m *ec2Mock) DisableVpcClassicLinkDnsSupport(param0 *ec2.DisableVpcClassicLinkDnsSupportInput) (*ec2.DisableVpcClassicLinkDnsSupportOutput, error) {
	m.addCall("DisableVpcClassicLinkDnsSupport")
	m.verifyInput("DisableVpcClassicLinkDnsSupport", param0)
	return m.DisableVpcClassicLinkDnsSupportFunc(param0)
}

func (m *ec2Mock) DisableVpcClassicLinkDnsSupportRequest(param0 *ec2.DisableVpcClassicLinkDnsSupportInput) (*request.Request, *ec2.DisableVpcClassicLinkDnsSupportOutput) {
	m.addCall("DisableVpcClassicLinkDnsSupportRequest")
	m.verifyInput("DisableVpcClassicLinkDnsSupportRequest", param0)
	return m.DisableVpcClassicLinkDnsSupportRequestFunc(param0)
}

func (m *ec2Mock) DisableVpcClassicLinkDnsSupportWithContext(param0 aws.Context, param1 *ec2.DisableVpcClassicLinkDnsSupportInput, param2 ...request.Option) (*ec2.DisableVpcClassicLinkDnsSupportOutput, error) {
	m.addCall("DisableVpcClassicLinkDnsSupportWithContext")
	m.verifyInput("DisableVpcClassicLinkDnsSupportWithContext", param0)
	return m.DisableVpcClassicLinkDnsSupportWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisableVpcClassicLinkRequest(param0 *ec2.DisableVpcClassicLinkInput) (*request.Request, *ec2.DisableVpcClassicLinkOutput) {
	m.addCall("DisableVpcClassicLinkRequest")
	m.verifyInput("DisableVpcClassicLinkRequest", param0)
	return m.DisableVpcClassicLinkRequestFunc(param0)
}

func (m *ec2Mock) DisableVpcClassicLinkWithContext(param0 aws.Context, param1 *ec2.DisableVpcClassicLinkInput, param2 ...request.Option) (*ec2.DisableVpcClassicLinkOutput, error) {
	m.addCall("DisableVpcClassicLinkWithContext")
	m.verifyInput("DisableVpcClassicLinkWithContext", param0)
	return m.DisableVpcClassicLinkWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisassociateAddress(param0 *ec2.DisassociateAddressInput) (*ec2.DisassociateAddressOutput, error) {
	m.addCall("DisassociateAddress")
	m.verifyInput("DisassociateAddress", param0)
	return m.DisassociateAddressFunc(param0)
}

func (m *ec2Mock) DisassociateAddressRequest(param0 *ec2.DisassociateAddressInput) (*request.Request, *ec2.DisassociateAddressOutput) {
	m.addCall("DisassociateAddressRequest")
	m.verifyInput("DisassociateAddressRequest", param0)
	return m.DisassociateAddressRequestFunc(param0)
}

func (m *ec2Mock) DisassociateAddressWithContext(param0 aws.Context, param1 *ec2.DisassociateAddressInput, param2 ...request.Option) (*ec2.DisassociateAddressOutput, error) {
	m.addCall("DisassociateAddressWithContext")
	m.verifyInput("DisassociateAddressWithContext", param0)
	return m.DisassociateAddressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisassociateIamInstanceProfile(param0 *ec2.DisassociateIamInstanceProfileInput) (*ec2.DisassociateIamInstanceProfileOutput, error) {
	m.addCall("DisassociateIamInstanceProfile")
	m.verifyInput("DisassociateIamInstanceProfile", param0)
	return m.DisassociateIamInstanceProfileFunc(param0)
}

func (m *ec2Mock) DisassociateIamInstanceProfileRequest(param0 *ec2.DisassociateIamInstanceProfileInput) (*request.Request, *ec2.DisassociateIamInstanceProfileOutput) {
	m.addCall("DisassociateIamInstanceProfileRequest")
	m.verifyInput("DisassociateIamInstanceProfileRequest", param0)
	return m.DisassociateIamInstanceProfileRequestFunc(param0)
}

func (m *ec2Mock) DisassociateIamInstanceProfileWithContext(param0 aws.Context, param1 *ec2.DisassociateIamInstanceProfileInput, param2 ...request.Option) (*ec2.DisassociateIamInstanceProfileOutput, error) {
	m.addCall("DisassociateIamInstanceProfileWithContext")
	m.verifyInput("DisassociateIamInstanceProfileWithContext", param0)
	return m.DisassociateIamInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisassociateRouteTable(param0 *ec2.DisassociateRouteTableInput) (*ec2.DisassociateRouteTableOutput, error) {
	m.addCall("DisassociateRouteTable")
	m.verifyInput("DisassociateRouteTable", param0)
	return m.DisassociateRouteTableFunc(param0)
}

func (m *ec2Mock) DisassociateRouteTableRequest(param0 *ec2.DisassociateRouteTableInput) (*request.Request, *ec2.DisassociateRouteTableOutput) {
	m.addCall("DisassociateRouteTableRequest")
	m.verifyInput("DisassociateRouteTableRequest", param0)
	return m.DisassociateRouteTableRequestFunc(param0)
}

func (m *ec2Mock) DisassociateRouteTableWithContext(param0 aws.Context, param1 *ec2.DisassociateRouteTableInput, param2 ...request.Option) (*ec2.DisassociateRouteTableOutput, error) {
	m.addCall("DisassociateRouteTableWithContext")
	m.verifyInput("DisassociateRouteTableWithContext", param0)
	return m.DisassociateRouteTableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisassociateSubnetCidrBlock(param0 *ec2.DisassociateSubnetCidrBlockInput) (*ec2.DisassociateSubnetCidrBlockOutput, error) {
	m.addCall("DisassociateSubnetCidrBlock")
	m.verifyInput("DisassociateSubnetCidrBlock", param0)
	return m.DisassociateSubnetCidrBlockFunc(param0)
}

func (m *ec2Mock) DisassociateSubnetCidrBlockRequest(param0 *ec2.DisassociateSubnetCidrBlockInput) (*request.Request, *ec2.DisassociateSubnetCidrBlockOutput) {
	m.addCall("DisassociateSubnetCidrBlockRequest")
	m.verifyInput("DisassociateSubnetCidrBlockRequest", param0)
	return m.DisassociateSubnetCidrBlockRequestFunc(param0)
}

func (m *ec2Mock) DisassociateSubnetCidrBlockWithContext(param0 aws.Context, param1 *ec2.DisassociateSubnetCidrBlockInput, param2 ...request.Option) (*ec2.DisassociateSubnetCidrBlockOutput, error) {
	m.addCall("DisassociateSubnetCidrBlockWithContext")
	m.verifyInput("DisassociateSubnetCidrBlockWithContext", param0)
	return m.DisassociateSubnetCidrBlockWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) DisassociateVpcCidrBlock(param0 *ec2.DisassociateVpcCidrBlockInput) (*ec2.DisassociateVpcCidrBlockOutput, error) {
	m.addCall("DisassociateVpcCidrBlock")
	m.verifyInput("DisassociateVpcCidrBlock", param0)
	return m.DisassociateVpcCidrBlockFunc(param0)
}

func (m *ec2Mock) DisassociateVpcCidrBlockRequest(param0 *ec2.DisassociateVpcCidrBlockInput) (*request.Request, *ec2.DisassociateVpcCidrBlockOutput) {
	m.addCall("DisassociateVpcCidrBlockRequest")
	m.verifyInput("DisassociateVpcCidrBlockRequest", param0)
	return m.DisassociateVpcCidrBlockRequestFunc(param0)
}

func (m *ec2Mock) DisassociateVpcCidrBlockWithContext(param0 aws.Context, param1 *ec2.DisassociateVpcCidrBlockInput, param2 ...request.Option) (*ec2.DisassociateVpcCidrBlockOutput, error) {
	m.addCall("DisassociateVpcCidrBlockWithContext")
	m.verifyInput("DisassociateVpcCidrBlockWithContext", param0)
	return m.DisassociateVpcCidrBlockWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) EnableVgwRoutePropagation(param0 *ec2.EnableVgwRoutePropagationInput) (*ec2.EnableVgwRoutePropagationOutput, error) {
	m.addCall("EnableVgwRoutePropagation")
	m.verifyInput("EnableVgwRoutePropagation", param0)
	return m.EnableVgwRoutePropagationFunc(param0)
}

func (m *ec2Mock) EnableVgwRoutePropagationRequest(param0 *ec2.EnableVgwRoutePropagationInput) (*request.Request, *ec2.EnableVgwRoutePropagationOutput) {
	m.addCall("EnableVgwRoutePropagationRequest")
	m.verifyInput("EnableVgwRoutePropagationRequest", param0)
	return m.EnableVgwRoutePropagationRequestFunc(param0)
}

func (m *ec2Mock) EnableVgwRoutePropagationWithContext(param0 aws.Context, param1 *ec2.EnableVgwRoutePropagationInput, param2 ...request.Option) (*ec2.EnableVgwRoutePropagationOutput, error) {
	m.addCall("EnableVgwRoutePropagationWithContext")
	m.verifyInput("EnableVgwRoutePropagationWithContext", param0)
	return m.EnableVgwRoutePropagationWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) EnableVolumeIO(param0 *ec2.EnableVolumeIOInput) (*ec2.EnableVolumeIOOutput, error) {
	m.addCall("EnableVolumeIO")
	m.verifyInput("EnableVolumeIO", param0)
	return m.EnableVolumeIOFunc(param0)
}

func (m *ec2Mock) EnableVolumeIORequest(param0 *ec2.EnableVolumeIOInput) (*request.Request, *ec2.EnableVolumeIOOutput) {
	m.addCall("EnableVolumeIORequest")
	m.verifyInput("EnableVolumeIORequest", param0)
	return m.EnableVolumeIORequestFunc(param0)
}

func (m *ec2Mock) EnableVolumeIOWithContext(param0 aws.Context, param1 *ec2.EnableVolumeIOInput, param2 ...request.Option) (*ec2.EnableVolumeIOOutput, error) {
	m.addCall("EnableVolumeIOWithContext")
	m.verifyInput("EnableVolumeIOWithContext", param0)
	return m.EnableVolumeIOWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) EnableVpcClassicLink(param0 *ec2.EnableVpcClassicLinkInput) (*ec2.EnableVpcClassicLinkOutput, error) {
	m.addCall("EnableVpcClassicLink")
	m.verifyInput("EnableVpcClassicLink", param0)
	return m.EnableVpcClassicLinkFunc(param0)
}

func (m *ec2Mock) EnableVpcClassicLinkDnsSupport(param0 *ec2.EnableVpcClassicLinkDnsSupportInput) (*ec2.EnableVpcClassicLinkDnsSupportOutput, error) {
	m.addCall("EnableVpcClassicLinkDnsSupport")
	m.verifyInput("EnableVpcClassicLinkDnsSupport", param0)
	return m.EnableVpcClassicLinkDnsSupportFunc(param0)
}

func (m *ec2Mock) EnableVpcClassicLinkDnsSupportRequest(param0 *ec2.EnableVpcClassicLinkDnsSupportInput) (*request.Request, *ec2.EnableVpcClassicLinkDnsSupportOutput) {
	m.addCall("EnableVpcClassicLinkDnsSupportRequest")
	m.verifyInput("EnableVpcClassicLinkDnsSupportRequest", param0)
	return m.EnableVpcClassicLinkDnsSupportRequestFunc(param0)
}

func (m *ec2Mock) EnableVpcClassicLinkDnsSupportWithContext(param0 aws.Context, param1 *ec2.EnableVpcClassicLinkDnsSupportInput, param2 ...request.Option) (*ec2.EnableVpcClassicLinkDnsSupportOutput, error) {
	m.addCall("EnableVpcClassicLinkDnsSupportWithContext")
	m.verifyInput("EnableVpcClassicLinkDnsSupportWithContext", param0)
	return m.EnableVpcClassicLinkDnsSupportWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) EnableVpcClassicLinkRequest(param0 *ec2.EnableVpcClassicLinkInput) (*request.Request, *ec2.EnableVpcClassicLinkOutput) {
	m.addCall("EnableVpcClassicLinkRequest")
	m.verifyInput("EnableVpcClassicLinkRequest", param0)
	return m.EnableVpcClassicLinkRequestFunc(param0)
}

func (m *ec2Mock) EnableVpcClassicLinkWithContext(param0 aws.Context, param1 *ec2.EnableVpcClassicLinkInput, param2 ...request.Option) (*ec2.EnableVpcClassicLinkOutput, error) {
	m.addCall("EnableVpcClassicLinkWithContext")
	m.verifyInput("EnableVpcClassicLinkWithContext", param0)
	return m.EnableVpcClassicLinkWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) GetConsoleOutput(param0 *ec2.GetConsoleOutputInput) (*ec2.GetConsoleOutputOutput, error) {
	m.addCall("GetConsoleOutput")
	m.verifyInput("GetConsoleOutput", param0)
	return m.GetConsoleOutputFunc(param0)
}

func (m *ec2Mock) GetConsoleOutputRequest(param0 *ec2.GetConsoleOutputInput) (*request.Request, *ec2.GetConsoleOutputOutput) {
	m.addCall("GetConsoleOutputRequest")
	m.verifyInput("GetConsoleOutputRequest", param0)
	return m.GetConsoleOutputRequestFunc(param0)
}

func (m *ec2Mock) GetConsoleOutputWithContext(param0 aws.Context, param1 *ec2.GetConsoleOutputInput, param2 ...request.Option) (*ec2.GetConsoleOutputOutput, error) {
	m.addCall("GetConsoleOutputWithContext")
	m.verifyInput("GetConsoleOutputWithContext", param0)
	return m.GetConsoleOutputWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) GetConsoleScreenshot(param0 *ec2.GetConsoleScreenshotInput) (*ec2.GetConsoleScreenshotOutput, error) {
	m.addCall("GetConsoleScreenshot")
	m.verifyInput("GetConsoleScreenshot", param0)
	return m.GetConsoleScreenshotFunc(param0)
}

func (m *ec2Mock) GetConsoleScreenshotRequest(param0 *ec2.GetConsoleScreenshotInput) (*request.Request, *ec2.GetConsoleScreenshotOutput) {
	m.addCall("GetConsoleScreenshotRequest")
	m.verifyInput("GetConsoleScreenshotRequest", param0)
	return m.GetConsoleScreenshotRequestFunc(param0)
}

func (m *ec2Mock) GetConsoleScreenshotWithContext(param0 aws.Context, param1 *ec2.GetConsoleScreenshotInput, param2 ...request.Option) (*ec2.GetConsoleScreenshotOutput, error) {
	m.addCall("GetConsoleScreenshotWithContext")
	m.verifyInput("GetConsoleScreenshotWithContext", param0)
	return m.GetConsoleScreenshotWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) GetHostReservationPurchasePreview(param0 *ec2.GetHostReservationPurchasePreviewInput) (*ec2.GetHostReservationPurchasePreviewOutput, error) {
	m.addCall("GetHostReservationPurchasePreview")
	m.verifyInput("GetHostReservationPurchasePreview", param0)
	return m.GetHostReservationPurchasePreviewFunc(param0)
}

func (m *ec2Mock) GetHostReservationPurchasePreviewRequest(param0 *ec2.GetHostReservationPurchasePreviewInput) (*request.Request, *ec2.GetHostReservationPurchasePreviewOutput) {
	m.addCall("GetHostReservationPurchasePreviewRequest")
	m.verifyInput("GetHostReservationPurchasePreviewRequest", param0)
	return m.GetHostReservationPurchasePreviewRequestFunc(param0)
}

func (m *ec2Mock) GetHostReservationPurchasePreviewWithContext(param0 aws.Context, param1 *ec2.GetHostReservationPurchasePreviewInput, param2 ...request.Option) (*ec2.GetHostReservationPurchasePreviewOutput, error) {
	m.addCall("GetHostReservationPurchasePreviewWithContext")
	m.verifyInput("GetHostReservationPurchasePreviewWithContext", param0)
	return m.GetHostReservationPurchasePreviewWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) GetPasswordData(param0 *ec2.GetPasswordDataInput) (*ec2.GetPasswordDataOutput, error) {
	m.addCall("GetPasswordData")
	m.verifyInput("GetPasswordData", param0)
	return m.GetPasswordDataFunc(param0)
}

func (m *ec2Mock) GetPasswordDataRequest(param0 *ec2.GetPasswordDataInput) (*request.Request, *ec2.GetPasswordDataOutput) {
	m.addCall("GetPasswordDataRequest")
	m.verifyInput("GetPasswordDataRequest", param0)
	return m.GetPasswordDataRequestFunc(param0)
}

func (m *ec2Mock) GetPasswordDataWithContext(param0 aws.Context, param1 *ec2.GetPasswordDataInput, param2 ...request.Option) (*ec2.GetPasswordDataOutput, error) {
	m.addCall("GetPasswordDataWithContext")
	m.verifyInput("GetPasswordDataWithContext", param0)
	return m.GetPasswordDataWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) GetReservedInstancesExchangeQuote(param0 *ec2.GetReservedInstancesExchangeQuoteInput) (*ec2.GetReservedInstancesExchangeQuoteOutput, error) {
	m.addCall("GetReservedInstancesExchangeQuote")
	m.verifyInput("GetReservedInstancesExchangeQuote", param0)
	return m.GetReservedInstancesExchangeQuoteFunc(param0)
}

func (m *ec2Mock) GetReservedInstancesExchangeQuoteRequest(param0 *ec2.GetReservedInstancesExchangeQuoteInput) (*request.Request, *ec2.GetReservedInstancesExchangeQuoteOutput) {
	m.addCall("GetReservedInstancesExchangeQuoteRequest")
	m.verifyInput("GetReservedInstancesExchangeQuoteRequest", param0)
	return m.GetReservedInstancesExchangeQuoteRequestFunc(param0)
}

func (m *ec2Mock) GetReservedInstancesExchangeQuoteWithContext(param0 aws.Context, param1 *ec2.GetReservedInstancesExchangeQuoteInput, param2 ...request.Option) (*ec2.GetReservedInstancesExchangeQuoteOutput, error) {
	m.addCall("GetReservedInstancesExchangeQuoteWithContext")
	m.verifyInput("GetReservedInstancesExchangeQuoteWithContext", param0)
	return m.GetReservedInstancesExchangeQuoteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ImportImage(param0 *ec2.ImportImageInput) (*ec2.ImportImageOutput, error) {
	m.addCall("ImportImage")
	m.verifyInput("ImportImage", param0)
	return m.ImportImageFunc(param0)
}

func (m *ec2Mock) ImportImageRequest(param0 *ec2.ImportImageInput) (*request.Request, *ec2.ImportImageOutput) {
	m.addCall("ImportImageRequest")
	m.verifyInput("ImportImageRequest", param0)
	return m.ImportImageRequestFunc(param0)
}

func (m *ec2Mock) ImportImageWithContext(param0 aws.Context, param1 *ec2.ImportImageInput, param2 ...request.Option) (*ec2.ImportImageOutput, error) {
	m.addCall("ImportImageWithContext")
	m.verifyInput("ImportImageWithContext", param0)
	return m.ImportImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ImportInstance(param0 *ec2.ImportInstanceInput) (*ec2.ImportInstanceOutput, error) {
	m.addCall("ImportInstance")
	m.verifyInput("ImportInstance", param0)
	return m.ImportInstanceFunc(param0)
}

func (m *ec2Mock) ImportInstanceRequest(param0 *ec2.ImportInstanceInput) (*request.Request, *ec2.ImportInstanceOutput) {
	m.addCall("ImportInstanceRequest")
	m.verifyInput("ImportInstanceRequest", param0)
	return m.ImportInstanceRequestFunc(param0)
}

func (m *ec2Mock) ImportInstanceWithContext(param0 aws.Context, param1 *ec2.ImportInstanceInput, param2 ...request.Option) (*ec2.ImportInstanceOutput, error) {
	m.addCall("ImportInstanceWithContext")
	m.verifyInput("ImportInstanceWithContext", param0)
	return m.ImportInstanceWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ImportKeyPair(param0 *ec2.ImportKeyPairInput) (*ec2.ImportKeyPairOutput, error) {
	m.addCall("ImportKeyPair")
	m.verifyInput("ImportKeyPair", param0)
	return m.ImportKeyPairFunc(param0)
}

func (m *ec2Mock) ImportKeyPairRequest(param0 *ec2.ImportKeyPairInput) (*request.Request, *ec2.ImportKeyPairOutput) {
	m.addCall("ImportKeyPairRequest")
	m.verifyInput("ImportKeyPairRequest", param0)
	return m.ImportKeyPairRequestFunc(param0)
}

func (m *ec2Mock) ImportKeyPairWithContext(param0 aws.Context, param1 *ec2.ImportKeyPairInput, param2 ...request.Option) (*ec2.ImportKeyPairOutput, error) {
	m.addCall("ImportKeyPairWithContext")
	m.verifyInput("ImportKeyPairWithContext", param0)
	return m.ImportKeyPairWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ImportSnapshot(param0 *ec2.ImportSnapshotInput) (*ec2.ImportSnapshotOutput, error) {
	m.addCall("ImportSnapshot")
	m.verifyInput("ImportSnapshot", param0)
	return m.ImportSnapshotFunc(param0)
}

func (m *ec2Mock) ImportSnapshotRequest(param0 *ec2.ImportSnapshotInput) (*request.Request, *ec2.ImportSnapshotOutput) {
	m.addCall("ImportSnapshotRequest")
	m.verifyInput("ImportSnapshotRequest", param0)
	return m.ImportSnapshotRequestFunc(param0)
}

func (m *ec2Mock) ImportSnapshotWithContext(param0 aws.Context, param1 *ec2.ImportSnapshotInput, param2 ...request.Option) (*ec2.ImportSnapshotOutput, error) {
	m.addCall("ImportSnapshotWithContext")
	m.verifyInput("ImportSnapshotWithContext", param0)
	return m.ImportSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ImportVolume(param0 *ec2.ImportVolumeInput) (*ec2.ImportVolumeOutput, error) {
	m.addCall("ImportVolume")
	m.verifyInput("ImportVolume", param0)
	return m.ImportVolumeFunc(param0)
}

func (m *ec2Mock) ImportVolumeRequest(param0 *ec2.ImportVolumeInput) (*request.Request, *ec2.ImportVolumeOutput) {
	m.addCall("ImportVolumeRequest")
	m.verifyInput("ImportVolumeRequest", param0)
	return m.ImportVolumeRequestFunc(param0)
}

func (m *ec2Mock) ImportVolumeWithContext(param0 aws.Context, param1 *ec2.ImportVolumeInput, param2 ...request.Option) (*ec2.ImportVolumeOutput, error) {
	m.addCall("ImportVolumeWithContext")
	m.verifyInput("ImportVolumeWithContext", param0)
	return m.ImportVolumeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyFpgaImageAttribute(param0 *ec2.ModifyFpgaImageAttributeInput) (*ec2.ModifyFpgaImageAttributeOutput, error) {
	m.addCall("ModifyFpgaImageAttribute")
	m.verifyInput("ModifyFpgaImageAttribute", param0)
	return m.ModifyFpgaImageAttributeFunc(param0)
}

func (m *ec2Mock) ModifyFpgaImageAttributeRequest(param0 *ec2.ModifyFpgaImageAttributeInput) (*request.Request, *ec2.ModifyFpgaImageAttributeOutput) {
	m.addCall("ModifyFpgaImageAttributeRequest")
	m.verifyInput("ModifyFpgaImageAttributeRequest", param0)
	return m.ModifyFpgaImageAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifyFpgaImageAttributeWithContext(param0 aws.Context, param1 *ec2.ModifyFpgaImageAttributeInput, param2 ...request.Option) (*ec2.ModifyFpgaImageAttributeOutput, error) {
	m.addCall("ModifyFpgaImageAttributeWithContext")
	m.verifyInput("ModifyFpgaImageAttributeWithContext", param0)
	return m.ModifyFpgaImageAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyHosts(param0 *ec2.ModifyHostsInput) (*ec2.ModifyHostsOutput, error) {
	m.addCall("ModifyHosts")
	m.verifyInput("ModifyHosts", param0)
	return m.ModifyHostsFunc(param0)
}

func (m *ec2Mock) ModifyHostsRequest(param0 *ec2.ModifyHostsInput) (*request.Request, *ec2.ModifyHostsOutput) {
	m.addCall("ModifyHostsRequest")
	m.verifyInput("ModifyHostsRequest", param0)
	return m.ModifyHostsRequestFunc(param0)
}

func (m *ec2Mock) ModifyHostsWithContext(param0 aws.Context, param1 *ec2.ModifyHostsInput, param2 ...request.Option) (*ec2.ModifyHostsOutput, error) {
	m.addCall("ModifyHostsWithContext")
	m.verifyInput("ModifyHostsWithContext", param0)
	return m.ModifyHostsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyIdFormat(param0 *ec2.ModifyIdFormatInput) (*ec2.ModifyIdFormatOutput, error) {
	m.addCall("ModifyIdFormat")
	m.verifyInput("ModifyIdFormat", param0)
	return m.ModifyIdFormatFunc(param0)
}

func (m *ec2Mock) ModifyIdFormatRequest(param0 *ec2.ModifyIdFormatInput) (*request.Request, *ec2.ModifyIdFormatOutput) {
	m.addCall("ModifyIdFormatRequest")
	m.verifyInput("ModifyIdFormatRequest", param0)
	return m.ModifyIdFormatRequestFunc(param0)
}

func (m *ec2Mock) ModifyIdFormatWithContext(param0 aws.Context, param1 *ec2.ModifyIdFormatInput, param2 ...request.Option) (*ec2.ModifyIdFormatOutput, error) {
	m.addCall("ModifyIdFormatWithContext")
	m.verifyInput("ModifyIdFormatWithContext", param0)
	return m.ModifyIdFormatWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyIdentityIdFormat(param0 *ec2.ModifyIdentityIdFormatInput) (*ec2.ModifyIdentityIdFormatOutput, error) {
	m.addCall("ModifyIdentityIdFormat")
	m.verifyInput("ModifyIdentityIdFormat", param0)
	return m.ModifyIdentityIdFormatFunc(param0)
}

func (m *ec2Mock) ModifyIdentityIdFormatRequest(param0 *ec2.ModifyIdentityIdFormatInput) (*request.Request, *ec2.ModifyIdentityIdFormatOutput) {
	m.addCall("ModifyIdentityIdFormatRequest")
	m.verifyInput("ModifyIdentityIdFormatRequest", param0)
	return m.ModifyIdentityIdFormatRequestFunc(param0)
}

func (m *ec2Mock) ModifyIdentityIdFormatWithContext(param0 aws.Context, param1 *ec2.ModifyIdentityIdFormatInput, param2 ...request.Option) (*ec2.ModifyIdentityIdFormatOutput, error) {
	m.addCall("ModifyIdentityIdFormatWithContext")
	m.verifyInput("ModifyIdentityIdFormatWithContext", param0)
	return m.ModifyIdentityIdFormatWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyImageAttribute(param0 *ec2.ModifyImageAttributeInput) (*ec2.ModifyImageAttributeOutput, error) {
	m.addCall("ModifyImageAttribute")
	m.verifyInput("ModifyImageAttribute", param0)
	return m.ModifyImageAttributeFunc(param0)
}

func (m *ec2Mock) ModifyImageAttributeRequest(param0 *ec2.ModifyImageAttributeInput) (*request.Request, *ec2.ModifyImageAttributeOutput) {
	m.addCall("ModifyImageAttributeRequest")
	m.verifyInput("ModifyImageAttributeRequest", param0)
	return m.ModifyImageAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifyImageAttributeWithContext(param0 aws.Context, param1 *ec2.ModifyImageAttributeInput, param2 ...request.Option) (*ec2.ModifyImageAttributeOutput, error) {
	m.addCall("ModifyImageAttributeWithContext")
	m.verifyInput("ModifyImageAttributeWithContext", param0)
	return m.ModifyImageAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyInstanceAttribute(param0 *ec2.ModifyInstanceAttributeInput) (*ec2.ModifyInstanceAttributeOutput, error) {
	m.addCall("ModifyInstanceAttribute")
	m.verifyInput("ModifyInstanceAttribute", param0)
	return m.ModifyInstanceAttributeFunc(param0)
}

func (m *ec2Mock) ModifyInstanceAttributeRequest(param0 *ec2.ModifyInstanceAttributeInput) (*request.Request, *ec2.ModifyInstanceAttributeOutput) {
	m.addCall("ModifyInstanceAttributeRequest")
	m.verifyInput("ModifyInstanceAttributeRequest", param0)
	return m.ModifyInstanceAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifyInstanceAttributeWithContext(param0 aws.Context, param1 *ec2.ModifyInstanceAttributeInput, param2 ...request.Option) (*ec2.ModifyInstanceAttributeOutput, error) {
	m.addCall("ModifyInstanceAttributeWithContext")
	m.verifyInput("ModifyInstanceAttributeWithContext", param0)
	return m.ModifyInstanceAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyInstancePlacement(param0 *ec2.ModifyInstancePlacementInput) (*ec2.ModifyInstancePlacementOutput, error) {
	m.addCall("ModifyInstancePlacement")
	m.verifyInput("ModifyInstancePlacement", param0)
	return m.ModifyInstancePlacementFunc(param0)
}

func (m *ec2Mock) ModifyInstancePlacementRequest(param0 *ec2.ModifyInstancePlacementInput) (*request.Request, *ec2.ModifyInstancePlacementOutput) {
	m.addCall("ModifyInstancePlacementRequest")
	m.verifyInput("ModifyInstancePlacementRequest", param0)
	return m.ModifyInstancePlacementRequestFunc(param0)
}

func (m *ec2Mock) ModifyInstancePlacementWithContext(param0 aws.Context, param1 *ec2.ModifyInstancePlacementInput, param2 ...request.Option) (*ec2.ModifyInstancePlacementOutput, error) {
	m.addCall("ModifyInstancePlacementWithContext")
	m.verifyInput("ModifyInstancePlacementWithContext", param0)
	return m.ModifyInstancePlacementWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyNetworkInterfaceAttribute(param0 *ec2.ModifyNetworkInterfaceAttributeInput) (*ec2.ModifyNetworkInterfaceAttributeOutput, error) {
	m.addCall("ModifyNetworkInterfaceAttribute")
	m.verifyInput("ModifyNetworkInterfaceAttribute", param0)
	return m.ModifyNetworkInterfaceAttributeFunc(param0)
}

func (m *ec2Mock) ModifyNetworkInterfaceAttributeRequest(param0 *ec2.ModifyNetworkInterfaceAttributeInput) (*request.Request, *ec2.ModifyNetworkInterfaceAttributeOutput) {
	m.addCall("ModifyNetworkInterfaceAttributeRequest")
	m.verifyInput("ModifyNetworkInterfaceAttributeRequest", param0)
	return m.ModifyNetworkInterfaceAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifyNetworkInterfaceAttributeWithContext(param0 aws.Context, param1 *ec2.ModifyNetworkInterfaceAttributeInput, param2 ...request.Option) (*ec2.ModifyNetworkInterfaceAttributeOutput, error) {
	m.addCall("ModifyNetworkInterfaceAttributeWithContext")
	m.verifyInput("ModifyNetworkInterfaceAttributeWithContext", param0)
	return m.ModifyNetworkInterfaceAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyReservedInstances(param0 *ec2.ModifyReservedInstancesInput) (*ec2.ModifyReservedInstancesOutput, error) {
	m.addCall("ModifyReservedInstances")
	m.verifyInput("ModifyReservedInstances", param0)
	return m.ModifyReservedInstancesFunc(param0)
}

func (m *ec2Mock) ModifyReservedInstancesRequest(param0 *ec2.ModifyReservedInstancesInput) (*request.Request, *ec2.ModifyReservedInstancesOutput) {
	m.addCall("ModifyReservedInstancesRequest")
	m.verifyInput("ModifyReservedInstancesRequest", param0)
	return m.ModifyReservedInstancesRequestFunc(param0)
}

func (m *ec2Mock) ModifyReservedInstancesWithContext(param0 aws.Context, param1 *ec2.ModifyReservedInstancesInput, param2 ...request.Option) (*ec2.ModifyReservedInstancesOutput, error) {
	m.addCall("ModifyReservedInstancesWithContext")
	m.verifyInput("ModifyReservedInstancesWithContext", param0)
	return m.ModifyReservedInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifySnapshotAttribute(param0 *ec2.ModifySnapshotAttributeInput) (*ec2.ModifySnapshotAttributeOutput, error) {
	m.addCall("ModifySnapshotAttribute")
	m.verifyInput("ModifySnapshotAttribute", param0)
	return m.ModifySnapshotAttributeFunc(param0)
}

func (m *ec2Mock) ModifySnapshotAttributeRequest(param0 *ec2.ModifySnapshotAttributeInput) (*request.Request, *ec2.ModifySnapshotAttributeOutput) {
	m.addCall("ModifySnapshotAttributeRequest")
	m.verifyInput("ModifySnapshotAttributeRequest", param0)
	return m.ModifySnapshotAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifySnapshotAttributeWithContext(param0 aws.Context, param1 *ec2.ModifySnapshotAttributeInput, param2 ...request.Option) (*ec2.ModifySnapshotAttributeOutput, error) {
	m.addCall("ModifySnapshotAttributeWithContext")
	m.verifyInput("ModifySnapshotAttributeWithContext", param0)
	return m.ModifySnapshotAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifySpotFleetRequest(param0 *ec2.ModifySpotFleetRequestInput) (*ec2.ModifySpotFleetRequestOutput, error) {
	m.addCall("ModifySpotFleetRequest")
	m.verifyInput("ModifySpotFleetRequest", param0)
	return m.ModifySpotFleetRequestFunc(param0)
}

func (m *ec2Mock) ModifySpotFleetRequestRequest(param0 *ec2.ModifySpotFleetRequestInput) (*request.Request, *ec2.ModifySpotFleetRequestOutput) {
	m.addCall("ModifySpotFleetRequestRequest")
	m.verifyInput("ModifySpotFleetRequestRequest", param0)
	return m.ModifySpotFleetRequestRequestFunc(param0)
}

func (m *ec2Mock) ModifySpotFleetRequestWithContext(param0 aws.Context, param1 *ec2.ModifySpotFleetRequestInput, param2 ...request.Option) (*ec2.ModifySpotFleetRequestOutput, error) {
	m.addCall("ModifySpotFleetRequestWithContext")
	m.verifyInput("ModifySpotFleetRequestWithContext", param0)
	return m.ModifySpotFleetRequestWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifySubnetAttribute(param0 *ec2.ModifySubnetAttributeInput) (*ec2.ModifySubnetAttributeOutput, error) {
	m.addCall("ModifySubnetAttribute")
	m.verifyInput("ModifySubnetAttribute", param0)
	return m.ModifySubnetAttributeFunc(param0)
}

func (m *ec2Mock) ModifySubnetAttributeRequest(param0 *ec2.ModifySubnetAttributeInput) (*request.Request, *ec2.ModifySubnetAttributeOutput) {
	m.addCall("ModifySubnetAttributeRequest")
	m.verifyInput("ModifySubnetAttributeRequest", param0)
	return m.ModifySubnetAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifySubnetAttributeWithContext(param0 aws.Context, param1 *ec2.ModifySubnetAttributeInput, param2 ...request.Option) (*ec2.ModifySubnetAttributeOutput, error) {
	m.addCall("ModifySubnetAttributeWithContext")
	m.verifyInput("ModifySubnetAttributeWithContext", param0)
	return m.ModifySubnetAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyVolume(param0 *ec2.ModifyVolumeInput) (*ec2.ModifyVolumeOutput, error) {
	m.addCall("ModifyVolume")
	m.verifyInput("ModifyVolume", param0)
	return m.ModifyVolumeFunc(param0)
}

func (m *ec2Mock) ModifyVolumeAttribute(param0 *ec2.ModifyVolumeAttributeInput) (*ec2.ModifyVolumeAttributeOutput, error) {
	m.addCall("ModifyVolumeAttribute")
	m.verifyInput("ModifyVolumeAttribute", param0)
	return m.ModifyVolumeAttributeFunc(param0)
}

func (m *ec2Mock) ModifyVolumeAttributeRequest(param0 *ec2.ModifyVolumeAttributeInput) (*request.Request, *ec2.ModifyVolumeAttributeOutput) {
	m.addCall("ModifyVolumeAttributeRequest")
	m.verifyInput("ModifyVolumeAttributeRequest", param0)
	return m.ModifyVolumeAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifyVolumeAttributeWithContext(param0 aws.Context, param1 *ec2.ModifyVolumeAttributeInput, param2 ...request.Option) (*ec2.ModifyVolumeAttributeOutput, error) {
	m.addCall("ModifyVolumeAttributeWithContext")
	m.verifyInput("ModifyVolumeAttributeWithContext", param0)
	return m.ModifyVolumeAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyVolumeRequest(param0 *ec2.ModifyVolumeInput) (*request.Request, *ec2.ModifyVolumeOutput) {
	m.addCall("ModifyVolumeRequest")
	m.verifyInput("ModifyVolumeRequest", param0)
	return m.ModifyVolumeRequestFunc(param0)
}

func (m *ec2Mock) ModifyVolumeWithContext(param0 aws.Context, param1 *ec2.ModifyVolumeInput, param2 ...request.Option) (*ec2.ModifyVolumeOutput, error) {
	m.addCall("ModifyVolumeWithContext")
	m.verifyInput("ModifyVolumeWithContext", param0)
	return m.ModifyVolumeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyVpcAttribute(param0 *ec2.ModifyVpcAttributeInput) (*ec2.ModifyVpcAttributeOutput, error) {
	m.addCall("ModifyVpcAttribute")
	m.verifyInput("ModifyVpcAttribute", param0)
	return m.ModifyVpcAttributeFunc(param0)
}

func (m *ec2Mock) ModifyVpcAttributeRequest(param0 *ec2.ModifyVpcAttributeInput) (*request.Request, *ec2.ModifyVpcAttributeOutput) {
	m.addCall("ModifyVpcAttributeRequest")
	m.verifyInput("ModifyVpcAttributeRequest", param0)
	return m.ModifyVpcAttributeRequestFunc(param0)
}

func (m *ec2Mock) ModifyVpcAttributeWithContext(param0 aws.Context, param1 *ec2.ModifyVpcAttributeInput, param2 ...request.Option) (*ec2.ModifyVpcAttributeOutput, error) {
	m.addCall("ModifyVpcAttributeWithContext")
	m.verifyInput("ModifyVpcAttributeWithContext", param0)
	return m.ModifyVpcAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyVpcEndpoint(param0 *ec2.ModifyVpcEndpointInput) (*ec2.ModifyVpcEndpointOutput, error) {
	m.addCall("ModifyVpcEndpoint")
	m.verifyInput("ModifyVpcEndpoint", param0)
	return m.ModifyVpcEndpointFunc(param0)
}

func (m *ec2Mock) ModifyVpcEndpointRequest(param0 *ec2.ModifyVpcEndpointInput) (*request.Request, *ec2.ModifyVpcEndpointOutput) {
	m.addCall("ModifyVpcEndpointRequest")
	m.verifyInput("ModifyVpcEndpointRequest", param0)
	return m.ModifyVpcEndpointRequestFunc(param0)
}

func (m *ec2Mock) ModifyVpcEndpointWithContext(param0 aws.Context, param1 *ec2.ModifyVpcEndpointInput, param2 ...request.Option) (*ec2.ModifyVpcEndpointOutput, error) {
	m.addCall("ModifyVpcEndpointWithContext")
	m.verifyInput("ModifyVpcEndpointWithContext", param0)
	return m.ModifyVpcEndpointWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ModifyVpcPeeringConnectionOptions(param0 *ec2.ModifyVpcPeeringConnectionOptionsInput) (*ec2.ModifyVpcPeeringConnectionOptionsOutput, error) {
	m.addCall("ModifyVpcPeeringConnectionOptions")
	m.verifyInput("ModifyVpcPeeringConnectionOptions", param0)
	return m.ModifyVpcPeeringConnectionOptionsFunc(param0)
}

func (m *ec2Mock) ModifyVpcPeeringConnectionOptionsRequest(param0 *ec2.ModifyVpcPeeringConnectionOptionsInput) (*request.Request, *ec2.ModifyVpcPeeringConnectionOptionsOutput) {
	m.addCall("ModifyVpcPeeringConnectionOptionsRequest")
	m.verifyInput("ModifyVpcPeeringConnectionOptionsRequest", param0)
	return m.ModifyVpcPeeringConnectionOptionsRequestFunc(param0)
}

func (m *ec2Mock) ModifyVpcPeeringConnectionOptionsWithContext(param0 aws.Context, param1 *ec2.ModifyVpcPeeringConnectionOptionsInput, param2 ...request.Option) (*ec2.ModifyVpcPeeringConnectionOptionsOutput, error) {
	m.addCall("ModifyVpcPeeringConnectionOptionsWithContext")
	m.verifyInput("ModifyVpcPeeringConnectionOptionsWithContext", param0)
	return m.ModifyVpcPeeringConnectionOptionsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) MonitorInstances(param0 *ec2.MonitorInstancesInput) (*ec2.MonitorInstancesOutput, error) {
	m.addCall("MonitorInstances")
	m.verifyInput("MonitorInstances", param0)
	return m.MonitorInstancesFunc(param0)
}

func (m *ec2Mock) MonitorInstancesRequest(param0 *ec2.MonitorInstancesInput) (*request.Request, *ec2.MonitorInstancesOutput) {
	m.addCall("MonitorInstancesRequest")
	m.verifyInput("MonitorInstancesRequest", param0)
	return m.MonitorInstancesRequestFunc(param0)
}

func (m *ec2Mock) MonitorInstancesWithContext(param0 aws.Context, param1 *ec2.MonitorInstancesInput, param2 ...request.Option) (*ec2.MonitorInstancesOutput, error) {
	m.addCall("MonitorInstancesWithContext")
	m.verifyInput("MonitorInstancesWithContext", param0)
	return m.MonitorInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) MoveAddressToVpc(param0 *ec2.MoveAddressToVpcInput) (*ec2.MoveAddressToVpcOutput, error) {
	m.addCall("MoveAddressToVpc")
	m.verifyInput("MoveAddressToVpc", param0)
	return m.MoveAddressToVpcFunc(param0)
}

func (m *ec2Mock) MoveAddressToVpcRequest(param0 *ec2.MoveAddressToVpcInput) (*request.Request, *ec2.MoveAddressToVpcOutput) {
	m.addCall("MoveAddressToVpcRequest")
	m.verifyInput("MoveAddressToVpcRequest", param0)
	return m.MoveAddressToVpcRequestFunc(param0)
}

func (m *ec2Mock) MoveAddressToVpcWithContext(param0 aws.Context, param1 *ec2.MoveAddressToVpcInput, param2 ...request.Option) (*ec2.MoveAddressToVpcOutput, error) {
	m.addCall("MoveAddressToVpcWithContext")
	m.verifyInput("MoveAddressToVpcWithContext", param0)
	return m.MoveAddressToVpcWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) PurchaseHostReservation(param0 *ec2.PurchaseHostReservationInput) (*ec2.PurchaseHostReservationOutput, error) {
	m.addCall("PurchaseHostReservation")
	m.verifyInput("PurchaseHostReservation", param0)
	return m.PurchaseHostReservationFunc(param0)
}

func (m *ec2Mock) PurchaseHostReservationRequest(param0 *ec2.PurchaseHostReservationInput) (*request.Request, *ec2.PurchaseHostReservationOutput) {
	m.addCall("PurchaseHostReservationRequest")
	m.verifyInput("PurchaseHostReservationRequest", param0)
	return m.PurchaseHostReservationRequestFunc(param0)
}

func (m *ec2Mock) PurchaseHostReservationWithContext(param0 aws.Context, param1 *ec2.PurchaseHostReservationInput, param2 ...request.Option) (*ec2.PurchaseHostReservationOutput, error) {
	m.addCall("PurchaseHostReservationWithContext")
	m.verifyInput("PurchaseHostReservationWithContext", param0)
	return m.PurchaseHostReservationWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) PurchaseReservedInstancesOffering(param0 *ec2.PurchaseReservedInstancesOfferingInput) (*ec2.PurchaseReservedInstancesOfferingOutput, error) {
	m.addCall("PurchaseReservedInstancesOffering")
	m.verifyInput("PurchaseReservedInstancesOffering", param0)
	return m.PurchaseReservedInstancesOfferingFunc(param0)
}

func (m *ec2Mock) PurchaseReservedInstancesOfferingRequest(param0 *ec2.PurchaseReservedInstancesOfferingInput) (*request.Request, *ec2.PurchaseReservedInstancesOfferingOutput) {
	m.addCall("PurchaseReservedInstancesOfferingRequest")
	m.verifyInput("PurchaseReservedInstancesOfferingRequest", param0)
	return m.PurchaseReservedInstancesOfferingRequestFunc(param0)
}

func (m *ec2Mock) PurchaseReservedInstancesOfferingWithContext(param0 aws.Context, param1 *ec2.PurchaseReservedInstancesOfferingInput, param2 ...request.Option) (*ec2.PurchaseReservedInstancesOfferingOutput, error) {
	m.addCall("PurchaseReservedInstancesOfferingWithContext")
	m.verifyInput("PurchaseReservedInstancesOfferingWithContext", param0)
	return m.PurchaseReservedInstancesOfferingWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) PurchaseScheduledInstances(param0 *ec2.PurchaseScheduledInstancesInput) (*ec2.PurchaseScheduledInstancesOutput, error) {
	m.addCall("PurchaseScheduledInstances")
	m.verifyInput("PurchaseScheduledInstances", param0)
	return m.PurchaseScheduledInstancesFunc(param0)
}

func (m *ec2Mock) PurchaseScheduledInstancesRequest(param0 *ec2.PurchaseScheduledInstancesInput) (*request.Request, *ec2.PurchaseScheduledInstancesOutput) {
	m.addCall("PurchaseScheduledInstancesRequest")
	m.verifyInput("PurchaseScheduledInstancesRequest", param0)
	return m.PurchaseScheduledInstancesRequestFunc(param0)
}

func (m *ec2Mock) PurchaseScheduledInstancesWithContext(param0 aws.Context, param1 *ec2.PurchaseScheduledInstancesInput, param2 ...request.Option) (*ec2.PurchaseScheduledInstancesOutput, error) {
	m.addCall("PurchaseScheduledInstancesWithContext")
	m.verifyInput("PurchaseScheduledInstancesWithContext", param0)
	return m.PurchaseScheduledInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RebootInstances(param0 *ec2.RebootInstancesInput) (*ec2.RebootInstancesOutput, error) {
	m.addCall("RebootInstances")
	m.verifyInput("RebootInstances", param0)
	return m.RebootInstancesFunc(param0)
}

func (m *ec2Mock) RebootInstancesRequest(param0 *ec2.RebootInstancesInput) (*request.Request, *ec2.RebootInstancesOutput) {
	m.addCall("RebootInstancesRequest")
	m.verifyInput("RebootInstancesRequest", param0)
	return m.RebootInstancesRequestFunc(param0)
}

func (m *ec2Mock) RebootInstancesWithContext(param0 aws.Context, param1 *ec2.RebootInstancesInput, param2 ...request.Option) (*ec2.RebootInstancesOutput, error) {
	m.addCall("RebootInstancesWithContext")
	m.verifyInput("RebootInstancesWithContext", param0)
	return m.RebootInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RegisterImage(param0 *ec2.RegisterImageInput) (*ec2.RegisterImageOutput, error) {
	m.addCall("RegisterImage")
	m.verifyInput("RegisterImage", param0)
	return m.RegisterImageFunc(param0)
}

func (m *ec2Mock) RegisterImageRequest(param0 *ec2.RegisterImageInput) (*request.Request, *ec2.RegisterImageOutput) {
	m.addCall("RegisterImageRequest")
	m.verifyInput("RegisterImageRequest", param0)
	return m.RegisterImageRequestFunc(param0)
}

func (m *ec2Mock) RegisterImageWithContext(param0 aws.Context, param1 *ec2.RegisterImageInput, param2 ...request.Option) (*ec2.RegisterImageOutput, error) {
	m.addCall("RegisterImageWithContext")
	m.verifyInput("RegisterImageWithContext", param0)
	return m.RegisterImageWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RejectVpcPeeringConnection(param0 *ec2.RejectVpcPeeringConnectionInput) (*ec2.RejectVpcPeeringConnectionOutput, error) {
	m.addCall("RejectVpcPeeringConnection")
	m.verifyInput("RejectVpcPeeringConnection", param0)
	return m.RejectVpcPeeringConnectionFunc(param0)
}

func (m *ec2Mock) RejectVpcPeeringConnectionRequest(param0 *ec2.RejectVpcPeeringConnectionInput) (*request.Request, *ec2.RejectVpcPeeringConnectionOutput) {
	m.addCall("RejectVpcPeeringConnectionRequest")
	m.verifyInput("RejectVpcPeeringConnectionRequest", param0)
	return m.RejectVpcPeeringConnectionRequestFunc(param0)
}

func (m *ec2Mock) RejectVpcPeeringConnectionWithContext(param0 aws.Context, param1 *ec2.RejectVpcPeeringConnectionInput, param2 ...request.Option) (*ec2.RejectVpcPeeringConnectionOutput, error) {
	m.addCall("RejectVpcPeeringConnectionWithContext")
	m.verifyInput("RejectVpcPeeringConnectionWithContext", param0)
	return m.RejectVpcPeeringConnectionWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReleaseAddress(param0 *ec2.ReleaseAddressInput) (*ec2.ReleaseAddressOutput, error) {
	m.addCall("ReleaseAddress")
	m.verifyInput("ReleaseAddress", param0)
	return m.ReleaseAddressFunc(param0)
}

func (m *ec2Mock) ReleaseAddressRequest(param0 *ec2.ReleaseAddressInput) (*request.Request, *ec2.ReleaseAddressOutput) {
	m.addCall("ReleaseAddressRequest")
	m.verifyInput("ReleaseAddressRequest", param0)
	return m.ReleaseAddressRequestFunc(param0)
}

func (m *ec2Mock) ReleaseAddressWithContext(param0 aws.Context, param1 *ec2.ReleaseAddressInput, param2 ...request.Option) (*ec2.ReleaseAddressOutput, error) {
	m.addCall("ReleaseAddressWithContext")
	m.verifyInput("ReleaseAddressWithContext", param0)
	return m.ReleaseAddressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReleaseHosts(param0 *ec2.ReleaseHostsInput) (*ec2.ReleaseHostsOutput, error) {
	m.addCall("ReleaseHosts")
	m.verifyInput("ReleaseHosts", param0)
	return m.ReleaseHostsFunc(param0)
}

func (m *ec2Mock) ReleaseHostsRequest(param0 *ec2.ReleaseHostsInput) (*request.Request, *ec2.ReleaseHostsOutput) {
	m.addCall("ReleaseHostsRequest")
	m.verifyInput("ReleaseHostsRequest", param0)
	return m.ReleaseHostsRequestFunc(param0)
}

func (m *ec2Mock) ReleaseHostsWithContext(param0 aws.Context, param1 *ec2.ReleaseHostsInput, param2 ...request.Option) (*ec2.ReleaseHostsOutput, error) {
	m.addCall("ReleaseHostsWithContext")
	m.verifyInput("ReleaseHostsWithContext", param0)
	return m.ReleaseHostsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReplaceIamInstanceProfileAssociation(param0 *ec2.ReplaceIamInstanceProfileAssociationInput) (*ec2.ReplaceIamInstanceProfileAssociationOutput, error) {
	m.addCall("ReplaceIamInstanceProfileAssociation")
	m.verifyInput("ReplaceIamInstanceProfileAssociation", param0)
	return m.ReplaceIamInstanceProfileAssociationFunc(param0)
}

func (m *ec2Mock) ReplaceIamInstanceProfileAssociationRequest(param0 *ec2.ReplaceIamInstanceProfileAssociationInput) (*request.Request, *ec2.ReplaceIamInstanceProfileAssociationOutput) {
	m.addCall("ReplaceIamInstanceProfileAssociationRequest")
	m.verifyInput("ReplaceIamInstanceProfileAssociationRequest", param0)
	return m.ReplaceIamInstanceProfileAssociationRequestFunc(param0)
}

func (m *ec2Mock) ReplaceIamInstanceProfileAssociationWithContext(param0 aws.Context, param1 *ec2.ReplaceIamInstanceProfileAssociationInput, param2 ...request.Option) (*ec2.ReplaceIamInstanceProfileAssociationOutput, error) {
	m.addCall("ReplaceIamInstanceProfileAssociationWithContext")
	m.verifyInput("ReplaceIamInstanceProfileAssociationWithContext", param0)
	return m.ReplaceIamInstanceProfileAssociationWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReplaceNetworkAclAssociation(param0 *ec2.ReplaceNetworkAclAssociationInput) (*ec2.ReplaceNetworkAclAssociationOutput, error) {
	m.addCall("ReplaceNetworkAclAssociation")
	m.verifyInput("ReplaceNetworkAclAssociation", param0)
	return m.ReplaceNetworkAclAssociationFunc(param0)
}

func (m *ec2Mock) ReplaceNetworkAclAssociationRequest(param0 *ec2.ReplaceNetworkAclAssociationInput) (*request.Request, *ec2.ReplaceNetworkAclAssociationOutput) {
	m.addCall("ReplaceNetworkAclAssociationRequest")
	m.verifyInput("ReplaceNetworkAclAssociationRequest", param0)
	return m.ReplaceNetworkAclAssociationRequestFunc(param0)
}

func (m *ec2Mock) ReplaceNetworkAclAssociationWithContext(param0 aws.Context, param1 *ec2.ReplaceNetworkAclAssociationInput, param2 ...request.Option) (*ec2.ReplaceNetworkAclAssociationOutput, error) {
	m.addCall("ReplaceNetworkAclAssociationWithContext")
	m.verifyInput("ReplaceNetworkAclAssociationWithContext", param0)
	return m.ReplaceNetworkAclAssociationWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReplaceNetworkAclEntry(param0 *ec2.ReplaceNetworkAclEntryInput) (*ec2.ReplaceNetworkAclEntryOutput, error) {
	m.addCall("ReplaceNetworkAclEntry")
	m.verifyInput("ReplaceNetworkAclEntry", param0)
	return m.ReplaceNetworkAclEntryFunc(param0)
}

func (m *ec2Mock) ReplaceNetworkAclEntryRequest(param0 *ec2.ReplaceNetworkAclEntryInput) (*request.Request, *ec2.ReplaceNetworkAclEntryOutput) {
	m.addCall("ReplaceNetworkAclEntryRequest")
	m.verifyInput("ReplaceNetworkAclEntryRequest", param0)
	return m.ReplaceNetworkAclEntryRequestFunc(param0)
}

func (m *ec2Mock) ReplaceNetworkAclEntryWithContext(param0 aws.Context, param1 *ec2.ReplaceNetworkAclEntryInput, param2 ...request.Option) (*ec2.ReplaceNetworkAclEntryOutput, error) {
	m.addCall("ReplaceNetworkAclEntryWithContext")
	m.verifyInput("ReplaceNetworkAclEntryWithContext", param0)
	return m.ReplaceNetworkAclEntryWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReplaceRoute(param0 *ec2.ReplaceRouteInput) (*ec2.ReplaceRouteOutput, error) {
	m.addCall("ReplaceRoute")
	m.verifyInput("ReplaceRoute", param0)
	return m.ReplaceRouteFunc(param0)
}

func (m *ec2Mock) ReplaceRouteRequest(param0 *ec2.ReplaceRouteInput) (*request.Request, *ec2.ReplaceRouteOutput) {
	m.addCall("ReplaceRouteRequest")
	m.verifyInput("ReplaceRouteRequest", param0)
	return m.ReplaceRouteRequestFunc(param0)
}

func (m *ec2Mock) ReplaceRouteTableAssociation(param0 *ec2.ReplaceRouteTableAssociationInput) (*ec2.ReplaceRouteTableAssociationOutput, error) {
	m.addCall("ReplaceRouteTableAssociation")
	m.verifyInput("ReplaceRouteTableAssociation", param0)
	return m.ReplaceRouteTableAssociationFunc(param0)
}

func (m *ec2Mock) ReplaceRouteTableAssociationRequest(param0 *ec2.ReplaceRouteTableAssociationInput) (*request.Request, *ec2.ReplaceRouteTableAssociationOutput) {
	m.addCall("ReplaceRouteTableAssociationRequest")
	m.verifyInput("ReplaceRouteTableAssociationRequest", param0)
	return m.ReplaceRouteTableAssociationRequestFunc(param0)
}

func (m *ec2Mock) ReplaceRouteTableAssociationWithContext(param0 aws.Context, param1 *ec2.ReplaceRouteTableAssociationInput, param2 ...request.Option) (*ec2.ReplaceRouteTableAssociationOutput, error) {
	m.addCall("ReplaceRouteTableAssociationWithContext")
	m.verifyInput("ReplaceRouteTableAssociationWithContext", param0)
	return m.ReplaceRouteTableAssociationWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReplaceRouteWithContext(param0 aws.Context, param1 *ec2.ReplaceRouteInput, param2 ...request.Option) (*ec2.ReplaceRouteOutput, error) {
	m.addCall("ReplaceRouteWithContext")
	m.verifyInput("ReplaceRouteWithContext", param0)
	return m.ReplaceRouteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ReportInstanceStatus(param0 *ec2.ReportInstanceStatusInput) (*ec2.ReportInstanceStatusOutput, error) {
	m.addCall("ReportInstanceStatus")
	m.verifyInput("ReportInstanceStatus", param0)
	return m.ReportInstanceStatusFunc(param0)
}

func (m *ec2Mock) ReportInstanceStatusRequest(param0 *ec2.ReportInstanceStatusInput) (*request.Request, *ec2.ReportInstanceStatusOutput) {
	m.addCall("ReportInstanceStatusRequest")
	m.verifyInput("ReportInstanceStatusRequest", param0)
	return m.ReportInstanceStatusRequestFunc(param0)
}

func (m *ec2Mock) ReportInstanceStatusWithContext(param0 aws.Context, param1 *ec2.ReportInstanceStatusInput, param2 ...request.Option) (*ec2.ReportInstanceStatusOutput, error) {
	m.addCall("ReportInstanceStatusWithContext")
	m.verifyInput("ReportInstanceStatusWithContext", param0)
	return m.ReportInstanceStatusWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RequestSpotFleet(param0 *ec2.RequestSpotFleetInput) (*ec2.RequestSpotFleetOutput, error) {
	m.addCall("RequestSpotFleet")
	m.verifyInput("RequestSpotFleet", param0)
	return m.RequestSpotFleetFunc(param0)
}

func (m *ec2Mock) RequestSpotFleetRequest(param0 *ec2.RequestSpotFleetInput) (*request.Request, *ec2.RequestSpotFleetOutput) {
	m.addCall("RequestSpotFleetRequest")
	m.verifyInput("RequestSpotFleetRequest", param0)
	return m.RequestSpotFleetRequestFunc(param0)
}

func (m *ec2Mock) RequestSpotFleetWithContext(param0 aws.Context, param1 *ec2.RequestSpotFleetInput, param2 ...request.Option) (*ec2.RequestSpotFleetOutput, error) {
	m.addCall("RequestSpotFleetWithContext")
	m.verifyInput("RequestSpotFleetWithContext", param0)
	return m.RequestSpotFleetWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RequestSpotInstances(param0 *ec2.RequestSpotInstancesInput) (*ec2.RequestSpotInstancesOutput, error) {
	m.addCall("RequestSpotInstances")
	m.verifyInput("RequestSpotInstances", param0)
	return m.RequestSpotInstancesFunc(param0)
}

func (m *ec2Mock) RequestSpotInstancesRequest(param0 *ec2.RequestSpotInstancesInput) (*request.Request, *ec2.RequestSpotInstancesOutput) {
	m.addCall("RequestSpotInstancesRequest")
	m.verifyInput("RequestSpotInstancesRequest", param0)
	return m.RequestSpotInstancesRequestFunc(param0)
}

func (m *ec2Mock) RequestSpotInstancesWithContext(param0 aws.Context, param1 *ec2.RequestSpotInstancesInput, param2 ...request.Option) (*ec2.RequestSpotInstancesOutput, error) {
	m.addCall("RequestSpotInstancesWithContext")
	m.verifyInput("RequestSpotInstancesWithContext", param0)
	return m.RequestSpotInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ResetFpgaImageAttribute(param0 *ec2.ResetFpgaImageAttributeInput) (*ec2.ResetFpgaImageAttributeOutput, error) {
	m.addCall("ResetFpgaImageAttribute")
	m.verifyInput("ResetFpgaImageAttribute", param0)
	return m.ResetFpgaImageAttributeFunc(param0)
}

func (m *ec2Mock) ResetFpgaImageAttributeRequest(param0 *ec2.ResetFpgaImageAttributeInput) (*request.Request, *ec2.ResetFpgaImageAttributeOutput) {
	m.addCall("ResetFpgaImageAttributeRequest")
	m.verifyInput("ResetFpgaImageAttributeRequest", param0)
	return m.ResetFpgaImageAttributeRequestFunc(param0)
}

func (m *ec2Mock) ResetFpgaImageAttributeWithContext(param0 aws.Context, param1 *ec2.ResetFpgaImageAttributeInput, param2 ...request.Option) (*ec2.ResetFpgaImageAttributeOutput, error) {
	m.addCall("ResetFpgaImageAttributeWithContext")
	m.verifyInput("ResetFpgaImageAttributeWithContext", param0)
	return m.ResetFpgaImageAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ResetImageAttribute(param0 *ec2.ResetImageAttributeInput) (*ec2.ResetImageAttributeOutput, error) {
	m.addCall("ResetImageAttribute")
	m.verifyInput("ResetImageAttribute", param0)
	return m.ResetImageAttributeFunc(param0)
}

func (m *ec2Mock) ResetImageAttributeRequest(param0 *ec2.ResetImageAttributeInput) (*request.Request, *ec2.ResetImageAttributeOutput) {
	m.addCall("ResetImageAttributeRequest")
	m.verifyInput("ResetImageAttributeRequest", param0)
	return m.ResetImageAttributeRequestFunc(param0)
}

func (m *ec2Mock) ResetImageAttributeWithContext(param0 aws.Context, param1 *ec2.ResetImageAttributeInput, param2 ...request.Option) (*ec2.ResetImageAttributeOutput, error) {
	m.addCall("ResetImageAttributeWithContext")
	m.verifyInput("ResetImageAttributeWithContext", param0)
	return m.ResetImageAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ResetInstanceAttribute(param0 *ec2.ResetInstanceAttributeInput) (*ec2.ResetInstanceAttributeOutput, error) {
	m.addCall("ResetInstanceAttribute")
	m.verifyInput("ResetInstanceAttribute", param0)
	return m.ResetInstanceAttributeFunc(param0)
}

func (m *ec2Mock) ResetInstanceAttributeRequest(param0 *ec2.ResetInstanceAttributeInput) (*request.Request, *ec2.ResetInstanceAttributeOutput) {
	m.addCall("ResetInstanceAttributeRequest")
	m.verifyInput("ResetInstanceAttributeRequest", param0)
	return m.ResetInstanceAttributeRequestFunc(param0)
}

func (m *ec2Mock) ResetInstanceAttributeWithContext(param0 aws.Context, param1 *ec2.ResetInstanceAttributeInput, param2 ...request.Option) (*ec2.ResetInstanceAttributeOutput, error) {
	m.addCall("ResetInstanceAttributeWithContext")
	m.verifyInput("ResetInstanceAttributeWithContext", param0)
	return m.ResetInstanceAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ResetNetworkInterfaceAttribute(param0 *ec2.ResetNetworkInterfaceAttributeInput) (*ec2.ResetNetworkInterfaceAttributeOutput, error) {
	m.addCall("ResetNetworkInterfaceAttribute")
	m.verifyInput("ResetNetworkInterfaceAttribute", param0)
	return m.ResetNetworkInterfaceAttributeFunc(param0)
}

func (m *ec2Mock) ResetNetworkInterfaceAttributeRequest(param0 *ec2.ResetNetworkInterfaceAttributeInput) (*request.Request, *ec2.ResetNetworkInterfaceAttributeOutput) {
	m.addCall("ResetNetworkInterfaceAttributeRequest")
	m.verifyInput("ResetNetworkInterfaceAttributeRequest", param0)
	return m.ResetNetworkInterfaceAttributeRequestFunc(param0)
}

func (m *ec2Mock) ResetNetworkInterfaceAttributeWithContext(param0 aws.Context, param1 *ec2.ResetNetworkInterfaceAttributeInput, param2 ...request.Option) (*ec2.ResetNetworkInterfaceAttributeOutput, error) {
	m.addCall("ResetNetworkInterfaceAttributeWithContext")
	m.verifyInput("ResetNetworkInterfaceAttributeWithContext", param0)
	return m.ResetNetworkInterfaceAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) ResetSnapshotAttribute(param0 *ec2.ResetSnapshotAttributeInput) (*ec2.ResetSnapshotAttributeOutput, error) {
	m.addCall("ResetSnapshotAttribute")
	m.verifyInput("ResetSnapshotAttribute", param0)
	return m.ResetSnapshotAttributeFunc(param0)
}

func (m *ec2Mock) ResetSnapshotAttributeRequest(param0 *ec2.ResetSnapshotAttributeInput) (*request.Request, *ec2.ResetSnapshotAttributeOutput) {
	m.addCall("ResetSnapshotAttributeRequest")
	m.verifyInput("ResetSnapshotAttributeRequest", param0)
	return m.ResetSnapshotAttributeRequestFunc(param0)
}

func (m *ec2Mock) ResetSnapshotAttributeWithContext(param0 aws.Context, param1 *ec2.ResetSnapshotAttributeInput, param2 ...request.Option) (*ec2.ResetSnapshotAttributeOutput, error) {
	m.addCall("ResetSnapshotAttributeWithContext")
	m.verifyInput("ResetSnapshotAttributeWithContext", param0)
	return m.ResetSnapshotAttributeWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RestoreAddressToClassic(param0 *ec2.RestoreAddressToClassicInput) (*ec2.RestoreAddressToClassicOutput, error) {
	m.addCall("RestoreAddressToClassic")
	m.verifyInput("RestoreAddressToClassic", param0)
	return m.RestoreAddressToClassicFunc(param0)
}

func (m *ec2Mock) RestoreAddressToClassicRequest(param0 *ec2.RestoreAddressToClassicInput) (*request.Request, *ec2.RestoreAddressToClassicOutput) {
	m.addCall("RestoreAddressToClassicRequest")
	m.verifyInput("RestoreAddressToClassicRequest", param0)
	return m.RestoreAddressToClassicRequestFunc(param0)
}

func (m *ec2Mock) RestoreAddressToClassicWithContext(param0 aws.Context, param1 *ec2.RestoreAddressToClassicInput, param2 ...request.Option) (*ec2.RestoreAddressToClassicOutput, error) {
	m.addCall("RestoreAddressToClassicWithContext")
	m.verifyInput("RestoreAddressToClassicWithContext", param0)
	return m.RestoreAddressToClassicWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RevokeSecurityGroupEgress(param0 *ec2.RevokeSecurityGroupEgressInput) (*ec2.RevokeSecurityGroupEgressOutput, error) {
	m.addCall("RevokeSecurityGroupEgress")
	m.verifyInput("RevokeSecurityGroupEgress", param0)
	return m.RevokeSecurityGroupEgressFunc(param0)
}

func (m *ec2Mock) RevokeSecurityGroupEgressRequest(param0 *ec2.RevokeSecurityGroupEgressInput) (*request.Request, *ec2.RevokeSecurityGroupEgressOutput) {
	m.addCall("RevokeSecurityGroupEgressRequest")
	m.verifyInput("RevokeSecurityGroupEgressRequest", param0)
	return m.RevokeSecurityGroupEgressRequestFunc(param0)
}

func (m *ec2Mock) RevokeSecurityGroupEgressWithContext(param0 aws.Context, param1 *ec2.RevokeSecurityGroupEgressInput, param2 ...request.Option) (*ec2.RevokeSecurityGroupEgressOutput, error) {
	m.addCall("RevokeSecurityGroupEgressWithContext")
	m.verifyInput("RevokeSecurityGroupEgressWithContext", param0)
	return m.RevokeSecurityGroupEgressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RevokeSecurityGroupIngress(param0 *ec2.RevokeSecurityGroupIngressInput) (*ec2.RevokeSecurityGroupIngressOutput, error) {
	m.addCall("RevokeSecurityGroupIngress")
	m.verifyInput("RevokeSecurityGroupIngress", param0)
	return m.RevokeSecurityGroupIngressFunc(param0)
}

func (m *ec2Mock) RevokeSecurityGroupIngressRequest(param0 *ec2.RevokeSecurityGroupIngressInput) (*request.Request, *ec2.RevokeSecurityGroupIngressOutput) {
	m.addCall("RevokeSecurityGroupIngressRequest")
	m.verifyInput("RevokeSecurityGroupIngressRequest", param0)
	return m.RevokeSecurityGroupIngressRequestFunc(param0)
}

func (m *ec2Mock) RevokeSecurityGroupIngressWithContext(param0 aws.Context, param1 *ec2.RevokeSecurityGroupIngressInput, param2 ...request.Option) (*ec2.RevokeSecurityGroupIngressOutput, error) {
	m.addCall("RevokeSecurityGroupIngressWithContext")
	m.verifyInput("RevokeSecurityGroupIngressWithContext", param0)
	return m.RevokeSecurityGroupIngressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RunInstances(param0 *ec2.RunInstancesInput) (*ec2.Reservation, error) {
	m.addCall("RunInstances")
	m.verifyInput("RunInstances", param0)
	return m.RunInstancesFunc(param0)
}

func (m *ec2Mock) RunInstancesRequest(param0 *ec2.RunInstancesInput) (*request.Request, *ec2.Reservation) {
	m.addCall("RunInstancesRequest")
	m.verifyInput("RunInstancesRequest", param0)
	return m.RunInstancesRequestFunc(param0)
}

func (m *ec2Mock) RunInstancesWithContext(param0 aws.Context, param1 *ec2.RunInstancesInput, param2 ...request.Option) (*ec2.Reservation, error) {
	m.addCall("RunInstancesWithContext")
	m.verifyInput("RunInstancesWithContext", param0)
	return m.RunInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) RunScheduledInstances(param0 *ec2.RunScheduledInstancesInput) (*ec2.RunScheduledInstancesOutput, error) {
	m.addCall("RunScheduledInstances")
	m.verifyInput("RunScheduledInstances", param0)
	return m.RunScheduledInstancesFunc(param0)
}

func (m *ec2Mock) RunScheduledInstancesRequest(param0 *ec2.RunScheduledInstancesInput) (*request.Request, *ec2.RunScheduledInstancesOutput) {
	m.addCall("RunScheduledInstancesRequest")
	m.verifyInput("RunScheduledInstancesRequest", param0)
	return m.RunScheduledInstancesRequestFunc(param0)
}

func (m *ec2Mock) RunScheduledInstancesWithContext(param0 aws.Context, param1 *ec2.RunScheduledInstancesInput, param2 ...request.Option) (*ec2.RunScheduledInstancesOutput, error) {
	m.addCall("RunScheduledInstancesWithContext")
	m.verifyInput("RunScheduledInstancesWithContext", param0)
	return m.RunScheduledInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) StartInstances(param0 *ec2.StartInstancesInput) (*ec2.StartInstancesOutput, error) {
	m.addCall("StartInstances")
	m.verifyInput("StartInstances", param0)
	return m.StartInstancesFunc(param0)
}

func (m *ec2Mock) StartInstancesRequest(param0 *ec2.StartInstancesInput) (*request.Request, *ec2.StartInstancesOutput) {
	m.addCall("StartInstancesRequest")
	m.verifyInput("StartInstancesRequest", param0)
	return m.StartInstancesRequestFunc(param0)
}

func (m *ec2Mock) StartInstancesWithContext(param0 aws.Context, param1 *ec2.StartInstancesInput, param2 ...request.Option) (*ec2.StartInstancesOutput, error) {
	m.addCall("StartInstancesWithContext")
	m.verifyInput("StartInstancesWithContext", param0)
	return m.StartInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) StopInstances(param0 *ec2.StopInstancesInput) (*ec2.StopInstancesOutput, error) {
	m.addCall("StopInstances")
	m.verifyInput("StopInstances", param0)
	return m.StopInstancesFunc(param0)
}

func (m *ec2Mock) StopInstancesRequest(param0 *ec2.StopInstancesInput) (*request.Request, *ec2.StopInstancesOutput) {
	m.addCall("StopInstancesRequest")
	m.verifyInput("StopInstancesRequest", param0)
	return m.StopInstancesRequestFunc(param0)
}

func (m *ec2Mock) StopInstancesWithContext(param0 aws.Context, param1 *ec2.StopInstancesInput, param2 ...request.Option) (*ec2.StopInstancesOutput, error) {
	m.addCall("StopInstancesWithContext")
	m.verifyInput("StopInstancesWithContext", param0)
	return m.StopInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) TerminateInstances(param0 *ec2.TerminateInstancesInput) (*ec2.TerminateInstancesOutput, error) {
	m.addCall("TerminateInstances")
	m.verifyInput("TerminateInstances", param0)
	return m.TerminateInstancesFunc(param0)
}

func (m *ec2Mock) TerminateInstancesRequest(param0 *ec2.TerminateInstancesInput) (*request.Request, *ec2.TerminateInstancesOutput) {
	m.addCall("TerminateInstancesRequest")
	m.verifyInput("TerminateInstancesRequest", param0)
	return m.TerminateInstancesRequestFunc(param0)
}

func (m *ec2Mock) TerminateInstancesWithContext(param0 aws.Context, param1 *ec2.TerminateInstancesInput, param2 ...request.Option) (*ec2.TerminateInstancesOutput, error) {
	m.addCall("TerminateInstancesWithContext")
	m.verifyInput("TerminateInstancesWithContext", param0)
	return m.TerminateInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) UnassignIpv6Addresses(param0 *ec2.UnassignIpv6AddressesInput) (*ec2.UnassignIpv6AddressesOutput, error) {
	m.addCall("UnassignIpv6Addresses")
	m.verifyInput("UnassignIpv6Addresses", param0)
	return m.UnassignIpv6AddressesFunc(param0)
}

func (m *ec2Mock) UnassignIpv6AddressesRequest(param0 *ec2.UnassignIpv6AddressesInput) (*request.Request, *ec2.UnassignIpv6AddressesOutput) {
	m.addCall("UnassignIpv6AddressesRequest")
	m.verifyInput("UnassignIpv6AddressesRequest", param0)
	return m.UnassignIpv6AddressesRequestFunc(param0)
}

func (m *ec2Mock) UnassignIpv6AddressesWithContext(param0 aws.Context, param1 *ec2.UnassignIpv6AddressesInput, param2 ...request.Option) (*ec2.UnassignIpv6AddressesOutput, error) {
	m.addCall("UnassignIpv6AddressesWithContext")
	m.verifyInput("UnassignIpv6AddressesWithContext", param0)
	return m.UnassignIpv6AddressesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) UnassignPrivateIpAddresses(param0 *ec2.UnassignPrivateIpAddressesInput) (*ec2.UnassignPrivateIpAddressesOutput, error) {
	m.addCall("UnassignPrivateIpAddresses")
	m.verifyInput("UnassignPrivateIpAddresses", param0)
	return m.UnassignPrivateIpAddressesFunc(param0)
}

func (m *ec2Mock) UnassignPrivateIpAddressesRequest(param0 *ec2.UnassignPrivateIpAddressesInput) (*request.Request, *ec2.UnassignPrivateIpAddressesOutput) {
	m.addCall("UnassignPrivateIpAddressesRequest")
	m.verifyInput("UnassignPrivateIpAddressesRequest", param0)
	return m.UnassignPrivateIpAddressesRequestFunc(param0)
}

func (m *ec2Mock) UnassignPrivateIpAddressesWithContext(param0 aws.Context, param1 *ec2.UnassignPrivateIpAddressesInput, param2 ...request.Option) (*ec2.UnassignPrivateIpAddressesOutput, error) {
	m.addCall("UnassignPrivateIpAddressesWithContext")
	m.verifyInput("UnassignPrivateIpAddressesWithContext", param0)
	return m.UnassignPrivateIpAddressesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) UnmonitorInstances(param0 *ec2.UnmonitorInstancesInput) (*ec2.UnmonitorInstancesOutput, error) {
	m.addCall("UnmonitorInstances")
	m.verifyInput("UnmonitorInstances", param0)
	return m.UnmonitorInstancesFunc(param0)
}

func (m *ec2Mock) UnmonitorInstancesRequest(param0 *ec2.UnmonitorInstancesInput) (*request.Request, *ec2.UnmonitorInstancesOutput) {
	m.addCall("UnmonitorInstancesRequest")
	m.verifyInput("UnmonitorInstancesRequest", param0)
	return m.UnmonitorInstancesRequestFunc(param0)
}

func (m *ec2Mock) UnmonitorInstancesWithContext(param0 aws.Context, param1 *ec2.UnmonitorInstancesInput, param2 ...request.Option) (*ec2.UnmonitorInstancesOutput, error) {
	m.addCall("UnmonitorInstancesWithContext")
	m.verifyInput("UnmonitorInstancesWithContext", param0)
	return m.UnmonitorInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) UpdateSecurityGroupRuleDescriptionsEgress(param0 *ec2.UpdateSecurityGroupRuleDescriptionsEgressInput) (*ec2.UpdateSecurityGroupRuleDescriptionsEgressOutput, error) {
	m.addCall("UpdateSecurityGroupRuleDescriptionsEgress")
	m.verifyInput("UpdateSecurityGroupRuleDescriptionsEgress", param0)
	return m.UpdateSecurityGroupRuleDescriptionsEgressFunc(param0)
}

func (m *ec2Mock) UpdateSecurityGroupRuleDescriptionsEgressRequest(param0 *ec2.UpdateSecurityGroupRuleDescriptionsEgressInput) (*request.Request, *ec2.UpdateSecurityGroupRuleDescriptionsEgressOutput) {
	m.addCall("UpdateSecurityGroupRuleDescriptionsEgressRequest")
	m.verifyInput("UpdateSecurityGroupRuleDescriptionsEgressRequest", param0)
	return m.UpdateSecurityGroupRuleDescriptionsEgressRequestFunc(param0)
}

func (m *ec2Mock) UpdateSecurityGroupRuleDescriptionsEgressWithContext(param0 aws.Context, param1 *ec2.UpdateSecurityGroupRuleDescriptionsEgressInput, param2 ...request.Option) (*ec2.UpdateSecurityGroupRuleDescriptionsEgressOutput, error) {
	m.addCall("UpdateSecurityGroupRuleDescriptionsEgressWithContext")
	m.verifyInput("UpdateSecurityGroupRuleDescriptionsEgressWithContext", param0)
	return m.UpdateSecurityGroupRuleDescriptionsEgressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) UpdateSecurityGroupRuleDescriptionsIngress(param0 *ec2.UpdateSecurityGroupRuleDescriptionsIngressInput) (*ec2.UpdateSecurityGroupRuleDescriptionsIngressOutput, error) {
	m.addCall("UpdateSecurityGroupRuleDescriptionsIngress")
	m.verifyInput("UpdateSecurityGroupRuleDescriptionsIngress", param0)
	return m.UpdateSecurityGroupRuleDescriptionsIngressFunc(param0)
}

func (m *ec2Mock) UpdateSecurityGroupRuleDescriptionsIngressRequest(param0 *ec2.UpdateSecurityGroupRuleDescriptionsIngressInput) (*request.Request, *ec2.UpdateSecurityGroupRuleDescriptionsIngressOutput) {
	m.addCall("UpdateSecurityGroupRuleDescriptionsIngressRequest")
	m.verifyInput("UpdateSecurityGroupRuleDescriptionsIngressRequest", param0)
	return m.UpdateSecurityGroupRuleDescriptionsIngressRequestFunc(param0)
}

func (m *ec2Mock) UpdateSecurityGroupRuleDescriptionsIngressWithContext(param0 aws.Context, param1 *ec2.UpdateSecurityGroupRuleDescriptionsIngressInput, param2 ...request.Option) (*ec2.UpdateSecurityGroupRuleDescriptionsIngressOutput, error) {
	m.addCall("UpdateSecurityGroupRuleDescriptionsIngressWithContext")
	m.verifyInput("UpdateSecurityGroupRuleDescriptionsIngressWithContext", param0)
	return m.UpdateSecurityGroupRuleDescriptionsIngressWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilBundleTaskComplete(param0 *ec2.DescribeBundleTasksInput) error {
	m.addCall("WaitUntilBundleTaskComplete")
	m.verifyInput("WaitUntilBundleTaskComplete", param0)
	return m.WaitUntilBundleTaskCompleteFunc(param0)
}

func (m *ec2Mock) WaitUntilBundleTaskCompleteWithContext(param0 aws.Context, param1 *ec2.DescribeBundleTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilBundleTaskCompleteWithContext")
	m.verifyInput("WaitUntilBundleTaskCompleteWithContext", param0)
	return m.WaitUntilBundleTaskCompleteWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilConversionTaskCancelled(param0 *ec2.DescribeConversionTasksInput) error {
	m.addCall("WaitUntilConversionTaskCancelled")
	m.verifyInput("WaitUntilConversionTaskCancelled", param0)
	return m.WaitUntilConversionTaskCancelledFunc(param0)
}

func (m *ec2Mock) WaitUntilConversionTaskCancelledWithContext(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilConversionTaskCancelledWithContext")
	m.verifyInput("WaitUntilConversionTaskCancelledWithContext", param0)
	return m.WaitUntilConversionTaskCancelledWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilConversionTaskCompleted(param0 *ec2.DescribeConversionTasksInput) error {
	m.addCall("WaitUntilConversionTaskCompleted")
	m.verifyInput("WaitUntilConversionTaskCompleted", param0)
	return m.WaitUntilConversionTaskCompletedFunc(param0)
}

func (m *ec2Mock) WaitUntilConversionTaskCompletedWithContext(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilConversionTaskCompletedWithContext")
	m.verifyInput("WaitUntilConversionTaskCompletedWithContext", param0)
	return m.WaitUntilConversionTaskCompletedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilConversionTaskDeleted(param0 *ec2.DescribeConversionTasksInput) error {
	m.addCall("WaitUntilConversionTaskDeleted")
	m.verifyInput("WaitUntilConversionTaskDeleted", param0)
	return m.WaitUntilConversionTaskDeletedFunc(param0)
}

func (m *ec2Mock) WaitUntilConversionTaskDeletedWithContext(param0 aws.Context, param1 *ec2.DescribeConversionTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilConversionTaskDeletedWithContext")
	m.verifyInput("WaitUntilConversionTaskDeletedWithContext", param0)
	return m.WaitUntilConversionTaskDeletedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilCustomerGatewayAvailable(param0 *ec2.DescribeCustomerGatewaysInput) error {
	m.addCall("WaitUntilCustomerGatewayAvailable")
	m.verifyInput("WaitUntilCustomerGatewayAvailable", param0)
	return m.WaitUntilCustomerGatewayAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilCustomerGatewayAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeCustomerGatewaysInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilCustomerGatewayAvailableWithContext")
	m.verifyInput("WaitUntilCustomerGatewayAvailableWithContext", param0)
	return m.WaitUntilCustomerGatewayAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilExportTaskCancelled(param0 *ec2.DescribeExportTasksInput) error {
	m.addCall("WaitUntilExportTaskCancelled")
	m.verifyInput("WaitUntilExportTaskCancelled", param0)
	return m.WaitUntilExportTaskCancelledFunc(param0)
}

func (m *ec2Mock) WaitUntilExportTaskCancelledWithContext(param0 aws.Context, param1 *ec2.DescribeExportTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilExportTaskCancelledWithContext")
	m.verifyInput("WaitUntilExportTaskCancelledWithContext", param0)
	return m.WaitUntilExportTaskCancelledWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilExportTaskCompleted(param0 *ec2.DescribeExportTasksInput) error {
	m.addCall("WaitUntilExportTaskCompleted")
	m.verifyInput("WaitUntilExportTaskCompleted", param0)
	return m.WaitUntilExportTaskCompletedFunc(param0)
}

func (m *ec2Mock) WaitUntilExportTaskCompletedWithContext(param0 aws.Context, param1 *ec2.DescribeExportTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilExportTaskCompletedWithContext")
	m.verifyInput("WaitUntilExportTaskCompletedWithContext", param0)
	return m.WaitUntilExportTaskCompletedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilImageAvailable(param0 *ec2.DescribeImagesInput) error {
	m.addCall("WaitUntilImageAvailable")
	m.verifyInput("WaitUntilImageAvailable", param0)
	return m.WaitUntilImageAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilImageAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeImagesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilImageAvailableWithContext")
	m.verifyInput("WaitUntilImageAvailableWithContext", param0)
	return m.WaitUntilImageAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilImageExists(param0 *ec2.DescribeImagesInput) error {
	m.addCall("WaitUntilImageExists")
	m.verifyInput("WaitUntilImageExists", param0)
	return m.WaitUntilImageExistsFunc(param0)
}

func (m *ec2Mock) WaitUntilImageExistsWithContext(param0 aws.Context, param1 *ec2.DescribeImagesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilImageExistsWithContext")
	m.verifyInput("WaitUntilImageExistsWithContext", param0)
	return m.WaitUntilImageExistsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilInstanceExists(param0 *ec2.DescribeInstancesInput) error {
	m.addCall("WaitUntilInstanceExists")
	m.verifyInput("WaitUntilInstanceExists", param0)
	return m.WaitUntilInstanceExistsFunc(param0)
}

func (m *ec2Mock) WaitUntilInstanceExistsWithContext(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInstanceExistsWithContext")
	m.verifyInput("WaitUntilInstanceExistsWithContext", param0)
	return m.WaitUntilInstanceExistsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilInstanceRunning(param0 *ec2.DescribeInstancesInput) error {
	m.addCall("WaitUntilInstanceRunning")
	m.verifyInput("WaitUntilInstanceRunning", param0)
	return m.WaitUntilInstanceRunningFunc(param0)
}

func (m *ec2Mock) WaitUntilInstanceRunningWithContext(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInstanceRunningWithContext")
	m.verifyInput("WaitUntilInstanceRunningWithContext", param0)
	return m.WaitUntilInstanceRunningWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilInstanceStatusOk(param0 *ec2.DescribeInstanceStatusInput) error {
	m.addCall("WaitUntilInstanceStatusOk")
	m.verifyInput("WaitUntilInstanceStatusOk", param0)
	return m.WaitUntilInstanceStatusOkFunc(param0)
}

func (m *ec2Mock) WaitUntilInstanceStatusOkWithContext(param0 aws.Context, param1 *ec2.DescribeInstanceStatusInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInstanceStatusOkWithContext")
	m.verifyInput("WaitUntilInstanceStatusOkWithContext", param0)
	return m.WaitUntilInstanceStatusOkWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilInstanceStopped(param0 *ec2.DescribeInstancesInput) error {
	m.addCall("WaitUntilInstanceStopped")
	m.verifyInput("WaitUntilInstanceStopped", param0)
	return m.WaitUntilInstanceStoppedFunc(param0)
}

func (m *ec2Mock) WaitUntilInstanceStoppedWithContext(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInstanceStoppedWithContext")
	m.verifyInput("WaitUntilInstanceStoppedWithContext", param0)
	return m.WaitUntilInstanceStoppedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilInstanceTerminated(param0 *ec2.DescribeInstancesInput) error {
	m.addCall("WaitUntilInstanceTerminated")
	m.verifyInput("WaitUntilInstanceTerminated", param0)
	return m.WaitUntilInstanceTerminatedFunc(param0)
}

func (m *ec2Mock) WaitUntilInstanceTerminatedWithContext(param0 aws.Context, param1 *ec2.DescribeInstancesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInstanceTerminatedWithContext")
	m.verifyInput("WaitUntilInstanceTerminatedWithContext", param0)
	return m.WaitUntilInstanceTerminatedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilKeyPairExists(param0 *ec2.DescribeKeyPairsInput) error {
	m.addCall("WaitUntilKeyPairExists")
	m.verifyInput("WaitUntilKeyPairExists", param0)
	return m.WaitUntilKeyPairExistsFunc(param0)
}

func (m *ec2Mock) WaitUntilKeyPairExistsWithContext(param0 aws.Context, param1 *ec2.DescribeKeyPairsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilKeyPairExistsWithContext")
	m.verifyInput("WaitUntilKeyPairExistsWithContext", param0)
	return m.WaitUntilKeyPairExistsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilNatGatewayAvailable(param0 *ec2.DescribeNatGatewaysInput) error {
	m.addCall("WaitUntilNatGatewayAvailable")
	m.verifyInput("WaitUntilNatGatewayAvailable", param0)
	return m.WaitUntilNatGatewayAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilNatGatewayAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeNatGatewaysInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilNatGatewayAvailableWithContext")
	m.verifyInput("WaitUntilNatGatewayAvailableWithContext", param0)
	return m.WaitUntilNatGatewayAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilNetworkInterfaceAvailable(param0 *ec2.DescribeNetworkInterfacesInput) error {
	m.addCall("WaitUntilNetworkInterfaceAvailable")
	m.verifyInput("WaitUntilNetworkInterfaceAvailable", param0)
	return m.WaitUntilNetworkInterfaceAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilNetworkInterfaceAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeNetworkInterfacesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilNetworkInterfaceAvailableWithContext")
	m.verifyInput("WaitUntilNetworkInterfaceAvailableWithContext", param0)
	return m.WaitUntilNetworkInterfaceAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilPasswordDataAvailable(param0 *ec2.GetPasswordDataInput) error {
	m.addCall("WaitUntilPasswordDataAvailable")
	m.verifyInput("WaitUntilPasswordDataAvailable", param0)
	return m.WaitUntilPasswordDataAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilPasswordDataAvailableWithContext(param0 aws.Context, param1 *ec2.GetPasswordDataInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilPasswordDataAvailableWithContext")
	m.verifyInput("WaitUntilPasswordDataAvailableWithContext", param0)
	return m.WaitUntilPasswordDataAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilSnapshotCompleted(param0 *ec2.DescribeSnapshotsInput) error {
	m.addCall("WaitUntilSnapshotCompleted")
	m.verifyInput("WaitUntilSnapshotCompleted", param0)
	return m.WaitUntilSnapshotCompletedFunc(param0)
}

func (m *ec2Mock) WaitUntilSnapshotCompletedWithContext(param0 aws.Context, param1 *ec2.DescribeSnapshotsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilSnapshotCompletedWithContext")
	m.verifyInput("WaitUntilSnapshotCompletedWithContext", param0)
	return m.WaitUntilSnapshotCompletedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilSpotInstanceRequestFulfilled(param0 *ec2.DescribeSpotInstanceRequestsInput) error {
	m.addCall("WaitUntilSpotInstanceRequestFulfilled")
	m.verifyInput("WaitUntilSpotInstanceRequestFulfilled", param0)
	return m.WaitUntilSpotInstanceRequestFulfilledFunc(param0)
}

func (m *ec2Mock) WaitUntilSpotInstanceRequestFulfilledWithContext(param0 aws.Context, param1 *ec2.DescribeSpotInstanceRequestsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilSpotInstanceRequestFulfilledWithContext")
	m.verifyInput("WaitUntilSpotInstanceRequestFulfilledWithContext", param0)
	return m.WaitUntilSpotInstanceRequestFulfilledWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilSubnetAvailable(param0 *ec2.DescribeSubnetsInput) error {
	m.addCall("WaitUntilSubnetAvailable")
	m.verifyInput("WaitUntilSubnetAvailable", param0)
	return m.WaitUntilSubnetAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilSubnetAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeSubnetsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilSubnetAvailableWithContext")
	m.verifyInput("WaitUntilSubnetAvailableWithContext", param0)
	return m.WaitUntilSubnetAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilSystemStatusOk(param0 *ec2.DescribeInstanceStatusInput) error {
	m.addCall("WaitUntilSystemStatusOk")
	m.verifyInput("WaitUntilSystemStatusOk", param0)
	return m.WaitUntilSystemStatusOkFunc(param0)
}

func (m *ec2Mock) WaitUntilSystemStatusOkWithContext(param0 aws.Context, param1 *ec2.DescribeInstanceStatusInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilSystemStatusOkWithContext")
	m.verifyInput("WaitUntilSystemStatusOkWithContext", param0)
	return m.WaitUntilSystemStatusOkWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVolumeAvailable(param0 *ec2.DescribeVolumesInput) error {
	m.addCall("WaitUntilVolumeAvailable")
	m.verifyInput("WaitUntilVolumeAvailable", param0)
	return m.WaitUntilVolumeAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilVolumeAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVolumeAvailableWithContext")
	m.verifyInput("WaitUntilVolumeAvailableWithContext", param0)
	return m.WaitUntilVolumeAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVolumeDeleted(param0 *ec2.DescribeVolumesInput) error {
	m.addCall("WaitUntilVolumeDeleted")
	m.verifyInput("WaitUntilVolumeDeleted", param0)
	return m.WaitUntilVolumeDeletedFunc(param0)
}

func (m *ec2Mock) WaitUntilVolumeDeletedWithContext(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVolumeDeletedWithContext")
	m.verifyInput("WaitUntilVolumeDeletedWithContext", param0)
	return m.WaitUntilVolumeDeletedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVolumeInUse(param0 *ec2.DescribeVolumesInput) error {
	m.addCall("WaitUntilVolumeInUse")
	m.verifyInput("WaitUntilVolumeInUse", param0)
	return m.WaitUntilVolumeInUseFunc(param0)
}

func (m *ec2Mock) WaitUntilVolumeInUseWithContext(param0 aws.Context, param1 *ec2.DescribeVolumesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVolumeInUseWithContext")
	m.verifyInput("WaitUntilVolumeInUseWithContext", param0)
	return m.WaitUntilVolumeInUseWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVpcAvailable(param0 *ec2.DescribeVpcsInput) error {
	m.addCall("WaitUntilVpcAvailable")
	m.verifyInput("WaitUntilVpcAvailable", param0)
	return m.WaitUntilVpcAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilVpcAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeVpcsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVpcAvailableWithContext")
	m.verifyInput("WaitUntilVpcAvailableWithContext", param0)
	return m.WaitUntilVpcAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVpcExists(param0 *ec2.DescribeVpcsInput) error {
	m.addCall("WaitUntilVpcExists")
	m.verifyInput("WaitUntilVpcExists", param0)
	return m.WaitUntilVpcExistsFunc(param0)
}

func (m *ec2Mock) WaitUntilVpcExistsWithContext(param0 aws.Context, param1 *ec2.DescribeVpcsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVpcExistsWithContext")
	m.verifyInput("WaitUntilVpcExistsWithContext", param0)
	return m.WaitUntilVpcExistsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVpcPeeringConnectionDeleted(param0 *ec2.DescribeVpcPeeringConnectionsInput) error {
	m.addCall("WaitUntilVpcPeeringConnectionDeleted")
	m.verifyInput("WaitUntilVpcPeeringConnectionDeleted", param0)
	return m.WaitUntilVpcPeeringConnectionDeletedFunc(param0)
}

func (m *ec2Mock) WaitUntilVpcPeeringConnectionDeletedWithContext(param0 aws.Context, param1 *ec2.DescribeVpcPeeringConnectionsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVpcPeeringConnectionDeletedWithContext")
	m.verifyInput("WaitUntilVpcPeeringConnectionDeletedWithContext", param0)
	return m.WaitUntilVpcPeeringConnectionDeletedWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVpcPeeringConnectionExists(param0 *ec2.DescribeVpcPeeringConnectionsInput) error {
	m.addCall("WaitUntilVpcPeeringConnectionExists")
	m.verifyInput("WaitUntilVpcPeeringConnectionExists", param0)
	return m.WaitUntilVpcPeeringConnectionExistsFunc(param0)
}

func (m *ec2Mock) WaitUntilVpcPeeringConnectionExistsWithContext(param0 aws.Context, param1 *ec2.DescribeVpcPeeringConnectionsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVpcPeeringConnectionExistsWithContext")
	m.verifyInput("WaitUntilVpcPeeringConnectionExistsWithContext", param0)
	return m.WaitUntilVpcPeeringConnectionExistsWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVpnConnectionAvailable(param0 *ec2.DescribeVpnConnectionsInput) error {
	m.addCall("WaitUntilVpnConnectionAvailable")
	m.verifyInput("WaitUntilVpnConnectionAvailable", param0)
	return m.WaitUntilVpnConnectionAvailableFunc(param0)
}

func (m *ec2Mock) WaitUntilVpnConnectionAvailableWithContext(param0 aws.Context, param1 *ec2.DescribeVpnConnectionsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVpnConnectionAvailableWithContext")
	m.verifyInput("WaitUntilVpnConnectionAvailableWithContext", param0)
	return m.WaitUntilVpnConnectionAvailableWithContextFunc(param0, param1, param2...)
}

func (m *ec2Mock) WaitUntilVpnConnectionDeleted(param0 *ec2.DescribeVpnConnectionsInput) error {
	m.addCall("WaitUntilVpnConnectionDeleted")
	m.verifyInput("WaitUntilVpnConnectionDeleted", param0)
	return m.WaitUntilVpnConnectionDeletedFunc(param0)
}

func (m *ec2Mock) WaitUntilVpnConnectionDeletedWithContext(param0 aws.Context, param1 *ec2.DescribeVpnConnectionsInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilVpnConnectionDeletedWithContext")
	m.verifyInput("WaitUntilVpnConnectionDeletedWithContext", param0)
	return m.WaitUntilVpnConnectionDeletedWithContextFunc(param0, param1, param2...)
}

type ecrMock struct {
	basicMock
	ecriface.ECRAPI
	BatchCheckLayerAvailabilityFunc            func(param0 *ecr.BatchCheckLayerAvailabilityInput) (*ecr.BatchCheckLayerAvailabilityOutput, error)
	BatchCheckLayerAvailabilityRequestFunc     func(param0 *ecr.BatchCheckLayerAvailabilityInput) (*request.Request, *ecr.BatchCheckLayerAvailabilityOutput)
	BatchCheckLayerAvailabilityWithContextFunc func(param0 aws.Context, param1 *ecr.BatchCheckLayerAvailabilityInput, param2 ...request.Option) (*ecr.BatchCheckLayerAvailabilityOutput, error)
	BatchDeleteImageFunc                       func(param0 *ecr.BatchDeleteImageInput) (*ecr.BatchDeleteImageOutput, error)
	BatchDeleteImageRequestFunc                func(param0 *ecr.BatchDeleteImageInput) (*request.Request, *ecr.BatchDeleteImageOutput)
	BatchDeleteImageWithContextFunc            func(param0 aws.Context, param1 *ecr.BatchDeleteImageInput, param2 ...request.Option) (*ecr.BatchDeleteImageOutput, error)
	BatchGetImageFunc                          func(param0 *ecr.BatchGetImageInput) (*ecr.BatchGetImageOutput, error)
	BatchGetImageRequestFunc                   func(param0 *ecr.BatchGetImageInput) (*request.Request, *ecr.BatchGetImageOutput)
	BatchGetImageWithContextFunc               func(param0 aws.Context, param1 *ecr.BatchGetImageInput, param2 ...request.Option) (*ecr.BatchGetImageOutput, error)
	CompleteLayerUploadFunc                    func(param0 *ecr.CompleteLayerUploadInput) (*ecr.CompleteLayerUploadOutput, error)
	CompleteLayerUploadRequestFunc             func(param0 *ecr.CompleteLayerUploadInput) (*request.Request, *ecr.CompleteLayerUploadOutput)
	CompleteLayerUploadWithContextFunc         func(param0 aws.Context, param1 *ecr.CompleteLayerUploadInput, param2 ...request.Option) (*ecr.CompleteLayerUploadOutput, error)
	CreateRepositoryFunc                       func(param0 *ecr.CreateRepositoryInput) (*ecr.CreateRepositoryOutput, error)
	CreateRepositoryRequestFunc                func(param0 *ecr.CreateRepositoryInput) (*request.Request, *ecr.CreateRepositoryOutput)
	CreateRepositoryWithContextFunc            func(param0 aws.Context, param1 *ecr.CreateRepositoryInput, param2 ...request.Option) (*ecr.CreateRepositoryOutput, error)
	DeleteRepositoryFunc                       func(param0 *ecr.DeleteRepositoryInput) (*ecr.DeleteRepositoryOutput, error)
	DeleteRepositoryPolicyFunc                 func(param0 *ecr.DeleteRepositoryPolicyInput) (*ecr.DeleteRepositoryPolicyOutput, error)
	DeleteRepositoryPolicyRequestFunc          func(param0 *ecr.DeleteRepositoryPolicyInput) (*request.Request, *ecr.DeleteRepositoryPolicyOutput)
	DeleteRepositoryPolicyWithContextFunc      func(param0 aws.Context, param1 *ecr.DeleteRepositoryPolicyInput, param2 ...request.Option) (*ecr.DeleteRepositoryPolicyOutput, error)
	DeleteRepositoryRequestFunc                func(param0 *ecr.DeleteRepositoryInput) (*request.Request, *ecr.DeleteRepositoryOutput)
	DeleteRepositoryWithContextFunc            func(param0 aws.Context, param1 *ecr.DeleteRepositoryInput, param2 ...request.Option) (*ecr.DeleteRepositoryOutput, error)
	DescribeImagesFunc                         func(param0 *ecr.DescribeImagesInput) (*ecr.DescribeImagesOutput, error)
	DescribeImagesRequestFunc                  func(param0 *ecr.DescribeImagesInput) (*request.Request, *ecr.DescribeImagesOutput)
	DescribeImagesWithContextFunc              func(param0 aws.Context, param1 *ecr.DescribeImagesInput, param2 ...request.Option) (*ecr.DescribeImagesOutput, error)
	DescribeRepositoriesFunc                   func(param0 *ecr.DescribeRepositoriesInput) (*ecr.DescribeRepositoriesOutput, error)
	DescribeRepositoriesRequestFunc            func(param0 *ecr.DescribeRepositoriesInput) (*request.Request, *ecr.DescribeRepositoriesOutput)
	DescribeRepositoriesWithContextFunc        func(param0 aws.Context, param1 *ecr.DescribeRepositoriesInput, param2 ...request.Option) (*ecr.DescribeRepositoriesOutput, error)
	GetAuthorizationTokenFunc                  func(param0 *ecr.GetAuthorizationTokenInput) (*ecr.GetAuthorizationTokenOutput, error)
	GetAuthorizationTokenRequestFunc           func(param0 *ecr.GetAuthorizationTokenInput) (*request.Request, *ecr.GetAuthorizationTokenOutput)
	GetAuthorizationTokenWithContextFunc       func(param0 aws.Context, param1 *ecr.GetAuthorizationTokenInput, param2 ...request.Option) (*ecr.GetAuthorizationTokenOutput, error)
	GetDownloadUrlForLayerFunc                 func(param0 *ecr.GetDownloadUrlForLayerInput) (*ecr.GetDownloadUrlForLayerOutput, error)
	GetDownloadUrlForLayerRequestFunc          func(param0 *ecr.GetDownloadUrlForLayerInput) (*request.Request, *ecr.GetDownloadUrlForLayerOutput)
	GetDownloadUrlForLayerWithContextFunc      func(param0 aws.Context, param1 *ecr.GetDownloadUrlForLayerInput, param2 ...request.Option) (*ecr.GetDownloadUrlForLayerOutput, error)
	GetRepositoryPolicyFunc                    func(param0 *ecr.GetRepositoryPolicyInput) (*ecr.GetRepositoryPolicyOutput, error)
	GetRepositoryPolicyRequestFunc             func(param0 *ecr.GetRepositoryPolicyInput) (*request.Request, *ecr.GetRepositoryPolicyOutput)
	GetRepositoryPolicyWithContextFunc         func(param0 aws.Context, param1 *ecr.GetRepositoryPolicyInput, param2 ...request.Option) (*ecr.GetRepositoryPolicyOutput, error)
	InitiateLayerUploadFunc                    func(param0 *ecr.InitiateLayerUploadInput) (*ecr.InitiateLayerUploadOutput, error)
	InitiateLayerUploadRequestFunc             func(param0 *ecr.InitiateLayerUploadInput) (*request.Request, *ecr.InitiateLayerUploadOutput)
	InitiateLayerUploadWithContextFunc         func(param0 aws.Context, param1 *ecr.InitiateLayerUploadInput, param2 ...request.Option) (*ecr.InitiateLayerUploadOutput, error)
	ListImagesFunc                             func(param0 *ecr.ListImagesInput) (*ecr.ListImagesOutput, error)
	ListImagesRequestFunc                      func(param0 *ecr.ListImagesInput) (*request.Request, *ecr.ListImagesOutput)
	ListImagesWithContextFunc                  func(param0 aws.Context, param1 *ecr.ListImagesInput, param2 ...request.Option) (*ecr.ListImagesOutput, error)
	PutImageFunc                               func(param0 *ecr.PutImageInput) (*ecr.PutImageOutput, error)
	PutImageRequestFunc                        func(param0 *ecr.PutImageInput) (*request.Request, *ecr.PutImageOutput)
	PutImageWithContextFunc                    func(param0 aws.Context, param1 *ecr.PutImageInput, param2 ...request.Option) (*ecr.PutImageOutput, error)
	SetRepositoryPolicyFunc                    func(param0 *ecr.SetRepositoryPolicyInput) (*ecr.SetRepositoryPolicyOutput, error)
	SetRepositoryPolicyRequestFunc             func(param0 *ecr.SetRepositoryPolicyInput) (*request.Request, *ecr.SetRepositoryPolicyOutput)
	SetRepositoryPolicyWithContextFunc         func(param0 aws.Context, param1 *ecr.SetRepositoryPolicyInput, param2 ...request.Option) (*ecr.SetRepositoryPolicyOutput, error)
	UploadLayerPartFunc                        func(param0 *ecr.UploadLayerPartInput) (*ecr.UploadLayerPartOutput, error)
	UploadLayerPartRequestFunc                 func(param0 *ecr.UploadLayerPartInput) (*request.Request, *ecr.UploadLayerPartOutput)
	UploadLayerPartWithContextFunc             func(param0 aws.Context, param1 *ecr.UploadLayerPartInput, param2 ...request.Option) (*ecr.UploadLayerPartOutput, error)
}

func (m *ecrMock) BatchCheckLayerAvailability(param0 *ecr.BatchCheckLayerAvailabilityInput) (*ecr.BatchCheckLayerAvailabilityOutput, error) {
	m.addCall("BatchCheckLayerAvailability")
	m.verifyInput("BatchCheckLayerAvailability", param0)
	return m.BatchCheckLayerAvailabilityFunc(param0)
}

func (m *ecrMock) BatchCheckLayerAvailabilityRequest(param0 *ecr.BatchCheckLayerAvailabilityInput) (*request.Request, *ecr.BatchCheckLayerAvailabilityOutput) {
	m.addCall("BatchCheckLayerAvailabilityRequest")
	m.verifyInput("BatchCheckLayerAvailabilityRequest", param0)
	return m.BatchCheckLayerAvailabilityRequestFunc(param0)
}

func (m *ecrMock) BatchCheckLayerAvailabilityWithContext(param0 aws.Context, param1 *ecr.BatchCheckLayerAvailabilityInput, param2 ...request.Option) (*ecr.BatchCheckLayerAvailabilityOutput, error) {
	m.addCall("BatchCheckLayerAvailabilityWithContext")
	m.verifyInput("BatchCheckLayerAvailabilityWithContext", param0)
	return m.BatchCheckLayerAvailabilityWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) BatchDeleteImage(param0 *ecr.BatchDeleteImageInput) (*ecr.BatchDeleteImageOutput, error) {
	m.addCall("BatchDeleteImage")
	m.verifyInput("BatchDeleteImage", param0)
	return m.BatchDeleteImageFunc(param0)
}

func (m *ecrMock) BatchDeleteImageRequest(param0 *ecr.BatchDeleteImageInput) (*request.Request, *ecr.BatchDeleteImageOutput) {
	m.addCall("BatchDeleteImageRequest")
	m.verifyInput("BatchDeleteImageRequest", param0)
	return m.BatchDeleteImageRequestFunc(param0)
}

func (m *ecrMock) BatchDeleteImageWithContext(param0 aws.Context, param1 *ecr.BatchDeleteImageInput, param2 ...request.Option) (*ecr.BatchDeleteImageOutput, error) {
	m.addCall("BatchDeleteImageWithContext")
	m.verifyInput("BatchDeleteImageWithContext", param0)
	return m.BatchDeleteImageWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) BatchGetImage(param0 *ecr.BatchGetImageInput) (*ecr.BatchGetImageOutput, error) {
	m.addCall("BatchGetImage")
	m.verifyInput("BatchGetImage", param0)
	return m.BatchGetImageFunc(param0)
}

func (m *ecrMock) BatchGetImageRequest(param0 *ecr.BatchGetImageInput) (*request.Request, *ecr.BatchGetImageOutput) {
	m.addCall("BatchGetImageRequest")
	m.verifyInput("BatchGetImageRequest", param0)
	return m.BatchGetImageRequestFunc(param0)
}

func (m *ecrMock) BatchGetImageWithContext(param0 aws.Context, param1 *ecr.BatchGetImageInput, param2 ...request.Option) (*ecr.BatchGetImageOutput, error) {
	m.addCall("BatchGetImageWithContext")
	m.verifyInput("BatchGetImageWithContext", param0)
	return m.BatchGetImageWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) CompleteLayerUpload(param0 *ecr.CompleteLayerUploadInput) (*ecr.CompleteLayerUploadOutput, error) {
	m.addCall("CompleteLayerUpload")
	m.verifyInput("CompleteLayerUpload", param0)
	return m.CompleteLayerUploadFunc(param0)
}

func (m *ecrMock) CompleteLayerUploadRequest(param0 *ecr.CompleteLayerUploadInput) (*request.Request, *ecr.CompleteLayerUploadOutput) {
	m.addCall("CompleteLayerUploadRequest")
	m.verifyInput("CompleteLayerUploadRequest", param0)
	return m.CompleteLayerUploadRequestFunc(param0)
}

func (m *ecrMock) CompleteLayerUploadWithContext(param0 aws.Context, param1 *ecr.CompleteLayerUploadInput, param2 ...request.Option) (*ecr.CompleteLayerUploadOutput, error) {
	m.addCall("CompleteLayerUploadWithContext")
	m.verifyInput("CompleteLayerUploadWithContext", param0)
	return m.CompleteLayerUploadWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) CreateRepository(param0 *ecr.CreateRepositoryInput) (*ecr.CreateRepositoryOutput, error) {
	m.addCall("CreateRepository")
	m.verifyInput("CreateRepository", param0)
	return m.CreateRepositoryFunc(param0)
}

func (m *ecrMock) CreateRepositoryRequest(param0 *ecr.CreateRepositoryInput) (*request.Request, *ecr.CreateRepositoryOutput) {
	m.addCall("CreateRepositoryRequest")
	m.verifyInput("CreateRepositoryRequest", param0)
	return m.CreateRepositoryRequestFunc(param0)
}

func (m *ecrMock) CreateRepositoryWithContext(param0 aws.Context, param1 *ecr.CreateRepositoryInput, param2 ...request.Option) (*ecr.CreateRepositoryOutput, error) {
	m.addCall("CreateRepositoryWithContext")
	m.verifyInput("CreateRepositoryWithContext", param0)
	return m.CreateRepositoryWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) DeleteRepository(param0 *ecr.DeleteRepositoryInput) (*ecr.DeleteRepositoryOutput, error) {
	m.addCall("DeleteRepository")
	m.verifyInput("DeleteRepository", param0)
	return m.DeleteRepositoryFunc(param0)
}

func (m *ecrMock) DeleteRepositoryPolicy(param0 *ecr.DeleteRepositoryPolicyInput) (*ecr.DeleteRepositoryPolicyOutput, error) {
	m.addCall("DeleteRepositoryPolicy")
	m.verifyInput("DeleteRepositoryPolicy", param0)
	return m.DeleteRepositoryPolicyFunc(param0)
}

func (m *ecrMock) DeleteRepositoryPolicyRequest(param0 *ecr.DeleteRepositoryPolicyInput) (*request.Request, *ecr.DeleteRepositoryPolicyOutput) {
	m.addCall("DeleteRepositoryPolicyRequest")
	m.verifyInput("DeleteRepositoryPolicyRequest", param0)
	return m.DeleteRepositoryPolicyRequestFunc(param0)
}

func (m *ecrMock) DeleteRepositoryPolicyWithContext(param0 aws.Context, param1 *ecr.DeleteRepositoryPolicyInput, param2 ...request.Option) (*ecr.DeleteRepositoryPolicyOutput, error) {
	m.addCall("DeleteRepositoryPolicyWithContext")
	m.verifyInput("DeleteRepositoryPolicyWithContext", param0)
	return m.DeleteRepositoryPolicyWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) DeleteRepositoryRequest(param0 *ecr.DeleteRepositoryInput) (*request.Request, *ecr.DeleteRepositoryOutput) {
	m.addCall("DeleteRepositoryRequest")
	m.verifyInput("DeleteRepositoryRequest", param0)
	return m.DeleteRepositoryRequestFunc(param0)
}

func (m *ecrMock) DeleteRepositoryWithContext(param0 aws.Context, param1 *ecr.DeleteRepositoryInput, param2 ...request.Option) (*ecr.DeleteRepositoryOutput, error) {
	m.addCall("DeleteRepositoryWithContext")
	m.verifyInput("DeleteRepositoryWithContext", param0)
	return m.DeleteRepositoryWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) DescribeImages(param0 *ecr.DescribeImagesInput) (*ecr.DescribeImagesOutput, error) {
	m.addCall("DescribeImages")
	m.verifyInput("DescribeImages", param0)
	return m.DescribeImagesFunc(param0)
}

func (m *ecrMock) DescribeImagesRequest(param0 *ecr.DescribeImagesInput) (*request.Request, *ecr.DescribeImagesOutput) {
	m.addCall("DescribeImagesRequest")
	m.verifyInput("DescribeImagesRequest", param0)
	return m.DescribeImagesRequestFunc(param0)
}

func (m *ecrMock) DescribeImagesWithContext(param0 aws.Context, param1 *ecr.DescribeImagesInput, param2 ...request.Option) (*ecr.DescribeImagesOutput, error) {
	m.addCall("DescribeImagesWithContext")
	m.verifyInput("DescribeImagesWithContext", param0)
	return m.DescribeImagesWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) DescribeRepositories(param0 *ecr.DescribeRepositoriesInput) (*ecr.DescribeRepositoriesOutput, error) {
	m.addCall("DescribeRepositories")
	m.verifyInput("DescribeRepositories", param0)
	return m.DescribeRepositoriesFunc(param0)
}

func (m *ecrMock) DescribeRepositoriesRequest(param0 *ecr.DescribeRepositoriesInput) (*request.Request, *ecr.DescribeRepositoriesOutput) {
	m.addCall("DescribeRepositoriesRequest")
	m.verifyInput("DescribeRepositoriesRequest", param0)
	return m.DescribeRepositoriesRequestFunc(param0)
}

func (m *ecrMock) DescribeRepositoriesWithContext(param0 aws.Context, param1 *ecr.DescribeRepositoriesInput, param2 ...request.Option) (*ecr.DescribeRepositoriesOutput, error) {
	m.addCall("DescribeRepositoriesWithContext")
	m.verifyInput("DescribeRepositoriesWithContext", param0)
	return m.DescribeRepositoriesWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) GetAuthorizationToken(param0 *ecr.GetAuthorizationTokenInput) (*ecr.GetAuthorizationTokenOutput, error) {
	m.addCall("GetAuthorizationToken")
	m.verifyInput("GetAuthorizationToken", param0)
	return m.GetAuthorizationTokenFunc(param0)
}

func (m *ecrMock) GetAuthorizationTokenRequest(param0 *ecr.GetAuthorizationTokenInput) (*request.Request, *ecr.GetAuthorizationTokenOutput) {
	m.addCall("GetAuthorizationTokenRequest")
	m.verifyInput("GetAuthorizationTokenRequest", param0)
	return m.GetAuthorizationTokenRequestFunc(param0)
}

func (m *ecrMock) GetAuthorizationTokenWithContext(param0 aws.Context, param1 *ecr.GetAuthorizationTokenInput, param2 ...request.Option) (*ecr.GetAuthorizationTokenOutput, error) {
	m.addCall("GetAuthorizationTokenWithContext")
	m.verifyInput("GetAuthorizationTokenWithContext", param0)
	return m.GetAuthorizationTokenWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) GetDownloadUrlForLayer(param0 *ecr.GetDownloadUrlForLayerInput) (*ecr.GetDownloadUrlForLayerOutput, error) {
	m.addCall("GetDownloadUrlForLayer")
	m.verifyInput("GetDownloadUrlForLayer", param0)
	return m.GetDownloadUrlForLayerFunc(param0)
}

func (m *ecrMock) GetDownloadUrlForLayerRequest(param0 *ecr.GetDownloadUrlForLayerInput) (*request.Request, *ecr.GetDownloadUrlForLayerOutput) {
	m.addCall("GetDownloadUrlForLayerRequest")
	m.verifyInput("GetDownloadUrlForLayerRequest", param0)
	return m.GetDownloadUrlForLayerRequestFunc(param0)
}

func (m *ecrMock) GetDownloadUrlForLayerWithContext(param0 aws.Context, param1 *ecr.GetDownloadUrlForLayerInput, param2 ...request.Option) (*ecr.GetDownloadUrlForLayerOutput, error) {
	m.addCall("GetDownloadUrlForLayerWithContext")
	m.verifyInput("GetDownloadUrlForLayerWithContext", param0)
	return m.GetDownloadUrlForLayerWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) GetRepositoryPolicy(param0 *ecr.GetRepositoryPolicyInput) (*ecr.GetRepositoryPolicyOutput, error) {
	m.addCall("GetRepositoryPolicy")
	m.verifyInput("GetRepositoryPolicy", param0)
	return m.GetRepositoryPolicyFunc(param0)
}

func (m *ecrMock) GetRepositoryPolicyRequest(param0 *ecr.GetRepositoryPolicyInput) (*request.Request, *ecr.GetRepositoryPolicyOutput) {
	m.addCall("GetRepositoryPolicyRequest")
	m.verifyInput("GetRepositoryPolicyRequest", param0)
	return m.GetRepositoryPolicyRequestFunc(param0)
}

func (m *ecrMock) GetRepositoryPolicyWithContext(param0 aws.Context, param1 *ecr.GetRepositoryPolicyInput, param2 ...request.Option) (*ecr.GetRepositoryPolicyOutput, error) {
	m.addCall("GetRepositoryPolicyWithContext")
	m.verifyInput("GetRepositoryPolicyWithContext", param0)
	return m.GetRepositoryPolicyWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) InitiateLayerUpload(param0 *ecr.InitiateLayerUploadInput) (*ecr.InitiateLayerUploadOutput, error) {
	m.addCall("InitiateLayerUpload")
	m.verifyInput("InitiateLayerUpload", param0)
	return m.InitiateLayerUploadFunc(param0)
}

func (m *ecrMock) InitiateLayerUploadRequest(param0 *ecr.InitiateLayerUploadInput) (*request.Request, *ecr.InitiateLayerUploadOutput) {
	m.addCall("InitiateLayerUploadRequest")
	m.verifyInput("InitiateLayerUploadRequest", param0)
	return m.InitiateLayerUploadRequestFunc(param0)
}

func (m *ecrMock) InitiateLayerUploadWithContext(param0 aws.Context, param1 *ecr.InitiateLayerUploadInput, param2 ...request.Option) (*ecr.InitiateLayerUploadOutput, error) {
	m.addCall("InitiateLayerUploadWithContext")
	m.verifyInput("InitiateLayerUploadWithContext", param0)
	return m.InitiateLayerUploadWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) ListImages(param0 *ecr.ListImagesInput) (*ecr.ListImagesOutput, error) {
	m.addCall("ListImages")
	m.verifyInput("ListImages", param0)
	return m.ListImagesFunc(param0)
}

func (m *ecrMock) ListImagesRequest(param0 *ecr.ListImagesInput) (*request.Request, *ecr.ListImagesOutput) {
	m.addCall("ListImagesRequest")
	m.verifyInput("ListImagesRequest", param0)
	return m.ListImagesRequestFunc(param0)
}

func (m *ecrMock) ListImagesWithContext(param0 aws.Context, param1 *ecr.ListImagesInput, param2 ...request.Option) (*ecr.ListImagesOutput, error) {
	m.addCall("ListImagesWithContext")
	m.verifyInput("ListImagesWithContext", param0)
	return m.ListImagesWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) PutImage(param0 *ecr.PutImageInput) (*ecr.PutImageOutput, error) {
	m.addCall("PutImage")
	m.verifyInput("PutImage", param0)
	return m.PutImageFunc(param0)
}

func (m *ecrMock) PutImageRequest(param0 *ecr.PutImageInput) (*request.Request, *ecr.PutImageOutput) {
	m.addCall("PutImageRequest")
	m.verifyInput("PutImageRequest", param0)
	return m.PutImageRequestFunc(param0)
}

func (m *ecrMock) PutImageWithContext(param0 aws.Context, param1 *ecr.PutImageInput, param2 ...request.Option) (*ecr.PutImageOutput, error) {
	m.addCall("PutImageWithContext")
	m.verifyInput("PutImageWithContext", param0)
	return m.PutImageWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) SetRepositoryPolicy(param0 *ecr.SetRepositoryPolicyInput) (*ecr.SetRepositoryPolicyOutput, error) {
	m.addCall("SetRepositoryPolicy")
	m.verifyInput("SetRepositoryPolicy", param0)
	return m.SetRepositoryPolicyFunc(param0)
}

func (m *ecrMock) SetRepositoryPolicyRequest(param0 *ecr.SetRepositoryPolicyInput) (*request.Request, *ecr.SetRepositoryPolicyOutput) {
	m.addCall("SetRepositoryPolicyRequest")
	m.verifyInput("SetRepositoryPolicyRequest", param0)
	return m.SetRepositoryPolicyRequestFunc(param0)
}

func (m *ecrMock) SetRepositoryPolicyWithContext(param0 aws.Context, param1 *ecr.SetRepositoryPolicyInput, param2 ...request.Option) (*ecr.SetRepositoryPolicyOutput, error) {
	m.addCall("SetRepositoryPolicyWithContext")
	m.verifyInput("SetRepositoryPolicyWithContext", param0)
	return m.SetRepositoryPolicyWithContextFunc(param0, param1, param2...)
}

func (m *ecrMock) UploadLayerPart(param0 *ecr.UploadLayerPartInput) (*ecr.UploadLayerPartOutput, error) {
	m.addCall("UploadLayerPart")
	m.verifyInput("UploadLayerPart", param0)
	return m.UploadLayerPartFunc(param0)
}

func (m *ecrMock) UploadLayerPartRequest(param0 *ecr.UploadLayerPartInput) (*request.Request, *ecr.UploadLayerPartOutput) {
	m.addCall("UploadLayerPartRequest")
	m.verifyInput("UploadLayerPartRequest", param0)
	return m.UploadLayerPartRequestFunc(param0)
}

func (m *ecrMock) UploadLayerPartWithContext(param0 aws.Context, param1 *ecr.UploadLayerPartInput, param2 ...request.Option) (*ecr.UploadLayerPartOutput, error) {
	m.addCall("UploadLayerPartWithContext")
	m.verifyInput("UploadLayerPartWithContext", param0)
	return m.UploadLayerPartWithContextFunc(param0, param1, param2...)
}

type ecsMock struct {
	basicMock
	ecsiface.ECSAPI
	CreateClusterFunc                            func(param0 *ecs.CreateClusterInput) (*ecs.CreateClusterOutput, error)
	CreateClusterRequestFunc                     func(param0 *ecs.CreateClusterInput) (*request.Request, *ecs.CreateClusterOutput)
	CreateClusterWithContextFunc                 func(param0 aws.Context, param1 *ecs.CreateClusterInput, param2 ...request.Option) (*ecs.CreateClusterOutput, error)
	CreateServiceFunc                            func(param0 *ecs.CreateServiceInput) (*ecs.CreateServiceOutput, error)
	CreateServiceRequestFunc                     func(param0 *ecs.CreateServiceInput) (*request.Request, *ecs.CreateServiceOutput)
	CreateServiceWithContextFunc                 func(param0 aws.Context, param1 *ecs.CreateServiceInput, param2 ...request.Option) (*ecs.CreateServiceOutput, error)
	DeleteAttributesFunc                         func(param0 *ecs.DeleteAttributesInput) (*ecs.DeleteAttributesOutput, error)
	DeleteAttributesRequestFunc                  func(param0 *ecs.DeleteAttributesInput) (*request.Request, *ecs.DeleteAttributesOutput)
	DeleteAttributesWithContextFunc              func(param0 aws.Context, param1 *ecs.DeleteAttributesInput, param2 ...request.Option) (*ecs.DeleteAttributesOutput, error)
	DeleteClusterFunc                            func(param0 *ecs.DeleteClusterInput) (*ecs.DeleteClusterOutput, error)
	DeleteClusterRequestFunc                     func(param0 *ecs.DeleteClusterInput) (*request.Request, *ecs.DeleteClusterOutput)
	DeleteClusterWithContextFunc                 func(param0 aws.Context, param1 *ecs.DeleteClusterInput, param2 ...request.Option) (*ecs.DeleteClusterOutput, error)
	DeleteServiceFunc                            func(param0 *ecs.DeleteServiceInput) (*ecs.DeleteServiceOutput, error)
	DeleteServiceRequestFunc                     func(param0 *ecs.DeleteServiceInput) (*request.Request, *ecs.DeleteServiceOutput)
	DeleteServiceWithContextFunc                 func(param0 aws.Context, param1 *ecs.DeleteServiceInput, param2 ...request.Option) (*ecs.DeleteServiceOutput, error)
	DeregisterContainerInstanceFunc              func(param0 *ecs.DeregisterContainerInstanceInput) (*ecs.DeregisterContainerInstanceOutput, error)
	DeregisterContainerInstanceRequestFunc       func(param0 *ecs.DeregisterContainerInstanceInput) (*request.Request, *ecs.DeregisterContainerInstanceOutput)
	DeregisterContainerInstanceWithContextFunc   func(param0 aws.Context, param1 *ecs.DeregisterContainerInstanceInput, param2 ...request.Option) (*ecs.DeregisterContainerInstanceOutput, error)
	DeregisterTaskDefinitionFunc                 func(param0 *ecs.DeregisterTaskDefinitionInput) (*ecs.DeregisterTaskDefinitionOutput, error)
	DeregisterTaskDefinitionRequestFunc          func(param0 *ecs.DeregisterTaskDefinitionInput) (*request.Request, *ecs.DeregisterTaskDefinitionOutput)
	DeregisterTaskDefinitionWithContextFunc      func(param0 aws.Context, param1 *ecs.DeregisterTaskDefinitionInput, param2 ...request.Option) (*ecs.DeregisterTaskDefinitionOutput, error)
	DescribeClustersFunc                         func(param0 *ecs.DescribeClustersInput) (*ecs.DescribeClustersOutput, error)
	DescribeClustersRequestFunc                  func(param0 *ecs.DescribeClustersInput) (*request.Request, *ecs.DescribeClustersOutput)
	DescribeClustersWithContextFunc              func(param0 aws.Context, param1 *ecs.DescribeClustersInput, param2 ...request.Option) (*ecs.DescribeClustersOutput, error)
	DescribeContainerInstancesFunc               func(param0 *ecs.DescribeContainerInstancesInput) (*ecs.DescribeContainerInstancesOutput, error)
	DescribeContainerInstancesRequestFunc        func(param0 *ecs.DescribeContainerInstancesInput) (*request.Request, *ecs.DescribeContainerInstancesOutput)
	DescribeContainerInstancesWithContextFunc    func(param0 aws.Context, param1 *ecs.DescribeContainerInstancesInput, param2 ...request.Option) (*ecs.DescribeContainerInstancesOutput, error)
	DescribeServicesFunc                         func(param0 *ecs.DescribeServicesInput) (*ecs.DescribeServicesOutput, error)
	DescribeServicesRequestFunc                  func(param0 *ecs.DescribeServicesInput) (*request.Request, *ecs.DescribeServicesOutput)
	DescribeServicesWithContextFunc              func(param0 aws.Context, param1 *ecs.DescribeServicesInput, param2 ...request.Option) (*ecs.DescribeServicesOutput, error)
	DescribeTaskDefinitionFunc                   func(param0 *ecs.DescribeTaskDefinitionInput) (*ecs.DescribeTaskDefinitionOutput, error)
	DescribeTaskDefinitionRequestFunc            func(param0 *ecs.DescribeTaskDefinitionInput) (*request.Request, *ecs.DescribeTaskDefinitionOutput)
	DescribeTaskDefinitionWithContextFunc        func(param0 aws.Context, param1 *ecs.DescribeTaskDefinitionInput, param2 ...request.Option) (*ecs.DescribeTaskDefinitionOutput, error)
	DescribeTasksFunc                            func(param0 *ecs.DescribeTasksInput) (*ecs.DescribeTasksOutput, error)
	DescribeTasksRequestFunc                     func(param0 *ecs.DescribeTasksInput) (*request.Request, *ecs.DescribeTasksOutput)
	DescribeTasksWithContextFunc                 func(param0 aws.Context, param1 *ecs.DescribeTasksInput, param2 ...request.Option) (*ecs.DescribeTasksOutput, error)
	DiscoverPollEndpointFunc                     func(param0 *ecs.DiscoverPollEndpointInput) (*ecs.DiscoverPollEndpointOutput, error)
	DiscoverPollEndpointRequestFunc              func(param0 *ecs.DiscoverPollEndpointInput) (*request.Request, *ecs.DiscoverPollEndpointOutput)
	DiscoverPollEndpointWithContextFunc          func(param0 aws.Context, param1 *ecs.DiscoverPollEndpointInput, param2 ...request.Option) (*ecs.DiscoverPollEndpointOutput, error)
	ListAttributesFunc                           func(param0 *ecs.ListAttributesInput) (*ecs.ListAttributesOutput, error)
	ListAttributesRequestFunc                    func(param0 *ecs.ListAttributesInput) (*request.Request, *ecs.ListAttributesOutput)
	ListAttributesWithContextFunc                func(param0 aws.Context, param1 *ecs.ListAttributesInput, param2 ...request.Option) (*ecs.ListAttributesOutput, error)
	ListClustersFunc                             func(param0 *ecs.ListClustersInput) (*ecs.ListClustersOutput, error)
	ListClustersRequestFunc                      func(param0 *ecs.ListClustersInput) (*request.Request, *ecs.ListClustersOutput)
	ListClustersWithContextFunc                  func(param0 aws.Context, param1 *ecs.ListClustersInput, param2 ...request.Option) (*ecs.ListClustersOutput, error)
	ListContainerInstancesFunc                   func(param0 *ecs.ListContainerInstancesInput) (*ecs.ListContainerInstancesOutput, error)
	ListContainerInstancesRequestFunc            func(param0 *ecs.ListContainerInstancesInput) (*request.Request, *ecs.ListContainerInstancesOutput)
	ListContainerInstancesWithContextFunc        func(param0 aws.Context, param1 *ecs.ListContainerInstancesInput, param2 ...request.Option) (*ecs.ListContainerInstancesOutput, error)
	ListServicesFunc                             func(param0 *ecs.ListServicesInput) (*ecs.ListServicesOutput, error)
	ListServicesRequestFunc                      func(param0 *ecs.ListServicesInput) (*request.Request, *ecs.ListServicesOutput)
	ListServicesWithContextFunc                  func(param0 aws.Context, param1 *ecs.ListServicesInput, param2 ...request.Option) (*ecs.ListServicesOutput, error)
	ListTaskDefinitionFamiliesFunc               func(param0 *ecs.ListTaskDefinitionFamiliesInput) (*ecs.ListTaskDefinitionFamiliesOutput, error)
	ListTaskDefinitionFamiliesRequestFunc        func(param0 *ecs.ListTaskDefinitionFamiliesInput) (*request.Request, *ecs.ListTaskDefinitionFamiliesOutput)
	ListTaskDefinitionFamiliesWithContextFunc    func(param0 aws.Context, param1 *ecs.ListTaskDefinitionFamiliesInput, param2 ...request.Option) (*ecs.ListTaskDefinitionFamiliesOutput, error)
	ListTaskDefinitionsFunc                      func(param0 *ecs.ListTaskDefinitionsInput) (*ecs.ListTaskDefinitionsOutput, error)
	ListTaskDefinitionsRequestFunc               func(param0 *ecs.ListTaskDefinitionsInput) (*request.Request, *ecs.ListTaskDefinitionsOutput)
	ListTaskDefinitionsWithContextFunc           func(param0 aws.Context, param1 *ecs.ListTaskDefinitionsInput, param2 ...request.Option) (*ecs.ListTaskDefinitionsOutput, error)
	ListTasksFunc                                func(param0 *ecs.ListTasksInput) (*ecs.ListTasksOutput, error)
	ListTasksRequestFunc                         func(param0 *ecs.ListTasksInput) (*request.Request, *ecs.ListTasksOutput)
	ListTasksWithContextFunc                     func(param0 aws.Context, param1 *ecs.ListTasksInput, param2 ...request.Option) (*ecs.ListTasksOutput, error)
	PutAttributesFunc                            func(param0 *ecs.PutAttributesInput) (*ecs.PutAttributesOutput, error)
	PutAttributesRequestFunc                     func(param0 *ecs.PutAttributesInput) (*request.Request, *ecs.PutAttributesOutput)
	PutAttributesWithContextFunc                 func(param0 aws.Context, param1 *ecs.PutAttributesInput, param2 ...request.Option) (*ecs.PutAttributesOutput, error)
	RegisterContainerInstanceFunc                func(param0 *ecs.RegisterContainerInstanceInput) (*ecs.RegisterContainerInstanceOutput, error)
	RegisterContainerInstanceRequestFunc         func(param0 *ecs.RegisterContainerInstanceInput) (*request.Request, *ecs.RegisterContainerInstanceOutput)
	RegisterContainerInstanceWithContextFunc     func(param0 aws.Context, param1 *ecs.RegisterContainerInstanceInput, param2 ...request.Option) (*ecs.RegisterContainerInstanceOutput, error)
	RegisterTaskDefinitionFunc                   func(param0 *ecs.RegisterTaskDefinitionInput) (*ecs.RegisterTaskDefinitionOutput, error)
	RegisterTaskDefinitionRequestFunc            func(param0 *ecs.RegisterTaskDefinitionInput) (*request.Request, *ecs.RegisterTaskDefinitionOutput)
	RegisterTaskDefinitionWithContextFunc        func(param0 aws.Context, param1 *ecs.RegisterTaskDefinitionInput, param2 ...request.Option) (*ecs.RegisterTaskDefinitionOutput, error)
	RunTaskFunc                                  func(param0 *ecs.RunTaskInput) (*ecs.RunTaskOutput, error)
	RunTaskRequestFunc                           func(param0 *ecs.RunTaskInput) (*request.Request, *ecs.RunTaskOutput)
	RunTaskWithContextFunc                       func(param0 aws.Context, param1 *ecs.RunTaskInput, param2 ...request.Option) (*ecs.RunTaskOutput, error)
	StartTaskFunc                                func(param0 *ecs.StartTaskInput) (*ecs.StartTaskOutput, error)
	StartTaskRequestFunc                         func(param0 *ecs.StartTaskInput) (*request.Request, *ecs.StartTaskOutput)
	StartTaskWithContextFunc                     func(param0 aws.Context, param1 *ecs.StartTaskInput, param2 ...request.Option) (*ecs.StartTaskOutput, error)
	StopTaskFunc                                 func(param0 *ecs.StopTaskInput) (*ecs.StopTaskOutput, error)
	StopTaskRequestFunc                          func(param0 *ecs.StopTaskInput) (*request.Request, *ecs.StopTaskOutput)
	StopTaskWithContextFunc                      func(param0 aws.Context, param1 *ecs.StopTaskInput, param2 ...request.Option) (*ecs.StopTaskOutput, error)
	SubmitContainerStateChangeFunc               func(param0 *ecs.SubmitContainerStateChangeInput) (*ecs.SubmitContainerStateChangeOutput, error)
	SubmitContainerStateChangeRequestFunc        func(param0 *ecs.SubmitContainerStateChangeInput) (*request.Request, *ecs.SubmitContainerStateChangeOutput)
	SubmitContainerStateChangeWithContextFunc    func(param0 aws.Context, param1 *ecs.SubmitContainerStateChangeInput, param2 ...request.Option) (*ecs.SubmitContainerStateChangeOutput, error)
	SubmitTaskStateChangeFunc                    func(param0 *ecs.SubmitTaskStateChangeInput) (*ecs.SubmitTaskStateChangeOutput, error)
	SubmitTaskStateChangeRequestFunc             func(param0 *ecs.SubmitTaskStateChangeInput) (*request.Request, *ecs.SubmitTaskStateChangeOutput)
	SubmitTaskStateChangeWithContextFunc         func(param0 aws.Context, param1 *ecs.SubmitTaskStateChangeInput, param2 ...request.Option) (*ecs.SubmitTaskStateChangeOutput, error)
	UpdateContainerAgentFunc                     func(param0 *ecs.UpdateContainerAgentInput) (*ecs.UpdateContainerAgentOutput, error)
	UpdateContainerAgentRequestFunc              func(param0 *ecs.UpdateContainerAgentInput) (*request.Request, *ecs.UpdateContainerAgentOutput)
	UpdateContainerAgentWithContextFunc          func(param0 aws.Context, param1 *ecs.UpdateContainerAgentInput, param2 ...request.Option) (*ecs.UpdateContainerAgentOutput, error)
	UpdateContainerInstancesStateFunc            func(param0 *ecs.UpdateContainerInstancesStateInput) (*ecs.UpdateContainerInstancesStateOutput, error)
	UpdateContainerInstancesStateRequestFunc     func(param0 *ecs.UpdateContainerInstancesStateInput) (*request.Request, *ecs.UpdateContainerInstancesStateOutput)
	UpdateContainerInstancesStateWithContextFunc func(param0 aws.Context, param1 *ecs.UpdateContainerInstancesStateInput, param2 ...request.Option) (*ecs.UpdateContainerInstancesStateOutput, error)
	UpdateServiceFunc                            func(param0 *ecs.UpdateServiceInput) (*ecs.UpdateServiceOutput, error)
	UpdateServiceRequestFunc                     func(param0 *ecs.UpdateServiceInput) (*request.Request, *ecs.UpdateServiceOutput)
	UpdateServiceWithContextFunc                 func(param0 aws.Context, param1 *ecs.UpdateServiceInput, param2 ...request.Option) (*ecs.UpdateServiceOutput, error)
	WaitUntilServicesInactiveFunc                func(param0 *ecs.DescribeServicesInput) error
	WaitUntilServicesInactiveWithContextFunc     func(param0 aws.Context, param1 *ecs.DescribeServicesInput, param2 ...request.WaiterOption) error
	WaitUntilServicesStableFunc                  func(param0 *ecs.DescribeServicesInput) error
	WaitUntilServicesStableWithContextFunc       func(param0 aws.Context, param1 *ecs.DescribeServicesInput, param2 ...request.WaiterOption) error
	WaitUntilTasksRunningFunc                    func(param0 *ecs.DescribeTasksInput) error
	WaitUntilTasksRunningWithContextFunc         func(param0 aws.Context, param1 *ecs.DescribeTasksInput, param2 ...request.WaiterOption) error
	WaitUntilTasksStoppedFunc                    func(param0 *ecs.DescribeTasksInput) error
	WaitUntilTasksStoppedWithContextFunc         func(param0 aws.Context, param1 *ecs.DescribeTasksInput, param2 ...request.WaiterOption) error
}

func (m *ecsMock) CreateCluster(param0 *ecs.CreateClusterInput) (*ecs.CreateClusterOutput, error) {
	m.addCall("CreateCluster")
	m.verifyInput("CreateCluster", param0)
	return m.CreateClusterFunc(param0)
}

func (m *ecsMock) CreateClusterRequest(param0 *ecs.CreateClusterInput) (*request.Request, *ecs.CreateClusterOutput) {
	m.addCall("CreateClusterRequest")
	m.verifyInput("CreateClusterRequest", param0)
	return m.CreateClusterRequestFunc(param0)
}

func (m *ecsMock) CreateClusterWithContext(param0 aws.Context, param1 *ecs.CreateClusterInput, param2 ...request.Option) (*ecs.CreateClusterOutput, error) {
	m.addCall("CreateClusterWithContext")
	m.verifyInput("CreateClusterWithContext", param0)
	return m.CreateClusterWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) CreateService(param0 *ecs.CreateServiceInput) (*ecs.CreateServiceOutput, error) {
	m.addCall("CreateService")
	m.verifyInput("CreateService", param0)
	return m.CreateServiceFunc(param0)
}

func (m *ecsMock) CreateServiceRequest(param0 *ecs.CreateServiceInput) (*request.Request, *ecs.CreateServiceOutput) {
	m.addCall("CreateServiceRequest")
	m.verifyInput("CreateServiceRequest", param0)
	return m.CreateServiceRequestFunc(param0)
}

func (m *ecsMock) CreateServiceWithContext(param0 aws.Context, param1 *ecs.CreateServiceInput, param2 ...request.Option) (*ecs.CreateServiceOutput, error) {
	m.addCall("CreateServiceWithContext")
	m.verifyInput("CreateServiceWithContext", param0)
	return m.CreateServiceWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DeleteAttributes(param0 *ecs.DeleteAttributesInput) (*ecs.DeleteAttributesOutput, error) {
	m.addCall("DeleteAttributes")
	m.verifyInput("DeleteAttributes", param0)
	return m.DeleteAttributesFunc(param0)
}

func (m *ecsMock) DeleteAttributesRequest(param0 *ecs.DeleteAttributesInput) (*request.Request, *ecs.DeleteAttributesOutput) {
	m.addCall("DeleteAttributesRequest")
	m.verifyInput("DeleteAttributesRequest", param0)
	return m.DeleteAttributesRequestFunc(param0)
}

func (m *ecsMock) DeleteAttributesWithContext(param0 aws.Context, param1 *ecs.DeleteAttributesInput, param2 ...request.Option) (*ecs.DeleteAttributesOutput, error) {
	m.addCall("DeleteAttributesWithContext")
	m.verifyInput("DeleteAttributesWithContext", param0)
	return m.DeleteAttributesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DeleteCluster(param0 *ecs.DeleteClusterInput) (*ecs.DeleteClusterOutput, error) {
	m.addCall("DeleteCluster")
	m.verifyInput("DeleteCluster", param0)
	return m.DeleteClusterFunc(param0)
}

func (m *ecsMock) DeleteClusterRequest(param0 *ecs.DeleteClusterInput) (*request.Request, *ecs.DeleteClusterOutput) {
	m.addCall("DeleteClusterRequest")
	m.verifyInput("DeleteClusterRequest", param0)
	return m.DeleteClusterRequestFunc(param0)
}

func (m *ecsMock) DeleteClusterWithContext(param0 aws.Context, param1 *ecs.DeleteClusterInput, param2 ...request.Option) (*ecs.DeleteClusterOutput, error) {
	m.addCall("DeleteClusterWithContext")
	m.verifyInput("DeleteClusterWithContext", param0)
	return m.DeleteClusterWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DeleteService(param0 *ecs.DeleteServiceInput) (*ecs.DeleteServiceOutput, error) {
	m.addCall("DeleteService")
	m.verifyInput("DeleteService", param0)
	return m.DeleteServiceFunc(param0)
}

func (m *ecsMock) DeleteServiceRequest(param0 *ecs.DeleteServiceInput) (*request.Request, *ecs.DeleteServiceOutput) {
	m.addCall("DeleteServiceRequest")
	m.verifyInput("DeleteServiceRequest", param0)
	return m.DeleteServiceRequestFunc(param0)
}

func (m *ecsMock) DeleteServiceWithContext(param0 aws.Context, param1 *ecs.DeleteServiceInput, param2 ...request.Option) (*ecs.DeleteServiceOutput, error) {
	m.addCall("DeleteServiceWithContext")
	m.verifyInput("DeleteServiceWithContext", param0)
	return m.DeleteServiceWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DeregisterContainerInstance(param0 *ecs.DeregisterContainerInstanceInput) (*ecs.DeregisterContainerInstanceOutput, error) {
	m.addCall("DeregisterContainerInstance")
	m.verifyInput("DeregisterContainerInstance", param0)
	return m.DeregisterContainerInstanceFunc(param0)
}

func (m *ecsMock) DeregisterContainerInstanceRequest(param0 *ecs.DeregisterContainerInstanceInput) (*request.Request, *ecs.DeregisterContainerInstanceOutput) {
	m.addCall("DeregisterContainerInstanceRequest")
	m.verifyInput("DeregisterContainerInstanceRequest", param0)
	return m.DeregisterContainerInstanceRequestFunc(param0)
}

func (m *ecsMock) DeregisterContainerInstanceWithContext(param0 aws.Context, param1 *ecs.DeregisterContainerInstanceInput, param2 ...request.Option) (*ecs.DeregisterContainerInstanceOutput, error) {
	m.addCall("DeregisterContainerInstanceWithContext")
	m.verifyInput("DeregisterContainerInstanceWithContext", param0)
	return m.DeregisterContainerInstanceWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DeregisterTaskDefinition(param0 *ecs.DeregisterTaskDefinitionInput) (*ecs.DeregisterTaskDefinitionOutput, error) {
	m.addCall("DeregisterTaskDefinition")
	m.verifyInput("DeregisterTaskDefinition", param0)
	return m.DeregisterTaskDefinitionFunc(param0)
}

func (m *ecsMock) DeregisterTaskDefinitionRequest(param0 *ecs.DeregisterTaskDefinitionInput) (*request.Request, *ecs.DeregisterTaskDefinitionOutput) {
	m.addCall("DeregisterTaskDefinitionRequest")
	m.verifyInput("DeregisterTaskDefinitionRequest", param0)
	return m.DeregisterTaskDefinitionRequestFunc(param0)
}

func (m *ecsMock) DeregisterTaskDefinitionWithContext(param0 aws.Context, param1 *ecs.DeregisterTaskDefinitionInput, param2 ...request.Option) (*ecs.DeregisterTaskDefinitionOutput, error) {
	m.addCall("DeregisterTaskDefinitionWithContext")
	m.verifyInput("DeregisterTaskDefinitionWithContext", param0)
	return m.DeregisterTaskDefinitionWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DescribeClusters(param0 *ecs.DescribeClustersInput) (*ecs.DescribeClustersOutput, error) {
	m.addCall("DescribeClusters")
	m.verifyInput("DescribeClusters", param0)
	return m.DescribeClustersFunc(param0)
}

func (m *ecsMock) DescribeClustersRequest(param0 *ecs.DescribeClustersInput) (*request.Request, *ecs.DescribeClustersOutput) {
	m.addCall("DescribeClustersRequest")
	m.verifyInput("DescribeClustersRequest", param0)
	return m.DescribeClustersRequestFunc(param0)
}

func (m *ecsMock) DescribeClustersWithContext(param0 aws.Context, param1 *ecs.DescribeClustersInput, param2 ...request.Option) (*ecs.DescribeClustersOutput, error) {
	m.addCall("DescribeClustersWithContext")
	m.verifyInput("DescribeClustersWithContext", param0)
	return m.DescribeClustersWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DescribeContainerInstances(param0 *ecs.DescribeContainerInstancesInput) (*ecs.DescribeContainerInstancesOutput, error) {
	m.addCall("DescribeContainerInstances")
	m.verifyInput("DescribeContainerInstances", param0)
	return m.DescribeContainerInstancesFunc(param0)
}

func (m *ecsMock) DescribeContainerInstancesRequest(param0 *ecs.DescribeContainerInstancesInput) (*request.Request, *ecs.DescribeContainerInstancesOutput) {
	m.addCall("DescribeContainerInstancesRequest")
	m.verifyInput("DescribeContainerInstancesRequest", param0)
	return m.DescribeContainerInstancesRequestFunc(param0)
}

func (m *ecsMock) DescribeContainerInstancesWithContext(param0 aws.Context, param1 *ecs.DescribeContainerInstancesInput, param2 ...request.Option) (*ecs.DescribeContainerInstancesOutput, error) {
	m.addCall("DescribeContainerInstancesWithContext")
	m.verifyInput("DescribeContainerInstancesWithContext", param0)
	return m.DescribeContainerInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DescribeServices(param0 *ecs.DescribeServicesInput) (*ecs.DescribeServicesOutput, error) {
	m.addCall("DescribeServices")
	m.verifyInput("DescribeServices", param0)
	return m.DescribeServicesFunc(param0)
}

func (m *ecsMock) DescribeServicesRequest(param0 *ecs.DescribeServicesInput) (*request.Request, *ecs.DescribeServicesOutput) {
	m.addCall("DescribeServicesRequest")
	m.verifyInput("DescribeServicesRequest", param0)
	return m.DescribeServicesRequestFunc(param0)
}

func (m *ecsMock) DescribeServicesWithContext(param0 aws.Context, param1 *ecs.DescribeServicesInput, param2 ...request.Option) (*ecs.DescribeServicesOutput, error) {
	m.addCall("DescribeServicesWithContext")
	m.verifyInput("DescribeServicesWithContext", param0)
	return m.DescribeServicesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DescribeTaskDefinition(param0 *ecs.DescribeTaskDefinitionInput) (*ecs.DescribeTaskDefinitionOutput, error) {
	m.addCall("DescribeTaskDefinition")
	m.verifyInput("DescribeTaskDefinition", param0)
	return m.DescribeTaskDefinitionFunc(param0)
}

func (m *ecsMock) DescribeTaskDefinitionRequest(param0 *ecs.DescribeTaskDefinitionInput) (*request.Request, *ecs.DescribeTaskDefinitionOutput) {
	m.addCall("DescribeTaskDefinitionRequest")
	m.verifyInput("DescribeTaskDefinitionRequest", param0)
	return m.DescribeTaskDefinitionRequestFunc(param0)
}

func (m *ecsMock) DescribeTaskDefinitionWithContext(param0 aws.Context, param1 *ecs.DescribeTaskDefinitionInput, param2 ...request.Option) (*ecs.DescribeTaskDefinitionOutput, error) {
	m.addCall("DescribeTaskDefinitionWithContext")
	m.verifyInput("DescribeTaskDefinitionWithContext", param0)
	return m.DescribeTaskDefinitionWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DescribeTasks(param0 *ecs.DescribeTasksInput) (*ecs.DescribeTasksOutput, error) {
	m.addCall("DescribeTasks")
	m.verifyInput("DescribeTasks", param0)
	return m.DescribeTasksFunc(param0)
}

func (m *ecsMock) DescribeTasksRequest(param0 *ecs.DescribeTasksInput) (*request.Request, *ecs.DescribeTasksOutput) {
	m.addCall("DescribeTasksRequest")
	m.verifyInput("DescribeTasksRequest", param0)
	return m.DescribeTasksRequestFunc(param0)
}

func (m *ecsMock) DescribeTasksWithContext(param0 aws.Context, param1 *ecs.DescribeTasksInput, param2 ...request.Option) (*ecs.DescribeTasksOutput, error) {
	m.addCall("DescribeTasksWithContext")
	m.verifyInput("DescribeTasksWithContext", param0)
	return m.DescribeTasksWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) DiscoverPollEndpoint(param0 *ecs.DiscoverPollEndpointInput) (*ecs.DiscoverPollEndpointOutput, error) {
	m.addCall("DiscoverPollEndpoint")
	m.verifyInput("DiscoverPollEndpoint", param0)
	return m.DiscoverPollEndpointFunc(param0)
}

func (m *ecsMock) DiscoverPollEndpointRequest(param0 *ecs.DiscoverPollEndpointInput) (*request.Request, *ecs.DiscoverPollEndpointOutput) {
	m.addCall("DiscoverPollEndpointRequest")
	m.verifyInput("DiscoverPollEndpointRequest", param0)
	return m.DiscoverPollEndpointRequestFunc(param0)
}

func (m *ecsMock) DiscoverPollEndpointWithContext(param0 aws.Context, param1 *ecs.DiscoverPollEndpointInput, param2 ...request.Option) (*ecs.DiscoverPollEndpointOutput, error) {
	m.addCall("DiscoverPollEndpointWithContext")
	m.verifyInput("DiscoverPollEndpointWithContext", param0)
	return m.DiscoverPollEndpointWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListAttributes(param0 *ecs.ListAttributesInput) (*ecs.ListAttributesOutput, error) {
	m.addCall("ListAttributes")
	m.verifyInput("ListAttributes", param0)
	return m.ListAttributesFunc(param0)
}

func (m *ecsMock) ListAttributesRequest(param0 *ecs.ListAttributesInput) (*request.Request, *ecs.ListAttributesOutput) {
	m.addCall("ListAttributesRequest")
	m.verifyInput("ListAttributesRequest", param0)
	return m.ListAttributesRequestFunc(param0)
}

func (m *ecsMock) ListAttributesWithContext(param0 aws.Context, param1 *ecs.ListAttributesInput, param2 ...request.Option) (*ecs.ListAttributesOutput, error) {
	m.addCall("ListAttributesWithContext")
	m.verifyInput("ListAttributesWithContext", param0)
	return m.ListAttributesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListClusters(param0 *ecs.ListClustersInput) (*ecs.ListClustersOutput, error) {
	m.addCall("ListClusters")
	m.verifyInput("ListClusters", param0)
	return m.ListClustersFunc(param0)
}

func (m *ecsMock) ListClustersRequest(param0 *ecs.ListClustersInput) (*request.Request, *ecs.ListClustersOutput) {
	m.addCall("ListClustersRequest")
	m.verifyInput("ListClustersRequest", param0)
	return m.ListClustersRequestFunc(param0)
}

func (m *ecsMock) ListClustersWithContext(param0 aws.Context, param1 *ecs.ListClustersInput, param2 ...request.Option) (*ecs.ListClustersOutput, error) {
	m.addCall("ListClustersWithContext")
	m.verifyInput("ListClustersWithContext", param0)
	return m.ListClustersWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListContainerInstances(param0 *ecs.ListContainerInstancesInput) (*ecs.ListContainerInstancesOutput, error) {
	m.addCall("ListContainerInstances")
	m.verifyInput("ListContainerInstances", param0)
	return m.ListContainerInstancesFunc(param0)
}

func (m *ecsMock) ListContainerInstancesRequest(param0 *ecs.ListContainerInstancesInput) (*request.Request, *ecs.ListContainerInstancesOutput) {
	m.addCall("ListContainerInstancesRequest")
	m.verifyInput("ListContainerInstancesRequest", param0)
	return m.ListContainerInstancesRequestFunc(param0)
}

func (m *ecsMock) ListContainerInstancesWithContext(param0 aws.Context, param1 *ecs.ListContainerInstancesInput, param2 ...request.Option) (*ecs.ListContainerInstancesOutput, error) {
	m.addCall("ListContainerInstancesWithContext")
	m.verifyInput("ListContainerInstancesWithContext", param0)
	return m.ListContainerInstancesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListServices(param0 *ecs.ListServicesInput) (*ecs.ListServicesOutput, error) {
	m.addCall("ListServices")
	m.verifyInput("ListServices", param0)
	return m.ListServicesFunc(param0)
}

func (m *ecsMock) ListServicesRequest(param0 *ecs.ListServicesInput) (*request.Request, *ecs.ListServicesOutput) {
	m.addCall("ListServicesRequest")
	m.verifyInput("ListServicesRequest", param0)
	return m.ListServicesRequestFunc(param0)
}

func (m *ecsMock) ListServicesWithContext(param0 aws.Context, param1 *ecs.ListServicesInput, param2 ...request.Option) (*ecs.ListServicesOutput, error) {
	m.addCall("ListServicesWithContext")
	m.verifyInput("ListServicesWithContext", param0)
	return m.ListServicesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListTaskDefinitionFamilies(param0 *ecs.ListTaskDefinitionFamiliesInput) (*ecs.ListTaskDefinitionFamiliesOutput, error) {
	m.addCall("ListTaskDefinitionFamilies")
	m.verifyInput("ListTaskDefinitionFamilies", param0)
	return m.ListTaskDefinitionFamiliesFunc(param0)
}

func (m *ecsMock) ListTaskDefinitionFamiliesRequest(param0 *ecs.ListTaskDefinitionFamiliesInput) (*request.Request, *ecs.ListTaskDefinitionFamiliesOutput) {
	m.addCall("ListTaskDefinitionFamiliesRequest")
	m.verifyInput("ListTaskDefinitionFamiliesRequest", param0)
	return m.ListTaskDefinitionFamiliesRequestFunc(param0)
}

func (m *ecsMock) ListTaskDefinitionFamiliesWithContext(param0 aws.Context, param1 *ecs.ListTaskDefinitionFamiliesInput, param2 ...request.Option) (*ecs.ListTaskDefinitionFamiliesOutput, error) {
	m.addCall("ListTaskDefinitionFamiliesWithContext")
	m.verifyInput("ListTaskDefinitionFamiliesWithContext", param0)
	return m.ListTaskDefinitionFamiliesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListTaskDefinitions(param0 *ecs.ListTaskDefinitionsInput) (*ecs.ListTaskDefinitionsOutput, error) {
	m.addCall("ListTaskDefinitions")
	m.verifyInput("ListTaskDefinitions", param0)
	return m.ListTaskDefinitionsFunc(param0)
}

func (m *ecsMock) ListTaskDefinitionsRequest(param0 *ecs.ListTaskDefinitionsInput) (*request.Request, *ecs.ListTaskDefinitionsOutput) {
	m.addCall("ListTaskDefinitionsRequest")
	m.verifyInput("ListTaskDefinitionsRequest", param0)
	return m.ListTaskDefinitionsRequestFunc(param0)
}

func (m *ecsMock) ListTaskDefinitionsWithContext(param0 aws.Context, param1 *ecs.ListTaskDefinitionsInput, param2 ...request.Option) (*ecs.ListTaskDefinitionsOutput, error) {
	m.addCall("ListTaskDefinitionsWithContext")
	m.verifyInput("ListTaskDefinitionsWithContext", param0)
	return m.ListTaskDefinitionsWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) ListTasks(param0 *ecs.ListTasksInput) (*ecs.ListTasksOutput, error) {
	m.addCall("ListTasks")
	m.verifyInput("ListTasks", param0)
	return m.ListTasksFunc(param0)
}

func (m *ecsMock) ListTasksRequest(param0 *ecs.ListTasksInput) (*request.Request, *ecs.ListTasksOutput) {
	m.addCall("ListTasksRequest")
	m.verifyInput("ListTasksRequest", param0)
	return m.ListTasksRequestFunc(param0)
}

func (m *ecsMock) ListTasksWithContext(param0 aws.Context, param1 *ecs.ListTasksInput, param2 ...request.Option) (*ecs.ListTasksOutput, error) {
	m.addCall("ListTasksWithContext")
	m.verifyInput("ListTasksWithContext", param0)
	return m.ListTasksWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) PutAttributes(param0 *ecs.PutAttributesInput) (*ecs.PutAttributesOutput, error) {
	m.addCall("PutAttributes")
	m.verifyInput("PutAttributes", param0)
	return m.PutAttributesFunc(param0)
}

func (m *ecsMock) PutAttributesRequest(param0 *ecs.PutAttributesInput) (*request.Request, *ecs.PutAttributesOutput) {
	m.addCall("PutAttributesRequest")
	m.verifyInput("PutAttributesRequest", param0)
	return m.PutAttributesRequestFunc(param0)
}

func (m *ecsMock) PutAttributesWithContext(param0 aws.Context, param1 *ecs.PutAttributesInput, param2 ...request.Option) (*ecs.PutAttributesOutput, error) {
	m.addCall("PutAttributesWithContext")
	m.verifyInput("PutAttributesWithContext", param0)
	return m.PutAttributesWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) RegisterContainerInstance(param0 *ecs.RegisterContainerInstanceInput) (*ecs.RegisterContainerInstanceOutput, error) {
	m.addCall("RegisterContainerInstance")
	m.verifyInput("RegisterContainerInstance", param0)
	return m.RegisterContainerInstanceFunc(param0)
}

func (m *ecsMock) RegisterContainerInstanceRequest(param0 *ecs.RegisterContainerInstanceInput) (*request.Request, *ecs.RegisterContainerInstanceOutput) {
	m.addCall("RegisterContainerInstanceRequest")
	m.verifyInput("RegisterContainerInstanceRequest", param0)
	return m.RegisterContainerInstanceRequestFunc(param0)
}

func (m *ecsMock) RegisterContainerInstanceWithContext(param0 aws.Context, param1 *ecs.RegisterContainerInstanceInput, param2 ...request.Option) (*ecs.RegisterContainerInstanceOutput, error) {
	m.addCall("RegisterContainerInstanceWithContext")
	m.verifyInput("RegisterContainerInstanceWithContext", param0)
	return m.RegisterContainerInstanceWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) RegisterTaskDefinition(param0 *ecs.RegisterTaskDefinitionInput) (*ecs.RegisterTaskDefinitionOutput, error) {
	m.addCall("RegisterTaskDefinition")
	m.verifyInput("RegisterTaskDefinition", param0)
	return m.RegisterTaskDefinitionFunc(param0)
}

func (m *ecsMock) RegisterTaskDefinitionRequest(param0 *ecs.RegisterTaskDefinitionInput) (*request.Request, *ecs.RegisterTaskDefinitionOutput) {
	m.addCall("RegisterTaskDefinitionRequest")
	m.verifyInput("RegisterTaskDefinitionRequest", param0)
	return m.RegisterTaskDefinitionRequestFunc(param0)
}

func (m *ecsMock) RegisterTaskDefinitionWithContext(param0 aws.Context, param1 *ecs.RegisterTaskDefinitionInput, param2 ...request.Option) (*ecs.RegisterTaskDefinitionOutput, error) {
	m.addCall("RegisterTaskDefinitionWithContext")
	m.verifyInput("RegisterTaskDefinitionWithContext", param0)
	return m.RegisterTaskDefinitionWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) RunTask(param0 *ecs.RunTaskInput) (*ecs.RunTaskOutput, error) {
	m.addCall("RunTask")
	m.verifyInput("RunTask", param0)
	return m.RunTaskFunc(param0)
}

func (m *ecsMock) RunTaskRequest(param0 *ecs.RunTaskInput) (*request.Request, *ecs.RunTaskOutput) {
	m.addCall("RunTaskRequest")
	m.verifyInput("RunTaskRequest", param0)
	return m.RunTaskRequestFunc(param0)
}

func (m *ecsMock) RunTaskWithContext(param0 aws.Context, param1 *ecs.RunTaskInput, param2 ...request.Option) (*ecs.RunTaskOutput, error) {
	m.addCall("RunTaskWithContext")
	m.verifyInput("RunTaskWithContext", param0)
	return m.RunTaskWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) StartTask(param0 *ecs.StartTaskInput) (*ecs.StartTaskOutput, error) {
	m.addCall("StartTask")
	m.verifyInput("StartTask", param0)
	return m.StartTaskFunc(param0)
}

func (m *ecsMock) StartTaskRequest(param0 *ecs.StartTaskInput) (*request.Request, *ecs.StartTaskOutput) {
	m.addCall("StartTaskRequest")
	m.verifyInput("StartTaskRequest", param0)
	return m.StartTaskRequestFunc(param0)
}

func (m *ecsMock) StartTaskWithContext(param0 aws.Context, param1 *ecs.StartTaskInput, param2 ...request.Option) (*ecs.StartTaskOutput, error) {
	m.addCall("StartTaskWithContext")
	m.verifyInput("StartTaskWithContext", param0)
	return m.StartTaskWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) StopTask(param0 *ecs.StopTaskInput) (*ecs.StopTaskOutput, error) {
	m.addCall("StopTask")
	m.verifyInput("StopTask", param0)
	return m.StopTaskFunc(param0)
}

func (m *ecsMock) StopTaskRequest(param0 *ecs.StopTaskInput) (*request.Request, *ecs.StopTaskOutput) {
	m.addCall("StopTaskRequest")
	m.verifyInput("StopTaskRequest", param0)
	return m.StopTaskRequestFunc(param0)
}

func (m *ecsMock) StopTaskWithContext(param0 aws.Context, param1 *ecs.StopTaskInput, param2 ...request.Option) (*ecs.StopTaskOutput, error) {
	m.addCall("StopTaskWithContext")
	m.verifyInput("StopTaskWithContext", param0)
	return m.StopTaskWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) SubmitContainerStateChange(param0 *ecs.SubmitContainerStateChangeInput) (*ecs.SubmitContainerStateChangeOutput, error) {
	m.addCall("SubmitContainerStateChange")
	m.verifyInput("SubmitContainerStateChange", param0)
	return m.SubmitContainerStateChangeFunc(param0)
}

func (m *ecsMock) SubmitContainerStateChangeRequest(param0 *ecs.SubmitContainerStateChangeInput) (*request.Request, *ecs.SubmitContainerStateChangeOutput) {
	m.addCall("SubmitContainerStateChangeRequest")
	m.verifyInput("SubmitContainerStateChangeRequest", param0)
	return m.SubmitContainerStateChangeRequestFunc(param0)
}

func (m *ecsMock) SubmitContainerStateChangeWithContext(param0 aws.Context, param1 *ecs.SubmitContainerStateChangeInput, param2 ...request.Option) (*ecs.SubmitContainerStateChangeOutput, error) {
	m.addCall("SubmitContainerStateChangeWithContext")
	m.verifyInput("SubmitContainerStateChangeWithContext", param0)
	return m.SubmitContainerStateChangeWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) SubmitTaskStateChange(param0 *ecs.SubmitTaskStateChangeInput) (*ecs.SubmitTaskStateChangeOutput, error) {
	m.addCall("SubmitTaskStateChange")
	m.verifyInput("SubmitTaskStateChange", param0)
	return m.SubmitTaskStateChangeFunc(param0)
}

func (m *ecsMock) SubmitTaskStateChangeRequest(param0 *ecs.SubmitTaskStateChangeInput) (*request.Request, *ecs.SubmitTaskStateChangeOutput) {
	m.addCall("SubmitTaskStateChangeRequest")
	m.verifyInput("SubmitTaskStateChangeRequest", param0)
	return m.SubmitTaskStateChangeRequestFunc(param0)
}

func (m *ecsMock) SubmitTaskStateChangeWithContext(param0 aws.Context, param1 *ecs.SubmitTaskStateChangeInput, param2 ...request.Option) (*ecs.SubmitTaskStateChangeOutput, error) {
	m.addCall("SubmitTaskStateChangeWithContext")
	m.verifyInput("SubmitTaskStateChangeWithContext", param0)
	return m.SubmitTaskStateChangeWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) UpdateContainerAgent(param0 *ecs.UpdateContainerAgentInput) (*ecs.UpdateContainerAgentOutput, error) {
	m.addCall("UpdateContainerAgent")
	m.verifyInput("UpdateContainerAgent", param0)
	return m.UpdateContainerAgentFunc(param0)
}

func (m *ecsMock) UpdateContainerAgentRequest(param0 *ecs.UpdateContainerAgentInput) (*request.Request, *ecs.UpdateContainerAgentOutput) {
	m.addCall("UpdateContainerAgentRequest")
	m.verifyInput("UpdateContainerAgentRequest", param0)
	return m.UpdateContainerAgentRequestFunc(param0)
}

func (m *ecsMock) UpdateContainerAgentWithContext(param0 aws.Context, param1 *ecs.UpdateContainerAgentInput, param2 ...request.Option) (*ecs.UpdateContainerAgentOutput, error) {
	m.addCall("UpdateContainerAgentWithContext")
	m.verifyInput("UpdateContainerAgentWithContext", param0)
	return m.UpdateContainerAgentWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) UpdateContainerInstancesState(param0 *ecs.UpdateContainerInstancesStateInput) (*ecs.UpdateContainerInstancesStateOutput, error) {
	m.addCall("UpdateContainerInstancesState")
	m.verifyInput("UpdateContainerInstancesState", param0)
	return m.UpdateContainerInstancesStateFunc(param0)
}

func (m *ecsMock) UpdateContainerInstancesStateRequest(param0 *ecs.UpdateContainerInstancesStateInput) (*request.Request, *ecs.UpdateContainerInstancesStateOutput) {
	m.addCall("UpdateContainerInstancesStateRequest")
	m.verifyInput("UpdateContainerInstancesStateRequest", param0)
	return m.UpdateContainerInstancesStateRequestFunc(param0)
}

func (m *ecsMock) UpdateContainerInstancesStateWithContext(param0 aws.Context, param1 *ecs.UpdateContainerInstancesStateInput, param2 ...request.Option) (*ecs.UpdateContainerInstancesStateOutput, error) {
	m.addCall("UpdateContainerInstancesStateWithContext")
	m.verifyInput("UpdateContainerInstancesStateWithContext", param0)
	return m.UpdateContainerInstancesStateWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) UpdateService(param0 *ecs.UpdateServiceInput) (*ecs.UpdateServiceOutput, error) {
	m.addCall("UpdateService")
	m.verifyInput("UpdateService", param0)
	return m.UpdateServiceFunc(param0)
}

func (m *ecsMock) UpdateServiceRequest(param0 *ecs.UpdateServiceInput) (*request.Request, *ecs.UpdateServiceOutput) {
	m.addCall("UpdateServiceRequest")
	m.verifyInput("UpdateServiceRequest", param0)
	return m.UpdateServiceRequestFunc(param0)
}

func (m *ecsMock) UpdateServiceWithContext(param0 aws.Context, param1 *ecs.UpdateServiceInput, param2 ...request.Option) (*ecs.UpdateServiceOutput, error) {
	m.addCall("UpdateServiceWithContext")
	m.verifyInput("UpdateServiceWithContext", param0)
	return m.UpdateServiceWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) WaitUntilServicesInactive(param0 *ecs.DescribeServicesInput) error {
	m.addCall("WaitUntilServicesInactive")
	m.verifyInput("WaitUntilServicesInactive", param0)
	return m.WaitUntilServicesInactiveFunc(param0)
}

func (m *ecsMock) WaitUntilServicesInactiveWithContext(param0 aws.Context, param1 *ecs.DescribeServicesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilServicesInactiveWithContext")
	m.verifyInput("WaitUntilServicesInactiveWithContext", param0)
	return m.WaitUntilServicesInactiveWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) WaitUntilServicesStable(param0 *ecs.DescribeServicesInput) error {
	m.addCall("WaitUntilServicesStable")
	m.verifyInput("WaitUntilServicesStable", param0)
	return m.WaitUntilServicesStableFunc(param0)
}

func (m *ecsMock) WaitUntilServicesStableWithContext(param0 aws.Context, param1 *ecs.DescribeServicesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilServicesStableWithContext")
	m.verifyInput("WaitUntilServicesStableWithContext", param0)
	return m.WaitUntilServicesStableWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) WaitUntilTasksRunning(param0 *ecs.DescribeTasksInput) error {
	m.addCall("WaitUntilTasksRunning")
	m.verifyInput("WaitUntilTasksRunning", param0)
	return m.WaitUntilTasksRunningFunc(param0)
}

func (m *ecsMock) WaitUntilTasksRunningWithContext(param0 aws.Context, param1 *ecs.DescribeTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilTasksRunningWithContext")
	m.verifyInput("WaitUntilTasksRunningWithContext", param0)
	return m.WaitUntilTasksRunningWithContextFunc(param0, param1, param2...)
}

func (m *ecsMock) WaitUntilTasksStopped(param0 *ecs.DescribeTasksInput) error {
	m.addCall("WaitUntilTasksStopped")
	m.verifyInput("WaitUntilTasksStopped", param0)
	return m.WaitUntilTasksStoppedFunc(param0)
}

func (m *ecsMock) WaitUntilTasksStoppedWithContext(param0 aws.Context, param1 *ecs.DescribeTasksInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilTasksStoppedWithContext")
	m.verifyInput("WaitUntilTasksStoppedWithContext", param0)
	return m.WaitUntilTasksStoppedWithContextFunc(param0, param1, param2...)
}

type elbv2Mock struct {
	basicMock
	elbv2iface.ELBV2API
	AddTagsFunc                                   func(param0 *elbv2.AddTagsInput) (*elbv2.AddTagsOutput, error)
	AddTagsRequestFunc                            func(param0 *elbv2.AddTagsInput) (*request.Request, *elbv2.AddTagsOutput)
	AddTagsWithContextFunc                        func(param0 aws.Context, param1 *elbv2.AddTagsInput, param2 ...request.Option) (*elbv2.AddTagsOutput, error)
	CreateListenerFunc                            func(param0 *elbv2.CreateListenerInput) (*elbv2.CreateListenerOutput, error)
	CreateListenerRequestFunc                     func(param0 *elbv2.CreateListenerInput) (*request.Request, *elbv2.CreateListenerOutput)
	CreateListenerWithContextFunc                 func(param0 aws.Context, param1 *elbv2.CreateListenerInput, param2 ...request.Option) (*elbv2.CreateListenerOutput, error)
	CreateLoadBalancerFunc                        func(param0 *elbv2.CreateLoadBalancerInput) (*elbv2.CreateLoadBalancerOutput, error)
	CreateLoadBalancerRequestFunc                 func(param0 *elbv2.CreateLoadBalancerInput) (*request.Request, *elbv2.CreateLoadBalancerOutput)
	CreateLoadBalancerWithContextFunc             func(param0 aws.Context, param1 *elbv2.CreateLoadBalancerInput, param2 ...request.Option) (*elbv2.CreateLoadBalancerOutput, error)
	CreateRuleFunc                                func(param0 *elbv2.CreateRuleInput) (*elbv2.CreateRuleOutput, error)
	CreateRuleRequestFunc                         func(param0 *elbv2.CreateRuleInput) (*request.Request, *elbv2.CreateRuleOutput)
	CreateRuleWithContextFunc                     func(param0 aws.Context, param1 *elbv2.CreateRuleInput, param2 ...request.Option) (*elbv2.CreateRuleOutput, error)
	CreateTargetGroupFunc                         func(param0 *elbv2.CreateTargetGroupInput) (*elbv2.CreateTargetGroupOutput, error)
	CreateTargetGroupRequestFunc                  func(param0 *elbv2.CreateTargetGroupInput) (*request.Request, *elbv2.CreateTargetGroupOutput)
	CreateTargetGroupWithContextFunc              func(param0 aws.Context, param1 *elbv2.CreateTargetGroupInput, param2 ...request.Option) (*elbv2.CreateTargetGroupOutput, error)
	DeleteListenerFunc                            func(param0 *elbv2.DeleteListenerInput) (*elbv2.DeleteListenerOutput, error)
	DeleteListenerRequestFunc                     func(param0 *elbv2.DeleteListenerInput) (*request.Request, *elbv2.DeleteListenerOutput)
	DeleteListenerWithContextFunc                 func(param0 aws.Context, param1 *elbv2.DeleteListenerInput, param2 ...request.Option) (*elbv2.DeleteListenerOutput, error)
	DeleteLoadBalancerFunc                        func(param0 *elbv2.DeleteLoadBalancerInput) (*elbv2.DeleteLoadBalancerOutput, error)
	DeleteLoadBalancerRequestFunc                 func(param0 *elbv2.DeleteLoadBalancerInput) (*request.Request, *elbv2.DeleteLoadBalancerOutput)
	DeleteLoadBalancerWithContextFunc             func(param0 aws.Context, param1 *elbv2.DeleteLoadBalancerInput, param2 ...request.Option) (*elbv2.DeleteLoadBalancerOutput, error)
	DeleteRuleFunc                                func(param0 *elbv2.DeleteRuleInput) (*elbv2.DeleteRuleOutput, error)
	DeleteRuleRequestFunc                         func(param0 *elbv2.DeleteRuleInput) (*request.Request, *elbv2.DeleteRuleOutput)
	DeleteRuleWithContextFunc                     func(param0 aws.Context, param1 *elbv2.DeleteRuleInput, param2 ...request.Option) (*elbv2.DeleteRuleOutput, error)
	DeleteTargetGroupFunc                         func(param0 *elbv2.DeleteTargetGroupInput) (*elbv2.DeleteTargetGroupOutput, error)
	DeleteTargetGroupRequestFunc                  func(param0 *elbv2.DeleteTargetGroupInput) (*request.Request, *elbv2.DeleteTargetGroupOutput)
	DeleteTargetGroupWithContextFunc              func(param0 aws.Context, param1 *elbv2.DeleteTargetGroupInput, param2 ...request.Option) (*elbv2.DeleteTargetGroupOutput, error)
	DeregisterTargetsFunc                         func(param0 *elbv2.DeregisterTargetsInput) (*elbv2.DeregisterTargetsOutput, error)
	DeregisterTargetsRequestFunc                  func(param0 *elbv2.DeregisterTargetsInput) (*request.Request, *elbv2.DeregisterTargetsOutput)
	DeregisterTargetsWithContextFunc              func(param0 aws.Context, param1 *elbv2.DeregisterTargetsInput, param2 ...request.Option) (*elbv2.DeregisterTargetsOutput, error)
	DescribeAccountLimitsFunc                     func(param0 *elbv2.DescribeAccountLimitsInput) (*elbv2.DescribeAccountLimitsOutput, error)
	DescribeAccountLimitsRequestFunc              func(param0 *elbv2.DescribeAccountLimitsInput) (*request.Request, *elbv2.DescribeAccountLimitsOutput)
	DescribeAccountLimitsWithContextFunc          func(param0 aws.Context, param1 *elbv2.DescribeAccountLimitsInput, param2 ...request.Option) (*elbv2.DescribeAccountLimitsOutput, error)
	DescribeListenersFunc                         func(param0 *elbv2.DescribeListenersInput) (*elbv2.DescribeListenersOutput, error)
	DescribeListenersRequestFunc                  func(param0 *elbv2.DescribeListenersInput) (*request.Request, *elbv2.DescribeListenersOutput)
	DescribeListenersWithContextFunc              func(param0 aws.Context, param1 *elbv2.DescribeListenersInput, param2 ...request.Option) (*elbv2.DescribeListenersOutput, error)
	DescribeLoadBalancerAttributesFunc            func(param0 *elbv2.DescribeLoadBalancerAttributesInput) (*elbv2.DescribeLoadBalancerAttributesOutput, error)
	DescribeLoadBalancerAttributesRequestFunc     func(param0 *elbv2.DescribeLoadBalancerAttributesInput) (*request.Request, *elbv2.DescribeLoadBalancerAttributesOutput)
	DescribeLoadBalancerAttributesWithContextFunc func(param0 aws.Context, param1 *elbv2.DescribeLoadBalancerAttributesInput, param2 ...request.Option) (*elbv2.DescribeLoadBalancerAttributesOutput, error)
	DescribeLoadBalancersFunc                     func(param0 *elbv2.DescribeLoadBalancersInput) (*elbv2.DescribeLoadBalancersOutput, error)
	DescribeLoadBalancersRequestFunc              func(param0 *elbv2.DescribeLoadBalancersInput) (*request.Request, *elbv2.DescribeLoadBalancersOutput)
	DescribeLoadBalancersWithContextFunc          func(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.Option) (*elbv2.DescribeLoadBalancersOutput, error)
	DescribeRulesFunc                             func(param0 *elbv2.DescribeRulesInput) (*elbv2.DescribeRulesOutput, error)
	DescribeRulesRequestFunc                      func(param0 *elbv2.DescribeRulesInput) (*request.Request, *elbv2.DescribeRulesOutput)
	DescribeRulesWithContextFunc                  func(param0 aws.Context, param1 *elbv2.DescribeRulesInput, param2 ...request.Option) (*elbv2.DescribeRulesOutput, error)
	DescribeSSLPoliciesFunc                       func(param0 *elbv2.DescribeSSLPoliciesInput) (*elbv2.DescribeSSLPoliciesOutput, error)
	DescribeSSLPoliciesRequestFunc                func(param0 *elbv2.DescribeSSLPoliciesInput) (*request.Request, *elbv2.DescribeSSLPoliciesOutput)
	DescribeSSLPoliciesWithContextFunc            func(param0 aws.Context, param1 *elbv2.DescribeSSLPoliciesInput, param2 ...request.Option) (*elbv2.DescribeSSLPoliciesOutput, error)
	DescribeTagsFunc                              func(param0 *elbv2.DescribeTagsInput) (*elbv2.DescribeTagsOutput, error)
	DescribeTagsRequestFunc                       func(param0 *elbv2.DescribeTagsInput) (*request.Request, *elbv2.DescribeTagsOutput)
	DescribeTagsWithContextFunc                   func(param0 aws.Context, param1 *elbv2.DescribeTagsInput, param2 ...request.Option) (*elbv2.DescribeTagsOutput, error)
	DescribeTargetGroupAttributesFunc             func(param0 *elbv2.DescribeTargetGroupAttributesInput) (*elbv2.DescribeTargetGroupAttributesOutput, error)
	DescribeTargetGroupAttributesRequestFunc      func(param0 *elbv2.DescribeTargetGroupAttributesInput) (*request.Request, *elbv2.DescribeTargetGroupAttributesOutput)
	DescribeTargetGroupAttributesWithContextFunc  func(param0 aws.Context, param1 *elbv2.DescribeTargetGroupAttributesInput, param2 ...request.Option) (*elbv2.DescribeTargetGroupAttributesOutput, error)
	DescribeTargetGroupsFunc                      func(param0 *elbv2.DescribeTargetGroupsInput) (*elbv2.DescribeTargetGroupsOutput, error)
	DescribeTargetGroupsRequestFunc               func(param0 *elbv2.DescribeTargetGroupsInput) (*request.Request, *elbv2.DescribeTargetGroupsOutput)
	DescribeTargetGroupsWithContextFunc           func(param0 aws.Context, param1 *elbv2.DescribeTargetGroupsInput, param2 ...request.Option) (*elbv2.DescribeTargetGroupsOutput, error)
	DescribeTargetHealthFunc                      func(param0 *elbv2.DescribeTargetHealthInput) (*elbv2.DescribeTargetHealthOutput, error)
	DescribeTargetHealthRequestFunc               func(param0 *elbv2.DescribeTargetHealthInput) (*request.Request, *elbv2.DescribeTargetHealthOutput)
	DescribeTargetHealthWithContextFunc           func(param0 aws.Context, param1 *elbv2.DescribeTargetHealthInput, param2 ...request.Option) (*elbv2.DescribeTargetHealthOutput, error)
	ModifyListenerFunc                            func(param0 *elbv2.ModifyListenerInput) (*elbv2.ModifyListenerOutput, error)
	ModifyListenerRequestFunc                     func(param0 *elbv2.ModifyListenerInput) (*request.Request, *elbv2.ModifyListenerOutput)
	ModifyListenerWithContextFunc                 func(param0 aws.Context, param1 *elbv2.ModifyListenerInput, param2 ...request.Option) (*elbv2.ModifyListenerOutput, error)
	ModifyLoadBalancerAttributesFunc              func(param0 *elbv2.ModifyLoadBalancerAttributesInput) (*elbv2.ModifyLoadBalancerAttributesOutput, error)
	ModifyLoadBalancerAttributesRequestFunc       func(param0 *elbv2.ModifyLoadBalancerAttributesInput) (*request.Request, *elbv2.ModifyLoadBalancerAttributesOutput)
	ModifyLoadBalancerAttributesWithContextFunc   func(param0 aws.Context, param1 *elbv2.ModifyLoadBalancerAttributesInput, param2 ...request.Option) (*elbv2.ModifyLoadBalancerAttributesOutput, error)
	ModifyRuleFunc                                func(param0 *elbv2.ModifyRuleInput) (*elbv2.ModifyRuleOutput, error)
	ModifyRuleRequestFunc                         func(param0 *elbv2.ModifyRuleInput) (*request.Request, *elbv2.ModifyRuleOutput)
	ModifyRuleWithContextFunc                     func(param0 aws.Context, param1 *elbv2.ModifyRuleInput, param2 ...request.Option) (*elbv2.ModifyRuleOutput, error)
	ModifyTargetGroupFunc                         func(param0 *elbv2.ModifyTargetGroupInput) (*elbv2.ModifyTargetGroupOutput, error)
	ModifyTargetGroupAttributesFunc               func(param0 *elbv2.ModifyTargetGroupAttributesInput) (*elbv2.ModifyTargetGroupAttributesOutput, error)
	ModifyTargetGroupAttributesRequestFunc        func(param0 *elbv2.ModifyTargetGroupAttributesInput) (*request.Request, *elbv2.ModifyTargetGroupAttributesOutput)
	ModifyTargetGroupAttributesWithContextFunc    func(param0 aws.Context, param1 *elbv2.ModifyTargetGroupAttributesInput, param2 ...request.Option) (*elbv2.ModifyTargetGroupAttributesOutput, error)
	ModifyTargetGroupRequestFunc                  func(param0 *elbv2.ModifyTargetGroupInput) (*request.Request, *elbv2.ModifyTargetGroupOutput)
	ModifyTargetGroupWithContextFunc              func(param0 aws.Context, param1 *elbv2.ModifyTargetGroupInput, param2 ...request.Option) (*elbv2.ModifyTargetGroupOutput, error)
	RegisterTargetsFunc                           func(param0 *elbv2.RegisterTargetsInput) (*elbv2.RegisterTargetsOutput, error)
	RegisterTargetsRequestFunc                    func(param0 *elbv2.RegisterTargetsInput) (*request.Request, *elbv2.RegisterTargetsOutput)
	RegisterTargetsWithContextFunc                func(param0 aws.Context, param1 *elbv2.RegisterTargetsInput, param2 ...request.Option) (*elbv2.RegisterTargetsOutput, error)
	RemoveTagsFunc                                func(param0 *elbv2.RemoveTagsInput) (*elbv2.RemoveTagsOutput, error)
	RemoveTagsRequestFunc                         func(param0 *elbv2.RemoveTagsInput) (*request.Request, *elbv2.RemoveTagsOutput)
	RemoveTagsWithContextFunc                     func(param0 aws.Context, param1 *elbv2.RemoveTagsInput, param2 ...request.Option) (*elbv2.RemoveTagsOutput, error)
	SetIpAddressTypeFunc                          func(param0 *elbv2.SetIpAddressTypeInput) (*elbv2.SetIpAddressTypeOutput, error)
	SetIpAddressTypeRequestFunc                   func(param0 *elbv2.SetIpAddressTypeInput) (*request.Request, *elbv2.SetIpAddressTypeOutput)
	SetIpAddressTypeWithContextFunc               func(param0 aws.Context, param1 *elbv2.SetIpAddressTypeInput, param2 ...request.Option) (*elbv2.SetIpAddressTypeOutput, error)
	SetRulePrioritiesFunc                         func(param0 *elbv2.SetRulePrioritiesInput) (*elbv2.SetRulePrioritiesOutput, error)
	SetRulePrioritiesRequestFunc                  func(param0 *elbv2.SetRulePrioritiesInput) (*request.Request, *elbv2.SetRulePrioritiesOutput)
	SetRulePrioritiesWithContextFunc              func(param0 aws.Context, param1 *elbv2.SetRulePrioritiesInput, param2 ...request.Option) (*elbv2.SetRulePrioritiesOutput, error)
	SetSecurityGroupsFunc                         func(param0 *elbv2.SetSecurityGroupsInput) (*elbv2.SetSecurityGroupsOutput, error)
	SetSecurityGroupsRequestFunc                  func(param0 *elbv2.SetSecurityGroupsInput) (*request.Request, *elbv2.SetSecurityGroupsOutput)
	SetSecurityGroupsWithContextFunc              func(param0 aws.Context, param1 *elbv2.SetSecurityGroupsInput, param2 ...request.Option) (*elbv2.SetSecurityGroupsOutput, error)
	SetSubnetsFunc                                func(param0 *elbv2.SetSubnetsInput) (*elbv2.SetSubnetsOutput, error)
	SetSubnetsRequestFunc                         func(param0 *elbv2.SetSubnetsInput) (*request.Request, *elbv2.SetSubnetsOutput)
	SetSubnetsWithContextFunc                     func(param0 aws.Context, param1 *elbv2.SetSubnetsInput, param2 ...request.Option) (*elbv2.SetSubnetsOutput, error)
	WaitUntilLoadBalancerAvailableFunc            func(param0 *elbv2.DescribeLoadBalancersInput) error
	WaitUntilLoadBalancerAvailableWithContextFunc func(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.WaiterOption) error
	WaitUntilLoadBalancerExistsFunc               func(param0 *elbv2.DescribeLoadBalancersInput) error
	WaitUntilLoadBalancerExistsWithContextFunc    func(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.WaiterOption) error
	WaitUntilLoadBalancersDeletedFunc             func(param0 *elbv2.DescribeLoadBalancersInput) error
	WaitUntilLoadBalancersDeletedWithContextFunc  func(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.WaiterOption) error
	WaitUntilTargetDeregisteredFunc               func(param0 *elbv2.DescribeTargetHealthInput) error
	WaitUntilTargetDeregisteredWithContextFunc    func(param0 aws.Context, param1 *elbv2.DescribeTargetHealthInput, param2 ...request.WaiterOption) error
	WaitUntilTargetInServiceFunc                  func(param0 *elbv2.DescribeTargetHealthInput) error
	WaitUntilTargetInServiceWithContextFunc       func(param0 aws.Context, param1 *elbv2.DescribeTargetHealthInput, param2 ...request.WaiterOption) error
}

func (m *elbv2Mock) AddTags(param0 *elbv2.AddTagsInput) (*elbv2.AddTagsOutput, error) {
	m.addCall("AddTags")
	m.verifyInput("AddTags", param0)
	return m.AddTagsFunc(param0)
}

func (m *elbv2Mock) AddTagsRequest(param0 *elbv2.AddTagsInput) (*request.Request, *elbv2.AddTagsOutput) {
	m.addCall("AddTagsRequest")
	m.verifyInput("AddTagsRequest", param0)
	return m.AddTagsRequestFunc(param0)
}

func (m *elbv2Mock) AddTagsWithContext(param0 aws.Context, param1 *elbv2.AddTagsInput, param2 ...request.Option) (*elbv2.AddTagsOutput, error) {
	m.addCall("AddTagsWithContext")
	m.verifyInput("AddTagsWithContext", param0)
	return m.AddTagsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) CreateListener(param0 *elbv2.CreateListenerInput) (*elbv2.CreateListenerOutput, error) {
	m.addCall("CreateListener")
	m.verifyInput("CreateListener", param0)
	return m.CreateListenerFunc(param0)
}

func (m *elbv2Mock) CreateListenerRequest(param0 *elbv2.CreateListenerInput) (*request.Request, *elbv2.CreateListenerOutput) {
	m.addCall("CreateListenerRequest")
	m.verifyInput("CreateListenerRequest", param0)
	return m.CreateListenerRequestFunc(param0)
}

func (m *elbv2Mock) CreateListenerWithContext(param0 aws.Context, param1 *elbv2.CreateListenerInput, param2 ...request.Option) (*elbv2.CreateListenerOutput, error) {
	m.addCall("CreateListenerWithContext")
	m.verifyInput("CreateListenerWithContext", param0)
	return m.CreateListenerWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) CreateLoadBalancer(param0 *elbv2.CreateLoadBalancerInput) (*elbv2.CreateLoadBalancerOutput, error) {
	m.addCall("CreateLoadBalancer")
	m.verifyInput("CreateLoadBalancer", param0)
	return m.CreateLoadBalancerFunc(param0)
}

func (m *elbv2Mock) CreateLoadBalancerRequest(param0 *elbv2.CreateLoadBalancerInput) (*request.Request, *elbv2.CreateLoadBalancerOutput) {
	m.addCall("CreateLoadBalancerRequest")
	m.verifyInput("CreateLoadBalancerRequest", param0)
	return m.CreateLoadBalancerRequestFunc(param0)
}

func (m *elbv2Mock) CreateLoadBalancerWithContext(param0 aws.Context, param1 *elbv2.CreateLoadBalancerInput, param2 ...request.Option) (*elbv2.CreateLoadBalancerOutput, error) {
	m.addCall("CreateLoadBalancerWithContext")
	m.verifyInput("CreateLoadBalancerWithContext", param0)
	return m.CreateLoadBalancerWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) CreateRule(param0 *elbv2.CreateRuleInput) (*elbv2.CreateRuleOutput, error) {
	m.addCall("CreateRule")
	m.verifyInput("CreateRule", param0)
	return m.CreateRuleFunc(param0)
}

func (m *elbv2Mock) CreateRuleRequest(param0 *elbv2.CreateRuleInput) (*request.Request, *elbv2.CreateRuleOutput) {
	m.addCall("CreateRuleRequest")
	m.verifyInput("CreateRuleRequest", param0)
	return m.CreateRuleRequestFunc(param0)
}

func (m *elbv2Mock) CreateRuleWithContext(param0 aws.Context, param1 *elbv2.CreateRuleInput, param2 ...request.Option) (*elbv2.CreateRuleOutput, error) {
	m.addCall("CreateRuleWithContext")
	m.verifyInput("CreateRuleWithContext", param0)
	return m.CreateRuleWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) CreateTargetGroup(param0 *elbv2.CreateTargetGroupInput) (*elbv2.CreateTargetGroupOutput, error) {
	m.addCall("CreateTargetGroup")
	m.verifyInput("CreateTargetGroup", param0)
	return m.CreateTargetGroupFunc(param0)
}

func (m *elbv2Mock) CreateTargetGroupRequest(param0 *elbv2.CreateTargetGroupInput) (*request.Request, *elbv2.CreateTargetGroupOutput) {
	m.addCall("CreateTargetGroupRequest")
	m.verifyInput("CreateTargetGroupRequest", param0)
	return m.CreateTargetGroupRequestFunc(param0)
}

func (m *elbv2Mock) CreateTargetGroupWithContext(param0 aws.Context, param1 *elbv2.CreateTargetGroupInput, param2 ...request.Option) (*elbv2.CreateTargetGroupOutput, error) {
	m.addCall("CreateTargetGroupWithContext")
	m.verifyInput("CreateTargetGroupWithContext", param0)
	return m.CreateTargetGroupWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DeleteListener(param0 *elbv2.DeleteListenerInput) (*elbv2.DeleteListenerOutput, error) {
	m.addCall("DeleteListener")
	m.verifyInput("DeleteListener", param0)
	return m.DeleteListenerFunc(param0)
}

func (m *elbv2Mock) DeleteListenerRequest(param0 *elbv2.DeleteListenerInput) (*request.Request, *elbv2.DeleteListenerOutput) {
	m.addCall("DeleteListenerRequest")
	m.verifyInput("DeleteListenerRequest", param0)
	return m.DeleteListenerRequestFunc(param0)
}

func (m *elbv2Mock) DeleteListenerWithContext(param0 aws.Context, param1 *elbv2.DeleteListenerInput, param2 ...request.Option) (*elbv2.DeleteListenerOutput, error) {
	m.addCall("DeleteListenerWithContext")
	m.verifyInput("DeleteListenerWithContext", param0)
	return m.DeleteListenerWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DeleteLoadBalancer(param0 *elbv2.DeleteLoadBalancerInput) (*elbv2.DeleteLoadBalancerOutput, error) {
	m.addCall("DeleteLoadBalancer")
	m.verifyInput("DeleteLoadBalancer", param0)
	return m.DeleteLoadBalancerFunc(param0)
}

func (m *elbv2Mock) DeleteLoadBalancerRequest(param0 *elbv2.DeleteLoadBalancerInput) (*request.Request, *elbv2.DeleteLoadBalancerOutput) {
	m.addCall("DeleteLoadBalancerRequest")
	m.verifyInput("DeleteLoadBalancerRequest", param0)
	return m.DeleteLoadBalancerRequestFunc(param0)
}

func (m *elbv2Mock) DeleteLoadBalancerWithContext(param0 aws.Context, param1 *elbv2.DeleteLoadBalancerInput, param2 ...request.Option) (*elbv2.DeleteLoadBalancerOutput, error) {
	m.addCall("DeleteLoadBalancerWithContext")
	m.verifyInput("DeleteLoadBalancerWithContext", param0)
	return m.DeleteLoadBalancerWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DeleteRule(param0 *elbv2.DeleteRuleInput) (*elbv2.DeleteRuleOutput, error) {
	m.addCall("DeleteRule")
	m.verifyInput("DeleteRule", param0)
	return m.DeleteRuleFunc(param0)
}

func (m *elbv2Mock) DeleteRuleRequest(param0 *elbv2.DeleteRuleInput) (*request.Request, *elbv2.DeleteRuleOutput) {
	m.addCall("DeleteRuleRequest")
	m.verifyInput("DeleteRuleRequest", param0)
	return m.DeleteRuleRequestFunc(param0)
}

func (m *elbv2Mock) DeleteRuleWithContext(param0 aws.Context, param1 *elbv2.DeleteRuleInput, param2 ...request.Option) (*elbv2.DeleteRuleOutput, error) {
	m.addCall("DeleteRuleWithContext")
	m.verifyInput("DeleteRuleWithContext", param0)
	return m.DeleteRuleWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DeleteTargetGroup(param0 *elbv2.DeleteTargetGroupInput) (*elbv2.DeleteTargetGroupOutput, error) {
	m.addCall("DeleteTargetGroup")
	m.verifyInput("DeleteTargetGroup", param0)
	return m.DeleteTargetGroupFunc(param0)
}

func (m *elbv2Mock) DeleteTargetGroupRequest(param0 *elbv2.DeleteTargetGroupInput) (*request.Request, *elbv2.DeleteTargetGroupOutput) {
	m.addCall("DeleteTargetGroupRequest")
	m.verifyInput("DeleteTargetGroupRequest", param0)
	return m.DeleteTargetGroupRequestFunc(param0)
}

func (m *elbv2Mock) DeleteTargetGroupWithContext(param0 aws.Context, param1 *elbv2.DeleteTargetGroupInput, param2 ...request.Option) (*elbv2.DeleteTargetGroupOutput, error) {
	m.addCall("DeleteTargetGroupWithContext")
	m.verifyInput("DeleteTargetGroupWithContext", param0)
	return m.DeleteTargetGroupWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DeregisterTargets(param0 *elbv2.DeregisterTargetsInput) (*elbv2.DeregisterTargetsOutput, error) {
	m.addCall("DeregisterTargets")
	m.verifyInput("DeregisterTargets", param0)
	return m.DeregisterTargetsFunc(param0)
}

func (m *elbv2Mock) DeregisterTargetsRequest(param0 *elbv2.DeregisterTargetsInput) (*request.Request, *elbv2.DeregisterTargetsOutput) {
	m.addCall("DeregisterTargetsRequest")
	m.verifyInput("DeregisterTargetsRequest", param0)
	return m.DeregisterTargetsRequestFunc(param0)
}

func (m *elbv2Mock) DeregisterTargetsWithContext(param0 aws.Context, param1 *elbv2.DeregisterTargetsInput, param2 ...request.Option) (*elbv2.DeregisterTargetsOutput, error) {
	m.addCall("DeregisterTargetsWithContext")
	m.verifyInput("DeregisterTargetsWithContext", param0)
	return m.DeregisterTargetsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeAccountLimits(param0 *elbv2.DescribeAccountLimitsInput) (*elbv2.DescribeAccountLimitsOutput, error) {
	m.addCall("DescribeAccountLimits")
	m.verifyInput("DescribeAccountLimits", param0)
	return m.DescribeAccountLimitsFunc(param0)
}

func (m *elbv2Mock) DescribeAccountLimitsRequest(param0 *elbv2.DescribeAccountLimitsInput) (*request.Request, *elbv2.DescribeAccountLimitsOutput) {
	m.addCall("DescribeAccountLimitsRequest")
	m.verifyInput("DescribeAccountLimitsRequest", param0)
	return m.DescribeAccountLimitsRequestFunc(param0)
}

func (m *elbv2Mock) DescribeAccountLimitsWithContext(param0 aws.Context, param1 *elbv2.DescribeAccountLimitsInput, param2 ...request.Option) (*elbv2.DescribeAccountLimitsOutput, error) {
	m.addCall("DescribeAccountLimitsWithContext")
	m.verifyInput("DescribeAccountLimitsWithContext", param0)
	return m.DescribeAccountLimitsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeListeners(param0 *elbv2.DescribeListenersInput) (*elbv2.DescribeListenersOutput, error) {
	m.addCall("DescribeListeners")
	m.verifyInput("DescribeListeners", param0)
	return m.DescribeListenersFunc(param0)
}

func (m *elbv2Mock) DescribeListenersRequest(param0 *elbv2.DescribeListenersInput) (*request.Request, *elbv2.DescribeListenersOutput) {
	m.addCall("DescribeListenersRequest")
	m.verifyInput("DescribeListenersRequest", param0)
	return m.DescribeListenersRequestFunc(param0)
}

func (m *elbv2Mock) DescribeListenersWithContext(param0 aws.Context, param1 *elbv2.DescribeListenersInput, param2 ...request.Option) (*elbv2.DescribeListenersOutput, error) {
	m.addCall("DescribeListenersWithContext")
	m.verifyInput("DescribeListenersWithContext", param0)
	return m.DescribeListenersWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeLoadBalancerAttributes(param0 *elbv2.DescribeLoadBalancerAttributesInput) (*elbv2.DescribeLoadBalancerAttributesOutput, error) {
	m.addCall("DescribeLoadBalancerAttributes")
	m.verifyInput("DescribeLoadBalancerAttributes", param0)
	return m.DescribeLoadBalancerAttributesFunc(param0)
}

func (m *elbv2Mock) DescribeLoadBalancerAttributesRequest(param0 *elbv2.DescribeLoadBalancerAttributesInput) (*request.Request, *elbv2.DescribeLoadBalancerAttributesOutput) {
	m.addCall("DescribeLoadBalancerAttributesRequest")
	m.verifyInput("DescribeLoadBalancerAttributesRequest", param0)
	return m.DescribeLoadBalancerAttributesRequestFunc(param0)
}

func (m *elbv2Mock) DescribeLoadBalancerAttributesWithContext(param0 aws.Context, param1 *elbv2.DescribeLoadBalancerAttributesInput, param2 ...request.Option) (*elbv2.DescribeLoadBalancerAttributesOutput, error) {
	m.addCall("DescribeLoadBalancerAttributesWithContext")
	m.verifyInput("DescribeLoadBalancerAttributesWithContext", param0)
	return m.DescribeLoadBalancerAttributesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeLoadBalancers(param0 *elbv2.DescribeLoadBalancersInput) (*elbv2.DescribeLoadBalancersOutput, error) {
	m.addCall("DescribeLoadBalancers")
	m.verifyInput("DescribeLoadBalancers", param0)
	return m.DescribeLoadBalancersFunc(param0)
}

func (m *elbv2Mock) DescribeLoadBalancersRequest(param0 *elbv2.DescribeLoadBalancersInput) (*request.Request, *elbv2.DescribeLoadBalancersOutput) {
	m.addCall("DescribeLoadBalancersRequest")
	m.verifyInput("DescribeLoadBalancersRequest", param0)
	return m.DescribeLoadBalancersRequestFunc(param0)
}

func (m *elbv2Mock) DescribeLoadBalancersWithContext(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.Option) (*elbv2.DescribeLoadBalancersOutput, error) {
	m.addCall("DescribeLoadBalancersWithContext")
	m.verifyInput("DescribeLoadBalancersWithContext", param0)
	return m.DescribeLoadBalancersWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeRules(param0 *elbv2.DescribeRulesInput) (*elbv2.DescribeRulesOutput, error) {
	m.addCall("DescribeRules")
	m.verifyInput("DescribeRules", param0)
	return m.DescribeRulesFunc(param0)
}

func (m *elbv2Mock) DescribeRulesRequest(param0 *elbv2.DescribeRulesInput) (*request.Request, *elbv2.DescribeRulesOutput) {
	m.addCall("DescribeRulesRequest")
	m.verifyInput("DescribeRulesRequest", param0)
	return m.DescribeRulesRequestFunc(param0)
}

func (m *elbv2Mock) DescribeRulesWithContext(param0 aws.Context, param1 *elbv2.DescribeRulesInput, param2 ...request.Option) (*elbv2.DescribeRulesOutput, error) {
	m.addCall("DescribeRulesWithContext")
	m.verifyInput("DescribeRulesWithContext", param0)
	return m.DescribeRulesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeSSLPolicies(param0 *elbv2.DescribeSSLPoliciesInput) (*elbv2.DescribeSSLPoliciesOutput, error) {
	m.addCall("DescribeSSLPolicies")
	m.verifyInput("DescribeSSLPolicies", param0)
	return m.DescribeSSLPoliciesFunc(param0)
}

func (m *elbv2Mock) DescribeSSLPoliciesRequest(param0 *elbv2.DescribeSSLPoliciesInput) (*request.Request, *elbv2.DescribeSSLPoliciesOutput) {
	m.addCall("DescribeSSLPoliciesRequest")
	m.verifyInput("DescribeSSLPoliciesRequest", param0)
	return m.DescribeSSLPoliciesRequestFunc(param0)
}

func (m *elbv2Mock) DescribeSSLPoliciesWithContext(param0 aws.Context, param1 *elbv2.DescribeSSLPoliciesInput, param2 ...request.Option) (*elbv2.DescribeSSLPoliciesOutput, error) {
	m.addCall("DescribeSSLPoliciesWithContext")
	m.verifyInput("DescribeSSLPoliciesWithContext", param0)
	return m.DescribeSSLPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeTags(param0 *elbv2.DescribeTagsInput) (*elbv2.DescribeTagsOutput, error) {
	m.addCall("DescribeTags")
	m.verifyInput("DescribeTags", param0)
	return m.DescribeTagsFunc(param0)
}

func (m *elbv2Mock) DescribeTagsRequest(param0 *elbv2.DescribeTagsInput) (*request.Request, *elbv2.DescribeTagsOutput) {
	m.addCall("DescribeTagsRequest")
	m.verifyInput("DescribeTagsRequest", param0)
	return m.DescribeTagsRequestFunc(param0)
}

func (m *elbv2Mock) DescribeTagsWithContext(param0 aws.Context, param1 *elbv2.DescribeTagsInput, param2 ...request.Option) (*elbv2.DescribeTagsOutput, error) {
	m.addCall("DescribeTagsWithContext")
	m.verifyInput("DescribeTagsWithContext", param0)
	return m.DescribeTagsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeTargetGroupAttributes(param0 *elbv2.DescribeTargetGroupAttributesInput) (*elbv2.DescribeTargetGroupAttributesOutput, error) {
	m.addCall("DescribeTargetGroupAttributes")
	m.verifyInput("DescribeTargetGroupAttributes", param0)
	return m.DescribeTargetGroupAttributesFunc(param0)
}

func (m *elbv2Mock) DescribeTargetGroupAttributesRequest(param0 *elbv2.DescribeTargetGroupAttributesInput) (*request.Request, *elbv2.DescribeTargetGroupAttributesOutput) {
	m.addCall("DescribeTargetGroupAttributesRequest")
	m.verifyInput("DescribeTargetGroupAttributesRequest", param0)
	return m.DescribeTargetGroupAttributesRequestFunc(param0)
}

func (m *elbv2Mock) DescribeTargetGroupAttributesWithContext(param0 aws.Context, param1 *elbv2.DescribeTargetGroupAttributesInput, param2 ...request.Option) (*elbv2.DescribeTargetGroupAttributesOutput, error) {
	m.addCall("DescribeTargetGroupAttributesWithContext")
	m.verifyInput("DescribeTargetGroupAttributesWithContext", param0)
	return m.DescribeTargetGroupAttributesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeTargetGroups(param0 *elbv2.DescribeTargetGroupsInput) (*elbv2.DescribeTargetGroupsOutput, error) {
	m.addCall("DescribeTargetGroups")
	m.verifyInput("DescribeTargetGroups", param0)
	return m.DescribeTargetGroupsFunc(param0)
}

func (m *elbv2Mock) DescribeTargetGroupsRequest(param0 *elbv2.DescribeTargetGroupsInput) (*request.Request, *elbv2.DescribeTargetGroupsOutput) {
	m.addCall("DescribeTargetGroupsRequest")
	m.verifyInput("DescribeTargetGroupsRequest", param0)
	return m.DescribeTargetGroupsRequestFunc(param0)
}

func (m *elbv2Mock) DescribeTargetGroupsWithContext(param0 aws.Context, param1 *elbv2.DescribeTargetGroupsInput, param2 ...request.Option) (*elbv2.DescribeTargetGroupsOutput, error) {
	m.addCall("DescribeTargetGroupsWithContext")
	m.verifyInput("DescribeTargetGroupsWithContext", param0)
	return m.DescribeTargetGroupsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) DescribeTargetHealth(param0 *elbv2.DescribeTargetHealthInput) (*elbv2.DescribeTargetHealthOutput, error) {
	m.addCall("DescribeTargetHealth")
	m.verifyInput("DescribeTargetHealth", param0)
	return m.DescribeTargetHealthFunc(param0)
}

func (m *elbv2Mock) DescribeTargetHealthRequest(param0 *elbv2.DescribeTargetHealthInput) (*request.Request, *elbv2.DescribeTargetHealthOutput) {
	m.addCall("DescribeTargetHealthRequest")
	m.verifyInput("DescribeTargetHealthRequest", param0)
	return m.DescribeTargetHealthRequestFunc(param0)
}

func (m *elbv2Mock) DescribeTargetHealthWithContext(param0 aws.Context, param1 *elbv2.DescribeTargetHealthInput, param2 ...request.Option) (*elbv2.DescribeTargetHealthOutput, error) {
	m.addCall("DescribeTargetHealthWithContext")
	m.verifyInput("DescribeTargetHealthWithContext", param0)
	return m.DescribeTargetHealthWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) ModifyListener(param0 *elbv2.ModifyListenerInput) (*elbv2.ModifyListenerOutput, error) {
	m.addCall("ModifyListener")
	m.verifyInput("ModifyListener", param0)
	return m.ModifyListenerFunc(param0)
}

func (m *elbv2Mock) ModifyListenerRequest(param0 *elbv2.ModifyListenerInput) (*request.Request, *elbv2.ModifyListenerOutput) {
	m.addCall("ModifyListenerRequest")
	m.verifyInput("ModifyListenerRequest", param0)
	return m.ModifyListenerRequestFunc(param0)
}

func (m *elbv2Mock) ModifyListenerWithContext(param0 aws.Context, param1 *elbv2.ModifyListenerInput, param2 ...request.Option) (*elbv2.ModifyListenerOutput, error) {
	m.addCall("ModifyListenerWithContext")
	m.verifyInput("ModifyListenerWithContext", param0)
	return m.ModifyListenerWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) ModifyLoadBalancerAttributes(param0 *elbv2.ModifyLoadBalancerAttributesInput) (*elbv2.ModifyLoadBalancerAttributesOutput, error) {
	m.addCall("ModifyLoadBalancerAttributes")
	m.verifyInput("ModifyLoadBalancerAttributes", param0)
	return m.ModifyLoadBalancerAttributesFunc(param0)
}

func (m *elbv2Mock) ModifyLoadBalancerAttributesRequest(param0 *elbv2.ModifyLoadBalancerAttributesInput) (*request.Request, *elbv2.ModifyLoadBalancerAttributesOutput) {
	m.addCall("ModifyLoadBalancerAttributesRequest")
	m.verifyInput("ModifyLoadBalancerAttributesRequest", param0)
	return m.ModifyLoadBalancerAttributesRequestFunc(param0)
}

func (m *elbv2Mock) ModifyLoadBalancerAttributesWithContext(param0 aws.Context, param1 *elbv2.ModifyLoadBalancerAttributesInput, param2 ...request.Option) (*elbv2.ModifyLoadBalancerAttributesOutput, error) {
	m.addCall("ModifyLoadBalancerAttributesWithContext")
	m.verifyInput("ModifyLoadBalancerAttributesWithContext", param0)
	return m.ModifyLoadBalancerAttributesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) ModifyRule(param0 *elbv2.ModifyRuleInput) (*elbv2.ModifyRuleOutput, error) {
	m.addCall("ModifyRule")
	m.verifyInput("ModifyRule", param0)
	return m.ModifyRuleFunc(param0)
}

func (m *elbv2Mock) ModifyRuleRequest(param0 *elbv2.ModifyRuleInput) (*request.Request, *elbv2.ModifyRuleOutput) {
	m.addCall("ModifyRuleRequest")
	m.verifyInput("ModifyRuleRequest", param0)
	return m.ModifyRuleRequestFunc(param0)
}

func (m *elbv2Mock) ModifyRuleWithContext(param0 aws.Context, param1 *elbv2.ModifyRuleInput, param2 ...request.Option) (*elbv2.ModifyRuleOutput, error) {
	m.addCall("ModifyRuleWithContext")
	m.verifyInput("ModifyRuleWithContext", param0)
	return m.ModifyRuleWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) ModifyTargetGroup(param0 *elbv2.ModifyTargetGroupInput) (*elbv2.ModifyTargetGroupOutput, error) {
	m.addCall("ModifyTargetGroup")
	m.verifyInput("ModifyTargetGroup", param0)
	return m.ModifyTargetGroupFunc(param0)
}

func (m *elbv2Mock) ModifyTargetGroupAttributes(param0 *elbv2.ModifyTargetGroupAttributesInput) (*elbv2.ModifyTargetGroupAttributesOutput, error) {
	m.addCall("ModifyTargetGroupAttributes")
	m.verifyInput("ModifyTargetGroupAttributes", param0)
	return m.ModifyTargetGroupAttributesFunc(param0)
}

func (m *elbv2Mock) ModifyTargetGroupAttributesRequest(param0 *elbv2.ModifyTargetGroupAttributesInput) (*request.Request, *elbv2.ModifyTargetGroupAttributesOutput) {
	m.addCall("ModifyTargetGroupAttributesRequest")
	m.verifyInput("ModifyTargetGroupAttributesRequest", param0)
	return m.ModifyTargetGroupAttributesRequestFunc(param0)
}

func (m *elbv2Mock) ModifyTargetGroupAttributesWithContext(param0 aws.Context, param1 *elbv2.ModifyTargetGroupAttributesInput, param2 ...request.Option) (*elbv2.ModifyTargetGroupAttributesOutput, error) {
	m.addCall("ModifyTargetGroupAttributesWithContext")
	m.verifyInput("ModifyTargetGroupAttributesWithContext", param0)
	return m.ModifyTargetGroupAttributesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) ModifyTargetGroupRequest(param0 *elbv2.ModifyTargetGroupInput) (*request.Request, *elbv2.ModifyTargetGroupOutput) {
	m.addCall("ModifyTargetGroupRequest")
	m.verifyInput("ModifyTargetGroupRequest", param0)
	return m.ModifyTargetGroupRequestFunc(param0)
}

func (m *elbv2Mock) ModifyTargetGroupWithContext(param0 aws.Context, param1 *elbv2.ModifyTargetGroupInput, param2 ...request.Option) (*elbv2.ModifyTargetGroupOutput, error) {
	m.addCall("ModifyTargetGroupWithContext")
	m.verifyInput("ModifyTargetGroupWithContext", param0)
	return m.ModifyTargetGroupWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) RegisterTargets(param0 *elbv2.RegisterTargetsInput) (*elbv2.RegisterTargetsOutput, error) {
	m.addCall("RegisterTargets")
	m.verifyInput("RegisterTargets", param0)
	return m.RegisterTargetsFunc(param0)
}

func (m *elbv2Mock) RegisterTargetsRequest(param0 *elbv2.RegisterTargetsInput) (*request.Request, *elbv2.RegisterTargetsOutput) {
	m.addCall("RegisterTargetsRequest")
	m.verifyInput("RegisterTargetsRequest", param0)
	return m.RegisterTargetsRequestFunc(param0)
}

func (m *elbv2Mock) RegisterTargetsWithContext(param0 aws.Context, param1 *elbv2.RegisterTargetsInput, param2 ...request.Option) (*elbv2.RegisterTargetsOutput, error) {
	m.addCall("RegisterTargetsWithContext")
	m.verifyInput("RegisterTargetsWithContext", param0)
	return m.RegisterTargetsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) RemoveTags(param0 *elbv2.RemoveTagsInput) (*elbv2.RemoveTagsOutput, error) {
	m.addCall("RemoveTags")
	m.verifyInput("RemoveTags", param0)
	return m.RemoveTagsFunc(param0)
}

func (m *elbv2Mock) RemoveTagsRequest(param0 *elbv2.RemoveTagsInput) (*request.Request, *elbv2.RemoveTagsOutput) {
	m.addCall("RemoveTagsRequest")
	m.verifyInput("RemoveTagsRequest", param0)
	return m.RemoveTagsRequestFunc(param0)
}

func (m *elbv2Mock) RemoveTagsWithContext(param0 aws.Context, param1 *elbv2.RemoveTagsInput, param2 ...request.Option) (*elbv2.RemoveTagsOutput, error) {
	m.addCall("RemoveTagsWithContext")
	m.verifyInput("RemoveTagsWithContext", param0)
	return m.RemoveTagsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) SetIpAddressType(param0 *elbv2.SetIpAddressTypeInput) (*elbv2.SetIpAddressTypeOutput, error) {
	m.addCall("SetIpAddressType")
	m.verifyInput("SetIpAddressType", param0)
	return m.SetIpAddressTypeFunc(param0)
}

func (m *elbv2Mock) SetIpAddressTypeRequest(param0 *elbv2.SetIpAddressTypeInput) (*request.Request, *elbv2.SetIpAddressTypeOutput) {
	m.addCall("SetIpAddressTypeRequest")
	m.verifyInput("SetIpAddressTypeRequest", param0)
	return m.SetIpAddressTypeRequestFunc(param0)
}

func (m *elbv2Mock) SetIpAddressTypeWithContext(param0 aws.Context, param1 *elbv2.SetIpAddressTypeInput, param2 ...request.Option) (*elbv2.SetIpAddressTypeOutput, error) {
	m.addCall("SetIpAddressTypeWithContext")
	m.verifyInput("SetIpAddressTypeWithContext", param0)
	return m.SetIpAddressTypeWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) SetRulePriorities(param0 *elbv2.SetRulePrioritiesInput) (*elbv2.SetRulePrioritiesOutput, error) {
	m.addCall("SetRulePriorities")
	m.verifyInput("SetRulePriorities", param0)
	return m.SetRulePrioritiesFunc(param0)
}

func (m *elbv2Mock) SetRulePrioritiesRequest(param0 *elbv2.SetRulePrioritiesInput) (*request.Request, *elbv2.SetRulePrioritiesOutput) {
	m.addCall("SetRulePrioritiesRequest")
	m.verifyInput("SetRulePrioritiesRequest", param0)
	return m.SetRulePrioritiesRequestFunc(param0)
}

func (m *elbv2Mock) SetRulePrioritiesWithContext(param0 aws.Context, param1 *elbv2.SetRulePrioritiesInput, param2 ...request.Option) (*elbv2.SetRulePrioritiesOutput, error) {
	m.addCall("SetRulePrioritiesWithContext")
	m.verifyInput("SetRulePrioritiesWithContext", param0)
	return m.SetRulePrioritiesWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) SetSecurityGroups(param0 *elbv2.SetSecurityGroupsInput) (*elbv2.SetSecurityGroupsOutput, error) {
	m.addCall("SetSecurityGroups")
	m.verifyInput("SetSecurityGroups", param0)
	return m.SetSecurityGroupsFunc(param0)
}

func (m *elbv2Mock) SetSecurityGroupsRequest(param0 *elbv2.SetSecurityGroupsInput) (*request.Request, *elbv2.SetSecurityGroupsOutput) {
	m.addCall("SetSecurityGroupsRequest")
	m.verifyInput("SetSecurityGroupsRequest", param0)
	return m.SetSecurityGroupsRequestFunc(param0)
}

func (m *elbv2Mock) SetSecurityGroupsWithContext(param0 aws.Context, param1 *elbv2.SetSecurityGroupsInput, param2 ...request.Option) (*elbv2.SetSecurityGroupsOutput, error) {
	m.addCall("SetSecurityGroupsWithContext")
	m.verifyInput("SetSecurityGroupsWithContext", param0)
	return m.SetSecurityGroupsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) SetSubnets(param0 *elbv2.SetSubnetsInput) (*elbv2.SetSubnetsOutput, error) {
	m.addCall("SetSubnets")
	m.verifyInput("SetSubnets", param0)
	return m.SetSubnetsFunc(param0)
}

func (m *elbv2Mock) SetSubnetsRequest(param0 *elbv2.SetSubnetsInput) (*request.Request, *elbv2.SetSubnetsOutput) {
	m.addCall("SetSubnetsRequest")
	m.verifyInput("SetSubnetsRequest", param0)
	return m.SetSubnetsRequestFunc(param0)
}

func (m *elbv2Mock) SetSubnetsWithContext(param0 aws.Context, param1 *elbv2.SetSubnetsInput, param2 ...request.Option) (*elbv2.SetSubnetsOutput, error) {
	m.addCall("SetSubnetsWithContext")
	m.verifyInput("SetSubnetsWithContext", param0)
	return m.SetSubnetsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) WaitUntilLoadBalancerAvailable(param0 *elbv2.DescribeLoadBalancersInput) error {
	m.addCall("WaitUntilLoadBalancerAvailable")
	m.verifyInput("WaitUntilLoadBalancerAvailable", param0)
	return m.WaitUntilLoadBalancerAvailableFunc(param0)
}

func (m *elbv2Mock) WaitUntilLoadBalancerAvailableWithContext(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilLoadBalancerAvailableWithContext")
	m.verifyInput("WaitUntilLoadBalancerAvailableWithContext", param0)
	return m.WaitUntilLoadBalancerAvailableWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) WaitUntilLoadBalancerExists(param0 *elbv2.DescribeLoadBalancersInput) error {
	m.addCall("WaitUntilLoadBalancerExists")
	m.verifyInput("WaitUntilLoadBalancerExists", param0)
	return m.WaitUntilLoadBalancerExistsFunc(param0)
}

func (m *elbv2Mock) WaitUntilLoadBalancerExistsWithContext(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilLoadBalancerExistsWithContext")
	m.verifyInput("WaitUntilLoadBalancerExistsWithContext", param0)
	return m.WaitUntilLoadBalancerExistsWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) WaitUntilLoadBalancersDeleted(param0 *elbv2.DescribeLoadBalancersInput) error {
	m.addCall("WaitUntilLoadBalancersDeleted")
	m.verifyInput("WaitUntilLoadBalancersDeleted", param0)
	return m.WaitUntilLoadBalancersDeletedFunc(param0)
}

func (m *elbv2Mock) WaitUntilLoadBalancersDeletedWithContext(param0 aws.Context, param1 *elbv2.DescribeLoadBalancersInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilLoadBalancersDeletedWithContext")
	m.verifyInput("WaitUntilLoadBalancersDeletedWithContext", param0)
	return m.WaitUntilLoadBalancersDeletedWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) WaitUntilTargetDeregistered(param0 *elbv2.DescribeTargetHealthInput) error {
	m.addCall("WaitUntilTargetDeregistered")
	m.verifyInput("WaitUntilTargetDeregistered", param0)
	return m.WaitUntilTargetDeregisteredFunc(param0)
}

func (m *elbv2Mock) WaitUntilTargetDeregisteredWithContext(param0 aws.Context, param1 *elbv2.DescribeTargetHealthInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilTargetDeregisteredWithContext")
	m.verifyInput("WaitUntilTargetDeregisteredWithContext", param0)
	return m.WaitUntilTargetDeregisteredWithContextFunc(param0, param1, param2...)
}

func (m *elbv2Mock) WaitUntilTargetInService(param0 *elbv2.DescribeTargetHealthInput) error {
	m.addCall("WaitUntilTargetInService")
	m.verifyInput("WaitUntilTargetInService", param0)
	return m.WaitUntilTargetInServiceFunc(param0)
}

func (m *elbv2Mock) WaitUntilTargetInServiceWithContext(param0 aws.Context, param1 *elbv2.DescribeTargetHealthInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilTargetInServiceWithContext")
	m.verifyInput("WaitUntilTargetInServiceWithContext", param0)
	return m.WaitUntilTargetInServiceWithContextFunc(param0, param1, param2...)
}

type iamMock struct {
	basicMock
	iamiface.IAMAPI
	AddClientIDToOpenIDConnectProviderFunc                 func(param0 *iam.AddClientIDToOpenIDConnectProviderInput) (*iam.AddClientIDToOpenIDConnectProviderOutput, error)
	AddClientIDToOpenIDConnectProviderRequestFunc          func(param0 *iam.AddClientIDToOpenIDConnectProviderInput) (*request.Request, *iam.AddClientIDToOpenIDConnectProviderOutput)
	AddClientIDToOpenIDConnectProviderWithContextFunc      func(param0 aws.Context, param1 *iam.AddClientIDToOpenIDConnectProviderInput, param2 ...request.Option) (*iam.AddClientIDToOpenIDConnectProviderOutput, error)
	AddRoleToInstanceProfileFunc                           func(param0 *iam.AddRoleToInstanceProfileInput) (*iam.AddRoleToInstanceProfileOutput, error)
	AddRoleToInstanceProfileRequestFunc                    func(param0 *iam.AddRoleToInstanceProfileInput) (*request.Request, *iam.AddRoleToInstanceProfileOutput)
	AddRoleToInstanceProfileWithContextFunc                func(param0 aws.Context, param1 *iam.AddRoleToInstanceProfileInput, param2 ...request.Option) (*iam.AddRoleToInstanceProfileOutput, error)
	AddUserToGroupFunc                                     func(param0 *iam.AddUserToGroupInput) (*iam.AddUserToGroupOutput, error)
	AddUserToGroupRequestFunc                              func(param0 *iam.AddUserToGroupInput) (*request.Request, *iam.AddUserToGroupOutput)
	AddUserToGroupWithContextFunc                          func(param0 aws.Context, param1 *iam.AddUserToGroupInput, param2 ...request.Option) (*iam.AddUserToGroupOutput, error)
	AttachGroupPolicyFunc                                  func(param0 *iam.AttachGroupPolicyInput) (*iam.AttachGroupPolicyOutput, error)
	AttachGroupPolicyRequestFunc                           func(param0 *iam.AttachGroupPolicyInput) (*request.Request, *iam.AttachGroupPolicyOutput)
	AttachGroupPolicyWithContextFunc                       func(param0 aws.Context, param1 *iam.AttachGroupPolicyInput, param2 ...request.Option) (*iam.AttachGroupPolicyOutput, error)
	AttachRolePolicyFunc                                   func(param0 *iam.AttachRolePolicyInput) (*iam.AttachRolePolicyOutput, error)
	AttachRolePolicyRequestFunc                            func(param0 *iam.AttachRolePolicyInput) (*request.Request, *iam.AttachRolePolicyOutput)
	AttachRolePolicyWithContextFunc                        func(param0 aws.Context, param1 *iam.AttachRolePolicyInput, param2 ...request.Option) (*iam.AttachRolePolicyOutput, error)
	AttachUserPolicyFunc                                   func(param0 *iam.AttachUserPolicyInput) (*iam.AttachUserPolicyOutput, error)
	AttachUserPolicyRequestFunc                            func(param0 *iam.AttachUserPolicyInput) (*request.Request, *iam.AttachUserPolicyOutput)
	AttachUserPolicyWithContextFunc                        func(param0 aws.Context, param1 *iam.AttachUserPolicyInput, param2 ...request.Option) (*iam.AttachUserPolicyOutput, error)
	ChangePasswordFunc                                     func(param0 *iam.ChangePasswordInput) (*iam.ChangePasswordOutput, error)
	ChangePasswordRequestFunc                              func(param0 *iam.ChangePasswordInput) (*request.Request, *iam.ChangePasswordOutput)
	ChangePasswordWithContextFunc                          func(param0 aws.Context, param1 *iam.ChangePasswordInput, param2 ...request.Option) (*iam.ChangePasswordOutput, error)
	CreateAccessKeyFunc                                    func(param0 *iam.CreateAccessKeyInput) (*iam.CreateAccessKeyOutput, error)
	CreateAccessKeyRequestFunc                             func(param0 *iam.CreateAccessKeyInput) (*request.Request, *iam.CreateAccessKeyOutput)
	CreateAccessKeyWithContextFunc                         func(param0 aws.Context, param1 *iam.CreateAccessKeyInput, param2 ...request.Option) (*iam.CreateAccessKeyOutput, error)
	CreateAccountAliasFunc                                 func(param0 *iam.CreateAccountAliasInput) (*iam.CreateAccountAliasOutput, error)
	CreateAccountAliasRequestFunc                          func(param0 *iam.CreateAccountAliasInput) (*request.Request, *iam.CreateAccountAliasOutput)
	CreateAccountAliasWithContextFunc                      func(param0 aws.Context, param1 *iam.CreateAccountAliasInput, param2 ...request.Option) (*iam.CreateAccountAliasOutput, error)
	CreateGroupFunc                                        func(param0 *iam.CreateGroupInput) (*iam.CreateGroupOutput, error)
	CreateGroupRequestFunc                                 func(param0 *iam.CreateGroupInput) (*request.Request, *iam.CreateGroupOutput)
	CreateGroupWithContextFunc                             func(param0 aws.Context, param1 *iam.CreateGroupInput, param2 ...request.Option) (*iam.CreateGroupOutput, error)
	CreateInstanceProfileFunc                              func(param0 *iam.CreateInstanceProfileInput) (*iam.CreateInstanceProfileOutput, error)
	CreateInstanceProfileRequestFunc                       func(param0 *iam.CreateInstanceProfileInput) (*request.Request, *iam.CreateInstanceProfileOutput)
	CreateInstanceProfileWithContextFunc                   func(param0 aws.Context, param1 *iam.CreateInstanceProfileInput, param2 ...request.Option) (*iam.CreateInstanceProfileOutput, error)
	CreateLoginProfileFunc                                 func(param0 *iam.CreateLoginProfileInput) (*iam.CreateLoginProfileOutput, error)
	CreateLoginProfileRequestFunc                          func(param0 *iam.CreateLoginProfileInput) (*request.Request, *iam.CreateLoginProfileOutput)
	CreateLoginProfileWithContextFunc                      func(param0 aws.Context, param1 *iam.CreateLoginProfileInput, param2 ...request.Option) (*iam.CreateLoginProfileOutput, error)
	CreateOpenIDConnectProviderFunc                        func(param0 *iam.CreateOpenIDConnectProviderInput) (*iam.CreateOpenIDConnectProviderOutput, error)
	CreateOpenIDConnectProviderRequestFunc                 func(param0 *iam.CreateOpenIDConnectProviderInput) (*request.Request, *iam.CreateOpenIDConnectProviderOutput)
	CreateOpenIDConnectProviderWithContextFunc             func(param0 aws.Context, param1 *iam.CreateOpenIDConnectProviderInput, param2 ...request.Option) (*iam.CreateOpenIDConnectProviderOutput, error)
	CreatePolicyFunc                                       func(param0 *iam.CreatePolicyInput) (*iam.CreatePolicyOutput, error)
	CreatePolicyRequestFunc                                func(param0 *iam.CreatePolicyInput) (*request.Request, *iam.CreatePolicyOutput)
	CreatePolicyVersionFunc                                func(param0 *iam.CreatePolicyVersionInput) (*iam.CreatePolicyVersionOutput, error)
	CreatePolicyVersionRequestFunc                         func(param0 *iam.CreatePolicyVersionInput) (*request.Request, *iam.CreatePolicyVersionOutput)
	CreatePolicyVersionWithContextFunc                     func(param0 aws.Context, param1 *iam.CreatePolicyVersionInput, param2 ...request.Option) (*iam.CreatePolicyVersionOutput, error)
	CreatePolicyWithContextFunc                            func(param0 aws.Context, param1 *iam.CreatePolicyInput, param2 ...request.Option) (*iam.CreatePolicyOutput, error)
	CreateRoleFunc                                         func(param0 *iam.CreateRoleInput) (*iam.CreateRoleOutput, error)
	CreateRoleRequestFunc                                  func(param0 *iam.CreateRoleInput) (*request.Request, *iam.CreateRoleOutput)
	CreateRoleWithContextFunc                              func(param0 aws.Context, param1 *iam.CreateRoleInput, param2 ...request.Option) (*iam.CreateRoleOutput, error)
	CreateSAMLProviderFunc                                 func(param0 *iam.CreateSAMLProviderInput) (*iam.CreateSAMLProviderOutput, error)
	CreateSAMLProviderRequestFunc                          func(param0 *iam.CreateSAMLProviderInput) (*request.Request, *iam.CreateSAMLProviderOutput)
	CreateSAMLProviderWithContextFunc                      func(param0 aws.Context, param1 *iam.CreateSAMLProviderInput, param2 ...request.Option) (*iam.CreateSAMLProviderOutput, error)
	CreateServiceLinkedRoleFunc                            func(param0 *iam.CreateServiceLinkedRoleInput) (*iam.CreateServiceLinkedRoleOutput, error)
	CreateServiceLinkedRoleRequestFunc                     func(param0 *iam.CreateServiceLinkedRoleInput) (*request.Request, *iam.CreateServiceLinkedRoleOutput)
	CreateServiceLinkedRoleWithContextFunc                 func(param0 aws.Context, param1 *iam.CreateServiceLinkedRoleInput, param2 ...request.Option) (*iam.CreateServiceLinkedRoleOutput, error)
	CreateServiceSpecificCredentialFunc                    func(param0 *iam.CreateServiceSpecificCredentialInput) (*iam.CreateServiceSpecificCredentialOutput, error)
	CreateServiceSpecificCredentialRequestFunc             func(param0 *iam.CreateServiceSpecificCredentialInput) (*request.Request, *iam.CreateServiceSpecificCredentialOutput)
	CreateServiceSpecificCredentialWithContextFunc         func(param0 aws.Context, param1 *iam.CreateServiceSpecificCredentialInput, param2 ...request.Option) (*iam.CreateServiceSpecificCredentialOutput, error)
	CreateUserFunc                                         func(param0 *iam.CreateUserInput) (*iam.CreateUserOutput, error)
	CreateUserRequestFunc                                  func(param0 *iam.CreateUserInput) (*request.Request, *iam.CreateUserOutput)
	CreateUserWithContextFunc                              func(param0 aws.Context, param1 *iam.CreateUserInput, param2 ...request.Option) (*iam.CreateUserOutput, error)
	CreateVirtualMFADeviceFunc                             func(param0 *iam.CreateVirtualMFADeviceInput) (*iam.CreateVirtualMFADeviceOutput, error)
	CreateVirtualMFADeviceRequestFunc                      func(param0 *iam.CreateVirtualMFADeviceInput) (*request.Request, *iam.CreateVirtualMFADeviceOutput)
	CreateVirtualMFADeviceWithContextFunc                  func(param0 aws.Context, param1 *iam.CreateVirtualMFADeviceInput, param2 ...request.Option) (*iam.CreateVirtualMFADeviceOutput, error)
	DeactivateMFADeviceFunc                                func(param0 *iam.DeactivateMFADeviceInput) (*iam.DeactivateMFADeviceOutput, error)
	DeactivateMFADeviceRequestFunc                         func(param0 *iam.DeactivateMFADeviceInput) (*request.Request, *iam.DeactivateMFADeviceOutput)
	DeactivateMFADeviceWithContextFunc                     func(param0 aws.Context, param1 *iam.DeactivateMFADeviceInput, param2 ...request.Option) (*iam.DeactivateMFADeviceOutput, error)
	DeleteAccessKeyFunc                                    func(param0 *iam.DeleteAccessKeyInput) (*iam.DeleteAccessKeyOutput, error)
	DeleteAccessKeyRequestFunc                             func(param0 *iam.DeleteAccessKeyInput) (*request.Request, *iam.DeleteAccessKeyOutput)
	DeleteAccessKeyWithContextFunc                         func(param0 aws.Context, param1 *iam.DeleteAccessKeyInput, param2 ...request.Option) (*iam.DeleteAccessKeyOutput, error)
	DeleteAccountAliasFunc                                 func(param0 *iam.DeleteAccountAliasInput) (*iam.DeleteAccountAliasOutput, error)
	DeleteAccountAliasRequestFunc                          func(param0 *iam.DeleteAccountAliasInput) (*request.Request, *iam.DeleteAccountAliasOutput)
	DeleteAccountAliasWithContextFunc                      func(param0 aws.Context, param1 *iam.DeleteAccountAliasInput, param2 ...request.Option) (*iam.DeleteAccountAliasOutput, error)
	DeleteAccountPasswordPolicyFunc                        func(param0 *iam.DeleteAccountPasswordPolicyInput) (*iam.DeleteAccountPasswordPolicyOutput, error)
	DeleteAccountPasswordPolicyRequestFunc                 func(param0 *iam.DeleteAccountPasswordPolicyInput) (*request.Request, *iam.DeleteAccountPasswordPolicyOutput)
	DeleteAccountPasswordPolicyWithContextFunc             func(param0 aws.Context, param1 *iam.DeleteAccountPasswordPolicyInput, param2 ...request.Option) (*iam.DeleteAccountPasswordPolicyOutput, error)
	DeleteGroupFunc                                        func(param0 *iam.DeleteGroupInput) (*iam.DeleteGroupOutput, error)
	DeleteGroupPolicyFunc                                  func(param0 *iam.DeleteGroupPolicyInput) (*iam.DeleteGroupPolicyOutput, error)
	DeleteGroupPolicyRequestFunc                           func(param0 *iam.DeleteGroupPolicyInput) (*request.Request, *iam.DeleteGroupPolicyOutput)
	DeleteGroupPolicyWithContextFunc                       func(param0 aws.Context, param1 *iam.DeleteGroupPolicyInput, param2 ...request.Option) (*iam.DeleteGroupPolicyOutput, error)
	DeleteGroupRequestFunc                                 func(param0 *iam.DeleteGroupInput) (*request.Request, *iam.DeleteGroupOutput)
	DeleteGroupWithContextFunc                             func(param0 aws.Context, param1 *iam.DeleteGroupInput, param2 ...request.Option) (*iam.DeleteGroupOutput, error)
	DeleteInstanceProfileFunc                              func(param0 *iam.DeleteInstanceProfileInput) (*iam.DeleteInstanceProfileOutput, error)
	DeleteInstanceProfileRequestFunc                       func(param0 *iam.DeleteInstanceProfileInput) (*request.Request, *iam.DeleteInstanceProfileOutput)
	DeleteInstanceProfileWithContextFunc                   func(param0 aws.Context, param1 *iam.DeleteInstanceProfileInput, param2 ...request.Option) (*iam.DeleteInstanceProfileOutput, error)
	DeleteLoginProfileFunc                                 func(param0 *iam.DeleteLoginProfileInput) (*iam.DeleteLoginProfileOutput, error)
	DeleteLoginProfileRequestFunc                          func(param0 *iam.DeleteLoginProfileInput) (*request.Request, *iam.DeleteLoginProfileOutput)
	DeleteLoginProfileWithContextFunc                      func(param0 aws.Context, param1 *iam.DeleteLoginProfileInput, param2 ...request.Option) (*iam.DeleteLoginProfileOutput, error)
	DeleteOpenIDConnectProviderFunc                        func(param0 *iam.DeleteOpenIDConnectProviderInput) (*iam.DeleteOpenIDConnectProviderOutput, error)
	DeleteOpenIDConnectProviderRequestFunc                 func(param0 *iam.DeleteOpenIDConnectProviderInput) (*request.Request, *iam.DeleteOpenIDConnectProviderOutput)
	DeleteOpenIDConnectProviderWithContextFunc             func(param0 aws.Context, param1 *iam.DeleteOpenIDConnectProviderInput, param2 ...request.Option) (*iam.DeleteOpenIDConnectProviderOutput, error)
	DeletePolicyFunc                                       func(param0 *iam.DeletePolicyInput) (*iam.DeletePolicyOutput, error)
	DeletePolicyRequestFunc                                func(param0 *iam.DeletePolicyInput) (*request.Request, *iam.DeletePolicyOutput)
	DeletePolicyVersionFunc                                func(param0 *iam.DeletePolicyVersionInput) (*iam.DeletePolicyVersionOutput, error)
	DeletePolicyVersionRequestFunc                         func(param0 *iam.DeletePolicyVersionInput) (*request.Request, *iam.DeletePolicyVersionOutput)
	DeletePolicyVersionWithContextFunc                     func(param0 aws.Context, param1 *iam.DeletePolicyVersionInput, param2 ...request.Option) (*iam.DeletePolicyVersionOutput, error)
	DeletePolicyWithContextFunc                            func(param0 aws.Context, param1 *iam.DeletePolicyInput, param2 ...request.Option) (*iam.DeletePolicyOutput, error)
	DeleteRoleFunc                                         func(param0 *iam.DeleteRoleInput) (*iam.DeleteRoleOutput, error)
	DeleteRolePolicyFunc                                   func(param0 *iam.DeleteRolePolicyInput) (*iam.DeleteRolePolicyOutput, error)
	DeleteRolePolicyRequestFunc                            func(param0 *iam.DeleteRolePolicyInput) (*request.Request, *iam.DeleteRolePolicyOutput)
	DeleteRolePolicyWithContextFunc                        func(param0 aws.Context, param1 *iam.DeleteRolePolicyInput, param2 ...request.Option) (*iam.DeleteRolePolicyOutput, error)
	DeleteRoleRequestFunc                                  func(param0 *iam.DeleteRoleInput) (*request.Request, *iam.DeleteRoleOutput)
	DeleteRoleWithContextFunc                              func(param0 aws.Context, param1 *iam.DeleteRoleInput, param2 ...request.Option) (*iam.DeleteRoleOutput, error)
	DeleteSAMLProviderFunc                                 func(param0 *iam.DeleteSAMLProviderInput) (*iam.DeleteSAMLProviderOutput, error)
	DeleteSAMLProviderRequestFunc                          func(param0 *iam.DeleteSAMLProviderInput) (*request.Request, *iam.DeleteSAMLProviderOutput)
	DeleteSAMLProviderWithContextFunc                      func(param0 aws.Context, param1 *iam.DeleteSAMLProviderInput, param2 ...request.Option) (*iam.DeleteSAMLProviderOutput, error)
	DeleteSSHPublicKeyFunc                                 func(param0 *iam.DeleteSSHPublicKeyInput) (*iam.DeleteSSHPublicKeyOutput, error)
	DeleteSSHPublicKeyRequestFunc                          func(param0 *iam.DeleteSSHPublicKeyInput) (*request.Request, *iam.DeleteSSHPublicKeyOutput)
	DeleteSSHPublicKeyWithContextFunc                      func(param0 aws.Context, param1 *iam.DeleteSSHPublicKeyInput, param2 ...request.Option) (*iam.DeleteSSHPublicKeyOutput, error)
	DeleteServerCertificateFunc                            func(param0 *iam.DeleteServerCertificateInput) (*iam.DeleteServerCertificateOutput, error)
	DeleteServerCertificateRequestFunc                     func(param0 *iam.DeleteServerCertificateInput) (*request.Request, *iam.DeleteServerCertificateOutput)
	DeleteServerCertificateWithContextFunc                 func(param0 aws.Context, param1 *iam.DeleteServerCertificateInput, param2 ...request.Option) (*iam.DeleteServerCertificateOutput, error)
	DeleteServiceLinkedRoleFunc                            func(param0 *iam.DeleteServiceLinkedRoleInput) (*iam.DeleteServiceLinkedRoleOutput, error)
	DeleteServiceLinkedRoleRequestFunc                     func(param0 *iam.DeleteServiceLinkedRoleInput) (*request.Request, *iam.DeleteServiceLinkedRoleOutput)
	DeleteServiceLinkedRoleWithContextFunc                 func(param0 aws.Context, param1 *iam.DeleteServiceLinkedRoleInput, param2 ...request.Option) (*iam.DeleteServiceLinkedRoleOutput, error)
	DeleteServiceSpecificCredentialFunc                    func(param0 *iam.DeleteServiceSpecificCredentialInput) (*iam.DeleteServiceSpecificCredentialOutput, error)
	DeleteServiceSpecificCredentialRequestFunc             func(param0 *iam.DeleteServiceSpecificCredentialInput) (*request.Request, *iam.DeleteServiceSpecificCredentialOutput)
	DeleteServiceSpecificCredentialWithContextFunc         func(param0 aws.Context, param1 *iam.DeleteServiceSpecificCredentialInput, param2 ...request.Option) (*iam.DeleteServiceSpecificCredentialOutput, error)
	DeleteSigningCertificateFunc                           func(param0 *iam.DeleteSigningCertificateInput) (*iam.DeleteSigningCertificateOutput, error)
	DeleteSigningCertificateRequestFunc                    func(param0 *iam.DeleteSigningCertificateInput) (*request.Request, *iam.DeleteSigningCertificateOutput)
	DeleteSigningCertificateWithContextFunc                func(param0 aws.Context, param1 *iam.DeleteSigningCertificateInput, param2 ...request.Option) (*iam.DeleteSigningCertificateOutput, error)
	DeleteUserFunc                                         func(param0 *iam.DeleteUserInput) (*iam.DeleteUserOutput, error)
	DeleteUserPolicyFunc                                   func(param0 *iam.DeleteUserPolicyInput) (*iam.DeleteUserPolicyOutput, error)
	DeleteUserPolicyRequestFunc                            func(param0 *iam.DeleteUserPolicyInput) (*request.Request, *iam.DeleteUserPolicyOutput)
	DeleteUserPolicyWithContextFunc                        func(param0 aws.Context, param1 *iam.DeleteUserPolicyInput, param2 ...request.Option) (*iam.DeleteUserPolicyOutput, error)
	DeleteUserRequestFunc                                  func(param0 *iam.DeleteUserInput) (*request.Request, *iam.DeleteUserOutput)
	DeleteUserWithContextFunc                              func(param0 aws.Context, param1 *iam.DeleteUserInput, param2 ...request.Option) (*iam.DeleteUserOutput, error)
	DeleteVirtualMFADeviceFunc                             func(param0 *iam.DeleteVirtualMFADeviceInput) (*iam.DeleteVirtualMFADeviceOutput, error)
	DeleteVirtualMFADeviceRequestFunc                      func(param0 *iam.DeleteVirtualMFADeviceInput) (*request.Request, *iam.DeleteVirtualMFADeviceOutput)
	DeleteVirtualMFADeviceWithContextFunc                  func(param0 aws.Context, param1 *iam.DeleteVirtualMFADeviceInput, param2 ...request.Option) (*iam.DeleteVirtualMFADeviceOutput, error)
	DetachGroupPolicyFunc                                  func(param0 *iam.DetachGroupPolicyInput) (*iam.DetachGroupPolicyOutput, error)
	DetachGroupPolicyRequestFunc                           func(param0 *iam.DetachGroupPolicyInput) (*request.Request, *iam.DetachGroupPolicyOutput)
	DetachGroupPolicyWithContextFunc                       func(param0 aws.Context, param1 *iam.DetachGroupPolicyInput, param2 ...request.Option) (*iam.DetachGroupPolicyOutput, error)
	DetachRolePolicyFunc                                   func(param0 *iam.DetachRolePolicyInput) (*iam.DetachRolePolicyOutput, error)
	DetachRolePolicyRequestFunc                            func(param0 *iam.DetachRolePolicyInput) (*request.Request, *iam.DetachRolePolicyOutput)
	DetachRolePolicyWithContextFunc                        func(param0 aws.Context, param1 *iam.DetachRolePolicyInput, param2 ...request.Option) (*iam.DetachRolePolicyOutput, error)
	DetachUserPolicyFunc                                   func(param0 *iam.DetachUserPolicyInput) (*iam.DetachUserPolicyOutput, error)
	DetachUserPolicyRequestFunc                            func(param0 *iam.DetachUserPolicyInput) (*request.Request, *iam.DetachUserPolicyOutput)
	DetachUserPolicyWithContextFunc                        func(param0 aws.Context, param1 *iam.DetachUserPolicyInput, param2 ...request.Option) (*iam.DetachUserPolicyOutput, error)
	EnableMFADeviceFunc                                    func(param0 *iam.EnableMFADeviceInput) (*iam.EnableMFADeviceOutput, error)
	EnableMFADeviceRequestFunc                             func(param0 *iam.EnableMFADeviceInput) (*request.Request, *iam.EnableMFADeviceOutput)
	EnableMFADeviceWithContextFunc                         func(param0 aws.Context, param1 *iam.EnableMFADeviceInput, param2 ...request.Option) (*iam.EnableMFADeviceOutput, error)
	GenerateCredentialReportFunc                           func(param0 *iam.GenerateCredentialReportInput) (*iam.GenerateCredentialReportOutput, error)
	GenerateCredentialReportRequestFunc                    func(param0 *iam.GenerateCredentialReportInput) (*request.Request, *iam.GenerateCredentialReportOutput)
	GenerateCredentialReportWithContextFunc                func(param0 aws.Context, param1 *iam.GenerateCredentialReportInput, param2 ...request.Option) (*iam.GenerateCredentialReportOutput, error)
	GetAccessKeyLastUsedFunc                               func(param0 *iam.GetAccessKeyLastUsedInput) (*iam.GetAccessKeyLastUsedOutput, error)
	GetAccessKeyLastUsedRequestFunc                        func(param0 *iam.GetAccessKeyLastUsedInput) (*request.Request, *iam.GetAccessKeyLastUsedOutput)
	GetAccessKeyLastUsedWithContextFunc                    func(param0 aws.Context, param1 *iam.GetAccessKeyLastUsedInput, param2 ...request.Option) (*iam.GetAccessKeyLastUsedOutput, error)
	GetAccountAuthorizationDetailsFunc                     func(param0 *iam.GetAccountAuthorizationDetailsInput) (*iam.GetAccountAuthorizationDetailsOutput, error)
	GetAccountAuthorizationDetailsRequestFunc              func(param0 *iam.GetAccountAuthorizationDetailsInput) (*request.Request, *iam.GetAccountAuthorizationDetailsOutput)
	GetAccountAuthorizationDetailsWithContextFunc          func(param0 aws.Context, param1 *iam.GetAccountAuthorizationDetailsInput, param2 ...request.Option) (*iam.GetAccountAuthorizationDetailsOutput, error)
	GetAccountPasswordPolicyFunc                           func(param0 *iam.GetAccountPasswordPolicyInput) (*iam.GetAccountPasswordPolicyOutput, error)
	GetAccountPasswordPolicyRequestFunc                    func(param0 *iam.GetAccountPasswordPolicyInput) (*request.Request, *iam.GetAccountPasswordPolicyOutput)
	GetAccountPasswordPolicyWithContextFunc                func(param0 aws.Context, param1 *iam.GetAccountPasswordPolicyInput, param2 ...request.Option) (*iam.GetAccountPasswordPolicyOutput, error)
	GetAccountSummaryFunc                                  func(param0 *iam.GetAccountSummaryInput) (*iam.GetAccountSummaryOutput, error)
	GetAccountSummaryRequestFunc                           func(param0 *iam.GetAccountSummaryInput) (*request.Request, *iam.GetAccountSummaryOutput)
	GetAccountSummaryWithContextFunc                       func(param0 aws.Context, param1 *iam.GetAccountSummaryInput, param2 ...request.Option) (*iam.GetAccountSummaryOutput, error)
	GetContextKeysForCustomPolicyFunc                      func(param0 *iam.GetContextKeysForCustomPolicyInput) (*iam.GetContextKeysForPolicyResponse, error)
	GetContextKeysForCustomPolicyRequestFunc               func(param0 *iam.GetContextKeysForCustomPolicyInput) (*request.Request, *iam.GetContextKeysForPolicyResponse)
	GetContextKeysForCustomPolicyWithContextFunc           func(param0 aws.Context, param1 *iam.GetContextKeysForCustomPolicyInput, param2 ...request.Option) (*iam.GetContextKeysForPolicyResponse, error)
	GetContextKeysForPrincipalPolicyFunc                   func(param0 *iam.GetContextKeysForPrincipalPolicyInput) (*iam.GetContextKeysForPolicyResponse, error)
	GetContextKeysForPrincipalPolicyRequestFunc            func(param0 *iam.GetContextKeysForPrincipalPolicyInput) (*request.Request, *iam.GetContextKeysForPolicyResponse)
	GetContextKeysForPrincipalPolicyWithContextFunc        func(param0 aws.Context, param1 *iam.GetContextKeysForPrincipalPolicyInput, param2 ...request.Option) (*iam.GetContextKeysForPolicyResponse, error)
	GetCredentialReportFunc                                func(param0 *iam.GetCredentialReportInput) (*iam.GetCredentialReportOutput, error)
	GetCredentialReportRequestFunc                         func(param0 *iam.GetCredentialReportInput) (*request.Request, *iam.GetCredentialReportOutput)
	GetCredentialReportWithContextFunc                     func(param0 aws.Context, param1 *iam.GetCredentialReportInput, param2 ...request.Option) (*iam.GetCredentialReportOutput, error)
	GetGroupFunc                                           func(param0 *iam.GetGroupInput) (*iam.GetGroupOutput, error)
	GetGroupPolicyFunc                                     func(param0 *iam.GetGroupPolicyInput) (*iam.GetGroupPolicyOutput, error)
	GetGroupPolicyRequestFunc                              func(param0 *iam.GetGroupPolicyInput) (*request.Request, *iam.GetGroupPolicyOutput)
	GetGroupPolicyWithContextFunc                          func(param0 aws.Context, param1 *iam.GetGroupPolicyInput, param2 ...request.Option) (*iam.GetGroupPolicyOutput, error)
	GetGroupRequestFunc                                    func(param0 *iam.GetGroupInput) (*request.Request, *iam.GetGroupOutput)
	GetGroupWithContextFunc                                func(param0 aws.Context, param1 *iam.GetGroupInput, param2 ...request.Option) (*iam.GetGroupOutput, error)
	GetInstanceProfileFunc                                 func(param0 *iam.GetInstanceProfileInput) (*iam.GetInstanceProfileOutput, error)
	GetInstanceProfileRequestFunc                          func(param0 *iam.GetInstanceProfileInput) (*request.Request, *iam.GetInstanceProfileOutput)
	GetInstanceProfileWithContextFunc                      func(param0 aws.Context, param1 *iam.GetInstanceProfileInput, param2 ...request.Option) (*iam.GetInstanceProfileOutput, error)
	GetLoginProfileFunc                                    func(param0 *iam.GetLoginProfileInput) (*iam.GetLoginProfileOutput, error)
	GetLoginProfileRequestFunc                             func(param0 *iam.GetLoginProfileInput) (*request.Request, *iam.GetLoginProfileOutput)
	GetLoginProfileWithContextFunc                         func(param0 aws.Context, param1 *iam.GetLoginProfileInput, param2 ...request.Option) (*iam.GetLoginProfileOutput, error)
	GetOpenIDConnectProviderFunc                           func(param0 *iam.GetOpenIDConnectProviderInput) (*iam.GetOpenIDConnectProviderOutput, error)
	GetOpenIDConnectProviderRequestFunc                    func(param0 *iam.GetOpenIDConnectProviderInput) (*request.Request, *iam.GetOpenIDConnectProviderOutput)
	GetOpenIDConnectProviderWithContextFunc                func(param0 aws.Context, param1 *iam.GetOpenIDConnectProviderInput, param2 ...request.Option) (*iam.GetOpenIDConnectProviderOutput, error)
	GetPolicyFunc                                          func(param0 *iam.GetPolicyInput) (*iam.GetPolicyOutput, error)
	GetPolicyRequestFunc                                   func(param0 *iam.GetPolicyInput) (*request.Request, *iam.GetPolicyOutput)
	GetPolicyVersionFunc                                   func(param0 *iam.GetPolicyVersionInput) (*iam.GetPolicyVersionOutput, error)
	GetPolicyVersionRequestFunc                            func(param0 *iam.GetPolicyVersionInput) (*request.Request, *iam.GetPolicyVersionOutput)
	GetPolicyVersionWithContextFunc                        func(param0 aws.Context, param1 *iam.GetPolicyVersionInput, param2 ...request.Option) (*iam.GetPolicyVersionOutput, error)
	GetPolicyWithContextFunc                               func(param0 aws.Context, param1 *iam.GetPolicyInput, param2 ...request.Option) (*iam.GetPolicyOutput, error)
	GetRoleFunc                                            func(param0 *iam.GetRoleInput) (*iam.GetRoleOutput, error)
	GetRolePolicyFunc                                      func(param0 *iam.GetRolePolicyInput) (*iam.GetRolePolicyOutput, error)
	GetRolePolicyRequestFunc                               func(param0 *iam.GetRolePolicyInput) (*request.Request, *iam.GetRolePolicyOutput)
	GetRolePolicyWithContextFunc                           func(param0 aws.Context, param1 *iam.GetRolePolicyInput, param2 ...request.Option) (*iam.GetRolePolicyOutput, error)
	GetRoleRequestFunc                                     func(param0 *iam.GetRoleInput) (*request.Request, *iam.GetRoleOutput)
	GetRoleWithContextFunc                                 func(param0 aws.Context, param1 *iam.GetRoleInput, param2 ...request.Option) (*iam.GetRoleOutput, error)
	GetSAMLProviderFunc                                    func(param0 *iam.GetSAMLProviderInput) (*iam.GetSAMLProviderOutput, error)
	GetSAMLProviderRequestFunc                             func(param0 *iam.GetSAMLProviderInput) (*request.Request, *iam.GetSAMLProviderOutput)
	GetSAMLProviderWithContextFunc                         func(param0 aws.Context, param1 *iam.GetSAMLProviderInput, param2 ...request.Option) (*iam.GetSAMLProviderOutput, error)
	GetSSHPublicKeyFunc                                    func(param0 *iam.GetSSHPublicKeyInput) (*iam.GetSSHPublicKeyOutput, error)
	GetSSHPublicKeyRequestFunc                             func(param0 *iam.GetSSHPublicKeyInput) (*request.Request, *iam.GetSSHPublicKeyOutput)
	GetSSHPublicKeyWithContextFunc                         func(param0 aws.Context, param1 *iam.GetSSHPublicKeyInput, param2 ...request.Option) (*iam.GetSSHPublicKeyOutput, error)
	GetServerCertificateFunc                               func(param0 *iam.GetServerCertificateInput) (*iam.GetServerCertificateOutput, error)
	GetServerCertificateRequestFunc                        func(param0 *iam.GetServerCertificateInput) (*request.Request, *iam.GetServerCertificateOutput)
	GetServerCertificateWithContextFunc                    func(param0 aws.Context, param1 *iam.GetServerCertificateInput, param2 ...request.Option) (*iam.GetServerCertificateOutput, error)
	GetServiceLinkedRoleDeletionStatusFunc                 func(param0 *iam.GetServiceLinkedRoleDeletionStatusInput) (*iam.GetServiceLinkedRoleDeletionStatusOutput, error)
	GetServiceLinkedRoleDeletionStatusRequestFunc          func(param0 *iam.GetServiceLinkedRoleDeletionStatusInput) (*request.Request, *iam.GetServiceLinkedRoleDeletionStatusOutput)
	GetServiceLinkedRoleDeletionStatusWithContextFunc      func(param0 aws.Context, param1 *iam.GetServiceLinkedRoleDeletionStatusInput, param2 ...request.Option) (*iam.GetServiceLinkedRoleDeletionStatusOutput, error)
	GetUserFunc                                            func(param0 *iam.GetUserInput) (*iam.GetUserOutput, error)
	GetUserPolicyFunc                                      func(param0 *iam.GetUserPolicyInput) (*iam.GetUserPolicyOutput, error)
	GetUserPolicyRequestFunc                               func(param0 *iam.GetUserPolicyInput) (*request.Request, *iam.GetUserPolicyOutput)
	GetUserPolicyWithContextFunc                           func(param0 aws.Context, param1 *iam.GetUserPolicyInput, param2 ...request.Option) (*iam.GetUserPolicyOutput, error)
	GetUserRequestFunc                                     func(param0 *iam.GetUserInput) (*request.Request, *iam.GetUserOutput)
	GetUserWithContextFunc                                 func(param0 aws.Context, param1 *iam.GetUserInput, param2 ...request.Option) (*iam.GetUserOutput, error)
	ListAccessKeysFunc                                     func(param0 *iam.ListAccessKeysInput) (*iam.ListAccessKeysOutput, error)
	ListAccessKeysRequestFunc                              func(param0 *iam.ListAccessKeysInput) (*request.Request, *iam.ListAccessKeysOutput)
	ListAccessKeysWithContextFunc                          func(param0 aws.Context, param1 *iam.ListAccessKeysInput, param2 ...request.Option) (*iam.ListAccessKeysOutput, error)
	ListAccountAliasesFunc                                 func(param0 *iam.ListAccountAliasesInput) (*iam.ListAccountAliasesOutput, error)
	ListAccountAliasesRequestFunc                          func(param0 *iam.ListAccountAliasesInput) (*request.Request, *iam.ListAccountAliasesOutput)
	ListAccountAliasesWithContextFunc                      func(param0 aws.Context, param1 *iam.ListAccountAliasesInput, param2 ...request.Option) (*iam.ListAccountAliasesOutput, error)
	ListAttachedGroupPoliciesFunc                          func(param0 *iam.ListAttachedGroupPoliciesInput) (*iam.ListAttachedGroupPoliciesOutput, error)
	ListAttachedGroupPoliciesRequestFunc                   func(param0 *iam.ListAttachedGroupPoliciesInput) (*request.Request, *iam.ListAttachedGroupPoliciesOutput)
	ListAttachedGroupPoliciesWithContextFunc               func(param0 aws.Context, param1 *iam.ListAttachedGroupPoliciesInput, param2 ...request.Option) (*iam.ListAttachedGroupPoliciesOutput, error)
	ListAttachedRolePoliciesFunc                           func(param0 *iam.ListAttachedRolePoliciesInput) (*iam.ListAttachedRolePoliciesOutput, error)
	ListAttachedRolePoliciesRequestFunc                    func(param0 *iam.ListAttachedRolePoliciesInput) (*request.Request, *iam.ListAttachedRolePoliciesOutput)
	ListAttachedRolePoliciesWithContextFunc                func(param0 aws.Context, param1 *iam.ListAttachedRolePoliciesInput, param2 ...request.Option) (*iam.ListAttachedRolePoliciesOutput, error)
	ListAttachedUserPoliciesFunc                           func(param0 *iam.ListAttachedUserPoliciesInput) (*iam.ListAttachedUserPoliciesOutput, error)
	ListAttachedUserPoliciesRequestFunc                    func(param0 *iam.ListAttachedUserPoliciesInput) (*request.Request, *iam.ListAttachedUserPoliciesOutput)
	ListAttachedUserPoliciesWithContextFunc                func(param0 aws.Context, param1 *iam.ListAttachedUserPoliciesInput, param2 ...request.Option) (*iam.ListAttachedUserPoliciesOutput, error)
	ListEntitiesForPolicyFunc                              func(param0 *iam.ListEntitiesForPolicyInput) (*iam.ListEntitiesForPolicyOutput, error)
	ListEntitiesForPolicyRequestFunc                       func(param0 *iam.ListEntitiesForPolicyInput) (*request.Request, *iam.ListEntitiesForPolicyOutput)
	ListEntitiesForPolicyWithContextFunc                   func(param0 aws.Context, param1 *iam.ListEntitiesForPolicyInput, param2 ...request.Option) (*iam.ListEntitiesForPolicyOutput, error)
	ListGroupPoliciesFunc                                  func(param0 *iam.ListGroupPoliciesInput) (*iam.ListGroupPoliciesOutput, error)
	ListGroupPoliciesRequestFunc                           func(param0 *iam.ListGroupPoliciesInput) (*request.Request, *iam.ListGroupPoliciesOutput)
	ListGroupPoliciesWithContextFunc                       func(param0 aws.Context, param1 *iam.ListGroupPoliciesInput, param2 ...request.Option) (*iam.ListGroupPoliciesOutput, error)
	ListGroupsFunc                                         func(param0 *iam.ListGroupsInput) (*iam.ListGroupsOutput, error)
	ListGroupsForUserFunc                                  func(param0 *iam.ListGroupsForUserInput) (*iam.ListGroupsForUserOutput, error)
	ListGroupsForUserRequestFunc                           func(param0 *iam.ListGroupsForUserInput) (*request.Request, *iam.ListGroupsForUserOutput)
	ListGroupsForUserWithContextFunc                       func(param0 aws.Context, param1 *iam.ListGroupsForUserInput, param2 ...request.Option) (*iam.ListGroupsForUserOutput, error)
	ListGroupsRequestFunc                                  func(param0 *iam.ListGroupsInput) (*request.Request, *iam.ListGroupsOutput)
	ListGroupsWithContextFunc                              func(param0 aws.Context, param1 *iam.ListGroupsInput, param2 ...request.Option) (*iam.ListGroupsOutput, error)
	ListInstanceProfilesFunc                               func(param0 *iam.ListInstanceProfilesInput) (*iam.ListInstanceProfilesOutput, error)
	ListInstanceProfilesForRoleFunc                        func(param0 *iam.ListInstanceProfilesForRoleInput) (*iam.ListInstanceProfilesForRoleOutput, error)
	ListInstanceProfilesForRoleRequestFunc                 func(param0 *iam.ListInstanceProfilesForRoleInput) (*request.Request, *iam.ListInstanceProfilesForRoleOutput)
	ListInstanceProfilesForRoleWithContextFunc             func(param0 aws.Context, param1 *iam.ListInstanceProfilesForRoleInput, param2 ...request.Option) (*iam.ListInstanceProfilesForRoleOutput, error)
	ListInstanceProfilesRequestFunc                        func(param0 *iam.ListInstanceProfilesInput) (*request.Request, *iam.ListInstanceProfilesOutput)
	ListInstanceProfilesWithContextFunc                    func(param0 aws.Context, param1 *iam.ListInstanceProfilesInput, param2 ...request.Option) (*iam.ListInstanceProfilesOutput, error)
	ListMFADevicesFunc                                     func(param0 *iam.ListMFADevicesInput) (*iam.ListMFADevicesOutput, error)
	ListMFADevicesRequestFunc                              func(param0 *iam.ListMFADevicesInput) (*request.Request, *iam.ListMFADevicesOutput)
	ListMFADevicesWithContextFunc                          func(param0 aws.Context, param1 *iam.ListMFADevicesInput, param2 ...request.Option) (*iam.ListMFADevicesOutput, error)
	ListOpenIDConnectProvidersFunc                         func(param0 *iam.ListOpenIDConnectProvidersInput) (*iam.ListOpenIDConnectProvidersOutput, error)
	ListOpenIDConnectProvidersRequestFunc                  func(param0 *iam.ListOpenIDConnectProvidersInput) (*request.Request, *iam.ListOpenIDConnectProvidersOutput)
	ListOpenIDConnectProvidersWithContextFunc              func(param0 aws.Context, param1 *iam.ListOpenIDConnectProvidersInput, param2 ...request.Option) (*iam.ListOpenIDConnectProvidersOutput, error)
	ListPoliciesFunc                                       func(param0 *iam.ListPoliciesInput) (*iam.ListPoliciesOutput, error)
	ListPoliciesRequestFunc                                func(param0 *iam.ListPoliciesInput) (*request.Request, *iam.ListPoliciesOutput)
	ListPoliciesWithContextFunc                            func(param0 aws.Context, param1 *iam.ListPoliciesInput, param2 ...request.Option) (*iam.ListPoliciesOutput, error)
	ListPolicyVersionsFunc                                 func(param0 *iam.ListPolicyVersionsInput) (*iam.ListPolicyVersionsOutput, error)
	ListPolicyVersionsRequestFunc                          func(param0 *iam.ListPolicyVersionsInput) (*request.Request, *iam.ListPolicyVersionsOutput)
	ListPolicyVersionsWithContextFunc                      func(param0 aws.Context, param1 *iam.ListPolicyVersionsInput, param2 ...request.Option) (*iam.ListPolicyVersionsOutput, error)
	ListRolePoliciesFunc                                   func(param0 *iam.ListRolePoliciesInput) (*iam.ListRolePoliciesOutput, error)
	ListRolePoliciesRequestFunc                            func(param0 *iam.ListRolePoliciesInput) (*request.Request, *iam.ListRolePoliciesOutput)
	ListRolePoliciesWithContextFunc                        func(param0 aws.Context, param1 *iam.ListRolePoliciesInput, param2 ...request.Option) (*iam.ListRolePoliciesOutput, error)
	ListRolesFunc                                          func(param0 *iam.ListRolesInput) (*iam.ListRolesOutput, error)
	ListRolesRequestFunc                                   func(param0 *iam.ListRolesInput) (*request.Request, *iam.ListRolesOutput)
	ListRolesWithContextFunc                               func(param0 aws.Context, param1 *iam.ListRolesInput, param2 ...request.Option) (*iam.ListRolesOutput, error)
	ListSAMLProvidersFunc                                  func(param0 *iam.ListSAMLProvidersInput) (*iam.ListSAMLProvidersOutput, error)
	ListSAMLProvidersRequestFunc                           func(param0 *iam.ListSAMLProvidersInput) (*request.Request, *iam.ListSAMLProvidersOutput)
	ListSAMLProvidersWithContextFunc                       func(param0 aws.Context, param1 *iam.ListSAMLProvidersInput, param2 ...request.Option) (*iam.ListSAMLProvidersOutput, error)
	ListSSHPublicKeysFunc                                  func(param0 *iam.ListSSHPublicKeysInput) (*iam.ListSSHPublicKeysOutput, error)
	ListSSHPublicKeysRequestFunc                           func(param0 *iam.ListSSHPublicKeysInput) (*request.Request, *iam.ListSSHPublicKeysOutput)
	ListSSHPublicKeysWithContextFunc                       func(param0 aws.Context, param1 *iam.ListSSHPublicKeysInput, param2 ...request.Option) (*iam.ListSSHPublicKeysOutput, error)
	ListServerCertificatesFunc                             func(param0 *iam.ListServerCertificatesInput) (*iam.ListServerCertificatesOutput, error)
	ListServerCertificatesRequestFunc                      func(param0 *iam.ListServerCertificatesInput) (*request.Request, *iam.ListServerCertificatesOutput)
	ListServerCertificatesWithContextFunc                  func(param0 aws.Context, param1 *iam.ListServerCertificatesInput, param2 ...request.Option) (*iam.ListServerCertificatesOutput, error)
	ListServiceSpecificCredentialsFunc                     func(param0 *iam.ListServiceSpecificCredentialsInput) (*iam.ListServiceSpecificCredentialsOutput, error)
	ListServiceSpecificCredentialsRequestFunc              func(param0 *iam.ListServiceSpecificCredentialsInput) (*request.Request, *iam.ListServiceSpecificCredentialsOutput)
	ListServiceSpecificCredentialsWithContextFunc          func(param0 aws.Context, param1 *iam.ListServiceSpecificCredentialsInput, param2 ...request.Option) (*iam.ListServiceSpecificCredentialsOutput, error)
	ListSigningCertificatesFunc                            func(param0 *iam.ListSigningCertificatesInput) (*iam.ListSigningCertificatesOutput, error)
	ListSigningCertificatesRequestFunc                     func(param0 *iam.ListSigningCertificatesInput) (*request.Request, *iam.ListSigningCertificatesOutput)
	ListSigningCertificatesWithContextFunc                 func(param0 aws.Context, param1 *iam.ListSigningCertificatesInput, param2 ...request.Option) (*iam.ListSigningCertificatesOutput, error)
	ListUserPoliciesFunc                                   func(param0 *iam.ListUserPoliciesInput) (*iam.ListUserPoliciesOutput, error)
	ListUserPoliciesRequestFunc                            func(param0 *iam.ListUserPoliciesInput) (*request.Request, *iam.ListUserPoliciesOutput)
	ListUserPoliciesWithContextFunc                        func(param0 aws.Context, param1 *iam.ListUserPoliciesInput, param2 ...request.Option) (*iam.ListUserPoliciesOutput, error)
	ListUsersFunc                                          func(param0 *iam.ListUsersInput) (*iam.ListUsersOutput, error)
	ListUsersRequestFunc                                   func(param0 *iam.ListUsersInput) (*request.Request, *iam.ListUsersOutput)
	ListUsersWithContextFunc                               func(param0 aws.Context, param1 *iam.ListUsersInput, param2 ...request.Option) (*iam.ListUsersOutput, error)
	ListVirtualMFADevicesFunc                              func(param0 *iam.ListVirtualMFADevicesInput) (*iam.ListVirtualMFADevicesOutput, error)
	ListVirtualMFADevicesRequestFunc                       func(param0 *iam.ListVirtualMFADevicesInput) (*request.Request, *iam.ListVirtualMFADevicesOutput)
	ListVirtualMFADevicesWithContextFunc                   func(param0 aws.Context, param1 *iam.ListVirtualMFADevicesInput, param2 ...request.Option) (*iam.ListVirtualMFADevicesOutput, error)
	PutGroupPolicyFunc                                     func(param0 *iam.PutGroupPolicyInput) (*iam.PutGroupPolicyOutput, error)
	PutGroupPolicyRequestFunc                              func(param0 *iam.PutGroupPolicyInput) (*request.Request, *iam.PutGroupPolicyOutput)
	PutGroupPolicyWithContextFunc                          func(param0 aws.Context, param1 *iam.PutGroupPolicyInput, param2 ...request.Option) (*iam.PutGroupPolicyOutput, error)
	PutRolePolicyFunc                                      func(param0 *iam.PutRolePolicyInput) (*iam.PutRolePolicyOutput, error)
	PutRolePolicyRequestFunc                               func(param0 *iam.PutRolePolicyInput) (*request.Request, *iam.PutRolePolicyOutput)
	PutRolePolicyWithContextFunc                           func(param0 aws.Context, param1 *iam.PutRolePolicyInput, param2 ...request.Option) (*iam.PutRolePolicyOutput, error)
	PutUserPolicyFunc                                      func(param0 *iam.PutUserPolicyInput) (*iam.PutUserPolicyOutput, error)
	PutUserPolicyRequestFunc                               func(param0 *iam.PutUserPolicyInput) (*request.Request, *iam.PutUserPolicyOutput)
	PutUserPolicyWithContextFunc                           func(param0 aws.Context, param1 *iam.PutUserPolicyInput, param2 ...request.Option) (*iam.PutUserPolicyOutput, error)
	RemoveClientIDFromOpenIDConnectProviderFunc            func(param0 *iam.RemoveClientIDFromOpenIDConnectProviderInput) (*iam.RemoveClientIDFromOpenIDConnectProviderOutput, error)
	RemoveClientIDFromOpenIDConnectProviderRequestFunc     func(param0 *iam.RemoveClientIDFromOpenIDConnectProviderInput) (*request.Request, *iam.RemoveClientIDFromOpenIDConnectProviderOutput)
	RemoveClientIDFromOpenIDConnectProviderWithContextFunc func(param0 aws.Context, param1 *iam.RemoveClientIDFromOpenIDConnectProviderInput, param2 ...request.Option) (*iam.RemoveClientIDFromOpenIDConnectProviderOutput, error)
	RemoveRoleFromInstanceProfileFunc                      func(param0 *iam.RemoveRoleFromInstanceProfileInput) (*iam.RemoveRoleFromInstanceProfileOutput, error)
	RemoveRoleFromInstanceProfileRequestFunc               func(param0 *iam.RemoveRoleFromInstanceProfileInput) (*request.Request, *iam.RemoveRoleFromInstanceProfileOutput)
	RemoveRoleFromInstanceProfileWithContextFunc           func(param0 aws.Context, param1 *iam.RemoveRoleFromInstanceProfileInput, param2 ...request.Option) (*iam.RemoveRoleFromInstanceProfileOutput, error)
	RemoveUserFromGroupFunc                                func(param0 *iam.RemoveUserFromGroupInput) (*iam.RemoveUserFromGroupOutput, error)
	RemoveUserFromGroupRequestFunc                         func(param0 *iam.RemoveUserFromGroupInput) (*request.Request, *iam.RemoveUserFromGroupOutput)
	RemoveUserFromGroupWithContextFunc                     func(param0 aws.Context, param1 *iam.RemoveUserFromGroupInput, param2 ...request.Option) (*iam.RemoveUserFromGroupOutput, error)
	ResetServiceSpecificCredentialFunc                     func(param0 *iam.ResetServiceSpecificCredentialInput) (*iam.ResetServiceSpecificCredentialOutput, error)
	ResetServiceSpecificCredentialRequestFunc              func(param0 *iam.ResetServiceSpecificCredentialInput) (*request.Request, *iam.ResetServiceSpecificCredentialOutput)
	ResetServiceSpecificCredentialWithContextFunc          func(param0 aws.Context, param1 *iam.ResetServiceSpecificCredentialInput, param2 ...request.Option) (*iam.ResetServiceSpecificCredentialOutput, error)
	ResyncMFADeviceFunc                                    func(param0 *iam.ResyncMFADeviceInput) (*iam.ResyncMFADeviceOutput, error)
	ResyncMFADeviceRequestFunc                             func(param0 *iam.ResyncMFADeviceInput) (*request.Request, *iam.ResyncMFADeviceOutput)
	ResyncMFADeviceWithContextFunc                         func(param0 aws.Context, param1 *iam.ResyncMFADeviceInput, param2 ...request.Option) (*iam.ResyncMFADeviceOutput, error)
	SetDefaultPolicyVersionFunc                            func(param0 *iam.SetDefaultPolicyVersionInput) (*iam.SetDefaultPolicyVersionOutput, error)
	SetDefaultPolicyVersionRequestFunc                     func(param0 *iam.SetDefaultPolicyVersionInput) (*request.Request, *iam.SetDefaultPolicyVersionOutput)
	SetDefaultPolicyVersionWithContextFunc                 func(param0 aws.Context, param1 *iam.SetDefaultPolicyVersionInput, param2 ...request.Option) (*iam.SetDefaultPolicyVersionOutput, error)
	SimulateCustomPolicyFunc                               func(param0 *iam.SimulateCustomPolicyInput) (*iam.SimulatePolicyResponse, error)
	SimulateCustomPolicyRequestFunc                        func(param0 *iam.SimulateCustomPolicyInput) (*request.Request, *iam.SimulatePolicyResponse)
	SimulateCustomPolicyWithContextFunc                    func(param0 aws.Context, param1 *iam.SimulateCustomPolicyInput, param2 ...request.Option) (*iam.SimulatePolicyResponse, error)
	SimulatePrincipalPolicyFunc                            func(param0 *iam.SimulatePrincipalPolicyInput) (*iam.SimulatePolicyResponse, error)
	SimulatePrincipalPolicyRequestFunc                     func(param0 *iam.SimulatePrincipalPolicyInput) (*request.Request, *iam.SimulatePolicyResponse)
	SimulatePrincipalPolicyWithContextFunc                 func(param0 aws.Context, param1 *iam.SimulatePrincipalPolicyInput, param2 ...request.Option) (*iam.SimulatePolicyResponse, error)
	UpdateAccessKeyFunc                                    func(param0 *iam.UpdateAccessKeyInput) (*iam.UpdateAccessKeyOutput, error)
	UpdateAccessKeyRequestFunc                             func(param0 *iam.UpdateAccessKeyInput) (*request.Request, *iam.UpdateAccessKeyOutput)
	UpdateAccessKeyWithContextFunc                         func(param0 aws.Context, param1 *iam.UpdateAccessKeyInput, param2 ...request.Option) (*iam.UpdateAccessKeyOutput, error)
	UpdateAccountPasswordPolicyFunc                        func(param0 *iam.UpdateAccountPasswordPolicyInput) (*iam.UpdateAccountPasswordPolicyOutput, error)
	UpdateAccountPasswordPolicyRequestFunc                 func(param0 *iam.UpdateAccountPasswordPolicyInput) (*request.Request, *iam.UpdateAccountPasswordPolicyOutput)
	UpdateAccountPasswordPolicyWithContextFunc             func(param0 aws.Context, param1 *iam.UpdateAccountPasswordPolicyInput, param2 ...request.Option) (*iam.UpdateAccountPasswordPolicyOutput, error)
	UpdateAssumeRolePolicyFunc                             func(param0 *iam.UpdateAssumeRolePolicyInput) (*iam.UpdateAssumeRolePolicyOutput, error)
	UpdateAssumeRolePolicyRequestFunc                      func(param0 *iam.UpdateAssumeRolePolicyInput) (*request.Request, *iam.UpdateAssumeRolePolicyOutput)
	UpdateAssumeRolePolicyWithContextFunc                  func(param0 aws.Context, param1 *iam.UpdateAssumeRolePolicyInput, param2 ...request.Option) (*iam.UpdateAssumeRolePolicyOutput, error)
	UpdateGroupFunc                                        func(param0 *iam.UpdateGroupInput) (*iam.UpdateGroupOutput, error)
	UpdateGroupRequestFunc                                 func(param0 *iam.UpdateGroupInput) (*request.Request, *iam.UpdateGroupOutput)
	UpdateGroupWithContextFunc                             func(param0 aws.Context, param1 *iam.UpdateGroupInput, param2 ...request.Option) (*iam.UpdateGroupOutput, error)
	UpdateLoginProfileFunc                                 func(param0 *iam.UpdateLoginProfileInput) (*iam.UpdateLoginProfileOutput, error)
	UpdateLoginProfileRequestFunc                          func(param0 *iam.UpdateLoginProfileInput) (*request.Request, *iam.UpdateLoginProfileOutput)
	UpdateLoginProfileWithContextFunc                      func(param0 aws.Context, param1 *iam.UpdateLoginProfileInput, param2 ...request.Option) (*iam.UpdateLoginProfileOutput, error)
	UpdateOpenIDConnectProviderThumbprintFunc              func(param0 *iam.UpdateOpenIDConnectProviderThumbprintInput) (*iam.UpdateOpenIDConnectProviderThumbprintOutput, error)
	UpdateOpenIDConnectProviderThumbprintRequestFunc       func(param0 *iam.UpdateOpenIDConnectProviderThumbprintInput) (*request.Request, *iam.UpdateOpenIDConnectProviderThumbprintOutput)
	UpdateOpenIDConnectProviderThumbprintWithContextFunc   func(param0 aws.Context, param1 *iam.UpdateOpenIDConnectProviderThumbprintInput, param2 ...request.Option) (*iam.UpdateOpenIDConnectProviderThumbprintOutput, error)
	UpdateRoleDescriptionFunc                              func(param0 *iam.UpdateRoleDescriptionInput) (*iam.UpdateRoleDescriptionOutput, error)
	UpdateRoleDescriptionRequestFunc                       func(param0 *iam.UpdateRoleDescriptionInput) (*request.Request, *iam.UpdateRoleDescriptionOutput)
	UpdateRoleDescriptionWithContextFunc                   func(param0 aws.Context, param1 *iam.UpdateRoleDescriptionInput, param2 ...request.Option) (*iam.UpdateRoleDescriptionOutput, error)
	UpdateSAMLProviderFunc                                 func(param0 *iam.UpdateSAMLProviderInput) (*iam.UpdateSAMLProviderOutput, error)
	UpdateSAMLProviderRequestFunc                          func(param0 *iam.UpdateSAMLProviderInput) (*request.Request, *iam.UpdateSAMLProviderOutput)
	UpdateSAMLProviderWithContextFunc                      func(param0 aws.Context, param1 *iam.UpdateSAMLProviderInput, param2 ...request.Option) (*iam.UpdateSAMLProviderOutput, error)
	UpdateSSHPublicKeyFunc                                 func(param0 *iam.UpdateSSHPublicKeyInput) (*iam.UpdateSSHPublicKeyOutput, error)
	UpdateSSHPublicKeyRequestFunc                          func(param0 *iam.UpdateSSHPublicKeyInput) (*request.Request, *iam.UpdateSSHPublicKeyOutput)
	UpdateSSHPublicKeyWithContextFunc                      func(param0 aws.Context, param1 *iam.UpdateSSHPublicKeyInput, param2 ...request.Option) (*iam.UpdateSSHPublicKeyOutput, error)
	UpdateServerCertificateFunc                            func(param0 *iam.UpdateServerCertificateInput) (*iam.UpdateServerCertificateOutput, error)
	UpdateServerCertificateRequestFunc                     func(param0 *iam.UpdateServerCertificateInput) (*request.Request, *iam.UpdateServerCertificateOutput)
	UpdateServerCertificateWithContextFunc                 func(param0 aws.Context, param1 *iam.UpdateServerCertificateInput, param2 ...request.Option) (*iam.UpdateServerCertificateOutput, error)
	UpdateServiceSpecificCredentialFunc                    func(param0 *iam.UpdateServiceSpecificCredentialInput) (*iam.UpdateServiceSpecificCredentialOutput, error)
	UpdateServiceSpecificCredentialRequestFunc             func(param0 *iam.UpdateServiceSpecificCredentialInput) (*request.Request, *iam.UpdateServiceSpecificCredentialOutput)
	UpdateServiceSpecificCredentialWithContextFunc         func(param0 aws.Context, param1 *iam.UpdateServiceSpecificCredentialInput, param2 ...request.Option) (*iam.UpdateServiceSpecificCredentialOutput, error)
	UpdateSigningCertificateFunc                           func(param0 *iam.UpdateSigningCertificateInput) (*iam.UpdateSigningCertificateOutput, error)
	UpdateSigningCertificateRequestFunc                    func(param0 *iam.UpdateSigningCertificateInput) (*request.Request, *iam.UpdateSigningCertificateOutput)
	UpdateSigningCertificateWithContextFunc                func(param0 aws.Context, param1 *iam.UpdateSigningCertificateInput, param2 ...request.Option) (*iam.UpdateSigningCertificateOutput, error)
	UpdateUserFunc                                         func(param0 *iam.UpdateUserInput) (*iam.UpdateUserOutput, error)
	UpdateUserRequestFunc                                  func(param0 *iam.UpdateUserInput) (*request.Request, *iam.UpdateUserOutput)
	UpdateUserWithContextFunc                              func(param0 aws.Context, param1 *iam.UpdateUserInput, param2 ...request.Option) (*iam.UpdateUserOutput, error)
	UploadSSHPublicKeyFunc                                 func(param0 *iam.UploadSSHPublicKeyInput) (*iam.UploadSSHPublicKeyOutput, error)
	UploadSSHPublicKeyRequestFunc                          func(param0 *iam.UploadSSHPublicKeyInput) (*request.Request, *iam.UploadSSHPublicKeyOutput)
	UploadSSHPublicKeyWithContextFunc                      func(param0 aws.Context, param1 *iam.UploadSSHPublicKeyInput, param2 ...request.Option) (*iam.UploadSSHPublicKeyOutput, error)
	UploadServerCertificateFunc                            func(param0 *iam.UploadServerCertificateInput) (*iam.UploadServerCertificateOutput, error)
	UploadServerCertificateRequestFunc                     func(param0 *iam.UploadServerCertificateInput) (*request.Request, *iam.UploadServerCertificateOutput)
	UploadServerCertificateWithContextFunc                 func(param0 aws.Context, param1 *iam.UploadServerCertificateInput, param2 ...request.Option) (*iam.UploadServerCertificateOutput, error)
	UploadSigningCertificateFunc                           func(param0 *iam.UploadSigningCertificateInput) (*iam.UploadSigningCertificateOutput, error)
	UploadSigningCertificateRequestFunc                    func(param0 *iam.UploadSigningCertificateInput) (*request.Request, *iam.UploadSigningCertificateOutput)
	UploadSigningCertificateWithContextFunc                func(param0 aws.Context, param1 *iam.UploadSigningCertificateInput, param2 ...request.Option) (*iam.UploadSigningCertificateOutput, error)
	WaitUntilInstanceProfileExistsFunc                     func(param0 *iam.GetInstanceProfileInput) error
	WaitUntilInstanceProfileExistsWithContextFunc          func(param0 aws.Context, param1 *iam.GetInstanceProfileInput, param2 ...request.WaiterOption) error
	WaitUntilUserExistsFunc                                func(param0 *iam.GetUserInput) error
	WaitUntilUserExistsWithContextFunc                     func(param0 aws.Context, param1 *iam.GetUserInput, param2 ...request.WaiterOption) error
}

func (m *iamMock) AddClientIDToOpenIDConnectProvider(param0 *iam.AddClientIDToOpenIDConnectProviderInput) (*iam.AddClientIDToOpenIDConnectProviderOutput, error) {
	m.addCall("AddClientIDToOpenIDConnectProvider")
	m.verifyInput("AddClientIDToOpenIDConnectProvider", param0)
	return m.AddClientIDToOpenIDConnectProviderFunc(param0)
}

func (m *iamMock) AddClientIDToOpenIDConnectProviderRequest(param0 *iam.AddClientIDToOpenIDConnectProviderInput) (*request.Request, *iam.AddClientIDToOpenIDConnectProviderOutput) {
	m.addCall("AddClientIDToOpenIDConnectProviderRequest")
	m.verifyInput("AddClientIDToOpenIDConnectProviderRequest", param0)
	return m.AddClientIDToOpenIDConnectProviderRequestFunc(param0)
}

func (m *iamMock) AddClientIDToOpenIDConnectProviderWithContext(param0 aws.Context, param1 *iam.AddClientIDToOpenIDConnectProviderInput, param2 ...request.Option) (*iam.AddClientIDToOpenIDConnectProviderOutput, error) {
	m.addCall("AddClientIDToOpenIDConnectProviderWithContext")
	m.verifyInput("AddClientIDToOpenIDConnectProviderWithContext", param0)
	return m.AddClientIDToOpenIDConnectProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) AddRoleToInstanceProfile(param0 *iam.AddRoleToInstanceProfileInput) (*iam.AddRoleToInstanceProfileOutput, error) {
	m.addCall("AddRoleToInstanceProfile")
	m.verifyInput("AddRoleToInstanceProfile", param0)
	return m.AddRoleToInstanceProfileFunc(param0)
}

func (m *iamMock) AddRoleToInstanceProfileRequest(param0 *iam.AddRoleToInstanceProfileInput) (*request.Request, *iam.AddRoleToInstanceProfileOutput) {
	m.addCall("AddRoleToInstanceProfileRequest")
	m.verifyInput("AddRoleToInstanceProfileRequest", param0)
	return m.AddRoleToInstanceProfileRequestFunc(param0)
}

func (m *iamMock) AddRoleToInstanceProfileWithContext(param0 aws.Context, param1 *iam.AddRoleToInstanceProfileInput, param2 ...request.Option) (*iam.AddRoleToInstanceProfileOutput, error) {
	m.addCall("AddRoleToInstanceProfileWithContext")
	m.verifyInput("AddRoleToInstanceProfileWithContext", param0)
	return m.AddRoleToInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) AddUserToGroup(param0 *iam.AddUserToGroupInput) (*iam.AddUserToGroupOutput, error) {
	m.addCall("AddUserToGroup")
	m.verifyInput("AddUserToGroup", param0)
	return m.AddUserToGroupFunc(param0)
}

func (m *iamMock) AddUserToGroupRequest(param0 *iam.AddUserToGroupInput) (*request.Request, *iam.AddUserToGroupOutput) {
	m.addCall("AddUserToGroupRequest")
	m.verifyInput("AddUserToGroupRequest", param0)
	return m.AddUserToGroupRequestFunc(param0)
}

func (m *iamMock) AddUserToGroupWithContext(param0 aws.Context, param1 *iam.AddUserToGroupInput, param2 ...request.Option) (*iam.AddUserToGroupOutput, error) {
	m.addCall("AddUserToGroupWithContext")
	m.verifyInput("AddUserToGroupWithContext", param0)
	return m.AddUserToGroupWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) AttachGroupPolicy(param0 *iam.AttachGroupPolicyInput) (*iam.AttachGroupPolicyOutput, error) {
	m.addCall("AttachGroupPolicy")
	m.verifyInput("AttachGroupPolicy", param0)
	return m.AttachGroupPolicyFunc(param0)
}

func (m *iamMock) AttachGroupPolicyRequest(param0 *iam.AttachGroupPolicyInput) (*request.Request, *iam.AttachGroupPolicyOutput) {
	m.addCall("AttachGroupPolicyRequest")
	m.verifyInput("AttachGroupPolicyRequest", param0)
	return m.AttachGroupPolicyRequestFunc(param0)
}

func (m *iamMock) AttachGroupPolicyWithContext(param0 aws.Context, param1 *iam.AttachGroupPolicyInput, param2 ...request.Option) (*iam.AttachGroupPolicyOutput, error) {
	m.addCall("AttachGroupPolicyWithContext")
	m.verifyInput("AttachGroupPolicyWithContext", param0)
	return m.AttachGroupPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) AttachRolePolicy(param0 *iam.AttachRolePolicyInput) (*iam.AttachRolePolicyOutput, error) {
	m.addCall("AttachRolePolicy")
	m.verifyInput("AttachRolePolicy", param0)
	return m.AttachRolePolicyFunc(param0)
}

func (m *iamMock) AttachRolePolicyRequest(param0 *iam.AttachRolePolicyInput) (*request.Request, *iam.AttachRolePolicyOutput) {
	m.addCall("AttachRolePolicyRequest")
	m.verifyInput("AttachRolePolicyRequest", param0)
	return m.AttachRolePolicyRequestFunc(param0)
}

func (m *iamMock) AttachRolePolicyWithContext(param0 aws.Context, param1 *iam.AttachRolePolicyInput, param2 ...request.Option) (*iam.AttachRolePolicyOutput, error) {
	m.addCall("AttachRolePolicyWithContext")
	m.verifyInput("AttachRolePolicyWithContext", param0)
	return m.AttachRolePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) AttachUserPolicy(param0 *iam.AttachUserPolicyInput) (*iam.AttachUserPolicyOutput, error) {
	m.addCall("AttachUserPolicy")
	m.verifyInput("AttachUserPolicy", param0)
	return m.AttachUserPolicyFunc(param0)
}

func (m *iamMock) AttachUserPolicyRequest(param0 *iam.AttachUserPolicyInput) (*request.Request, *iam.AttachUserPolicyOutput) {
	m.addCall("AttachUserPolicyRequest")
	m.verifyInput("AttachUserPolicyRequest", param0)
	return m.AttachUserPolicyRequestFunc(param0)
}

func (m *iamMock) AttachUserPolicyWithContext(param0 aws.Context, param1 *iam.AttachUserPolicyInput, param2 ...request.Option) (*iam.AttachUserPolicyOutput, error) {
	m.addCall("AttachUserPolicyWithContext")
	m.verifyInput("AttachUserPolicyWithContext", param0)
	return m.AttachUserPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ChangePassword(param0 *iam.ChangePasswordInput) (*iam.ChangePasswordOutput, error) {
	m.addCall("ChangePassword")
	m.verifyInput("ChangePassword", param0)
	return m.ChangePasswordFunc(param0)
}

func (m *iamMock) ChangePasswordRequest(param0 *iam.ChangePasswordInput) (*request.Request, *iam.ChangePasswordOutput) {
	m.addCall("ChangePasswordRequest")
	m.verifyInput("ChangePasswordRequest", param0)
	return m.ChangePasswordRequestFunc(param0)
}

func (m *iamMock) ChangePasswordWithContext(param0 aws.Context, param1 *iam.ChangePasswordInput, param2 ...request.Option) (*iam.ChangePasswordOutput, error) {
	m.addCall("ChangePasswordWithContext")
	m.verifyInput("ChangePasswordWithContext", param0)
	return m.ChangePasswordWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateAccessKey(param0 *iam.CreateAccessKeyInput) (*iam.CreateAccessKeyOutput, error) {
	m.addCall("CreateAccessKey")
	m.verifyInput("CreateAccessKey", param0)
	return m.CreateAccessKeyFunc(param0)
}

func (m *iamMock) CreateAccessKeyRequest(param0 *iam.CreateAccessKeyInput) (*request.Request, *iam.CreateAccessKeyOutput) {
	m.addCall("CreateAccessKeyRequest")
	m.verifyInput("CreateAccessKeyRequest", param0)
	return m.CreateAccessKeyRequestFunc(param0)
}

func (m *iamMock) CreateAccessKeyWithContext(param0 aws.Context, param1 *iam.CreateAccessKeyInput, param2 ...request.Option) (*iam.CreateAccessKeyOutput, error) {
	m.addCall("CreateAccessKeyWithContext")
	m.verifyInput("CreateAccessKeyWithContext", param0)
	return m.CreateAccessKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateAccountAlias(param0 *iam.CreateAccountAliasInput) (*iam.CreateAccountAliasOutput, error) {
	m.addCall("CreateAccountAlias")
	m.verifyInput("CreateAccountAlias", param0)
	return m.CreateAccountAliasFunc(param0)
}

func (m *iamMock) CreateAccountAliasRequest(param0 *iam.CreateAccountAliasInput) (*request.Request, *iam.CreateAccountAliasOutput) {
	m.addCall("CreateAccountAliasRequest")
	m.verifyInput("CreateAccountAliasRequest", param0)
	return m.CreateAccountAliasRequestFunc(param0)
}

func (m *iamMock) CreateAccountAliasWithContext(param0 aws.Context, param1 *iam.CreateAccountAliasInput, param2 ...request.Option) (*iam.CreateAccountAliasOutput, error) {
	m.addCall("CreateAccountAliasWithContext")
	m.verifyInput("CreateAccountAliasWithContext", param0)
	return m.CreateAccountAliasWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateGroup(param0 *iam.CreateGroupInput) (*iam.CreateGroupOutput, error) {
	m.addCall("CreateGroup")
	m.verifyInput("CreateGroup", param0)
	return m.CreateGroupFunc(param0)
}

func (m *iamMock) CreateGroupRequest(param0 *iam.CreateGroupInput) (*request.Request, *iam.CreateGroupOutput) {
	m.addCall("CreateGroupRequest")
	m.verifyInput("CreateGroupRequest", param0)
	return m.CreateGroupRequestFunc(param0)
}

func (m *iamMock) CreateGroupWithContext(param0 aws.Context, param1 *iam.CreateGroupInput, param2 ...request.Option) (*iam.CreateGroupOutput, error) {
	m.addCall("CreateGroupWithContext")
	m.verifyInput("CreateGroupWithContext", param0)
	return m.CreateGroupWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateInstanceProfile(param0 *iam.CreateInstanceProfileInput) (*iam.CreateInstanceProfileOutput, error) {
	m.addCall("CreateInstanceProfile")
	m.verifyInput("CreateInstanceProfile", param0)
	return m.CreateInstanceProfileFunc(param0)
}

func (m *iamMock) CreateInstanceProfileRequest(param0 *iam.CreateInstanceProfileInput) (*request.Request, *iam.CreateInstanceProfileOutput) {
	m.addCall("CreateInstanceProfileRequest")
	m.verifyInput("CreateInstanceProfileRequest", param0)
	return m.CreateInstanceProfileRequestFunc(param0)
}

func (m *iamMock) CreateInstanceProfileWithContext(param0 aws.Context, param1 *iam.CreateInstanceProfileInput, param2 ...request.Option) (*iam.CreateInstanceProfileOutput, error) {
	m.addCall("CreateInstanceProfileWithContext")
	m.verifyInput("CreateInstanceProfileWithContext", param0)
	return m.CreateInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateLoginProfile(param0 *iam.CreateLoginProfileInput) (*iam.CreateLoginProfileOutput, error) {
	m.addCall("CreateLoginProfile")
	m.verifyInput("CreateLoginProfile", param0)
	return m.CreateLoginProfileFunc(param0)
}

func (m *iamMock) CreateLoginProfileRequest(param0 *iam.CreateLoginProfileInput) (*request.Request, *iam.CreateLoginProfileOutput) {
	m.addCall("CreateLoginProfileRequest")
	m.verifyInput("CreateLoginProfileRequest", param0)
	return m.CreateLoginProfileRequestFunc(param0)
}

func (m *iamMock) CreateLoginProfileWithContext(param0 aws.Context, param1 *iam.CreateLoginProfileInput, param2 ...request.Option) (*iam.CreateLoginProfileOutput, error) {
	m.addCall("CreateLoginProfileWithContext")
	m.verifyInput("CreateLoginProfileWithContext", param0)
	return m.CreateLoginProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateOpenIDConnectProvider(param0 *iam.CreateOpenIDConnectProviderInput) (*iam.CreateOpenIDConnectProviderOutput, error) {
	m.addCall("CreateOpenIDConnectProvider")
	m.verifyInput("CreateOpenIDConnectProvider", param0)
	return m.CreateOpenIDConnectProviderFunc(param0)
}

func (m *iamMock) CreateOpenIDConnectProviderRequest(param0 *iam.CreateOpenIDConnectProviderInput) (*request.Request, *iam.CreateOpenIDConnectProviderOutput) {
	m.addCall("CreateOpenIDConnectProviderRequest")
	m.verifyInput("CreateOpenIDConnectProviderRequest", param0)
	return m.CreateOpenIDConnectProviderRequestFunc(param0)
}

func (m *iamMock) CreateOpenIDConnectProviderWithContext(param0 aws.Context, param1 *iam.CreateOpenIDConnectProviderInput, param2 ...request.Option) (*iam.CreateOpenIDConnectProviderOutput, error) {
	m.addCall("CreateOpenIDConnectProviderWithContext")
	m.verifyInput("CreateOpenIDConnectProviderWithContext", param0)
	return m.CreateOpenIDConnectProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreatePolicy(param0 *iam.CreatePolicyInput) (*iam.CreatePolicyOutput, error) {
	m.addCall("CreatePolicy")
	m.verifyInput("CreatePolicy", param0)
	return m.CreatePolicyFunc(param0)
}

func (m *iamMock) CreatePolicyRequest(param0 *iam.CreatePolicyInput) (*request.Request, *iam.CreatePolicyOutput) {
	m.addCall("CreatePolicyRequest")
	m.verifyInput("CreatePolicyRequest", param0)
	return m.CreatePolicyRequestFunc(param0)
}

func (m *iamMock) CreatePolicyVersion(param0 *iam.CreatePolicyVersionInput) (*iam.CreatePolicyVersionOutput, error) {
	m.addCall("CreatePolicyVersion")
	m.verifyInput("CreatePolicyVersion", param0)
	return m.CreatePolicyVersionFunc(param0)
}

func (m *iamMock) CreatePolicyVersionRequest(param0 *iam.CreatePolicyVersionInput) (*request.Request, *iam.CreatePolicyVersionOutput) {
	m.addCall("CreatePolicyVersionRequest")
	m.verifyInput("CreatePolicyVersionRequest", param0)
	return m.CreatePolicyVersionRequestFunc(param0)
}

func (m *iamMock) CreatePolicyVersionWithContext(param0 aws.Context, param1 *iam.CreatePolicyVersionInput, param2 ...request.Option) (*iam.CreatePolicyVersionOutput, error) {
	m.addCall("CreatePolicyVersionWithContext")
	m.verifyInput("CreatePolicyVersionWithContext", param0)
	return m.CreatePolicyVersionWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreatePolicyWithContext(param0 aws.Context, param1 *iam.CreatePolicyInput, param2 ...request.Option) (*iam.CreatePolicyOutput, error) {
	m.addCall("CreatePolicyWithContext")
	m.verifyInput("CreatePolicyWithContext", param0)
	return m.CreatePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateRole(param0 *iam.CreateRoleInput) (*iam.CreateRoleOutput, error) {
	m.addCall("CreateRole")
	m.verifyInput("CreateRole", param0)
	return m.CreateRoleFunc(param0)
}

func (m *iamMock) CreateRoleRequest(param0 *iam.CreateRoleInput) (*request.Request, *iam.CreateRoleOutput) {
	m.addCall("CreateRoleRequest")
	m.verifyInput("CreateRoleRequest", param0)
	return m.CreateRoleRequestFunc(param0)
}

func (m *iamMock) CreateRoleWithContext(param0 aws.Context, param1 *iam.CreateRoleInput, param2 ...request.Option) (*iam.CreateRoleOutput, error) {
	m.addCall("CreateRoleWithContext")
	m.verifyInput("CreateRoleWithContext", param0)
	return m.CreateRoleWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateSAMLProvider(param0 *iam.CreateSAMLProviderInput) (*iam.CreateSAMLProviderOutput, error) {
	m.addCall("CreateSAMLProvider")
	m.verifyInput("CreateSAMLProvider", param0)
	return m.CreateSAMLProviderFunc(param0)
}

func (m *iamMock) CreateSAMLProviderRequest(param0 *iam.CreateSAMLProviderInput) (*request.Request, *iam.CreateSAMLProviderOutput) {
	m.addCall("CreateSAMLProviderRequest")
	m.verifyInput("CreateSAMLProviderRequest", param0)
	return m.CreateSAMLProviderRequestFunc(param0)
}

func (m *iamMock) CreateSAMLProviderWithContext(param0 aws.Context, param1 *iam.CreateSAMLProviderInput, param2 ...request.Option) (*iam.CreateSAMLProviderOutput, error) {
	m.addCall("CreateSAMLProviderWithContext")
	m.verifyInput("CreateSAMLProviderWithContext", param0)
	return m.CreateSAMLProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateServiceLinkedRole(param0 *iam.CreateServiceLinkedRoleInput) (*iam.CreateServiceLinkedRoleOutput, error) {
	m.addCall("CreateServiceLinkedRole")
	m.verifyInput("CreateServiceLinkedRole", param0)
	return m.CreateServiceLinkedRoleFunc(param0)
}

func (m *iamMock) CreateServiceLinkedRoleRequest(param0 *iam.CreateServiceLinkedRoleInput) (*request.Request, *iam.CreateServiceLinkedRoleOutput) {
	m.addCall("CreateServiceLinkedRoleRequest")
	m.verifyInput("CreateServiceLinkedRoleRequest", param0)
	return m.CreateServiceLinkedRoleRequestFunc(param0)
}

func (m *iamMock) CreateServiceLinkedRoleWithContext(param0 aws.Context, param1 *iam.CreateServiceLinkedRoleInput, param2 ...request.Option) (*iam.CreateServiceLinkedRoleOutput, error) {
	m.addCall("CreateServiceLinkedRoleWithContext")
	m.verifyInput("CreateServiceLinkedRoleWithContext", param0)
	return m.CreateServiceLinkedRoleWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateServiceSpecificCredential(param0 *iam.CreateServiceSpecificCredentialInput) (*iam.CreateServiceSpecificCredentialOutput, error) {
	m.addCall("CreateServiceSpecificCredential")
	m.verifyInput("CreateServiceSpecificCredential", param0)
	return m.CreateServiceSpecificCredentialFunc(param0)
}

func (m *iamMock) CreateServiceSpecificCredentialRequest(param0 *iam.CreateServiceSpecificCredentialInput) (*request.Request, *iam.CreateServiceSpecificCredentialOutput) {
	m.addCall("CreateServiceSpecificCredentialRequest")
	m.verifyInput("CreateServiceSpecificCredentialRequest", param0)
	return m.CreateServiceSpecificCredentialRequestFunc(param0)
}

func (m *iamMock) CreateServiceSpecificCredentialWithContext(param0 aws.Context, param1 *iam.CreateServiceSpecificCredentialInput, param2 ...request.Option) (*iam.CreateServiceSpecificCredentialOutput, error) {
	m.addCall("CreateServiceSpecificCredentialWithContext")
	m.verifyInput("CreateServiceSpecificCredentialWithContext", param0)
	return m.CreateServiceSpecificCredentialWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateUser(param0 *iam.CreateUserInput) (*iam.CreateUserOutput, error) {
	m.addCall("CreateUser")
	m.verifyInput("CreateUser", param0)
	return m.CreateUserFunc(param0)
}

func (m *iamMock) CreateUserRequest(param0 *iam.CreateUserInput) (*request.Request, *iam.CreateUserOutput) {
	m.addCall("CreateUserRequest")
	m.verifyInput("CreateUserRequest", param0)
	return m.CreateUserRequestFunc(param0)
}

func (m *iamMock) CreateUserWithContext(param0 aws.Context, param1 *iam.CreateUserInput, param2 ...request.Option) (*iam.CreateUserOutput, error) {
	m.addCall("CreateUserWithContext")
	m.verifyInput("CreateUserWithContext", param0)
	return m.CreateUserWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) CreateVirtualMFADevice(param0 *iam.CreateVirtualMFADeviceInput) (*iam.CreateVirtualMFADeviceOutput, error) {
	m.addCall("CreateVirtualMFADevice")
	m.verifyInput("CreateVirtualMFADevice", param0)
	return m.CreateVirtualMFADeviceFunc(param0)
}

func (m *iamMock) CreateVirtualMFADeviceRequest(param0 *iam.CreateVirtualMFADeviceInput) (*request.Request, *iam.CreateVirtualMFADeviceOutput) {
	m.addCall("CreateVirtualMFADeviceRequest")
	m.verifyInput("CreateVirtualMFADeviceRequest", param0)
	return m.CreateVirtualMFADeviceRequestFunc(param0)
}

func (m *iamMock) CreateVirtualMFADeviceWithContext(param0 aws.Context, param1 *iam.CreateVirtualMFADeviceInput, param2 ...request.Option) (*iam.CreateVirtualMFADeviceOutput, error) {
	m.addCall("CreateVirtualMFADeviceWithContext")
	m.verifyInput("CreateVirtualMFADeviceWithContext", param0)
	return m.CreateVirtualMFADeviceWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeactivateMFADevice(param0 *iam.DeactivateMFADeviceInput) (*iam.DeactivateMFADeviceOutput, error) {
	m.addCall("DeactivateMFADevice")
	m.verifyInput("DeactivateMFADevice", param0)
	return m.DeactivateMFADeviceFunc(param0)
}

func (m *iamMock) DeactivateMFADeviceRequest(param0 *iam.DeactivateMFADeviceInput) (*request.Request, *iam.DeactivateMFADeviceOutput) {
	m.addCall("DeactivateMFADeviceRequest")
	m.verifyInput("DeactivateMFADeviceRequest", param0)
	return m.DeactivateMFADeviceRequestFunc(param0)
}

func (m *iamMock) DeactivateMFADeviceWithContext(param0 aws.Context, param1 *iam.DeactivateMFADeviceInput, param2 ...request.Option) (*iam.DeactivateMFADeviceOutput, error) {
	m.addCall("DeactivateMFADeviceWithContext")
	m.verifyInput("DeactivateMFADeviceWithContext", param0)
	return m.DeactivateMFADeviceWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteAccessKey(param0 *iam.DeleteAccessKeyInput) (*iam.DeleteAccessKeyOutput, error) {
	m.addCall("DeleteAccessKey")
	m.verifyInput("DeleteAccessKey", param0)
	return m.DeleteAccessKeyFunc(param0)
}

func (m *iamMock) DeleteAccessKeyRequest(param0 *iam.DeleteAccessKeyInput) (*request.Request, *iam.DeleteAccessKeyOutput) {
	m.addCall("DeleteAccessKeyRequest")
	m.verifyInput("DeleteAccessKeyRequest", param0)
	return m.DeleteAccessKeyRequestFunc(param0)
}

func (m *iamMock) DeleteAccessKeyWithContext(param0 aws.Context, param1 *iam.DeleteAccessKeyInput, param2 ...request.Option) (*iam.DeleteAccessKeyOutput, error) {
	m.addCall("DeleteAccessKeyWithContext")
	m.verifyInput("DeleteAccessKeyWithContext", param0)
	return m.DeleteAccessKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteAccountAlias(param0 *iam.DeleteAccountAliasInput) (*iam.DeleteAccountAliasOutput, error) {
	m.addCall("DeleteAccountAlias")
	m.verifyInput("DeleteAccountAlias", param0)
	return m.DeleteAccountAliasFunc(param0)
}

func (m *iamMock) DeleteAccountAliasRequest(param0 *iam.DeleteAccountAliasInput) (*request.Request, *iam.DeleteAccountAliasOutput) {
	m.addCall("DeleteAccountAliasRequest")
	m.verifyInput("DeleteAccountAliasRequest", param0)
	return m.DeleteAccountAliasRequestFunc(param0)
}

func (m *iamMock) DeleteAccountAliasWithContext(param0 aws.Context, param1 *iam.DeleteAccountAliasInput, param2 ...request.Option) (*iam.DeleteAccountAliasOutput, error) {
	m.addCall("DeleteAccountAliasWithContext")
	m.verifyInput("DeleteAccountAliasWithContext", param0)
	return m.DeleteAccountAliasWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteAccountPasswordPolicy(param0 *iam.DeleteAccountPasswordPolicyInput) (*iam.DeleteAccountPasswordPolicyOutput, error) {
	m.addCall("DeleteAccountPasswordPolicy")
	m.verifyInput("DeleteAccountPasswordPolicy", param0)
	return m.DeleteAccountPasswordPolicyFunc(param0)
}

func (m *iamMock) DeleteAccountPasswordPolicyRequest(param0 *iam.DeleteAccountPasswordPolicyInput) (*request.Request, *iam.DeleteAccountPasswordPolicyOutput) {
	m.addCall("DeleteAccountPasswordPolicyRequest")
	m.verifyInput("DeleteAccountPasswordPolicyRequest", param0)
	return m.DeleteAccountPasswordPolicyRequestFunc(param0)
}

func (m *iamMock) DeleteAccountPasswordPolicyWithContext(param0 aws.Context, param1 *iam.DeleteAccountPasswordPolicyInput, param2 ...request.Option) (*iam.DeleteAccountPasswordPolicyOutput, error) {
	m.addCall("DeleteAccountPasswordPolicyWithContext")
	m.verifyInput("DeleteAccountPasswordPolicyWithContext", param0)
	return m.DeleteAccountPasswordPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteGroup(param0 *iam.DeleteGroupInput) (*iam.DeleteGroupOutput, error) {
	m.addCall("DeleteGroup")
	m.verifyInput("DeleteGroup", param0)
	return m.DeleteGroupFunc(param0)
}

func (m *iamMock) DeleteGroupPolicy(param0 *iam.DeleteGroupPolicyInput) (*iam.DeleteGroupPolicyOutput, error) {
	m.addCall("DeleteGroupPolicy")
	m.verifyInput("DeleteGroupPolicy", param0)
	return m.DeleteGroupPolicyFunc(param0)
}

func (m *iamMock) DeleteGroupPolicyRequest(param0 *iam.DeleteGroupPolicyInput) (*request.Request, *iam.DeleteGroupPolicyOutput) {
	m.addCall("DeleteGroupPolicyRequest")
	m.verifyInput("DeleteGroupPolicyRequest", param0)
	return m.DeleteGroupPolicyRequestFunc(param0)
}

func (m *iamMock) DeleteGroupPolicyWithContext(param0 aws.Context, param1 *iam.DeleteGroupPolicyInput, param2 ...request.Option) (*iam.DeleteGroupPolicyOutput, error) {
	m.addCall("DeleteGroupPolicyWithContext")
	m.verifyInput("DeleteGroupPolicyWithContext", param0)
	return m.DeleteGroupPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteGroupRequest(param0 *iam.DeleteGroupInput) (*request.Request, *iam.DeleteGroupOutput) {
	m.addCall("DeleteGroupRequest")
	m.verifyInput("DeleteGroupRequest", param0)
	return m.DeleteGroupRequestFunc(param0)
}

func (m *iamMock) DeleteGroupWithContext(param0 aws.Context, param1 *iam.DeleteGroupInput, param2 ...request.Option) (*iam.DeleteGroupOutput, error) {
	m.addCall("DeleteGroupWithContext")
	m.verifyInput("DeleteGroupWithContext", param0)
	return m.DeleteGroupWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteInstanceProfile(param0 *iam.DeleteInstanceProfileInput) (*iam.DeleteInstanceProfileOutput, error) {
	m.addCall("DeleteInstanceProfile")
	m.verifyInput("DeleteInstanceProfile", param0)
	return m.DeleteInstanceProfileFunc(param0)
}

func (m *iamMock) DeleteInstanceProfileRequest(param0 *iam.DeleteInstanceProfileInput) (*request.Request, *iam.DeleteInstanceProfileOutput) {
	m.addCall("DeleteInstanceProfileRequest")
	m.verifyInput("DeleteInstanceProfileRequest", param0)
	return m.DeleteInstanceProfileRequestFunc(param0)
}

func (m *iamMock) DeleteInstanceProfileWithContext(param0 aws.Context, param1 *iam.DeleteInstanceProfileInput, param2 ...request.Option) (*iam.DeleteInstanceProfileOutput, error) {
	m.addCall("DeleteInstanceProfileWithContext")
	m.verifyInput("DeleteInstanceProfileWithContext", param0)
	return m.DeleteInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteLoginProfile(param0 *iam.DeleteLoginProfileInput) (*iam.DeleteLoginProfileOutput, error) {
	m.addCall("DeleteLoginProfile")
	m.verifyInput("DeleteLoginProfile", param0)
	return m.DeleteLoginProfileFunc(param0)
}

func (m *iamMock) DeleteLoginProfileRequest(param0 *iam.DeleteLoginProfileInput) (*request.Request, *iam.DeleteLoginProfileOutput) {
	m.addCall("DeleteLoginProfileRequest")
	m.verifyInput("DeleteLoginProfileRequest", param0)
	return m.DeleteLoginProfileRequestFunc(param0)
}

func (m *iamMock) DeleteLoginProfileWithContext(param0 aws.Context, param1 *iam.DeleteLoginProfileInput, param2 ...request.Option) (*iam.DeleteLoginProfileOutput, error) {
	m.addCall("DeleteLoginProfileWithContext")
	m.verifyInput("DeleteLoginProfileWithContext", param0)
	return m.DeleteLoginProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteOpenIDConnectProvider(param0 *iam.DeleteOpenIDConnectProviderInput) (*iam.DeleteOpenIDConnectProviderOutput, error) {
	m.addCall("DeleteOpenIDConnectProvider")
	m.verifyInput("DeleteOpenIDConnectProvider", param0)
	return m.DeleteOpenIDConnectProviderFunc(param0)
}

func (m *iamMock) DeleteOpenIDConnectProviderRequest(param0 *iam.DeleteOpenIDConnectProviderInput) (*request.Request, *iam.DeleteOpenIDConnectProviderOutput) {
	m.addCall("DeleteOpenIDConnectProviderRequest")
	m.verifyInput("DeleteOpenIDConnectProviderRequest", param0)
	return m.DeleteOpenIDConnectProviderRequestFunc(param0)
}

func (m *iamMock) DeleteOpenIDConnectProviderWithContext(param0 aws.Context, param1 *iam.DeleteOpenIDConnectProviderInput, param2 ...request.Option) (*iam.DeleteOpenIDConnectProviderOutput, error) {
	m.addCall("DeleteOpenIDConnectProviderWithContext")
	m.verifyInput("DeleteOpenIDConnectProviderWithContext", param0)
	return m.DeleteOpenIDConnectProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeletePolicy(param0 *iam.DeletePolicyInput) (*iam.DeletePolicyOutput, error) {
	m.addCall("DeletePolicy")
	m.verifyInput("DeletePolicy", param0)
	return m.DeletePolicyFunc(param0)
}

func (m *iamMock) DeletePolicyRequest(param0 *iam.DeletePolicyInput) (*request.Request, *iam.DeletePolicyOutput) {
	m.addCall("DeletePolicyRequest")
	m.verifyInput("DeletePolicyRequest", param0)
	return m.DeletePolicyRequestFunc(param0)
}

func (m *iamMock) DeletePolicyVersion(param0 *iam.DeletePolicyVersionInput) (*iam.DeletePolicyVersionOutput, error) {
	m.addCall("DeletePolicyVersion")
	m.verifyInput("DeletePolicyVersion", param0)
	return m.DeletePolicyVersionFunc(param0)
}

func (m *iamMock) DeletePolicyVersionRequest(param0 *iam.DeletePolicyVersionInput) (*request.Request, *iam.DeletePolicyVersionOutput) {
	m.addCall("DeletePolicyVersionRequest")
	m.verifyInput("DeletePolicyVersionRequest", param0)
	return m.DeletePolicyVersionRequestFunc(param0)
}

func (m *iamMock) DeletePolicyVersionWithContext(param0 aws.Context, param1 *iam.DeletePolicyVersionInput, param2 ...request.Option) (*iam.DeletePolicyVersionOutput, error) {
	m.addCall("DeletePolicyVersionWithContext")
	m.verifyInput("DeletePolicyVersionWithContext", param0)
	return m.DeletePolicyVersionWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeletePolicyWithContext(param0 aws.Context, param1 *iam.DeletePolicyInput, param2 ...request.Option) (*iam.DeletePolicyOutput, error) {
	m.addCall("DeletePolicyWithContext")
	m.verifyInput("DeletePolicyWithContext", param0)
	return m.DeletePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteRole(param0 *iam.DeleteRoleInput) (*iam.DeleteRoleOutput, error) {
	m.addCall("DeleteRole")
	m.verifyInput("DeleteRole", param0)
	return m.DeleteRoleFunc(param0)
}

func (m *iamMock) DeleteRolePolicy(param0 *iam.DeleteRolePolicyInput) (*iam.DeleteRolePolicyOutput, error) {
	m.addCall("DeleteRolePolicy")
	m.verifyInput("DeleteRolePolicy", param0)
	return m.DeleteRolePolicyFunc(param0)
}

func (m *iamMock) DeleteRolePolicyRequest(param0 *iam.DeleteRolePolicyInput) (*request.Request, *iam.DeleteRolePolicyOutput) {
	m.addCall("DeleteRolePolicyRequest")
	m.verifyInput("DeleteRolePolicyRequest", param0)
	return m.DeleteRolePolicyRequestFunc(param0)
}

func (m *iamMock) DeleteRolePolicyWithContext(param0 aws.Context, param1 *iam.DeleteRolePolicyInput, param2 ...request.Option) (*iam.DeleteRolePolicyOutput, error) {
	m.addCall("DeleteRolePolicyWithContext")
	m.verifyInput("DeleteRolePolicyWithContext", param0)
	return m.DeleteRolePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteRoleRequest(param0 *iam.DeleteRoleInput) (*request.Request, *iam.DeleteRoleOutput) {
	m.addCall("DeleteRoleRequest")
	m.verifyInput("DeleteRoleRequest", param0)
	return m.DeleteRoleRequestFunc(param0)
}

func (m *iamMock) DeleteRoleWithContext(param0 aws.Context, param1 *iam.DeleteRoleInput, param2 ...request.Option) (*iam.DeleteRoleOutput, error) {
	m.addCall("DeleteRoleWithContext")
	m.verifyInput("DeleteRoleWithContext", param0)
	return m.DeleteRoleWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteSAMLProvider(param0 *iam.DeleteSAMLProviderInput) (*iam.DeleteSAMLProviderOutput, error) {
	m.addCall("DeleteSAMLProvider")
	m.verifyInput("DeleteSAMLProvider", param0)
	return m.DeleteSAMLProviderFunc(param0)
}

func (m *iamMock) DeleteSAMLProviderRequest(param0 *iam.DeleteSAMLProviderInput) (*request.Request, *iam.DeleteSAMLProviderOutput) {
	m.addCall("DeleteSAMLProviderRequest")
	m.verifyInput("DeleteSAMLProviderRequest", param0)
	return m.DeleteSAMLProviderRequestFunc(param0)
}

func (m *iamMock) DeleteSAMLProviderWithContext(param0 aws.Context, param1 *iam.DeleteSAMLProviderInput, param2 ...request.Option) (*iam.DeleteSAMLProviderOutput, error) {
	m.addCall("DeleteSAMLProviderWithContext")
	m.verifyInput("DeleteSAMLProviderWithContext", param0)
	return m.DeleteSAMLProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteSSHPublicKey(param0 *iam.DeleteSSHPublicKeyInput) (*iam.DeleteSSHPublicKeyOutput, error) {
	m.addCall("DeleteSSHPublicKey")
	m.verifyInput("DeleteSSHPublicKey", param0)
	return m.DeleteSSHPublicKeyFunc(param0)
}

func (m *iamMock) DeleteSSHPublicKeyRequest(param0 *iam.DeleteSSHPublicKeyInput) (*request.Request, *iam.DeleteSSHPublicKeyOutput) {
	m.addCall("DeleteSSHPublicKeyRequest")
	m.verifyInput("DeleteSSHPublicKeyRequest", param0)
	return m.DeleteSSHPublicKeyRequestFunc(param0)
}

func (m *iamMock) DeleteSSHPublicKeyWithContext(param0 aws.Context, param1 *iam.DeleteSSHPublicKeyInput, param2 ...request.Option) (*iam.DeleteSSHPublicKeyOutput, error) {
	m.addCall("DeleteSSHPublicKeyWithContext")
	m.verifyInput("DeleteSSHPublicKeyWithContext", param0)
	return m.DeleteSSHPublicKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteServerCertificate(param0 *iam.DeleteServerCertificateInput) (*iam.DeleteServerCertificateOutput, error) {
	m.addCall("DeleteServerCertificate")
	m.verifyInput("DeleteServerCertificate", param0)
	return m.DeleteServerCertificateFunc(param0)
}

func (m *iamMock) DeleteServerCertificateRequest(param0 *iam.DeleteServerCertificateInput) (*request.Request, *iam.DeleteServerCertificateOutput) {
	m.addCall("DeleteServerCertificateRequest")
	m.verifyInput("DeleteServerCertificateRequest", param0)
	return m.DeleteServerCertificateRequestFunc(param0)
}

func (m *iamMock) DeleteServerCertificateWithContext(param0 aws.Context, param1 *iam.DeleteServerCertificateInput, param2 ...request.Option) (*iam.DeleteServerCertificateOutput, error) {
	m.addCall("DeleteServerCertificateWithContext")
	m.verifyInput("DeleteServerCertificateWithContext", param0)
	return m.DeleteServerCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteServiceLinkedRole(param0 *iam.DeleteServiceLinkedRoleInput) (*iam.DeleteServiceLinkedRoleOutput, error) {
	m.addCall("DeleteServiceLinkedRole")
	m.verifyInput("DeleteServiceLinkedRole", param0)
	return m.DeleteServiceLinkedRoleFunc(param0)
}

func (m *iamMock) DeleteServiceLinkedRoleRequest(param0 *iam.DeleteServiceLinkedRoleInput) (*request.Request, *iam.DeleteServiceLinkedRoleOutput) {
	m.addCall("DeleteServiceLinkedRoleRequest")
	m.verifyInput("DeleteServiceLinkedRoleRequest", param0)
	return m.DeleteServiceLinkedRoleRequestFunc(param0)
}

func (m *iamMock) DeleteServiceLinkedRoleWithContext(param0 aws.Context, param1 *iam.DeleteServiceLinkedRoleInput, param2 ...request.Option) (*iam.DeleteServiceLinkedRoleOutput, error) {
	m.addCall("DeleteServiceLinkedRoleWithContext")
	m.verifyInput("DeleteServiceLinkedRoleWithContext", param0)
	return m.DeleteServiceLinkedRoleWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteServiceSpecificCredential(param0 *iam.DeleteServiceSpecificCredentialInput) (*iam.DeleteServiceSpecificCredentialOutput, error) {
	m.addCall("DeleteServiceSpecificCredential")
	m.verifyInput("DeleteServiceSpecificCredential", param0)
	return m.DeleteServiceSpecificCredentialFunc(param0)
}

func (m *iamMock) DeleteServiceSpecificCredentialRequest(param0 *iam.DeleteServiceSpecificCredentialInput) (*request.Request, *iam.DeleteServiceSpecificCredentialOutput) {
	m.addCall("DeleteServiceSpecificCredentialRequest")
	m.verifyInput("DeleteServiceSpecificCredentialRequest", param0)
	return m.DeleteServiceSpecificCredentialRequestFunc(param0)
}

func (m *iamMock) DeleteServiceSpecificCredentialWithContext(param0 aws.Context, param1 *iam.DeleteServiceSpecificCredentialInput, param2 ...request.Option) (*iam.DeleteServiceSpecificCredentialOutput, error) {
	m.addCall("DeleteServiceSpecificCredentialWithContext")
	m.verifyInput("DeleteServiceSpecificCredentialWithContext", param0)
	return m.DeleteServiceSpecificCredentialWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteSigningCertificate(param0 *iam.DeleteSigningCertificateInput) (*iam.DeleteSigningCertificateOutput, error) {
	m.addCall("DeleteSigningCertificate")
	m.verifyInput("DeleteSigningCertificate", param0)
	return m.DeleteSigningCertificateFunc(param0)
}

func (m *iamMock) DeleteSigningCertificateRequest(param0 *iam.DeleteSigningCertificateInput) (*request.Request, *iam.DeleteSigningCertificateOutput) {
	m.addCall("DeleteSigningCertificateRequest")
	m.verifyInput("DeleteSigningCertificateRequest", param0)
	return m.DeleteSigningCertificateRequestFunc(param0)
}

func (m *iamMock) DeleteSigningCertificateWithContext(param0 aws.Context, param1 *iam.DeleteSigningCertificateInput, param2 ...request.Option) (*iam.DeleteSigningCertificateOutput, error) {
	m.addCall("DeleteSigningCertificateWithContext")
	m.verifyInput("DeleteSigningCertificateWithContext", param0)
	return m.DeleteSigningCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteUser(param0 *iam.DeleteUserInput) (*iam.DeleteUserOutput, error) {
	m.addCall("DeleteUser")
	m.verifyInput("DeleteUser", param0)
	return m.DeleteUserFunc(param0)
}

func (m *iamMock) DeleteUserPolicy(param0 *iam.DeleteUserPolicyInput) (*iam.DeleteUserPolicyOutput, error) {
	m.addCall("DeleteUserPolicy")
	m.verifyInput("DeleteUserPolicy", param0)
	return m.DeleteUserPolicyFunc(param0)
}

func (m *iamMock) DeleteUserPolicyRequest(param0 *iam.DeleteUserPolicyInput) (*request.Request, *iam.DeleteUserPolicyOutput) {
	m.addCall("DeleteUserPolicyRequest")
	m.verifyInput("DeleteUserPolicyRequest", param0)
	return m.DeleteUserPolicyRequestFunc(param0)
}

func (m *iamMock) DeleteUserPolicyWithContext(param0 aws.Context, param1 *iam.DeleteUserPolicyInput, param2 ...request.Option) (*iam.DeleteUserPolicyOutput, error) {
	m.addCall("DeleteUserPolicyWithContext")
	m.verifyInput("DeleteUserPolicyWithContext", param0)
	return m.DeleteUserPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteUserRequest(param0 *iam.DeleteUserInput) (*request.Request, *iam.DeleteUserOutput) {
	m.addCall("DeleteUserRequest")
	m.verifyInput("DeleteUserRequest", param0)
	return m.DeleteUserRequestFunc(param0)
}

func (m *iamMock) DeleteUserWithContext(param0 aws.Context, param1 *iam.DeleteUserInput, param2 ...request.Option) (*iam.DeleteUserOutput, error) {
	m.addCall("DeleteUserWithContext")
	m.verifyInput("DeleteUserWithContext", param0)
	return m.DeleteUserWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DeleteVirtualMFADevice(param0 *iam.DeleteVirtualMFADeviceInput) (*iam.DeleteVirtualMFADeviceOutput, error) {
	m.addCall("DeleteVirtualMFADevice")
	m.verifyInput("DeleteVirtualMFADevice", param0)
	return m.DeleteVirtualMFADeviceFunc(param0)
}

func (m *iamMock) DeleteVirtualMFADeviceRequest(param0 *iam.DeleteVirtualMFADeviceInput) (*request.Request, *iam.DeleteVirtualMFADeviceOutput) {
	m.addCall("DeleteVirtualMFADeviceRequest")
	m.verifyInput("DeleteVirtualMFADeviceRequest", param0)
	return m.DeleteVirtualMFADeviceRequestFunc(param0)
}

func (m *iamMock) DeleteVirtualMFADeviceWithContext(param0 aws.Context, param1 *iam.DeleteVirtualMFADeviceInput, param2 ...request.Option) (*iam.DeleteVirtualMFADeviceOutput, error) {
	m.addCall("DeleteVirtualMFADeviceWithContext")
	m.verifyInput("DeleteVirtualMFADeviceWithContext", param0)
	return m.DeleteVirtualMFADeviceWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DetachGroupPolicy(param0 *iam.DetachGroupPolicyInput) (*iam.DetachGroupPolicyOutput, error) {
	m.addCall("DetachGroupPolicy")
	m.verifyInput("DetachGroupPolicy", param0)
	return m.DetachGroupPolicyFunc(param0)
}

func (m *iamMock) DetachGroupPolicyRequest(param0 *iam.DetachGroupPolicyInput) (*request.Request, *iam.DetachGroupPolicyOutput) {
	m.addCall("DetachGroupPolicyRequest")
	m.verifyInput("DetachGroupPolicyRequest", param0)
	return m.DetachGroupPolicyRequestFunc(param0)
}

func (m *iamMock) DetachGroupPolicyWithContext(param0 aws.Context, param1 *iam.DetachGroupPolicyInput, param2 ...request.Option) (*iam.DetachGroupPolicyOutput, error) {
	m.addCall("DetachGroupPolicyWithContext")
	m.verifyInput("DetachGroupPolicyWithContext", param0)
	return m.DetachGroupPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DetachRolePolicy(param0 *iam.DetachRolePolicyInput) (*iam.DetachRolePolicyOutput, error) {
	m.addCall("DetachRolePolicy")
	m.verifyInput("DetachRolePolicy", param0)
	return m.DetachRolePolicyFunc(param0)
}

func (m *iamMock) DetachRolePolicyRequest(param0 *iam.DetachRolePolicyInput) (*request.Request, *iam.DetachRolePolicyOutput) {
	m.addCall("DetachRolePolicyRequest")
	m.verifyInput("DetachRolePolicyRequest", param0)
	return m.DetachRolePolicyRequestFunc(param0)
}

func (m *iamMock) DetachRolePolicyWithContext(param0 aws.Context, param1 *iam.DetachRolePolicyInput, param2 ...request.Option) (*iam.DetachRolePolicyOutput, error) {
	m.addCall("DetachRolePolicyWithContext")
	m.verifyInput("DetachRolePolicyWithContext", param0)
	return m.DetachRolePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) DetachUserPolicy(param0 *iam.DetachUserPolicyInput) (*iam.DetachUserPolicyOutput, error) {
	m.addCall("DetachUserPolicy")
	m.verifyInput("DetachUserPolicy", param0)
	return m.DetachUserPolicyFunc(param0)
}

func (m *iamMock) DetachUserPolicyRequest(param0 *iam.DetachUserPolicyInput) (*request.Request, *iam.DetachUserPolicyOutput) {
	m.addCall("DetachUserPolicyRequest")
	m.verifyInput("DetachUserPolicyRequest", param0)
	return m.DetachUserPolicyRequestFunc(param0)
}

func (m *iamMock) DetachUserPolicyWithContext(param0 aws.Context, param1 *iam.DetachUserPolicyInput, param2 ...request.Option) (*iam.DetachUserPolicyOutput, error) {
	m.addCall("DetachUserPolicyWithContext")
	m.verifyInput("DetachUserPolicyWithContext", param0)
	return m.DetachUserPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) EnableMFADevice(param0 *iam.EnableMFADeviceInput) (*iam.EnableMFADeviceOutput, error) {
	m.addCall("EnableMFADevice")
	m.verifyInput("EnableMFADevice", param0)
	return m.EnableMFADeviceFunc(param0)
}

func (m *iamMock) EnableMFADeviceRequest(param0 *iam.EnableMFADeviceInput) (*request.Request, *iam.EnableMFADeviceOutput) {
	m.addCall("EnableMFADeviceRequest")
	m.verifyInput("EnableMFADeviceRequest", param0)
	return m.EnableMFADeviceRequestFunc(param0)
}

func (m *iamMock) EnableMFADeviceWithContext(param0 aws.Context, param1 *iam.EnableMFADeviceInput, param2 ...request.Option) (*iam.EnableMFADeviceOutput, error) {
	m.addCall("EnableMFADeviceWithContext")
	m.verifyInput("EnableMFADeviceWithContext", param0)
	return m.EnableMFADeviceWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GenerateCredentialReport(param0 *iam.GenerateCredentialReportInput) (*iam.GenerateCredentialReportOutput, error) {
	m.addCall("GenerateCredentialReport")
	m.verifyInput("GenerateCredentialReport", param0)
	return m.GenerateCredentialReportFunc(param0)
}

func (m *iamMock) GenerateCredentialReportRequest(param0 *iam.GenerateCredentialReportInput) (*request.Request, *iam.GenerateCredentialReportOutput) {
	m.addCall("GenerateCredentialReportRequest")
	m.verifyInput("GenerateCredentialReportRequest", param0)
	return m.GenerateCredentialReportRequestFunc(param0)
}

func (m *iamMock) GenerateCredentialReportWithContext(param0 aws.Context, param1 *iam.GenerateCredentialReportInput, param2 ...request.Option) (*iam.GenerateCredentialReportOutput, error) {
	m.addCall("GenerateCredentialReportWithContext")
	m.verifyInput("GenerateCredentialReportWithContext", param0)
	return m.GenerateCredentialReportWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetAccessKeyLastUsed(param0 *iam.GetAccessKeyLastUsedInput) (*iam.GetAccessKeyLastUsedOutput, error) {
	m.addCall("GetAccessKeyLastUsed")
	m.verifyInput("GetAccessKeyLastUsed", param0)
	return m.GetAccessKeyLastUsedFunc(param0)
}

func (m *iamMock) GetAccessKeyLastUsedRequest(param0 *iam.GetAccessKeyLastUsedInput) (*request.Request, *iam.GetAccessKeyLastUsedOutput) {
	m.addCall("GetAccessKeyLastUsedRequest")
	m.verifyInput("GetAccessKeyLastUsedRequest", param0)
	return m.GetAccessKeyLastUsedRequestFunc(param0)
}

func (m *iamMock) GetAccessKeyLastUsedWithContext(param0 aws.Context, param1 *iam.GetAccessKeyLastUsedInput, param2 ...request.Option) (*iam.GetAccessKeyLastUsedOutput, error) {
	m.addCall("GetAccessKeyLastUsedWithContext")
	m.verifyInput("GetAccessKeyLastUsedWithContext", param0)
	return m.GetAccessKeyLastUsedWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetAccountAuthorizationDetails(param0 *iam.GetAccountAuthorizationDetailsInput) (*iam.GetAccountAuthorizationDetailsOutput, error) {
	m.addCall("GetAccountAuthorizationDetails")
	m.verifyInput("GetAccountAuthorizationDetails", param0)
	return m.GetAccountAuthorizationDetailsFunc(param0)
}

func (m *iamMock) GetAccountAuthorizationDetailsRequest(param0 *iam.GetAccountAuthorizationDetailsInput) (*request.Request, *iam.GetAccountAuthorizationDetailsOutput) {
	m.addCall("GetAccountAuthorizationDetailsRequest")
	m.verifyInput("GetAccountAuthorizationDetailsRequest", param0)
	return m.GetAccountAuthorizationDetailsRequestFunc(param0)
}

func (m *iamMock) GetAccountAuthorizationDetailsWithContext(param0 aws.Context, param1 *iam.GetAccountAuthorizationDetailsInput, param2 ...request.Option) (*iam.GetAccountAuthorizationDetailsOutput, error) {
	m.addCall("GetAccountAuthorizationDetailsWithContext")
	m.verifyInput("GetAccountAuthorizationDetailsWithContext", param0)
	return m.GetAccountAuthorizationDetailsWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetAccountPasswordPolicy(param0 *iam.GetAccountPasswordPolicyInput) (*iam.GetAccountPasswordPolicyOutput, error) {
	m.addCall("GetAccountPasswordPolicy")
	m.verifyInput("GetAccountPasswordPolicy", param0)
	return m.GetAccountPasswordPolicyFunc(param0)
}

func (m *iamMock) GetAccountPasswordPolicyRequest(param0 *iam.GetAccountPasswordPolicyInput) (*request.Request, *iam.GetAccountPasswordPolicyOutput) {
	m.addCall("GetAccountPasswordPolicyRequest")
	m.verifyInput("GetAccountPasswordPolicyRequest", param0)
	return m.GetAccountPasswordPolicyRequestFunc(param0)
}

func (m *iamMock) GetAccountPasswordPolicyWithContext(param0 aws.Context, param1 *iam.GetAccountPasswordPolicyInput, param2 ...request.Option) (*iam.GetAccountPasswordPolicyOutput, error) {
	m.addCall("GetAccountPasswordPolicyWithContext")
	m.verifyInput("GetAccountPasswordPolicyWithContext", param0)
	return m.GetAccountPasswordPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetAccountSummary(param0 *iam.GetAccountSummaryInput) (*iam.GetAccountSummaryOutput, error) {
	m.addCall("GetAccountSummary")
	m.verifyInput("GetAccountSummary", param0)
	return m.GetAccountSummaryFunc(param0)
}

func (m *iamMock) GetAccountSummaryRequest(param0 *iam.GetAccountSummaryInput) (*request.Request, *iam.GetAccountSummaryOutput) {
	m.addCall("GetAccountSummaryRequest")
	m.verifyInput("GetAccountSummaryRequest", param0)
	return m.GetAccountSummaryRequestFunc(param0)
}

func (m *iamMock) GetAccountSummaryWithContext(param0 aws.Context, param1 *iam.GetAccountSummaryInput, param2 ...request.Option) (*iam.GetAccountSummaryOutput, error) {
	m.addCall("GetAccountSummaryWithContext")
	m.verifyInput("GetAccountSummaryWithContext", param0)
	return m.GetAccountSummaryWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetContextKeysForCustomPolicy(param0 *iam.GetContextKeysForCustomPolicyInput) (*iam.GetContextKeysForPolicyResponse, error) {
	m.addCall("GetContextKeysForCustomPolicy")
	m.verifyInput("GetContextKeysForCustomPolicy", param0)
	return m.GetContextKeysForCustomPolicyFunc(param0)
}

func (m *iamMock) GetContextKeysForCustomPolicyRequest(param0 *iam.GetContextKeysForCustomPolicyInput) (*request.Request, *iam.GetContextKeysForPolicyResponse) {
	m.addCall("GetContextKeysForCustomPolicyRequest")
	m.verifyInput("GetContextKeysForCustomPolicyRequest", param0)
	return m.GetContextKeysForCustomPolicyRequestFunc(param0)
}

func (m *iamMock) GetContextKeysForCustomPolicyWithContext(param0 aws.Context, param1 *iam.GetContextKeysForCustomPolicyInput, param2 ...request.Option) (*iam.GetContextKeysForPolicyResponse, error) {
	m.addCall("GetContextKeysForCustomPolicyWithContext")
	m.verifyInput("GetContextKeysForCustomPolicyWithContext", param0)
	return m.GetContextKeysForCustomPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetContextKeysForPrincipalPolicy(param0 *iam.GetContextKeysForPrincipalPolicyInput) (*iam.GetContextKeysForPolicyResponse, error) {
	m.addCall("GetContextKeysForPrincipalPolicy")
	m.verifyInput("GetContextKeysForPrincipalPolicy", param0)
	return m.GetContextKeysForPrincipalPolicyFunc(param0)
}

func (m *iamMock) GetContextKeysForPrincipalPolicyRequest(param0 *iam.GetContextKeysForPrincipalPolicyInput) (*request.Request, *iam.GetContextKeysForPolicyResponse) {
	m.addCall("GetContextKeysForPrincipalPolicyRequest")
	m.verifyInput("GetContextKeysForPrincipalPolicyRequest", param0)
	return m.GetContextKeysForPrincipalPolicyRequestFunc(param0)
}

func (m *iamMock) GetContextKeysForPrincipalPolicyWithContext(param0 aws.Context, param1 *iam.GetContextKeysForPrincipalPolicyInput, param2 ...request.Option) (*iam.GetContextKeysForPolicyResponse, error) {
	m.addCall("GetContextKeysForPrincipalPolicyWithContext")
	m.verifyInput("GetContextKeysForPrincipalPolicyWithContext", param0)
	return m.GetContextKeysForPrincipalPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetCredentialReport(param0 *iam.GetCredentialReportInput) (*iam.GetCredentialReportOutput, error) {
	m.addCall("GetCredentialReport")
	m.verifyInput("GetCredentialReport", param0)
	return m.GetCredentialReportFunc(param0)
}

func (m *iamMock) GetCredentialReportRequest(param0 *iam.GetCredentialReportInput) (*request.Request, *iam.GetCredentialReportOutput) {
	m.addCall("GetCredentialReportRequest")
	m.verifyInput("GetCredentialReportRequest", param0)
	return m.GetCredentialReportRequestFunc(param0)
}

func (m *iamMock) GetCredentialReportWithContext(param0 aws.Context, param1 *iam.GetCredentialReportInput, param2 ...request.Option) (*iam.GetCredentialReportOutput, error) {
	m.addCall("GetCredentialReportWithContext")
	m.verifyInput("GetCredentialReportWithContext", param0)
	return m.GetCredentialReportWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetGroup(param0 *iam.GetGroupInput) (*iam.GetGroupOutput, error) {
	m.addCall("GetGroup")
	m.verifyInput("GetGroup", param0)
	return m.GetGroupFunc(param0)
}

func (m *iamMock) GetGroupPolicy(param0 *iam.GetGroupPolicyInput) (*iam.GetGroupPolicyOutput, error) {
	m.addCall("GetGroupPolicy")
	m.verifyInput("GetGroupPolicy", param0)
	return m.GetGroupPolicyFunc(param0)
}

func (m *iamMock) GetGroupPolicyRequest(param0 *iam.GetGroupPolicyInput) (*request.Request, *iam.GetGroupPolicyOutput) {
	m.addCall("GetGroupPolicyRequest")
	m.verifyInput("GetGroupPolicyRequest", param0)
	return m.GetGroupPolicyRequestFunc(param0)
}

func (m *iamMock) GetGroupPolicyWithContext(param0 aws.Context, param1 *iam.GetGroupPolicyInput, param2 ...request.Option) (*iam.GetGroupPolicyOutput, error) {
	m.addCall("GetGroupPolicyWithContext")
	m.verifyInput("GetGroupPolicyWithContext", param0)
	return m.GetGroupPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetGroupRequest(param0 *iam.GetGroupInput) (*request.Request, *iam.GetGroupOutput) {
	m.addCall("GetGroupRequest")
	m.verifyInput("GetGroupRequest", param0)
	return m.GetGroupRequestFunc(param0)
}

func (m *iamMock) GetGroupWithContext(param0 aws.Context, param1 *iam.GetGroupInput, param2 ...request.Option) (*iam.GetGroupOutput, error) {
	m.addCall("GetGroupWithContext")
	m.verifyInput("GetGroupWithContext", param0)
	return m.GetGroupWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetInstanceProfile(param0 *iam.GetInstanceProfileInput) (*iam.GetInstanceProfileOutput, error) {
	m.addCall("GetInstanceProfile")
	m.verifyInput("GetInstanceProfile", param0)
	return m.GetInstanceProfileFunc(param0)
}

func (m *iamMock) GetInstanceProfileRequest(param0 *iam.GetInstanceProfileInput) (*request.Request, *iam.GetInstanceProfileOutput) {
	m.addCall("GetInstanceProfileRequest")
	m.verifyInput("GetInstanceProfileRequest", param0)
	return m.GetInstanceProfileRequestFunc(param0)
}

func (m *iamMock) GetInstanceProfileWithContext(param0 aws.Context, param1 *iam.GetInstanceProfileInput, param2 ...request.Option) (*iam.GetInstanceProfileOutput, error) {
	m.addCall("GetInstanceProfileWithContext")
	m.verifyInput("GetInstanceProfileWithContext", param0)
	return m.GetInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetLoginProfile(param0 *iam.GetLoginProfileInput) (*iam.GetLoginProfileOutput, error) {
	m.addCall("GetLoginProfile")
	m.verifyInput("GetLoginProfile", param0)
	return m.GetLoginProfileFunc(param0)
}

func (m *iamMock) GetLoginProfileRequest(param0 *iam.GetLoginProfileInput) (*request.Request, *iam.GetLoginProfileOutput) {
	m.addCall("GetLoginProfileRequest")
	m.verifyInput("GetLoginProfileRequest", param0)
	return m.GetLoginProfileRequestFunc(param0)
}

func (m *iamMock) GetLoginProfileWithContext(param0 aws.Context, param1 *iam.GetLoginProfileInput, param2 ...request.Option) (*iam.GetLoginProfileOutput, error) {
	m.addCall("GetLoginProfileWithContext")
	m.verifyInput("GetLoginProfileWithContext", param0)
	return m.GetLoginProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetOpenIDConnectProvider(param0 *iam.GetOpenIDConnectProviderInput) (*iam.GetOpenIDConnectProviderOutput, error) {
	m.addCall("GetOpenIDConnectProvider")
	m.verifyInput("GetOpenIDConnectProvider", param0)
	return m.GetOpenIDConnectProviderFunc(param0)
}

func (m *iamMock) GetOpenIDConnectProviderRequest(param0 *iam.GetOpenIDConnectProviderInput) (*request.Request, *iam.GetOpenIDConnectProviderOutput) {
	m.addCall("GetOpenIDConnectProviderRequest")
	m.verifyInput("GetOpenIDConnectProviderRequest", param0)
	return m.GetOpenIDConnectProviderRequestFunc(param0)
}

func (m *iamMock) GetOpenIDConnectProviderWithContext(param0 aws.Context, param1 *iam.GetOpenIDConnectProviderInput, param2 ...request.Option) (*iam.GetOpenIDConnectProviderOutput, error) {
	m.addCall("GetOpenIDConnectProviderWithContext")
	m.verifyInput("GetOpenIDConnectProviderWithContext", param0)
	return m.GetOpenIDConnectProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetPolicy(param0 *iam.GetPolicyInput) (*iam.GetPolicyOutput, error) {
	m.addCall("GetPolicy")
	m.verifyInput("GetPolicy", param0)
	return m.GetPolicyFunc(param0)
}

func (m *iamMock) GetPolicyRequest(param0 *iam.GetPolicyInput) (*request.Request, *iam.GetPolicyOutput) {
	m.addCall("GetPolicyRequest")
	m.verifyInput("GetPolicyRequest", param0)
	return m.GetPolicyRequestFunc(param0)
}

func (m *iamMock) GetPolicyVersion(param0 *iam.GetPolicyVersionInput) (*iam.GetPolicyVersionOutput, error) {
	m.addCall("GetPolicyVersion")
	m.verifyInput("GetPolicyVersion", param0)
	return m.GetPolicyVersionFunc(param0)
}

func (m *iamMock) GetPolicyVersionRequest(param0 *iam.GetPolicyVersionInput) (*request.Request, *iam.GetPolicyVersionOutput) {
	m.addCall("GetPolicyVersionRequest")
	m.verifyInput("GetPolicyVersionRequest", param0)
	return m.GetPolicyVersionRequestFunc(param0)
}

func (m *iamMock) GetPolicyVersionWithContext(param0 aws.Context, param1 *iam.GetPolicyVersionInput, param2 ...request.Option) (*iam.GetPolicyVersionOutput, error) {
	m.addCall("GetPolicyVersionWithContext")
	m.verifyInput("GetPolicyVersionWithContext", param0)
	return m.GetPolicyVersionWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetPolicyWithContext(param0 aws.Context, param1 *iam.GetPolicyInput, param2 ...request.Option) (*iam.GetPolicyOutput, error) {
	m.addCall("GetPolicyWithContext")
	m.verifyInput("GetPolicyWithContext", param0)
	return m.GetPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetRole(param0 *iam.GetRoleInput) (*iam.GetRoleOutput, error) {
	m.addCall("GetRole")
	m.verifyInput("GetRole", param0)
	return m.GetRoleFunc(param0)
}

func (m *iamMock) GetRolePolicy(param0 *iam.GetRolePolicyInput) (*iam.GetRolePolicyOutput, error) {
	m.addCall("GetRolePolicy")
	m.verifyInput("GetRolePolicy", param0)
	return m.GetRolePolicyFunc(param0)
}

func (m *iamMock) GetRolePolicyRequest(param0 *iam.GetRolePolicyInput) (*request.Request, *iam.GetRolePolicyOutput) {
	m.addCall("GetRolePolicyRequest")
	m.verifyInput("GetRolePolicyRequest", param0)
	return m.GetRolePolicyRequestFunc(param0)
}

func (m *iamMock) GetRolePolicyWithContext(param0 aws.Context, param1 *iam.GetRolePolicyInput, param2 ...request.Option) (*iam.GetRolePolicyOutput, error) {
	m.addCall("GetRolePolicyWithContext")
	m.verifyInput("GetRolePolicyWithContext", param0)
	return m.GetRolePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetRoleRequest(param0 *iam.GetRoleInput) (*request.Request, *iam.GetRoleOutput) {
	m.addCall("GetRoleRequest")
	m.verifyInput("GetRoleRequest", param0)
	return m.GetRoleRequestFunc(param0)
}

func (m *iamMock) GetRoleWithContext(param0 aws.Context, param1 *iam.GetRoleInput, param2 ...request.Option) (*iam.GetRoleOutput, error) {
	m.addCall("GetRoleWithContext")
	m.verifyInput("GetRoleWithContext", param0)
	return m.GetRoleWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetSAMLProvider(param0 *iam.GetSAMLProviderInput) (*iam.GetSAMLProviderOutput, error) {
	m.addCall("GetSAMLProvider")
	m.verifyInput("GetSAMLProvider", param0)
	return m.GetSAMLProviderFunc(param0)
}

func (m *iamMock) GetSAMLProviderRequest(param0 *iam.GetSAMLProviderInput) (*request.Request, *iam.GetSAMLProviderOutput) {
	m.addCall("GetSAMLProviderRequest")
	m.verifyInput("GetSAMLProviderRequest", param0)
	return m.GetSAMLProviderRequestFunc(param0)
}

func (m *iamMock) GetSAMLProviderWithContext(param0 aws.Context, param1 *iam.GetSAMLProviderInput, param2 ...request.Option) (*iam.GetSAMLProviderOutput, error) {
	m.addCall("GetSAMLProviderWithContext")
	m.verifyInput("GetSAMLProviderWithContext", param0)
	return m.GetSAMLProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetSSHPublicKey(param0 *iam.GetSSHPublicKeyInput) (*iam.GetSSHPublicKeyOutput, error) {
	m.addCall("GetSSHPublicKey")
	m.verifyInput("GetSSHPublicKey", param0)
	return m.GetSSHPublicKeyFunc(param0)
}

func (m *iamMock) GetSSHPublicKeyRequest(param0 *iam.GetSSHPublicKeyInput) (*request.Request, *iam.GetSSHPublicKeyOutput) {
	m.addCall("GetSSHPublicKeyRequest")
	m.verifyInput("GetSSHPublicKeyRequest", param0)
	return m.GetSSHPublicKeyRequestFunc(param0)
}

func (m *iamMock) GetSSHPublicKeyWithContext(param0 aws.Context, param1 *iam.GetSSHPublicKeyInput, param2 ...request.Option) (*iam.GetSSHPublicKeyOutput, error) {
	m.addCall("GetSSHPublicKeyWithContext")
	m.verifyInput("GetSSHPublicKeyWithContext", param0)
	return m.GetSSHPublicKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetServerCertificate(param0 *iam.GetServerCertificateInput) (*iam.GetServerCertificateOutput, error) {
	m.addCall("GetServerCertificate")
	m.verifyInput("GetServerCertificate", param0)
	return m.GetServerCertificateFunc(param0)
}

func (m *iamMock) GetServerCertificateRequest(param0 *iam.GetServerCertificateInput) (*request.Request, *iam.GetServerCertificateOutput) {
	m.addCall("GetServerCertificateRequest")
	m.verifyInput("GetServerCertificateRequest", param0)
	return m.GetServerCertificateRequestFunc(param0)
}

func (m *iamMock) GetServerCertificateWithContext(param0 aws.Context, param1 *iam.GetServerCertificateInput, param2 ...request.Option) (*iam.GetServerCertificateOutput, error) {
	m.addCall("GetServerCertificateWithContext")
	m.verifyInput("GetServerCertificateWithContext", param0)
	return m.GetServerCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetServiceLinkedRoleDeletionStatus(param0 *iam.GetServiceLinkedRoleDeletionStatusInput) (*iam.GetServiceLinkedRoleDeletionStatusOutput, error) {
	m.addCall("GetServiceLinkedRoleDeletionStatus")
	m.verifyInput("GetServiceLinkedRoleDeletionStatus", param0)
	return m.GetServiceLinkedRoleDeletionStatusFunc(param0)
}

func (m *iamMock) GetServiceLinkedRoleDeletionStatusRequest(param0 *iam.GetServiceLinkedRoleDeletionStatusInput) (*request.Request, *iam.GetServiceLinkedRoleDeletionStatusOutput) {
	m.addCall("GetServiceLinkedRoleDeletionStatusRequest")
	m.verifyInput("GetServiceLinkedRoleDeletionStatusRequest", param0)
	return m.GetServiceLinkedRoleDeletionStatusRequestFunc(param0)
}

func (m *iamMock) GetServiceLinkedRoleDeletionStatusWithContext(param0 aws.Context, param1 *iam.GetServiceLinkedRoleDeletionStatusInput, param2 ...request.Option) (*iam.GetServiceLinkedRoleDeletionStatusOutput, error) {
	m.addCall("GetServiceLinkedRoleDeletionStatusWithContext")
	m.verifyInput("GetServiceLinkedRoleDeletionStatusWithContext", param0)
	return m.GetServiceLinkedRoleDeletionStatusWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetUser(param0 *iam.GetUserInput) (*iam.GetUserOutput, error) {
	m.addCall("GetUser")
	m.verifyInput("GetUser", param0)
	return m.GetUserFunc(param0)
}

func (m *iamMock) GetUserPolicy(param0 *iam.GetUserPolicyInput) (*iam.GetUserPolicyOutput, error) {
	m.addCall("GetUserPolicy")
	m.verifyInput("GetUserPolicy", param0)
	return m.GetUserPolicyFunc(param0)
}

func (m *iamMock) GetUserPolicyRequest(param0 *iam.GetUserPolicyInput) (*request.Request, *iam.GetUserPolicyOutput) {
	m.addCall("GetUserPolicyRequest")
	m.verifyInput("GetUserPolicyRequest", param0)
	return m.GetUserPolicyRequestFunc(param0)
}

func (m *iamMock) GetUserPolicyWithContext(param0 aws.Context, param1 *iam.GetUserPolicyInput, param2 ...request.Option) (*iam.GetUserPolicyOutput, error) {
	m.addCall("GetUserPolicyWithContext")
	m.verifyInput("GetUserPolicyWithContext", param0)
	return m.GetUserPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) GetUserRequest(param0 *iam.GetUserInput) (*request.Request, *iam.GetUserOutput) {
	m.addCall("GetUserRequest")
	m.verifyInput("GetUserRequest", param0)
	return m.GetUserRequestFunc(param0)
}

func (m *iamMock) GetUserWithContext(param0 aws.Context, param1 *iam.GetUserInput, param2 ...request.Option) (*iam.GetUserOutput, error) {
	m.addCall("GetUserWithContext")
	m.verifyInput("GetUserWithContext", param0)
	return m.GetUserWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListAccessKeys(param0 *iam.ListAccessKeysInput) (*iam.ListAccessKeysOutput, error) {
	m.addCall("ListAccessKeys")
	m.verifyInput("ListAccessKeys", param0)
	return m.ListAccessKeysFunc(param0)
}

func (m *iamMock) ListAccessKeysRequest(param0 *iam.ListAccessKeysInput) (*request.Request, *iam.ListAccessKeysOutput) {
	m.addCall("ListAccessKeysRequest")
	m.verifyInput("ListAccessKeysRequest", param0)
	return m.ListAccessKeysRequestFunc(param0)
}

func (m *iamMock) ListAccessKeysWithContext(param0 aws.Context, param1 *iam.ListAccessKeysInput, param2 ...request.Option) (*iam.ListAccessKeysOutput, error) {
	m.addCall("ListAccessKeysWithContext")
	m.verifyInput("ListAccessKeysWithContext", param0)
	return m.ListAccessKeysWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListAccountAliases(param0 *iam.ListAccountAliasesInput) (*iam.ListAccountAliasesOutput, error) {
	m.addCall("ListAccountAliases")
	m.verifyInput("ListAccountAliases", param0)
	return m.ListAccountAliasesFunc(param0)
}

func (m *iamMock) ListAccountAliasesRequest(param0 *iam.ListAccountAliasesInput) (*request.Request, *iam.ListAccountAliasesOutput) {
	m.addCall("ListAccountAliasesRequest")
	m.verifyInput("ListAccountAliasesRequest", param0)
	return m.ListAccountAliasesRequestFunc(param0)
}

func (m *iamMock) ListAccountAliasesWithContext(param0 aws.Context, param1 *iam.ListAccountAliasesInput, param2 ...request.Option) (*iam.ListAccountAliasesOutput, error) {
	m.addCall("ListAccountAliasesWithContext")
	m.verifyInput("ListAccountAliasesWithContext", param0)
	return m.ListAccountAliasesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListAttachedGroupPolicies(param0 *iam.ListAttachedGroupPoliciesInput) (*iam.ListAttachedGroupPoliciesOutput, error) {
	m.addCall("ListAttachedGroupPolicies")
	m.verifyInput("ListAttachedGroupPolicies", param0)
	return m.ListAttachedGroupPoliciesFunc(param0)
}

func (m *iamMock) ListAttachedGroupPoliciesRequest(param0 *iam.ListAttachedGroupPoliciesInput) (*request.Request, *iam.ListAttachedGroupPoliciesOutput) {
	m.addCall("ListAttachedGroupPoliciesRequest")
	m.verifyInput("ListAttachedGroupPoliciesRequest", param0)
	return m.ListAttachedGroupPoliciesRequestFunc(param0)
}

func (m *iamMock) ListAttachedGroupPoliciesWithContext(param0 aws.Context, param1 *iam.ListAttachedGroupPoliciesInput, param2 ...request.Option) (*iam.ListAttachedGroupPoliciesOutput, error) {
	m.addCall("ListAttachedGroupPoliciesWithContext")
	m.verifyInput("ListAttachedGroupPoliciesWithContext", param0)
	return m.ListAttachedGroupPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListAttachedRolePolicies(param0 *iam.ListAttachedRolePoliciesInput) (*iam.ListAttachedRolePoliciesOutput, error) {
	m.addCall("ListAttachedRolePolicies")
	m.verifyInput("ListAttachedRolePolicies", param0)
	return m.ListAttachedRolePoliciesFunc(param0)
}

func (m *iamMock) ListAttachedRolePoliciesRequest(param0 *iam.ListAttachedRolePoliciesInput) (*request.Request, *iam.ListAttachedRolePoliciesOutput) {
	m.addCall("ListAttachedRolePoliciesRequest")
	m.verifyInput("ListAttachedRolePoliciesRequest", param0)
	return m.ListAttachedRolePoliciesRequestFunc(param0)
}

func (m *iamMock) ListAttachedRolePoliciesWithContext(param0 aws.Context, param1 *iam.ListAttachedRolePoliciesInput, param2 ...request.Option) (*iam.ListAttachedRolePoliciesOutput, error) {
	m.addCall("ListAttachedRolePoliciesWithContext")
	m.verifyInput("ListAttachedRolePoliciesWithContext", param0)
	return m.ListAttachedRolePoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListAttachedUserPolicies(param0 *iam.ListAttachedUserPoliciesInput) (*iam.ListAttachedUserPoliciesOutput, error) {
	m.addCall("ListAttachedUserPolicies")
	m.verifyInput("ListAttachedUserPolicies", param0)
	return m.ListAttachedUserPoliciesFunc(param0)
}

func (m *iamMock) ListAttachedUserPoliciesRequest(param0 *iam.ListAttachedUserPoliciesInput) (*request.Request, *iam.ListAttachedUserPoliciesOutput) {
	m.addCall("ListAttachedUserPoliciesRequest")
	m.verifyInput("ListAttachedUserPoliciesRequest", param0)
	return m.ListAttachedUserPoliciesRequestFunc(param0)
}

func (m *iamMock) ListAttachedUserPoliciesWithContext(param0 aws.Context, param1 *iam.ListAttachedUserPoliciesInput, param2 ...request.Option) (*iam.ListAttachedUserPoliciesOutput, error) {
	m.addCall("ListAttachedUserPoliciesWithContext")
	m.verifyInput("ListAttachedUserPoliciesWithContext", param0)
	return m.ListAttachedUserPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListEntitiesForPolicy(param0 *iam.ListEntitiesForPolicyInput) (*iam.ListEntitiesForPolicyOutput, error) {
	m.addCall("ListEntitiesForPolicy")
	m.verifyInput("ListEntitiesForPolicy", param0)
	return m.ListEntitiesForPolicyFunc(param0)
}

func (m *iamMock) ListEntitiesForPolicyRequest(param0 *iam.ListEntitiesForPolicyInput) (*request.Request, *iam.ListEntitiesForPolicyOutput) {
	m.addCall("ListEntitiesForPolicyRequest")
	m.verifyInput("ListEntitiesForPolicyRequest", param0)
	return m.ListEntitiesForPolicyRequestFunc(param0)
}

func (m *iamMock) ListEntitiesForPolicyWithContext(param0 aws.Context, param1 *iam.ListEntitiesForPolicyInput, param2 ...request.Option) (*iam.ListEntitiesForPolicyOutput, error) {
	m.addCall("ListEntitiesForPolicyWithContext")
	m.verifyInput("ListEntitiesForPolicyWithContext", param0)
	return m.ListEntitiesForPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListGroupPolicies(param0 *iam.ListGroupPoliciesInput) (*iam.ListGroupPoliciesOutput, error) {
	m.addCall("ListGroupPolicies")
	m.verifyInput("ListGroupPolicies", param0)
	return m.ListGroupPoliciesFunc(param0)
}

func (m *iamMock) ListGroupPoliciesRequest(param0 *iam.ListGroupPoliciesInput) (*request.Request, *iam.ListGroupPoliciesOutput) {
	m.addCall("ListGroupPoliciesRequest")
	m.verifyInput("ListGroupPoliciesRequest", param0)
	return m.ListGroupPoliciesRequestFunc(param0)
}

func (m *iamMock) ListGroupPoliciesWithContext(param0 aws.Context, param1 *iam.ListGroupPoliciesInput, param2 ...request.Option) (*iam.ListGroupPoliciesOutput, error) {
	m.addCall("ListGroupPoliciesWithContext")
	m.verifyInput("ListGroupPoliciesWithContext", param0)
	return m.ListGroupPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListGroups(param0 *iam.ListGroupsInput) (*iam.ListGroupsOutput, error) {
	m.addCall("ListGroups")
	m.verifyInput("ListGroups", param0)
	return m.ListGroupsFunc(param0)
}

func (m *iamMock) ListGroupsForUser(param0 *iam.ListGroupsForUserInput) (*iam.ListGroupsForUserOutput, error) {
	m.addCall("ListGroupsForUser")
	m.verifyInput("ListGroupsForUser", param0)
	return m.ListGroupsForUserFunc(param0)
}

func (m *iamMock) ListGroupsForUserRequest(param0 *iam.ListGroupsForUserInput) (*request.Request, *iam.ListGroupsForUserOutput) {
	m.addCall("ListGroupsForUserRequest")
	m.verifyInput("ListGroupsForUserRequest", param0)
	return m.ListGroupsForUserRequestFunc(param0)
}

func (m *iamMock) ListGroupsForUserWithContext(param0 aws.Context, param1 *iam.ListGroupsForUserInput, param2 ...request.Option) (*iam.ListGroupsForUserOutput, error) {
	m.addCall("ListGroupsForUserWithContext")
	m.verifyInput("ListGroupsForUserWithContext", param0)
	return m.ListGroupsForUserWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListGroupsRequest(param0 *iam.ListGroupsInput) (*request.Request, *iam.ListGroupsOutput) {
	m.addCall("ListGroupsRequest")
	m.verifyInput("ListGroupsRequest", param0)
	return m.ListGroupsRequestFunc(param0)
}

func (m *iamMock) ListGroupsWithContext(param0 aws.Context, param1 *iam.ListGroupsInput, param2 ...request.Option) (*iam.ListGroupsOutput, error) {
	m.addCall("ListGroupsWithContext")
	m.verifyInput("ListGroupsWithContext", param0)
	return m.ListGroupsWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListInstanceProfiles(param0 *iam.ListInstanceProfilesInput) (*iam.ListInstanceProfilesOutput, error) {
	m.addCall("ListInstanceProfiles")
	m.verifyInput("ListInstanceProfiles", param0)
	return m.ListInstanceProfilesFunc(param0)
}

func (m *iamMock) ListInstanceProfilesForRole(param0 *iam.ListInstanceProfilesForRoleInput) (*iam.ListInstanceProfilesForRoleOutput, error) {
	m.addCall("ListInstanceProfilesForRole")
	m.verifyInput("ListInstanceProfilesForRole", param0)
	return m.ListInstanceProfilesForRoleFunc(param0)
}

func (m *iamMock) ListInstanceProfilesForRoleRequest(param0 *iam.ListInstanceProfilesForRoleInput) (*request.Request, *iam.ListInstanceProfilesForRoleOutput) {
	m.addCall("ListInstanceProfilesForRoleRequest")
	m.verifyInput("ListInstanceProfilesForRoleRequest", param0)
	return m.ListInstanceProfilesForRoleRequestFunc(param0)
}

func (m *iamMock) ListInstanceProfilesForRoleWithContext(param0 aws.Context, param1 *iam.ListInstanceProfilesForRoleInput, param2 ...request.Option) (*iam.ListInstanceProfilesForRoleOutput, error) {
	m.addCall("ListInstanceProfilesForRoleWithContext")
	m.verifyInput("ListInstanceProfilesForRoleWithContext", param0)
	return m.ListInstanceProfilesForRoleWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListInstanceProfilesRequest(param0 *iam.ListInstanceProfilesInput) (*request.Request, *iam.ListInstanceProfilesOutput) {
	m.addCall("ListInstanceProfilesRequest")
	m.verifyInput("ListInstanceProfilesRequest", param0)
	return m.ListInstanceProfilesRequestFunc(param0)
}

func (m *iamMock) ListInstanceProfilesWithContext(param0 aws.Context, param1 *iam.ListInstanceProfilesInput, param2 ...request.Option) (*iam.ListInstanceProfilesOutput, error) {
	m.addCall("ListInstanceProfilesWithContext")
	m.verifyInput("ListInstanceProfilesWithContext", param0)
	return m.ListInstanceProfilesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListMFADevices(param0 *iam.ListMFADevicesInput) (*iam.ListMFADevicesOutput, error) {
	m.addCall("ListMFADevices")
	m.verifyInput("ListMFADevices", param0)
	return m.ListMFADevicesFunc(param0)
}

func (m *iamMock) ListMFADevicesRequest(param0 *iam.ListMFADevicesInput) (*request.Request, *iam.ListMFADevicesOutput) {
	m.addCall("ListMFADevicesRequest")
	m.verifyInput("ListMFADevicesRequest", param0)
	return m.ListMFADevicesRequestFunc(param0)
}

func (m *iamMock) ListMFADevicesWithContext(param0 aws.Context, param1 *iam.ListMFADevicesInput, param2 ...request.Option) (*iam.ListMFADevicesOutput, error) {
	m.addCall("ListMFADevicesWithContext")
	m.verifyInput("ListMFADevicesWithContext", param0)
	return m.ListMFADevicesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListOpenIDConnectProviders(param0 *iam.ListOpenIDConnectProvidersInput) (*iam.ListOpenIDConnectProvidersOutput, error) {
	m.addCall("ListOpenIDConnectProviders")
	m.verifyInput("ListOpenIDConnectProviders", param0)
	return m.ListOpenIDConnectProvidersFunc(param0)
}

func (m *iamMock) ListOpenIDConnectProvidersRequest(param0 *iam.ListOpenIDConnectProvidersInput) (*request.Request, *iam.ListOpenIDConnectProvidersOutput) {
	m.addCall("ListOpenIDConnectProvidersRequest")
	m.verifyInput("ListOpenIDConnectProvidersRequest", param0)
	return m.ListOpenIDConnectProvidersRequestFunc(param0)
}

func (m *iamMock) ListOpenIDConnectProvidersWithContext(param0 aws.Context, param1 *iam.ListOpenIDConnectProvidersInput, param2 ...request.Option) (*iam.ListOpenIDConnectProvidersOutput, error) {
	m.addCall("ListOpenIDConnectProvidersWithContext")
	m.verifyInput("ListOpenIDConnectProvidersWithContext", param0)
	return m.ListOpenIDConnectProvidersWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListPolicies(param0 *iam.ListPoliciesInput) (*iam.ListPoliciesOutput, error) {
	m.addCall("ListPolicies")
	m.verifyInput("ListPolicies", param0)
	return m.ListPoliciesFunc(param0)
}

func (m *iamMock) ListPoliciesRequest(param0 *iam.ListPoliciesInput) (*request.Request, *iam.ListPoliciesOutput) {
	m.addCall("ListPoliciesRequest")
	m.verifyInput("ListPoliciesRequest", param0)
	return m.ListPoliciesRequestFunc(param0)
}

func (m *iamMock) ListPoliciesWithContext(param0 aws.Context, param1 *iam.ListPoliciesInput, param2 ...request.Option) (*iam.ListPoliciesOutput, error) {
	m.addCall("ListPoliciesWithContext")
	m.verifyInput("ListPoliciesWithContext", param0)
	return m.ListPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListPolicyVersions(param0 *iam.ListPolicyVersionsInput) (*iam.ListPolicyVersionsOutput, error) {
	m.addCall("ListPolicyVersions")
	m.verifyInput("ListPolicyVersions", param0)
	return m.ListPolicyVersionsFunc(param0)
}

func (m *iamMock) ListPolicyVersionsRequest(param0 *iam.ListPolicyVersionsInput) (*request.Request, *iam.ListPolicyVersionsOutput) {
	m.addCall("ListPolicyVersionsRequest")
	m.verifyInput("ListPolicyVersionsRequest", param0)
	return m.ListPolicyVersionsRequestFunc(param0)
}

func (m *iamMock) ListPolicyVersionsWithContext(param0 aws.Context, param1 *iam.ListPolicyVersionsInput, param2 ...request.Option) (*iam.ListPolicyVersionsOutput, error) {
	m.addCall("ListPolicyVersionsWithContext")
	m.verifyInput("ListPolicyVersionsWithContext", param0)
	return m.ListPolicyVersionsWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListRolePolicies(param0 *iam.ListRolePoliciesInput) (*iam.ListRolePoliciesOutput, error) {
	m.addCall("ListRolePolicies")
	m.verifyInput("ListRolePolicies", param0)
	return m.ListRolePoliciesFunc(param0)
}

func (m *iamMock) ListRolePoliciesRequest(param0 *iam.ListRolePoliciesInput) (*request.Request, *iam.ListRolePoliciesOutput) {
	m.addCall("ListRolePoliciesRequest")
	m.verifyInput("ListRolePoliciesRequest", param0)
	return m.ListRolePoliciesRequestFunc(param0)
}

func (m *iamMock) ListRolePoliciesWithContext(param0 aws.Context, param1 *iam.ListRolePoliciesInput, param2 ...request.Option) (*iam.ListRolePoliciesOutput, error) {
	m.addCall("ListRolePoliciesWithContext")
	m.verifyInput("ListRolePoliciesWithContext", param0)
	return m.ListRolePoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListRoles(param0 *iam.ListRolesInput) (*iam.ListRolesOutput, error) {
	m.addCall("ListRoles")
	m.verifyInput("ListRoles", param0)
	return m.ListRolesFunc(param0)
}

func (m *iamMock) ListRolesRequest(param0 *iam.ListRolesInput) (*request.Request, *iam.ListRolesOutput) {
	m.addCall("ListRolesRequest")
	m.verifyInput("ListRolesRequest", param0)
	return m.ListRolesRequestFunc(param0)
}

func (m *iamMock) ListRolesWithContext(param0 aws.Context, param1 *iam.ListRolesInput, param2 ...request.Option) (*iam.ListRolesOutput, error) {
	m.addCall("ListRolesWithContext")
	m.verifyInput("ListRolesWithContext", param0)
	return m.ListRolesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListSAMLProviders(param0 *iam.ListSAMLProvidersInput) (*iam.ListSAMLProvidersOutput, error) {
	m.addCall("ListSAMLProviders")
	m.verifyInput("ListSAMLProviders", param0)
	return m.ListSAMLProvidersFunc(param0)
}

func (m *iamMock) ListSAMLProvidersRequest(param0 *iam.ListSAMLProvidersInput) (*request.Request, *iam.ListSAMLProvidersOutput) {
	m.addCall("ListSAMLProvidersRequest")
	m.verifyInput("ListSAMLProvidersRequest", param0)
	return m.ListSAMLProvidersRequestFunc(param0)
}

func (m *iamMock) ListSAMLProvidersWithContext(param0 aws.Context, param1 *iam.ListSAMLProvidersInput, param2 ...request.Option) (*iam.ListSAMLProvidersOutput, error) {
	m.addCall("ListSAMLProvidersWithContext")
	m.verifyInput("ListSAMLProvidersWithContext", param0)
	return m.ListSAMLProvidersWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListSSHPublicKeys(param0 *iam.ListSSHPublicKeysInput) (*iam.ListSSHPublicKeysOutput, error) {
	m.addCall("ListSSHPublicKeys")
	m.verifyInput("ListSSHPublicKeys", param0)
	return m.ListSSHPublicKeysFunc(param0)
}

func (m *iamMock) ListSSHPublicKeysRequest(param0 *iam.ListSSHPublicKeysInput) (*request.Request, *iam.ListSSHPublicKeysOutput) {
	m.addCall("ListSSHPublicKeysRequest")
	m.verifyInput("ListSSHPublicKeysRequest", param0)
	return m.ListSSHPublicKeysRequestFunc(param0)
}

func (m *iamMock) ListSSHPublicKeysWithContext(param0 aws.Context, param1 *iam.ListSSHPublicKeysInput, param2 ...request.Option) (*iam.ListSSHPublicKeysOutput, error) {
	m.addCall("ListSSHPublicKeysWithContext")
	m.verifyInput("ListSSHPublicKeysWithContext", param0)
	return m.ListSSHPublicKeysWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListServerCertificates(param0 *iam.ListServerCertificatesInput) (*iam.ListServerCertificatesOutput, error) {
	m.addCall("ListServerCertificates")
	m.verifyInput("ListServerCertificates", param0)
	return m.ListServerCertificatesFunc(param0)
}

func (m *iamMock) ListServerCertificatesRequest(param0 *iam.ListServerCertificatesInput) (*request.Request, *iam.ListServerCertificatesOutput) {
	m.addCall("ListServerCertificatesRequest")
	m.verifyInput("ListServerCertificatesRequest", param0)
	return m.ListServerCertificatesRequestFunc(param0)
}

func (m *iamMock) ListServerCertificatesWithContext(param0 aws.Context, param1 *iam.ListServerCertificatesInput, param2 ...request.Option) (*iam.ListServerCertificatesOutput, error) {
	m.addCall("ListServerCertificatesWithContext")
	m.verifyInput("ListServerCertificatesWithContext", param0)
	return m.ListServerCertificatesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListServiceSpecificCredentials(param0 *iam.ListServiceSpecificCredentialsInput) (*iam.ListServiceSpecificCredentialsOutput, error) {
	m.addCall("ListServiceSpecificCredentials")
	m.verifyInput("ListServiceSpecificCredentials", param0)
	return m.ListServiceSpecificCredentialsFunc(param0)
}

func (m *iamMock) ListServiceSpecificCredentialsRequest(param0 *iam.ListServiceSpecificCredentialsInput) (*request.Request, *iam.ListServiceSpecificCredentialsOutput) {
	m.addCall("ListServiceSpecificCredentialsRequest")
	m.verifyInput("ListServiceSpecificCredentialsRequest", param0)
	return m.ListServiceSpecificCredentialsRequestFunc(param0)
}

func (m *iamMock) ListServiceSpecificCredentialsWithContext(param0 aws.Context, param1 *iam.ListServiceSpecificCredentialsInput, param2 ...request.Option) (*iam.ListServiceSpecificCredentialsOutput, error) {
	m.addCall("ListServiceSpecificCredentialsWithContext")
	m.verifyInput("ListServiceSpecificCredentialsWithContext", param0)
	return m.ListServiceSpecificCredentialsWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListSigningCertificates(param0 *iam.ListSigningCertificatesInput) (*iam.ListSigningCertificatesOutput, error) {
	m.addCall("ListSigningCertificates")
	m.verifyInput("ListSigningCertificates", param0)
	return m.ListSigningCertificatesFunc(param0)
}

func (m *iamMock) ListSigningCertificatesRequest(param0 *iam.ListSigningCertificatesInput) (*request.Request, *iam.ListSigningCertificatesOutput) {
	m.addCall("ListSigningCertificatesRequest")
	m.verifyInput("ListSigningCertificatesRequest", param0)
	return m.ListSigningCertificatesRequestFunc(param0)
}

func (m *iamMock) ListSigningCertificatesWithContext(param0 aws.Context, param1 *iam.ListSigningCertificatesInput, param2 ...request.Option) (*iam.ListSigningCertificatesOutput, error) {
	m.addCall("ListSigningCertificatesWithContext")
	m.verifyInput("ListSigningCertificatesWithContext", param0)
	return m.ListSigningCertificatesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListUserPolicies(param0 *iam.ListUserPoliciesInput) (*iam.ListUserPoliciesOutput, error) {
	m.addCall("ListUserPolicies")
	m.verifyInput("ListUserPolicies", param0)
	return m.ListUserPoliciesFunc(param0)
}

func (m *iamMock) ListUserPoliciesRequest(param0 *iam.ListUserPoliciesInput) (*request.Request, *iam.ListUserPoliciesOutput) {
	m.addCall("ListUserPoliciesRequest")
	m.verifyInput("ListUserPoliciesRequest", param0)
	return m.ListUserPoliciesRequestFunc(param0)
}

func (m *iamMock) ListUserPoliciesWithContext(param0 aws.Context, param1 *iam.ListUserPoliciesInput, param2 ...request.Option) (*iam.ListUserPoliciesOutput, error) {
	m.addCall("ListUserPoliciesWithContext")
	m.verifyInput("ListUserPoliciesWithContext", param0)
	return m.ListUserPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListUsers(param0 *iam.ListUsersInput) (*iam.ListUsersOutput, error) {
	m.addCall("ListUsers")
	m.verifyInput("ListUsers", param0)
	return m.ListUsersFunc(param0)
}

func (m *iamMock) ListUsersRequest(param0 *iam.ListUsersInput) (*request.Request, *iam.ListUsersOutput) {
	m.addCall("ListUsersRequest")
	m.verifyInput("ListUsersRequest", param0)
	return m.ListUsersRequestFunc(param0)
}

func (m *iamMock) ListUsersWithContext(param0 aws.Context, param1 *iam.ListUsersInput, param2 ...request.Option) (*iam.ListUsersOutput, error) {
	m.addCall("ListUsersWithContext")
	m.verifyInput("ListUsersWithContext", param0)
	return m.ListUsersWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ListVirtualMFADevices(param0 *iam.ListVirtualMFADevicesInput) (*iam.ListVirtualMFADevicesOutput, error) {
	m.addCall("ListVirtualMFADevices")
	m.verifyInput("ListVirtualMFADevices", param0)
	return m.ListVirtualMFADevicesFunc(param0)
}

func (m *iamMock) ListVirtualMFADevicesRequest(param0 *iam.ListVirtualMFADevicesInput) (*request.Request, *iam.ListVirtualMFADevicesOutput) {
	m.addCall("ListVirtualMFADevicesRequest")
	m.verifyInput("ListVirtualMFADevicesRequest", param0)
	return m.ListVirtualMFADevicesRequestFunc(param0)
}

func (m *iamMock) ListVirtualMFADevicesWithContext(param0 aws.Context, param1 *iam.ListVirtualMFADevicesInput, param2 ...request.Option) (*iam.ListVirtualMFADevicesOutput, error) {
	m.addCall("ListVirtualMFADevicesWithContext")
	m.verifyInput("ListVirtualMFADevicesWithContext", param0)
	return m.ListVirtualMFADevicesWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) PutGroupPolicy(param0 *iam.PutGroupPolicyInput) (*iam.PutGroupPolicyOutput, error) {
	m.addCall("PutGroupPolicy")
	m.verifyInput("PutGroupPolicy", param0)
	return m.PutGroupPolicyFunc(param0)
}

func (m *iamMock) PutGroupPolicyRequest(param0 *iam.PutGroupPolicyInput) (*request.Request, *iam.PutGroupPolicyOutput) {
	m.addCall("PutGroupPolicyRequest")
	m.verifyInput("PutGroupPolicyRequest", param0)
	return m.PutGroupPolicyRequestFunc(param0)
}

func (m *iamMock) PutGroupPolicyWithContext(param0 aws.Context, param1 *iam.PutGroupPolicyInput, param2 ...request.Option) (*iam.PutGroupPolicyOutput, error) {
	m.addCall("PutGroupPolicyWithContext")
	m.verifyInput("PutGroupPolicyWithContext", param0)
	return m.PutGroupPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) PutRolePolicy(param0 *iam.PutRolePolicyInput) (*iam.PutRolePolicyOutput, error) {
	m.addCall("PutRolePolicy")
	m.verifyInput("PutRolePolicy", param0)
	return m.PutRolePolicyFunc(param0)
}

func (m *iamMock) PutRolePolicyRequest(param0 *iam.PutRolePolicyInput) (*request.Request, *iam.PutRolePolicyOutput) {
	m.addCall("PutRolePolicyRequest")
	m.verifyInput("PutRolePolicyRequest", param0)
	return m.PutRolePolicyRequestFunc(param0)
}

func (m *iamMock) PutRolePolicyWithContext(param0 aws.Context, param1 *iam.PutRolePolicyInput, param2 ...request.Option) (*iam.PutRolePolicyOutput, error) {
	m.addCall("PutRolePolicyWithContext")
	m.verifyInput("PutRolePolicyWithContext", param0)
	return m.PutRolePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) PutUserPolicy(param0 *iam.PutUserPolicyInput) (*iam.PutUserPolicyOutput, error) {
	m.addCall("PutUserPolicy")
	m.verifyInput("PutUserPolicy", param0)
	return m.PutUserPolicyFunc(param0)
}

func (m *iamMock) PutUserPolicyRequest(param0 *iam.PutUserPolicyInput) (*request.Request, *iam.PutUserPolicyOutput) {
	m.addCall("PutUserPolicyRequest")
	m.verifyInput("PutUserPolicyRequest", param0)
	return m.PutUserPolicyRequestFunc(param0)
}

func (m *iamMock) PutUserPolicyWithContext(param0 aws.Context, param1 *iam.PutUserPolicyInput, param2 ...request.Option) (*iam.PutUserPolicyOutput, error) {
	m.addCall("PutUserPolicyWithContext")
	m.verifyInput("PutUserPolicyWithContext", param0)
	return m.PutUserPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) RemoveClientIDFromOpenIDConnectProvider(param0 *iam.RemoveClientIDFromOpenIDConnectProviderInput) (*iam.RemoveClientIDFromOpenIDConnectProviderOutput, error) {
	m.addCall("RemoveClientIDFromOpenIDConnectProvider")
	m.verifyInput("RemoveClientIDFromOpenIDConnectProvider", param0)
	return m.RemoveClientIDFromOpenIDConnectProviderFunc(param0)
}

func (m *iamMock) RemoveClientIDFromOpenIDConnectProviderRequest(param0 *iam.RemoveClientIDFromOpenIDConnectProviderInput) (*request.Request, *iam.RemoveClientIDFromOpenIDConnectProviderOutput) {
	m.addCall("RemoveClientIDFromOpenIDConnectProviderRequest")
	m.verifyInput("RemoveClientIDFromOpenIDConnectProviderRequest", param0)
	return m.RemoveClientIDFromOpenIDConnectProviderRequestFunc(param0)
}

func (m *iamMock) RemoveClientIDFromOpenIDConnectProviderWithContext(param0 aws.Context, param1 *iam.RemoveClientIDFromOpenIDConnectProviderInput, param2 ...request.Option) (*iam.RemoveClientIDFromOpenIDConnectProviderOutput, error) {
	m.addCall("RemoveClientIDFromOpenIDConnectProviderWithContext")
	m.verifyInput("RemoveClientIDFromOpenIDConnectProviderWithContext", param0)
	return m.RemoveClientIDFromOpenIDConnectProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) RemoveRoleFromInstanceProfile(param0 *iam.RemoveRoleFromInstanceProfileInput) (*iam.RemoveRoleFromInstanceProfileOutput, error) {
	m.addCall("RemoveRoleFromInstanceProfile")
	m.verifyInput("RemoveRoleFromInstanceProfile", param0)
	return m.RemoveRoleFromInstanceProfileFunc(param0)
}

func (m *iamMock) RemoveRoleFromInstanceProfileRequest(param0 *iam.RemoveRoleFromInstanceProfileInput) (*request.Request, *iam.RemoveRoleFromInstanceProfileOutput) {
	m.addCall("RemoveRoleFromInstanceProfileRequest")
	m.verifyInput("RemoveRoleFromInstanceProfileRequest", param0)
	return m.RemoveRoleFromInstanceProfileRequestFunc(param0)
}

func (m *iamMock) RemoveRoleFromInstanceProfileWithContext(param0 aws.Context, param1 *iam.RemoveRoleFromInstanceProfileInput, param2 ...request.Option) (*iam.RemoveRoleFromInstanceProfileOutput, error) {
	m.addCall("RemoveRoleFromInstanceProfileWithContext")
	m.verifyInput("RemoveRoleFromInstanceProfileWithContext", param0)
	return m.RemoveRoleFromInstanceProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) RemoveUserFromGroup(param0 *iam.RemoveUserFromGroupInput) (*iam.RemoveUserFromGroupOutput, error) {
	m.addCall("RemoveUserFromGroup")
	m.verifyInput("RemoveUserFromGroup", param0)
	return m.RemoveUserFromGroupFunc(param0)
}

func (m *iamMock) RemoveUserFromGroupRequest(param0 *iam.RemoveUserFromGroupInput) (*request.Request, *iam.RemoveUserFromGroupOutput) {
	m.addCall("RemoveUserFromGroupRequest")
	m.verifyInput("RemoveUserFromGroupRequest", param0)
	return m.RemoveUserFromGroupRequestFunc(param0)
}

func (m *iamMock) RemoveUserFromGroupWithContext(param0 aws.Context, param1 *iam.RemoveUserFromGroupInput, param2 ...request.Option) (*iam.RemoveUserFromGroupOutput, error) {
	m.addCall("RemoveUserFromGroupWithContext")
	m.verifyInput("RemoveUserFromGroupWithContext", param0)
	return m.RemoveUserFromGroupWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ResetServiceSpecificCredential(param0 *iam.ResetServiceSpecificCredentialInput) (*iam.ResetServiceSpecificCredentialOutput, error) {
	m.addCall("ResetServiceSpecificCredential")
	m.verifyInput("ResetServiceSpecificCredential", param0)
	return m.ResetServiceSpecificCredentialFunc(param0)
}

func (m *iamMock) ResetServiceSpecificCredentialRequest(param0 *iam.ResetServiceSpecificCredentialInput) (*request.Request, *iam.ResetServiceSpecificCredentialOutput) {
	m.addCall("ResetServiceSpecificCredentialRequest")
	m.verifyInput("ResetServiceSpecificCredentialRequest", param0)
	return m.ResetServiceSpecificCredentialRequestFunc(param0)
}

func (m *iamMock) ResetServiceSpecificCredentialWithContext(param0 aws.Context, param1 *iam.ResetServiceSpecificCredentialInput, param2 ...request.Option) (*iam.ResetServiceSpecificCredentialOutput, error) {
	m.addCall("ResetServiceSpecificCredentialWithContext")
	m.verifyInput("ResetServiceSpecificCredentialWithContext", param0)
	return m.ResetServiceSpecificCredentialWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) ResyncMFADevice(param0 *iam.ResyncMFADeviceInput) (*iam.ResyncMFADeviceOutput, error) {
	m.addCall("ResyncMFADevice")
	m.verifyInput("ResyncMFADevice", param0)
	return m.ResyncMFADeviceFunc(param0)
}

func (m *iamMock) ResyncMFADeviceRequest(param0 *iam.ResyncMFADeviceInput) (*request.Request, *iam.ResyncMFADeviceOutput) {
	m.addCall("ResyncMFADeviceRequest")
	m.verifyInput("ResyncMFADeviceRequest", param0)
	return m.ResyncMFADeviceRequestFunc(param0)
}

func (m *iamMock) ResyncMFADeviceWithContext(param0 aws.Context, param1 *iam.ResyncMFADeviceInput, param2 ...request.Option) (*iam.ResyncMFADeviceOutput, error) {
	m.addCall("ResyncMFADeviceWithContext")
	m.verifyInput("ResyncMFADeviceWithContext", param0)
	return m.ResyncMFADeviceWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) SetDefaultPolicyVersion(param0 *iam.SetDefaultPolicyVersionInput) (*iam.SetDefaultPolicyVersionOutput, error) {
	m.addCall("SetDefaultPolicyVersion")
	m.verifyInput("SetDefaultPolicyVersion", param0)
	return m.SetDefaultPolicyVersionFunc(param0)
}

func (m *iamMock) SetDefaultPolicyVersionRequest(param0 *iam.SetDefaultPolicyVersionInput) (*request.Request, *iam.SetDefaultPolicyVersionOutput) {
	m.addCall("SetDefaultPolicyVersionRequest")
	m.verifyInput("SetDefaultPolicyVersionRequest", param0)
	return m.SetDefaultPolicyVersionRequestFunc(param0)
}

func (m *iamMock) SetDefaultPolicyVersionWithContext(param0 aws.Context, param1 *iam.SetDefaultPolicyVersionInput, param2 ...request.Option) (*iam.SetDefaultPolicyVersionOutput, error) {
	m.addCall("SetDefaultPolicyVersionWithContext")
	m.verifyInput("SetDefaultPolicyVersionWithContext", param0)
	return m.SetDefaultPolicyVersionWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) SimulateCustomPolicy(param0 *iam.SimulateCustomPolicyInput) (*iam.SimulatePolicyResponse, error) {
	m.addCall("SimulateCustomPolicy")
	m.verifyInput("SimulateCustomPolicy", param0)
	return m.SimulateCustomPolicyFunc(param0)
}

func (m *iamMock) SimulateCustomPolicyRequest(param0 *iam.SimulateCustomPolicyInput) (*request.Request, *iam.SimulatePolicyResponse) {
	m.addCall("SimulateCustomPolicyRequest")
	m.verifyInput("SimulateCustomPolicyRequest", param0)
	return m.SimulateCustomPolicyRequestFunc(param0)
}

func (m *iamMock) SimulateCustomPolicyWithContext(param0 aws.Context, param1 *iam.SimulateCustomPolicyInput, param2 ...request.Option) (*iam.SimulatePolicyResponse, error) {
	m.addCall("SimulateCustomPolicyWithContext")
	m.verifyInput("SimulateCustomPolicyWithContext", param0)
	return m.SimulateCustomPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) SimulatePrincipalPolicy(param0 *iam.SimulatePrincipalPolicyInput) (*iam.SimulatePolicyResponse, error) {
	m.addCall("SimulatePrincipalPolicy")
	m.verifyInput("SimulatePrincipalPolicy", param0)
	return m.SimulatePrincipalPolicyFunc(param0)
}

func (m *iamMock) SimulatePrincipalPolicyRequest(param0 *iam.SimulatePrincipalPolicyInput) (*request.Request, *iam.SimulatePolicyResponse) {
	m.addCall("SimulatePrincipalPolicyRequest")
	m.verifyInput("SimulatePrincipalPolicyRequest", param0)
	return m.SimulatePrincipalPolicyRequestFunc(param0)
}

func (m *iamMock) SimulatePrincipalPolicyWithContext(param0 aws.Context, param1 *iam.SimulatePrincipalPolicyInput, param2 ...request.Option) (*iam.SimulatePolicyResponse, error) {
	m.addCall("SimulatePrincipalPolicyWithContext")
	m.verifyInput("SimulatePrincipalPolicyWithContext", param0)
	return m.SimulatePrincipalPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateAccessKey(param0 *iam.UpdateAccessKeyInput) (*iam.UpdateAccessKeyOutput, error) {
	m.addCall("UpdateAccessKey")
	m.verifyInput("UpdateAccessKey", param0)
	return m.UpdateAccessKeyFunc(param0)
}

func (m *iamMock) UpdateAccessKeyRequest(param0 *iam.UpdateAccessKeyInput) (*request.Request, *iam.UpdateAccessKeyOutput) {
	m.addCall("UpdateAccessKeyRequest")
	m.verifyInput("UpdateAccessKeyRequest", param0)
	return m.UpdateAccessKeyRequestFunc(param0)
}

func (m *iamMock) UpdateAccessKeyWithContext(param0 aws.Context, param1 *iam.UpdateAccessKeyInput, param2 ...request.Option) (*iam.UpdateAccessKeyOutput, error) {
	m.addCall("UpdateAccessKeyWithContext")
	m.verifyInput("UpdateAccessKeyWithContext", param0)
	return m.UpdateAccessKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateAccountPasswordPolicy(param0 *iam.UpdateAccountPasswordPolicyInput) (*iam.UpdateAccountPasswordPolicyOutput, error) {
	m.addCall("UpdateAccountPasswordPolicy")
	m.verifyInput("UpdateAccountPasswordPolicy", param0)
	return m.UpdateAccountPasswordPolicyFunc(param0)
}

func (m *iamMock) UpdateAccountPasswordPolicyRequest(param0 *iam.UpdateAccountPasswordPolicyInput) (*request.Request, *iam.UpdateAccountPasswordPolicyOutput) {
	m.addCall("UpdateAccountPasswordPolicyRequest")
	m.verifyInput("UpdateAccountPasswordPolicyRequest", param0)
	return m.UpdateAccountPasswordPolicyRequestFunc(param0)
}

func (m *iamMock) UpdateAccountPasswordPolicyWithContext(param0 aws.Context, param1 *iam.UpdateAccountPasswordPolicyInput, param2 ...request.Option) (*iam.UpdateAccountPasswordPolicyOutput, error) {
	m.addCall("UpdateAccountPasswordPolicyWithContext")
	m.verifyInput("UpdateAccountPasswordPolicyWithContext", param0)
	return m.UpdateAccountPasswordPolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateAssumeRolePolicy(param0 *iam.UpdateAssumeRolePolicyInput) (*iam.UpdateAssumeRolePolicyOutput, error) {
	m.addCall("UpdateAssumeRolePolicy")
	m.verifyInput("UpdateAssumeRolePolicy", param0)
	return m.UpdateAssumeRolePolicyFunc(param0)
}

func (m *iamMock) UpdateAssumeRolePolicyRequest(param0 *iam.UpdateAssumeRolePolicyInput) (*request.Request, *iam.UpdateAssumeRolePolicyOutput) {
	m.addCall("UpdateAssumeRolePolicyRequest")
	m.verifyInput("UpdateAssumeRolePolicyRequest", param0)
	return m.UpdateAssumeRolePolicyRequestFunc(param0)
}

func (m *iamMock) UpdateAssumeRolePolicyWithContext(param0 aws.Context, param1 *iam.UpdateAssumeRolePolicyInput, param2 ...request.Option) (*iam.UpdateAssumeRolePolicyOutput, error) {
	m.addCall("UpdateAssumeRolePolicyWithContext")
	m.verifyInput("UpdateAssumeRolePolicyWithContext", param0)
	return m.UpdateAssumeRolePolicyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateGroup(param0 *iam.UpdateGroupInput) (*iam.UpdateGroupOutput, error) {
	m.addCall("UpdateGroup")
	m.verifyInput("UpdateGroup", param0)
	return m.UpdateGroupFunc(param0)
}

func (m *iamMock) UpdateGroupRequest(param0 *iam.UpdateGroupInput) (*request.Request, *iam.UpdateGroupOutput) {
	m.addCall("UpdateGroupRequest")
	m.verifyInput("UpdateGroupRequest", param0)
	return m.UpdateGroupRequestFunc(param0)
}

func (m *iamMock) UpdateGroupWithContext(param0 aws.Context, param1 *iam.UpdateGroupInput, param2 ...request.Option) (*iam.UpdateGroupOutput, error) {
	m.addCall("UpdateGroupWithContext")
	m.verifyInput("UpdateGroupWithContext", param0)
	return m.UpdateGroupWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateLoginProfile(param0 *iam.UpdateLoginProfileInput) (*iam.UpdateLoginProfileOutput, error) {
	m.addCall("UpdateLoginProfile")
	m.verifyInput("UpdateLoginProfile", param0)
	return m.UpdateLoginProfileFunc(param0)
}

func (m *iamMock) UpdateLoginProfileRequest(param0 *iam.UpdateLoginProfileInput) (*request.Request, *iam.UpdateLoginProfileOutput) {
	m.addCall("UpdateLoginProfileRequest")
	m.verifyInput("UpdateLoginProfileRequest", param0)
	return m.UpdateLoginProfileRequestFunc(param0)
}

func (m *iamMock) UpdateLoginProfileWithContext(param0 aws.Context, param1 *iam.UpdateLoginProfileInput, param2 ...request.Option) (*iam.UpdateLoginProfileOutput, error) {
	m.addCall("UpdateLoginProfileWithContext")
	m.verifyInput("UpdateLoginProfileWithContext", param0)
	return m.UpdateLoginProfileWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateOpenIDConnectProviderThumbprint(param0 *iam.UpdateOpenIDConnectProviderThumbprintInput) (*iam.UpdateOpenIDConnectProviderThumbprintOutput, error) {
	m.addCall("UpdateOpenIDConnectProviderThumbprint")
	m.verifyInput("UpdateOpenIDConnectProviderThumbprint", param0)
	return m.UpdateOpenIDConnectProviderThumbprintFunc(param0)
}

func (m *iamMock) UpdateOpenIDConnectProviderThumbprintRequest(param0 *iam.UpdateOpenIDConnectProviderThumbprintInput) (*request.Request, *iam.UpdateOpenIDConnectProviderThumbprintOutput) {
	m.addCall("UpdateOpenIDConnectProviderThumbprintRequest")
	m.verifyInput("UpdateOpenIDConnectProviderThumbprintRequest", param0)
	return m.UpdateOpenIDConnectProviderThumbprintRequestFunc(param0)
}

func (m *iamMock) UpdateOpenIDConnectProviderThumbprintWithContext(param0 aws.Context, param1 *iam.UpdateOpenIDConnectProviderThumbprintInput, param2 ...request.Option) (*iam.UpdateOpenIDConnectProviderThumbprintOutput, error) {
	m.addCall("UpdateOpenIDConnectProviderThumbprintWithContext")
	m.verifyInput("UpdateOpenIDConnectProviderThumbprintWithContext", param0)
	return m.UpdateOpenIDConnectProviderThumbprintWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateRoleDescription(param0 *iam.UpdateRoleDescriptionInput) (*iam.UpdateRoleDescriptionOutput, error) {
	m.addCall("UpdateRoleDescription")
	m.verifyInput("UpdateRoleDescription", param0)
	return m.UpdateRoleDescriptionFunc(param0)
}

func (m *iamMock) UpdateRoleDescriptionRequest(param0 *iam.UpdateRoleDescriptionInput) (*request.Request, *iam.UpdateRoleDescriptionOutput) {
	m.addCall("UpdateRoleDescriptionRequest")
	m.verifyInput("UpdateRoleDescriptionRequest", param0)
	return m.UpdateRoleDescriptionRequestFunc(param0)
}

func (m *iamMock) UpdateRoleDescriptionWithContext(param0 aws.Context, param1 *iam.UpdateRoleDescriptionInput, param2 ...request.Option) (*iam.UpdateRoleDescriptionOutput, error) {
	m.addCall("UpdateRoleDescriptionWithContext")
	m.verifyInput("UpdateRoleDescriptionWithContext", param0)
	return m.UpdateRoleDescriptionWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateSAMLProvider(param0 *iam.UpdateSAMLProviderInput) (*iam.UpdateSAMLProviderOutput, error) {
	m.addCall("UpdateSAMLProvider")
	m.verifyInput("UpdateSAMLProvider", param0)
	return m.UpdateSAMLProviderFunc(param0)
}

func (m *iamMock) UpdateSAMLProviderRequest(param0 *iam.UpdateSAMLProviderInput) (*request.Request, *iam.UpdateSAMLProviderOutput) {
	m.addCall("UpdateSAMLProviderRequest")
	m.verifyInput("UpdateSAMLProviderRequest", param0)
	return m.UpdateSAMLProviderRequestFunc(param0)
}

func (m *iamMock) UpdateSAMLProviderWithContext(param0 aws.Context, param1 *iam.UpdateSAMLProviderInput, param2 ...request.Option) (*iam.UpdateSAMLProviderOutput, error) {
	m.addCall("UpdateSAMLProviderWithContext")
	m.verifyInput("UpdateSAMLProviderWithContext", param0)
	return m.UpdateSAMLProviderWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateSSHPublicKey(param0 *iam.UpdateSSHPublicKeyInput) (*iam.UpdateSSHPublicKeyOutput, error) {
	m.addCall("UpdateSSHPublicKey")
	m.verifyInput("UpdateSSHPublicKey", param0)
	return m.UpdateSSHPublicKeyFunc(param0)
}

func (m *iamMock) UpdateSSHPublicKeyRequest(param0 *iam.UpdateSSHPublicKeyInput) (*request.Request, *iam.UpdateSSHPublicKeyOutput) {
	m.addCall("UpdateSSHPublicKeyRequest")
	m.verifyInput("UpdateSSHPublicKeyRequest", param0)
	return m.UpdateSSHPublicKeyRequestFunc(param0)
}

func (m *iamMock) UpdateSSHPublicKeyWithContext(param0 aws.Context, param1 *iam.UpdateSSHPublicKeyInput, param2 ...request.Option) (*iam.UpdateSSHPublicKeyOutput, error) {
	m.addCall("UpdateSSHPublicKeyWithContext")
	m.verifyInput("UpdateSSHPublicKeyWithContext", param0)
	return m.UpdateSSHPublicKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateServerCertificate(param0 *iam.UpdateServerCertificateInput) (*iam.UpdateServerCertificateOutput, error) {
	m.addCall("UpdateServerCertificate")
	m.verifyInput("UpdateServerCertificate", param0)
	return m.UpdateServerCertificateFunc(param0)
}

func (m *iamMock) UpdateServerCertificateRequest(param0 *iam.UpdateServerCertificateInput) (*request.Request, *iam.UpdateServerCertificateOutput) {
	m.addCall("UpdateServerCertificateRequest")
	m.verifyInput("UpdateServerCertificateRequest", param0)
	return m.UpdateServerCertificateRequestFunc(param0)
}

func (m *iamMock) UpdateServerCertificateWithContext(param0 aws.Context, param1 *iam.UpdateServerCertificateInput, param2 ...request.Option) (*iam.UpdateServerCertificateOutput, error) {
	m.addCall("UpdateServerCertificateWithContext")
	m.verifyInput("UpdateServerCertificateWithContext", param0)
	return m.UpdateServerCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateServiceSpecificCredential(param0 *iam.UpdateServiceSpecificCredentialInput) (*iam.UpdateServiceSpecificCredentialOutput, error) {
	m.addCall("UpdateServiceSpecificCredential")
	m.verifyInput("UpdateServiceSpecificCredential", param0)
	return m.UpdateServiceSpecificCredentialFunc(param0)
}

func (m *iamMock) UpdateServiceSpecificCredentialRequest(param0 *iam.UpdateServiceSpecificCredentialInput) (*request.Request, *iam.UpdateServiceSpecificCredentialOutput) {
	m.addCall("UpdateServiceSpecificCredentialRequest")
	m.verifyInput("UpdateServiceSpecificCredentialRequest", param0)
	return m.UpdateServiceSpecificCredentialRequestFunc(param0)
}

func (m *iamMock) UpdateServiceSpecificCredentialWithContext(param0 aws.Context, param1 *iam.UpdateServiceSpecificCredentialInput, param2 ...request.Option) (*iam.UpdateServiceSpecificCredentialOutput, error) {
	m.addCall("UpdateServiceSpecificCredentialWithContext")
	m.verifyInput("UpdateServiceSpecificCredentialWithContext", param0)
	return m.UpdateServiceSpecificCredentialWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateSigningCertificate(param0 *iam.UpdateSigningCertificateInput) (*iam.UpdateSigningCertificateOutput, error) {
	m.addCall("UpdateSigningCertificate")
	m.verifyInput("UpdateSigningCertificate", param0)
	return m.UpdateSigningCertificateFunc(param0)
}

func (m *iamMock) UpdateSigningCertificateRequest(param0 *iam.UpdateSigningCertificateInput) (*request.Request, *iam.UpdateSigningCertificateOutput) {
	m.addCall("UpdateSigningCertificateRequest")
	m.verifyInput("UpdateSigningCertificateRequest", param0)
	return m.UpdateSigningCertificateRequestFunc(param0)
}

func (m *iamMock) UpdateSigningCertificateWithContext(param0 aws.Context, param1 *iam.UpdateSigningCertificateInput, param2 ...request.Option) (*iam.UpdateSigningCertificateOutput, error) {
	m.addCall("UpdateSigningCertificateWithContext")
	m.verifyInput("UpdateSigningCertificateWithContext", param0)
	return m.UpdateSigningCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UpdateUser(param0 *iam.UpdateUserInput) (*iam.UpdateUserOutput, error) {
	m.addCall("UpdateUser")
	m.verifyInput("UpdateUser", param0)
	return m.UpdateUserFunc(param0)
}

func (m *iamMock) UpdateUserRequest(param0 *iam.UpdateUserInput) (*request.Request, *iam.UpdateUserOutput) {
	m.addCall("UpdateUserRequest")
	m.verifyInput("UpdateUserRequest", param0)
	return m.UpdateUserRequestFunc(param0)
}

func (m *iamMock) UpdateUserWithContext(param0 aws.Context, param1 *iam.UpdateUserInput, param2 ...request.Option) (*iam.UpdateUserOutput, error) {
	m.addCall("UpdateUserWithContext")
	m.verifyInput("UpdateUserWithContext", param0)
	return m.UpdateUserWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UploadSSHPublicKey(param0 *iam.UploadSSHPublicKeyInput) (*iam.UploadSSHPublicKeyOutput, error) {
	m.addCall("UploadSSHPublicKey")
	m.verifyInput("UploadSSHPublicKey", param0)
	return m.UploadSSHPublicKeyFunc(param0)
}

func (m *iamMock) UploadSSHPublicKeyRequest(param0 *iam.UploadSSHPublicKeyInput) (*request.Request, *iam.UploadSSHPublicKeyOutput) {
	m.addCall("UploadSSHPublicKeyRequest")
	m.verifyInput("UploadSSHPublicKeyRequest", param0)
	return m.UploadSSHPublicKeyRequestFunc(param0)
}

func (m *iamMock) UploadSSHPublicKeyWithContext(param0 aws.Context, param1 *iam.UploadSSHPublicKeyInput, param2 ...request.Option) (*iam.UploadSSHPublicKeyOutput, error) {
	m.addCall("UploadSSHPublicKeyWithContext")
	m.verifyInput("UploadSSHPublicKeyWithContext", param0)
	return m.UploadSSHPublicKeyWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UploadServerCertificate(param0 *iam.UploadServerCertificateInput) (*iam.UploadServerCertificateOutput, error) {
	m.addCall("UploadServerCertificate")
	m.verifyInput("UploadServerCertificate", param0)
	return m.UploadServerCertificateFunc(param0)
}

func (m *iamMock) UploadServerCertificateRequest(param0 *iam.UploadServerCertificateInput) (*request.Request, *iam.UploadServerCertificateOutput) {
	m.addCall("UploadServerCertificateRequest")
	m.verifyInput("UploadServerCertificateRequest", param0)
	return m.UploadServerCertificateRequestFunc(param0)
}

func (m *iamMock) UploadServerCertificateWithContext(param0 aws.Context, param1 *iam.UploadServerCertificateInput, param2 ...request.Option) (*iam.UploadServerCertificateOutput, error) {
	m.addCall("UploadServerCertificateWithContext")
	m.verifyInput("UploadServerCertificateWithContext", param0)
	return m.UploadServerCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) UploadSigningCertificate(param0 *iam.UploadSigningCertificateInput) (*iam.UploadSigningCertificateOutput, error) {
	m.addCall("UploadSigningCertificate")
	m.verifyInput("UploadSigningCertificate", param0)
	return m.UploadSigningCertificateFunc(param0)
}

func (m *iamMock) UploadSigningCertificateRequest(param0 *iam.UploadSigningCertificateInput) (*request.Request, *iam.UploadSigningCertificateOutput) {
	m.addCall("UploadSigningCertificateRequest")
	m.verifyInput("UploadSigningCertificateRequest", param0)
	return m.UploadSigningCertificateRequestFunc(param0)
}

func (m *iamMock) UploadSigningCertificateWithContext(param0 aws.Context, param1 *iam.UploadSigningCertificateInput, param2 ...request.Option) (*iam.UploadSigningCertificateOutput, error) {
	m.addCall("UploadSigningCertificateWithContext")
	m.verifyInput("UploadSigningCertificateWithContext", param0)
	return m.UploadSigningCertificateWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) WaitUntilInstanceProfileExists(param0 *iam.GetInstanceProfileInput) error {
	m.addCall("WaitUntilInstanceProfileExists")
	m.verifyInput("WaitUntilInstanceProfileExists", param0)
	return m.WaitUntilInstanceProfileExistsFunc(param0)
}

func (m *iamMock) WaitUntilInstanceProfileExistsWithContext(param0 aws.Context, param1 *iam.GetInstanceProfileInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilInstanceProfileExistsWithContext")
	m.verifyInput("WaitUntilInstanceProfileExistsWithContext", param0)
	return m.WaitUntilInstanceProfileExistsWithContextFunc(param0, param1, param2...)
}

func (m *iamMock) WaitUntilUserExists(param0 *iam.GetUserInput) error {
	m.addCall("WaitUntilUserExists")
	m.verifyInput("WaitUntilUserExists", param0)
	return m.WaitUntilUserExistsFunc(param0)
}

func (m *iamMock) WaitUntilUserExistsWithContext(param0 aws.Context, param1 *iam.GetUserInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilUserExistsWithContext")
	m.verifyInput("WaitUntilUserExistsWithContext", param0)
	return m.WaitUntilUserExistsWithContextFunc(param0, param1, param2...)
}

type lambdaMock struct {
	basicMock
	lambdaiface.LambdaAPI
	AddPermissionFunc                          func(param0 *lambda.AddPermissionInput) (*lambda.AddPermissionOutput, error)
	AddPermissionRequestFunc                   func(param0 *lambda.AddPermissionInput) (*request.Request, *lambda.AddPermissionOutput)
	AddPermissionWithContextFunc               func(param0 aws.Context, param1 *lambda.AddPermissionInput, param2 ...request.Option) (*lambda.AddPermissionOutput, error)
	CreateAliasFunc                            func(param0 *lambda.CreateAliasInput) (*lambda.AliasConfiguration, error)
	CreateAliasRequestFunc                     func(param0 *lambda.CreateAliasInput) (*request.Request, *lambda.AliasConfiguration)
	CreateAliasWithContextFunc                 func(param0 aws.Context, param1 *lambda.CreateAliasInput, param2 ...request.Option) (*lambda.AliasConfiguration, error)
	CreateEventSourceMappingFunc               func(param0 *lambda.CreateEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error)
	CreateEventSourceMappingRequestFunc        func(param0 *lambda.CreateEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration)
	CreateEventSourceMappingWithContextFunc    func(param0 aws.Context, param1 *lambda.CreateEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error)
	CreateFunctionFunc                         func(param0 *lambda.CreateFunctionInput) (*lambda.FunctionConfiguration, error)
	CreateFunctionRequestFunc                  func(param0 *lambda.CreateFunctionInput) (*request.Request, *lambda.FunctionConfiguration)
	CreateFunctionWithContextFunc              func(param0 aws.Context, param1 *lambda.CreateFunctionInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error)
	DeleteAliasFunc                            func(param0 *lambda.DeleteAliasInput) (*lambda.DeleteAliasOutput, error)
	DeleteAliasRequestFunc                     func(param0 *lambda.DeleteAliasInput) (*request.Request, *lambda.DeleteAliasOutput)
	DeleteAliasWithContextFunc                 func(param0 aws.Context, param1 *lambda.DeleteAliasInput, param2 ...request.Option) (*lambda.DeleteAliasOutput, error)
	DeleteEventSourceMappingFunc               func(param0 *lambda.DeleteEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error)
	DeleteEventSourceMappingRequestFunc        func(param0 *lambda.DeleteEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration)
	DeleteEventSourceMappingWithContextFunc    func(param0 aws.Context, param1 *lambda.DeleteEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error)
	DeleteFunctionFunc                         func(param0 *lambda.DeleteFunctionInput) (*lambda.DeleteFunctionOutput, error)
	DeleteFunctionRequestFunc                  func(param0 *lambda.DeleteFunctionInput) (*request.Request, *lambda.DeleteFunctionOutput)
	DeleteFunctionWithContextFunc              func(param0 aws.Context, param1 *lambda.DeleteFunctionInput, param2 ...request.Option) (*lambda.DeleteFunctionOutput, error)
	GetAccountSettingsFunc                     func(param0 *lambda.GetAccountSettingsInput) (*lambda.GetAccountSettingsOutput, error)
	GetAccountSettingsRequestFunc              func(param0 *lambda.GetAccountSettingsInput) (*request.Request, *lambda.GetAccountSettingsOutput)
	GetAccountSettingsWithContextFunc          func(param0 aws.Context, param1 *lambda.GetAccountSettingsInput, param2 ...request.Option) (*lambda.GetAccountSettingsOutput, error)
	GetAliasFunc                               func(param0 *lambda.GetAliasInput) (*lambda.AliasConfiguration, error)
	GetAliasRequestFunc                        func(param0 *lambda.GetAliasInput) (*request.Request, *lambda.AliasConfiguration)
	GetAliasWithContextFunc                    func(param0 aws.Context, param1 *lambda.GetAliasInput, param2 ...request.Option) (*lambda.AliasConfiguration, error)
	GetEventSourceMappingFunc                  func(param0 *lambda.GetEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error)
	GetEventSourceMappingRequestFunc           func(param0 *lambda.GetEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration)
	GetEventSourceMappingWithContextFunc       func(param0 aws.Context, param1 *lambda.GetEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error)
	GetFunctionFunc                            func(param0 *lambda.GetFunctionInput) (*lambda.GetFunctionOutput, error)
	GetFunctionConfigurationFunc               func(param0 *lambda.GetFunctionConfigurationInput) (*lambda.FunctionConfiguration, error)
	GetFunctionConfigurationRequestFunc        func(param0 *lambda.GetFunctionConfigurationInput) (*request.Request, *lambda.FunctionConfiguration)
	GetFunctionConfigurationWithContextFunc    func(param0 aws.Context, param1 *lambda.GetFunctionConfigurationInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error)
	GetFunctionRequestFunc                     func(param0 *lambda.GetFunctionInput) (*request.Request, *lambda.GetFunctionOutput)
	GetFunctionWithContextFunc                 func(param0 aws.Context, param1 *lambda.GetFunctionInput, param2 ...request.Option) (*lambda.GetFunctionOutput, error)
	GetPolicyFunc                              func(param0 *lambda.GetPolicyInput) (*lambda.GetPolicyOutput, error)
	GetPolicyRequestFunc                       func(param0 *lambda.GetPolicyInput) (*request.Request, *lambda.GetPolicyOutput)
	GetPolicyWithContextFunc                   func(param0 aws.Context, param1 *lambda.GetPolicyInput, param2 ...request.Option) (*lambda.GetPolicyOutput, error)
	InvokeFunc                                 func(param0 *lambda.InvokeInput) (*lambda.InvokeOutput, error)
	InvokeAsyncFunc                            func(param0 *lambda.InvokeAsyncInput) (*lambda.InvokeAsyncOutput, error)
	InvokeAsyncRequestFunc                     func(param0 *lambda.InvokeAsyncInput) (*request.Request, *lambda.InvokeAsyncOutput)
	InvokeAsyncWithContextFunc                 func(param0 aws.Context, param1 *lambda.InvokeAsyncInput, param2 ...request.Option) (*lambda.InvokeAsyncOutput, error)
	InvokeRequestFunc                          func(param0 *lambda.InvokeInput) (*request.Request, *lambda.InvokeOutput)
	InvokeWithContextFunc                      func(param0 aws.Context, param1 *lambda.InvokeInput, param2 ...request.Option) (*lambda.InvokeOutput, error)
	ListAliasesFunc                            func(param0 *lambda.ListAliasesInput) (*lambda.ListAliasesOutput, error)
	ListAliasesRequestFunc                     func(param0 *lambda.ListAliasesInput) (*request.Request, *lambda.ListAliasesOutput)
	ListAliasesWithContextFunc                 func(param0 aws.Context, param1 *lambda.ListAliasesInput, param2 ...request.Option) (*lambda.ListAliasesOutput, error)
	ListEventSourceMappingsFunc                func(param0 *lambda.ListEventSourceMappingsInput) (*lambda.ListEventSourceMappingsOutput, error)
	ListEventSourceMappingsRequestFunc         func(param0 *lambda.ListEventSourceMappingsInput) (*request.Request, *lambda.ListEventSourceMappingsOutput)
	ListEventSourceMappingsWithContextFunc     func(param0 aws.Context, param1 *lambda.ListEventSourceMappingsInput, param2 ...request.Option) (*lambda.ListEventSourceMappingsOutput, error)
	ListFunctionsFunc                          func(param0 *lambda.ListFunctionsInput) (*lambda.ListFunctionsOutput, error)
	ListFunctionsRequestFunc                   func(param0 *lambda.ListFunctionsInput) (*request.Request, *lambda.ListFunctionsOutput)
	ListFunctionsWithContextFunc               func(param0 aws.Context, param1 *lambda.ListFunctionsInput, param2 ...request.Option) (*lambda.ListFunctionsOutput, error)
	ListTagsFunc                               func(param0 *lambda.ListTagsInput) (*lambda.ListTagsOutput, error)
	ListTagsRequestFunc                        func(param0 *lambda.ListTagsInput) (*request.Request, *lambda.ListTagsOutput)
	ListTagsWithContextFunc                    func(param0 aws.Context, param1 *lambda.ListTagsInput, param2 ...request.Option) (*lambda.ListTagsOutput, error)
	ListVersionsByFunctionFunc                 func(param0 *lambda.ListVersionsByFunctionInput) (*lambda.ListVersionsByFunctionOutput, error)
	ListVersionsByFunctionRequestFunc          func(param0 *lambda.ListVersionsByFunctionInput) (*request.Request, *lambda.ListVersionsByFunctionOutput)
	ListVersionsByFunctionWithContextFunc      func(param0 aws.Context, param1 *lambda.ListVersionsByFunctionInput, param2 ...request.Option) (*lambda.ListVersionsByFunctionOutput, error)
	PublishVersionFunc                         func(param0 *lambda.PublishVersionInput) (*lambda.FunctionConfiguration, error)
	PublishVersionRequestFunc                  func(param0 *lambda.PublishVersionInput) (*request.Request, *lambda.FunctionConfiguration)
	PublishVersionWithContextFunc              func(param0 aws.Context, param1 *lambda.PublishVersionInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error)
	RemovePermissionFunc                       func(param0 *lambda.RemovePermissionInput) (*lambda.RemovePermissionOutput, error)
	RemovePermissionRequestFunc                func(param0 *lambda.RemovePermissionInput) (*request.Request, *lambda.RemovePermissionOutput)
	RemovePermissionWithContextFunc            func(param0 aws.Context, param1 *lambda.RemovePermissionInput, param2 ...request.Option) (*lambda.RemovePermissionOutput, error)
	TagResourceFunc                            func(param0 *lambda.TagResourceInput) (*lambda.TagResourceOutput, error)
	TagResourceRequestFunc                     func(param0 *lambda.TagResourceInput) (*request.Request, *lambda.TagResourceOutput)
	TagResourceWithContextFunc                 func(param0 aws.Context, param1 *lambda.TagResourceInput, param2 ...request.Option) (*lambda.TagResourceOutput, error)
	UntagResourceFunc                          func(param0 *lambda.UntagResourceInput) (*lambda.UntagResourceOutput, error)
	UntagResourceRequestFunc                   func(param0 *lambda.UntagResourceInput) (*request.Request, *lambda.UntagResourceOutput)
	UntagResourceWithContextFunc               func(param0 aws.Context, param1 *lambda.UntagResourceInput, param2 ...request.Option) (*lambda.UntagResourceOutput, error)
	UpdateAliasFunc                            func(param0 *lambda.UpdateAliasInput) (*lambda.AliasConfiguration, error)
	UpdateAliasRequestFunc                     func(param0 *lambda.UpdateAliasInput) (*request.Request, *lambda.AliasConfiguration)
	UpdateAliasWithContextFunc                 func(param0 aws.Context, param1 *lambda.UpdateAliasInput, param2 ...request.Option) (*lambda.AliasConfiguration, error)
	UpdateEventSourceMappingFunc               func(param0 *lambda.UpdateEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error)
	UpdateEventSourceMappingRequestFunc        func(param0 *lambda.UpdateEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration)
	UpdateEventSourceMappingWithContextFunc    func(param0 aws.Context, param1 *lambda.UpdateEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error)
	UpdateFunctionCodeFunc                     func(param0 *lambda.UpdateFunctionCodeInput) (*lambda.FunctionConfiguration, error)
	UpdateFunctionCodeRequestFunc              func(param0 *lambda.UpdateFunctionCodeInput) (*request.Request, *lambda.FunctionConfiguration)
	UpdateFunctionCodeWithContextFunc          func(param0 aws.Context, param1 *lambda.UpdateFunctionCodeInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error)
	UpdateFunctionConfigurationFunc            func(param0 *lambda.UpdateFunctionConfigurationInput) (*lambda.FunctionConfiguration, error)
	UpdateFunctionConfigurationRequestFunc     func(param0 *lambda.UpdateFunctionConfigurationInput) (*request.Request, *lambda.FunctionConfiguration)
	UpdateFunctionConfigurationWithContextFunc func(param0 aws.Context, param1 *lambda.UpdateFunctionConfigurationInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error)
}

func (m *lambdaMock) AddPermission(param0 *lambda.AddPermissionInput) (*lambda.AddPermissionOutput, error) {
	m.addCall("AddPermission")
	m.verifyInput("AddPermission", param0)
	return m.AddPermissionFunc(param0)
}

func (m *lambdaMock) AddPermissionRequest(param0 *lambda.AddPermissionInput) (*request.Request, *lambda.AddPermissionOutput) {
	m.addCall("AddPermissionRequest")
	m.verifyInput("AddPermissionRequest", param0)
	return m.AddPermissionRequestFunc(param0)
}

func (m *lambdaMock) AddPermissionWithContext(param0 aws.Context, param1 *lambda.AddPermissionInput, param2 ...request.Option) (*lambda.AddPermissionOutput, error) {
	m.addCall("AddPermissionWithContext")
	m.verifyInput("AddPermissionWithContext", param0)
	return m.AddPermissionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) CreateAlias(param0 *lambda.CreateAliasInput) (*lambda.AliasConfiguration, error) {
	m.addCall("CreateAlias")
	m.verifyInput("CreateAlias", param0)
	return m.CreateAliasFunc(param0)
}

func (m *lambdaMock) CreateAliasRequest(param0 *lambda.CreateAliasInput) (*request.Request, *lambda.AliasConfiguration) {
	m.addCall("CreateAliasRequest")
	m.verifyInput("CreateAliasRequest", param0)
	return m.CreateAliasRequestFunc(param0)
}

func (m *lambdaMock) CreateAliasWithContext(param0 aws.Context, param1 *lambda.CreateAliasInput, param2 ...request.Option) (*lambda.AliasConfiguration, error) {
	m.addCall("CreateAliasWithContext")
	m.verifyInput("CreateAliasWithContext", param0)
	return m.CreateAliasWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) CreateEventSourceMapping(param0 *lambda.CreateEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("CreateEventSourceMapping")
	m.verifyInput("CreateEventSourceMapping", param0)
	return m.CreateEventSourceMappingFunc(param0)
}

func (m *lambdaMock) CreateEventSourceMappingRequest(param0 *lambda.CreateEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration) {
	m.addCall("CreateEventSourceMappingRequest")
	m.verifyInput("CreateEventSourceMappingRequest", param0)
	return m.CreateEventSourceMappingRequestFunc(param0)
}

func (m *lambdaMock) CreateEventSourceMappingWithContext(param0 aws.Context, param1 *lambda.CreateEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("CreateEventSourceMappingWithContext")
	m.verifyInput("CreateEventSourceMappingWithContext", param0)
	return m.CreateEventSourceMappingWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) CreateFunction(param0 *lambda.CreateFunctionInput) (*lambda.FunctionConfiguration, error) {
	m.addCall("CreateFunction")
	m.verifyInput("CreateFunction", param0)
	return m.CreateFunctionFunc(param0)
}

func (m *lambdaMock) CreateFunctionRequest(param0 *lambda.CreateFunctionInput) (*request.Request, *lambda.FunctionConfiguration) {
	m.addCall("CreateFunctionRequest")
	m.verifyInput("CreateFunctionRequest", param0)
	return m.CreateFunctionRequestFunc(param0)
}

func (m *lambdaMock) CreateFunctionWithContext(param0 aws.Context, param1 *lambda.CreateFunctionInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error) {
	m.addCall("CreateFunctionWithContext")
	m.verifyInput("CreateFunctionWithContext", param0)
	return m.CreateFunctionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) DeleteAlias(param0 *lambda.DeleteAliasInput) (*lambda.DeleteAliasOutput, error) {
	m.addCall("DeleteAlias")
	m.verifyInput("DeleteAlias", param0)
	return m.DeleteAliasFunc(param0)
}

func (m *lambdaMock) DeleteAliasRequest(param0 *lambda.DeleteAliasInput) (*request.Request, *lambda.DeleteAliasOutput) {
	m.addCall("DeleteAliasRequest")
	m.verifyInput("DeleteAliasRequest", param0)
	return m.DeleteAliasRequestFunc(param0)
}

func (m *lambdaMock) DeleteAliasWithContext(param0 aws.Context, param1 *lambda.DeleteAliasInput, param2 ...request.Option) (*lambda.DeleteAliasOutput, error) {
	m.addCall("DeleteAliasWithContext")
	m.verifyInput("DeleteAliasWithContext", param0)
	return m.DeleteAliasWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) DeleteEventSourceMapping(param0 *lambda.DeleteEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("DeleteEventSourceMapping")
	m.verifyInput("DeleteEventSourceMapping", param0)
	return m.DeleteEventSourceMappingFunc(param0)
}

func (m *lambdaMock) DeleteEventSourceMappingRequest(param0 *lambda.DeleteEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration) {
	m.addCall("DeleteEventSourceMappingRequest")
	m.verifyInput("DeleteEventSourceMappingRequest", param0)
	return m.DeleteEventSourceMappingRequestFunc(param0)
}

func (m *lambdaMock) DeleteEventSourceMappingWithContext(param0 aws.Context, param1 *lambda.DeleteEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("DeleteEventSourceMappingWithContext")
	m.verifyInput("DeleteEventSourceMappingWithContext", param0)
	return m.DeleteEventSourceMappingWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) DeleteFunction(param0 *lambda.DeleteFunctionInput) (*lambda.DeleteFunctionOutput, error) {
	m.addCall("DeleteFunction")
	m.verifyInput("DeleteFunction", param0)
	return m.DeleteFunctionFunc(param0)
}

func (m *lambdaMock) DeleteFunctionRequest(param0 *lambda.DeleteFunctionInput) (*request.Request, *lambda.DeleteFunctionOutput) {
	m.addCall("DeleteFunctionRequest")
	m.verifyInput("DeleteFunctionRequest", param0)
	return m.DeleteFunctionRequestFunc(param0)
}

func (m *lambdaMock) DeleteFunctionWithContext(param0 aws.Context, param1 *lambda.DeleteFunctionInput, param2 ...request.Option) (*lambda.DeleteFunctionOutput, error) {
	m.addCall("DeleteFunctionWithContext")
	m.verifyInput("DeleteFunctionWithContext", param0)
	return m.DeleteFunctionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) GetAccountSettings(param0 *lambda.GetAccountSettingsInput) (*lambda.GetAccountSettingsOutput, error) {
	m.addCall("GetAccountSettings")
	m.verifyInput("GetAccountSettings", param0)
	return m.GetAccountSettingsFunc(param0)
}

func (m *lambdaMock) GetAccountSettingsRequest(param0 *lambda.GetAccountSettingsInput) (*request.Request, *lambda.GetAccountSettingsOutput) {
	m.addCall("GetAccountSettingsRequest")
	m.verifyInput("GetAccountSettingsRequest", param0)
	return m.GetAccountSettingsRequestFunc(param0)
}

func (m *lambdaMock) GetAccountSettingsWithContext(param0 aws.Context, param1 *lambda.GetAccountSettingsInput, param2 ...request.Option) (*lambda.GetAccountSettingsOutput, error) {
	m.addCall("GetAccountSettingsWithContext")
	m.verifyInput("GetAccountSettingsWithContext", param0)
	return m.GetAccountSettingsWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) GetAlias(param0 *lambda.GetAliasInput) (*lambda.AliasConfiguration, error) {
	m.addCall("GetAlias")
	m.verifyInput("GetAlias", param0)
	return m.GetAliasFunc(param0)
}

func (m *lambdaMock) GetAliasRequest(param0 *lambda.GetAliasInput) (*request.Request, *lambda.AliasConfiguration) {
	m.addCall("GetAliasRequest")
	m.verifyInput("GetAliasRequest", param0)
	return m.GetAliasRequestFunc(param0)
}

func (m *lambdaMock) GetAliasWithContext(param0 aws.Context, param1 *lambda.GetAliasInput, param2 ...request.Option) (*lambda.AliasConfiguration, error) {
	m.addCall("GetAliasWithContext")
	m.verifyInput("GetAliasWithContext", param0)
	return m.GetAliasWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) GetEventSourceMapping(param0 *lambda.GetEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("GetEventSourceMapping")
	m.verifyInput("GetEventSourceMapping", param0)
	return m.GetEventSourceMappingFunc(param0)
}

func (m *lambdaMock) GetEventSourceMappingRequest(param0 *lambda.GetEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration) {
	m.addCall("GetEventSourceMappingRequest")
	m.verifyInput("GetEventSourceMappingRequest", param0)
	return m.GetEventSourceMappingRequestFunc(param0)
}

func (m *lambdaMock) GetEventSourceMappingWithContext(param0 aws.Context, param1 *lambda.GetEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("GetEventSourceMappingWithContext")
	m.verifyInput("GetEventSourceMappingWithContext", param0)
	return m.GetEventSourceMappingWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) GetFunction(param0 *lambda.GetFunctionInput) (*lambda.GetFunctionOutput, error) {
	m.addCall("GetFunction")
	m.verifyInput("GetFunction", param0)
	return m.GetFunctionFunc(param0)
}

func (m *lambdaMock) GetFunctionConfiguration(param0 *lambda.GetFunctionConfigurationInput) (*lambda.FunctionConfiguration, error) {
	m.addCall("GetFunctionConfiguration")
	m.verifyInput("GetFunctionConfiguration", param0)
	return m.GetFunctionConfigurationFunc(param0)
}

func (m *lambdaMock) GetFunctionConfigurationRequest(param0 *lambda.GetFunctionConfigurationInput) (*request.Request, *lambda.FunctionConfiguration) {
	m.addCall("GetFunctionConfigurationRequest")
	m.verifyInput("GetFunctionConfigurationRequest", param0)
	return m.GetFunctionConfigurationRequestFunc(param0)
}

func (m *lambdaMock) GetFunctionConfigurationWithContext(param0 aws.Context, param1 *lambda.GetFunctionConfigurationInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error) {
	m.addCall("GetFunctionConfigurationWithContext")
	m.verifyInput("GetFunctionConfigurationWithContext", param0)
	return m.GetFunctionConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) GetFunctionRequest(param0 *lambda.GetFunctionInput) (*request.Request, *lambda.GetFunctionOutput) {
	m.addCall("GetFunctionRequest")
	m.verifyInput("GetFunctionRequest", param0)
	return m.GetFunctionRequestFunc(param0)
}

func (m *lambdaMock) GetFunctionWithContext(param0 aws.Context, param1 *lambda.GetFunctionInput, param2 ...request.Option) (*lambda.GetFunctionOutput, error) {
	m.addCall("GetFunctionWithContext")
	m.verifyInput("GetFunctionWithContext", param0)
	return m.GetFunctionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) GetPolicy(param0 *lambda.GetPolicyInput) (*lambda.GetPolicyOutput, error) {
	m.addCall("GetPolicy")
	m.verifyInput("GetPolicy", param0)
	return m.GetPolicyFunc(param0)
}

func (m *lambdaMock) GetPolicyRequest(param0 *lambda.GetPolicyInput) (*request.Request, *lambda.GetPolicyOutput) {
	m.addCall("GetPolicyRequest")
	m.verifyInput("GetPolicyRequest", param0)
	return m.GetPolicyRequestFunc(param0)
}

func (m *lambdaMock) GetPolicyWithContext(param0 aws.Context, param1 *lambda.GetPolicyInput, param2 ...request.Option) (*lambda.GetPolicyOutput, error) {
	m.addCall("GetPolicyWithContext")
	m.verifyInput("GetPolicyWithContext", param0)
	return m.GetPolicyWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) Invoke(param0 *lambda.InvokeInput) (*lambda.InvokeOutput, error) {
	m.addCall("Invoke")
	m.verifyInput("Invoke", param0)
	return m.InvokeFunc(param0)
}

func (m *lambdaMock) InvokeAsync(param0 *lambda.InvokeAsyncInput) (*lambda.InvokeAsyncOutput, error) {
	m.addCall("InvokeAsync")
	m.verifyInput("InvokeAsync", param0)
	return m.InvokeAsyncFunc(param0)
}

func (m *lambdaMock) InvokeAsyncRequest(param0 *lambda.InvokeAsyncInput) (*request.Request, *lambda.InvokeAsyncOutput) {
	m.addCall("InvokeAsyncRequest")
	m.verifyInput("InvokeAsyncRequest", param0)
	return m.InvokeAsyncRequestFunc(param0)
}

func (m *lambdaMock) InvokeAsyncWithContext(param0 aws.Context, param1 *lambda.InvokeAsyncInput, param2 ...request.Option) (*lambda.InvokeAsyncOutput, error) {
	m.addCall("InvokeAsyncWithContext")
	m.verifyInput("InvokeAsyncWithContext", param0)
	return m.InvokeAsyncWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) InvokeRequest(param0 *lambda.InvokeInput) (*request.Request, *lambda.InvokeOutput) {
	m.addCall("InvokeRequest")
	m.verifyInput("InvokeRequest", param0)
	return m.InvokeRequestFunc(param0)
}

func (m *lambdaMock) InvokeWithContext(param0 aws.Context, param1 *lambda.InvokeInput, param2 ...request.Option) (*lambda.InvokeOutput, error) {
	m.addCall("InvokeWithContext")
	m.verifyInput("InvokeWithContext", param0)
	return m.InvokeWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) ListAliases(param0 *lambda.ListAliasesInput) (*lambda.ListAliasesOutput, error) {
	m.addCall("ListAliases")
	m.verifyInput("ListAliases", param0)
	return m.ListAliasesFunc(param0)
}

func (m *lambdaMock) ListAliasesRequest(param0 *lambda.ListAliasesInput) (*request.Request, *lambda.ListAliasesOutput) {
	m.addCall("ListAliasesRequest")
	m.verifyInput("ListAliasesRequest", param0)
	return m.ListAliasesRequestFunc(param0)
}

func (m *lambdaMock) ListAliasesWithContext(param0 aws.Context, param1 *lambda.ListAliasesInput, param2 ...request.Option) (*lambda.ListAliasesOutput, error) {
	m.addCall("ListAliasesWithContext")
	m.verifyInput("ListAliasesWithContext", param0)
	return m.ListAliasesWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) ListEventSourceMappings(param0 *lambda.ListEventSourceMappingsInput) (*lambda.ListEventSourceMappingsOutput, error) {
	m.addCall("ListEventSourceMappings")
	m.verifyInput("ListEventSourceMappings", param0)
	return m.ListEventSourceMappingsFunc(param0)
}

func (m *lambdaMock) ListEventSourceMappingsRequest(param0 *lambda.ListEventSourceMappingsInput) (*request.Request, *lambda.ListEventSourceMappingsOutput) {
	m.addCall("ListEventSourceMappingsRequest")
	m.verifyInput("ListEventSourceMappingsRequest", param0)
	return m.ListEventSourceMappingsRequestFunc(param0)
}

func (m *lambdaMock) ListEventSourceMappingsWithContext(param0 aws.Context, param1 *lambda.ListEventSourceMappingsInput, param2 ...request.Option) (*lambda.ListEventSourceMappingsOutput, error) {
	m.addCall("ListEventSourceMappingsWithContext")
	m.verifyInput("ListEventSourceMappingsWithContext", param0)
	return m.ListEventSourceMappingsWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) ListFunctions(param0 *lambda.ListFunctionsInput) (*lambda.ListFunctionsOutput, error) {
	m.addCall("ListFunctions")
	m.verifyInput("ListFunctions", param0)
	return m.ListFunctionsFunc(param0)
}

func (m *lambdaMock) ListFunctionsRequest(param0 *lambda.ListFunctionsInput) (*request.Request, *lambda.ListFunctionsOutput) {
	m.addCall("ListFunctionsRequest")
	m.verifyInput("ListFunctionsRequest", param0)
	return m.ListFunctionsRequestFunc(param0)
}

func (m *lambdaMock) ListFunctionsWithContext(param0 aws.Context, param1 *lambda.ListFunctionsInput, param2 ...request.Option) (*lambda.ListFunctionsOutput, error) {
	m.addCall("ListFunctionsWithContext")
	m.verifyInput("ListFunctionsWithContext", param0)
	return m.ListFunctionsWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) ListTags(param0 *lambda.ListTagsInput) (*lambda.ListTagsOutput, error) {
	m.addCall("ListTags")
	m.verifyInput("ListTags", param0)
	return m.ListTagsFunc(param0)
}

func (m *lambdaMock) ListTagsRequest(param0 *lambda.ListTagsInput) (*request.Request, *lambda.ListTagsOutput) {
	m.addCall("ListTagsRequest")
	m.verifyInput("ListTagsRequest", param0)
	return m.ListTagsRequestFunc(param0)
}

func (m *lambdaMock) ListTagsWithContext(param0 aws.Context, param1 *lambda.ListTagsInput, param2 ...request.Option) (*lambda.ListTagsOutput, error) {
	m.addCall("ListTagsWithContext")
	m.verifyInput("ListTagsWithContext", param0)
	return m.ListTagsWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) ListVersionsByFunction(param0 *lambda.ListVersionsByFunctionInput) (*lambda.ListVersionsByFunctionOutput, error) {
	m.addCall("ListVersionsByFunction")
	m.verifyInput("ListVersionsByFunction", param0)
	return m.ListVersionsByFunctionFunc(param0)
}

func (m *lambdaMock) ListVersionsByFunctionRequest(param0 *lambda.ListVersionsByFunctionInput) (*request.Request, *lambda.ListVersionsByFunctionOutput) {
	m.addCall("ListVersionsByFunctionRequest")
	m.verifyInput("ListVersionsByFunctionRequest", param0)
	return m.ListVersionsByFunctionRequestFunc(param0)
}

func (m *lambdaMock) ListVersionsByFunctionWithContext(param0 aws.Context, param1 *lambda.ListVersionsByFunctionInput, param2 ...request.Option) (*lambda.ListVersionsByFunctionOutput, error) {
	m.addCall("ListVersionsByFunctionWithContext")
	m.verifyInput("ListVersionsByFunctionWithContext", param0)
	return m.ListVersionsByFunctionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) PublishVersion(param0 *lambda.PublishVersionInput) (*lambda.FunctionConfiguration, error) {
	m.addCall("PublishVersion")
	m.verifyInput("PublishVersion", param0)
	return m.PublishVersionFunc(param0)
}

func (m *lambdaMock) PublishVersionRequest(param0 *lambda.PublishVersionInput) (*request.Request, *lambda.FunctionConfiguration) {
	m.addCall("PublishVersionRequest")
	m.verifyInput("PublishVersionRequest", param0)
	return m.PublishVersionRequestFunc(param0)
}

func (m *lambdaMock) PublishVersionWithContext(param0 aws.Context, param1 *lambda.PublishVersionInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error) {
	m.addCall("PublishVersionWithContext")
	m.verifyInput("PublishVersionWithContext", param0)
	return m.PublishVersionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) RemovePermission(param0 *lambda.RemovePermissionInput) (*lambda.RemovePermissionOutput, error) {
	m.addCall("RemovePermission")
	m.verifyInput("RemovePermission", param0)
	return m.RemovePermissionFunc(param0)
}

func (m *lambdaMock) RemovePermissionRequest(param0 *lambda.RemovePermissionInput) (*request.Request, *lambda.RemovePermissionOutput) {
	m.addCall("RemovePermissionRequest")
	m.verifyInput("RemovePermissionRequest", param0)
	return m.RemovePermissionRequestFunc(param0)
}

func (m *lambdaMock) RemovePermissionWithContext(param0 aws.Context, param1 *lambda.RemovePermissionInput, param2 ...request.Option) (*lambda.RemovePermissionOutput, error) {
	m.addCall("RemovePermissionWithContext")
	m.verifyInput("RemovePermissionWithContext", param0)
	return m.RemovePermissionWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) TagResource(param0 *lambda.TagResourceInput) (*lambda.TagResourceOutput, error) {
	m.addCall("TagResource")
	m.verifyInput("TagResource", param0)
	return m.TagResourceFunc(param0)
}

func (m *lambdaMock) TagResourceRequest(param0 *lambda.TagResourceInput) (*request.Request, *lambda.TagResourceOutput) {
	m.addCall("TagResourceRequest")
	m.verifyInput("TagResourceRequest", param0)
	return m.TagResourceRequestFunc(param0)
}

func (m *lambdaMock) TagResourceWithContext(param0 aws.Context, param1 *lambda.TagResourceInput, param2 ...request.Option) (*lambda.TagResourceOutput, error) {
	m.addCall("TagResourceWithContext")
	m.verifyInput("TagResourceWithContext", param0)
	return m.TagResourceWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) UntagResource(param0 *lambda.UntagResourceInput) (*lambda.UntagResourceOutput, error) {
	m.addCall("UntagResource")
	m.verifyInput("UntagResource", param0)
	return m.UntagResourceFunc(param0)
}

func (m *lambdaMock) UntagResourceRequest(param0 *lambda.UntagResourceInput) (*request.Request, *lambda.UntagResourceOutput) {
	m.addCall("UntagResourceRequest")
	m.verifyInput("UntagResourceRequest", param0)
	return m.UntagResourceRequestFunc(param0)
}

func (m *lambdaMock) UntagResourceWithContext(param0 aws.Context, param1 *lambda.UntagResourceInput, param2 ...request.Option) (*lambda.UntagResourceOutput, error) {
	m.addCall("UntagResourceWithContext")
	m.verifyInput("UntagResourceWithContext", param0)
	return m.UntagResourceWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) UpdateAlias(param0 *lambda.UpdateAliasInput) (*lambda.AliasConfiguration, error) {
	m.addCall("UpdateAlias")
	m.verifyInput("UpdateAlias", param0)
	return m.UpdateAliasFunc(param0)
}

func (m *lambdaMock) UpdateAliasRequest(param0 *lambda.UpdateAliasInput) (*request.Request, *lambda.AliasConfiguration) {
	m.addCall("UpdateAliasRequest")
	m.verifyInput("UpdateAliasRequest", param0)
	return m.UpdateAliasRequestFunc(param0)
}

func (m *lambdaMock) UpdateAliasWithContext(param0 aws.Context, param1 *lambda.UpdateAliasInput, param2 ...request.Option) (*lambda.AliasConfiguration, error) {
	m.addCall("UpdateAliasWithContext")
	m.verifyInput("UpdateAliasWithContext", param0)
	return m.UpdateAliasWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) UpdateEventSourceMapping(param0 *lambda.UpdateEventSourceMappingInput) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("UpdateEventSourceMapping")
	m.verifyInput("UpdateEventSourceMapping", param0)
	return m.UpdateEventSourceMappingFunc(param0)
}

func (m *lambdaMock) UpdateEventSourceMappingRequest(param0 *lambda.UpdateEventSourceMappingInput) (*request.Request, *lambda.EventSourceMappingConfiguration) {
	m.addCall("UpdateEventSourceMappingRequest")
	m.verifyInput("UpdateEventSourceMappingRequest", param0)
	return m.UpdateEventSourceMappingRequestFunc(param0)
}

func (m *lambdaMock) UpdateEventSourceMappingWithContext(param0 aws.Context, param1 *lambda.UpdateEventSourceMappingInput, param2 ...request.Option) (*lambda.EventSourceMappingConfiguration, error) {
	m.addCall("UpdateEventSourceMappingWithContext")
	m.verifyInput("UpdateEventSourceMappingWithContext", param0)
	return m.UpdateEventSourceMappingWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) UpdateFunctionCode(param0 *lambda.UpdateFunctionCodeInput) (*lambda.FunctionConfiguration, error) {
	m.addCall("UpdateFunctionCode")
	m.verifyInput("UpdateFunctionCode", param0)
	return m.UpdateFunctionCodeFunc(param0)
}

func (m *lambdaMock) UpdateFunctionCodeRequest(param0 *lambda.UpdateFunctionCodeInput) (*request.Request, *lambda.FunctionConfiguration) {
	m.addCall("UpdateFunctionCodeRequest")
	m.verifyInput("UpdateFunctionCodeRequest", param0)
	return m.UpdateFunctionCodeRequestFunc(param0)
}

func (m *lambdaMock) UpdateFunctionCodeWithContext(param0 aws.Context, param1 *lambda.UpdateFunctionCodeInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error) {
	m.addCall("UpdateFunctionCodeWithContext")
	m.verifyInput("UpdateFunctionCodeWithContext", param0)
	return m.UpdateFunctionCodeWithContextFunc(param0, param1, param2...)
}

func (m *lambdaMock) UpdateFunctionConfiguration(param0 *lambda.UpdateFunctionConfigurationInput) (*lambda.FunctionConfiguration, error) {
	m.addCall("UpdateFunctionConfiguration")
	m.verifyInput("UpdateFunctionConfiguration", param0)
	return m.UpdateFunctionConfigurationFunc(param0)
}

func (m *lambdaMock) UpdateFunctionConfigurationRequest(param0 *lambda.UpdateFunctionConfigurationInput) (*request.Request, *lambda.FunctionConfiguration) {
	m.addCall("UpdateFunctionConfigurationRequest")
	m.verifyInput("UpdateFunctionConfigurationRequest", param0)
	return m.UpdateFunctionConfigurationRequestFunc(param0)
}

func (m *lambdaMock) UpdateFunctionConfigurationWithContext(param0 aws.Context, param1 *lambda.UpdateFunctionConfigurationInput, param2 ...request.Option) (*lambda.FunctionConfiguration, error) {
	m.addCall("UpdateFunctionConfigurationWithContext")
	m.verifyInput("UpdateFunctionConfigurationWithContext", param0)
	return m.UpdateFunctionConfigurationWithContextFunc(param0, param1, param2...)
}

type rdsMock struct {
	basicMock
	rdsiface.RDSAPI
	AddRoleToDBClusterFunc                                func(param0 *rds.AddRoleToDBClusterInput) (*rds.AddRoleToDBClusterOutput, error)
	AddRoleToDBClusterRequestFunc                         func(param0 *rds.AddRoleToDBClusterInput) (*request.Request, *rds.AddRoleToDBClusterOutput)
	AddRoleToDBClusterWithContextFunc                     func(param0 aws.Context, param1 *rds.AddRoleToDBClusterInput, param2 ...request.Option) (*rds.AddRoleToDBClusterOutput, error)
	AddSourceIdentifierToSubscriptionFunc                 func(param0 *rds.AddSourceIdentifierToSubscriptionInput) (*rds.AddSourceIdentifierToSubscriptionOutput, error)
	AddSourceIdentifierToSubscriptionRequestFunc          func(param0 *rds.AddSourceIdentifierToSubscriptionInput) (*request.Request, *rds.AddSourceIdentifierToSubscriptionOutput)
	AddSourceIdentifierToSubscriptionWithContextFunc      func(param0 aws.Context, param1 *rds.AddSourceIdentifierToSubscriptionInput, param2 ...request.Option) (*rds.AddSourceIdentifierToSubscriptionOutput, error)
	AddTagsToResourceFunc                                 func(param0 *rds.AddTagsToResourceInput) (*rds.AddTagsToResourceOutput, error)
	AddTagsToResourceRequestFunc                          func(param0 *rds.AddTagsToResourceInput) (*request.Request, *rds.AddTagsToResourceOutput)
	AddTagsToResourceWithContextFunc                      func(param0 aws.Context, param1 *rds.AddTagsToResourceInput, param2 ...request.Option) (*rds.AddTagsToResourceOutput, error)
	ApplyPendingMaintenanceActionFunc                     func(param0 *rds.ApplyPendingMaintenanceActionInput) (*rds.ApplyPendingMaintenanceActionOutput, error)
	ApplyPendingMaintenanceActionRequestFunc              func(param0 *rds.ApplyPendingMaintenanceActionInput) (*request.Request, *rds.ApplyPendingMaintenanceActionOutput)
	ApplyPendingMaintenanceActionWithContextFunc          func(param0 aws.Context, param1 *rds.ApplyPendingMaintenanceActionInput, param2 ...request.Option) (*rds.ApplyPendingMaintenanceActionOutput, error)
	AuthorizeDBSecurityGroupIngressFunc                   func(param0 *rds.AuthorizeDBSecurityGroupIngressInput) (*rds.AuthorizeDBSecurityGroupIngressOutput, error)
	AuthorizeDBSecurityGroupIngressRequestFunc            func(param0 *rds.AuthorizeDBSecurityGroupIngressInput) (*request.Request, *rds.AuthorizeDBSecurityGroupIngressOutput)
	AuthorizeDBSecurityGroupIngressWithContextFunc        func(param0 aws.Context, param1 *rds.AuthorizeDBSecurityGroupIngressInput, param2 ...request.Option) (*rds.AuthorizeDBSecurityGroupIngressOutput, error)
	CopyDBClusterParameterGroupFunc                       func(param0 *rds.CopyDBClusterParameterGroupInput) (*rds.CopyDBClusterParameterGroupOutput, error)
	CopyDBClusterParameterGroupRequestFunc                func(param0 *rds.CopyDBClusterParameterGroupInput) (*request.Request, *rds.CopyDBClusterParameterGroupOutput)
	CopyDBClusterParameterGroupWithContextFunc            func(param0 aws.Context, param1 *rds.CopyDBClusterParameterGroupInput, param2 ...request.Option) (*rds.CopyDBClusterParameterGroupOutput, error)
	CopyDBClusterSnapshotFunc                             func(param0 *rds.CopyDBClusterSnapshotInput) (*rds.CopyDBClusterSnapshotOutput, error)
	CopyDBClusterSnapshotRequestFunc                      func(param0 *rds.CopyDBClusterSnapshotInput) (*request.Request, *rds.CopyDBClusterSnapshotOutput)
	CopyDBClusterSnapshotWithContextFunc                  func(param0 aws.Context, param1 *rds.CopyDBClusterSnapshotInput, param2 ...request.Option) (*rds.CopyDBClusterSnapshotOutput, error)
	CopyDBParameterGroupFunc                              func(param0 *rds.CopyDBParameterGroupInput) (*rds.CopyDBParameterGroupOutput, error)
	CopyDBParameterGroupRequestFunc                       func(param0 *rds.CopyDBParameterGroupInput) (*request.Request, *rds.CopyDBParameterGroupOutput)
	CopyDBParameterGroupWithContextFunc                   func(param0 aws.Context, param1 *rds.CopyDBParameterGroupInput, param2 ...request.Option) (*rds.CopyDBParameterGroupOutput, error)
	CopyDBSnapshotFunc                                    func(param0 *rds.CopyDBSnapshotInput) (*rds.CopyDBSnapshotOutput, error)
	CopyDBSnapshotRequestFunc                             func(param0 *rds.CopyDBSnapshotInput) (*request.Request, *rds.CopyDBSnapshotOutput)
	CopyDBSnapshotWithContextFunc                         func(param0 aws.Context, param1 *rds.CopyDBSnapshotInput, param2 ...request.Option) (*rds.CopyDBSnapshotOutput, error)
	CopyOptionGroupFunc                                   func(param0 *rds.CopyOptionGroupInput) (*rds.CopyOptionGroupOutput, error)
	CopyOptionGroupRequestFunc                            func(param0 *rds.CopyOptionGroupInput) (*request.Request, *rds.CopyOptionGroupOutput)
	CopyOptionGroupWithContextFunc                        func(param0 aws.Context, param1 *rds.CopyOptionGroupInput, param2 ...request.Option) (*rds.CopyOptionGroupOutput, error)
	CreateDBClusterFunc                                   func(param0 *rds.CreateDBClusterInput) (*rds.CreateDBClusterOutput, error)
	CreateDBClusterParameterGroupFunc                     func(param0 *rds.CreateDBClusterParameterGroupInput) (*rds.CreateDBClusterParameterGroupOutput, error)
	CreateDBClusterParameterGroupRequestFunc              func(param0 *rds.CreateDBClusterParameterGroupInput) (*request.Request, *rds.CreateDBClusterParameterGroupOutput)
	CreateDBClusterParameterGroupWithContextFunc          func(param0 aws.Context, param1 *rds.CreateDBClusterParameterGroupInput, param2 ...request.Option) (*rds.CreateDBClusterParameterGroupOutput, error)
	CreateDBClusterRequestFunc                            func(param0 *rds.CreateDBClusterInput) (*request.Request, *rds.CreateDBClusterOutput)
	CreateDBClusterSnapshotFunc                           func(param0 *rds.CreateDBClusterSnapshotInput) (*rds.CreateDBClusterSnapshotOutput, error)
	CreateDBClusterSnapshotRequestFunc                    func(param0 *rds.CreateDBClusterSnapshotInput) (*request.Request, *rds.CreateDBClusterSnapshotOutput)
	CreateDBClusterSnapshotWithContextFunc                func(param0 aws.Context, param1 *rds.CreateDBClusterSnapshotInput, param2 ...request.Option) (*rds.CreateDBClusterSnapshotOutput, error)
	CreateDBClusterWithContextFunc                        func(param0 aws.Context, param1 *rds.CreateDBClusterInput, param2 ...request.Option) (*rds.CreateDBClusterOutput, error)
	CreateDBInstanceFunc                                  func(param0 *rds.CreateDBInstanceInput) (*rds.CreateDBInstanceOutput, error)
	CreateDBInstanceReadReplicaFunc                       func(param0 *rds.CreateDBInstanceReadReplicaInput) (*rds.CreateDBInstanceReadReplicaOutput, error)
	CreateDBInstanceReadReplicaRequestFunc                func(param0 *rds.CreateDBInstanceReadReplicaInput) (*request.Request, *rds.CreateDBInstanceReadReplicaOutput)
	CreateDBInstanceReadReplicaWithContextFunc            func(param0 aws.Context, param1 *rds.CreateDBInstanceReadReplicaInput, param2 ...request.Option) (*rds.CreateDBInstanceReadReplicaOutput, error)
	CreateDBInstanceRequestFunc                           func(param0 *rds.CreateDBInstanceInput) (*request.Request, *rds.CreateDBInstanceOutput)
	CreateDBInstanceWithContextFunc                       func(param0 aws.Context, param1 *rds.CreateDBInstanceInput, param2 ...request.Option) (*rds.CreateDBInstanceOutput, error)
	CreateDBParameterGroupFunc                            func(param0 *rds.CreateDBParameterGroupInput) (*rds.CreateDBParameterGroupOutput, error)
	CreateDBParameterGroupRequestFunc                     func(param0 *rds.CreateDBParameterGroupInput) (*request.Request, *rds.CreateDBParameterGroupOutput)
	CreateDBParameterGroupWithContextFunc                 func(param0 aws.Context, param1 *rds.CreateDBParameterGroupInput, param2 ...request.Option) (*rds.CreateDBParameterGroupOutput, error)
	CreateDBSecurityGroupFunc                             func(param0 *rds.CreateDBSecurityGroupInput) (*rds.CreateDBSecurityGroupOutput, error)
	CreateDBSecurityGroupRequestFunc                      func(param0 *rds.CreateDBSecurityGroupInput) (*request.Request, *rds.CreateDBSecurityGroupOutput)
	CreateDBSecurityGroupWithContextFunc                  func(param0 aws.Context, param1 *rds.CreateDBSecurityGroupInput, param2 ...request.Option) (*rds.CreateDBSecurityGroupOutput, error)
	CreateDBSnapshotFunc                                  func(param0 *rds.CreateDBSnapshotInput) (*rds.CreateDBSnapshotOutput, error)
	CreateDBSnapshotRequestFunc                           func(param0 *rds.CreateDBSnapshotInput) (*request.Request, *rds.CreateDBSnapshotOutput)
	CreateDBSnapshotWithContextFunc                       func(param0 aws.Context, param1 *rds.CreateDBSnapshotInput, param2 ...request.Option) (*rds.CreateDBSnapshotOutput, error)
	CreateDBSubnetGroupFunc                               func(param0 *rds.CreateDBSubnetGroupInput) (*rds.CreateDBSubnetGroupOutput, error)
	CreateDBSubnetGroupRequestFunc                        func(param0 *rds.CreateDBSubnetGroupInput) (*request.Request, *rds.CreateDBSubnetGroupOutput)
	CreateDBSubnetGroupWithContextFunc                    func(param0 aws.Context, param1 *rds.CreateDBSubnetGroupInput, param2 ...request.Option) (*rds.CreateDBSubnetGroupOutput, error)
	CreateEventSubscriptionFunc                           func(param0 *rds.CreateEventSubscriptionInput) (*rds.CreateEventSubscriptionOutput, error)
	CreateEventSubscriptionRequestFunc                    func(param0 *rds.CreateEventSubscriptionInput) (*request.Request, *rds.CreateEventSubscriptionOutput)
	CreateEventSubscriptionWithContextFunc                func(param0 aws.Context, param1 *rds.CreateEventSubscriptionInput, param2 ...request.Option) (*rds.CreateEventSubscriptionOutput, error)
	CreateOptionGroupFunc                                 func(param0 *rds.CreateOptionGroupInput) (*rds.CreateOptionGroupOutput, error)
	CreateOptionGroupRequestFunc                          func(param0 *rds.CreateOptionGroupInput) (*request.Request, *rds.CreateOptionGroupOutput)
	CreateOptionGroupWithContextFunc                      func(param0 aws.Context, param1 *rds.CreateOptionGroupInput, param2 ...request.Option) (*rds.CreateOptionGroupOutput, error)
	DeleteDBClusterFunc                                   func(param0 *rds.DeleteDBClusterInput) (*rds.DeleteDBClusterOutput, error)
	DeleteDBClusterParameterGroupFunc                     func(param0 *rds.DeleteDBClusterParameterGroupInput) (*rds.DeleteDBClusterParameterGroupOutput, error)
	DeleteDBClusterParameterGroupRequestFunc              func(param0 *rds.DeleteDBClusterParameterGroupInput) (*request.Request, *rds.DeleteDBClusterParameterGroupOutput)
	DeleteDBClusterParameterGroupWithContextFunc          func(param0 aws.Context, param1 *rds.DeleteDBClusterParameterGroupInput, param2 ...request.Option) (*rds.DeleteDBClusterParameterGroupOutput, error)
	DeleteDBClusterRequestFunc                            func(param0 *rds.DeleteDBClusterInput) (*request.Request, *rds.DeleteDBClusterOutput)
	DeleteDBClusterSnapshotFunc                           func(param0 *rds.DeleteDBClusterSnapshotInput) (*rds.DeleteDBClusterSnapshotOutput, error)
	DeleteDBClusterSnapshotRequestFunc                    func(param0 *rds.DeleteDBClusterSnapshotInput) (*request.Request, *rds.DeleteDBClusterSnapshotOutput)
	DeleteDBClusterSnapshotWithContextFunc                func(param0 aws.Context, param1 *rds.DeleteDBClusterSnapshotInput, param2 ...request.Option) (*rds.DeleteDBClusterSnapshotOutput, error)
	DeleteDBClusterWithContextFunc                        func(param0 aws.Context, param1 *rds.DeleteDBClusterInput, param2 ...request.Option) (*rds.DeleteDBClusterOutput, error)
	DeleteDBInstanceFunc                                  func(param0 *rds.DeleteDBInstanceInput) (*rds.DeleteDBInstanceOutput, error)
	DeleteDBInstanceRequestFunc                           func(param0 *rds.DeleteDBInstanceInput) (*request.Request, *rds.DeleteDBInstanceOutput)
	DeleteDBInstanceWithContextFunc                       func(param0 aws.Context, param1 *rds.DeleteDBInstanceInput, param2 ...request.Option) (*rds.DeleteDBInstanceOutput, error)
	DeleteDBParameterGroupFunc                            func(param0 *rds.DeleteDBParameterGroupInput) (*rds.DeleteDBParameterGroupOutput, error)
	DeleteDBParameterGroupRequestFunc                     func(param0 *rds.DeleteDBParameterGroupInput) (*request.Request, *rds.DeleteDBParameterGroupOutput)
	DeleteDBParameterGroupWithContextFunc                 func(param0 aws.Context, param1 *rds.DeleteDBParameterGroupInput, param2 ...request.Option) (*rds.DeleteDBParameterGroupOutput, error)
	DeleteDBSecurityGroupFunc                             func(param0 *rds.DeleteDBSecurityGroupInput) (*rds.DeleteDBSecurityGroupOutput, error)
	DeleteDBSecurityGroupRequestFunc                      func(param0 *rds.DeleteDBSecurityGroupInput) (*request.Request, *rds.DeleteDBSecurityGroupOutput)
	DeleteDBSecurityGroupWithContextFunc                  func(param0 aws.Context, param1 *rds.DeleteDBSecurityGroupInput, param2 ...request.Option) (*rds.DeleteDBSecurityGroupOutput, error)
	DeleteDBSnapshotFunc                                  func(param0 *rds.DeleteDBSnapshotInput) (*rds.DeleteDBSnapshotOutput, error)
	DeleteDBSnapshotRequestFunc                           func(param0 *rds.DeleteDBSnapshotInput) (*request.Request, *rds.DeleteDBSnapshotOutput)
	DeleteDBSnapshotWithContextFunc                       func(param0 aws.Context, param1 *rds.DeleteDBSnapshotInput, param2 ...request.Option) (*rds.DeleteDBSnapshotOutput, error)
	DeleteDBSubnetGroupFunc                               func(param0 *rds.DeleteDBSubnetGroupInput) (*rds.DeleteDBSubnetGroupOutput, error)
	DeleteDBSubnetGroupRequestFunc                        func(param0 *rds.DeleteDBSubnetGroupInput) (*request.Request, *rds.DeleteDBSubnetGroupOutput)
	DeleteDBSubnetGroupWithContextFunc                    func(param0 aws.Context, param1 *rds.DeleteDBSubnetGroupInput, param2 ...request.Option) (*rds.DeleteDBSubnetGroupOutput, error)
	DeleteEventSubscriptionFunc                           func(param0 *rds.DeleteEventSubscriptionInput) (*rds.DeleteEventSubscriptionOutput, error)
	DeleteEventSubscriptionRequestFunc                    func(param0 *rds.DeleteEventSubscriptionInput) (*request.Request, *rds.DeleteEventSubscriptionOutput)
	DeleteEventSubscriptionWithContextFunc                func(param0 aws.Context, param1 *rds.DeleteEventSubscriptionInput, param2 ...request.Option) (*rds.DeleteEventSubscriptionOutput, error)
	DeleteOptionGroupFunc                                 func(param0 *rds.DeleteOptionGroupInput) (*rds.DeleteOptionGroupOutput, error)
	DeleteOptionGroupRequestFunc                          func(param0 *rds.DeleteOptionGroupInput) (*request.Request, *rds.DeleteOptionGroupOutput)
	DeleteOptionGroupWithContextFunc                      func(param0 aws.Context, param1 *rds.DeleteOptionGroupInput, param2 ...request.Option) (*rds.DeleteOptionGroupOutput, error)
	DescribeAccountAttributesFunc                         func(param0 *rds.DescribeAccountAttributesInput) (*rds.DescribeAccountAttributesOutput, error)
	DescribeAccountAttributesRequestFunc                  func(param0 *rds.DescribeAccountAttributesInput) (*request.Request, *rds.DescribeAccountAttributesOutput)
	DescribeAccountAttributesWithContextFunc              func(param0 aws.Context, param1 *rds.DescribeAccountAttributesInput, param2 ...request.Option) (*rds.DescribeAccountAttributesOutput, error)
	DescribeCertificatesFunc                              func(param0 *rds.DescribeCertificatesInput) (*rds.DescribeCertificatesOutput, error)
	DescribeCertificatesRequestFunc                       func(param0 *rds.DescribeCertificatesInput) (*request.Request, *rds.DescribeCertificatesOutput)
	DescribeCertificatesWithContextFunc                   func(param0 aws.Context, param1 *rds.DescribeCertificatesInput, param2 ...request.Option) (*rds.DescribeCertificatesOutput, error)
	DescribeDBClusterParameterGroupsFunc                  func(param0 *rds.DescribeDBClusterParameterGroupsInput) (*rds.DescribeDBClusterParameterGroupsOutput, error)
	DescribeDBClusterParameterGroupsRequestFunc           func(param0 *rds.DescribeDBClusterParameterGroupsInput) (*request.Request, *rds.DescribeDBClusterParameterGroupsOutput)
	DescribeDBClusterParameterGroupsWithContextFunc       func(param0 aws.Context, param1 *rds.DescribeDBClusterParameterGroupsInput, param2 ...request.Option) (*rds.DescribeDBClusterParameterGroupsOutput, error)
	DescribeDBClusterParametersFunc                       func(param0 *rds.DescribeDBClusterParametersInput) (*rds.DescribeDBClusterParametersOutput, error)
	DescribeDBClusterParametersRequestFunc                func(param0 *rds.DescribeDBClusterParametersInput) (*request.Request, *rds.DescribeDBClusterParametersOutput)
	DescribeDBClusterParametersWithContextFunc            func(param0 aws.Context, param1 *rds.DescribeDBClusterParametersInput, param2 ...request.Option) (*rds.DescribeDBClusterParametersOutput, error)
	DescribeDBClusterSnapshotAttributesFunc               func(param0 *rds.DescribeDBClusterSnapshotAttributesInput) (*rds.DescribeDBClusterSnapshotAttributesOutput, error)
	DescribeDBClusterSnapshotAttributesRequestFunc        func(param0 *rds.DescribeDBClusterSnapshotAttributesInput) (*request.Request, *rds.DescribeDBClusterSnapshotAttributesOutput)
	DescribeDBClusterSnapshotAttributesWithContextFunc    func(param0 aws.Context, param1 *rds.DescribeDBClusterSnapshotAttributesInput, param2 ...request.Option) (*rds.DescribeDBClusterSnapshotAttributesOutput, error)
	DescribeDBClusterSnapshotsFunc                        func(param0 *rds.DescribeDBClusterSnapshotsInput) (*rds.DescribeDBClusterSnapshotsOutput, error)
	DescribeDBClusterSnapshotsRequestFunc                 func(param0 *rds.DescribeDBClusterSnapshotsInput) (*request.Request, *rds.DescribeDBClusterSnapshotsOutput)
	DescribeDBClusterSnapshotsWithContextFunc             func(param0 aws.Context, param1 *rds.DescribeDBClusterSnapshotsInput, param2 ...request.Option) (*rds.DescribeDBClusterSnapshotsOutput, error)
	DescribeDBClustersFunc                                func(param0 *rds.DescribeDBClustersInput) (*rds.DescribeDBClustersOutput, error)
	DescribeDBClustersRequestFunc                         func(param0 *rds.DescribeDBClustersInput) (*request.Request, *rds.DescribeDBClustersOutput)
	DescribeDBClustersWithContextFunc                     func(param0 aws.Context, param1 *rds.DescribeDBClustersInput, param2 ...request.Option) (*rds.DescribeDBClustersOutput, error)
	DescribeDBEngineVersionsFunc                          func(param0 *rds.DescribeDBEngineVersionsInput) (*rds.DescribeDBEngineVersionsOutput, error)
	DescribeDBEngineVersionsRequestFunc                   func(param0 *rds.DescribeDBEngineVersionsInput) (*request.Request, *rds.DescribeDBEngineVersionsOutput)
	DescribeDBEngineVersionsWithContextFunc               func(param0 aws.Context, param1 *rds.DescribeDBEngineVersionsInput, param2 ...request.Option) (*rds.DescribeDBEngineVersionsOutput, error)
	DescribeDBInstancesFunc                               func(param0 *rds.DescribeDBInstancesInput) (*rds.DescribeDBInstancesOutput, error)
	DescribeDBInstancesRequestFunc                        func(param0 *rds.DescribeDBInstancesInput) (*request.Request, *rds.DescribeDBInstancesOutput)
	DescribeDBInstancesWithContextFunc                    func(param0 aws.Context, param1 *rds.DescribeDBInstancesInput, param2 ...request.Option) (*rds.DescribeDBInstancesOutput, error)
	DescribeDBLogFilesFunc                                func(param0 *rds.DescribeDBLogFilesInput) (*rds.DescribeDBLogFilesOutput, error)
	DescribeDBLogFilesRequestFunc                         func(param0 *rds.DescribeDBLogFilesInput) (*request.Request, *rds.DescribeDBLogFilesOutput)
	DescribeDBLogFilesWithContextFunc                     func(param0 aws.Context, param1 *rds.DescribeDBLogFilesInput, param2 ...request.Option) (*rds.DescribeDBLogFilesOutput, error)
	DescribeDBParameterGroupsFunc                         func(param0 *rds.DescribeDBParameterGroupsInput) (*rds.DescribeDBParameterGroupsOutput, error)
	DescribeDBParameterGroupsRequestFunc                  func(param0 *rds.DescribeDBParameterGroupsInput) (*request.Request, *rds.DescribeDBParameterGroupsOutput)
	DescribeDBParameterGroupsWithContextFunc              func(param0 aws.Context, param1 *rds.DescribeDBParameterGroupsInput, param2 ...request.Option) (*rds.DescribeDBParameterGroupsOutput, error)
	DescribeDBParametersFunc                              func(param0 *rds.DescribeDBParametersInput) (*rds.DescribeDBParametersOutput, error)
	DescribeDBParametersRequestFunc                       func(param0 *rds.DescribeDBParametersInput) (*request.Request, *rds.DescribeDBParametersOutput)
	DescribeDBParametersWithContextFunc                   func(param0 aws.Context, param1 *rds.DescribeDBParametersInput, param2 ...request.Option) (*rds.DescribeDBParametersOutput, error)
	DescribeDBSecurityGroupsFunc                          func(param0 *rds.DescribeDBSecurityGroupsInput) (*rds.DescribeDBSecurityGroupsOutput, error)
	DescribeDBSecurityGroupsRequestFunc                   func(param0 *rds.DescribeDBSecurityGroupsInput) (*request.Request, *rds.DescribeDBSecurityGroupsOutput)
	DescribeDBSecurityGroupsWithContextFunc               func(param0 aws.Context, param1 *rds.DescribeDBSecurityGroupsInput, param2 ...request.Option) (*rds.DescribeDBSecurityGroupsOutput, error)
	DescribeDBSnapshotAttributesFunc                      func(param0 *rds.DescribeDBSnapshotAttributesInput) (*rds.DescribeDBSnapshotAttributesOutput, error)
	DescribeDBSnapshotAttributesRequestFunc               func(param0 *rds.DescribeDBSnapshotAttributesInput) (*request.Request, *rds.DescribeDBSnapshotAttributesOutput)
	DescribeDBSnapshotAttributesWithContextFunc           func(param0 aws.Context, param1 *rds.DescribeDBSnapshotAttributesInput, param2 ...request.Option) (*rds.DescribeDBSnapshotAttributesOutput, error)
	DescribeDBSnapshotsFunc                               func(param0 *rds.DescribeDBSnapshotsInput) (*rds.DescribeDBSnapshotsOutput, error)
	DescribeDBSnapshotsRequestFunc                        func(param0 *rds.DescribeDBSnapshotsInput) (*request.Request, *rds.DescribeDBSnapshotsOutput)
	DescribeDBSnapshotsWithContextFunc                    func(param0 aws.Context, param1 *rds.DescribeDBSnapshotsInput, param2 ...request.Option) (*rds.DescribeDBSnapshotsOutput, error)
	DescribeDBSubnetGroupsFunc                            func(param0 *rds.DescribeDBSubnetGroupsInput) (*rds.DescribeDBSubnetGroupsOutput, error)
	DescribeDBSubnetGroupsRequestFunc                     func(param0 *rds.DescribeDBSubnetGroupsInput) (*request.Request, *rds.DescribeDBSubnetGroupsOutput)
	DescribeDBSubnetGroupsWithContextFunc                 func(param0 aws.Context, param1 *rds.DescribeDBSubnetGroupsInput, param2 ...request.Option) (*rds.DescribeDBSubnetGroupsOutput, error)
	DescribeEngineDefaultClusterParametersFunc            func(param0 *rds.DescribeEngineDefaultClusterParametersInput) (*rds.DescribeEngineDefaultClusterParametersOutput, error)
	DescribeEngineDefaultClusterParametersRequestFunc     func(param0 *rds.DescribeEngineDefaultClusterParametersInput) (*request.Request, *rds.DescribeEngineDefaultClusterParametersOutput)
	DescribeEngineDefaultClusterParametersWithContextFunc func(param0 aws.Context, param1 *rds.DescribeEngineDefaultClusterParametersInput, param2 ...request.Option) (*rds.DescribeEngineDefaultClusterParametersOutput, error)
	DescribeEngineDefaultParametersFunc                   func(param0 *rds.DescribeEngineDefaultParametersInput) (*rds.DescribeEngineDefaultParametersOutput, error)
	DescribeEngineDefaultParametersRequestFunc            func(param0 *rds.DescribeEngineDefaultParametersInput) (*request.Request, *rds.DescribeEngineDefaultParametersOutput)
	DescribeEngineDefaultParametersWithContextFunc        func(param0 aws.Context, param1 *rds.DescribeEngineDefaultParametersInput, param2 ...request.Option) (*rds.DescribeEngineDefaultParametersOutput, error)
	DescribeEventCategoriesFunc                           func(param0 *rds.DescribeEventCategoriesInput) (*rds.DescribeEventCategoriesOutput, error)
	DescribeEventCategoriesRequestFunc                    func(param0 *rds.DescribeEventCategoriesInput) (*request.Request, *rds.DescribeEventCategoriesOutput)
	DescribeEventCategoriesWithContextFunc                func(param0 aws.Context, param1 *rds.DescribeEventCategoriesInput, param2 ...request.Option) (*rds.DescribeEventCategoriesOutput, error)
	DescribeEventSubscriptionsFunc                        func(param0 *rds.DescribeEventSubscriptionsInput) (*rds.DescribeEventSubscriptionsOutput, error)
	DescribeEventSubscriptionsRequestFunc                 func(param0 *rds.DescribeEventSubscriptionsInput) (*request.Request, *rds.DescribeEventSubscriptionsOutput)
	DescribeEventSubscriptionsWithContextFunc             func(param0 aws.Context, param1 *rds.DescribeEventSubscriptionsInput, param2 ...request.Option) (*rds.DescribeEventSubscriptionsOutput, error)
	DescribeEventsFunc                                    func(param0 *rds.DescribeEventsInput) (*rds.DescribeEventsOutput, error)
	DescribeEventsRequestFunc                             func(param0 *rds.DescribeEventsInput) (*request.Request, *rds.DescribeEventsOutput)
	DescribeEventsWithContextFunc                         func(param0 aws.Context, param1 *rds.DescribeEventsInput, param2 ...request.Option) (*rds.DescribeEventsOutput, error)
	DescribeOptionGroupOptionsFunc                        func(param0 *rds.DescribeOptionGroupOptionsInput) (*rds.DescribeOptionGroupOptionsOutput, error)
	DescribeOptionGroupOptionsRequestFunc                 func(param0 *rds.DescribeOptionGroupOptionsInput) (*request.Request, *rds.DescribeOptionGroupOptionsOutput)
	DescribeOptionGroupOptionsWithContextFunc             func(param0 aws.Context, param1 *rds.DescribeOptionGroupOptionsInput, param2 ...request.Option) (*rds.DescribeOptionGroupOptionsOutput, error)
	DescribeOptionGroupsFunc                              func(param0 *rds.DescribeOptionGroupsInput) (*rds.DescribeOptionGroupsOutput, error)
	DescribeOptionGroupsRequestFunc                       func(param0 *rds.DescribeOptionGroupsInput) (*request.Request, *rds.DescribeOptionGroupsOutput)
	DescribeOptionGroupsWithContextFunc                   func(param0 aws.Context, param1 *rds.DescribeOptionGroupsInput, param2 ...request.Option) (*rds.DescribeOptionGroupsOutput, error)
	DescribeOrderableDBInstanceOptionsFunc                func(param0 *rds.DescribeOrderableDBInstanceOptionsInput) (*rds.DescribeOrderableDBInstanceOptionsOutput, error)
	DescribeOrderableDBInstanceOptionsRequestFunc         func(param0 *rds.DescribeOrderableDBInstanceOptionsInput) (*request.Request, *rds.DescribeOrderableDBInstanceOptionsOutput)
	DescribeOrderableDBInstanceOptionsWithContextFunc     func(param0 aws.Context, param1 *rds.DescribeOrderableDBInstanceOptionsInput, param2 ...request.Option) (*rds.DescribeOrderableDBInstanceOptionsOutput, error)
	DescribePendingMaintenanceActionsFunc                 func(param0 *rds.DescribePendingMaintenanceActionsInput) (*rds.DescribePendingMaintenanceActionsOutput, error)
	DescribePendingMaintenanceActionsRequestFunc          func(param0 *rds.DescribePendingMaintenanceActionsInput) (*request.Request, *rds.DescribePendingMaintenanceActionsOutput)
	DescribePendingMaintenanceActionsWithContextFunc      func(param0 aws.Context, param1 *rds.DescribePendingMaintenanceActionsInput, param2 ...request.Option) (*rds.DescribePendingMaintenanceActionsOutput, error)
	DescribeReservedDBInstancesFunc                       func(param0 *rds.DescribeReservedDBInstancesInput) (*rds.DescribeReservedDBInstancesOutput, error)
	DescribeReservedDBInstancesOfferingsFunc              func(param0 *rds.DescribeReservedDBInstancesOfferingsInput) (*rds.DescribeReservedDBInstancesOfferingsOutput, error)
	DescribeReservedDBInstancesOfferingsRequestFunc       func(param0 *rds.DescribeReservedDBInstancesOfferingsInput) (*request.Request, *rds.DescribeReservedDBInstancesOfferingsOutput)
	DescribeReservedDBInstancesOfferingsWithContextFunc   func(param0 aws.Context, param1 *rds.DescribeReservedDBInstancesOfferingsInput, param2 ...request.Option) (*rds.DescribeReservedDBInstancesOfferingsOutput, error)
	DescribeReservedDBInstancesRequestFunc                func(param0 *rds.DescribeReservedDBInstancesInput) (*request.Request, *rds.DescribeReservedDBInstancesOutput)
	DescribeReservedDBInstancesWithContextFunc            func(param0 aws.Context, param1 *rds.DescribeReservedDBInstancesInput, param2 ...request.Option) (*rds.DescribeReservedDBInstancesOutput, error)
	DescribeSourceRegionsFunc                             func(param0 *rds.DescribeSourceRegionsInput) (*rds.DescribeSourceRegionsOutput, error)
	DescribeSourceRegionsRequestFunc                      func(param0 *rds.DescribeSourceRegionsInput) (*request.Request, *rds.DescribeSourceRegionsOutput)
	DescribeSourceRegionsWithContextFunc                  func(param0 aws.Context, param1 *rds.DescribeSourceRegionsInput, param2 ...request.Option) (*rds.DescribeSourceRegionsOutput, error)
	DownloadDBLogFilePortionFunc                          func(param0 *rds.DownloadDBLogFilePortionInput) (*rds.DownloadDBLogFilePortionOutput, error)
	DownloadDBLogFilePortionRequestFunc                   func(param0 *rds.DownloadDBLogFilePortionInput) (*request.Request, *rds.DownloadDBLogFilePortionOutput)
	DownloadDBLogFilePortionWithContextFunc               func(param0 aws.Context, param1 *rds.DownloadDBLogFilePortionInput, param2 ...request.Option) (*rds.DownloadDBLogFilePortionOutput, error)
	FailoverDBClusterFunc                                 func(param0 *rds.FailoverDBClusterInput) (*rds.FailoverDBClusterOutput, error)
	FailoverDBClusterRequestFunc                          func(param0 *rds.FailoverDBClusterInput) (*request.Request, *rds.FailoverDBClusterOutput)
	FailoverDBClusterWithContextFunc                      func(param0 aws.Context, param1 *rds.FailoverDBClusterInput, param2 ...request.Option) (*rds.FailoverDBClusterOutput, error)
	ListTagsForResourceFunc                               func(param0 *rds.ListTagsForResourceInput) (*rds.ListTagsForResourceOutput, error)
	ListTagsForResourceRequestFunc                        func(param0 *rds.ListTagsForResourceInput) (*request.Request, *rds.ListTagsForResourceOutput)
	ListTagsForResourceWithContextFunc                    func(param0 aws.Context, param1 *rds.ListTagsForResourceInput, param2 ...request.Option) (*rds.ListTagsForResourceOutput, error)
	ModifyDBClusterFunc                                   func(param0 *rds.ModifyDBClusterInput) (*rds.ModifyDBClusterOutput, error)
	ModifyDBClusterParameterGroupFunc                     func(param0 *rds.ModifyDBClusterParameterGroupInput) (*rds.DBClusterParameterGroupNameMessage, error)
	ModifyDBClusterParameterGroupRequestFunc              func(param0 *rds.ModifyDBClusterParameterGroupInput) (*request.Request, *rds.DBClusterParameterGroupNameMessage)
	ModifyDBClusterParameterGroupWithContextFunc          func(param0 aws.Context, param1 *rds.ModifyDBClusterParameterGroupInput, param2 ...request.Option) (*rds.DBClusterParameterGroupNameMessage, error)
	ModifyDBClusterRequestFunc                            func(param0 *rds.ModifyDBClusterInput) (*request.Request, *rds.ModifyDBClusterOutput)
	ModifyDBClusterSnapshotAttributeFunc                  func(param0 *rds.ModifyDBClusterSnapshotAttributeInput) (*rds.ModifyDBClusterSnapshotAttributeOutput, error)
	ModifyDBClusterSnapshotAttributeRequestFunc           func(param0 *rds.ModifyDBClusterSnapshotAttributeInput) (*request.Request, *rds.ModifyDBClusterSnapshotAttributeOutput)
	ModifyDBClusterSnapshotAttributeWithContextFunc       func(param0 aws.Context, param1 *rds.ModifyDBClusterSnapshotAttributeInput, param2 ...request.Option) (*rds.ModifyDBClusterSnapshotAttributeOutput, error)
	ModifyDBClusterWithContextFunc                        func(param0 aws.Context, param1 *rds.ModifyDBClusterInput, param2 ...request.Option) (*rds.ModifyDBClusterOutput, error)
	ModifyDBInstanceFunc                                  func(param0 *rds.ModifyDBInstanceInput) (*rds.ModifyDBInstanceOutput, error)
	ModifyDBInstanceRequestFunc                           func(param0 *rds.ModifyDBInstanceInput) (*request.Request, *rds.ModifyDBInstanceOutput)
	ModifyDBInstanceWithContextFunc                       func(param0 aws.Context, param1 *rds.ModifyDBInstanceInput, param2 ...request.Option) (*rds.ModifyDBInstanceOutput, error)
	ModifyDBParameterGroupFunc                            func(param0 *rds.ModifyDBParameterGroupInput) (*rds.DBParameterGroupNameMessage, error)
	ModifyDBParameterGroupRequestFunc                     func(param0 *rds.ModifyDBParameterGroupInput) (*request.Request, *rds.DBParameterGroupNameMessage)
	ModifyDBParameterGroupWithContextFunc                 func(param0 aws.Context, param1 *rds.ModifyDBParameterGroupInput, param2 ...request.Option) (*rds.DBParameterGroupNameMessage, error)
	ModifyDBSnapshotFunc                                  func(param0 *rds.ModifyDBSnapshotInput) (*rds.ModifyDBSnapshotOutput, error)
	ModifyDBSnapshotAttributeFunc                         func(param0 *rds.ModifyDBSnapshotAttributeInput) (*rds.ModifyDBSnapshotAttributeOutput, error)
	ModifyDBSnapshotAttributeRequestFunc                  func(param0 *rds.ModifyDBSnapshotAttributeInput) (*request.Request, *rds.ModifyDBSnapshotAttributeOutput)
	ModifyDBSnapshotAttributeWithContextFunc              func(param0 aws.Context, param1 *rds.ModifyDBSnapshotAttributeInput, param2 ...request.Option) (*rds.ModifyDBSnapshotAttributeOutput, error)
	ModifyDBSnapshotRequestFunc                           func(param0 *rds.ModifyDBSnapshotInput) (*request.Request, *rds.ModifyDBSnapshotOutput)
	ModifyDBSnapshotWithContextFunc                       func(param0 aws.Context, param1 *rds.ModifyDBSnapshotInput, param2 ...request.Option) (*rds.ModifyDBSnapshotOutput, error)
	ModifyDBSubnetGroupFunc                               func(param0 *rds.ModifyDBSubnetGroupInput) (*rds.ModifyDBSubnetGroupOutput, error)
	ModifyDBSubnetGroupRequestFunc                        func(param0 *rds.ModifyDBSubnetGroupInput) (*request.Request, *rds.ModifyDBSubnetGroupOutput)
	ModifyDBSubnetGroupWithContextFunc                    func(param0 aws.Context, param1 *rds.ModifyDBSubnetGroupInput, param2 ...request.Option) (*rds.ModifyDBSubnetGroupOutput, error)
	ModifyEventSubscriptionFunc                           func(param0 *rds.ModifyEventSubscriptionInput) (*rds.ModifyEventSubscriptionOutput, error)
	ModifyEventSubscriptionRequestFunc                    func(param0 *rds.ModifyEventSubscriptionInput) (*request.Request, *rds.ModifyEventSubscriptionOutput)
	ModifyEventSubscriptionWithContextFunc                func(param0 aws.Context, param1 *rds.ModifyEventSubscriptionInput, param2 ...request.Option) (*rds.ModifyEventSubscriptionOutput, error)
	ModifyOptionGroupFunc                                 func(param0 *rds.ModifyOptionGroupInput) (*rds.ModifyOptionGroupOutput, error)
	ModifyOptionGroupRequestFunc                          func(param0 *rds.ModifyOptionGroupInput) (*request.Request, *rds.ModifyOptionGroupOutput)
	ModifyOptionGroupWithContextFunc                      func(param0 aws.Context, param1 *rds.ModifyOptionGroupInput, param2 ...request.Option) (*rds.ModifyOptionGroupOutput, error)
	PromoteReadReplicaFunc                                func(param0 *rds.PromoteReadReplicaInput) (*rds.PromoteReadReplicaOutput, error)
	PromoteReadReplicaDBClusterFunc                       func(param0 *rds.PromoteReadReplicaDBClusterInput) (*rds.PromoteReadReplicaDBClusterOutput, error)
	PromoteReadReplicaDBClusterRequestFunc                func(param0 *rds.PromoteReadReplicaDBClusterInput) (*request.Request, *rds.PromoteReadReplicaDBClusterOutput)
	PromoteReadReplicaDBClusterWithContextFunc            func(param0 aws.Context, param1 *rds.PromoteReadReplicaDBClusterInput, param2 ...request.Option) (*rds.PromoteReadReplicaDBClusterOutput, error)
	PromoteReadReplicaRequestFunc                         func(param0 *rds.PromoteReadReplicaInput) (*request.Request, *rds.PromoteReadReplicaOutput)
	PromoteReadReplicaWithContextFunc                     func(param0 aws.Context, param1 *rds.PromoteReadReplicaInput, param2 ...request.Option) (*rds.PromoteReadReplicaOutput, error)
	PurchaseReservedDBInstancesOfferingFunc               func(param0 *rds.PurchaseReservedDBInstancesOfferingInput) (*rds.PurchaseReservedDBInstancesOfferingOutput, error)
	PurchaseReservedDBInstancesOfferingRequestFunc        func(param0 *rds.PurchaseReservedDBInstancesOfferingInput) (*request.Request, *rds.PurchaseReservedDBInstancesOfferingOutput)
	PurchaseReservedDBInstancesOfferingWithContextFunc    func(param0 aws.Context, param1 *rds.PurchaseReservedDBInstancesOfferingInput, param2 ...request.Option) (*rds.PurchaseReservedDBInstancesOfferingOutput, error)
	RebootDBInstanceFunc                                  func(param0 *rds.RebootDBInstanceInput) (*rds.RebootDBInstanceOutput, error)
	RebootDBInstanceRequestFunc                           func(param0 *rds.RebootDBInstanceInput) (*request.Request, *rds.RebootDBInstanceOutput)
	RebootDBInstanceWithContextFunc                       func(param0 aws.Context, param1 *rds.RebootDBInstanceInput, param2 ...request.Option) (*rds.RebootDBInstanceOutput, error)
	RemoveRoleFromDBClusterFunc                           func(param0 *rds.RemoveRoleFromDBClusterInput) (*rds.RemoveRoleFromDBClusterOutput, error)
	RemoveRoleFromDBClusterRequestFunc                    func(param0 *rds.RemoveRoleFromDBClusterInput) (*request.Request, *rds.RemoveRoleFromDBClusterOutput)
	RemoveRoleFromDBClusterWithContextFunc                func(param0 aws.Context, param1 *rds.RemoveRoleFromDBClusterInput, param2 ...request.Option) (*rds.RemoveRoleFromDBClusterOutput, error)
	RemoveSourceIdentifierFromSubscriptionFunc            func(param0 *rds.RemoveSourceIdentifierFromSubscriptionInput) (*rds.RemoveSourceIdentifierFromSubscriptionOutput, error)
	RemoveSourceIdentifierFromSubscriptionRequestFunc     func(param0 *rds.RemoveSourceIdentifierFromSubscriptionInput) (*request.Request, *rds.RemoveSourceIdentifierFromSubscriptionOutput)
	RemoveSourceIdentifierFromSubscriptionWithContextFunc func(param0 aws.Context, param1 *rds.RemoveSourceIdentifierFromSubscriptionInput, param2 ...request.Option) (*rds.RemoveSourceIdentifierFromSubscriptionOutput, error)
	RemoveTagsFromResourceFunc                            func(param0 *rds.RemoveTagsFromResourceInput) (*rds.RemoveTagsFromResourceOutput, error)
	RemoveTagsFromResourceRequestFunc                     func(param0 *rds.RemoveTagsFromResourceInput) (*request.Request, *rds.RemoveTagsFromResourceOutput)
	RemoveTagsFromResourceWithContextFunc                 func(param0 aws.Context, param1 *rds.RemoveTagsFromResourceInput, param2 ...request.Option) (*rds.RemoveTagsFromResourceOutput, error)
	ResetDBClusterParameterGroupFunc                      func(param0 *rds.ResetDBClusterParameterGroupInput) (*rds.DBClusterParameterGroupNameMessage, error)
	ResetDBClusterParameterGroupRequestFunc               func(param0 *rds.ResetDBClusterParameterGroupInput) (*request.Request, *rds.DBClusterParameterGroupNameMessage)
	ResetDBClusterParameterGroupWithContextFunc           func(param0 aws.Context, param1 *rds.ResetDBClusterParameterGroupInput, param2 ...request.Option) (*rds.DBClusterParameterGroupNameMessage, error)
	ResetDBParameterGroupFunc                             func(param0 *rds.ResetDBParameterGroupInput) (*rds.DBParameterGroupNameMessage, error)
	ResetDBParameterGroupRequestFunc                      func(param0 *rds.ResetDBParameterGroupInput) (*request.Request, *rds.DBParameterGroupNameMessage)
	ResetDBParameterGroupWithContextFunc                  func(param0 aws.Context, param1 *rds.ResetDBParameterGroupInput, param2 ...request.Option) (*rds.DBParameterGroupNameMessage, error)
	RestoreDBClusterFromS3Func                            func(param0 *rds.RestoreDBClusterFromS3Input) (*rds.RestoreDBClusterFromS3Output, error)
	RestoreDBClusterFromS3RequestFunc                     func(param0 *rds.RestoreDBClusterFromS3Input) (*request.Request, *rds.RestoreDBClusterFromS3Output)
	RestoreDBClusterFromS3WithContextFunc                 func(param0 aws.Context, param1 *rds.RestoreDBClusterFromS3Input, param2 ...request.Option) (*rds.RestoreDBClusterFromS3Output, error)
	RestoreDBClusterFromSnapshotFunc                      func(param0 *rds.RestoreDBClusterFromSnapshotInput) (*rds.RestoreDBClusterFromSnapshotOutput, error)
	RestoreDBClusterFromSnapshotRequestFunc               func(param0 *rds.RestoreDBClusterFromSnapshotInput) (*request.Request, *rds.RestoreDBClusterFromSnapshotOutput)
	RestoreDBClusterFromSnapshotWithContextFunc           func(param0 aws.Context, param1 *rds.RestoreDBClusterFromSnapshotInput, param2 ...request.Option) (*rds.RestoreDBClusterFromSnapshotOutput, error)
	RestoreDBClusterToPointInTimeFunc                     func(param0 *rds.RestoreDBClusterToPointInTimeInput) (*rds.RestoreDBClusterToPointInTimeOutput, error)
	RestoreDBClusterToPointInTimeRequestFunc              func(param0 *rds.RestoreDBClusterToPointInTimeInput) (*request.Request, *rds.RestoreDBClusterToPointInTimeOutput)
	RestoreDBClusterToPointInTimeWithContextFunc          func(param0 aws.Context, param1 *rds.RestoreDBClusterToPointInTimeInput, param2 ...request.Option) (*rds.RestoreDBClusterToPointInTimeOutput, error)
	RestoreDBInstanceFromDBSnapshotFunc                   func(param0 *rds.RestoreDBInstanceFromDBSnapshotInput) (*rds.RestoreDBInstanceFromDBSnapshotOutput, error)
	RestoreDBInstanceFromDBSnapshotRequestFunc            func(param0 *rds.RestoreDBInstanceFromDBSnapshotInput) (*request.Request, *rds.RestoreDBInstanceFromDBSnapshotOutput)
	RestoreDBInstanceFromDBSnapshotWithContextFunc        func(param0 aws.Context, param1 *rds.RestoreDBInstanceFromDBSnapshotInput, param2 ...request.Option) (*rds.RestoreDBInstanceFromDBSnapshotOutput, error)
	RestoreDBInstanceToPointInTimeFunc                    func(param0 *rds.RestoreDBInstanceToPointInTimeInput) (*rds.RestoreDBInstanceToPointInTimeOutput, error)
	RestoreDBInstanceToPointInTimeRequestFunc             func(param0 *rds.RestoreDBInstanceToPointInTimeInput) (*request.Request, *rds.RestoreDBInstanceToPointInTimeOutput)
	RestoreDBInstanceToPointInTimeWithContextFunc         func(param0 aws.Context, param1 *rds.RestoreDBInstanceToPointInTimeInput, param2 ...request.Option) (*rds.RestoreDBInstanceToPointInTimeOutput, error)
	RevokeDBSecurityGroupIngressFunc                      func(param0 *rds.RevokeDBSecurityGroupIngressInput) (*rds.RevokeDBSecurityGroupIngressOutput, error)
	RevokeDBSecurityGroupIngressRequestFunc               func(param0 *rds.RevokeDBSecurityGroupIngressInput) (*request.Request, *rds.RevokeDBSecurityGroupIngressOutput)
	RevokeDBSecurityGroupIngressWithContextFunc           func(param0 aws.Context, param1 *rds.RevokeDBSecurityGroupIngressInput, param2 ...request.Option) (*rds.RevokeDBSecurityGroupIngressOutput, error)
	StartDBInstanceFunc                                   func(param0 *rds.StartDBInstanceInput) (*rds.StartDBInstanceOutput, error)
	StartDBInstanceRequestFunc                            func(param0 *rds.StartDBInstanceInput) (*request.Request, *rds.StartDBInstanceOutput)
	StartDBInstanceWithContextFunc                        func(param0 aws.Context, param1 *rds.StartDBInstanceInput, param2 ...request.Option) (*rds.StartDBInstanceOutput, error)
	StopDBInstanceFunc                                    func(param0 *rds.StopDBInstanceInput) (*rds.StopDBInstanceOutput, error)
	StopDBInstanceRequestFunc                             func(param0 *rds.StopDBInstanceInput) (*request.Request, *rds.StopDBInstanceOutput)
	StopDBInstanceWithContextFunc                         func(param0 aws.Context, param1 *rds.StopDBInstanceInput, param2 ...request.Option) (*rds.StopDBInstanceOutput, error)
	WaitUntilDBInstanceAvailableFunc                      func(param0 *rds.DescribeDBInstancesInput) error
	WaitUntilDBInstanceAvailableWithContextFunc           func(param0 aws.Context, param1 *rds.DescribeDBInstancesInput, param2 ...request.WaiterOption) error
	WaitUntilDBInstanceDeletedFunc                        func(param0 *rds.DescribeDBInstancesInput) error
	WaitUntilDBInstanceDeletedWithContextFunc             func(param0 aws.Context, param1 *rds.DescribeDBInstancesInput, param2 ...request.WaiterOption) error
}

func (m *rdsMock) AddRoleToDBCluster(param0 *rds.AddRoleToDBClusterInput) (*rds.AddRoleToDBClusterOutput, error) {
	m.addCall("AddRoleToDBCluster")
	m.verifyInput("AddRoleToDBCluster", param0)
	return m.AddRoleToDBClusterFunc(param0)
}

func (m *rdsMock) AddRoleToDBClusterRequest(param0 *rds.AddRoleToDBClusterInput) (*request.Request, *rds.AddRoleToDBClusterOutput) {
	m.addCall("AddRoleToDBClusterRequest")
	m.verifyInput("AddRoleToDBClusterRequest", param0)
	return m.AddRoleToDBClusterRequestFunc(param0)
}

func (m *rdsMock) AddRoleToDBClusterWithContext(param0 aws.Context, param1 *rds.AddRoleToDBClusterInput, param2 ...request.Option) (*rds.AddRoleToDBClusterOutput, error) {
	m.addCall("AddRoleToDBClusterWithContext")
	m.verifyInput("AddRoleToDBClusterWithContext", param0)
	return m.AddRoleToDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) AddSourceIdentifierToSubscription(param0 *rds.AddSourceIdentifierToSubscriptionInput) (*rds.AddSourceIdentifierToSubscriptionOutput, error) {
	m.addCall("AddSourceIdentifierToSubscription")
	m.verifyInput("AddSourceIdentifierToSubscription", param0)
	return m.AddSourceIdentifierToSubscriptionFunc(param0)
}

func (m *rdsMock) AddSourceIdentifierToSubscriptionRequest(param0 *rds.AddSourceIdentifierToSubscriptionInput) (*request.Request, *rds.AddSourceIdentifierToSubscriptionOutput) {
	m.addCall("AddSourceIdentifierToSubscriptionRequest")
	m.verifyInput("AddSourceIdentifierToSubscriptionRequest", param0)
	return m.AddSourceIdentifierToSubscriptionRequestFunc(param0)
}

func (m *rdsMock) AddSourceIdentifierToSubscriptionWithContext(param0 aws.Context, param1 *rds.AddSourceIdentifierToSubscriptionInput, param2 ...request.Option) (*rds.AddSourceIdentifierToSubscriptionOutput, error) {
	m.addCall("AddSourceIdentifierToSubscriptionWithContext")
	m.verifyInput("AddSourceIdentifierToSubscriptionWithContext", param0)
	return m.AddSourceIdentifierToSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) AddTagsToResource(param0 *rds.AddTagsToResourceInput) (*rds.AddTagsToResourceOutput, error) {
	m.addCall("AddTagsToResource")
	m.verifyInput("AddTagsToResource", param0)
	return m.AddTagsToResourceFunc(param0)
}

func (m *rdsMock) AddTagsToResourceRequest(param0 *rds.AddTagsToResourceInput) (*request.Request, *rds.AddTagsToResourceOutput) {
	m.addCall("AddTagsToResourceRequest")
	m.verifyInput("AddTagsToResourceRequest", param0)
	return m.AddTagsToResourceRequestFunc(param0)
}

func (m *rdsMock) AddTagsToResourceWithContext(param0 aws.Context, param1 *rds.AddTagsToResourceInput, param2 ...request.Option) (*rds.AddTagsToResourceOutput, error) {
	m.addCall("AddTagsToResourceWithContext")
	m.verifyInput("AddTagsToResourceWithContext", param0)
	return m.AddTagsToResourceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ApplyPendingMaintenanceAction(param0 *rds.ApplyPendingMaintenanceActionInput) (*rds.ApplyPendingMaintenanceActionOutput, error) {
	m.addCall("ApplyPendingMaintenanceAction")
	m.verifyInput("ApplyPendingMaintenanceAction", param0)
	return m.ApplyPendingMaintenanceActionFunc(param0)
}

func (m *rdsMock) ApplyPendingMaintenanceActionRequest(param0 *rds.ApplyPendingMaintenanceActionInput) (*request.Request, *rds.ApplyPendingMaintenanceActionOutput) {
	m.addCall("ApplyPendingMaintenanceActionRequest")
	m.verifyInput("ApplyPendingMaintenanceActionRequest", param0)
	return m.ApplyPendingMaintenanceActionRequestFunc(param0)
}

func (m *rdsMock) ApplyPendingMaintenanceActionWithContext(param0 aws.Context, param1 *rds.ApplyPendingMaintenanceActionInput, param2 ...request.Option) (*rds.ApplyPendingMaintenanceActionOutput, error) {
	m.addCall("ApplyPendingMaintenanceActionWithContext")
	m.verifyInput("ApplyPendingMaintenanceActionWithContext", param0)
	return m.ApplyPendingMaintenanceActionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) AuthorizeDBSecurityGroupIngress(param0 *rds.AuthorizeDBSecurityGroupIngressInput) (*rds.AuthorizeDBSecurityGroupIngressOutput, error) {
	m.addCall("AuthorizeDBSecurityGroupIngress")
	m.verifyInput("AuthorizeDBSecurityGroupIngress", param0)
	return m.AuthorizeDBSecurityGroupIngressFunc(param0)
}

func (m *rdsMock) AuthorizeDBSecurityGroupIngressRequest(param0 *rds.AuthorizeDBSecurityGroupIngressInput) (*request.Request, *rds.AuthorizeDBSecurityGroupIngressOutput) {
	m.addCall("AuthorizeDBSecurityGroupIngressRequest")
	m.verifyInput("AuthorizeDBSecurityGroupIngressRequest", param0)
	return m.AuthorizeDBSecurityGroupIngressRequestFunc(param0)
}

func (m *rdsMock) AuthorizeDBSecurityGroupIngressWithContext(param0 aws.Context, param1 *rds.AuthorizeDBSecurityGroupIngressInput, param2 ...request.Option) (*rds.AuthorizeDBSecurityGroupIngressOutput, error) {
	m.addCall("AuthorizeDBSecurityGroupIngressWithContext")
	m.verifyInput("AuthorizeDBSecurityGroupIngressWithContext", param0)
	return m.AuthorizeDBSecurityGroupIngressWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CopyDBClusterParameterGroup(param0 *rds.CopyDBClusterParameterGroupInput) (*rds.CopyDBClusterParameterGroupOutput, error) {
	m.addCall("CopyDBClusterParameterGroup")
	m.verifyInput("CopyDBClusterParameterGroup", param0)
	return m.CopyDBClusterParameterGroupFunc(param0)
}

func (m *rdsMock) CopyDBClusterParameterGroupRequest(param0 *rds.CopyDBClusterParameterGroupInput) (*request.Request, *rds.CopyDBClusterParameterGroupOutput) {
	m.addCall("CopyDBClusterParameterGroupRequest")
	m.verifyInput("CopyDBClusterParameterGroupRequest", param0)
	return m.CopyDBClusterParameterGroupRequestFunc(param0)
}

func (m *rdsMock) CopyDBClusterParameterGroupWithContext(param0 aws.Context, param1 *rds.CopyDBClusterParameterGroupInput, param2 ...request.Option) (*rds.CopyDBClusterParameterGroupOutput, error) {
	m.addCall("CopyDBClusterParameterGroupWithContext")
	m.verifyInput("CopyDBClusterParameterGroupWithContext", param0)
	return m.CopyDBClusterParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CopyDBClusterSnapshot(param0 *rds.CopyDBClusterSnapshotInput) (*rds.CopyDBClusterSnapshotOutput, error) {
	m.addCall("CopyDBClusterSnapshot")
	m.verifyInput("CopyDBClusterSnapshot", param0)
	return m.CopyDBClusterSnapshotFunc(param0)
}

func (m *rdsMock) CopyDBClusterSnapshotRequest(param0 *rds.CopyDBClusterSnapshotInput) (*request.Request, *rds.CopyDBClusterSnapshotOutput) {
	m.addCall("CopyDBClusterSnapshotRequest")
	m.verifyInput("CopyDBClusterSnapshotRequest", param0)
	return m.CopyDBClusterSnapshotRequestFunc(param0)
}

func (m *rdsMock) CopyDBClusterSnapshotWithContext(param0 aws.Context, param1 *rds.CopyDBClusterSnapshotInput, param2 ...request.Option) (*rds.CopyDBClusterSnapshotOutput, error) {
	m.addCall("CopyDBClusterSnapshotWithContext")
	m.verifyInput("CopyDBClusterSnapshotWithContext", param0)
	return m.CopyDBClusterSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CopyDBParameterGroup(param0 *rds.CopyDBParameterGroupInput) (*rds.CopyDBParameterGroupOutput, error) {
	m.addCall("CopyDBParameterGroup")
	m.verifyInput("CopyDBParameterGroup", param0)
	return m.CopyDBParameterGroupFunc(param0)
}

func (m *rdsMock) CopyDBParameterGroupRequest(param0 *rds.CopyDBParameterGroupInput) (*request.Request, *rds.CopyDBParameterGroupOutput) {
	m.addCall("CopyDBParameterGroupRequest")
	m.verifyInput("CopyDBParameterGroupRequest", param0)
	return m.CopyDBParameterGroupRequestFunc(param0)
}

func (m *rdsMock) CopyDBParameterGroupWithContext(param0 aws.Context, param1 *rds.CopyDBParameterGroupInput, param2 ...request.Option) (*rds.CopyDBParameterGroupOutput, error) {
	m.addCall("CopyDBParameterGroupWithContext")
	m.verifyInput("CopyDBParameterGroupWithContext", param0)
	return m.CopyDBParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CopyDBSnapshot(param0 *rds.CopyDBSnapshotInput) (*rds.CopyDBSnapshotOutput, error) {
	m.addCall("CopyDBSnapshot")
	m.verifyInput("CopyDBSnapshot", param0)
	return m.CopyDBSnapshotFunc(param0)
}

func (m *rdsMock) CopyDBSnapshotRequest(param0 *rds.CopyDBSnapshotInput) (*request.Request, *rds.CopyDBSnapshotOutput) {
	m.addCall("CopyDBSnapshotRequest")
	m.verifyInput("CopyDBSnapshotRequest", param0)
	return m.CopyDBSnapshotRequestFunc(param0)
}

func (m *rdsMock) CopyDBSnapshotWithContext(param0 aws.Context, param1 *rds.CopyDBSnapshotInput, param2 ...request.Option) (*rds.CopyDBSnapshotOutput, error) {
	m.addCall("CopyDBSnapshotWithContext")
	m.verifyInput("CopyDBSnapshotWithContext", param0)
	return m.CopyDBSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CopyOptionGroup(param0 *rds.CopyOptionGroupInput) (*rds.CopyOptionGroupOutput, error) {
	m.addCall("CopyOptionGroup")
	m.verifyInput("CopyOptionGroup", param0)
	return m.CopyOptionGroupFunc(param0)
}

func (m *rdsMock) CopyOptionGroupRequest(param0 *rds.CopyOptionGroupInput) (*request.Request, *rds.CopyOptionGroupOutput) {
	m.addCall("CopyOptionGroupRequest")
	m.verifyInput("CopyOptionGroupRequest", param0)
	return m.CopyOptionGroupRequestFunc(param0)
}

func (m *rdsMock) CopyOptionGroupWithContext(param0 aws.Context, param1 *rds.CopyOptionGroupInput, param2 ...request.Option) (*rds.CopyOptionGroupOutput, error) {
	m.addCall("CopyOptionGroupWithContext")
	m.verifyInput("CopyOptionGroupWithContext", param0)
	return m.CopyOptionGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBCluster(param0 *rds.CreateDBClusterInput) (*rds.CreateDBClusterOutput, error) {
	m.addCall("CreateDBCluster")
	m.verifyInput("CreateDBCluster", param0)
	return m.CreateDBClusterFunc(param0)
}

func (m *rdsMock) CreateDBClusterParameterGroup(param0 *rds.CreateDBClusterParameterGroupInput) (*rds.CreateDBClusterParameterGroupOutput, error) {
	m.addCall("CreateDBClusterParameterGroup")
	m.verifyInput("CreateDBClusterParameterGroup", param0)
	return m.CreateDBClusterParameterGroupFunc(param0)
}

func (m *rdsMock) CreateDBClusterParameterGroupRequest(param0 *rds.CreateDBClusterParameterGroupInput) (*request.Request, *rds.CreateDBClusterParameterGroupOutput) {
	m.addCall("CreateDBClusterParameterGroupRequest")
	m.verifyInput("CreateDBClusterParameterGroupRequest", param0)
	return m.CreateDBClusterParameterGroupRequestFunc(param0)
}

func (m *rdsMock) CreateDBClusterParameterGroupWithContext(param0 aws.Context, param1 *rds.CreateDBClusterParameterGroupInput, param2 ...request.Option) (*rds.CreateDBClusterParameterGroupOutput, error) {
	m.addCall("CreateDBClusterParameterGroupWithContext")
	m.verifyInput("CreateDBClusterParameterGroupWithContext", param0)
	return m.CreateDBClusterParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBClusterRequest(param0 *rds.CreateDBClusterInput) (*request.Request, *rds.CreateDBClusterOutput) {
	m.addCall("CreateDBClusterRequest")
	m.verifyInput("CreateDBClusterRequest", param0)
	return m.CreateDBClusterRequestFunc(param0)
}

func (m *rdsMock) CreateDBClusterSnapshot(param0 *rds.CreateDBClusterSnapshotInput) (*rds.CreateDBClusterSnapshotOutput, error) {
	m.addCall("CreateDBClusterSnapshot")
	m.verifyInput("CreateDBClusterSnapshot", param0)
	return m.CreateDBClusterSnapshotFunc(param0)
}

func (m *rdsMock) CreateDBClusterSnapshotRequest(param0 *rds.CreateDBClusterSnapshotInput) (*request.Request, *rds.CreateDBClusterSnapshotOutput) {
	m.addCall("CreateDBClusterSnapshotRequest")
	m.verifyInput("CreateDBClusterSnapshotRequest", param0)
	return m.CreateDBClusterSnapshotRequestFunc(param0)
}

func (m *rdsMock) CreateDBClusterSnapshotWithContext(param0 aws.Context, param1 *rds.CreateDBClusterSnapshotInput, param2 ...request.Option) (*rds.CreateDBClusterSnapshotOutput, error) {
	m.addCall("CreateDBClusterSnapshotWithContext")
	m.verifyInput("CreateDBClusterSnapshotWithContext", param0)
	return m.CreateDBClusterSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBClusterWithContext(param0 aws.Context, param1 *rds.CreateDBClusterInput, param2 ...request.Option) (*rds.CreateDBClusterOutput, error) {
	m.addCall("CreateDBClusterWithContext")
	m.verifyInput("CreateDBClusterWithContext", param0)
	return m.CreateDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBInstance(param0 *rds.CreateDBInstanceInput) (*rds.CreateDBInstanceOutput, error) {
	m.addCall("CreateDBInstance")
	m.verifyInput("CreateDBInstance", param0)
	return m.CreateDBInstanceFunc(param0)
}

func (m *rdsMock) CreateDBInstanceReadReplica(param0 *rds.CreateDBInstanceReadReplicaInput) (*rds.CreateDBInstanceReadReplicaOutput, error) {
	m.addCall("CreateDBInstanceReadReplica")
	m.verifyInput("CreateDBInstanceReadReplica", param0)
	return m.CreateDBInstanceReadReplicaFunc(param0)
}

func (m *rdsMock) CreateDBInstanceReadReplicaRequest(param0 *rds.CreateDBInstanceReadReplicaInput) (*request.Request, *rds.CreateDBInstanceReadReplicaOutput) {
	m.addCall("CreateDBInstanceReadReplicaRequest")
	m.verifyInput("CreateDBInstanceReadReplicaRequest", param0)
	return m.CreateDBInstanceReadReplicaRequestFunc(param0)
}

func (m *rdsMock) CreateDBInstanceReadReplicaWithContext(param0 aws.Context, param1 *rds.CreateDBInstanceReadReplicaInput, param2 ...request.Option) (*rds.CreateDBInstanceReadReplicaOutput, error) {
	m.addCall("CreateDBInstanceReadReplicaWithContext")
	m.verifyInput("CreateDBInstanceReadReplicaWithContext", param0)
	return m.CreateDBInstanceReadReplicaWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBInstanceRequest(param0 *rds.CreateDBInstanceInput) (*request.Request, *rds.CreateDBInstanceOutput) {
	m.addCall("CreateDBInstanceRequest")
	m.verifyInput("CreateDBInstanceRequest", param0)
	return m.CreateDBInstanceRequestFunc(param0)
}

func (m *rdsMock) CreateDBInstanceWithContext(param0 aws.Context, param1 *rds.CreateDBInstanceInput, param2 ...request.Option) (*rds.CreateDBInstanceOutput, error) {
	m.addCall("CreateDBInstanceWithContext")
	m.verifyInput("CreateDBInstanceWithContext", param0)
	return m.CreateDBInstanceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBParameterGroup(param0 *rds.CreateDBParameterGroupInput) (*rds.CreateDBParameterGroupOutput, error) {
	m.addCall("CreateDBParameterGroup")
	m.verifyInput("CreateDBParameterGroup", param0)
	return m.CreateDBParameterGroupFunc(param0)
}

func (m *rdsMock) CreateDBParameterGroupRequest(param0 *rds.CreateDBParameterGroupInput) (*request.Request, *rds.CreateDBParameterGroupOutput) {
	m.addCall("CreateDBParameterGroupRequest")
	m.verifyInput("CreateDBParameterGroupRequest", param0)
	return m.CreateDBParameterGroupRequestFunc(param0)
}

func (m *rdsMock) CreateDBParameterGroupWithContext(param0 aws.Context, param1 *rds.CreateDBParameterGroupInput, param2 ...request.Option) (*rds.CreateDBParameterGroupOutput, error) {
	m.addCall("CreateDBParameterGroupWithContext")
	m.verifyInput("CreateDBParameterGroupWithContext", param0)
	return m.CreateDBParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBSecurityGroup(param0 *rds.CreateDBSecurityGroupInput) (*rds.CreateDBSecurityGroupOutput, error) {
	m.addCall("CreateDBSecurityGroup")
	m.verifyInput("CreateDBSecurityGroup", param0)
	return m.CreateDBSecurityGroupFunc(param0)
}

func (m *rdsMock) CreateDBSecurityGroupRequest(param0 *rds.CreateDBSecurityGroupInput) (*request.Request, *rds.CreateDBSecurityGroupOutput) {
	m.addCall("CreateDBSecurityGroupRequest")
	m.verifyInput("CreateDBSecurityGroupRequest", param0)
	return m.CreateDBSecurityGroupRequestFunc(param0)
}

func (m *rdsMock) CreateDBSecurityGroupWithContext(param0 aws.Context, param1 *rds.CreateDBSecurityGroupInput, param2 ...request.Option) (*rds.CreateDBSecurityGroupOutput, error) {
	m.addCall("CreateDBSecurityGroupWithContext")
	m.verifyInput("CreateDBSecurityGroupWithContext", param0)
	return m.CreateDBSecurityGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBSnapshot(param0 *rds.CreateDBSnapshotInput) (*rds.CreateDBSnapshotOutput, error) {
	m.addCall("CreateDBSnapshot")
	m.verifyInput("CreateDBSnapshot", param0)
	return m.CreateDBSnapshotFunc(param0)
}

func (m *rdsMock) CreateDBSnapshotRequest(param0 *rds.CreateDBSnapshotInput) (*request.Request, *rds.CreateDBSnapshotOutput) {
	m.addCall("CreateDBSnapshotRequest")
	m.verifyInput("CreateDBSnapshotRequest", param0)
	return m.CreateDBSnapshotRequestFunc(param0)
}

func (m *rdsMock) CreateDBSnapshotWithContext(param0 aws.Context, param1 *rds.CreateDBSnapshotInput, param2 ...request.Option) (*rds.CreateDBSnapshotOutput, error) {
	m.addCall("CreateDBSnapshotWithContext")
	m.verifyInput("CreateDBSnapshotWithContext", param0)
	return m.CreateDBSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateDBSubnetGroup(param0 *rds.CreateDBSubnetGroupInput) (*rds.CreateDBSubnetGroupOutput, error) {
	m.addCall("CreateDBSubnetGroup")
	m.verifyInput("CreateDBSubnetGroup", param0)
	return m.CreateDBSubnetGroupFunc(param0)
}

func (m *rdsMock) CreateDBSubnetGroupRequest(param0 *rds.CreateDBSubnetGroupInput) (*request.Request, *rds.CreateDBSubnetGroupOutput) {
	m.addCall("CreateDBSubnetGroupRequest")
	m.verifyInput("CreateDBSubnetGroupRequest", param0)
	return m.CreateDBSubnetGroupRequestFunc(param0)
}

func (m *rdsMock) CreateDBSubnetGroupWithContext(param0 aws.Context, param1 *rds.CreateDBSubnetGroupInput, param2 ...request.Option) (*rds.CreateDBSubnetGroupOutput, error) {
	m.addCall("CreateDBSubnetGroupWithContext")
	m.verifyInput("CreateDBSubnetGroupWithContext", param0)
	return m.CreateDBSubnetGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateEventSubscription(param0 *rds.CreateEventSubscriptionInput) (*rds.CreateEventSubscriptionOutput, error) {
	m.addCall("CreateEventSubscription")
	m.verifyInput("CreateEventSubscription", param0)
	return m.CreateEventSubscriptionFunc(param0)
}

func (m *rdsMock) CreateEventSubscriptionRequest(param0 *rds.CreateEventSubscriptionInput) (*request.Request, *rds.CreateEventSubscriptionOutput) {
	m.addCall("CreateEventSubscriptionRequest")
	m.verifyInput("CreateEventSubscriptionRequest", param0)
	return m.CreateEventSubscriptionRequestFunc(param0)
}

func (m *rdsMock) CreateEventSubscriptionWithContext(param0 aws.Context, param1 *rds.CreateEventSubscriptionInput, param2 ...request.Option) (*rds.CreateEventSubscriptionOutput, error) {
	m.addCall("CreateEventSubscriptionWithContext")
	m.verifyInput("CreateEventSubscriptionWithContext", param0)
	return m.CreateEventSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) CreateOptionGroup(param0 *rds.CreateOptionGroupInput) (*rds.CreateOptionGroupOutput, error) {
	m.addCall("CreateOptionGroup")
	m.verifyInput("CreateOptionGroup", param0)
	return m.CreateOptionGroupFunc(param0)
}

func (m *rdsMock) CreateOptionGroupRequest(param0 *rds.CreateOptionGroupInput) (*request.Request, *rds.CreateOptionGroupOutput) {
	m.addCall("CreateOptionGroupRequest")
	m.verifyInput("CreateOptionGroupRequest", param0)
	return m.CreateOptionGroupRequestFunc(param0)
}

func (m *rdsMock) CreateOptionGroupWithContext(param0 aws.Context, param1 *rds.CreateOptionGroupInput, param2 ...request.Option) (*rds.CreateOptionGroupOutput, error) {
	m.addCall("CreateOptionGroupWithContext")
	m.verifyInput("CreateOptionGroupWithContext", param0)
	return m.CreateOptionGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBCluster(param0 *rds.DeleteDBClusterInput) (*rds.DeleteDBClusterOutput, error) {
	m.addCall("DeleteDBCluster")
	m.verifyInput("DeleteDBCluster", param0)
	return m.DeleteDBClusterFunc(param0)
}

func (m *rdsMock) DeleteDBClusterParameterGroup(param0 *rds.DeleteDBClusterParameterGroupInput) (*rds.DeleteDBClusterParameterGroupOutput, error) {
	m.addCall("DeleteDBClusterParameterGroup")
	m.verifyInput("DeleteDBClusterParameterGroup", param0)
	return m.DeleteDBClusterParameterGroupFunc(param0)
}

func (m *rdsMock) DeleteDBClusterParameterGroupRequest(param0 *rds.DeleteDBClusterParameterGroupInput) (*request.Request, *rds.DeleteDBClusterParameterGroupOutput) {
	m.addCall("DeleteDBClusterParameterGroupRequest")
	m.verifyInput("DeleteDBClusterParameterGroupRequest", param0)
	return m.DeleteDBClusterParameterGroupRequestFunc(param0)
}

func (m *rdsMock) DeleteDBClusterParameterGroupWithContext(param0 aws.Context, param1 *rds.DeleteDBClusterParameterGroupInput, param2 ...request.Option) (*rds.DeleteDBClusterParameterGroupOutput, error) {
	m.addCall("DeleteDBClusterParameterGroupWithContext")
	m.verifyInput("DeleteDBClusterParameterGroupWithContext", param0)
	return m.DeleteDBClusterParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBClusterRequest(param0 *rds.DeleteDBClusterInput) (*request.Request, *rds.DeleteDBClusterOutput) {
	m.addCall("DeleteDBClusterRequest")
	m.verifyInput("DeleteDBClusterRequest", param0)
	return m.DeleteDBClusterRequestFunc(param0)
}

func (m *rdsMock) DeleteDBClusterSnapshot(param0 *rds.DeleteDBClusterSnapshotInput) (*rds.DeleteDBClusterSnapshotOutput, error) {
	m.addCall("DeleteDBClusterSnapshot")
	m.verifyInput("DeleteDBClusterSnapshot", param0)
	return m.DeleteDBClusterSnapshotFunc(param0)
}

func (m *rdsMock) DeleteDBClusterSnapshotRequest(param0 *rds.DeleteDBClusterSnapshotInput) (*request.Request, *rds.DeleteDBClusterSnapshotOutput) {
	m.addCall("DeleteDBClusterSnapshotRequest")
	m.verifyInput("DeleteDBClusterSnapshotRequest", param0)
	return m.DeleteDBClusterSnapshotRequestFunc(param0)
}

func (m *rdsMock) DeleteDBClusterSnapshotWithContext(param0 aws.Context, param1 *rds.DeleteDBClusterSnapshotInput, param2 ...request.Option) (*rds.DeleteDBClusterSnapshotOutput, error) {
	m.addCall("DeleteDBClusterSnapshotWithContext")
	m.verifyInput("DeleteDBClusterSnapshotWithContext", param0)
	return m.DeleteDBClusterSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBClusterWithContext(param0 aws.Context, param1 *rds.DeleteDBClusterInput, param2 ...request.Option) (*rds.DeleteDBClusterOutput, error) {
	m.addCall("DeleteDBClusterWithContext")
	m.verifyInput("DeleteDBClusterWithContext", param0)
	return m.DeleteDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBInstance(param0 *rds.DeleteDBInstanceInput) (*rds.DeleteDBInstanceOutput, error) {
	m.addCall("DeleteDBInstance")
	m.verifyInput("DeleteDBInstance", param0)
	return m.DeleteDBInstanceFunc(param0)
}

func (m *rdsMock) DeleteDBInstanceRequest(param0 *rds.DeleteDBInstanceInput) (*request.Request, *rds.DeleteDBInstanceOutput) {
	m.addCall("DeleteDBInstanceRequest")
	m.verifyInput("DeleteDBInstanceRequest", param0)
	return m.DeleteDBInstanceRequestFunc(param0)
}

func (m *rdsMock) DeleteDBInstanceWithContext(param0 aws.Context, param1 *rds.DeleteDBInstanceInput, param2 ...request.Option) (*rds.DeleteDBInstanceOutput, error) {
	m.addCall("DeleteDBInstanceWithContext")
	m.verifyInput("DeleteDBInstanceWithContext", param0)
	return m.DeleteDBInstanceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBParameterGroup(param0 *rds.DeleteDBParameterGroupInput) (*rds.DeleteDBParameterGroupOutput, error) {
	m.addCall("DeleteDBParameterGroup")
	m.verifyInput("DeleteDBParameterGroup", param0)
	return m.DeleteDBParameterGroupFunc(param0)
}

func (m *rdsMock) DeleteDBParameterGroupRequest(param0 *rds.DeleteDBParameterGroupInput) (*request.Request, *rds.DeleteDBParameterGroupOutput) {
	m.addCall("DeleteDBParameterGroupRequest")
	m.verifyInput("DeleteDBParameterGroupRequest", param0)
	return m.DeleteDBParameterGroupRequestFunc(param0)
}

func (m *rdsMock) DeleteDBParameterGroupWithContext(param0 aws.Context, param1 *rds.DeleteDBParameterGroupInput, param2 ...request.Option) (*rds.DeleteDBParameterGroupOutput, error) {
	m.addCall("DeleteDBParameterGroupWithContext")
	m.verifyInput("DeleteDBParameterGroupWithContext", param0)
	return m.DeleteDBParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBSecurityGroup(param0 *rds.DeleteDBSecurityGroupInput) (*rds.DeleteDBSecurityGroupOutput, error) {
	m.addCall("DeleteDBSecurityGroup")
	m.verifyInput("DeleteDBSecurityGroup", param0)
	return m.DeleteDBSecurityGroupFunc(param0)
}

func (m *rdsMock) DeleteDBSecurityGroupRequest(param0 *rds.DeleteDBSecurityGroupInput) (*request.Request, *rds.DeleteDBSecurityGroupOutput) {
	m.addCall("DeleteDBSecurityGroupRequest")
	m.verifyInput("DeleteDBSecurityGroupRequest", param0)
	return m.DeleteDBSecurityGroupRequestFunc(param0)
}

func (m *rdsMock) DeleteDBSecurityGroupWithContext(param0 aws.Context, param1 *rds.DeleteDBSecurityGroupInput, param2 ...request.Option) (*rds.DeleteDBSecurityGroupOutput, error) {
	m.addCall("DeleteDBSecurityGroupWithContext")
	m.verifyInput("DeleteDBSecurityGroupWithContext", param0)
	return m.DeleteDBSecurityGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBSnapshot(param0 *rds.DeleteDBSnapshotInput) (*rds.DeleteDBSnapshotOutput, error) {
	m.addCall("DeleteDBSnapshot")
	m.verifyInput("DeleteDBSnapshot", param0)
	return m.DeleteDBSnapshotFunc(param0)
}

func (m *rdsMock) DeleteDBSnapshotRequest(param0 *rds.DeleteDBSnapshotInput) (*request.Request, *rds.DeleteDBSnapshotOutput) {
	m.addCall("DeleteDBSnapshotRequest")
	m.verifyInput("DeleteDBSnapshotRequest", param0)
	return m.DeleteDBSnapshotRequestFunc(param0)
}

func (m *rdsMock) DeleteDBSnapshotWithContext(param0 aws.Context, param1 *rds.DeleteDBSnapshotInput, param2 ...request.Option) (*rds.DeleteDBSnapshotOutput, error) {
	m.addCall("DeleteDBSnapshotWithContext")
	m.verifyInput("DeleteDBSnapshotWithContext", param0)
	return m.DeleteDBSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteDBSubnetGroup(param0 *rds.DeleteDBSubnetGroupInput) (*rds.DeleteDBSubnetGroupOutput, error) {
	m.addCall("DeleteDBSubnetGroup")
	m.verifyInput("DeleteDBSubnetGroup", param0)
	return m.DeleteDBSubnetGroupFunc(param0)
}

func (m *rdsMock) DeleteDBSubnetGroupRequest(param0 *rds.DeleteDBSubnetGroupInput) (*request.Request, *rds.DeleteDBSubnetGroupOutput) {
	m.addCall("DeleteDBSubnetGroupRequest")
	m.verifyInput("DeleteDBSubnetGroupRequest", param0)
	return m.DeleteDBSubnetGroupRequestFunc(param0)
}

func (m *rdsMock) DeleteDBSubnetGroupWithContext(param0 aws.Context, param1 *rds.DeleteDBSubnetGroupInput, param2 ...request.Option) (*rds.DeleteDBSubnetGroupOutput, error) {
	m.addCall("DeleteDBSubnetGroupWithContext")
	m.verifyInput("DeleteDBSubnetGroupWithContext", param0)
	return m.DeleteDBSubnetGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteEventSubscription(param0 *rds.DeleteEventSubscriptionInput) (*rds.DeleteEventSubscriptionOutput, error) {
	m.addCall("DeleteEventSubscription")
	m.verifyInput("DeleteEventSubscription", param0)
	return m.DeleteEventSubscriptionFunc(param0)
}

func (m *rdsMock) DeleteEventSubscriptionRequest(param0 *rds.DeleteEventSubscriptionInput) (*request.Request, *rds.DeleteEventSubscriptionOutput) {
	m.addCall("DeleteEventSubscriptionRequest")
	m.verifyInput("DeleteEventSubscriptionRequest", param0)
	return m.DeleteEventSubscriptionRequestFunc(param0)
}

func (m *rdsMock) DeleteEventSubscriptionWithContext(param0 aws.Context, param1 *rds.DeleteEventSubscriptionInput, param2 ...request.Option) (*rds.DeleteEventSubscriptionOutput, error) {
	m.addCall("DeleteEventSubscriptionWithContext")
	m.verifyInput("DeleteEventSubscriptionWithContext", param0)
	return m.DeleteEventSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DeleteOptionGroup(param0 *rds.DeleteOptionGroupInput) (*rds.DeleteOptionGroupOutput, error) {
	m.addCall("DeleteOptionGroup")
	m.verifyInput("DeleteOptionGroup", param0)
	return m.DeleteOptionGroupFunc(param0)
}

func (m *rdsMock) DeleteOptionGroupRequest(param0 *rds.DeleteOptionGroupInput) (*request.Request, *rds.DeleteOptionGroupOutput) {
	m.addCall("DeleteOptionGroupRequest")
	m.verifyInput("DeleteOptionGroupRequest", param0)
	return m.DeleteOptionGroupRequestFunc(param0)
}

func (m *rdsMock) DeleteOptionGroupWithContext(param0 aws.Context, param1 *rds.DeleteOptionGroupInput, param2 ...request.Option) (*rds.DeleteOptionGroupOutput, error) {
	m.addCall("DeleteOptionGroupWithContext")
	m.verifyInput("DeleteOptionGroupWithContext", param0)
	return m.DeleteOptionGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeAccountAttributes(param0 *rds.DescribeAccountAttributesInput) (*rds.DescribeAccountAttributesOutput, error) {
	m.addCall("DescribeAccountAttributes")
	m.verifyInput("DescribeAccountAttributes", param0)
	return m.DescribeAccountAttributesFunc(param0)
}

func (m *rdsMock) DescribeAccountAttributesRequest(param0 *rds.DescribeAccountAttributesInput) (*request.Request, *rds.DescribeAccountAttributesOutput) {
	m.addCall("DescribeAccountAttributesRequest")
	m.verifyInput("DescribeAccountAttributesRequest", param0)
	return m.DescribeAccountAttributesRequestFunc(param0)
}

func (m *rdsMock) DescribeAccountAttributesWithContext(param0 aws.Context, param1 *rds.DescribeAccountAttributesInput, param2 ...request.Option) (*rds.DescribeAccountAttributesOutput, error) {
	m.addCall("DescribeAccountAttributesWithContext")
	m.verifyInput("DescribeAccountAttributesWithContext", param0)
	return m.DescribeAccountAttributesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeCertificates(param0 *rds.DescribeCertificatesInput) (*rds.DescribeCertificatesOutput, error) {
	m.addCall("DescribeCertificates")
	m.verifyInput("DescribeCertificates", param0)
	return m.DescribeCertificatesFunc(param0)
}

func (m *rdsMock) DescribeCertificatesRequest(param0 *rds.DescribeCertificatesInput) (*request.Request, *rds.DescribeCertificatesOutput) {
	m.addCall("DescribeCertificatesRequest")
	m.verifyInput("DescribeCertificatesRequest", param0)
	return m.DescribeCertificatesRequestFunc(param0)
}

func (m *rdsMock) DescribeCertificatesWithContext(param0 aws.Context, param1 *rds.DescribeCertificatesInput, param2 ...request.Option) (*rds.DescribeCertificatesOutput, error) {
	m.addCall("DescribeCertificatesWithContext")
	m.verifyInput("DescribeCertificatesWithContext", param0)
	return m.DescribeCertificatesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBClusterParameterGroups(param0 *rds.DescribeDBClusterParameterGroupsInput) (*rds.DescribeDBClusterParameterGroupsOutput, error) {
	m.addCall("DescribeDBClusterParameterGroups")
	m.verifyInput("DescribeDBClusterParameterGroups", param0)
	return m.DescribeDBClusterParameterGroupsFunc(param0)
}

func (m *rdsMock) DescribeDBClusterParameterGroupsRequest(param0 *rds.DescribeDBClusterParameterGroupsInput) (*request.Request, *rds.DescribeDBClusterParameterGroupsOutput) {
	m.addCall("DescribeDBClusterParameterGroupsRequest")
	m.verifyInput("DescribeDBClusterParameterGroupsRequest", param0)
	return m.DescribeDBClusterParameterGroupsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBClusterParameterGroupsWithContext(param0 aws.Context, param1 *rds.DescribeDBClusterParameterGroupsInput, param2 ...request.Option) (*rds.DescribeDBClusterParameterGroupsOutput, error) {
	m.addCall("DescribeDBClusterParameterGroupsWithContext")
	m.verifyInput("DescribeDBClusterParameterGroupsWithContext", param0)
	return m.DescribeDBClusterParameterGroupsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBClusterParameters(param0 *rds.DescribeDBClusterParametersInput) (*rds.DescribeDBClusterParametersOutput, error) {
	m.addCall("DescribeDBClusterParameters")
	m.verifyInput("DescribeDBClusterParameters", param0)
	return m.DescribeDBClusterParametersFunc(param0)
}

func (m *rdsMock) DescribeDBClusterParametersRequest(param0 *rds.DescribeDBClusterParametersInput) (*request.Request, *rds.DescribeDBClusterParametersOutput) {
	m.addCall("DescribeDBClusterParametersRequest")
	m.verifyInput("DescribeDBClusterParametersRequest", param0)
	return m.DescribeDBClusterParametersRequestFunc(param0)
}

func (m *rdsMock) DescribeDBClusterParametersWithContext(param0 aws.Context, param1 *rds.DescribeDBClusterParametersInput, param2 ...request.Option) (*rds.DescribeDBClusterParametersOutput, error) {
	m.addCall("DescribeDBClusterParametersWithContext")
	m.verifyInput("DescribeDBClusterParametersWithContext", param0)
	return m.DescribeDBClusterParametersWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBClusterSnapshotAttributes(param0 *rds.DescribeDBClusterSnapshotAttributesInput) (*rds.DescribeDBClusterSnapshotAttributesOutput, error) {
	m.addCall("DescribeDBClusterSnapshotAttributes")
	m.verifyInput("DescribeDBClusterSnapshotAttributes", param0)
	return m.DescribeDBClusterSnapshotAttributesFunc(param0)
}

func (m *rdsMock) DescribeDBClusterSnapshotAttributesRequest(param0 *rds.DescribeDBClusterSnapshotAttributesInput) (*request.Request, *rds.DescribeDBClusterSnapshotAttributesOutput) {
	m.addCall("DescribeDBClusterSnapshotAttributesRequest")
	m.verifyInput("DescribeDBClusterSnapshotAttributesRequest", param0)
	return m.DescribeDBClusterSnapshotAttributesRequestFunc(param0)
}

func (m *rdsMock) DescribeDBClusterSnapshotAttributesWithContext(param0 aws.Context, param1 *rds.DescribeDBClusterSnapshotAttributesInput, param2 ...request.Option) (*rds.DescribeDBClusterSnapshotAttributesOutput, error) {
	m.addCall("DescribeDBClusterSnapshotAttributesWithContext")
	m.verifyInput("DescribeDBClusterSnapshotAttributesWithContext", param0)
	return m.DescribeDBClusterSnapshotAttributesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBClusterSnapshots(param0 *rds.DescribeDBClusterSnapshotsInput) (*rds.DescribeDBClusterSnapshotsOutput, error) {
	m.addCall("DescribeDBClusterSnapshots")
	m.verifyInput("DescribeDBClusterSnapshots", param0)
	return m.DescribeDBClusterSnapshotsFunc(param0)
}

func (m *rdsMock) DescribeDBClusterSnapshotsRequest(param0 *rds.DescribeDBClusterSnapshotsInput) (*request.Request, *rds.DescribeDBClusterSnapshotsOutput) {
	m.addCall("DescribeDBClusterSnapshotsRequest")
	m.verifyInput("DescribeDBClusterSnapshotsRequest", param0)
	return m.DescribeDBClusterSnapshotsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBClusterSnapshotsWithContext(param0 aws.Context, param1 *rds.DescribeDBClusterSnapshotsInput, param2 ...request.Option) (*rds.DescribeDBClusterSnapshotsOutput, error) {
	m.addCall("DescribeDBClusterSnapshotsWithContext")
	m.verifyInput("DescribeDBClusterSnapshotsWithContext", param0)
	return m.DescribeDBClusterSnapshotsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBClusters(param0 *rds.DescribeDBClustersInput) (*rds.DescribeDBClustersOutput, error) {
	m.addCall("DescribeDBClusters")
	m.verifyInput("DescribeDBClusters", param0)
	return m.DescribeDBClustersFunc(param0)
}

func (m *rdsMock) DescribeDBClustersRequest(param0 *rds.DescribeDBClustersInput) (*request.Request, *rds.DescribeDBClustersOutput) {
	m.addCall("DescribeDBClustersRequest")
	m.verifyInput("DescribeDBClustersRequest", param0)
	return m.DescribeDBClustersRequestFunc(param0)
}

func (m *rdsMock) DescribeDBClustersWithContext(param0 aws.Context, param1 *rds.DescribeDBClustersInput, param2 ...request.Option) (*rds.DescribeDBClustersOutput, error) {
	m.addCall("DescribeDBClustersWithContext")
	m.verifyInput("DescribeDBClustersWithContext", param0)
	return m.DescribeDBClustersWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBEngineVersions(param0 *rds.DescribeDBEngineVersionsInput) (*rds.DescribeDBEngineVersionsOutput, error) {
	m.addCall("DescribeDBEngineVersions")
	m.verifyInput("DescribeDBEngineVersions", param0)
	return m.DescribeDBEngineVersionsFunc(param0)
}

func (m *rdsMock) DescribeDBEngineVersionsRequest(param0 *rds.DescribeDBEngineVersionsInput) (*request.Request, *rds.DescribeDBEngineVersionsOutput) {
	m.addCall("DescribeDBEngineVersionsRequest")
	m.verifyInput("DescribeDBEngineVersionsRequest", param0)
	return m.DescribeDBEngineVersionsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBEngineVersionsWithContext(param0 aws.Context, param1 *rds.DescribeDBEngineVersionsInput, param2 ...request.Option) (*rds.DescribeDBEngineVersionsOutput, error) {
	m.addCall("DescribeDBEngineVersionsWithContext")
	m.verifyInput("DescribeDBEngineVersionsWithContext", param0)
	return m.DescribeDBEngineVersionsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBInstances(param0 *rds.DescribeDBInstancesInput) (*rds.DescribeDBInstancesOutput, error) {
	m.addCall("DescribeDBInstances")
	m.verifyInput("DescribeDBInstances", param0)
	return m.DescribeDBInstancesFunc(param0)
}

func (m *rdsMock) DescribeDBInstancesRequest(param0 *rds.DescribeDBInstancesInput) (*request.Request, *rds.DescribeDBInstancesOutput) {
	m.addCall("DescribeDBInstancesRequest")
	m.verifyInput("DescribeDBInstancesRequest", param0)
	return m.DescribeDBInstancesRequestFunc(param0)
}

func (m *rdsMock) DescribeDBInstancesWithContext(param0 aws.Context, param1 *rds.DescribeDBInstancesInput, param2 ...request.Option) (*rds.DescribeDBInstancesOutput, error) {
	m.addCall("DescribeDBInstancesWithContext")
	m.verifyInput("DescribeDBInstancesWithContext", param0)
	return m.DescribeDBInstancesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBLogFiles(param0 *rds.DescribeDBLogFilesInput) (*rds.DescribeDBLogFilesOutput, error) {
	m.addCall("DescribeDBLogFiles")
	m.verifyInput("DescribeDBLogFiles", param0)
	return m.DescribeDBLogFilesFunc(param0)
}

func (m *rdsMock) DescribeDBLogFilesRequest(param0 *rds.DescribeDBLogFilesInput) (*request.Request, *rds.DescribeDBLogFilesOutput) {
	m.addCall("DescribeDBLogFilesRequest")
	m.verifyInput("DescribeDBLogFilesRequest", param0)
	return m.DescribeDBLogFilesRequestFunc(param0)
}

func (m *rdsMock) DescribeDBLogFilesWithContext(param0 aws.Context, param1 *rds.DescribeDBLogFilesInput, param2 ...request.Option) (*rds.DescribeDBLogFilesOutput, error) {
	m.addCall("DescribeDBLogFilesWithContext")
	m.verifyInput("DescribeDBLogFilesWithContext", param0)
	return m.DescribeDBLogFilesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBParameterGroups(param0 *rds.DescribeDBParameterGroupsInput) (*rds.DescribeDBParameterGroupsOutput, error) {
	m.addCall("DescribeDBParameterGroups")
	m.verifyInput("DescribeDBParameterGroups", param0)
	return m.DescribeDBParameterGroupsFunc(param0)
}

func (m *rdsMock) DescribeDBParameterGroupsRequest(param0 *rds.DescribeDBParameterGroupsInput) (*request.Request, *rds.DescribeDBParameterGroupsOutput) {
	m.addCall("DescribeDBParameterGroupsRequest")
	m.verifyInput("DescribeDBParameterGroupsRequest", param0)
	return m.DescribeDBParameterGroupsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBParameterGroupsWithContext(param0 aws.Context, param1 *rds.DescribeDBParameterGroupsInput, param2 ...request.Option) (*rds.DescribeDBParameterGroupsOutput, error) {
	m.addCall("DescribeDBParameterGroupsWithContext")
	m.verifyInput("DescribeDBParameterGroupsWithContext", param0)
	return m.DescribeDBParameterGroupsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBParameters(param0 *rds.DescribeDBParametersInput) (*rds.DescribeDBParametersOutput, error) {
	m.addCall("DescribeDBParameters")
	m.verifyInput("DescribeDBParameters", param0)
	return m.DescribeDBParametersFunc(param0)
}

func (m *rdsMock) DescribeDBParametersRequest(param0 *rds.DescribeDBParametersInput) (*request.Request, *rds.DescribeDBParametersOutput) {
	m.addCall("DescribeDBParametersRequest")
	m.verifyInput("DescribeDBParametersRequest", param0)
	return m.DescribeDBParametersRequestFunc(param0)
}

func (m *rdsMock) DescribeDBParametersWithContext(param0 aws.Context, param1 *rds.DescribeDBParametersInput, param2 ...request.Option) (*rds.DescribeDBParametersOutput, error) {
	m.addCall("DescribeDBParametersWithContext")
	m.verifyInput("DescribeDBParametersWithContext", param0)
	return m.DescribeDBParametersWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBSecurityGroups(param0 *rds.DescribeDBSecurityGroupsInput) (*rds.DescribeDBSecurityGroupsOutput, error) {
	m.addCall("DescribeDBSecurityGroups")
	m.verifyInput("DescribeDBSecurityGroups", param0)
	return m.DescribeDBSecurityGroupsFunc(param0)
}

func (m *rdsMock) DescribeDBSecurityGroupsRequest(param0 *rds.DescribeDBSecurityGroupsInput) (*request.Request, *rds.DescribeDBSecurityGroupsOutput) {
	m.addCall("DescribeDBSecurityGroupsRequest")
	m.verifyInput("DescribeDBSecurityGroupsRequest", param0)
	return m.DescribeDBSecurityGroupsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBSecurityGroupsWithContext(param0 aws.Context, param1 *rds.DescribeDBSecurityGroupsInput, param2 ...request.Option) (*rds.DescribeDBSecurityGroupsOutput, error) {
	m.addCall("DescribeDBSecurityGroupsWithContext")
	m.verifyInput("DescribeDBSecurityGroupsWithContext", param0)
	return m.DescribeDBSecurityGroupsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBSnapshotAttributes(param0 *rds.DescribeDBSnapshotAttributesInput) (*rds.DescribeDBSnapshotAttributesOutput, error) {
	m.addCall("DescribeDBSnapshotAttributes")
	m.verifyInput("DescribeDBSnapshotAttributes", param0)
	return m.DescribeDBSnapshotAttributesFunc(param0)
}

func (m *rdsMock) DescribeDBSnapshotAttributesRequest(param0 *rds.DescribeDBSnapshotAttributesInput) (*request.Request, *rds.DescribeDBSnapshotAttributesOutput) {
	m.addCall("DescribeDBSnapshotAttributesRequest")
	m.verifyInput("DescribeDBSnapshotAttributesRequest", param0)
	return m.DescribeDBSnapshotAttributesRequestFunc(param0)
}

func (m *rdsMock) DescribeDBSnapshotAttributesWithContext(param0 aws.Context, param1 *rds.DescribeDBSnapshotAttributesInput, param2 ...request.Option) (*rds.DescribeDBSnapshotAttributesOutput, error) {
	m.addCall("DescribeDBSnapshotAttributesWithContext")
	m.verifyInput("DescribeDBSnapshotAttributesWithContext", param0)
	return m.DescribeDBSnapshotAttributesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBSnapshots(param0 *rds.DescribeDBSnapshotsInput) (*rds.DescribeDBSnapshotsOutput, error) {
	m.addCall("DescribeDBSnapshots")
	m.verifyInput("DescribeDBSnapshots", param0)
	return m.DescribeDBSnapshotsFunc(param0)
}

func (m *rdsMock) DescribeDBSnapshotsRequest(param0 *rds.DescribeDBSnapshotsInput) (*request.Request, *rds.DescribeDBSnapshotsOutput) {
	m.addCall("DescribeDBSnapshotsRequest")
	m.verifyInput("DescribeDBSnapshotsRequest", param0)
	return m.DescribeDBSnapshotsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBSnapshotsWithContext(param0 aws.Context, param1 *rds.DescribeDBSnapshotsInput, param2 ...request.Option) (*rds.DescribeDBSnapshotsOutput, error) {
	m.addCall("DescribeDBSnapshotsWithContext")
	m.verifyInput("DescribeDBSnapshotsWithContext", param0)
	return m.DescribeDBSnapshotsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeDBSubnetGroups(param0 *rds.DescribeDBSubnetGroupsInput) (*rds.DescribeDBSubnetGroupsOutput, error) {
	m.addCall("DescribeDBSubnetGroups")
	m.verifyInput("DescribeDBSubnetGroups", param0)
	return m.DescribeDBSubnetGroupsFunc(param0)
}

func (m *rdsMock) DescribeDBSubnetGroupsRequest(param0 *rds.DescribeDBSubnetGroupsInput) (*request.Request, *rds.DescribeDBSubnetGroupsOutput) {
	m.addCall("DescribeDBSubnetGroupsRequest")
	m.verifyInput("DescribeDBSubnetGroupsRequest", param0)
	return m.DescribeDBSubnetGroupsRequestFunc(param0)
}

func (m *rdsMock) DescribeDBSubnetGroupsWithContext(param0 aws.Context, param1 *rds.DescribeDBSubnetGroupsInput, param2 ...request.Option) (*rds.DescribeDBSubnetGroupsOutput, error) {
	m.addCall("DescribeDBSubnetGroupsWithContext")
	m.verifyInput("DescribeDBSubnetGroupsWithContext", param0)
	return m.DescribeDBSubnetGroupsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeEngineDefaultClusterParameters(param0 *rds.DescribeEngineDefaultClusterParametersInput) (*rds.DescribeEngineDefaultClusterParametersOutput, error) {
	m.addCall("DescribeEngineDefaultClusterParameters")
	m.verifyInput("DescribeEngineDefaultClusterParameters", param0)
	return m.DescribeEngineDefaultClusterParametersFunc(param0)
}

func (m *rdsMock) DescribeEngineDefaultClusterParametersRequest(param0 *rds.DescribeEngineDefaultClusterParametersInput) (*request.Request, *rds.DescribeEngineDefaultClusterParametersOutput) {
	m.addCall("DescribeEngineDefaultClusterParametersRequest")
	m.verifyInput("DescribeEngineDefaultClusterParametersRequest", param0)
	return m.DescribeEngineDefaultClusterParametersRequestFunc(param0)
}

func (m *rdsMock) DescribeEngineDefaultClusterParametersWithContext(param0 aws.Context, param1 *rds.DescribeEngineDefaultClusterParametersInput, param2 ...request.Option) (*rds.DescribeEngineDefaultClusterParametersOutput, error) {
	m.addCall("DescribeEngineDefaultClusterParametersWithContext")
	m.verifyInput("DescribeEngineDefaultClusterParametersWithContext", param0)
	return m.DescribeEngineDefaultClusterParametersWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeEngineDefaultParameters(param0 *rds.DescribeEngineDefaultParametersInput) (*rds.DescribeEngineDefaultParametersOutput, error) {
	m.addCall("DescribeEngineDefaultParameters")
	m.verifyInput("DescribeEngineDefaultParameters", param0)
	return m.DescribeEngineDefaultParametersFunc(param0)
}

func (m *rdsMock) DescribeEngineDefaultParametersRequest(param0 *rds.DescribeEngineDefaultParametersInput) (*request.Request, *rds.DescribeEngineDefaultParametersOutput) {
	m.addCall("DescribeEngineDefaultParametersRequest")
	m.verifyInput("DescribeEngineDefaultParametersRequest", param0)
	return m.DescribeEngineDefaultParametersRequestFunc(param0)
}

func (m *rdsMock) DescribeEngineDefaultParametersWithContext(param0 aws.Context, param1 *rds.DescribeEngineDefaultParametersInput, param2 ...request.Option) (*rds.DescribeEngineDefaultParametersOutput, error) {
	m.addCall("DescribeEngineDefaultParametersWithContext")
	m.verifyInput("DescribeEngineDefaultParametersWithContext", param0)
	return m.DescribeEngineDefaultParametersWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeEventCategories(param0 *rds.DescribeEventCategoriesInput) (*rds.DescribeEventCategoriesOutput, error) {
	m.addCall("DescribeEventCategories")
	m.verifyInput("DescribeEventCategories", param0)
	return m.DescribeEventCategoriesFunc(param0)
}

func (m *rdsMock) DescribeEventCategoriesRequest(param0 *rds.DescribeEventCategoriesInput) (*request.Request, *rds.DescribeEventCategoriesOutput) {
	m.addCall("DescribeEventCategoriesRequest")
	m.verifyInput("DescribeEventCategoriesRequest", param0)
	return m.DescribeEventCategoriesRequestFunc(param0)
}

func (m *rdsMock) DescribeEventCategoriesWithContext(param0 aws.Context, param1 *rds.DescribeEventCategoriesInput, param2 ...request.Option) (*rds.DescribeEventCategoriesOutput, error) {
	m.addCall("DescribeEventCategoriesWithContext")
	m.verifyInput("DescribeEventCategoriesWithContext", param0)
	return m.DescribeEventCategoriesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeEventSubscriptions(param0 *rds.DescribeEventSubscriptionsInput) (*rds.DescribeEventSubscriptionsOutput, error) {
	m.addCall("DescribeEventSubscriptions")
	m.verifyInput("DescribeEventSubscriptions", param0)
	return m.DescribeEventSubscriptionsFunc(param0)
}

func (m *rdsMock) DescribeEventSubscriptionsRequest(param0 *rds.DescribeEventSubscriptionsInput) (*request.Request, *rds.DescribeEventSubscriptionsOutput) {
	m.addCall("DescribeEventSubscriptionsRequest")
	m.verifyInput("DescribeEventSubscriptionsRequest", param0)
	return m.DescribeEventSubscriptionsRequestFunc(param0)
}

func (m *rdsMock) DescribeEventSubscriptionsWithContext(param0 aws.Context, param1 *rds.DescribeEventSubscriptionsInput, param2 ...request.Option) (*rds.DescribeEventSubscriptionsOutput, error) {
	m.addCall("DescribeEventSubscriptionsWithContext")
	m.verifyInput("DescribeEventSubscriptionsWithContext", param0)
	return m.DescribeEventSubscriptionsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeEvents(param0 *rds.DescribeEventsInput) (*rds.DescribeEventsOutput, error) {
	m.addCall("DescribeEvents")
	m.verifyInput("DescribeEvents", param0)
	return m.DescribeEventsFunc(param0)
}

func (m *rdsMock) DescribeEventsRequest(param0 *rds.DescribeEventsInput) (*request.Request, *rds.DescribeEventsOutput) {
	m.addCall("DescribeEventsRequest")
	m.verifyInput("DescribeEventsRequest", param0)
	return m.DescribeEventsRequestFunc(param0)
}

func (m *rdsMock) DescribeEventsWithContext(param0 aws.Context, param1 *rds.DescribeEventsInput, param2 ...request.Option) (*rds.DescribeEventsOutput, error) {
	m.addCall("DescribeEventsWithContext")
	m.verifyInput("DescribeEventsWithContext", param0)
	return m.DescribeEventsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeOptionGroupOptions(param0 *rds.DescribeOptionGroupOptionsInput) (*rds.DescribeOptionGroupOptionsOutput, error) {
	m.addCall("DescribeOptionGroupOptions")
	m.verifyInput("DescribeOptionGroupOptions", param0)
	return m.DescribeOptionGroupOptionsFunc(param0)
}

func (m *rdsMock) DescribeOptionGroupOptionsRequest(param0 *rds.DescribeOptionGroupOptionsInput) (*request.Request, *rds.DescribeOptionGroupOptionsOutput) {
	m.addCall("DescribeOptionGroupOptionsRequest")
	m.verifyInput("DescribeOptionGroupOptionsRequest", param0)
	return m.DescribeOptionGroupOptionsRequestFunc(param0)
}

func (m *rdsMock) DescribeOptionGroupOptionsWithContext(param0 aws.Context, param1 *rds.DescribeOptionGroupOptionsInput, param2 ...request.Option) (*rds.DescribeOptionGroupOptionsOutput, error) {
	m.addCall("DescribeOptionGroupOptionsWithContext")
	m.verifyInput("DescribeOptionGroupOptionsWithContext", param0)
	return m.DescribeOptionGroupOptionsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeOptionGroups(param0 *rds.DescribeOptionGroupsInput) (*rds.DescribeOptionGroupsOutput, error) {
	m.addCall("DescribeOptionGroups")
	m.verifyInput("DescribeOptionGroups", param0)
	return m.DescribeOptionGroupsFunc(param0)
}

func (m *rdsMock) DescribeOptionGroupsRequest(param0 *rds.DescribeOptionGroupsInput) (*request.Request, *rds.DescribeOptionGroupsOutput) {
	m.addCall("DescribeOptionGroupsRequest")
	m.verifyInput("DescribeOptionGroupsRequest", param0)
	return m.DescribeOptionGroupsRequestFunc(param0)
}

func (m *rdsMock) DescribeOptionGroupsWithContext(param0 aws.Context, param1 *rds.DescribeOptionGroupsInput, param2 ...request.Option) (*rds.DescribeOptionGroupsOutput, error) {
	m.addCall("DescribeOptionGroupsWithContext")
	m.verifyInput("DescribeOptionGroupsWithContext", param0)
	return m.DescribeOptionGroupsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeOrderableDBInstanceOptions(param0 *rds.DescribeOrderableDBInstanceOptionsInput) (*rds.DescribeOrderableDBInstanceOptionsOutput, error) {
	m.addCall("DescribeOrderableDBInstanceOptions")
	m.verifyInput("DescribeOrderableDBInstanceOptions", param0)
	return m.DescribeOrderableDBInstanceOptionsFunc(param0)
}

func (m *rdsMock) DescribeOrderableDBInstanceOptionsRequest(param0 *rds.DescribeOrderableDBInstanceOptionsInput) (*request.Request, *rds.DescribeOrderableDBInstanceOptionsOutput) {
	m.addCall("DescribeOrderableDBInstanceOptionsRequest")
	m.verifyInput("DescribeOrderableDBInstanceOptionsRequest", param0)
	return m.DescribeOrderableDBInstanceOptionsRequestFunc(param0)
}

func (m *rdsMock) DescribeOrderableDBInstanceOptionsWithContext(param0 aws.Context, param1 *rds.DescribeOrderableDBInstanceOptionsInput, param2 ...request.Option) (*rds.DescribeOrderableDBInstanceOptionsOutput, error) {
	m.addCall("DescribeOrderableDBInstanceOptionsWithContext")
	m.verifyInput("DescribeOrderableDBInstanceOptionsWithContext", param0)
	return m.DescribeOrderableDBInstanceOptionsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribePendingMaintenanceActions(param0 *rds.DescribePendingMaintenanceActionsInput) (*rds.DescribePendingMaintenanceActionsOutput, error) {
	m.addCall("DescribePendingMaintenanceActions")
	m.verifyInput("DescribePendingMaintenanceActions", param0)
	return m.DescribePendingMaintenanceActionsFunc(param0)
}

func (m *rdsMock) DescribePendingMaintenanceActionsRequest(param0 *rds.DescribePendingMaintenanceActionsInput) (*request.Request, *rds.DescribePendingMaintenanceActionsOutput) {
	m.addCall("DescribePendingMaintenanceActionsRequest")
	m.verifyInput("DescribePendingMaintenanceActionsRequest", param0)
	return m.DescribePendingMaintenanceActionsRequestFunc(param0)
}

func (m *rdsMock) DescribePendingMaintenanceActionsWithContext(param0 aws.Context, param1 *rds.DescribePendingMaintenanceActionsInput, param2 ...request.Option) (*rds.DescribePendingMaintenanceActionsOutput, error) {
	m.addCall("DescribePendingMaintenanceActionsWithContext")
	m.verifyInput("DescribePendingMaintenanceActionsWithContext", param0)
	return m.DescribePendingMaintenanceActionsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeReservedDBInstances(param0 *rds.DescribeReservedDBInstancesInput) (*rds.DescribeReservedDBInstancesOutput, error) {
	m.addCall("DescribeReservedDBInstances")
	m.verifyInput("DescribeReservedDBInstances", param0)
	return m.DescribeReservedDBInstancesFunc(param0)
}

func (m *rdsMock) DescribeReservedDBInstancesOfferings(param0 *rds.DescribeReservedDBInstancesOfferingsInput) (*rds.DescribeReservedDBInstancesOfferingsOutput, error) {
	m.addCall("DescribeReservedDBInstancesOfferings")
	m.verifyInput("DescribeReservedDBInstancesOfferings", param0)
	return m.DescribeReservedDBInstancesOfferingsFunc(param0)
}

func (m *rdsMock) DescribeReservedDBInstancesOfferingsRequest(param0 *rds.DescribeReservedDBInstancesOfferingsInput) (*request.Request, *rds.DescribeReservedDBInstancesOfferingsOutput) {
	m.addCall("DescribeReservedDBInstancesOfferingsRequest")
	m.verifyInput("DescribeReservedDBInstancesOfferingsRequest", param0)
	return m.DescribeReservedDBInstancesOfferingsRequestFunc(param0)
}

func (m *rdsMock) DescribeReservedDBInstancesOfferingsWithContext(param0 aws.Context, param1 *rds.DescribeReservedDBInstancesOfferingsInput, param2 ...request.Option) (*rds.DescribeReservedDBInstancesOfferingsOutput, error) {
	m.addCall("DescribeReservedDBInstancesOfferingsWithContext")
	m.verifyInput("DescribeReservedDBInstancesOfferingsWithContext", param0)
	return m.DescribeReservedDBInstancesOfferingsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeReservedDBInstancesRequest(param0 *rds.DescribeReservedDBInstancesInput) (*request.Request, *rds.DescribeReservedDBInstancesOutput) {
	m.addCall("DescribeReservedDBInstancesRequest")
	m.verifyInput("DescribeReservedDBInstancesRequest", param0)
	return m.DescribeReservedDBInstancesRequestFunc(param0)
}

func (m *rdsMock) DescribeReservedDBInstancesWithContext(param0 aws.Context, param1 *rds.DescribeReservedDBInstancesInput, param2 ...request.Option) (*rds.DescribeReservedDBInstancesOutput, error) {
	m.addCall("DescribeReservedDBInstancesWithContext")
	m.verifyInput("DescribeReservedDBInstancesWithContext", param0)
	return m.DescribeReservedDBInstancesWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DescribeSourceRegions(param0 *rds.DescribeSourceRegionsInput) (*rds.DescribeSourceRegionsOutput, error) {
	m.addCall("DescribeSourceRegions")
	m.verifyInput("DescribeSourceRegions", param0)
	return m.DescribeSourceRegionsFunc(param0)
}

func (m *rdsMock) DescribeSourceRegionsRequest(param0 *rds.DescribeSourceRegionsInput) (*request.Request, *rds.DescribeSourceRegionsOutput) {
	m.addCall("DescribeSourceRegionsRequest")
	m.verifyInput("DescribeSourceRegionsRequest", param0)
	return m.DescribeSourceRegionsRequestFunc(param0)
}

func (m *rdsMock) DescribeSourceRegionsWithContext(param0 aws.Context, param1 *rds.DescribeSourceRegionsInput, param2 ...request.Option) (*rds.DescribeSourceRegionsOutput, error) {
	m.addCall("DescribeSourceRegionsWithContext")
	m.verifyInput("DescribeSourceRegionsWithContext", param0)
	return m.DescribeSourceRegionsWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) DownloadDBLogFilePortion(param0 *rds.DownloadDBLogFilePortionInput) (*rds.DownloadDBLogFilePortionOutput, error) {
	m.addCall("DownloadDBLogFilePortion")
	m.verifyInput("DownloadDBLogFilePortion", param0)
	return m.DownloadDBLogFilePortionFunc(param0)
}

func (m *rdsMock) DownloadDBLogFilePortionRequest(param0 *rds.DownloadDBLogFilePortionInput) (*request.Request, *rds.DownloadDBLogFilePortionOutput) {
	m.addCall("DownloadDBLogFilePortionRequest")
	m.verifyInput("DownloadDBLogFilePortionRequest", param0)
	return m.DownloadDBLogFilePortionRequestFunc(param0)
}

func (m *rdsMock) DownloadDBLogFilePortionWithContext(param0 aws.Context, param1 *rds.DownloadDBLogFilePortionInput, param2 ...request.Option) (*rds.DownloadDBLogFilePortionOutput, error) {
	m.addCall("DownloadDBLogFilePortionWithContext")
	m.verifyInput("DownloadDBLogFilePortionWithContext", param0)
	return m.DownloadDBLogFilePortionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) FailoverDBCluster(param0 *rds.FailoverDBClusterInput) (*rds.FailoverDBClusterOutput, error) {
	m.addCall("FailoverDBCluster")
	m.verifyInput("FailoverDBCluster", param0)
	return m.FailoverDBClusterFunc(param0)
}

func (m *rdsMock) FailoverDBClusterRequest(param0 *rds.FailoverDBClusterInput) (*request.Request, *rds.FailoverDBClusterOutput) {
	m.addCall("FailoverDBClusterRequest")
	m.verifyInput("FailoverDBClusterRequest", param0)
	return m.FailoverDBClusterRequestFunc(param0)
}

func (m *rdsMock) FailoverDBClusterWithContext(param0 aws.Context, param1 *rds.FailoverDBClusterInput, param2 ...request.Option) (*rds.FailoverDBClusterOutput, error) {
	m.addCall("FailoverDBClusterWithContext")
	m.verifyInput("FailoverDBClusterWithContext", param0)
	return m.FailoverDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ListTagsForResource(param0 *rds.ListTagsForResourceInput) (*rds.ListTagsForResourceOutput, error) {
	m.addCall("ListTagsForResource")
	m.verifyInput("ListTagsForResource", param0)
	return m.ListTagsForResourceFunc(param0)
}

func (m *rdsMock) ListTagsForResourceRequest(param0 *rds.ListTagsForResourceInput) (*request.Request, *rds.ListTagsForResourceOutput) {
	m.addCall("ListTagsForResourceRequest")
	m.verifyInput("ListTagsForResourceRequest", param0)
	return m.ListTagsForResourceRequestFunc(param0)
}

func (m *rdsMock) ListTagsForResourceWithContext(param0 aws.Context, param1 *rds.ListTagsForResourceInput, param2 ...request.Option) (*rds.ListTagsForResourceOutput, error) {
	m.addCall("ListTagsForResourceWithContext")
	m.verifyInput("ListTagsForResourceWithContext", param0)
	return m.ListTagsForResourceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBCluster(param0 *rds.ModifyDBClusterInput) (*rds.ModifyDBClusterOutput, error) {
	m.addCall("ModifyDBCluster")
	m.verifyInput("ModifyDBCluster", param0)
	return m.ModifyDBClusterFunc(param0)
}

func (m *rdsMock) ModifyDBClusterParameterGroup(param0 *rds.ModifyDBClusterParameterGroupInput) (*rds.DBClusterParameterGroupNameMessage, error) {
	m.addCall("ModifyDBClusterParameterGroup")
	m.verifyInput("ModifyDBClusterParameterGroup", param0)
	return m.ModifyDBClusterParameterGroupFunc(param0)
}

func (m *rdsMock) ModifyDBClusterParameterGroupRequest(param0 *rds.ModifyDBClusterParameterGroupInput) (*request.Request, *rds.DBClusterParameterGroupNameMessage) {
	m.addCall("ModifyDBClusterParameterGroupRequest")
	m.verifyInput("ModifyDBClusterParameterGroupRequest", param0)
	return m.ModifyDBClusterParameterGroupRequestFunc(param0)
}

func (m *rdsMock) ModifyDBClusterParameterGroupWithContext(param0 aws.Context, param1 *rds.ModifyDBClusterParameterGroupInput, param2 ...request.Option) (*rds.DBClusterParameterGroupNameMessage, error) {
	m.addCall("ModifyDBClusterParameterGroupWithContext")
	m.verifyInput("ModifyDBClusterParameterGroupWithContext", param0)
	return m.ModifyDBClusterParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBClusterRequest(param0 *rds.ModifyDBClusterInput) (*request.Request, *rds.ModifyDBClusterOutput) {
	m.addCall("ModifyDBClusterRequest")
	m.verifyInput("ModifyDBClusterRequest", param0)
	return m.ModifyDBClusterRequestFunc(param0)
}

func (m *rdsMock) ModifyDBClusterSnapshotAttribute(param0 *rds.ModifyDBClusterSnapshotAttributeInput) (*rds.ModifyDBClusterSnapshotAttributeOutput, error) {
	m.addCall("ModifyDBClusterSnapshotAttribute")
	m.verifyInput("ModifyDBClusterSnapshotAttribute", param0)
	return m.ModifyDBClusterSnapshotAttributeFunc(param0)
}

func (m *rdsMock) ModifyDBClusterSnapshotAttributeRequest(param0 *rds.ModifyDBClusterSnapshotAttributeInput) (*request.Request, *rds.ModifyDBClusterSnapshotAttributeOutput) {
	m.addCall("ModifyDBClusterSnapshotAttributeRequest")
	m.verifyInput("ModifyDBClusterSnapshotAttributeRequest", param0)
	return m.ModifyDBClusterSnapshotAttributeRequestFunc(param0)
}

func (m *rdsMock) ModifyDBClusterSnapshotAttributeWithContext(param0 aws.Context, param1 *rds.ModifyDBClusterSnapshotAttributeInput, param2 ...request.Option) (*rds.ModifyDBClusterSnapshotAttributeOutput, error) {
	m.addCall("ModifyDBClusterSnapshotAttributeWithContext")
	m.verifyInput("ModifyDBClusterSnapshotAttributeWithContext", param0)
	return m.ModifyDBClusterSnapshotAttributeWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBClusterWithContext(param0 aws.Context, param1 *rds.ModifyDBClusterInput, param2 ...request.Option) (*rds.ModifyDBClusterOutput, error) {
	m.addCall("ModifyDBClusterWithContext")
	m.verifyInput("ModifyDBClusterWithContext", param0)
	return m.ModifyDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBInstance(param0 *rds.ModifyDBInstanceInput) (*rds.ModifyDBInstanceOutput, error) {
	m.addCall("ModifyDBInstance")
	m.verifyInput("ModifyDBInstance", param0)
	return m.ModifyDBInstanceFunc(param0)
}

func (m *rdsMock) ModifyDBInstanceRequest(param0 *rds.ModifyDBInstanceInput) (*request.Request, *rds.ModifyDBInstanceOutput) {
	m.addCall("ModifyDBInstanceRequest")
	m.verifyInput("ModifyDBInstanceRequest", param0)
	return m.ModifyDBInstanceRequestFunc(param0)
}

func (m *rdsMock) ModifyDBInstanceWithContext(param0 aws.Context, param1 *rds.ModifyDBInstanceInput, param2 ...request.Option) (*rds.ModifyDBInstanceOutput, error) {
	m.addCall("ModifyDBInstanceWithContext")
	m.verifyInput("ModifyDBInstanceWithContext", param0)
	return m.ModifyDBInstanceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBParameterGroup(param0 *rds.ModifyDBParameterGroupInput) (*rds.DBParameterGroupNameMessage, error) {
	m.addCall("ModifyDBParameterGroup")
	m.verifyInput("ModifyDBParameterGroup", param0)
	return m.ModifyDBParameterGroupFunc(param0)
}

func (m *rdsMock) ModifyDBParameterGroupRequest(param0 *rds.ModifyDBParameterGroupInput) (*request.Request, *rds.DBParameterGroupNameMessage) {
	m.addCall("ModifyDBParameterGroupRequest")
	m.verifyInput("ModifyDBParameterGroupRequest", param0)
	return m.ModifyDBParameterGroupRequestFunc(param0)
}

func (m *rdsMock) ModifyDBParameterGroupWithContext(param0 aws.Context, param1 *rds.ModifyDBParameterGroupInput, param2 ...request.Option) (*rds.DBParameterGroupNameMessage, error) {
	m.addCall("ModifyDBParameterGroupWithContext")
	m.verifyInput("ModifyDBParameterGroupWithContext", param0)
	return m.ModifyDBParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBSnapshot(param0 *rds.ModifyDBSnapshotInput) (*rds.ModifyDBSnapshotOutput, error) {
	m.addCall("ModifyDBSnapshot")
	m.verifyInput("ModifyDBSnapshot", param0)
	return m.ModifyDBSnapshotFunc(param0)
}

func (m *rdsMock) ModifyDBSnapshotAttribute(param0 *rds.ModifyDBSnapshotAttributeInput) (*rds.ModifyDBSnapshotAttributeOutput, error) {
	m.addCall("ModifyDBSnapshotAttribute")
	m.verifyInput("ModifyDBSnapshotAttribute", param0)
	return m.ModifyDBSnapshotAttributeFunc(param0)
}

func (m *rdsMock) ModifyDBSnapshotAttributeRequest(param0 *rds.ModifyDBSnapshotAttributeInput) (*request.Request, *rds.ModifyDBSnapshotAttributeOutput) {
	m.addCall("ModifyDBSnapshotAttributeRequest")
	m.verifyInput("ModifyDBSnapshotAttributeRequest", param0)
	return m.ModifyDBSnapshotAttributeRequestFunc(param0)
}

func (m *rdsMock) ModifyDBSnapshotAttributeWithContext(param0 aws.Context, param1 *rds.ModifyDBSnapshotAttributeInput, param2 ...request.Option) (*rds.ModifyDBSnapshotAttributeOutput, error) {
	m.addCall("ModifyDBSnapshotAttributeWithContext")
	m.verifyInput("ModifyDBSnapshotAttributeWithContext", param0)
	return m.ModifyDBSnapshotAttributeWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBSnapshotRequest(param0 *rds.ModifyDBSnapshotInput) (*request.Request, *rds.ModifyDBSnapshotOutput) {
	m.addCall("ModifyDBSnapshotRequest")
	m.verifyInput("ModifyDBSnapshotRequest", param0)
	return m.ModifyDBSnapshotRequestFunc(param0)
}

func (m *rdsMock) ModifyDBSnapshotWithContext(param0 aws.Context, param1 *rds.ModifyDBSnapshotInput, param2 ...request.Option) (*rds.ModifyDBSnapshotOutput, error) {
	m.addCall("ModifyDBSnapshotWithContext")
	m.verifyInput("ModifyDBSnapshotWithContext", param0)
	return m.ModifyDBSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyDBSubnetGroup(param0 *rds.ModifyDBSubnetGroupInput) (*rds.ModifyDBSubnetGroupOutput, error) {
	m.addCall("ModifyDBSubnetGroup")
	m.verifyInput("ModifyDBSubnetGroup", param0)
	return m.ModifyDBSubnetGroupFunc(param0)
}

func (m *rdsMock) ModifyDBSubnetGroupRequest(param0 *rds.ModifyDBSubnetGroupInput) (*request.Request, *rds.ModifyDBSubnetGroupOutput) {
	m.addCall("ModifyDBSubnetGroupRequest")
	m.verifyInput("ModifyDBSubnetGroupRequest", param0)
	return m.ModifyDBSubnetGroupRequestFunc(param0)
}

func (m *rdsMock) ModifyDBSubnetGroupWithContext(param0 aws.Context, param1 *rds.ModifyDBSubnetGroupInput, param2 ...request.Option) (*rds.ModifyDBSubnetGroupOutput, error) {
	m.addCall("ModifyDBSubnetGroupWithContext")
	m.verifyInput("ModifyDBSubnetGroupWithContext", param0)
	return m.ModifyDBSubnetGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyEventSubscription(param0 *rds.ModifyEventSubscriptionInput) (*rds.ModifyEventSubscriptionOutput, error) {
	m.addCall("ModifyEventSubscription")
	m.verifyInput("ModifyEventSubscription", param0)
	return m.ModifyEventSubscriptionFunc(param0)
}

func (m *rdsMock) ModifyEventSubscriptionRequest(param0 *rds.ModifyEventSubscriptionInput) (*request.Request, *rds.ModifyEventSubscriptionOutput) {
	m.addCall("ModifyEventSubscriptionRequest")
	m.verifyInput("ModifyEventSubscriptionRequest", param0)
	return m.ModifyEventSubscriptionRequestFunc(param0)
}

func (m *rdsMock) ModifyEventSubscriptionWithContext(param0 aws.Context, param1 *rds.ModifyEventSubscriptionInput, param2 ...request.Option) (*rds.ModifyEventSubscriptionOutput, error) {
	m.addCall("ModifyEventSubscriptionWithContext")
	m.verifyInput("ModifyEventSubscriptionWithContext", param0)
	return m.ModifyEventSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ModifyOptionGroup(param0 *rds.ModifyOptionGroupInput) (*rds.ModifyOptionGroupOutput, error) {
	m.addCall("ModifyOptionGroup")
	m.verifyInput("ModifyOptionGroup", param0)
	return m.ModifyOptionGroupFunc(param0)
}

func (m *rdsMock) ModifyOptionGroupRequest(param0 *rds.ModifyOptionGroupInput) (*request.Request, *rds.ModifyOptionGroupOutput) {
	m.addCall("ModifyOptionGroupRequest")
	m.verifyInput("ModifyOptionGroupRequest", param0)
	return m.ModifyOptionGroupRequestFunc(param0)
}

func (m *rdsMock) ModifyOptionGroupWithContext(param0 aws.Context, param1 *rds.ModifyOptionGroupInput, param2 ...request.Option) (*rds.ModifyOptionGroupOutput, error) {
	m.addCall("ModifyOptionGroupWithContext")
	m.verifyInput("ModifyOptionGroupWithContext", param0)
	return m.ModifyOptionGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) PromoteReadReplica(param0 *rds.PromoteReadReplicaInput) (*rds.PromoteReadReplicaOutput, error) {
	m.addCall("PromoteReadReplica")
	m.verifyInput("PromoteReadReplica", param0)
	return m.PromoteReadReplicaFunc(param0)
}

func (m *rdsMock) PromoteReadReplicaDBCluster(param0 *rds.PromoteReadReplicaDBClusterInput) (*rds.PromoteReadReplicaDBClusterOutput, error) {
	m.addCall("PromoteReadReplicaDBCluster")
	m.verifyInput("PromoteReadReplicaDBCluster", param0)
	return m.PromoteReadReplicaDBClusterFunc(param0)
}

func (m *rdsMock) PromoteReadReplicaDBClusterRequest(param0 *rds.PromoteReadReplicaDBClusterInput) (*request.Request, *rds.PromoteReadReplicaDBClusterOutput) {
	m.addCall("PromoteReadReplicaDBClusterRequest")
	m.verifyInput("PromoteReadReplicaDBClusterRequest", param0)
	return m.PromoteReadReplicaDBClusterRequestFunc(param0)
}

func (m *rdsMock) PromoteReadReplicaDBClusterWithContext(param0 aws.Context, param1 *rds.PromoteReadReplicaDBClusterInput, param2 ...request.Option) (*rds.PromoteReadReplicaDBClusterOutput, error) {
	m.addCall("PromoteReadReplicaDBClusterWithContext")
	m.verifyInput("PromoteReadReplicaDBClusterWithContext", param0)
	return m.PromoteReadReplicaDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) PromoteReadReplicaRequest(param0 *rds.PromoteReadReplicaInput) (*request.Request, *rds.PromoteReadReplicaOutput) {
	m.addCall("PromoteReadReplicaRequest")
	m.verifyInput("PromoteReadReplicaRequest", param0)
	return m.PromoteReadReplicaRequestFunc(param0)
}

func (m *rdsMock) PromoteReadReplicaWithContext(param0 aws.Context, param1 *rds.PromoteReadReplicaInput, param2 ...request.Option) (*rds.PromoteReadReplicaOutput, error) {
	m.addCall("PromoteReadReplicaWithContext")
	m.verifyInput("PromoteReadReplicaWithContext", param0)
	return m.PromoteReadReplicaWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) PurchaseReservedDBInstancesOffering(param0 *rds.PurchaseReservedDBInstancesOfferingInput) (*rds.PurchaseReservedDBInstancesOfferingOutput, error) {
	m.addCall("PurchaseReservedDBInstancesOffering")
	m.verifyInput("PurchaseReservedDBInstancesOffering", param0)
	return m.PurchaseReservedDBInstancesOfferingFunc(param0)
}

func (m *rdsMock) PurchaseReservedDBInstancesOfferingRequest(param0 *rds.PurchaseReservedDBInstancesOfferingInput) (*request.Request, *rds.PurchaseReservedDBInstancesOfferingOutput) {
	m.addCall("PurchaseReservedDBInstancesOfferingRequest")
	m.verifyInput("PurchaseReservedDBInstancesOfferingRequest", param0)
	return m.PurchaseReservedDBInstancesOfferingRequestFunc(param0)
}

func (m *rdsMock) PurchaseReservedDBInstancesOfferingWithContext(param0 aws.Context, param1 *rds.PurchaseReservedDBInstancesOfferingInput, param2 ...request.Option) (*rds.PurchaseReservedDBInstancesOfferingOutput, error) {
	m.addCall("PurchaseReservedDBInstancesOfferingWithContext")
	m.verifyInput("PurchaseReservedDBInstancesOfferingWithContext", param0)
	return m.PurchaseReservedDBInstancesOfferingWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RebootDBInstance(param0 *rds.RebootDBInstanceInput) (*rds.RebootDBInstanceOutput, error) {
	m.addCall("RebootDBInstance")
	m.verifyInput("RebootDBInstance", param0)
	return m.RebootDBInstanceFunc(param0)
}

func (m *rdsMock) RebootDBInstanceRequest(param0 *rds.RebootDBInstanceInput) (*request.Request, *rds.RebootDBInstanceOutput) {
	m.addCall("RebootDBInstanceRequest")
	m.verifyInput("RebootDBInstanceRequest", param0)
	return m.RebootDBInstanceRequestFunc(param0)
}

func (m *rdsMock) RebootDBInstanceWithContext(param0 aws.Context, param1 *rds.RebootDBInstanceInput, param2 ...request.Option) (*rds.RebootDBInstanceOutput, error) {
	m.addCall("RebootDBInstanceWithContext")
	m.verifyInput("RebootDBInstanceWithContext", param0)
	return m.RebootDBInstanceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RemoveRoleFromDBCluster(param0 *rds.RemoveRoleFromDBClusterInput) (*rds.RemoveRoleFromDBClusterOutput, error) {
	m.addCall("RemoveRoleFromDBCluster")
	m.verifyInput("RemoveRoleFromDBCluster", param0)
	return m.RemoveRoleFromDBClusterFunc(param0)
}

func (m *rdsMock) RemoveRoleFromDBClusterRequest(param0 *rds.RemoveRoleFromDBClusterInput) (*request.Request, *rds.RemoveRoleFromDBClusterOutput) {
	m.addCall("RemoveRoleFromDBClusterRequest")
	m.verifyInput("RemoveRoleFromDBClusterRequest", param0)
	return m.RemoveRoleFromDBClusterRequestFunc(param0)
}

func (m *rdsMock) RemoveRoleFromDBClusterWithContext(param0 aws.Context, param1 *rds.RemoveRoleFromDBClusterInput, param2 ...request.Option) (*rds.RemoveRoleFromDBClusterOutput, error) {
	m.addCall("RemoveRoleFromDBClusterWithContext")
	m.verifyInput("RemoveRoleFromDBClusterWithContext", param0)
	return m.RemoveRoleFromDBClusterWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RemoveSourceIdentifierFromSubscription(param0 *rds.RemoveSourceIdentifierFromSubscriptionInput) (*rds.RemoveSourceIdentifierFromSubscriptionOutput, error) {
	m.addCall("RemoveSourceIdentifierFromSubscription")
	m.verifyInput("RemoveSourceIdentifierFromSubscription", param0)
	return m.RemoveSourceIdentifierFromSubscriptionFunc(param0)
}

func (m *rdsMock) RemoveSourceIdentifierFromSubscriptionRequest(param0 *rds.RemoveSourceIdentifierFromSubscriptionInput) (*request.Request, *rds.RemoveSourceIdentifierFromSubscriptionOutput) {
	m.addCall("RemoveSourceIdentifierFromSubscriptionRequest")
	m.verifyInput("RemoveSourceIdentifierFromSubscriptionRequest", param0)
	return m.RemoveSourceIdentifierFromSubscriptionRequestFunc(param0)
}

func (m *rdsMock) RemoveSourceIdentifierFromSubscriptionWithContext(param0 aws.Context, param1 *rds.RemoveSourceIdentifierFromSubscriptionInput, param2 ...request.Option) (*rds.RemoveSourceIdentifierFromSubscriptionOutput, error) {
	m.addCall("RemoveSourceIdentifierFromSubscriptionWithContext")
	m.verifyInput("RemoveSourceIdentifierFromSubscriptionWithContext", param0)
	return m.RemoveSourceIdentifierFromSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RemoveTagsFromResource(param0 *rds.RemoveTagsFromResourceInput) (*rds.RemoveTagsFromResourceOutput, error) {
	m.addCall("RemoveTagsFromResource")
	m.verifyInput("RemoveTagsFromResource", param0)
	return m.RemoveTagsFromResourceFunc(param0)
}

func (m *rdsMock) RemoveTagsFromResourceRequest(param0 *rds.RemoveTagsFromResourceInput) (*request.Request, *rds.RemoveTagsFromResourceOutput) {
	m.addCall("RemoveTagsFromResourceRequest")
	m.verifyInput("RemoveTagsFromResourceRequest", param0)
	return m.RemoveTagsFromResourceRequestFunc(param0)
}

func (m *rdsMock) RemoveTagsFromResourceWithContext(param0 aws.Context, param1 *rds.RemoveTagsFromResourceInput, param2 ...request.Option) (*rds.RemoveTagsFromResourceOutput, error) {
	m.addCall("RemoveTagsFromResourceWithContext")
	m.verifyInput("RemoveTagsFromResourceWithContext", param0)
	return m.RemoveTagsFromResourceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ResetDBClusterParameterGroup(param0 *rds.ResetDBClusterParameterGroupInput) (*rds.DBClusterParameterGroupNameMessage, error) {
	m.addCall("ResetDBClusterParameterGroup")
	m.verifyInput("ResetDBClusterParameterGroup", param0)
	return m.ResetDBClusterParameterGroupFunc(param0)
}

func (m *rdsMock) ResetDBClusterParameterGroupRequest(param0 *rds.ResetDBClusterParameterGroupInput) (*request.Request, *rds.DBClusterParameterGroupNameMessage) {
	m.addCall("ResetDBClusterParameterGroupRequest")
	m.verifyInput("ResetDBClusterParameterGroupRequest", param0)
	return m.ResetDBClusterParameterGroupRequestFunc(param0)
}

func (m *rdsMock) ResetDBClusterParameterGroupWithContext(param0 aws.Context, param1 *rds.ResetDBClusterParameterGroupInput, param2 ...request.Option) (*rds.DBClusterParameterGroupNameMessage, error) {
	m.addCall("ResetDBClusterParameterGroupWithContext")
	m.verifyInput("ResetDBClusterParameterGroupWithContext", param0)
	return m.ResetDBClusterParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) ResetDBParameterGroup(param0 *rds.ResetDBParameterGroupInput) (*rds.DBParameterGroupNameMessage, error) {
	m.addCall("ResetDBParameterGroup")
	m.verifyInput("ResetDBParameterGroup", param0)
	return m.ResetDBParameterGroupFunc(param0)
}

func (m *rdsMock) ResetDBParameterGroupRequest(param0 *rds.ResetDBParameterGroupInput) (*request.Request, *rds.DBParameterGroupNameMessage) {
	m.addCall("ResetDBParameterGroupRequest")
	m.verifyInput("ResetDBParameterGroupRequest", param0)
	return m.ResetDBParameterGroupRequestFunc(param0)
}

func (m *rdsMock) ResetDBParameterGroupWithContext(param0 aws.Context, param1 *rds.ResetDBParameterGroupInput, param2 ...request.Option) (*rds.DBParameterGroupNameMessage, error) {
	m.addCall("ResetDBParameterGroupWithContext")
	m.verifyInput("ResetDBParameterGroupWithContext", param0)
	return m.ResetDBParameterGroupWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RestoreDBClusterFromS3(param0 *rds.RestoreDBClusterFromS3Input) (*rds.RestoreDBClusterFromS3Output, error) {
	m.addCall("RestoreDBClusterFromS3")
	m.verifyInput("RestoreDBClusterFromS3", param0)
	return m.RestoreDBClusterFromS3Func(param0)
}

func (m *rdsMock) RestoreDBClusterFromS3Request(param0 *rds.RestoreDBClusterFromS3Input) (*request.Request, *rds.RestoreDBClusterFromS3Output) {
	m.addCall("RestoreDBClusterFromS3Request")
	m.verifyInput("RestoreDBClusterFromS3Request", param0)
	return m.RestoreDBClusterFromS3RequestFunc(param0)
}

func (m *rdsMock) RestoreDBClusterFromS3WithContext(param0 aws.Context, param1 *rds.RestoreDBClusterFromS3Input, param2 ...request.Option) (*rds.RestoreDBClusterFromS3Output, error) {
	m.addCall("RestoreDBClusterFromS3WithContext")
	m.verifyInput("RestoreDBClusterFromS3WithContext", param0)
	return m.RestoreDBClusterFromS3WithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RestoreDBClusterFromSnapshot(param0 *rds.RestoreDBClusterFromSnapshotInput) (*rds.RestoreDBClusterFromSnapshotOutput, error) {
	m.addCall("RestoreDBClusterFromSnapshot")
	m.verifyInput("RestoreDBClusterFromSnapshot", param0)
	return m.RestoreDBClusterFromSnapshotFunc(param0)
}

func (m *rdsMock) RestoreDBClusterFromSnapshotRequest(param0 *rds.RestoreDBClusterFromSnapshotInput) (*request.Request, *rds.RestoreDBClusterFromSnapshotOutput) {
	m.addCall("RestoreDBClusterFromSnapshotRequest")
	m.verifyInput("RestoreDBClusterFromSnapshotRequest", param0)
	return m.RestoreDBClusterFromSnapshotRequestFunc(param0)
}

func (m *rdsMock) RestoreDBClusterFromSnapshotWithContext(param0 aws.Context, param1 *rds.RestoreDBClusterFromSnapshotInput, param2 ...request.Option) (*rds.RestoreDBClusterFromSnapshotOutput, error) {
	m.addCall("RestoreDBClusterFromSnapshotWithContext")
	m.verifyInput("RestoreDBClusterFromSnapshotWithContext", param0)
	return m.RestoreDBClusterFromSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RestoreDBClusterToPointInTime(param0 *rds.RestoreDBClusterToPointInTimeInput) (*rds.RestoreDBClusterToPointInTimeOutput, error) {
	m.addCall("RestoreDBClusterToPointInTime")
	m.verifyInput("RestoreDBClusterToPointInTime", param0)
	return m.RestoreDBClusterToPointInTimeFunc(param0)
}

func (m *rdsMock) RestoreDBClusterToPointInTimeRequest(param0 *rds.RestoreDBClusterToPointInTimeInput) (*request.Request, *rds.RestoreDBClusterToPointInTimeOutput) {
	m.addCall("RestoreDBClusterToPointInTimeRequest")
	m.verifyInput("RestoreDBClusterToPointInTimeRequest", param0)
	return m.RestoreDBClusterToPointInTimeRequestFunc(param0)
}

func (m *rdsMock) RestoreDBClusterToPointInTimeWithContext(param0 aws.Context, param1 *rds.RestoreDBClusterToPointInTimeInput, param2 ...request.Option) (*rds.RestoreDBClusterToPointInTimeOutput, error) {
	m.addCall("RestoreDBClusterToPointInTimeWithContext")
	m.verifyInput("RestoreDBClusterToPointInTimeWithContext", param0)
	return m.RestoreDBClusterToPointInTimeWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RestoreDBInstanceFromDBSnapshot(param0 *rds.RestoreDBInstanceFromDBSnapshotInput) (*rds.RestoreDBInstanceFromDBSnapshotOutput, error) {
	m.addCall("RestoreDBInstanceFromDBSnapshot")
	m.verifyInput("RestoreDBInstanceFromDBSnapshot", param0)
	return m.RestoreDBInstanceFromDBSnapshotFunc(param0)
}

func (m *rdsMock) RestoreDBInstanceFromDBSnapshotRequest(param0 *rds.RestoreDBInstanceFromDBSnapshotInput) (*request.Request, *rds.RestoreDBInstanceFromDBSnapshotOutput) {
	m.addCall("RestoreDBInstanceFromDBSnapshotRequest")
	m.verifyInput("RestoreDBInstanceFromDBSnapshotRequest", param0)
	return m.RestoreDBInstanceFromDBSnapshotRequestFunc(param0)
}

func (m *rdsMock) RestoreDBInstanceFromDBSnapshotWithContext(param0 aws.Context, param1 *rds.RestoreDBInstanceFromDBSnapshotInput, param2 ...request.Option) (*rds.RestoreDBInstanceFromDBSnapshotOutput, error) {
	m.addCall("RestoreDBInstanceFromDBSnapshotWithContext")
	m.verifyInput("RestoreDBInstanceFromDBSnapshotWithContext", param0)
	return m.RestoreDBInstanceFromDBSnapshotWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RestoreDBInstanceToPointInTime(param0 *rds.RestoreDBInstanceToPointInTimeInput) (*rds.RestoreDBInstanceToPointInTimeOutput, error) {
	m.addCall("RestoreDBInstanceToPointInTime")
	m.verifyInput("RestoreDBInstanceToPointInTime", param0)
	return m.RestoreDBInstanceToPointInTimeFunc(param0)
}

func (m *rdsMock) RestoreDBInstanceToPointInTimeRequest(param0 *rds.RestoreDBInstanceToPointInTimeInput) (*request.Request, *rds.RestoreDBInstanceToPointInTimeOutput) {
	m.addCall("RestoreDBInstanceToPointInTimeRequest")
	m.verifyInput("RestoreDBInstanceToPointInTimeRequest", param0)
	return m.RestoreDBInstanceToPointInTimeRequestFunc(param0)
}

func (m *rdsMock) RestoreDBInstanceToPointInTimeWithContext(param0 aws.Context, param1 *rds.RestoreDBInstanceToPointInTimeInput, param2 ...request.Option) (*rds.RestoreDBInstanceToPointInTimeOutput, error) {
	m.addCall("RestoreDBInstanceToPointInTimeWithContext")
	m.verifyInput("RestoreDBInstanceToPointInTimeWithContext", param0)
	return m.RestoreDBInstanceToPointInTimeWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) RevokeDBSecurityGroupIngress(param0 *rds.RevokeDBSecurityGroupIngressInput) (*rds.RevokeDBSecurityGroupIngressOutput, error) {
	m.addCall("RevokeDBSecurityGroupIngress")
	m.verifyInput("RevokeDBSecurityGroupIngress", param0)
	return m.RevokeDBSecurityGroupIngressFunc(param0)
}

func (m *rdsMock) RevokeDBSecurityGroupIngressRequest(param0 *rds.RevokeDBSecurityGroupIngressInput) (*request.Request, *rds.RevokeDBSecurityGroupIngressOutput) {
	m.addCall("RevokeDBSecurityGroupIngressRequest")
	m.verifyInput("RevokeDBSecurityGroupIngressRequest", param0)
	return m.RevokeDBSecurityGroupIngressRequestFunc(param0)
}

func (m *rdsMock) RevokeDBSecurityGroupIngressWithContext(param0 aws.Context, param1 *rds.RevokeDBSecurityGroupIngressInput, param2 ...request.Option) (*rds.RevokeDBSecurityGroupIngressOutput, error) {
	m.addCall("RevokeDBSecurityGroupIngressWithContext")
	m.verifyInput("RevokeDBSecurityGroupIngressWithContext", param0)
	return m.RevokeDBSecurityGroupIngressWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) StartDBInstance(param0 *rds.StartDBInstanceInput) (*rds.StartDBInstanceOutput, error) {
	m.addCall("StartDBInstance")
	m.verifyInput("StartDBInstance", param0)
	return m.StartDBInstanceFunc(param0)
}

func (m *rdsMock) StartDBInstanceRequest(param0 *rds.StartDBInstanceInput) (*request.Request, *rds.StartDBInstanceOutput) {
	m.addCall("StartDBInstanceRequest")
	m.verifyInput("StartDBInstanceRequest", param0)
	return m.StartDBInstanceRequestFunc(param0)
}

func (m *rdsMock) StartDBInstanceWithContext(param0 aws.Context, param1 *rds.StartDBInstanceInput, param2 ...request.Option) (*rds.StartDBInstanceOutput, error) {
	m.addCall("StartDBInstanceWithContext")
	m.verifyInput("StartDBInstanceWithContext", param0)
	return m.StartDBInstanceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) StopDBInstance(param0 *rds.StopDBInstanceInput) (*rds.StopDBInstanceOutput, error) {
	m.addCall("StopDBInstance")
	m.verifyInput("StopDBInstance", param0)
	return m.StopDBInstanceFunc(param0)
}

func (m *rdsMock) StopDBInstanceRequest(param0 *rds.StopDBInstanceInput) (*request.Request, *rds.StopDBInstanceOutput) {
	m.addCall("StopDBInstanceRequest")
	m.verifyInput("StopDBInstanceRequest", param0)
	return m.StopDBInstanceRequestFunc(param0)
}

func (m *rdsMock) StopDBInstanceWithContext(param0 aws.Context, param1 *rds.StopDBInstanceInput, param2 ...request.Option) (*rds.StopDBInstanceOutput, error) {
	m.addCall("StopDBInstanceWithContext")
	m.verifyInput("StopDBInstanceWithContext", param0)
	return m.StopDBInstanceWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) WaitUntilDBInstanceAvailable(param0 *rds.DescribeDBInstancesInput) error {
	m.addCall("WaitUntilDBInstanceAvailable")
	m.verifyInput("WaitUntilDBInstanceAvailable", param0)
	return m.WaitUntilDBInstanceAvailableFunc(param0)
}

func (m *rdsMock) WaitUntilDBInstanceAvailableWithContext(param0 aws.Context, param1 *rds.DescribeDBInstancesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilDBInstanceAvailableWithContext")
	m.verifyInput("WaitUntilDBInstanceAvailableWithContext", param0)
	return m.WaitUntilDBInstanceAvailableWithContextFunc(param0, param1, param2...)
}

func (m *rdsMock) WaitUntilDBInstanceDeleted(param0 *rds.DescribeDBInstancesInput) error {
	m.addCall("WaitUntilDBInstanceDeleted")
	m.verifyInput("WaitUntilDBInstanceDeleted", param0)
	return m.WaitUntilDBInstanceDeletedFunc(param0)
}

func (m *rdsMock) WaitUntilDBInstanceDeletedWithContext(param0 aws.Context, param1 *rds.DescribeDBInstancesInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilDBInstanceDeletedWithContext")
	m.verifyInput("WaitUntilDBInstanceDeletedWithContext", param0)
	return m.WaitUntilDBInstanceDeletedWithContextFunc(param0, param1, param2...)
}

type route53Mock struct {
	basicMock
	route53iface.Route53API
	AssociateVPCWithHostedZoneFunc                        func(param0 *route53.AssociateVPCWithHostedZoneInput) (*route53.AssociateVPCWithHostedZoneOutput, error)
	AssociateVPCWithHostedZoneRequestFunc                 func(param0 *route53.AssociateVPCWithHostedZoneInput) (*request.Request, *route53.AssociateVPCWithHostedZoneOutput)
	AssociateVPCWithHostedZoneWithContextFunc             func(param0 aws.Context, param1 *route53.AssociateVPCWithHostedZoneInput, param2 ...request.Option) (*route53.AssociateVPCWithHostedZoneOutput, error)
	ChangeResourceRecordSetsFunc                          func(param0 *route53.ChangeResourceRecordSetsInput) (*route53.ChangeResourceRecordSetsOutput, error)
	ChangeResourceRecordSetsRequestFunc                   func(param0 *route53.ChangeResourceRecordSetsInput) (*request.Request, *route53.ChangeResourceRecordSetsOutput)
	ChangeResourceRecordSetsWithContextFunc               func(param0 aws.Context, param1 *route53.ChangeResourceRecordSetsInput, param2 ...request.Option) (*route53.ChangeResourceRecordSetsOutput, error)
	ChangeTagsForResourceFunc                             func(param0 *route53.ChangeTagsForResourceInput) (*route53.ChangeTagsForResourceOutput, error)
	ChangeTagsForResourceRequestFunc                      func(param0 *route53.ChangeTagsForResourceInput) (*request.Request, *route53.ChangeTagsForResourceOutput)
	ChangeTagsForResourceWithContextFunc                  func(param0 aws.Context, param1 *route53.ChangeTagsForResourceInput, param2 ...request.Option) (*route53.ChangeTagsForResourceOutput, error)
	CreateHealthCheckFunc                                 func(param0 *route53.CreateHealthCheckInput) (*route53.CreateHealthCheckOutput, error)
	CreateHealthCheckRequestFunc                          func(param0 *route53.CreateHealthCheckInput) (*request.Request, *route53.CreateHealthCheckOutput)
	CreateHealthCheckWithContextFunc                      func(param0 aws.Context, param1 *route53.CreateHealthCheckInput, param2 ...request.Option) (*route53.CreateHealthCheckOutput, error)
	CreateHostedZoneFunc                                  func(param0 *route53.CreateHostedZoneInput) (*route53.CreateHostedZoneOutput, error)
	CreateHostedZoneRequestFunc                           func(param0 *route53.CreateHostedZoneInput) (*request.Request, *route53.CreateHostedZoneOutput)
	CreateHostedZoneWithContextFunc                       func(param0 aws.Context, param1 *route53.CreateHostedZoneInput, param2 ...request.Option) (*route53.CreateHostedZoneOutput, error)
	CreateQueryLoggingConfigFunc                          func(param0 *route53.CreateQueryLoggingConfigInput) (*route53.CreateQueryLoggingConfigOutput, error)
	CreateQueryLoggingConfigRequestFunc                   func(param0 *route53.CreateQueryLoggingConfigInput) (*request.Request, *route53.CreateQueryLoggingConfigOutput)
	CreateQueryLoggingConfigWithContextFunc               func(param0 aws.Context, param1 *route53.CreateQueryLoggingConfigInput, param2 ...request.Option) (*route53.CreateQueryLoggingConfigOutput, error)
	CreateReusableDelegationSetFunc                       func(param0 *route53.CreateReusableDelegationSetInput) (*route53.CreateReusableDelegationSetOutput, error)
	CreateReusableDelegationSetRequestFunc                func(param0 *route53.CreateReusableDelegationSetInput) (*request.Request, *route53.CreateReusableDelegationSetOutput)
	CreateReusableDelegationSetWithContextFunc            func(param0 aws.Context, param1 *route53.CreateReusableDelegationSetInput, param2 ...request.Option) (*route53.CreateReusableDelegationSetOutput, error)
	CreateTrafficPolicyFunc                               func(param0 *route53.CreateTrafficPolicyInput) (*route53.CreateTrafficPolicyOutput, error)
	CreateTrafficPolicyInstanceFunc                       func(param0 *route53.CreateTrafficPolicyInstanceInput) (*route53.CreateTrafficPolicyInstanceOutput, error)
	CreateTrafficPolicyInstanceRequestFunc                func(param0 *route53.CreateTrafficPolicyInstanceInput) (*request.Request, *route53.CreateTrafficPolicyInstanceOutput)
	CreateTrafficPolicyInstanceWithContextFunc            func(param0 aws.Context, param1 *route53.CreateTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.CreateTrafficPolicyInstanceOutput, error)
	CreateTrafficPolicyRequestFunc                        func(param0 *route53.CreateTrafficPolicyInput) (*request.Request, *route53.CreateTrafficPolicyOutput)
	CreateTrafficPolicyVersionFunc                        func(param0 *route53.CreateTrafficPolicyVersionInput) (*route53.CreateTrafficPolicyVersionOutput, error)
	CreateTrafficPolicyVersionRequestFunc                 func(param0 *route53.CreateTrafficPolicyVersionInput) (*request.Request, *route53.CreateTrafficPolicyVersionOutput)
	CreateTrafficPolicyVersionWithContextFunc             func(param0 aws.Context, param1 *route53.CreateTrafficPolicyVersionInput, param2 ...request.Option) (*route53.CreateTrafficPolicyVersionOutput, error)
	CreateTrafficPolicyWithContextFunc                    func(param0 aws.Context, param1 *route53.CreateTrafficPolicyInput, param2 ...request.Option) (*route53.CreateTrafficPolicyOutput, error)
	CreateVPCAssociationAuthorizationFunc                 func(param0 *route53.CreateVPCAssociationAuthorizationInput) (*route53.CreateVPCAssociationAuthorizationOutput, error)
	CreateVPCAssociationAuthorizationRequestFunc          func(param0 *route53.CreateVPCAssociationAuthorizationInput) (*request.Request, *route53.CreateVPCAssociationAuthorizationOutput)
	CreateVPCAssociationAuthorizationWithContextFunc      func(param0 aws.Context, param1 *route53.CreateVPCAssociationAuthorizationInput, param2 ...request.Option) (*route53.CreateVPCAssociationAuthorizationOutput, error)
	DeleteHealthCheckFunc                                 func(param0 *route53.DeleteHealthCheckInput) (*route53.DeleteHealthCheckOutput, error)
	DeleteHealthCheckRequestFunc                          func(param0 *route53.DeleteHealthCheckInput) (*request.Request, *route53.DeleteHealthCheckOutput)
	DeleteHealthCheckWithContextFunc                      func(param0 aws.Context, param1 *route53.DeleteHealthCheckInput, param2 ...request.Option) (*route53.DeleteHealthCheckOutput, error)
	DeleteHostedZoneFunc                                  func(param0 *route53.DeleteHostedZoneInput) (*route53.DeleteHostedZoneOutput, error)
	DeleteHostedZoneRequestFunc                           func(param0 *route53.DeleteHostedZoneInput) (*request.Request, *route53.DeleteHostedZoneOutput)
	DeleteHostedZoneWithContextFunc                       func(param0 aws.Context, param1 *route53.DeleteHostedZoneInput, param2 ...request.Option) (*route53.DeleteHostedZoneOutput, error)
	DeleteQueryLoggingConfigFunc                          func(param0 *route53.DeleteQueryLoggingConfigInput) (*route53.DeleteQueryLoggingConfigOutput, error)
	DeleteQueryLoggingConfigRequestFunc                   func(param0 *route53.DeleteQueryLoggingConfigInput) (*request.Request, *route53.DeleteQueryLoggingConfigOutput)
	DeleteQueryLoggingConfigWithContextFunc               func(param0 aws.Context, param1 *route53.DeleteQueryLoggingConfigInput, param2 ...request.Option) (*route53.DeleteQueryLoggingConfigOutput, error)
	DeleteReusableDelegationSetFunc                       func(param0 *route53.DeleteReusableDelegationSetInput) (*route53.DeleteReusableDelegationSetOutput, error)
	DeleteReusableDelegationSetRequestFunc                func(param0 *route53.DeleteReusableDelegationSetInput) (*request.Request, *route53.DeleteReusableDelegationSetOutput)
	DeleteReusableDelegationSetWithContextFunc            func(param0 aws.Context, param1 *route53.DeleteReusableDelegationSetInput, param2 ...request.Option) (*route53.DeleteReusableDelegationSetOutput, error)
	DeleteTrafficPolicyFunc                               func(param0 *route53.DeleteTrafficPolicyInput) (*route53.DeleteTrafficPolicyOutput, error)
	DeleteTrafficPolicyInstanceFunc                       func(param0 *route53.DeleteTrafficPolicyInstanceInput) (*route53.DeleteTrafficPolicyInstanceOutput, error)
	DeleteTrafficPolicyInstanceRequestFunc                func(param0 *route53.DeleteTrafficPolicyInstanceInput) (*request.Request, *route53.DeleteTrafficPolicyInstanceOutput)
	DeleteTrafficPolicyInstanceWithContextFunc            func(param0 aws.Context, param1 *route53.DeleteTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.DeleteTrafficPolicyInstanceOutput, error)
	DeleteTrafficPolicyRequestFunc                        func(param0 *route53.DeleteTrafficPolicyInput) (*request.Request, *route53.DeleteTrafficPolicyOutput)
	DeleteTrafficPolicyWithContextFunc                    func(param0 aws.Context, param1 *route53.DeleteTrafficPolicyInput, param2 ...request.Option) (*route53.DeleteTrafficPolicyOutput, error)
	DeleteVPCAssociationAuthorizationFunc                 func(param0 *route53.DeleteVPCAssociationAuthorizationInput) (*route53.DeleteVPCAssociationAuthorizationOutput, error)
	DeleteVPCAssociationAuthorizationRequestFunc          func(param0 *route53.DeleteVPCAssociationAuthorizationInput) (*request.Request, *route53.DeleteVPCAssociationAuthorizationOutput)
	DeleteVPCAssociationAuthorizationWithContextFunc      func(param0 aws.Context, param1 *route53.DeleteVPCAssociationAuthorizationInput, param2 ...request.Option) (*route53.DeleteVPCAssociationAuthorizationOutput, error)
	DisassociateVPCFromHostedZoneFunc                     func(param0 *route53.DisassociateVPCFromHostedZoneInput) (*route53.DisassociateVPCFromHostedZoneOutput, error)
	DisassociateVPCFromHostedZoneRequestFunc              func(param0 *route53.DisassociateVPCFromHostedZoneInput) (*request.Request, *route53.DisassociateVPCFromHostedZoneOutput)
	DisassociateVPCFromHostedZoneWithContextFunc          func(param0 aws.Context, param1 *route53.DisassociateVPCFromHostedZoneInput, param2 ...request.Option) (*route53.DisassociateVPCFromHostedZoneOutput, error)
	GetChangeFunc                                         func(param0 *route53.GetChangeInput) (*route53.GetChangeOutput, error)
	GetChangeRequestFunc                                  func(param0 *route53.GetChangeInput) (*request.Request, *route53.GetChangeOutput)
	GetChangeWithContextFunc                              func(param0 aws.Context, param1 *route53.GetChangeInput, param2 ...request.Option) (*route53.GetChangeOutput, error)
	GetCheckerIpRangesFunc                                func(param0 *route53.GetCheckerIpRangesInput) (*route53.GetCheckerIpRangesOutput, error)
	GetCheckerIpRangesRequestFunc                         func(param0 *route53.GetCheckerIpRangesInput) (*request.Request, *route53.GetCheckerIpRangesOutput)
	GetCheckerIpRangesWithContextFunc                     func(param0 aws.Context, param1 *route53.GetCheckerIpRangesInput, param2 ...request.Option) (*route53.GetCheckerIpRangesOutput, error)
	GetGeoLocationFunc                                    func(param0 *route53.GetGeoLocationInput) (*route53.GetGeoLocationOutput, error)
	GetGeoLocationRequestFunc                             func(param0 *route53.GetGeoLocationInput) (*request.Request, *route53.GetGeoLocationOutput)
	GetGeoLocationWithContextFunc                         func(param0 aws.Context, param1 *route53.GetGeoLocationInput, param2 ...request.Option) (*route53.GetGeoLocationOutput, error)
	GetHealthCheckFunc                                    func(param0 *route53.GetHealthCheckInput) (*route53.GetHealthCheckOutput, error)
	GetHealthCheckCountFunc                               func(param0 *route53.GetHealthCheckCountInput) (*route53.GetHealthCheckCountOutput, error)
	GetHealthCheckCountRequestFunc                        func(param0 *route53.GetHealthCheckCountInput) (*request.Request, *route53.GetHealthCheckCountOutput)
	GetHealthCheckCountWithContextFunc                    func(param0 aws.Context, param1 *route53.GetHealthCheckCountInput, param2 ...request.Option) (*route53.GetHealthCheckCountOutput, error)
	GetHealthCheckLastFailureReasonFunc                   func(param0 *route53.GetHealthCheckLastFailureReasonInput) (*route53.GetHealthCheckLastFailureReasonOutput, error)
	GetHealthCheckLastFailureReasonRequestFunc            func(param0 *route53.GetHealthCheckLastFailureReasonInput) (*request.Request, *route53.GetHealthCheckLastFailureReasonOutput)
	GetHealthCheckLastFailureReasonWithContextFunc        func(param0 aws.Context, param1 *route53.GetHealthCheckLastFailureReasonInput, param2 ...request.Option) (*route53.GetHealthCheckLastFailureReasonOutput, error)
	GetHealthCheckRequestFunc                             func(param0 *route53.GetHealthCheckInput) (*request.Request, *route53.GetHealthCheckOutput)
	GetHealthCheckStatusFunc                              func(param0 *route53.GetHealthCheckStatusInput) (*route53.GetHealthCheckStatusOutput, error)
	GetHealthCheckStatusRequestFunc                       func(param0 *route53.GetHealthCheckStatusInput) (*request.Request, *route53.GetHealthCheckStatusOutput)
	GetHealthCheckStatusWithContextFunc                   func(param0 aws.Context, param1 *route53.GetHealthCheckStatusInput, param2 ...request.Option) (*route53.GetHealthCheckStatusOutput, error)
	GetHealthCheckWithContextFunc                         func(param0 aws.Context, param1 *route53.GetHealthCheckInput, param2 ...request.Option) (*route53.GetHealthCheckOutput, error)
	GetHostedZoneFunc                                     func(param0 *route53.GetHostedZoneInput) (*route53.GetHostedZoneOutput, error)
	GetHostedZoneCountFunc                                func(param0 *route53.GetHostedZoneCountInput) (*route53.GetHostedZoneCountOutput, error)
	GetHostedZoneCountRequestFunc                         func(param0 *route53.GetHostedZoneCountInput) (*request.Request, *route53.GetHostedZoneCountOutput)
	GetHostedZoneCountWithContextFunc                     func(param0 aws.Context, param1 *route53.GetHostedZoneCountInput, param2 ...request.Option) (*route53.GetHostedZoneCountOutput, error)
	GetHostedZoneRequestFunc                              func(param0 *route53.GetHostedZoneInput) (*request.Request, *route53.GetHostedZoneOutput)
	GetHostedZoneWithContextFunc                          func(param0 aws.Context, param1 *route53.GetHostedZoneInput, param2 ...request.Option) (*route53.GetHostedZoneOutput, error)
	GetQueryLoggingConfigFunc                             func(param0 *route53.GetQueryLoggingConfigInput) (*route53.GetQueryLoggingConfigOutput, error)
	GetQueryLoggingConfigRequestFunc                      func(param0 *route53.GetQueryLoggingConfigInput) (*request.Request, *route53.GetQueryLoggingConfigOutput)
	GetQueryLoggingConfigWithContextFunc                  func(param0 aws.Context, param1 *route53.GetQueryLoggingConfigInput, param2 ...request.Option) (*route53.GetQueryLoggingConfigOutput, error)
	GetReusableDelegationSetFunc                          func(param0 *route53.GetReusableDelegationSetInput) (*route53.GetReusableDelegationSetOutput, error)
	GetReusableDelegationSetRequestFunc                   func(param0 *route53.GetReusableDelegationSetInput) (*request.Request, *route53.GetReusableDelegationSetOutput)
	GetReusableDelegationSetWithContextFunc               func(param0 aws.Context, param1 *route53.GetReusableDelegationSetInput, param2 ...request.Option) (*route53.GetReusableDelegationSetOutput, error)
	GetTrafficPolicyFunc                                  func(param0 *route53.GetTrafficPolicyInput) (*route53.GetTrafficPolicyOutput, error)
	GetTrafficPolicyInstanceFunc                          func(param0 *route53.GetTrafficPolicyInstanceInput) (*route53.GetTrafficPolicyInstanceOutput, error)
	GetTrafficPolicyInstanceCountFunc                     func(param0 *route53.GetTrafficPolicyInstanceCountInput) (*route53.GetTrafficPolicyInstanceCountOutput, error)
	GetTrafficPolicyInstanceCountRequestFunc              func(param0 *route53.GetTrafficPolicyInstanceCountInput) (*request.Request, *route53.GetTrafficPolicyInstanceCountOutput)
	GetTrafficPolicyInstanceCountWithContextFunc          func(param0 aws.Context, param1 *route53.GetTrafficPolicyInstanceCountInput, param2 ...request.Option) (*route53.GetTrafficPolicyInstanceCountOutput, error)
	GetTrafficPolicyInstanceRequestFunc                   func(param0 *route53.GetTrafficPolicyInstanceInput) (*request.Request, *route53.GetTrafficPolicyInstanceOutput)
	GetTrafficPolicyInstanceWithContextFunc               func(param0 aws.Context, param1 *route53.GetTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.GetTrafficPolicyInstanceOutput, error)
	GetTrafficPolicyRequestFunc                           func(param0 *route53.GetTrafficPolicyInput) (*request.Request, *route53.GetTrafficPolicyOutput)
	GetTrafficPolicyWithContextFunc                       func(param0 aws.Context, param1 *route53.GetTrafficPolicyInput, param2 ...request.Option) (*route53.GetTrafficPolicyOutput, error)
	ListGeoLocationsFunc                                  func(param0 *route53.ListGeoLocationsInput) (*route53.ListGeoLocationsOutput, error)
	ListGeoLocationsRequestFunc                           func(param0 *route53.ListGeoLocationsInput) (*request.Request, *route53.ListGeoLocationsOutput)
	ListGeoLocationsWithContextFunc                       func(param0 aws.Context, param1 *route53.ListGeoLocationsInput, param2 ...request.Option) (*route53.ListGeoLocationsOutput, error)
	ListHealthChecksFunc                                  func(param0 *route53.ListHealthChecksInput) (*route53.ListHealthChecksOutput, error)
	ListHealthChecksRequestFunc                           func(param0 *route53.ListHealthChecksInput) (*request.Request, *route53.ListHealthChecksOutput)
	ListHealthChecksWithContextFunc                       func(param0 aws.Context, param1 *route53.ListHealthChecksInput, param2 ...request.Option) (*route53.ListHealthChecksOutput, error)
	ListHostedZonesFunc                                   func(param0 *route53.ListHostedZonesInput) (*route53.ListHostedZonesOutput, error)
	ListHostedZonesByNameFunc                             func(param0 *route53.ListHostedZonesByNameInput) (*route53.ListHostedZonesByNameOutput, error)
	ListHostedZonesByNameRequestFunc                      func(param0 *route53.ListHostedZonesByNameInput) (*request.Request, *route53.ListHostedZonesByNameOutput)
	ListHostedZonesByNameWithContextFunc                  func(param0 aws.Context, param1 *route53.ListHostedZonesByNameInput, param2 ...request.Option) (*route53.ListHostedZonesByNameOutput, error)
	ListHostedZonesRequestFunc                            func(param0 *route53.ListHostedZonesInput) (*request.Request, *route53.ListHostedZonesOutput)
	ListHostedZonesWithContextFunc                        func(param0 aws.Context, param1 *route53.ListHostedZonesInput, param2 ...request.Option) (*route53.ListHostedZonesOutput, error)
	ListQueryLoggingConfigsFunc                           func(param0 *route53.ListQueryLoggingConfigsInput) (*route53.ListQueryLoggingConfigsOutput, error)
	ListQueryLoggingConfigsRequestFunc                    func(param0 *route53.ListQueryLoggingConfigsInput) (*request.Request, *route53.ListQueryLoggingConfigsOutput)
	ListQueryLoggingConfigsWithContextFunc                func(param0 aws.Context, param1 *route53.ListQueryLoggingConfigsInput, param2 ...request.Option) (*route53.ListQueryLoggingConfigsOutput, error)
	ListResourceRecordSetsFunc                            func(param0 *route53.ListResourceRecordSetsInput) (*route53.ListResourceRecordSetsOutput, error)
	ListResourceRecordSetsRequestFunc                     func(param0 *route53.ListResourceRecordSetsInput) (*request.Request, *route53.ListResourceRecordSetsOutput)
	ListResourceRecordSetsWithContextFunc                 func(param0 aws.Context, param1 *route53.ListResourceRecordSetsInput, param2 ...request.Option) (*route53.ListResourceRecordSetsOutput, error)
	ListReusableDelegationSetsFunc                        func(param0 *route53.ListReusableDelegationSetsInput) (*route53.ListReusableDelegationSetsOutput, error)
	ListReusableDelegationSetsRequestFunc                 func(param0 *route53.ListReusableDelegationSetsInput) (*request.Request, *route53.ListReusableDelegationSetsOutput)
	ListReusableDelegationSetsWithContextFunc             func(param0 aws.Context, param1 *route53.ListReusableDelegationSetsInput, param2 ...request.Option) (*route53.ListReusableDelegationSetsOutput, error)
	ListTagsForResourceFunc                               func(param0 *route53.ListTagsForResourceInput) (*route53.ListTagsForResourceOutput, error)
	ListTagsForResourceRequestFunc                        func(param0 *route53.ListTagsForResourceInput) (*request.Request, *route53.ListTagsForResourceOutput)
	ListTagsForResourceWithContextFunc                    func(param0 aws.Context, param1 *route53.ListTagsForResourceInput, param2 ...request.Option) (*route53.ListTagsForResourceOutput, error)
	ListTagsForResourcesFunc                              func(param0 *route53.ListTagsForResourcesInput) (*route53.ListTagsForResourcesOutput, error)
	ListTagsForResourcesRequestFunc                       func(param0 *route53.ListTagsForResourcesInput) (*request.Request, *route53.ListTagsForResourcesOutput)
	ListTagsForResourcesWithContextFunc                   func(param0 aws.Context, param1 *route53.ListTagsForResourcesInput, param2 ...request.Option) (*route53.ListTagsForResourcesOutput, error)
	ListTrafficPoliciesFunc                               func(param0 *route53.ListTrafficPoliciesInput) (*route53.ListTrafficPoliciesOutput, error)
	ListTrafficPoliciesRequestFunc                        func(param0 *route53.ListTrafficPoliciesInput) (*request.Request, *route53.ListTrafficPoliciesOutput)
	ListTrafficPoliciesWithContextFunc                    func(param0 aws.Context, param1 *route53.ListTrafficPoliciesInput, param2 ...request.Option) (*route53.ListTrafficPoliciesOutput, error)
	ListTrafficPolicyInstancesFunc                        func(param0 *route53.ListTrafficPolicyInstancesInput) (*route53.ListTrafficPolicyInstancesOutput, error)
	ListTrafficPolicyInstancesByHostedZoneFunc            func(param0 *route53.ListTrafficPolicyInstancesByHostedZoneInput) (*route53.ListTrafficPolicyInstancesByHostedZoneOutput, error)
	ListTrafficPolicyInstancesByHostedZoneRequestFunc     func(param0 *route53.ListTrafficPolicyInstancesByHostedZoneInput) (*request.Request, *route53.ListTrafficPolicyInstancesByHostedZoneOutput)
	ListTrafficPolicyInstancesByHostedZoneWithContextFunc func(param0 aws.Context, param1 *route53.ListTrafficPolicyInstancesByHostedZoneInput, param2 ...request.Option) (*route53.ListTrafficPolicyInstancesByHostedZoneOutput, error)
	ListTrafficPolicyInstancesByPolicyFunc                func(param0 *route53.ListTrafficPolicyInstancesByPolicyInput) (*route53.ListTrafficPolicyInstancesByPolicyOutput, error)
	ListTrafficPolicyInstancesByPolicyRequestFunc         func(param0 *route53.ListTrafficPolicyInstancesByPolicyInput) (*request.Request, *route53.ListTrafficPolicyInstancesByPolicyOutput)
	ListTrafficPolicyInstancesByPolicyWithContextFunc     func(param0 aws.Context, param1 *route53.ListTrafficPolicyInstancesByPolicyInput, param2 ...request.Option) (*route53.ListTrafficPolicyInstancesByPolicyOutput, error)
	ListTrafficPolicyInstancesRequestFunc                 func(param0 *route53.ListTrafficPolicyInstancesInput) (*request.Request, *route53.ListTrafficPolicyInstancesOutput)
	ListTrafficPolicyInstancesWithContextFunc             func(param0 aws.Context, param1 *route53.ListTrafficPolicyInstancesInput, param2 ...request.Option) (*route53.ListTrafficPolicyInstancesOutput, error)
	ListTrafficPolicyVersionsFunc                         func(param0 *route53.ListTrafficPolicyVersionsInput) (*route53.ListTrafficPolicyVersionsOutput, error)
	ListTrafficPolicyVersionsRequestFunc                  func(param0 *route53.ListTrafficPolicyVersionsInput) (*request.Request, *route53.ListTrafficPolicyVersionsOutput)
	ListTrafficPolicyVersionsWithContextFunc              func(param0 aws.Context, param1 *route53.ListTrafficPolicyVersionsInput, param2 ...request.Option) (*route53.ListTrafficPolicyVersionsOutput, error)
	ListVPCAssociationAuthorizationsFunc                  func(param0 *route53.ListVPCAssociationAuthorizationsInput) (*route53.ListVPCAssociationAuthorizationsOutput, error)
	ListVPCAssociationAuthorizationsRequestFunc           func(param0 *route53.ListVPCAssociationAuthorizationsInput) (*request.Request, *route53.ListVPCAssociationAuthorizationsOutput)
	ListVPCAssociationAuthorizationsWithContextFunc       func(param0 aws.Context, param1 *route53.ListVPCAssociationAuthorizationsInput, param2 ...request.Option) (*route53.ListVPCAssociationAuthorizationsOutput, error)
	TestDNSAnswerFunc                                     func(param0 *route53.TestDNSAnswerInput) (*route53.TestDNSAnswerOutput, error)
	TestDNSAnswerRequestFunc                              func(param0 *route53.TestDNSAnswerInput) (*request.Request, *route53.TestDNSAnswerOutput)
	TestDNSAnswerWithContextFunc                          func(param0 aws.Context, param1 *route53.TestDNSAnswerInput, param2 ...request.Option) (*route53.TestDNSAnswerOutput, error)
	UpdateHealthCheckFunc                                 func(param0 *route53.UpdateHealthCheckInput) (*route53.UpdateHealthCheckOutput, error)
	UpdateHealthCheckRequestFunc                          func(param0 *route53.UpdateHealthCheckInput) (*request.Request, *route53.UpdateHealthCheckOutput)
	UpdateHealthCheckWithContextFunc                      func(param0 aws.Context, param1 *route53.UpdateHealthCheckInput, param2 ...request.Option) (*route53.UpdateHealthCheckOutput, error)
	UpdateHostedZoneCommentFunc                           func(param0 *route53.UpdateHostedZoneCommentInput) (*route53.UpdateHostedZoneCommentOutput, error)
	UpdateHostedZoneCommentRequestFunc                    func(param0 *route53.UpdateHostedZoneCommentInput) (*request.Request, *route53.UpdateHostedZoneCommentOutput)
	UpdateHostedZoneCommentWithContextFunc                func(param0 aws.Context, param1 *route53.UpdateHostedZoneCommentInput, param2 ...request.Option) (*route53.UpdateHostedZoneCommentOutput, error)
	UpdateTrafficPolicyCommentFunc                        func(param0 *route53.UpdateTrafficPolicyCommentInput) (*route53.UpdateTrafficPolicyCommentOutput, error)
	UpdateTrafficPolicyCommentRequestFunc                 func(param0 *route53.UpdateTrafficPolicyCommentInput) (*request.Request, *route53.UpdateTrafficPolicyCommentOutput)
	UpdateTrafficPolicyCommentWithContextFunc             func(param0 aws.Context, param1 *route53.UpdateTrafficPolicyCommentInput, param2 ...request.Option) (*route53.UpdateTrafficPolicyCommentOutput, error)
	UpdateTrafficPolicyInstanceFunc                       func(param0 *route53.UpdateTrafficPolicyInstanceInput) (*route53.UpdateTrafficPolicyInstanceOutput, error)
	UpdateTrafficPolicyInstanceRequestFunc                func(param0 *route53.UpdateTrafficPolicyInstanceInput) (*request.Request, *route53.UpdateTrafficPolicyInstanceOutput)
	UpdateTrafficPolicyInstanceWithContextFunc            func(param0 aws.Context, param1 *route53.UpdateTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.UpdateTrafficPolicyInstanceOutput, error)
	WaitUntilResourceRecordSetsChangedFunc                func(param0 *route53.GetChangeInput) error
	WaitUntilResourceRecordSetsChangedWithContextFunc     func(param0 aws.Context, param1 *route53.GetChangeInput, param2 ...request.WaiterOption) error
}

func (m *route53Mock) AssociateVPCWithHostedZone(param0 *route53.AssociateVPCWithHostedZoneInput) (*route53.AssociateVPCWithHostedZoneOutput, error) {
	m.addCall("AssociateVPCWithHostedZone")
	m.verifyInput("AssociateVPCWithHostedZone", param0)
	return m.AssociateVPCWithHostedZoneFunc(param0)
}

func (m *route53Mock) AssociateVPCWithHostedZoneRequest(param0 *route53.AssociateVPCWithHostedZoneInput) (*request.Request, *route53.AssociateVPCWithHostedZoneOutput) {
	m.addCall("AssociateVPCWithHostedZoneRequest")
	m.verifyInput("AssociateVPCWithHostedZoneRequest", param0)
	return m.AssociateVPCWithHostedZoneRequestFunc(param0)
}

func (m *route53Mock) AssociateVPCWithHostedZoneWithContext(param0 aws.Context, param1 *route53.AssociateVPCWithHostedZoneInput, param2 ...request.Option) (*route53.AssociateVPCWithHostedZoneOutput, error) {
	m.addCall("AssociateVPCWithHostedZoneWithContext")
	m.verifyInput("AssociateVPCWithHostedZoneWithContext", param0)
	return m.AssociateVPCWithHostedZoneWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ChangeResourceRecordSets(param0 *route53.ChangeResourceRecordSetsInput) (*route53.ChangeResourceRecordSetsOutput, error) {
	m.addCall("ChangeResourceRecordSets")
	m.verifyInput("ChangeResourceRecordSets", param0)
	return m.ChangeResourceRecordSetsFunc(param0)
}

func (m *route53Mock) ChangeResourceRecordSetsRequest(param0 *route53.ChangeResourceRecordSetsInput) (*request.Request, *route53.ChangeResourceRecordSetsOutput) {
	m.addCall("ChangeResourceRecordSetsRequest")
	m.verifyInput("ChangeResourceRecordSetsRequest", param0)
	return m.ChangeResourceRecordSetsRequestFunc(param0)
}

func (m *route53Mock) ChangeResourceRecordSetsWithContext(param0 aws.Context, param1 *route53.ChangeResourceRecordSetsInput, param2 ...request.Option) (*route53.ChangeResourceRecordSetsOutput, error) {
	m.addCall("ChangeResourceRecordSetsWithContext")
	m.verifyInput("ChangeResourceRecordSetsWithContext", param0)
	return m.ChangeResourceRecordSetsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ChangeTagsForResource(param0 *route53.ChangeTagsForResourceInput) (*route53.ChangeTagsForResourceOutput, error) {
	m.addCall("ChangeTagsForResource")
	m.verifyInput("ChangeTagsForResource", param0)
	return m.ChangeTagsForResourceFunc(param0)
}

func (m *route53Mock) ChangeTagsForResourceRequest(param0 *route53.ChangeTagsForResourceInput) (*request.Request, *route53.ChangeTagsForResourceOutput) {
	m.addCall("ChangeTagsForResourceRequest")
	m.verifyInput("ChangeTagsForResourceRequest", param0)
	return m.ChangeTagsForResourceRequestFunc(param0)
}

func (m *route53Mock) ChangeTagsForResourceWithContext(param0 aws.Context, param1 *route53.ChangeTagsForResourceInput, param2 ...request.Option) (*route53.ChangeTagsForResourceOutput, error) {
	m.addCall("ChangeTagsForResourceWithContext")
	m.verifyInput("ChangeTagsForResourceWithContext", param0)
	return m.ChangeTagsForResourceWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateHealthCheck(param0 *route53.CreateHealthCheckInput) (*route53.CreateHealthCheckOutput, error) {
	m.addCall("CreateHealthCheck")
	m.verifyInput("CreateHealthCheck", param0)
	return m.CreateHealthCheckFunc(param0)
}

func (m *route53Mock) CreateHealthCheckRequest(param0 *route53.CreateHealthCheckInput) (*request.Request, *route53.CreateHealthCheckOutput) {
	m.addCall("CreateHealthCheckRequest")
	m.verifyInput("CreateHealthCheckRequest", param0)
	return m.CreateHealthCheckRequestFunc(param0)
}

func (m *route53Mock) CreateHealthCheckWithContext(param0 aws.Context, param1 *route53.CreateHealthCheckInput, param2 ...request.Option) (*route53.CreateHealthCheckOutput, error) {
	m.addCall("CreateHealthCheckWithContext")
	m.verifyInput("CreateHealthCheckWithContext", param0)
	return m.CreateHealthCheckWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateHostedZone(param0 *route53.CreateHostedZoneInput) (*route53.CreateHostedZoneOutput, error) {
	m.addCall("CreateHostedZone")
	m.verifyInput("CreateHostedZone", param0)
	return m.CreateHostedZoneFunc(param0)
}

func (m *route53Mock) CreateHostedZoneRequest(param0 *route53.CreateHostedZoneInput) (*request.Request, *route53.CreateHostedZoneOutput) {
	m.addCall("CreateHostedZoneRequest")
	m.verifyInput("CreateHostedZoneRequest", param0)
	return m.CreateHostedZoneRequestFunc(param0)
}

func (m *route53Mock) CreateHostedZoneWithContext(param0 aws.Context, param1 *route53.CreateHostedZoneInput, param2 ...request.Option) (*route53.CreateHostedZoneOutput, error) {
	m.addCall("CreateHostedZoneWithContext")
	m.verifyInput("CreateHostedZoneWithContext", param0)
	return m.CreateHostedZoneWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateQueryLoggingConfig(param0 *route53.CreateQueryLoggingConfigInput) (*route53.CreateQueryLoggingConfigOutput, error) {
	m.addCall("CreateQueryLoggingConfig")
	m.verifyInput("CreateQueryLoggingConfig", param0)
	return m.CreateQueryLoggingConfigFunc(param0)
}

func (m *route53Mock) CreateQueryLoggingConfigRequest(param0 *route53.CreateQueryLoggingConfigInput) (*request.Request, *route53.CreateQueryLoggingConfigOutput) {
	m.addCall("CreateQueryLoggingConfigRequest")
	m.verifyInput("CreateQueryLoggingConfigRequest", param0)
	return m.CreateQueryLoggingConfigRequestFunc(param0)
}

func (m *route53Mock) CreateQueryLoggingConfigWithContext(param0 aws.Context, param1 *route53.CreateQueryLoggingConfigInput, param2 ...request.Option) (*route53.CreateQueryLoggingConfigOutput, error) {
	m.addCall("CreateQueryLoggingConfigWithContext")
	m.verifyInput("CreateQueryLoggingConfigWithContext", param0)
	return m.CreateQueryLoggingConfigWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateReusableDelegationSet(param0 *route53.CreateReusableDelegationSetInput) (*route53.CreateReusableDelegationSetOutput, error) {
	m.addCall("CreateReusableDelegationSet")
	m.verifyInput("CreateReusableDelegationSet", param0)
	return m.CreateReusableDelegationSetFunc(param0)
}

func (m *route53Mock) CreateReusableDelegationSetRequest(param0 *route53.CreateReusableDelegationSetInput) (*request.Request, *route53.CreateReusableDelegationSetOutput) {
	m.addCall("CreateReusableDelegationSetRequest")
	m.verifyInput("CreateReusableDelegationSetRequest", param0)
	return m.CreateReusableDelegationSetRequestFunc(param0)
}

func (m *route53Mock) CreateReusableDelegationSetWithContext(param0 aws.Context, param1 *route53.CreateReusableDelegationSetInput, param2 ...request.Option) (*route53.CreateReusableDelegationSetOutput, error) {
	m.addCall("CreateReusableDelegationSetWithContext")
	m.verifyInput("CreateReusableDelegationSetWithContext", param0)
	return m.CreateReusableDelegationSetWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateTrafficPolicy(param0 *route53.CreateTrafficPolicyInput) (*route53.CreateTrafficPolicyOutput, error) {
	m.addCall("CreateTrafficPolicy")
	m.verifyInput("CreateTrafficPolicy", param0)
	return m.CreateTrafficPolicyFunc(param0)
}

func (m *route53Mock) CreateTrafficPolicyInstance(param0 *route53.CreateTrafficPolicyInstanceInput) (*route53.CreateTrafficPolicyInstanceOutput, error) {
	m.addCall("CreateTrafficPolicyInstance")
	m.verifyInput("CreateTrafficPolicyInstance", param0)
	return m.CreateTrafficPolicyInstanceFunc(param0)
}

func (m *route53Mock) CreateTrafficPolicyInstanceRequest(param0 *route53.CreateTrafficPolicyInstanceInput) (*request.Request, *route53.CreateTrafficPolicyInstanceOutput) {
	m.addCall("CreateTrafficPolicyInstanceRequest")
	m.verifyInput("CreateTrafficPolicyInstanceRequest", param0)
	return m.CreateTrafficPolicyInstanceRequestFunc(param0)
}

func (m *route53Mock) CreateTrafficPolicyInstanceWithContext(param0 aws.Context, param1 *route53.CreateTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.CreateTrafficPolicyInstanceOutput, error) {
	m.addCall("CreateTrafficPolicyInstanceWithContext")
	m.verifyInput("CreateTrafficPolicyInstanceWithContext", param0)
	return m.CreateTrafficPolicyInstanceWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateTrafficPolicyRequest(param0 *route53.CreateTrafficPolicyInput) (*request.Request, *route53.CreateTrafficPolicyOutput) {
	m.addCall("CreateTrafficPolicyRequest")
	m.verifyInput("CreateTrafficPolicyRequest", param0)
	return m.CreateTrafficPolicyRequestFunc(param0)
}

func (m *route53Mock) CreateTrafficPolicyVersion(param0 *route53.CreateTrafficPolicyVersionInput) (*route53.CreateTrafficPolicyVersionOutput, error) {
	m.addCall("CreateTrafficPolicyVersion")
	m.verifyInput("CreateTrafficPolicyVersion", param0)
	return m.CreateTrafficPolicyVersionFunc(param0)
}

func (m *route53Mock) CreateTrafficPolicyVersionRequest(param0 *route53.CreateTrafficPolicyVersionInput) (*request.Request, *route53.CreateTrafficPolicyVersionOutput) {
	m.addCall("CreateTrafficPolicyVersionRequest")
	m.verifyInput("CreateTrafficPolicyVersionRequest", param0)
	return m.CreateTrafficPolicyVersionRequestFunc(param0)
}

func (m *route53Mock) CreateTrafficPolicyVersionWithContext(param0 aws.Context, param1 *route53.CreateTrafficPolicyVersionInput, param2 ...request.Option) (*route53.CreateTrafficPolicyVersionOutput, error) {
	m.addCall("CreateTrafficPolicyVersionWithContext")
	m.verifyInput("CreateTrafficPolicyVersionWithContext", param0)
	return m.CreateTrafficPolicyVersionWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateTrafficPolicyWithContext(param0 aws.Context, param1 *route53.CreateTrafficPolicyInput, param2 ...request.Option) (*route53.CreateTrafficPolicyOutput, error) {
	m.addCall("CreateTrafficPolicyWithContext")
	m.verifyInput("CreateTrafficPolicyWithContext", param0)
	return m.CreateTrafficPolicyWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) CreateVPCAssociationAuthorization(param0 *route53.CreateVPCAssociationAuthorizationInput) (*route53.CreateVPCAssociationAuthorizationOutput, error) {
	m.addCall("CreateVPCAssociationAuthorization")
	m.verifyInput("CreateVPCAssociationAuthorization", param0)
	return m.CreateVPCAssociationAuthorizationFunc(param0)
}

func (m *route53Mock) CreateVPCAssociationAuthorizationRequest(param0 *route53.CreateVPCAssociationAuthorizationInput) (*request.Request, *route53.CreateVPCAssociationAuthorizationOutput) {
	m.addCall("CreateVPCAssociationAuthorizationRequest")
	m.verifyInput("CreateVPCAssociationAuthorizationRequest", param0)
	return m.CreateVPCAssociationAuthorizationRequestFunc(param0)
}

func (m *route53Mock) CreateVPCAssociationAuthorizationWithContext(param0 aws.Context, param1 *route53.CreateVPCAssociationAuthorizationInput, param2 ...request.Option) (*route53.CreateVPCAssociationAuthorizationOutput, error) {
	m.addCall("CreateVPCAssociationAuthorizationWithContext")
	m.verifyInput("CreateVPCAssociationAuthorizationWithContext", param0)
	return m.CreateVPCAssociationAuthorizationWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteHealthCheck(param0 *route53.DeleteHealthCheckInput) (*route53.DeleteHealthCheckOutput, error) {
	m.addCall("DeleteHealthCheck")
	m.verifyInput("DeleteHealthCheck", param0)
	return m.DeleteHealthCheckFunc(param0)
}

func (m *route53Mock) DeleteHealthCheckRequest(param0 *route53.DeleteHealthCheckInput) (*request.Request, *route53.DeleteHealthCheckOutput) {
	m.addCall("DeleteHealthCheckRequest")
	m.verifyInput("DeleteHealthCheckRequest", param0)
	return m.DeleteHealthCheckRequestFunc(param0)
}

func (m *route53Mock) DeleteHealthCheckWithContext(param0 aws.Context, param1 *route53.DeleteHealthCheckInput, param2 ...request.Option) (*route53.DeleteHealthCheckOutput, error) {
	m.addCall("DeleteHealthCheckWithContext")
	m.verifyInput("DeleteHealthCheckWithContext", param0)
	return m.DeleteHealthCheckWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteHostedZone(param0 *route53.DeleteHostedZoneInput) (*route53.DeleteHostedZoneOutput, error) {
	m.addCall("DeleteHostedZone")
	m.verifyInput("DeleteHostedZone", param0)
	return m.DeleteHostedZoneFunc(param0)
}

func (m *route53Mock) DeleteHostedZoneRequest(param0 *route53.DeleteHostedZoneInput) (*request.Request, *route53.DeleteHostedZoneOutput) {
	m.addCall("DeleteHostedZoneRequest")
	m.verifyInput("DeleteHostedZoneRequest", param0)
	return m.DeleteHostedZoneRequestFunc(param0)
}

func (m *route53Mock) DeleteHostedZoneWithContext(param0 aws.Context, param1 *route53.DeleteHostedZoneInput, param2 ...request.Option) (*route53.DeleteHostedZoneOutput, error) {
	m.addCall("DeleteHostedZoneWithContext")
	m.verifyInput("DeleteHostedZoneWithContext", param0)
	return m.DeleteHostedZoneWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteQueryLoggingConfig(param0 *route53.DeleteQueryLoggingConfigInput) (*route53.DeleteQueryLoggingConfigOutput, error) {
	m.addCall("DeleteQueryLoggingConfig")
	m.verifyInput("DeleteQueryLoggingConfig", param0)
	return m.DeleteQueryLoggingConfigFunc(param0)
}

func (m *route53Mock) DeleteQueryLoggingConfigRequest(param0 *route53.DeleteQueryLoggingConfigInput) (*request.Request, *route53.DeleteQueryLoggingConfigOutput) {
	m.addCall("DeleteQueryLoggingConfigRequest")
	m.verifyInput("DeleteQueryLoggingConfigRequest", param0)
	return m.DeleteQueryLoggingConfigRequestFunc(param0)
}

func (m *route53Mock) DeleteQueryLoggingConfigWithContext(param0 aws.Context, param1 *route53.DeleteQueryLoggingConfigInput, param2 ...request.Option) (*route53.DeleteQueryLoggingConfigOutput, error) {
	m.addCall("DeleteQueryLoggingConfigWithContext")
	m.verifyInput("DeleteQueryLoggingConfigWithContext", param0)
	return m.DeleteQueryLoggingConfigWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteReusableDelegationSet(param0 *route53.DeleteReusableDelegationSetInput) (*route53.DeleteReusableDelegationSetOutput, error) {
	m.addCall("DeleteReusableDelegationSet")
	m.verifyInput("DeleteReusableDelegationSet", param0)
	return m.DeleteReusableDelegationSetFunc(param0)
}

func (m *route53Mock) DeleteReusableDelegationSetRequest(param0 *route53.DeleteReusableDelegationSetInput) (*request.Request, *route53.DeleteReusableDelegationSetOutput) {
	m.addCall("DeleteReusableDelegationSetRequest")
	m.verifyInput("DeleteReusableDelegationSetRequest", param0)
	return m.DeleteReusableDelegationSetRequestFunc(param0)
}

func (m *route53Mock) DeleteReusableDelegationSetWithContext(param0 aws.Context, param1 *route53.DeleteReusableDelegationSetInput, param2 ...request.Option) (*route53.DeleteReusableDelegationSetOutput, error) {
	m.addCall("DeleteReusableDelegationSetWithContext")
	m.verifyInput("DeleteReusableDelegationSetWithContext", param0)
	return m.DeleteReusableDelegationSetWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteTrafficPolicy(param0 *route53.DeleteTrafficPolicyInput) (*route53.DeleteTrafficPolicyOutput, error) {
	m.addCall("DeleteTrafficPolicy")
	m.verifyInput("DeleteTrafficPolicy", param0)
	return m.DeleteTrafficPolicyFunc(param0)
}

func (m *route53Mock) DeleteTrafficPolicyInstance(param0 *route53.DeleteTrafficPolicyInstanceInput) (*route53.DeleteTrafficPolicyInstanceOutput, error) {
	m.addCall("DeleteTrafficPolicyInstance")
	m.verifyInput("DeleteTrafficPolicyInstance", param0)
	return m.DeleteTrafficPolicyInstanceFunc(param0)
}

func (m *route53Mock) DeleteTrafficPolicyInstanceRequest(param0 *route53.DeleteTrafficPolicyInstanceInput) (*request.Request, *route53.DeleteTrafficPolicyInstanceOutput) {
	m.addCall("DeleteTrafficPolicyInstanceRequest")
	m.verifyInput("DeleteTrafficPolicyInstanceRequest", param0)
	return m.DeleteTrafficPolicyInstanceRequestFunc(param0)
}

func (m *route53Mock) DeleteTrafficPolicyInstanceWithContext(param0 aws.Context, param1 *route53.DeleteTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.DeleteTrafficPolicyInstanceOutput, error) {
	m.addCall("DeleteTrafficPolicyInstanceWithContext")
	m.verifyInput("DeleteTrafficPolicyInstanceWithContext", param0)
	return m.DeleteTrafficPolicyInstanceWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteTrafficPolicyRequest(param0 *route53.DeleteTrafficPolicyInput) (*request.Request, *route53.DeleteTrafficPolicyOutput) {
	m.addCall("DeleteTrafficPolicyRequest")
	m.verifyInput("DeleteTrafficPolicyRequest", param0)
	return m.DeleteTrafficPolicyRequestFunc(param0)
}

func (m *route53Mock) DeleteTrafficPolicyWithContext(param0 aws.Context, param1 *route53.DeleteTrafficPolicyInput, param2 ...request.Option) (*route53.DeleteTrafficPolicyOutput, error) {
	m.addCall("DeleteTrafficPolicyWithContext")
	m.verifyInput("DeleteTrafficPolicyWithContext", param0)
	return m.DeleteTrafficPolicyWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DeleteVPCAssociationAuthorization(param0 *route53.DeleteVPCAssociationAuthorizationInput) (*route53.DeleteVPCAssociationAuthorizationOutput, error) {
	m.addCall("DeleteVPCAssociationAuthorization")
	m.verifyInput("DeleteVPCAssociationAuthorization", param0)
	return m.DeleteVPCAssociationAuthorizationFunc(param0)
}

func (m *route53Mock) DeleteVPCAssociationAuthorizationRequest(param0 *route53.DeleteVPCAssociationAuthorizationInput) (*request.Request, *route53.DeleteVPCAssociationAuthorizationOutput) {
	m.addCall("DeleteVPCAssociationAuthorizationRequest")
	m.verifyInput("DeleteVPCAssociationAuthorizationRequest", param0)
	return m.DeleteVPCAssociationAuthorizationRequestFunc(param0)
}

func (m *route53Mock) DeleteVPCAssociationAuthorizationWithContext(param0 aws.Context, param1 *route53.DeleteVPCAssociationAuthorizationInput, param2 ...request.Option) (*route53.DeleteVPCAssociationAuthorizationOutput, error) {
	m.addCall("DeleteVPCAssociationAuthorizationWithContext")
	m.verifyInput("DeleteVPCAssociationAuthorizationWithContext", param0)
	return m.DeleteVPCAssociationAuthorizationWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) DisassociateVPCFromHostedZone(param0 *route53.DisassociateVPCFromHostedZoneInput) (*route53.DisassociateVPCFromHostedZoneOutput, error) {
	m.addCall("DisassociateVPCFromHostedZone")
	m.verifyInput("DisassociateVPCFromHostedZone", param0)
	return m.DisassociateVPCFromHostedZoneFunc(param0)
}

func (m *route53Mock) DisassociateVPCFromHostedZoneRequest(param0 *route53.DisassociateVPCFromHostedZoneInput) (*request.Request, *route53.DisassociateVPCFromHostedZoneOutput) {
	m.addCall("DisassociateVPCFromHostedZoneRequest")
	m.verifyInput("DisassociateVPCFromHostedZoneRequest", param0)
	return m.DisassociateVPCFromHostedZoneRequestFunc(param0)
}

func (m *route53Mock) DisassociateVPCFromHostedZoneWithContext(param0 aws.Context, param1 *route53.DisassociateVPCFromHostedZoneInput, param2 ...request.Option) (*route53.DisassociateVPCFromHostedZoneOutput, error) {
	m.addCall("DisassociateVPCFromHostedZoneWithContext")
	m.verifyInput("DisassociateVPCFromHostedZoneWithContext", param0)
	return m.DisassociateVPCFromHostedZoneWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetChange(param0 *route53.GetChangeInput) (*route53.GetChangeOutput, error) {
	m.addCall("GetChange")
	m.verifyInput("GetChange", param0)
	return m.GetChangeFunc(param0)
}

func (m *route53Mock) GetChangeRequest(param0 *route53.GetChangeInput) (*request.Request, *route53.GetChangeOutput) {
	m.addCall("GetChangeRequest")
	m.verifyInput("GetChangeRequest", param0)
	return m.GetChangeRequestFunc(param0)
}

func (m *route53Mock) GetChangeWithContext(param0 aws.Context, param1 *route53.GetChangeInput, param2 ...request.Option) (*route53.GetChangeOutput, error) {
	m.addCall("GetChangeWithContext")
	m.verifyInput("GetChangeWithContext", param0)
	return m.GetChangeWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetCheckerIpRanges(param0 *route53.GetCheckerIpRangesInput) (*route53.GetCheckerIpRangesOutput, error) {
	m.addCall("GetCheckerIpRanges")
	m.verifyInput("GetCheckerIpRanges", param0)
	return m.GetCheckerIpRangesFunc(param0)
}

func (m *route53Mock) GetCheckerIpRangesRequest(param0 *route53.GetCheckerIpRangesInput) (*request.Request, *route53.GetCheckerIpRangesOutput) {
	m.addCall("GetCheckerIpRangesRequest")
	m.verifyInput("GetCheckerIpRangesRequest", param0)
	return m.GetCheckerIpRangesRequestFunc(param0)
}

func (m *route53Mock) GetCheckerIpRangesWithContext(param0 aws.Context, param1 *route53.GetCheckerIpRangesInput, param2 ...request.Option) (*route53.GetCheckerIpRangesOutput, error) {
	m.addCall("GetCheckerIpRangesWithContext")
	m.verifyInput("GetCheckerIpRangesWithContext", param0)
	return m.GetCheckerIpRangesWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetGeoLocation(param0 *route53.GetGeoLocationInput) (*route53.GetGeoLocationOutput, error) {
	m.addCall("GetGeoLocation")
	m.verifyInput("GetGeoLocation", param0)
	return m.GetGeoLocationFunc(param0)
}

func (m *route53Mock) GetGeoLocationRequest(param0 *route53.GetGeoLocationInput) (*request.Request, *route53.GetGeoLocationOutput) {
	m.addCall("GetGeoLocationRequest")
	m.verifyInput("GetGeoLocationRequest", param0)
	return m.GetGeoLocationRequestFunc(param0)
}

func (m *route53Mock) GetGeoLocationWithContext(param0 aws.Context, param1 *route53.GetGeoLocationInput, param2 ...request.Option) (*route53.GetGeoLocationOutput, error) {
	m.addCall("GetGeoLocationWithContext")
	m.verifyInput("GetGeoLocationWithContext", param0)
	return m.GetGeoLocationWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetHealthCheck(param0 *route53.GetHealthCheckInput) (*route53.GetHealthCheckOutput, error) {
	m.addCall("GetHealthCheck")
	m.verifyInput("GetHealthCheck", param0)
	return m.GetHealthCheckFunc(param0)
}

func (m *route53Mock) GetHealthCheckCount(param0 *route53.GetHealthCheckCountInput) (*route53.GetHealthCheckCountOutput, error) {
	m.addCall("GetHealthCheckCount")
	m.verifyInput("GetHealthCheckCount", param0)
	return m.GetHealthCheckCountFunc(param0)
}

func (m *route53Mock) GetHealthCheckCountRequest(param0 *route53.GetHealthCheckCountInput) (*request.Request, *route53.GetHealthCheckCountOutput) {
	m.addCall("GetHealthCheckCountRequest")
	m.verifyInput("GetHealthCheckCountRequest", param0)
	return m.GetHealthCheckCountRequestFunc(param0)
}

func (m *route53Mock) GetHealthCheckCountWithContext(param0 aws.Context, param1 *route53.GetHealthCheckCountInput, param2 ...request.Option) (*route53.GetHealthCheckCountOutput, error) {
	m.addCall("GetHealthCheckCountWithContext")
	m.verifyInput("GetHealthCheckCountWithContext", param0)
	return m.GetHealthCheckCountWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetHealthCheckLastFailureReason(param0 *route53.GetHealthCheckLastFailureReasonInput) (*route53.GetHealthCheckLastFailureReasonOutput, error) {
	m.addCall("GetHealthCheckLastFailureReason")
	m.verifyInput("GetHealthCheckLastFailureReason", param0)
	return m.GetHealthCheckLastFailureReasonFunc(param0)
}

func (m *route53Mock) GetHealthCheckLastFailureReasonRequest(param0 *route53.GetHealthCheckLastFailureReasonInput) (*request.Request, *route53.GetHealthCheckLastFailureReasonOutput) {
	m.addCall("GetHealthCheckLastFailureReasonRequest")
	m.verifyInput("GetHealthCheckLastFailureReasonRequest", param0)
	return m.GetHealthCheckLastFailureReasonRequestFunc(param0)
}

func (m *route53Mock) GetHealthCheckLastFailureReasonWithContext(param0 aws.Context, param1 *route53.GetHealthCheckLastFailureReasonInput, param2 ...request.Option) (*route53.GetHealthCheckLastFailureReasonOutput, error) {
	m.addCall("GetHealthCheckLastFailureReasonWithContext")
	m.verifyInput("GetHealthCheckLastFailureReasonWithContext", param0)
	return m.GetHealthCheckLastFailureReasonWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetHealthCheckRequest(param0 *route53.GetHealthCheckInput) (*request.Request, *route53.GetHealthCheckOutput) {
	m.addCall("GetHealthCheckRequest")
	m.verifyInput("GetHealthCheckRequest", param0)
	return m.GetHealthCheckRequestFunc(param0)
}

func (m *route53Mock) GetHealthCheckStatus(param0 *route53.GetHealthCheckStatusInput) (*route53.GetHealthCheckStatusOutput, error) {
	m.addCall("GetHealthCheckStatus")
	m.verifyInput("GetHealthCheckStatus", param0)
	return m.GetHealthCheckStatusFunc(param0)
}

func (m *route53Mock) GetHealthCheckStatusRequest(param0 *route53.GetHealthCheckStatusInput) (*request.Request, *route53.GetHealthCheckStatusOutput) {
	m.addCall("GetHealthCheckStatusRequest")
	m.verifyInput("GetHealthCheckStatusRequest", param0)
	return m.GetHealthCheckStatusRequestFunc(param0)
}

func (m *route53Mock) GetHealthCheckStatusWithContext(param0 aws.Context, param1 *route53.GetHealthCheckStatusInput, param2 ...request.Option) (*route53.GetHealthCheckStatusOutput, error) {
	m.addCall("GetHealthCheckStatusWithContext")
	m.verifyInput("GetHealthCheckStatusWithContext", param0)
	return m.GetHealthCheckStatusWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetHealthCheckWithContext(param0 aws.Context, param1 *route53.GetHealthCheckInput, param2 ...request.Option) (*route53.GetHealthCheckOutput, error) {
	m.addCall("GetHealthCheckWithContext")
	m.verifyInput("GetHealthCheckWithContext", param0)
	return m.GetHealthCheckWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetHostedZone(param0 *route53.GetHostedZoneInput) (*route53.GetHostedZoneOutput, error) {
	m.addCall("GetHostedZone")
	m.verifyInput("GetHostedZone", param0)
	return m.GetHostedZoneFunc(param0)
}

func (m *route53Mock) GetHostedZoneCount(param0 *route53.GetHostedZoneCountInput) (*route53.GetHostedZoneCountOutput, error) {
	m.addCall("GetHostedZoneCount")
	m.verifyInput("GetHostedZoneCount", param0)
	return m.GetHostedZoneCountFunc(param0)
}

func (m *route53Mock) GetHostedZoneCountRequest(param0 *route53.GetHostedZoneCountInput) (*request.Request, *route53.GetHostedZoneCountOutput) {
	m.addCall("GetHostedZoneCountRequest")
	m.verifyInput("GetHostedZoneCountRequest", param0)
	return m.GetHostedZoneCountRequestFunc(param0)
}

func (m *route53Mock) GetHostedZoneCountWithContext(param0 aws.Context, param1 *route53.GetHostedZoneCountInput, param2 ...request.Option) (*route53.GetHostedZoneCountOutput, error) {
	m.addCall("GetHostedZoneCountWithContext")
	m.verifyInput("GetHostedZoneCountWithContext", param0)
	return m.GetHostedZoneCountWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetHostedZoneRequest(param0 *route53.GetHostedZoneInput) (*request.Request, *route53.GetHostedZoneOutput) {
	m.addCall("GetHostedZoneRequest")
	m.verifyInput("GetHostedZoneRequest", param0)
	return m.GetHostedZoneRequestFunc(param0)
}

func (m *route53Mock) GetHostedZoneWithContext(param0 aws.Context, param1 *route53.GetHostedZoneInput, param2 ...request.Option) (*route53.GetHostedZoneOutput, error) {
	m.addCall("GetHostedZoneWithContext")
	m.verifyInput("GetHostedZoneWithContext", param0)
	return m.GetHostedZoneWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetQueryLoggingConfig(param0 *route53.GetQueryLoggingConfigInput) (*route53.GetQueryLoggingConfigOutput, error) {
	m.addCall("GetQueryLoggingConfig")
	m.verifyInput("GetQueryLoggingConfig", param0)
	return m.GetQueryLoggingConfigFunc(param0)
}

func (m *route53Mock) GetQueryLoggingConfigRequest(param0 *route53.GetQueryLoggingConfigInput) (*request.Request, *route53.GetQueryLoggingConfigOutput) {
	m.addCall("GetQueryLoggingConfigRequest")
	m.verifyInput("GetQueryLoggingConfigRequest", param0)
	return m.GetQueryLoggingConfigRequestFunc(param0)
}

func (m *route53Mock) GetQueryLoggingConfigWithContext(param0 aws.Context, param1 *route53.GetQueryLoggingConfigInput, param2 ...request.Option) (*route53.GetQueryLoggingConfigOutput, error) {
	m.addCall("GetQueryLoggingConfigWithContext")
	m.verifyInput("GetQueryLoggingConfigWithContext", param0)
	return m.GetQueryLoggingConfigWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetReusableDelegationSet(param0 *route53.GetReusableDelegationSetInput) (*route53.GetReusableDelegationSetOutput, error) {
	m.addCall("GetReusableDelegationSet")
	m.verifyInput("GetReusableDelegationSet", param0)
	return m.GetReusableDelegationSetFunc(param0)
}

func (m *route53Mock) GetReusableDelegationSetRequest(param0 *route53.GetReusableDelegationSetInput) (*request.Request, *route53.GetReusableDelegationSetOutput) {
	m.addCall("GetReusableDelegationSetRequest")
	m.verifyInput("GetReusableDelegationSetRequest", param0)
	return m.GetReusableDelegationSetRequestFunc(param0)
}

func (m *route53Mock) GetReusableDelegationSetWithContext(param0 aws.Context, param1 *route53.GetReusableDelegationSetInput, param2 ...request.Option) (*route53.GetReusableDelegationSetOutput, error) {
	m.addCall("GetReusableDelegationSetWithContext")
	m.verifyInput("GetReusableDelegationSetWithContext", param0)
	return m.GetReusableDelegationSetWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetTrafficPolicy(param0 *route53.GetTrafficPolicyInput) (*route53.GetTrafficPolicyOutput, error) {
	m.addCall("GetTrafficPolicy")
	m.verifyInput("GetTrafficPolicy", param0)
	return m.GetTrafficPolicyFunc(param0)
}

func (m *route53Mock) GetTrafficPolicyInstance(param0 *route53.GetTrafficPolicyInstanceInput) (*route53.GetTrafficPolicyInstanceOutput, error) {
	m.addCall("GetTrafficPolicyInstance")
	m.verifyInput("GetTrafficPolicyInstance", param0)
	return m.GetTrafficPolicyInstanceFunc(param0)
}

func (m *route53Mock) GetTrafficPolicyInstanceCount(param0 *route53.GetTrafficPolicyInstanceCountInput) (*route53.GetTrafficPolicyInstanceCountOutput, error) {
	m.addCall("GetTrafficPolicyInstanceCount")
	m.verifyInput("GetTrafficPolicyInstanceCount", param0)
	return m.GetTrafficPolicyInstanceCountFunc(param0)
}

func (m *route53Mock) GetTrafficPolicyInstanceCountRequest(param0 *route53.GetTrafficPolicyInstanceCountInput) (*request.Request, *route53.GetTrafficPolicyInstanceCountOutput) {
	m.addCall("GetTrafficPolicyInstanceCountRequest")
	m.verifyInput("GetTrafficPolicyInstanceCountRequest", param0)
	return m.GetTrafficPolicyInstanceCountRequestFunc(param0)
}

func (m *route53Mock) GetTrafficPolicyInstanceCountWithContext(param0 aws.Context, param1 *route53.GetTrafficPolicyInstanceCountInput, param2 ...request.Option) (*route53.GetTrafficPolicyInstanceCountOutput, error) {
	m.addCall("GetTrafficPolicyInstanceCountWithContext")
	m.verifyInput("GetTrafficPolicyInstanceCountWithContext", param0)
	return m.GetTrafficPolicyInstanceCountWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetTrafficPolicyInstanceRequest(param0 *route53.GetTrafficPolicyInstanceInput) (*request.Request, *route53.GetTrafficPolicyInstanceOutput) {
	m.addCall("GetTrafficPolicyInstanceRequest")
	m.verifyInput("GetTrafficPolicyInstanceRequest", param0)
	return m.GetTrafficPolicyInstanceRequestFunc(param0)
}

func (m *route53Mock) GetTrafficPolicyInstanceWithContext(param0 aws.Context, param1 *route53.GetTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.GetTrafficPolicyInstanceOutput, error) {
	m.addCall("GetTrafficPolicyInstanceWithContext")
	m.verifyInput("GetTrafficPolicyInstanceWithContext", param0)
	return m.GetTrafficPolicyInstanceWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) GetTrafficPolicyRequest(param0 *route53.GetTrafficPolicyInput) (*request.Request, *route53.GetTrafficPolicyOutput) {
	m.addCall("GetTrafficPolicyRequest")
	m.verifyInput("GetTrafficPolicyRequest", param0)
	return m.GetTrafficPolicyRequestFunc(param0)
}

func (m *route53Mock) GetTrafficPolicyWithContext(param0 aws.Context, param1 *route53.GetTrafficPolicyInput, param2 ...request.Option) (*route53.GetTrafficPolicyOutput, error) {
	m.addCall("GetTrafficPolicyWithContext")
	m.verifyInput("GetTrafficPolicyWithContext", param0)
	return m.GetTrafficPolicyWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListGeoLocations(param0 *route53.ListGeoLocationsInput) (*route53.ListGeoLocationsOutput, error) {
	m.addCall("ListGeoLocations")
	m.verifyInput("ListGeoLocations", param0)
	return m.ListGeoLocationsFunc(param0)
}

func (m *route53Mock) ListGeoLocationsRequest(param0 *route53.ListGeoLocationsInput) (*request.Request, *route53.ListGeoLocationsOutput) {
	m.addCall("ListGeoLocationsRequest")
	m.verifyInput("ListGeoLocationsRequest", param0)
	return m.ListGeoLocationsRequestFunc(param0)
}

func (m *route53Mock) ListGeoLocationsWithContext(param0 aws.Context, param1 *route53.ListGeoLocationsInput, param2 ...request.Option) (*route53.ListGeoLocationsOutput, error) {
	m.addCall("ListGeoLocationsWithContext")
	m.verifyInput("ListGeoLocationsWithContext", param0)
	return m.ListGeoLocationsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListHealthChecks(param0 *route53.ListHealthChecksInput) (*route53.ListHealthChecksOutput, error) {
	m.addCall("ListHealthChecks")
	m.verifyInput("ListHealthChecks", param0)
	return m.ListHealthChecksFunc(param0)
}

func (m *route53Mock) ListHealthChecksRequest(param0 *route53.ListHealthChecksInput) (*request.Request, *route53.ListHealthChecksOutput) {
	m.addCall("ListHealthChecksRequest")
	m.verifyInput("ListHealthChecksRequest", param0)
	return m.ListHealthChecksRequestFunc(param0)
}

func (m *route53Mock) ListHealthChecksWithContext(param0 aws.Context, param1 *route53.ListHealthChecksInput, param2 ...request.Option) (*route53.ListHealthChecksOutput, error) {
	m.addCall("ListHealthChecksWithContext")
	m.verifyInput("ListHealthChecksWithContext", param0)
	return m.ListHealthChecksWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListHostedZones(param0 *route53.ListHostedZonesInput) (*route53.ListHostedZonesOutput, error) {
	m.addCall("ListHostedZones")
	m.verifyInput("ListHostedZones", param0)
	return m.ListHostedZonesFunc(param0)
}

func (m *route53Mock) ListHostedZonesByName(param0 *route53.ListHostedZonesByNameInput) (*route53.ListHostedZonesByNameOutput, error) {
	m.addCall("ListHostedZonesByName")
	m.verifyInput("ListHostedZonesByName", param0)
	return m.ListHostedZonesByNameFunc(param0)
}

func (m *route53Mock) ListHostedZonesByNameRequest(param0 *route53.ListHostedZonesByNameInput) (*request.Request, *route53.ListHostedZonesByNameOutput) {
	m.addCall("ListHostedZonesByNameRequest")
	m.verifyInput("ListHostedZonesByNameRequest", param0)
	return m.ListHostedZonesByNameRequestFunc(param0)
}

func (m *route53Mock) ListHostedZonesByNameWithContext(param0 aws.Context, param1 *route53.ListHostedZonesByNameInput, param2 ...request.Option) (*route53.ListHostedZonesByNameOutput, error) {
	m.addCall("ListHostedZonesByNameWithContext")
	m.verifyInput("ListHostedZonesByNameWithContext", param0)
	return m.ListHostedZonesByNameWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListHostedZonesRequest(param0 *route53.ListHostedZonesInput) (*request.Request, *route53.ListHostedZonesOutput) {
	m.addCall("ListHostedZonesRequest")
	m.verifyInput("ListHostedZonesRequest", param0)
	return m.ListHostedZonesRequestFunc(param0)
}

func (m *route53Mock) ListHostedZonesWithContext(param0 aws.Context, param1 *route53.ListHostedZonesInput, param2 ...request.Option) (*route53.ListHostedZonesOutput, error) {
	m.addCall("ListHostedZonesWithContext")
	m.verifyInput("ListHostedZonesWithContext", param0)
	return m.ListHostedZonesWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListQueryLoggingConfigs(param0 *route53.ListQueryLoggingConfigsInput) (*route53.ListQueryLoggingConfigsOutput, error) {
	m.addCall("ListQueryLoggingConfigs")
	m.verifyInput("ListQueryLoggingConfigs", param0)
	return m.ListQueryLoggingConfigsFunc(param0)
}

func (m *route53Mock) ListQueryLoggingConfigsRequest(param0 *route53.ListQueryLoggingConfigsInput) (*request.Request, *route53.ListQueryLoggingConfigsOutput) {
	m.addCall("ListQueryLoggingConfigsRequest")
	m.verifyInput("ListQueryLoggingConfigsRequest", param0)
	return m.ListQueryLoggingConfigsRequestFunc(param0)
}

func (m *route53Mock) ListQueryLoggingConfigsWithContext(param0 aws.Context, param1 *route53.ListQueryLoggingConfigsInput, param2 ...request.Option) (*route53.ListQueryLoggingConfigsOutput, error) {
	m.addCall("ListQueryLoggingConfigsWithContext")
	m.verifyInput("ListQueryLoggingConfigsWithContext", param0)
	return m.ListQueryLoggingConfigsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListResourceRecordSets(param0 *route53.ListResourceRecordSetsInput) (*route53.ListResourceRecordSetsOutput, error) {
	m.addCall("ListResourceRecordSets")
	m.verifyInput("ListResourceRecordSets", param0)
	return m.ListResourceRecordSetsFunc(param0)
}

func (m *route53Mock) ListResourceRecordSetsRequest(param0 *route53.ListResourceRecordSetsInput) (*request.Request, *route53.ListResourceRecordSetsOutput) {
	m.addCall("ListResourceRecordSetsRequest")
	m.verifyInput("ListResourceRecordSetsRequest", param0)
	return m.ListResourceRecordSetsRequestFunc(param0)
}

func (m *route53Mock) ListResourceRecordSetsWithContext(param0 aws.Context, param1 *route53.ListResourceRecordSetsInput, param2 ...request.Option) (*route53.ListResourceRecordSetsOutput, error) {
	m.addCall("ListResourceRecordSetsWithContext")
	m.verifyInput("ListResourceRecordSetsWithContext", param0)
	return m.ListResourceRecordSetsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListReusableDelegationSets(param0 *route53.ListReusableDelegationSetsInput) (*route53.ListReusableDelegationSetsOutput, error) {
	m.addCall("ListReusableDelegationSets")
	m.verifyInput("ListReusableDelegationSets", param0)
	return m.ListReusableDelegationSetsFunc(param0)
}

func (m *route53Mock) ListReusableDelegationSetsRequest(param0 *route53.ListReusableDelegationSetsInput) (*request.Request, *route53.ListReusableDelegationSetsOutput) {
	m.addCall("ListReusableDelegationSetsRequest")
	m.verifyInput("ListReusableDelegationSetsRequest", param0)
	return m.ListReusableDelegationSetsRequestFunc(param0)
}

func (m *route53Mock) ListReusableDelegationSetsWithContext(param0 aws.Context, param1 *route53.ListReusableDelegationSetsInput, param2 ...request.Option) (*route53.ListReusableDelegationSetsOutput, error) {
	m.addCall("ListReusableDelegationSetsWithContext")
	m.verifyInput("ListReusableDelegationSetsWithContext", param0)
	return m.ListReusableDelegationSetsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTagsForResource(param0 *route53.ListTagsForResourceInput) (*route53.ListTagsForResourceOutput, error) {
	m.addCall("ListTagsForResource")
	m.verifyInput("ListTagsForResource", param0)
	return m.ListTagsForResourceFunc(param0)
}

func (m *route53Mock) ListTagsForResourceRequest(param0 *route53.ListTagsForResourceInput) (*request.Request, *route53.ListTagsForResourceOutput) {
	m.addCall("ListTagsForResourceRequest")
	m.verifyInput("ListTagsForResourceRequest", param0)
	return m.ListTagsForResourceRequestFunc(param0)
}

func (m *route53Mock) ListTagsForResourceWithContext(param0 aws.Context, param1 *route53.ListTagsForResourceInput, param2 ...request.Option) (*route53.ListTagsForResourceOutput, error) {
	m.addCall("ListTagsForResourceWithContext")
	m.verifyInput("ListTagsForResourceWithContext", param0)
	return m.ListTagsForResourceWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTagsForResources(param0 *route53.ListTagsForResourcesInput) (*route53.ListTagsForResourcesOutput, error) {
	m.addCall("ListTagsForResources")
	m.verifyInput("ListTagsForResources", param0)
	return m.ListTagsForResourcesFunc(param0)
}

func (m *route53Mock) ListTagsForResourcesRequest(param0 *route53.ListTagsForResourcesInput) (*request.Request, *route53.ListTagsForResourcesOutput) {
	m.addCall("ListTagsForResourcesRequest")
	m.verifyInput("ListTagsForResourcesRequest", param0)
	return m.ListTagsForResourcesRequestFunc(param0)
}

func (m *route53Mock) ListTagsForResourcesWithContext(param0 aws.Context, param1 *route53.ListTagsForResourcesInput, param2 ...request.Option) (*route53.ListTagsForResourcesOutput, error) {
	m.addCall("ListTagsForResourcesWithContext")
	m.verifyInput("ListTagsForResourcesWithContext", param0)
	return m.ListTagsForResourcesWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTrafficPolicies(param0 *route53.ListTrafficPoliciesInput) (*route53.ListTrafficPoliciesOutput, error) {
	m.addCall("ListTrafficPolicies")
	m.verifyInput("ListTrafficPolicies", param0)
	return m.ListTrafficPoliciesFunc(param0)
}

func (m *route53Mock) ListTrafficPoliciesRequest(param0 *route53.ListTrafficPoliciesInput) (*request.Request, *route53.ListTrafficPoliciesOutput) {
	m.addCall("ListTrafficPoliciesRequest")
	m.verifyInput("ListTrafficPoliciesRequest", param0)
	return m.ListTrafficPoliciesRequestFunc(param0)
}

func (m *route53Mock) ListTrafficPoliciesWithContext(param0 aws.Context, param1 *route53.ListTrafficPoliciesInput, param2 ...request.Option) (*route53.ListTrafficPoliciesOutput, error) {
	m.addCall("ListTrafficPoliciesWithContext")
	m.verifyInput("ListTrafficPoliciesWithContext", param0)
	return m.ListTrafficPoliciesWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTrafficPolicyInstances(param0 *route53.ListTrafficPolicyInstancesInput) (*route53.ListTrafficPolicyInstancesOutput, error) {
	m.addCall("ListTrafficPolicyInstances")
	m.verifyInput("ListTrafficPolicyInstances", param0)
	return m.ListTrafficPolicyInstancesFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyInstancesByHostedZone(param0 *route53.ListTrafficPolicyInstancesByHostedZoneInput) (*route53.ListTrafficPolicyInstancesByHostedZoneOutput, error) {
	m.addCall("ListTrafficPolicyInstancesByHostedZone")
	m.verifyInput("ListTrafficPolicyInstancesByHostedZone", param0)
	return m.ListTrafficPolicyInstancesByHostedZoneFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyInstancesByHostedZoneRequest(param0 *route53.ListTrafficPolicyInstancesByHostedZoneInput) (*request.Request, *route53.ListTrafficPolicyInstancesByHostedZoneOutput) {
	m.addCall("ListTrafficPolicyInstancesByHostedZoneRequest")
	m.verifyInput("ListTrafficPolicyInstancesByHostedZoneRequest", param0)
	return m.ListTrafficPolicyInstancesByHostedZoneRequestFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyInstancesByHostedZoneWithContext(param0 aws.Context, param1 *route53.ListTrafficPolicyInstancesByHostedZoneInput, param2 ...request.Option) (*route53.ListTrafficPolicyInstancesByHostedZoneOutput, error) {
	m.addCall("ListTrafficPolicyInstancesByHostedZoneWithContext")
	m.verifyInput("ListTrafficPolicyInstancesByHostedZoneWithContext", param0)
	return m.ListTrafficPolicyInstancesByHostedZoneWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTrafficPolicyInstancesByPolicy(param0 *route53.ListTrafficPolicyInstancesByPolicyInput) (*route53.ListTrafficPolicyInstancesByPolicyOutput, error) {
	m.addCall("ListTrafficPolicyInstancesByPolicy")
	m.verifyInput("ListTrafficPolicyInstancesByPolicy", param0)
	return m.ListTrafficPolicyInstancesByPolicyFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyInstancesByPolicyRequest(param0 *route53.ListTrafficPolicyInstancesByPolicyInput) (*request.Request, *route53.ListTrafficPolicyInstancesByPolicyOutput) {
	m.addCall("ListTrafficPolicyInstancesByPolicyRequest")
	m.verifyInput("ListTrafficPolicyInstancesByPolicyRequest", param0)
	return m.ListTrafficPolicyInstancesByPolicyRequestFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyInstancesByPolicyWithContext(param0 aws.Context, param1 *route53.ListTrafficPolicyInstancesByPolicyInput, param2 ...request.Option) (*route53.ListTrafficPolicyInstancesByPolicyOutput, error) {
	m.addCall("ListTrafficPolicyInstancesByPolicyWithContext")
	m.verifyInput("ListTrafficPolicyInstancesByPolicyWithContext", param0)
	return m.ListTrafficPolicyInstancesByPolicyWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTrafficPolicyInstancesRequest(param0 *route53.ListTrafficPolicyInstancesInput) (*request.Request, *route53.ListTrafficPolicyInstancesOutput) {
	m.addCall("ListTrafficPolicyInstancesRequest")
	m.verifyInput("ListTrafficPolicyInstancesRequest", param0)
	return m.ListTrafficPolicyInstancesRequestFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyInstancesWithContext(param0 aws.Context, param1 *route53.ListTrafficPolicyInstancesInput, param2 ...request.Option) (*route53.ListTrafficPolicyInstancesOutput, error) {
	m.addCall("ListTrafficPolicyInstancesWithContext")
	m.verifyInput("ListTrafficPolicyInstancesWithContext", param0)
	return m.ListTrafficPolicyInstancesWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListTrafficPolicyVersions(param0 *route53.ListTrafficPolicyVersionsInput) (*route53.ListTrafficPolicyVersionsOutput, error) {
	m.addCall("ListTrafficPolicyVersions")
	m.verifyInput("ListTrafficPolicyVersions", param0)
	return m.ListTrafficPolicyVersionsFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyVersionsRequest(param0 *route53.ListTrafficPolicyVersionsInput) (*request.Request, *route53.ListTrafficPolicyVersionsOutput) {
	m.addCall("ListTrafficPolicyVersionsRequest")
	m.verifyInput("ListTrafficPolicyVersionsRequest", param0)
	return m.ListTrafficPolicyVersionsRequestFunc(param0)
}

func (m *route53Mock) ListTrafficPolicyVersionsWithContext(param0 aws.Context, param1 *route53.ListTrafficPolicyVersionsInput, param2 ...request.Option) (*route53.ListTrafficPolicyVersionsOutput, error) {
	m.addCall("ListTrafficPolicyVersionsWithContext")
	m.verifyInput("ListTrafficPolicyVersionsWithContext", param0)
	return m.ListTrafficPolicyVersionsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) ListVPCAssociationAuthorizations(param0 *route53.ListVPCAssociationAuthorizationsInput) (*route53.ListVPCAssociationAuthorizationsOutput, error) {
	m.addCall("ListVPCAssociationAuthorizations")
	m.verifyInput("ListVPCAssociationAuthorizations", param0)
	return m.ListVPCAssociationAuthorizationsFunc(param0)
}

func (m *route53Mock) ListVPCAssociationAuthorizationsRequest(param0 *route53.ListVPCAssociationAuthorizationsInput) (*request.Request, *route53.ListVPCAssociationAuthorizationsOutput) {
	m.addCall("ListVPCAssociationAuthorizationsRequest")
	m.verifyInput("ListVPCAssociationAuthorizationsRequest", param0)
	return m.ListVPCAssociationAuthorizationsRequestFunc(param0)
}

func (m *route53Mock) ListVPCAssociationAuthorizationsWithContext(param0 aws.Context, param1 *route53.ListVPCAssociationAuthorizationsInput, param2 ...request.Option) (*route53.ListVPCAssociationAuthorizationsOutput, error) {
	m.addCall("ListVPCAssociationAuthorizationsWithContext")
	m.verifyInput("ListVPCAssociationAuthorizationsWithContext", param0)
	return m.ListVPCAssociationAuthorizationsWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) TestDNSAnswer(param0 *route53.TestDNSAnswerInput) (*route53.TestDNSAnswerOutput, error) {
	m.addCall("TestDNSAnswer")
	m.verifyInput("TestDNSAnswer", param0)
	return m.TestDNSAnswerFunc(param0)
}

func (m *route53Mock) TestDNSAnswerRequest(param0 *route53.TestDNSAnswerInput) (*request.Request, *route53.TestDNSAnswerOutput) {
	m.addCall("TestDNSAnswerRequest")
	m.verifyInput("TestDNSAnswerRequest", param0)
	return m.TestDNSAnswerRequestFunc(param0)
}

func (m *route53Mock) TestDNSAnswerWithContext(param0 aws.Context, param1 *route53.TestDNSAnswerInput, param2 ...request.Option) (*route53.TestDNSAnswerOutput, error) {
	m.addCall("TestDNSAnswerWithContext")
	m.verifyInput("TestDNSAnswerWithContext", param0)
	return m.TestDNSAnswerWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) UpdateHealthCheck(param0 *route53.UpdateHealthCheckInput) (*route53.UpdateHealthCheckOutput, error) {
	m.addCall("UpdateHealthCheck")
	m.verifyInput("UpdateHealthCheck", param0)
	return m.UpdateHealthCheckFunc(param0)
}

func (m *route53Mock) UpdateHealthCheckRequest(param0 *route53.UpdateHealthCheckInput) (*request.Request, *route53.UpdateHealthCheckOutput) {
	m.addCall("UpdateHealthCheckRequest")
	m.verifyInput("UpdateHealthCheckRequest", param0)
	return m.UpdateHealthCheckRequestFunc(param0)
}

func (m *route53Mock) UpdateHealthCheckWithContext(param0 aws.Context, param1 *route53.UpdateHealthCheckInput, param2 ...request.Option) (*route53.UpdateHealthCheckOutput, error) {
	m.addCall("UpdateHealthCheckWithContext")
	m.verifyInput("UpdateHealthCheckWithContext", param0)
	return m.UpdateHealthCheckWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) UpdateHostedZoneComment(param0 *route53.UpdateHostedZoneCommentInput) (*route53.UpdateHostedZoneCommentOutput, error) {
	m.addCall("UpdateHostedZoneComment")
	m.verifyInput("UpdateHostedZoneComment", param0)
	return m.UpdateHostedZoneCommentFunc(param0)
}

func (m *route53Mock) UpdateHostedZoneCommentRequest(param0 *route53.UpdateHostedZoneCommentInput) (*request.Request, *route53.UpdateHostedZoneCommentOutput) {
	m.addCall("UpdateHostedZoneCommentRequest")
	m.verifyInput("UpdateHostedZoneCommentRequest", param0)
	return m.UpdateHostedZoneCommentRequestFunc(param0)
}

func (m *route53Mock) UpdateHostedZoneCommentWithContext(param0 aws.Context, param1 *route53.UpdateHostedZoneCommentInput, param2 ...request.Option) (*route53.UpdateHostedZoneCommentOutput, error) {
	m.addCall("UpdateHostedZoneCommentWithContext")
	m.verifyInput("UpdateHostedZoneCommentWithContext", param0)
	return m.UpdateHostedZoneCommentWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) UpdateTrafficPolicyComment(param0 *route53.UpdateTrafficPolicyCommentInput) (*route53.UpdateTrafficPolicyCommentOutput, error) {
	m.addCall("UpdateTrafficPolicyComment")
	m.verifyInput("UpdateTrafficPolicyComment", param0)
	return m.UpdateTrafficPolicyCommentFunc(param0)
}

func (m *route53Mock) UpdateTrafficPolicyCommentRequest(param0 *route53.UpdateTrafficPolicyCommentInput) (*request.Request, *route53.UpdateTrafficPolicyCommentOutput) {
	m.addCall("UpdateTrafficPolicyCommentRequest")
	m.verifyInput("UpdateTrafficPolicyCommentRequest", param0)
	return m.UpdateTrafficPolicyCommentRequestFunc(param0)
}

func (m *route53Mock) UpdateTrafficPolicyCommentWithContext(param0 aws.Context, param1 *route53.UpdateTrafficPolicyCommentInput, param2 ...request.Option) (*route53.UpdateTrafficPolicyCommentOutput, error) {
	m.addCall("UpdateTrafficPolicyCommentWithContext")
	m.verifyInput("UpdateTrafficPolicyCommentWithContext", param0)
	return m.UpdateTrafficPolicyCommentWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) UpdateTrafficPolicyInstance(param0 *route53.UpdateTrafficPolicyInstanceInput) (*route53.UpdateTrafficPolicyInstanceOutput, error) {
	m.addCall("UpdateTrafficPolicyInstance")
	m.verifyInput("UpdateTrafficPolicyInstance", param0)
	return m.UpdateTrafficPolicyInstanceFunc(param0)
}

func (m *route53Mock) UpdateTrafficPolicyInstanceRequest(param0 *route53.UpdateTrafficPolicyInstanceInput) (*request.Request, *route53.UpdateTrafficPolicyInstanceOutput) {
	m.addCall("UpdateTrafficPolicyInstanceRequest")
	m.verifyInput("UpdateTrafficPolicyInstanceRequest", param0)
	return m.UpdateTrafficPolicyInstanceRequestFunc(param0)
}

func (m *route53Mock) UpdateTrafficPolicyInstanceWithContext(param0 aws.Context, param1 *route53.UpdateTrafficPolicyInstanceInput, param2 ...request.Option) (*route53.UpdateTrafficPolicyInstanceOutput, error) {
	m.addCall("UpdateTrafficPolicyInstanceWithContext")
	m.verifyInput("UpdateTrafficPolicyInstanceWithContext", param0)
	return m.UpdateTrafficPolicyInstanceWithContextFunc(param0, param1, param2...)
}

func (m *route53Mock) WaitUntilResourceRecordSetsChanged(param0 *route53.GetChangeInput) error {
	m.addCall("WaitUntilResourceRecordSetsChanged")
	m.verifyInput("WaitUntilResourceRecordSetsChanged", param0)
	return m.WaitUntilResourceRecordSetsChangedFunc(param0)
}

func (m *route53Mock) WaitUntilResourceRecordSetsChangedWithContext(param0 aws.Context, param1 *route53.GetChangeInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilResourceRecordSetsChangedWithContext")
	m.verifyInput("WaitUntilResourceRecordSetsChangedWithContext", param0)
	return m.WaitUntilResourceRecordSetsChangedWithContextFunc(param0, param1, param2...)
}

type s3Mock struct {
	basicMock
	s3iface.S3API
	AbortMultipartUploadFunc                          func(param0 *s3.AbortMultipartUploadInput) (*s3.AbortMultipartUploadOutput, error)
	AbortMultipartUploadRequestFunc                   func(param0 *s3.AbortMultipartUploadInput) (*request.Request, *s3.AbortMultipartUploadOutput)
	AbortMultipartUploadWithContextFunc               func(param0 aws.Context, param1 *s3.AbortMultipartUploadInput, param2 ...request.Option) (*s3.AbortMultipartUploadOutput, error)
	CompleteMultipartUploadFunc                       func(param0 *s3.CompleteMultipartUploadInput) (*s3.CompleteMultipartUploadOutput, error)
	CompleteMultipartUploadRequestFunc                func(param0 *s3.CompleteMultipartUploadInput) (*request.Request, *s3.CompleteMultipartUploadOutput)
	CompleteMultipartUploadWithContextFunc            func(param0 aws.Context, param1 *s3.CompleteMultipartUploadInput, param2 ...request.Option) (*s3.CompleteMultipartUploadOutput, error)
	CopyObjectFunc                                    func(param0 *s3.CopyObjectInput) (*s3.CopyObjectOutput, error)
	CopyObjectRequestFunc                             func(param0 *s3.CopyObjectInput) (*request.Request, *s3.CopyObjectOutput)
	CopyObjectWithContextFunc                         func(param0 aws.Context, param1 *s3.CopyObjectInput, param2 ...request.Option) (*s3.CopyObjectOutput, error)
	CreateBucketFunc                                  func(param0 *s3.CreateBucketInput) (*s3.CreateBucketOutput, error)
	CreateBucketRequestFunc                           func(param0 *s3.CreateBucketInput) (*request.Request, *s3.CreateBucketOutput)
	CreateBucketWithContextFunc                       func(param0 aws.Context, param1 *s3.CreateBucketInput, param2 ...request.Option) (*s3.CreateBucketOutput, error)
	CreateMultipartUploadFunc                         func(param0 *s3.CreateMultipartUploadInput) (*s3.CreateMultipartUploadOutput, error)
	CreateMultipartUploadRequestFunc                  func(param0 *s3.CreateMultipartUploadInput) (*request.Request, *s3.CreateMultipartUploadOutput)
	CreateMultipartUploadWithContextFunc              func(param0 aws.Context, param1 *s3.CreateMultipartUploadInput, param2 ...request.Option) (*s3.CreateMultipartUploadOutput, error)
	DeleteBucketFunc                                  func(param0 *s3.DeleteBucketInput) (*s3.DeleteBucketOutput, error)
	DeleteBucketAnalyticsConfigurationFunc            func(param0 *s3.DeleteBucketAnalyticsConfigurationInput) (*s3.DeleteBucketAnalyticsConfigurationOutput, error)
	DeleteBucketAnalyticsConfigurationRequestFunc     func(param0 *s3.DeleteBucketAnalyticsConfigurationInput) (*request.Request, *s3.DeleteBucketAnalyticsConfigurationOutput)
	DeleteBucketAnalyticsConfigurationWithContextFunc func(param0 aws.Context, param1 *s3.DeleteBucketAnalyticsConfigurationInput, param2 ...request.Option) (*s3.DeleteBucketAnalyticsConfigurationOutput, error)
	DeleteBucketCorsFunc                              func(param0 *s3.DeleteBucketCorsInput) (*s3.DeleteBucketCorsOutput, error)
	DeleteBucketCorsRequestFunc                       func(param0 *s3.DeleteBucketCorsInput) (*request.Request, *s3.DeleteBucketCorsOutput)
	DeleteBucketCorsWithContextFunc                   func(param0 aws.Context, param1 *s3.DeleteBucketCorsInput, param2 ...request.Option) (*s3.DeleteBucketCorsOutput, error)
	DeleteBucketInventoryConfigurationFunc            func(param0 *s3.DeleteBucketInventoryConfigurationInput) (*s3.DeleteBucketInventoryConfigurationOutput, error)
	DeleteBucketInventoryConfigurationRequestFunc     func(param0 *s3.DeleteBucketInventoryConfigurationInput) (*request.Request, *s3.DeleteBucketInventoryConfigurationOutput)
	DeleteBucketInventoryConfigurationWithContextFunc func(param0 aws.Context, param1 *s3.DeleteBucketInventoryConfigurationInput, param2 ...request.Option) (*s3.DeleteBucketInventoryConfigurationOutput, error)
	DeleteBucketLifecycleFunc                         func(param0 *s3.DeleteBucketLifecycleInput) (*s3.DeleteBucketLifecycleOutput, error)
	DeleteBucketLifecycleRequestFunc                  func(param0 *s3.DeleteBucketLifecycleInput) (*request.Request, *s3.DeleteBucketLifecycleOutput)
	DeleteBucketLifecycleWithContextFunc              func(param0 aws.Context, param1 *s3.DeleteBucketLifecycleInput, param2 ...request.Option) (*s3.DeleteBucketLifecycleOutput, error)
	DeleteBucketMetricsConfigurationFunc              func(param0 *s3.DeleteBucketMetricsConfigurationInput) (*s3.DeleteBucketMetricsConfigurationOutput, error)
	DeleteBucketMetricsConfigurationRequestFunc       func(param0 *s3.DeleteBucketMetricsConfigurationInput) (*request.Request, *s3.DeleteBucketMetricsConfigurationOutput)
	DeleteBucketMetricsConfigurationWithContextFunc   func(param0 aws.Context, param1 *s3.DeleteBucketMetricsConfigurationInput, param2 ...request.Option) (*s3.DeleteBucketMetricsConfigurationOutput, error)
	DeleteBucketPolicyFunc                            func(param0 *s3.DeleteBucketPolicyInput) (*s3.DeleteBucketPolicyOutput, error)
	DeleteBucketPolicyRequestFunc                     func(param0 *s3.DeleteBucketPolicyInput) (*request.Request, *s3.DeleteBucketPolicyOutput)
	DeleteBucketPolicyWithContextFunc                 func(param0 aws.Context, param1 *s3.DeleteBucketPolicyInput, param2 ...request.Option) (*s3.DeleteBucketPolicyOutput, error)
	DeleteBucketReplicationFunc                       func(param0 *s3.DeleteBucketReplicationInput) (*s3.DeleteBucketReplicationOutput, error)
	DeleteBucketReplicationRequestFunc                func(param0 *s3.DeleteBucketReplicationInput) (*request.Request, *s3.DeleteBucketReplicationOutput)
	DeleteBucketReplicationWithContextFunc            func(param0 aws.Context, param1 *s3.DeleteBucketReplicationInput, param2 ...request.Option) (*s3.DeleteBucketReplicationOutput, error)
	DeleteBucketRequestFunc                           func(param0 *s3.DeleteBucketInput) (*request.Request, *s3.DeleteBucketOutput)
	DeleteBucketTaggingFunc                           func(param0 *s3.DeleteBucketTaggingInput) (*s3.DeleteBucketTaggingOutput, error)
	DeleteBucketTaggingRequestFunc                    func(param0 *s3.DeleteBucketTaggingInput) (*request.Request, *s3.DeleteBucketTaggingOutput)
	DeleteBucketTaggingWithContextFunc                func(param0 aws.Context, param1 *s3.DeleteBucketTaggingInput, param2 ...request.Option) (*s3.DeleteBucketTaggingOutput, error)
	DeleteBucketWebsiteFunc                           func(param0 *s3.DeleteBucketWebsiteInput) (*s3.DeleteBucketWebsiteOutput, error)
	DeleteBucketWebsiteRequestFunc                    func(param0 *s3.DeleteBucketWebsiteInput) (*request.Request, *s3.DeleteBucketWebsiteOutput)
	DeleteBucketWebsiteWithContextFunc                func(param0 aws.Context, param1 *s3.DeleteBucketWebsiteInput, param2 ...request.Option) (*s3.DeleteBucketWebsiteOutput, error)
	DeleteBucketWithContextFunc                       func(param0 aws.Context, param1 *s3.DeleteBucketInput, param2 ...request.Option) (*s3.DeleteBucketOutput, error)
	DeleteObjectFunc                                  func(param0 *s3.DeleteObjectInput) (*s3.DeleteObjectOutput, error)
	DeleteObjectRequestFunc                           func(param0 *s3.DeleteObjectInput) (*request.Request, *s3.DeleteObjectOutput)
	DeleteObjectTaggingFunc                           func(param0 *s3.DeleteObjectTaggingInput) (*s3.DeleteObjectTaggingOutput, error)
	DeleteObjectTaggingRequestFunc                    func(param0 *s3.DeleteObjectTaggingInput) (*request.Request, *s3.DeleteObjectTaggingOutput)
	DeleteObjectTaggingWithContextFunc                func(param0 aws.Context, param1 *s3.DeleteObjectTaggingInput, param2 ...request.Option) (*s3.DeleteObjectTaggingOutput, error)
	DeleteObjectWithContextFunc                       func(param0 aws.Context, param1 *s3.DeleteObjectInput, param2 ...request.Option) (*s3.DeleteObjectOutput, error)
	DeleteObjectsFunc                                 func(param0 *s3.DeleteObjectsInput) (*s3.DeleteObjectsOutput, error)
	DeleteObjectsRequestFunc                          func(param0 *s3.DeleteObjectsInput) (*request.Request, *s3.DeleteObjectsOutput)
	DeleteObjectsWithContextFunc                      func(param0 aws.Context, param1 *s3.DeleteObjectsInput, param2 ...request.Option) (*s3.DeleteObjectsOutput, error)
	GetBucketAccelerateConfigurationFunc              func(param0 *s3.GetBucketAccelerateConfigurationInput) (*s3.GetBucketAccelerateConfigurationOutput, error)
	GetBucketAccelerateConfigurationRequestFunc       func(param0 *s3.GetBucketAccelerateConfigurationInput) (*request.Request, *s3.GetBucketAccelerateConfigurationOutput)
	GetBucketAccelerateConfigurationWithContextFunc   func(param0 aws.Context, param1 *s3.GetBucketAccelerateConfigurationInput, param2 ...request.Option) (*s3.GetBucketAccelerateConfigurationOutput, error)
	GetBucketAclFunc                                  func(param0 *s3.GetBucketAclInput) (*s3.GetBucketAclOutput, error)
	GetBucketAclRequestFunc                           func(param0 *s3.GetBucketAclInput) (*request.Request, *s3.GetBucketAclOutput)
	GetBucketAclWithContextFunc                       func(param0 aws.Context, param1 *s3.GetBucketAclInput, param2 ...request.Option) (*s3.GetBucketAclOutput, error)
	GetBucketAnalyticsConfigurationFunc               func(param0 *s3.GetBucketAnalyticsConfigurationInput) (*s3.GetBucketAnalyticsConfigurationOutput, error)
	GetBucketAnalyticsConfigurationRequestFunc        func(param0 *s3.GetBucketAnalyticsConfigurationInput) (*request.Request, *s3.GetBucketAnalyticsConfigurationOutput)
	GetBucketAnalyticsConfigurationWithContextFunc    func(param0 aws.Context, param1 *s3.GetBucketAnalyticsConfigurationInput, param2 ...request.Option) (*s3.GetBucketAnalyticsConfigurationOutput, error)
	GetBucketCorsFunc                                 func(param0 *s3.GetBucketCorsInput) (*s3.GetBucketCorsOutput, error)
	GetBucketCorsRequestFunc                          func(param0 *s3.GetBucketCorsInput) (*request.Request, *s3.GetBucketCorsOutput)
	GetBucketCorsWithContextFunc                      func(param0 aws.Context, param1 *s3.GetBucketCorsInput, param2 ...request.Option) (*s3.GetBucketCorsOutput, error)
	GetBucketInventoryConfigurationFunc               func(param0 *s3.GetBucketInventoryConfigurationInput) (*s3.GetBucketInventoryConfigurationOutput, error)
	GetBucketInventoryConfigurationRequestFunc        func(param0 *s3.GetBucketInventoryConfigurationInput) (*request.Request, *s3.GetBucketInventoryConfigurationOutput)
	GetBucketInventoryConfigurationWithContextFunc    func(param0 aws.Context, param1 *s3.GetBucketInventoryConfigurationInput, param2 ...request.Option) (*s3.GetBucketInventoryConfigurationOutput, error)
	GetBucketLifecycleFunc                            func(param0 *s3.GetBucketLifecycleInput) (*s3.GetBucketLifecycleOutput, error)
	GetBucketLifecycleConfigurationFunc               func(param0 *s3.GetBucketLifecycleConfigurationInput) (*s3.GetBucketLifecycleConfigurationOutput, error)
	GetBucketLifecycleConfigurationRequestFunc        func(param0 *s3.GetBucketLifecycleConfigurationInput) (*request.Request, *s3.GetBucketLifecycleConfigurationOutput)
	GetBucketLifecycleConfigurationWithContextFunc    func(param0 aws.Context, param1 *s3.GetBucketLifecycleConfigurationInput, param2 ...request.Option) (*s3.GetBucketLifecycleConfigurationOutput, error)
	GetBucketLifecycleRequestFunc                     func(param0 *s3.GetBucketLifecycleInput) (*request.Request, *s3.GetBucketLifecycleOutput)
	GetBucketLifecycleWithContextFunc                 func(param0 aws.Context, param1 *s3.GetBucketLifecycleInput, param2 ...request.Option) (*s3.GetBucketLifecycleOutput, error)
	GetBucketLocationFunc                             func(param0 *s3.GetBucketLocationInput) (*s3.GetBucketLocationOutput, error)
	GetBucketLocationRequestFunc                      func(param0 *s3.GetBucketLocationInput) (*request.Request, *s3.GetBucketLocationOutput)
	GetBucketLocationWithContextFunc                  func(param0 aws.Context, param1 *s3.GetBucketLocationInput, param2 ...request.Option) (*s3.GetBucketLocationOutput, error)
	GetBucketLoggingFunc                              func(param0 *s3.GetBucketLoggingInput) (*s3.GetBucketLoggingOutput, error)
	GetBucketLoggingRequestFunc                       func(param0 *s3.GetBucketLoggingInput) (*request.Request, *s3.GetBucketLoggingOutput)
	GetBucketLoggingWithContextFunc                   func(param0 aws.Context, param1 *s3.GetBucketLoggingInput, param2 ...request.Option) (*s3.GetBucketLoggingOutput, error)
	GetBucketMetricsConfigurationFunc                 func(param0 *s3.GetBucketMetricsConfigurationInput) (*s3.GetBucketMetricsConfigurationOutput, error)
	GetBucketMetricsConfigurationRequestFunc          func(param0 *s3.GetBucketMetricsConfigurationInput) (*request.Request, *s3.GetBucketMetricsConfigurationOutput)
	GetBucketMetricsConfigurationWithContextFunc      func(param0 aws.Context, param1 *s3.GetBucketMetricsConfigurationInput, param2 ...request.Option) (*s3.GetBucketMetricsConfigurationOutput, error)
	GetBucketNotificationFunc                         func(param0 *s3.GetBucketNotificationConfigurationRequest) (*s3.NotificationConfigurationDeprecated, error)
	GetBucketNotificationConfigurationFunc            func(param0 *s3.GetBucketNotificationConfigurationRequest) (*s3.NotificationConfiguration, error)
	GetBucketNotificationConfigurationRequestFunc     func(param0 *s3.GetBucketNotificationConfigurationRequest) (*request.Request, *s3.NotificationConfiguration)
	GetBucketNotificationConfigurationWithContextFunc func(param0 aws.Context, param1 *s3.GetBucketNotificationConfigurationRequest, param2 ...request.Option) (*s3.NotificationConfiguration, error)
	GetBucketNotificationRequestFunc                  func(param0 *s3.GetBucketNotificationConfigurationRequest) (*request.Request, *s3.NotificationConfigurationDeprecated)
	GetBucketNotificationWithContextFunc              func(param0 aws.Context, param1 *s3.GetBucketNotificationConfigurationRequest, param2 ...request.Option) (*s3.NotificationConfigurationDeprecated, error)
	GetBucketPolicyFunc                               func(param0 *s3.GetBucketPolicyInput) (*s3.GetBucketPolicyOutput, error)
	GetBucketPolicyRequestFunc                        func(param0 *s3.GetBucketPolicyInput) (*request.Request, *s3.GetBucketPolicyOutput)
	GetBucketPolicyWithContextFunc                    func(param0 aws.Context, param1 *s3.GetBucketPolicyInput, param2 ...request.Option) (*s3.GetBucketPolicyOutput, error)
	GetBucketReplicationFunc                          func(param0 *s3.GetBucketReplicationInput) (*s3.GetBucketReplicationOutput, error)
	GetBucketReplicationRequestFunc                   func(param0 *s3.GetBucketReplicationInput) (*request.Request, *s3.GetBucketReplicationOutput)
	GetBucketReplicationWithContextFunc               func(param0 aws.Context, param1 *s3.GetBucketReplicationInput, param2 ...request.Option) (*s3.GetBucketReplicationOutput, error)
	GetBucketRequestPaymentFunc                       func(param0 *s3.GetBucketRequestPaymentInput) (*s3.GetBucketRequestPaymentOutput, error)
	GetBucketRequestPaymentRequestFunc                func(param0 *s3.GetBucketRequestPaymentInput) (*request.Request, *s3.GetBucketRequestPaymentOutput)
	GetBucketRequestPaymentWithContextFunc            func(param0 aws.Context, param1 *s3.GetBucketRequestPaymentInput, param2 ...request.Option) (*s3.GetBucketRequestPaymentOutput, error)
	GetBucketTaggingFunc                              func(param0 *s3.GetBucketTaggingInput) (*s3.GetBucketTaggingOutput, error)
	GetBucketTaggingRequestFunc                       func(param0 *s3.GetBucketTaggingInput) (*request.Request, *s3.GetBucketTaggingOutput)
	GetBucketTaggingWithContextFunc                   func(param0 aws.Context, param1 *s3.GetBucketTaggingInput, param2 ...request.Option) (*s3.GetBucketTaggingOutput, error)
	GetBucketVersioningFunc                           func(param0 *s3.GetBucketVersioningInput) (*s3.GetBucketVersioningOutput, error)
	GetBucketVersioningRequestFunc                    func(param0 *s3.GetBucketVersioningInput) (*request.Request, *s3.GetBucketVersioningOutput)
	GetBucketVersioningWithContextFunc                func(param0 aws.Context, param1 *s3.GetBucketVersioningInput, param2 ...request.Option) (*s3.GetBucketVersioningOutput, error)
	GetBucketWebsiteFunc                              func(param0 *s3.GetBucketWebsiteInput) (*s3.GetBucketWebsiteOutput, error)
	GetBucketWebsiteRequestFunc                       func(param0 *s3.GetBucketWebsiteInput) (*request.Request, *s3.GetBucketWebsiteOutput)
	GetBucketWebsiteWithContextFunc                   func(param0 aws.Context, param1 *s3.GetBucketWebsiteInput, param2 ...request.Option) (*s3.GetBucketWebsiteOutput, error)
	GetObjectFunc                                     func(param0 *s3.GetObjectInput) (*s3.GetObjectOutput, error)
	GetObjectAclFunc                                  func(param0 *s3.GetObjectAclInput) (*s3.GetObjectAclOutput, error)
	GetObjectAclRequestFunc                           func(param0 *s3.GetObjectAclInput) (*request.Request, *s3.GetObjectAclOutput)
	GetObjectAclWithContextFunc                       func(param0 aws.Context, param1 *s3.GetObjectAclInput, param2 ...request.Option) (*s3.GetObjectAclOutput, error)
	GetObjectRequestFunc                              func(param0 *s3.GetObjectInput) (*request.Request, *s3.GetObjectOutput)
	GetObjectTaggingFunc                              func(param0 *s3.GetObjectTaggingInput) (*s3.GetObjectTaggingOutput, error)
	GetObjectTaggingRequestFunc                       func(param0 *s3.GetObjectTaggingInput) (*request.Request, *s3.GetObjectTaggingOutput)
	GetObjectTaggingWithContextFunc                   func(param0 aws.Context, param1 *s3.GetObjectTaggingInput, param2 ...request.Option) (*s3.GetObjectTaggingOutput, error)
	GetObjectTorrentFunc                              func(param0 *s3.GetObjectTorrentInput) (*s3.GetObjectTorrentOutput, error)
	GetObjectTorrentRequestFunc                       func(param0 *s3.GetObjectTorrentInput) (*request.Request, *s3.GetObjectTorrentOutput)
	GetObjectTorrentWithContextFunc                   func(param0 aws.Context, param1 *s3.GetObjectTorrentInput, param2 ...request.Option) (*s3.GetObjectTorrentOutput, error)
	GetObjectWithContextFunc                          func(param0 aws.Context, param1 *s3.GetObjectInput, param2 ...request.Option) (*s3.GetObjectOutput, error)
	HeadBucketFunc                                    func(param0 *s3.HeadBucketInput) (*s3.HeadBucketOutput, error)
	HeadBucketRequestFunc                             func(param0 *s3.HeadBucketInput) (*request.Request, *s3.HeadBucketOutput)
	HeadBucketWithContextFunc                         func(param0 aws.Context, param1 *s3.HeadBucketInput, param2 ...request.Option) (*s3.HeadBucketOutput, error)
	HeadObjectFunc                                    func(param0 *s3.HeadObjectInput) (*s3.HeadObjectOutput, error)
	HeadObjectRequestFunc                             func(param0 *s3.HeadObjectInput) (*request.Request, *s3.HeadObjectOutput)
	HeadObjectWithContextFunc                         func(param0 aws.Context, param1 *s3.HeadObjectInput, param2 ...request.Option) (*s3.HeadObjectOutput, error)
	ListBucketAnalyticsConfigurationsFunc             func(param0 *s3.ListBucketAnalyticsConfigurationsInput) (*s3.ListBucketAnalyticsConfigurationsOutput, error)
	ListBucketAnalyticsConfigurationsRequestFunc      func(param0 *s3.ListBucketAnalyticsConfigurationsInput) (*request.Request, *s3.ListBucketAnalyticsConfigurationsOutput)
	ListBucketAnalyticsConfigurationsWithContextFunc  func(param0 aws.Context, param1 *s3.ListBucketAnalyticsConfigurationsInput, param2 ...request.Option) (*s3.ListBucketAnalyticsConfigurationsOutput, error)
	ListBucketInventoryConfigurationsFunc             func(param0 *s3.ListBucketInventoryConfigurationsInput) (*s3.ListBucketInventoryConfigurationsOutput, error)
	ListBucketInventoryConfigurationsRequestFunc      func(param0 *s3.ListBucketInventoryConfigurationsInput) (*request.Request, *s3.ListBucketInventoryConfigurationsOutput)
	ListBucketInventoryConfigurationsWithContextFunc  func(param0 aws.Context, param1 *s3.ListBucketInventoryConfigurationsInput, param2 ...request.Option) (*s3.ListBucketInventoryConfigurationsOutput, error)
	ListBucketMetricsConfigurationsFunc               func(param0 *s3.ListBucketMetricsConfigurationsInput) (*s3.ListBucketMetricsConfigurationsOutput, error)
	ListBucketMetricsConfigurationsRequestFunc        func(param0 *s3.ListBucketMetricsConfigurationsInput) (*request.Request, *s3.ListBucketMetricsConfigurationsOutput)
	ListBucketMetricsConfigurationsWithContextFunc    func(param0 aws.Context, param1 *s3.ListBucketMetricsConfigurationsInput, param2 ...request.Option) (*s3.ListBucketMetricsConfigurationsOutput, error)
	ListBucketsFunc                                   func(param0 *s3.ListBucketsInput) (*s3.ListBucketsOutput, error)
	ListBucketsRequestFunc                            func(param0 *s3.ListBucketsInput) (*request.Request, *s3.ListBucketsOutput)
	ListBucketsWithContextFunc                        func(param0 aws.Context, param1 *s3.ListBucketsInput, param2 ...request.Option) (*s3.ListBucketsOutput, error)
	ListMultipartUploadsFunc                          func(param0 *s3.ListMultipartUploadsInput) (*s3.ListMultipartUploadsOutput, error)
	ListMultipartUploadsRequestFunc                   func(param0 *s3.ListMultipartUploadsInput) (*request.Request, *s3.ListMultipartUploadsOutput)
	ListMultipartUploadsWithContextFunc               func(param0 aws.Context, param1 *s3.ListMultipartUploadsInput, param2 ...request.Option) (*s3.ListMultipartUploadsOutput, error)
	ListObjectVersionsFunc                            func(param0 *s3.ListObjectVersionsInput) (*s3.ListObjectVersionsOutput, error)
	ListObjectVersionsRequestFunc                     func(param0 *s3.ListObjectVersionsInput) (*request.Request, *s3.ListObjectVersionsOutput)
	ListObjectVersionsWithContextFunc                 func(param0 aws.Context, param1 *s3.ListObjectVersionsInput, param2 ...request.Option) (*s3.ListObjectVersionsOutput, error)
	ListObjectsFunc                                   func(param0 *s3.ListObjectsInput) (*s3.ListObjectsOutput, error)
	ListObjectsRequestFunc                            func(param0 *s3.ListObjectsInput) (*request.Request, *s3.ListObjectsOutput)
	ListObjectsV2Func                                 func(param0 *s3.ListObjectsV2Input) (*s3.ListObjectsV2Output, error)
	ListObjectsV2RequestFunc                          func(param0 *s3.ListObjectsV2Input) (*request.Request, *s3.ListObjectsV2Output)
	ListObjectsV2WithContextFunc                      func(param0 aws.Context, param1 *s3.ListObjectsV2Input, param2 ...request.Option) (*s3.ListObjectsV2Output, error)
	ListObjectsWithContextFunc                        func(param0 aws.Context, param1 *s3.ListObjectsInput, param2 ...request.Option) (*s3.ListObjectsOutput, error)
	ListPartsFunc                                     func(param0 *s3.ListPartsInput) (*s3.ListPartsOutput, error)
	ListPartsRequestFunc                              func(param0 *s3.ListPartsInput) (*request.Request, *s3.ListPartsOutput)
	ListPartsWithContextFunc                          func(param0 aws.Context, param1 *s3.ListPartsInput, param2 ...request.Option) (*s3.ListPartsOutput, error)
	PutBucketAccelerateConfigurationFunc              func(param0 *s3.PutBucketAccelerateConfigurationInput) (*s3.PutBucketAccelerateConfigurationOutput, error)
	PutBucketAccelerateConfigurationRequestFunc       func(param0 *s3.PutBucketAccelerateConfigurationInput) (*request.Request, *s3.PutBucketAccelerateConfigurationOutput)
	PutBucketAccelerateConfigurationWithContextFunc   func(param0 aws.Context, param1 *s3.PutBucketAccelerateConfigurationInput, param2 ...request.Option) (*s3.PutBucketAccelerateConfigurationOutput, error)
	PutBucketAclFunc                                  func(param0 *s3.PutBucketAclInput) (*s3.PutBucketAclOutput, error)
	PutBucketAclRequestFunc                           func(param0 *s3.PutBucketAclInput) (*request.Request, *s3.PutBucketAclOutput)
	PutBucketAclWithContextFunc                       func(param0 aws.Context, param1 *s3.PutBucketAclInput, param2 ...request.Option) (*s3.PutBucketAclOutput, error)
	PutBucketAnalyticsConfigurationFunc               func(param0 *s3.PutBucketAnalyticsConfigurationInput) (*s3.PutBucketAnalyticsConfigurationOutput, error)
	PutBucketAnalyticsConfigurationRequestFunc        func(param0 *s3.PutBucketAnalyticsConfigurationInput) (*request.Request, *s3.PutBucketAnalyticsConfigurationOutput)
	PutBucketAnalyticsConfigurationWithContextFunc    func(param0 aws.Context, param1 *s3.PutBucketAnalyticsConfigurationInput, param2 ...request.Option) (*s3.PutBucketAnalyticsConfigurationOutput, error)
	PutBucketCorsFunc                                 func(param0 *s3.PutBucketCorsInput) (*s3.PutBucketCorsOutput, error)
	PutBucketCorsRequestFunc                          func(param0 *s3.PutBucketCorsInput) (*request.Request, *s3.PutBucketCorsOutput)
	PutBucketCorsWithContextFunc                      func(param0 aws.Context, param1 *s3.PutBucketCorsInput, param2 ...request.Option) (*s3.PutBucketCorsOutput, error)
	PutBucketInventoryConfigurationFunc               func(param0 *s3.PutBucketInventoryConfigurationInput) (*s3.PutBucketInventoryConfigurationOutput, error)
	PutBucketInventoryConfigurationRequestFunc        func(param0 *s3.PutBucketInventoryConfigurationInput) (*request.Request, *s3.PutBucketInventoryConfigurationOutput)
	PutBucketInventoryConfigurationWithContextFunc    func(param0 aws.Context, param1 *s3.PutBucketInventoryConfigurationInput, param2 ...request.Option) (*s3.PutBucketInventoryConfigurationOutput, error)
	PutBucketLifecycleFunc                            func(param0 *s3.PutBucketLifecycleInput) (*s3.PutBucketLifecycleOutput, error)
	PutBucketLifecycleConfigurationFunc               func(param0 *s3.PutBucketLifecycleConfigurationInput) (*s3.PutBucketLifecycleConfigurationOutput, error)
	PutBucketLifecycleConfigurationRequestFunc        func(param0 *s3.PutBucketLifecycleConfigurationInput) (*request.Request, *s3.PutBucketLifecycleConfigurationOutput)
	PutBucketLifecycleConfigurationWithContextFunc    func(param0 aws.Context, param1 *s3.PutBucketLifecycleConfigurationInput, param2 ...request.Option) (*s3.PutBucketLifecycleConfigurationOutput, error)
	PutBucketLifecycleRequestFunc                     func(param0 *s3.PutBucketLifecycleInput) (*request.Request, *s3.PutBucketLifecycleOutput)
	PutBucketLifecycleWithContextFunc                 func(param0 aws.Context, param1 *s3.PutBucketLifecycleInput, param2 ...request.Option) (*s3.PutBucketLifecycleOutput, error)
	PutBucketLoggingFunc                              func(param0 *s3.PutBucketLoggingInput) (*s3.PutBucketLoggingOutput, error)
	PutBucketLoggingRequestFunc                       func(param0 *s3.PutBucketLoggingInput) (*request.Request, *s3.PutBucketLoggingOutput)
	PutBucketLoggingWithContextFunc                   func(param0 aws.Context, param1 *s3.PutBucketLoggingInput, param2 ...request.Option) (*s3.PutBucketLoggingOutput, error)
	PutBucketMetricsConfigurationFunc                 func(param0 *s3.PutBucketMetricsConfigurationInput) (*s3.PutBucketMetricsConfigurationOutput, error)
	PutBucketMetricsConfigurationRequestFunc          func(param0 *s3.PutBucketMetricsConfigurationInput) (*request.Request, *s3.PutBucketMetricsConfigurationOutput)
	PutBucketMetricsConfigurationWithContextFunc      func(param0 aws.Context, param1 *s3.PutBucketMetricsConfigurationInput, param2 ...request.Option) (*s3.PutBucketMetricsConfigurationOutput, error)
	PutBucketNotificationFunc                         func(param0 *s3.PutBucketNotificationInput) (*s3.PutBucketNotificationOutput, error)
	PutBucketNotificationConfigurationFunc            func(param0 *s3.PutBucketNotificationConfigurationInput) (*s3.PutBucketNotificationConfigurationOutput, error)
	PutBucketNotificationConfigurationRequestFunc     func(param0 *s3.PutBucketNotificationConfigurationInput) (*request.Request, *s3.PutBucketNotificationConfigurationOutput)
	PutBucketNotificationConfigurationWithContextFunc func(param0 aws.Context, param1 *s3.PutBucketNotificationConfigurationInput, param2 ...request.Option) (*s3.PutBucketNotificationConfigurationOutput, error)
	PutBucketNotificationRequestFunc                  func(param0 *s3.PutBucketNotificationInput) (*request.Request, *s3.PutBucketNotificationOutput)
	PutBucketNotificationWithContextFunc              func(param0 aws.Context, param1 *s3.PutBucketNotificationInput, param2 ...request.Option) (*s3.PutBucketNotificationOutput, error)
	PutBucketPolicyFunc                               func(param0 *s3.PutBucketPolicyInput) (*s3.PutBucketPolicyOutput, error)
	PutBucketPolicyRequestFunc                        func(param0 *s3.PutBucketPolicyInput) (*request.Request, *s3.PutBucketPolicyOutput)
	PutBucketPolicyWithContextFunc                    func(param0 aws.Context, param1 *s3.PutBucketPolicyInput, param2 ...request.Option) (*s3.PutBucketPolicyOutput, error)
	PutBucketReplicationFunc                          func(param0 *s3.PutBucketReplicationInput) (*s3.PutBucketReplicationOutput, error)
	PutBucketReplicationRequestFunc                   func(param0 *s3.PutBucketReplicationInput) (*request.Request, *s3.PutBucketReplicationOutput)
	PutBucketReplicationWithContextFunc               func(param0 aws.Context, param1 *s3.PutBucketReplicationInput, param2 ...request.Option) (*s3.PutBucketReplicationOutput, error)
	PutBucketRequestPaymentFunc                       func(param0 *s3.PutBucketRequestPaymentInput) (*s3.PutBucketRequestPaymentOutput, error)
	PutBucketRequestPaymentRequestFunc                func(param0 *s3.PutBucketRequestPaymentInput) (*request.Request, *s3.PutBucketRequestPaymentOutput)
	PutBucketRequestPaymentWithContextFunc            func(param0 aws.Context, param1 *s3.PutBucketRequestPaymentInput, param2 ...request.Option) (*s3.PutBucketRequestPaymentOutput, error)
	PutBucketTaggingFunc                              func(param0 *s3.PutBucketTaggingInput) (*s3.PutBucketTaggingOutput, error)
	PutBucketTaggingRequestFunc                       func(param0 *s3.PutBucketTaggingInput) (*request.Request, *s3.PutBucketTaggingOutput)
	PutBucketTaggingWithContextFunc                   func(param0 aws.Context, param1 *s3.PutBucketTaggingInput, param2 ...request.Option) (*s3.PutBucketTaggingOutput, error)
	PutBucketVersioningFunc                           func(param0 *s3.PutBucketVersioningInput) (*s3.PutBucketVersioningOutput, error)
	PutBucketVersioningRequestFunc                    func(param0 *s3.PutBucketVersioningInput) (*request.Request, *s3.PutBucketVersioningOutput)
	PutBucketVersioningWithContextFunc                func(param0 aws.Context, param1 *s3.PutBucketVersioningInput, param2 ...request.Option) (*s3.PutBucketVersioningOutput, error)
	PutBucketWebsiteFunc                              func(param0 *s3.PutBucketWebsiteInput) (*s3.PutBucketWebsiteOutput, error)
	PutBucketWebsiteRequestFunc                       func(param0 *s3.PutBucketWebsiteInput) (*request.Request, *s3.PutBucketWebsiteOutput)
	PutBucketWebsiteWithContextFunc                   func(param0 aws.Context, param1 *s3.PutBucketWebsiteInput, param2 ...request.Option) (*s3.PutBucketWebsiteOutput, error)
	PutObjectFunc                                     func(param0 *s3.PutObjectInput) (*s3.PutObjectOutput, error)
	PutObjectAclFunc                                  func(param0 *s3.PutObjectAclInput) (*s3.PutObjectAclOutput, error)
	PutObjectAclRequestFunc                           func(param0 *s3.PutObjectAclInput) (*request.Request, *s3.PutObjectAclOutput)
	PutObjectAclWithContextFunc                       func(param0 aws.Context, param1 *s3.PutObjectAclInput, param2 ...request.Option) (*s3.PutObjectAclOutput, error)
	PutObjectRequestFunc                              func(param0 *s3.PutObjectInput) (*request.Request, *s3.PutObjectOutput)
	PutObjectTaggingFunc                              func(param0 *s3.PutObjectTaggingInput) (*s3.PutObjectTaggingOutput, error)
	PutObjectTaggingRequestFunc                       func(param0 *s3.PutObjectTaggingInput) (*request.Request, *s3.PutObjectTaggingOutput)
	PutObjectTaggingWithContextFunc                   func(param0 aws.Context, param1 *s3.PutObjectTaggingInput, param2 ...request.Option) (*s3.PutObjectTaggingOutput, error)
	PutObjectWithContextFunc                          func(param0 aws.Context, param1 *s3.PutObjectInput, param2 ...request.Option) (*s3.PutObjectOutput, error)
	RestoreObjectFunc                                 func(param0 *s3.RestoreObjectInput) (*s3.RestoreObjectOutput, error)
	RestoreObjectRequestFunc                          func(param0 *s3.RestoreObjectInput) (*request.Request, *s3.RestoreObjectOutput)
	RestoreObjectWithContextFunc                      func(param0 aws.Context, param1 *s3.RestoreObjectInput, param2 ...request.Option) (*s3.RestoreObjectOutput, error)
	UploadPartFunc                                    func(param0 *s3.UploadPartInput) (*s3.UploadPartOutput, error)
	UploadPartCopyFunc                                func(param0 *s3.UploadPartCopyInput) (*s3.UploadPartCopyOutput, error)
	UploadPartCopyRequestFunc                         func(param0 *s3.UploadPartCopyInput) (*request.Request, *s3.UploadPartCopyOutput)
	UploadPartCopyWithContextFunc                     func(param0 aws.Context, param1 *s3.UploadPartCopyInput, param2 ...request.Option) (*s3.UploadPartCopyOutput, error)
	UploadPartRequestFunc                             func(param0 *s3.UploadPartInput) (*request.Request, *s3.UploadPartOutput)
	UploadPartWithContextFunc                         func(param0 aws.Context, param1 *s3.UploadPartInput, param2 ...request.Option) (*s3.UploadPartOutput, error)
	WaitUntilBucketExistsFunc                         func(param0 *s3.HeadBucketInput) error
	WaitUntilBucketExistsWithContextFunc              func(param0 aws.Context, param1 *s3.HeadBucketInput, param2 ...request.WaiterOption) error
	WaitUntilBucketNotExistsFunc                      func(param0 *s3.HeadBucketInput) error
	WaitUntilBucketNotExistsWithContextFunc           func(param0 aws.Context, param1 *s3.HeadBucketInput, param2 ...request.WaiterOption) error
	WaitUntilObjectExistsFunc                         func(param0 *s3.HeadObjectInput) error
	WaitUntilObjectExistsWithContextFunc              func(param0 aws.Context, param1 *s3.HeadObjectInput, param2 ...request.WaiterOption) error
	WaitUntilObjectNotExistsFunc                      func(param0 *s3.HeadObjectInput) error
	WaitUntilObjectNotExistsWithContextFunc           func(param0 aws.Context, param1 *s3.HeadObjectInput, param2 ...request.WaiterOption) error
}

func (m *s3Mock) AbortMultipartUpload(param0 *s3.AbortMultipartUploadInput) (*s3.AbortMultipartUploadOutput, error) {
	m.addCall("AbortMultipartUpload")
	m.verifyInput("AbortMultipartUpload", param0)
	return m.AbortMultipartUploadFunc(param0)
}

func (m *s3Mock) AbortMultipartUploadRequest(param0 *s3.AbortMultipartUploadInput) (*request.Request, *s3.AbortMultipartUploadOutput) {
	m.addCall("AbortMultipartUploadRequest")
	m.verifyInput("AbortMultipartUploadRequest", param0)
	return m.AbortMultipartUploadRequestFunc(param0)
}

func (m *s3Mock) AbortMultipartUploadWithContext(param0 aws.Context, param1 *s3.AbortMultipartUploadInput, param2 ...request.Option) (*s3.AbortMultipartUploadOutput, error) {
	m.addCall("AbortMultipartUploadWithContext")
	m.verifyInput("AbortMultipartUploadWithContext", param0)
	return m.AbortMultipartUploadWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) CompleteMultipartUpload(param0 *s3.CompleteMultipartUploadInput) (*s3.CompleteMultipartUploadOutput, error) {
	m.addCall("CompleteMultipartUpload")
	m.verifyInput("CompleteMultipartUpload", param0)
	return m.CompleteMultipartUploadFunc(param0)
}

func (m *s3Mock) CompleteMultipartUploadRequest(param0 *s3.CompleteMultipartUploadInput) (*request.Request, *s3.CompleteMultipartUploadOutput) {
	m.addCall("CompleteMultipartUploadRequest")
	m.verifyInput("CompleteMultipartUploadRequest", param0)
	return m.CompleteMultipartUploadRequestFunc(param0)
}

func (m *s3Mock) CompleteMultipartUploadWithContext(param0 aws.Context, param1 *s3.CompleteMultipartUploadInput, param2 ...request.Option) (*s3.CompleteMultipartUploadOutput, error) {
	m.addCall("CompleteMultipartUploadWithContext")
	m.verifyInput("CompleteMultipartUploadWithContext", param0)
	return m.CompleteMultipartUploadWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) CopyObject(param0 *s3.CopyObjectInput) (*s3.CopyObjectOutput, error) {
	m.addCall("CopyObject")
	m.verifyInput("CopyObject", param0)
	return m.CopyObjectFunc(param0)
}

func (m *s3Mock) CopyObjectRequest(param0 *s3.CopyObjectInput) (*request.Request, *s3.CopyObjectOutput) {
	m.addCall("CopyObjectRequest")
	m.verifyInput("CopyObjectRequest", param0)
	return m.CopyObjectRequestFunc(param0)
}

func (m *s3Mock) CopyObjectWithContext(param0 aws.Context, param1 *s3.CopyObjectInput, param2 ...request.Option) (*s3.CopyObjectOutput, error) {
	m.addCall("CopyObjectWithContext")
	m.verifyInput("CopyObjectWithContext", param0)
	return m.CopyObjectWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) CreateBucket(param0 *s3.CreateBucketInput) (*s3.CreateBucketOutput, error) {
	m.addCall("CreateBucket")
	m.verifyInput("CreateBucket", param0)
	return m.CreateBucketFunc(param0)
}

func (m *s3Mock) CreateBucketRequest(param0 *s3.CreateBucketInput) (*request.Request, *s3.CreateBucketOutput) {
	m.addCall("CreateBucketRequest")
	m.verifyInput("CreateBucketRequest", param0)
	return m.CreateBucketRequestFunc(param0)
}

func (m *s3Mock) CreateBucketWithContext(param0 aws.Context, param1 *s3.CreateBucketInput, param2 ...request.Option) (*s3.CreateBucketOutput, error) {
	m.addCall("CreateBucketWithContext")
	m.verifyInput("CreateBucketWithContext", param0)
	return m.CreateBucketWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) CreateMultipartUpload(param0 *s3.CreateMultipartUploadInput) (*s3.CreateMultipartUploadOutput, error) {
	m.addCall("CreateMultipartUpload")
	m.verifyInput("CreateMultipartUpload", param0)
	return m.CreateMultipartUploadFunc(param0)
}

func (m *s3Mock) CreateMultipartUploadRequest(param0 *s3.CreateMultipartUploadInput) (*request.Request, *s3.CreateMultipartUploadOutput) {
	m.addCall("CreateMultipartUploadRequest")
	m.verifyInput("CreateMultipartUploadRequest", param0)
	return m.CreateMultipartUploadRequestFunc(param0)
}

func (m *s3Mock) CreateMultipartUploadWithContext(param0 aws.Context, param1 *s3.CreateMultipartUploadInput, param2 ...request.Option) (*s3.CreateMultipartUploadOutput, error) {
	m.addCall("CreateMultipartUploadWithContext")
	m.verifyInput("CreateMultipartUploadWithContext", param0)
	return m.CreateMultipartUploadWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucket(param0 *s3.DeleteBucketInput) (*s3.DeleteBucketOutput, error) {
	m.addCall("DeleteBucket")
	m.verifyInput("DeleteBucket", param0)
	return m.DeleteBucketFunc(param0)
}

func (m *s3Mock) DeleteBucketAnalyticsConfiguration(param0 *s3.DeleteBucketAnalyticsConfigurationInput) (*s3.DeleteBucketAnalyticsConfigurationOutput, error) {
	m.addCall("DeleteBucketAnalyticsConfiguration")
	m.verifyInput("DeleteBucketAnalyticsConfiguration", param0)
	return m.DeleteBucketAnalyticsConfigurationFunc(param0)
}

func (m *s3Mock) DeleteBucketAnalyticsConfigurationRequest(param0 *s3.DeleteBucketAnalyticsConfigurationInput) (*request.Request, *s3.DeleteBucketAnalyticsConfigurationOutput) {
	m.addCall("DeleteBucketAnalyticsConfigurationRequest")
	m.verifyInput("DeleteBucketAnalyticsConfigurationRequest", param0)
	return m.DeleteBucketAnalyticsConfigurationRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketAnalyticsConfigurationWithContext(param0 aws.Context, param1 *s3.DeleteBucketAnalyticsConfigurationInput, param2 ...request.Option) (*s3.DeleteBucketAnalyticsConfigurationOutput, error) {
	m.addCall("DeleteBucketAnalyticsConfigurationWithContext")
	m.verifyInput("DeleteBucketAnalyticsConfigurationWithContext", param0)
	return m.DeleteBucketAnalyticsConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketCors(param0 *s3.DeleteBucketCorsInput) (*s3.DeleteBucketCorsOutput, error) {
	m.addCall("DeleteBucketCors")
	m.verifyInput("DeleteBucketCors", param0)
	return m.DeleteBucketCorsFunc(param0)
}

func (m *s3Mock) DeleteBucketCorsRequest(param0 *s3.DeleteBucketCorsInput) (*request.Request, *s3.DeleteBucketCorsOutput) {
	m.addCall("DeleteBucketCorsRequest")
	m.verifyInput("DeleteBucketCorsRequest", param0)
	return m.DeleteBucketCorsRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketCorsWithContext(param0 aws.Context, param1 *s3.DeleteBucketCorsInput, param2 ...request.Option) (*s3.DeleteBucketCorsOutput, error) {
	m.addCall("DeleteBucketCorsWithContext")
	m.verifyInput("DeleteBucketCorsWithContext", param0)
	return m.DeleteBucketCorsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketInventoryConfiguration(param0 *s3.DeleteBucketInventoryConfigurationInput) (*s3.DeleteBucketInventoryConfigurationOutput, error) {
	m.addCall("DeleteBucketInventoryConfiguration")
	m.verifyInput("DeleteBucketInventoryConfiguration", param0)
	return m.DeleteBucketInventoryConfigurationFunc(param0)
}

func (m *s3Mock) DeleteBucketInventoryConfigurationRequest(param0 *s3.DeleteBucketInventoryConfigurationInput) (*request.Request, *s3.DeleteBucketInventoryConfigurationOutput) {
	m.addCall("DeleteBucketInventoryConfigurationRequest")
	m.verifyInput("DeleteBucketInventoryConfigurationRequest", param0)
	return m.DeleteBucketInventoryConfigurationRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketInventoryConfigurationWithContext(param0 aws.Context, param1 *s3.DeleteBucketInventoryConfigurationInput, param2 ...request.Option) (*s3.DeleteBucketInventoryConfigurationOutput, error) {
	m.addCall("DeleteBucketInventoryConfigurationWithContext")
	m.verifyInput("DeleteBucketInventoryConfigurationWithContext", param0)
	return m.DeleteBucketInventoryConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketLifecycle(param0 *s3.DeleteBucketLifecycleInput) (*s3.DeleteBucketLifecycleOutput, error) {
	m.addCall("DeleteBucketLifecycle")
	m.verifyInput("DeleteBucketLifecycle", param0)
	return m.DeleteBucketLifecycleFunc(param0)
}

func (m *s3Mock) DeleteBucketLifecycleRequest(param0 *s3.DeleteBucketLifecycleInput) (*request.Request, *s3.DeleteBucketLifecycleOutput) {
	m.addCall("DeleteBucketLifecycleRequest")
	m.verifyInput("DeleteBucketLifecycleRequest", param0)
	return m.DeleteBucketLifecycleRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketLifecycleWithContext(param0 aws.Context, param1 *s3.DeleteBucketLifecycleInput, param2 ...request.Option) (*s3.DeleteBucketLifecycleOutput, error) {
	m.addCall("DeleteBucketLifecycleWithContext")
	m.verifyInput("DeleteBucketLifecycleWithContext", param0)
	return m.DeleteBucketLifecycleWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketMetricsConfiguration(param0 *s3.DeleteBucketMetricsConfigurationInput) (*s3.DeleteBucketMetricsConfigurationOutput, error) {
	m.addCall("DeleteBucketMetricsConfiguration")
	m.verifyInput("DeleteBucketMetricsConfiguration", param0)
	return m.DeleteBucketMetricsConfigurationFunc(param0)
}

func (m *s3Mock) DeleteBucketMetricsConfigurationRequest(param0 *s3.DeleteBucketMetricsConfigurationInput) (*request.Request, *s3.DeleteBucketMetricsConfigurationOutput) {
	m.addCall("DeleteBucketMetricsConfigurationRequest")
	m.verifyInput("DeleteBucketMetricsConfigurationRequest", param0)
	return m.DeleteBucketMetricsConfigurationRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketMetricsConfigurationWithContext(param0 aws.Context, param1 *s3.DeleteBucketMetricsConfigurationInput, param2 ...request.Option) (*s3.DeleteBucketMetricsConfigurationOutput, error) {
	m.addCall("DeleteBucketMetricsConfigurationWithContext")
	m.verifyInput("DeleteBucketMetricsConfigurationWithContext", param0)
	return m.DeleteBucketMetricsConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketPolicy(param0 *s3.DeleteBucketPolicyInput) (*s3.DeleteBucketPolicyOutput, error) {
	m.addCall("DeleteBucketPolicy")
	m.verifyInput("DeleteBucketPolicy", param0)
	return m.DeleteBucketPolicyFunc(param0)
}

func (m *s3Mock) DeleteBucketPolicyRequest(param0 *s3.DeleteBucketPolicyInput) (*request.Request, *s3.DeleteBucketPolicyOutput) {
	m.addCall("DeleteBucketPolicyRequest")
	m.verifyInput("DeleteBucketPolicyRequest", param0)
	return m.DeleteBucketPolicyRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketPolicyWithContext(param0 aws.Context, param1 *s3.DeleteBucketPolicyInput, param2 ...request.Option) (*s3.DeleteBucketPolicyOutput, error) {
	m.addCall("DeleteBucketPolicyWithContext")
	m.verifyInput("DeleteBucketPolicyWithContext", param0)
	return m.DeleteBucketPolicyWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketReplication(param0 *s3.DeleteBucketReplicationInput) (*s3.DeleteBucketReplicationOutput, error) {
	m.addCall("DeleteBucketReplication")
	m.verifyInput("DeleteBucketReplication", param0)
	return m.DeleteBucketReplicationFunc(param0)
}

func (m *s3Mock) DeleteBucketReplicationRequest(param0 *s3.DeleteBucketReplicationInput) (*request.Request, *s3.DeleteBucketReplicationOutput) {
	m.addCall("DeleteBucketReplicationRequest")
	m.verifyInput("DeleteBucketReplicationRequest", param0)
	return m.DeleteBucketReplicationRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketReplicationWithContext(param0 aws.Context, param1 *s3.DeleteBucketReplicationInput, param2 ...request.Option) (*s3.DeleteBucketReplicationOutput, error) {
	m.addCall("DeleteBucketReplicationWithContext")
	m.verifyInput("DeleteBucketReplicationWithContext", param0)
	return m.DeleteBucketReplicationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketRequest(param0 *s3.DeleteBucketInput) (*request.Request, *s3.DeleteBucketOutput) {
	m.addCall("DeleteBucketRequest")
	m.verifyInput("DeleteBucketRequest", param0)
	return m.DeleteBucketRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketTagging(param0 *s3.DeleteBucketTaggingInput) (*s3.DeleteBucketTaggingOutput, error) {
	m.addCall("DeleteBucketTagging")
	m.verifyInput("DeleteBucketTagging", param0)
	return m.DeleteBucketTaggingFunc(param0)
}

func (m *s3Mock) DeleteBucketTaggingRequest(param0 *s3.DeleteBucketTaggingInput) (*request.Request, *s3.DeleteBucketTaggingOutput) {
	m.addCall("DeleteBucketTaggingRequest")
	m.verifyInput("DeleteBucketTaggingRequest", param0)
	return m.DeleteBucketTaggingRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketTaggingWithContext(param0 aws.Context, param1 *s3.DeleteBucketTaggingInput, param2 ...request.Option) (*s3.DeleteBucketTaggingOutput, error) {
	m.addCall("DeleteBucketTaggingWithContext")
	m.verifyInput("DeleteBucketTaggingWithContext", param0)
	return m.DeleteBucketTaggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketWebsite(param0 *s3.DeleteBucketWebsiteInput) (*s3.DeleteBucketWebsiteOutput, error) {
	m.addCall("DeleteBucketWebsite")
	m.verifyInput("DeleteBucketWebsite", param0)
	return m.DeleteBucketWebsiteFunc(param0)
}

func (m *s3Mock) DeleteBucketWebsiteRequest(param0 *s3.DeleteBucketWebsiteInput) (*request.Request, *s3.DeleteBucketWebsiteOutput) {
	m.addCall("DeleteBucketWebsiteRequest")
	m.verifyInput("DeleteBucketWebsiteRequest", param0)
	return m.DeleteBucketWebsiteRequestFunc(param0)
}

func (m *s3Mock) DeleteBucketWebsiteWithContext(param0 aws.Context, param1 *s3.DeleteBucketWebsiteInput, param2 ...request.Option) (*s3.DeleteBucketWebsiteOutput, error) {
	m.addCall("DeleteBucketWebsiteWithContext")
	m.verifyInput("DeleteBucketWebsiteWithContext", param0)
	return m.DeleteBucketWebsiteWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteBucketWithContext(param0 aws.Context, param1 *s3.DeleteBucketInput, param2 ...request.Option) (*s3.DeleteBucketOutput, error) {
	m.addCall("DeleteBucketWithContext")
	m.verifyInput("DeleteBucketWithContext", param0)
	return m.DeleteBucketWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteObject(param0 *s3.DeleteObjectInput) (*s3.DeleteObjectOutput, error) {
	m.addCall("DeleteObject")
	m.verifyInput("DeleteObject", param0)
	return m.DeleteObjectFunc(param0)
}

func (m *s3Mock) DeleteObjectRequest(param0 *s3.DeleteObjectInput) (*request.Request, *s3.DeleteObjectOutput) {
	m.addCall("DeleteObjectRequest")
	m.verifyInput("DeleteObjectRequest", param0)
	return m.DeleteObjectRequestFunc(param0)
}

func (m *s3Mock) DeleteObjectTagging(param0 *s3.DeleteObjectTaggingInput) (*s3.DeleteObjectTaggingOutput, error) {
	m.addCall("DeleteObjectTagging")
	m.verifyInput("DeleteObjectTagging", param0)
	return m.DeleteObjectTaggingFunc(param0)
}

func (m *s3Mock) DeleteObjectTaggingRequest(param0 *s3.DeleteObjectTaggingInput) (*request.Request, *s3.DeleteObjectTaggingOutput) {
	m.addCall("DeleteObjectTaggingRequest")
	m.verifyInput("DeleteObjectTaggingRequest", param0)
	return m.DeleteObjectTaggingRequestFunc(param0)
}

func (m *s3Mock) DeleteObjectTaggingWithContext(param0 aws.Context, param1 *s3.DeleteObjectTaggingInput, param2 ...request.Option) (*s3.DeleteObjectTaggingOutput, error) {
	m.addCall("DeleteObjectTaggingWithContext")
	m.verifyInput("DeleteObjectTaggingWithContext", param0)
	return m.DeleteObjectTaggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteObjectWithContext(param0 aws.Context, param1 *s3.DeleteObjectInput, param2 ...request.Option) (*s3.DeleteObjectOutput, error) {
	m.addCall("DeleteObjectWithContext")
	m.verifyInput("DeleteObjectWithContext", param0)
	return m.DeleteObjectWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) DeleteObjects(param0 *s3.DeleteObjectsInput) (*s3.DeleteObjectsOutput, error) {
	m.addCall("DeleteObjects")
	m.verifyInput("DeleteObjects", param0)
	return m.DeleteObjectsFunc(param0)
}

func (m *s3Mock) DeleteObjectsRequest(param0 *s3.DeleteObjectsInput) (*request.Request, *s3.DeleteObjectsOutput) {
	m.addCall("DeleteObjectsRequest")
	m.verifyInput("DeleteObjectsRequest", param0)
	return m.DeleteObjectsRequestFunc(param0)
}

func (m *s3Mock) DeleteObjectsWithContext(param0 aws.Context, param1 *s3.DeleteObjectsInput, param2 ...request.Option) (*s3.DeleteObjectsOutput, error) {
	m.addCall("DeleteObjectsWithContext")
	m.verifyInput("DeleteObjectsWithContext", param0)
	return m.DeleteObjectsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketAccelerateConfiguration(param0 *s3.GetBucketAccelerateConfigurationInput) (*s3.GetBucketAccelerateConfigurationOutput, error) {
	m.addCall("GetBucketAccelerateConfiguration")
	m.verifyInput("GetBucketAccelerateConfiguration", param0)
	return m.GetBucketAccelerateConfigurationFunc(param0)
}

func (m *s3Mock) GetBucketAccelerateConfigurationRequest(param0 *s3.GetBucketAccelerateConfigurationInput) (*request.Request, *s3.GetBucketAccelerateConfigurationOutput) {
	m.addCall("GetBucketAccelerateConfigurationRequest")
	m.verifyInput("GetBucketAccelerateConfigurationRequest", param0)
	return m.GetBucketAccelerateConfigurationRequestFunc(param0)
}

func (m *s3Mock) GetBucketAccelerateConfigurationWithContext(param0 aws.Context, param1 *s3.GetBucketAccelerateConfigurationInput, param2 ...request.Option) (*s3.GetBucketAccelerateConfigurationOutput, error) {
	m.addCall("GetBucketAccelerateConfigurationWithContext")
	m.verifyInput("GetBucketAccelerateConfigurationWithContext", param0)
	return m.GetBucketAccelerateConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketAcl(param0 *s3.GetBucketAclInput) (*s3.GetBucketAclOutput, error) {
	m.addCall("GetBucketAcl")
	m.verifyInput("GetBucketAcl", param0)
	return m.GetBucketAclFunc(param0)
}

func (m *s3Mock) GetBucketAclRequest(param0 *s3.GetBucketAclInput) (*request.Request, *s3.GetBucketAclOutput) {
	m.addCall("GetBucketAclRequest")
	m.verifyInput("GetBucketAclRequest", param0)
	return m.GetBucketAclRequestFunc(param0)
}

func (m *s3Mock) GetBucketAclWithContext(param0 aws.Context, param1 *s3.GetBucketAclInput, param2 ...request.Option) (*s3.GetBucketAclOutput, error) {
	m.addCall("GetBucketAclWithContext")
	m.verifyInput("GetBucketAclWithContext", param0)
	return m.GetBucketAclWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketAnalyticsConfiguration(param0 *s3.GetBucketAnalyticsConfigurationInput) (*s3.GetBucketAnalyticsConfigurationOutput, error) {
	m.addCall("GetBucketAnalyticsConfiguration")
	m.verifyInput("GetBucketAnalyticsConfiguration", param0)
	return m.GetBucketAnalyticsConfigurationFunc(param0)
}

func (m *s3Mock) GetBucketAnalyticsConfigurationRequest(param0 *s3.GetBucketAnalyticsConfigurationInput) (*request.Request, *s3.GetBucketAnalyticsConfigurationOutput) {
	m.addCall("GetBucketAnalyticsConfigurationRequest")
	m.verifyInput("GetBucketAnalyticsConfigurationRequest", param0)
	return m.GetBucketAnalyticsConfigurationRequestFunc(param0)
}

func (m *s3Mock) GetBucketAnalyticsConfigurationWithContext(param0 aws.Context, param1 *s3.GetBucketAnalyticsConfigurationInput, param2 ...request.Option) (*s3.GetBucketAnalyticsConfigurationOutput, error) {
	m.addCall("GetBucketAnalyticsConfigurationWithContext")
	m.verifyInput("GetBucketAnalyticsConfigurationWithContext", param0)
	return m.GetBucketAnalyticsConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketCors(param0 *s3.GetBucketCorsInput) (*s3.GetBucketCorsOutput, error) {
	m.addCall("GetBucketCors")
	m.verifyInput("GetBucketCors", param0)
	return m.GetBucketCorsFunc(param0)
}

func (m *s3Mock) GetBucketCorsRequest(param0 *s3.GetBucketCorsInput) (*request.Request, *s3.GetBucketCorsOutput) {
	m.addCall("GetBucketCorsRequest")
	m.verifyInput("GetBucketCorsRequest", param0)
	return m.GetBucketCorsRequestFunc(param0)
}

func (m *s3Mock) GetBucketCorsWithContext(param0 aws.Context, param1 *s3.GetBucketCorsInput, param2 ...request.Option) (*s3.GetBucketCorsOutput, error) {
	m.addCall("GetBucketCorsWithContext")
	m.verifyInput("GetBucketCorsWithContext", param0)
	return m.GetBucketCorsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketInventoryConfiguration(param0 *s3.GetBucketInventoryConfigurationInput) (*s3.GetBucketInventoryConfigurationOutput, error) {
	m.addCall("GetBucketInventoryConfiguration")
	m.verifyInput("GetBucketInventoryConfiguration", param0)
	return m.GetBucketInventoryConfigurationFunc(param0)
}

func (m *s3Mock) GetBucketInventoryConfigurationRequest(param0 *s3.GetBucketInventoryConfigurationInput) (*request.Request, *s3.GetBucketInventoryConfigurationOutput) {
	m.addCall("GetBucketInventoryConfigurationRequest")
	m.verifyInput("GetBucketInventoryConfigurationRequest", param0)
	return m.GetBucketInventoryConfigurationRequestFunc(param0)
}

func (m *s3Mock) GetBucketInventoryConfigurationWithContext(param0 aws.Context, param1 *s3.GetBucketInventoryConfigurationInput, param2 ...request.Option) (*s3.GetBucketInventoryConfigurationOutput, error) {
	m.addCall("GetBucketInventoryConfigurationWithContext")
	m.verifyInput("GetBucketInventoryConfigurationWithContext", param0)
	return m.GetBucketInventoryConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketLifecycle(param0 *s3.GetBucketLifecycleInput) (*s3.GetBucketLifecycleOutput, error) {
	m.addCall("GetBucketLifecycle")
	m.verifyInput("GetBucketLifecycle", param0)
	return m.GetBucketLifecycleFunc(param0)
}

func (m *s3Mock) GetBucketLifecycleConfiguration(param0 *s3.GetBucketLifecycleConfigurationInput) (*s3.GetBucketLifecycleConfigurationOutput, error) {
	m.addCall("GetBucketLifecycleConfiguration")
	m.verifyInput("GetBucketLifecycleConfiguration", param0)
	return m.GetBucketLifecycleConfigurationFunc(param0)
}

func (m *s3Mock) GetBucketLifecycleConfigurationRequest(param0 *s3.GetBucketLifecycleConfigurationInput) (*request.Request, *s3.GetBucketLifecycleConfigurationOutput) {
	m.addCall("GetBucketLifecycleConfigurationRequest")
	m.verifyInput("GetBucketLifecycleConfigurationRequest", param0)
	return m.GetBucketLifecycleConfigurationRequestFunc(param0)
}

func (m *s3Mock) GetBucketLifecycleConfigurationWithContext(param0 aws.Context, param1 *s3.GetBucketLifecycleConfigurationInput, param2 ...request.Option) (*s3.GetBucketLifecycleConfigurationOutput, error) {
	m.addCall("GetBucketLifecycleConfigurationWithContext")
	m.verifyInput("GetBucketLifecycleConfigurationWithContext", param0)
	return m.GetBucketLifecycleConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketLifecycleRequest(param0 *s3.GetBucketLifecycleInput) (*request.Request, *s3.GetBucketLifecycleOutput) {
	m.addCall("GetBucketLifecycleRequest")
	m.verifyInput("GetBucketLifecycleRequest", param0)
	return m.GetBucketLifecycleRequestFunc(param0)
}

func (m *s3Mock) GetBucketLifecycleWithContext(param0 aws.Context, param1 *s3.GetBucketLifecycleInput, param2 ...request.Option) (*s3.GetBucketLifecycleOutput, error) {
	m.addCall("GetBucketLifecycleWithContext")
	m.verifyInput("GetBucketLifecycleWithContext", param0)
	return m.GetBucketLifecycleWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketLocation(param0 *s3.GetBucketLocationInput) (*s3.GetBucketLocationOutput, error) {
	m.addCall("GetBucketLocation")
	m.verifyInput("GetBucketLocation", param0)
	return m.GetBucketLocationFunc(param0)
}

func (m *s3Mock) GetBucketLocationRequest(param0 *s3.GetBucketLocationInput) (*request.Request, *s3.GetBucketLocationOutput) {
	m.addCall("GetBucketLocationRequest")
	m.verifyInput("GetBucketLocationRequest", param0)
	return m.GetBucketLocationRequestFunc(param0)
}

func (m *s3Mock) GetBucketLocationWithContext(param0 aws.Context, param1 *s3.GetBucketLocationInput, param2 ...request.Option) (*s3.GetBucketLocationOutput, error) {
	m.addCall("GetBucketLocationWithContext")
	m.verifyInput("GetBucketLocationWithContext", param0)
	return m.GetBucketLocationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketLogging(param0 *s3.GetBucketLoggingInput) (*s3.GetBucketLoggingOutput, error) {
	m.addCall("GetBucketLogging")
	m.verifyInput("GetBucketLogging", param0)
	return m.GetBucketLoggingFunc(param0)
}

func (m *s3Mock) GetBucketLoggingRequest(param0 *s3.GetBucketLoggingInput) (*request.Request, *s3.GetBucketLoggingOutput) {
	m.addCall("GetBucketLoggingRequest")
	m.verifyInput("GetBucketLoggingRequest", param0)
	return m.GetBucketLoggingRequestFunc(param0)
}

func (m *s3Mock) GetBucketLoggingWithContext(param0 aws.Context, param1 *s3.GetBucketLoggingInput, param2 ...request.Option) (*s3.GetBucketLoggingOutput, error) {
	m.addCall("GetBucketLoggingWithContext")
	m.verifyInput("GetBucketLoggingWithContext", param0)
	return m.GetBucketLoggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketMetricsConfiguration(param0 *s3.GetBucketMetricsConfigurationInput) (*s3.GetBucketMetricsConfigurationOutput, error) {
	m.addCall("GetBucketMetricsConfiguration")
	m.verifyInput("GetBucketMetricsConfiguration", param0)
	return m.GetBucketMetricsConfigurationFunc(param0)
}

func (m *s3Mock) GetBucketMetricsConfigurationRequest(param0 *s3.GetBucketMetricsConfigurationInput) (*request.Request, *s3.GetBucketMetricsConfigurationOutput) {
	m.addCall("GetBucketMetricsConfigurationRequest")
	m.verifyInput("GetBucketMetricsConfigurationRequest", param0)
	return m.GetBucketMetricsConfigurationRequestFunc(param0)
}

func (m *s3Mock) GetBucketMetricsConfigurationWithContext(param0 aws.Context, param1 *s3.GetBucketMetricsConfigurationInput, param2 ...request.Option) (*s3.GetBucketMetricsConfigurationOutput, error) {
	m.addCall("GetBucketMetricsConfigurationWithContext")
	m.verifyInput("GetBucketMetricsConfigurationWithContext", param0)
	return m.GetBucketMetricsConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketNotification(param0 *s3.GetBucketNotificationConfigurationRequest) (*s3.NotificationConfigurationDeprecated, error) {
	m.addCall("GetBucketNotification")
	m.verifyInput("GetBucketNotification", param0)
	return m.GetBucketNotificationFunc(param0)
}

func (m *s3Mock) GetBucketNotificationConfiguration(param0 *s3.GetBucketNotificationConfigurationRequest) (*s3.NotificationConfiguration, error) {
	m.addCall("GetBucketNotificationConfiguration")
	m.verifyInput("GetBucketNotificationConfiguration", param0)
	return m.GetBucketNotificationConfigurationFunc(param0)
}

func (m *s3Mock) GetBucketNotificationConfigurationRequest(param0 *s3.GetBucketNotificationConfigurationRequest) (*request.Request, *s3.NotificationConfiguration) {
	m.addCall("GetBucketNotificationConfigurationRequest")
	m.verifyInput("GetBucketNotificationConfigurationRequest", param0)
	return m.GetBucketNotificationConfigurationRequestFunc(param0)
}

func (m *s3Mock) GetBucketNotificationConfigurationWithContext(param0 aws.Context, param1 *s3.GetBucketNotificationConfigurationRequest, param2 ...request.Option) (*s3.NotificationConfiguration, error) {
	m.addCall("GetBucketNotificationConfigurationWithContext")
	m.verifyInput("GetBucketNotificationConfigurationWithContext", param0)
	return m.GetBucketNotificationConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketNotificationRequest(param0 *s3.GetBucketNotificationConfigurationRequest) (*request.Request, *s3.NotificationConfigurationDeprecated) {
	m.addCall("GetBucketNotificationRequest")
	m.verifyInput("GetBucketNotificationRequest", param0)
	return m.GetBucketNotificationRequestFunc(param0)
}

func (m *s3Mock) GetBucketNotificationWithContext(param0 aws.Context, param1 *s3.GetBucketNotificationConfigurationRequest, param2 ...request.Option) (*s3.NotificationConfigurationDeprecated, error) {
	m.addCall("GetBucketNotificationWithContext")
	m.verifyInput("GetBucketNotificationWithContext", param0)
	return m.GetBucketNotificationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketPolicy(param0 *s3.GetBucketPolicyInput) (*s3.GetBucketPolicyOutput, error) {
	m.addCall("GetBucketPolicy")
	m.verifyInput("GetBucketPolicy", param0)
	return m.GetBucketPolicyFunc(param0)
}

func (m *s3Mock) GetBucketPolicyRequest(param0 *s3.GetBucketPolicyInput) (*request.Request, *s3.GetBucketPolicyOutput) {
	m.addCall("GetBucketPolicyRequest")
	m.verifyInput("GetBucketPolicyRequest", param0)
	return m.GetBucketPolicyRequestFunc(param0)
}

func (m *s3Mock) GetBucketPolicyWithContext(param0 aws.Context, param1 *s3.GetBucketPolicyInput, param2 ...request.Option) (*s3.GetBucketPolicyOutput, error) {
	m.addCall("GetBucketPolicyWithContext")
	m.verifyInput("GetBucketPolicyWithContext", param0)
	return m.GetBucketPolicyWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketReplication(param0 *s3.GetBucketReplicationInput) (*s3.GetBucketReplicationOutput, error) {
	m.addCall("GetBucketReplication")
	m.verifyInput("GetBucketReplication", param0)
	return m.GetBucketReplicationFunc(param0)
}

func (m *s3Mock) GetBucketReplicationRequest(param0 *s3.GetBucketReplicationInput) (*request.Request, *s3.GetBucketReplicationOutput) {
	m.addCall("GetBucketReplicationRequest")
	m.verifyInput("GetBucketReplicationRequest", param0)
	return m.GetBucketReplicationRequestFunc(param0)
}

func (m *s3Mock) GetBucketReplicationWithContext(param0 aws.Context, param1 *s3.GetBucketReplicationInput, param2 ...request.Option) (*s3.GetBucketReplicationOutput, error) {
	m.addCall("GetBucketReplicationWithContext")
	m.verifyInput("GetBucketReplicationWithContext", param0)
	return m.GetBucketReplicationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketRequestPayment(param0 *s3.GetBucketRequestPaymentInput) (*s3.GetBucketRequestPaymentOutput, error) {
	m.addCall("GetBucketRequestPayment")
	m.verifyInput("GetBucketRequestPayment", param0)
	return m.GetBucketRequestPaymentFunc(param0)
}

func (m *s3Mock) GetBucketRequestPaymentRequest(param0 *s3.GetBucketRequestPaymentInput) (*request.Request, *s3.GetBucketRequestPaymentOutput) {
	m.addCall("GetBucketRequestPaymentRequest")
	m.verifyInput("GetBucketRequestPaymentRequest", param0)
	return m.GetBucketRequestPaymentRequestFunc(param0)
}

func (m *s3Mock) GetBucketRequestPaymentWithContext(param0 aws.Context, param1 *s3.GetBucketRequestPaymentInput, param2 ...request.Option) (*s3.GetBucketRequestPaymentOutput, error) {
	m.addCall("GetBucketRequestPaymentWithContext")
	m.verifyInput("GetBucketRequestPaymentWithContext", param0)
	return m.GetBucketRequestPaymentWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketTagging(param0 *s3.GetBucketTaggingInput) (*s3.GetBucketTaggingOutput, error) {
	m.addCall("GetBucketTagging")
	m.verifyInput("GetBucketTagging", param0)
	return m.GetBucketTaggingFunc(param0)
}

func (m *s3Mock) GetBucketTaggingRequest(param0 *s3.GetBucketTaggingInput) (*request.Request, *s3.GetBucketTaggingOutput) {
	m.addCall("GetBucketTaggingRequest")
	m.verifyInput("GetBucketTaggingRequest", param0)
	return m.GetBucketTaggingRequestFunc(param0)
}

func (m *s3Mock) GetBucketTaggingWithContext(param0 aws.Context, param1 *s3.GetBucketTaggingInput, param2 ...request.Option) (*s3.GetBucketTaggingOutput, error) {
	m.addCall("GetBucketTaggingWithContext")
	m.verifyInput("GetBucketTaggingWithContext", param0)
	return m.GetBucketTaggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketVersioning(param0 *s3.GetBucketVersioningInput) (*s3.GetBucketVersioningOutput, error) {
	m.addCall("GetBucketVersioning")
	m.verifyInput("GetBucketVersioning", param0)
	return m.GetBucketVersioningFunc(param0)
}

func (m *s3Mock) GetBucketVersioningRequest(param0 *s3.GetBucketVersioningInput) (*request.Request, *s3.GetBucketVersioningOutput) {
	m.addCall("GetBucketVersioningRequest")
	m.verifyInput("GetBucketVersioningRequest", param0)
	return m.GetBucketVersioningRequestFunc(param0)
}

func (m *s3Mock) GetBucketVersioningWithContext(param0 aws.Context, param1 *s3.GetBucketVersioningInput, param2 ...request.Option) (*s3.GetBucketVersioningOutput, error) {
	m.addCall("GetBucketVersioningWithContext")
	m.verifyInput("GetBucketVersioningWithContext", param0)
	return m.GetBucketVersioningWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetBucketWebsite(param0 *s3.GetBucketWebsiteInput) (*s3.GetBucketWebsiteOutput, error) {
	m.addCall("GetBucketWebsite")
	m.verifyInput("GetBucketWebsite", param0)
	return m.GetBucketWebsiteFunc(param0)
}

func (m *s3Mock) GetBucketWebsiteRequest(param0 *s3.GetBucketWebsiteInput) (*request.Request, *s3.GetBucketWebsiteOutput) {
	m.addCall("GetBucketWebsiteRequest")
	m.verifyInput("GetBucketWebsiteRequest", param0)
	return m.GetBucketWebsiteRequestFunc(param0)
}

func (m *s3Mock) GetBucketWebsiteWithContext(param0 aws.Context, param1 *s3.GetBucketWebsiteInput, param2 ...request.Option) (*s3.GetBucketWebsiteOutput, error) {
	m.addCall("GetBucketWebsiteWithContext")
	m.verifyInput("GetBucketWebsiteWithContext", param0)
	return m.GetBucketWebsiteWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetObject(param0 *s3.GetObjectInput) (*s3.GetObjectOutput, error) {
	m.addCall("GetObject")
	m.verifyInput("GetObject", param0)
	return m.GetObjectFunc(param0)
}

func (m *s3Mock) GetObjectAcl(param0 *s3.GetObjectAclInput) (*s3.GetObjectAclOutput, error) {
	m.addCall("GetObjectAcl")
	m.verifyInput("GetObjectAcl", param0)
	return m.GetObjectAclFunc(param0)
}

func (m *s3Mock) GetObjectAclRequest(param0 *s3.GetObjectAclInput) (*request.Request, *s3.GetObjectAclOutput) {
	m.addCall("GetObjectAclRequest")
	m.verifyInput("GetObjectAclRequest", param0)
	return m.GetObjectAclRequestFunc(param0)
}

func (m *s3Mock) GetObjectAclWithContext(param0 aws.Context, param1 *s3.GetObjectAclInput, param2 ...request.Option) (*s3.GetObjectAclOutput, error) {
	m.addCall("GetObjectAclWithContext")
	m.verifyInput("GetObjectAclWithContext", param0)
	return m.GetObjectAclWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetObjectRequest(param0 *s3.GetObjectInput) (*request.Request, *s3.GetObjectOutput) {
	m.addCall("GetObjectRequest")
	m.verifyInput("GetObjectRequest", param0)
	return m.GetObjectRequestFunc(param0)
}

func (m *s3Mock) GetObjectTagging(param0 *s3.GetObjectTaggingInput) (*s3.GetObjectTaggingOutput, error) {
	m.addCall("GetObjectTagging")
	m.verifyInput("GetObjectTagging", param0)
	return m.GetObjectTaggingFunc(param0)
}

func (m *s3Mock) GetObjectTaggingRequest(param0 *s3.GetObjectTaggingInput) (*request.Request, *s3.GetObjectTaggingOutput) {
	m.addCall("GetObjectTaggingRequest")
	m.verifyInput("GetObjectTaggingRequest", param0)
	return m.GetObjectTaggingRequestFunc(param0)
}

func (m *s3Mock) GetObjectTaggingWithContext(param0 aws.Context, param1 *s3.GetObjectTaggingInput, param2 ...request.Option) (*s3.GetObjectTaggingOutput, error) {
	m.addCall("GetObjectTaggingWithContext")
	m.verifyInput("GetObjectTaggingWithContext", param0)
	return m.GetObjectTaggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetObjectTorrent(param0 *s3.GetObjectTorrentInput) (*s3.GetObjectTorrentOutput, error) {
	m.addCall("GetObjectTorrent")
	m.verifyInput("GetObjectTorrent", param0)
	return m.GetObjectTorrentFunc(param0)
}

func (m *s3Mock) GetObjectTorrentRequest(param0 *s3.GetObjectTorrentInput) (*request.Request, *s3.GetObjectTorrentOutput) {
	m.addCall("GetObjectTorrentRequest")
	m.verifyInput("GetObjectTorrentRequest", param0)
	return m.GetObjectTorrentRequestFunc(param0)
}

func (m *s3Mock) GetObjectTorrentWithContext(param0 aws.Context, param1 *s3.GetObjectTorrentInput, param2 ...request.Option) (*s3.GetObjectTorrentOutput, error) {
	m.addCall("GetObjectTorrentWithContext")
	m.verifyInput("GetObjectTorrentWithContext", param0)
	return m.GetObjectTorrentWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) GetObjectWithContext(param0 aws.Context, param1 *s3.GetObjectInput, param2 ...request.Option) (*s3.GetObjectOutput, error) {
	m.addCall("GetObjectWithContext")
	m.verifyInput("GetObjectWithContext", param0)
	return m.GetObjectWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) HeadBucket(param0 *s3.HeadBucketInput) (*s3.HeadBucketOutput, error) {
	m.addCall("HeadBucket")
	m.verifyInput("HeadBucket", param0)
	return m.HeadBucketFunc(param0)
}

func (m *s3Mock) HeadBucketRequest(param0 *s3.HeadBucketInput) (*request.Request, *s3.HeadBucketOutput) {
	m.addCall("HeadBucketRequest")
	m.verifyInput("HeadBucketRequest", param0)
	return m.HeadBucketRequestFunc(param0)
}

func (m *s3Mock) HeadBucketWithContext(param0 aws.Context, param1 *s3.HeadBucketInput, param2 ...request.Option) (*s3.HeadBucketOutput, error) {
	m.addCall("HeadBucketWithContext")
	m.verifyInput("HeadBucketWithContext", param0)
	return m.HeadBucketWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) HeadObject(param0 *s3.HeadObjectInput) (*s3.HeadObjectOutput, error) {
	m.addCall("HeadObject")
	m.verifyInput("HeadObject", param0)
	return m.HeadObjectFunc(param0)
}

func (m *s3Mock) HeadObjectRequest(param0 *s3.HeadObjectInput) (*request.Request, *s3.HeadObjectOutput) {
	m.addCall("HeadObjectRequest")
	m.verifyInput("HeadObjectRequest", param0)
	return m.HeadObjectRequestFunc(param0)
}

func (m *s3Mock) HeadObjectWithContext(param0 aws.Context, param1 *s3.HeadObjectInput, param2 ...request.Option) (*s3.HeadObjectOutput, error) {
	m.addCall("HeadObjectWithContext")
	m.verifyInput("HeadObjectWithContext", param0)
	return m.HeadObjectWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListBucketAnalyticsConfigurations(param0 *s3.ListBucketAnalyticsConfigurationsInput) (*s3.ListBucketAnalyticsConfigurationsOutput, error) {
	m.addCall("ListBucketAnalyticsConfigurations")
	m.verifyInput("ListBucketAnalyticsConfigurations", param0)
	return m.ListBucketAnalyticsConfigurationsFunc(param0)
}

func (m *s3Mock) ListBucketAnalyticsConfigurationsRequest(param0 *s3.ListBucketAnalyticsConfigurationsInput) (*request.Request, *s3.ListBucketAnalyticsConfigurationsOutput) {
	m.addCall("ListBucketAnalyticsConfigurationsRequest")
	m.verifyInput("ListBucketAnalyticsConfigurationsRequest", param0)
	return m.ListBucketAnalyticsConfigurationsRequestFunc(param0)
}

func (m *s3Mock) ListBucketAnalyticsConfigurationsWithContext(param0 aws.Context, param1 *s3.ListBucketAnalyticsConfigurationsInput, param2 ...request.Option) (*s3.ListBucketAnalyticsConfigurationsOutput, error) {
	m.addCall("ListBucketAnalyticsConfigurationsWithContext")
	m.verifyInput("ListBucketAnalyticsConfigurationsWithContext", param0)
	return m.ListBucketAnalyticsConfigurationsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListBucketInventoryConfigurations(param0 *s3.ListBucketInventoryConfigurationsInput) (*s3.ListBucketInventoryConfigurationsOutput, error) {
	m.addCall("ListBucketInventoryConfigurations")
	m.verifyInput("ListBucketInventoryConfigurations", param0)
	return m.ListBucketInventoryConfigurationsFunc(param0)
}

func (m *s3Mock) ListBucketInventoryConfigurationsRequest(param0 *s3.ListBucketInventoryConfigurationsInput) (*request.Request, *s3.ListBucketInventoryConfigurationsOutput) {
	m.addCall("ListBucketInventoryConfigurationsRequest")
	m.verifyInput("ListBucketInventoryConfigurationsRequest", param0)
	return m.ListBucketInventoryConfigurationsRequestFunc(param0)
}

func (m *s3Mock) ListBucketInventoryConfigurationsWithContext(param0 aws.Context, param1 *s3.ListBucketInventoryConfigurationsInput, param2 ...request.Option) (*s3.ListBucketInventoryConfigurationsOutput, error) {
	m.addCall("ListBucketInventoryConfigurationsWithContext")
	m.verifyInput("ListBucketInventoryConfigurationsWithContext", param0)
	return m.ListBucketInventoryConfigurationsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListBucketMetricsConfigurations(param0 *s3.ListBucketMetricsConfigurationsInput) (*s3.ListBucketMetricsConfigurationsOutput, error) {
	m.addCall("ListBucketMetricsConfigurations")
	m.verifyInput("ListBucketMetricsConfigurations", param0)
	return m.ListBucketMetricsConfigurationsFunc(param0)
}

func (m *s3Mock) ListBucketMetricsConfigurationsRequest(param0 *s3.ListBucketMetricsConfigurationsInput) (*request.Request, *s3.ListBucketMetricsConfigurationsOutput) {
	m.addCall("ListBucketMetricsConfigurationsRequest")
	m.verifyInput("ListBucketMetricsConfigurationsRequest", param0)
	return m.ListBucketMetricsConfigurationsRequestFunc(param0)
}

func (m *s3Mock) ListBucketMetricsConfigurationsWithContext(param0 aws.Context, param1 *s3.ListBucketMetricsConfigurationsInput, param2 ...request.Option) (*s3.ListBucketMetricsConfigurationsOutput, error) {
	m.addCall("ListBucketMetricsConfigurationsWithContext")
	m.verifyInput("ListBucketMetricsConfigurationsWithContext", param0)
	return m.ListBucketMetricsConfigurationsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListBuckets(param0 *s3.ListBucketsInput) (*s3.ListBucketsOutput, error) {
	m.addCall("ListBuckets")
	m.verifyInput("ListBuckets", param0)
	return m.ListBucketsFunc(param0)
}

func (m *s3Mock) ListBucketsRequest(param0 *s3.ListBucketsInput) (*request.Request, *s3.ListBucketsOutput) {
	m.addCall("ListBucketsRequest")
	m.verifyInput("ListBucketsRequest", param0)
	return m.ListBucketsRequestFunc(param0)
}

func (m *s3Mock) ListBucketsWithContext(param0 aws.Context, param1 *s3.ListBucketsInput, param2 ...request.Option) (*s3.ListBucketsOutput, error) {
	m.addCall("ListBucketsWithContext")
	m.verifyInput("ListBucketsWithContext", param0)
	return m.ListBucketsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListMultipartUploads(param0 *s3.ListMultipartUploadsInput) (*s3.ListMultipartUploadsOutput, error) {
	m.addCall("ListMultipartUploads")
	m.verifyInput("ListMultipartUploads", param0)
	return m.ListMultipartUploadsFunc(param0)
}

func (m *s3Mock) ListMultipartUploadsRequest(param0 *s3.ListMultipartUploadsInput) (*request.Request, *s3.ListMultipartUploadsOutput) {
	m.addCall("ListMultipartUploadsRequest")
	m.verifyInput("ListMultipartUploadsRequest", param0)
	return m.ListMultipartUploadsRequestFunc(param0)
}

func (m *s3Mock) ListMultipartUploadsWithContext(param0 aws.Context, param1 *s3.ListMultipartUploadsInput, param2 ...request.Option) (*s3.ListMultipartUploadsOutput, error) {
	m.addCall("ListMultipartUploadsWithContext")
	m.verifyInput("ListMultipartUploadsWithContext", param0)
	return m.ListMultipartUploadsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListObjectVersions(param0 *s3.ListObjectVersionsInput) (*s3.ListObjectVersionsOutput, error) {
	m.addCall("ListObjectVersions")
	m.verifyInput("ListObjectVersions", param0)
	return m.ListObjectVersionsFunc(param0)
}

func (m *s3Mock) ListObjectVersionsRequest(param0 *s3.ListObjectVersionsInput) (*request.Request, *s3.ListObjectVersionsOutput) {
	m.addCall("ListObjectVersionsRequest")
	m.verifyInput("ListObjectVersionsRequest", param0)
	return m.ListObjectVersionsRequestFunc(param0)
}

func (m *s3Mock) ListObjectVersionsWithContext(param0 aws.Context, param1 *s3.ListObjectVersionsInput, param2 ...request.Option) (*s3.ListObjectVersionsOutput, error) {
	m.addCall("ListObjectVersionsWithContext")
	m.verifyInput("ListObjectVersionsWithContext", param0)
	return m.ListObjectVersionsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListObjects(param0 *s3.ListObjectsInput) (*s3.ListObjectsOutput, error) {
	m.addCall("ListObjects")
	m.verifyInput("ListObjects", param0)
	return m.ListObjectsFunc(param0)
}

func (m *s3Mock) ListObjectsRequest(param0 *s3.ListObjectsInput) (*request.Request, *s3.ListObjectsOutput) {
	m.addCall("ListObjectsRequest")
	m.verifyInput("ListObjectsRequest", param0)
	return m.ListObjectsRequestFunc(param0)
}

func (m *s3Mock) ListObjectsV2(param0 *s3.ListObjectsV2Input) (*s3.ListObjectsV2Output, error) {
	m.addCall("ListObjectsV2")
	m.verifyInput("ListObjectsV2", param0)
	return m.ListObjectsV2Func(param0)
}

func (m *s3Mock) ListObjectsV2Request(param0 *s3.ListObjectsV2Input) (*request.Request, *s3.ListObjectsV2Output) {
	m.addCall("ListObjectsV2Request")
	m.verifyInput("ListObjectsV2Request", param0)
	return m.ListObjectsV2RequestFunc(param0)
}

func (m *s3Mock) ListObjectsV2WithContext(param0 aws.Context, param1 *s3.ListObjectsV2Input, param2 ...request.Option) (*s3.ListObjectsV2Output, error) {
	m.addCall("ListObjectsV2WithContext")
	m.verifyInput("ListObjectsV2WithContext", param0)
	return m.ListObjectsV2WithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListObjectsWithContext(param0 aws.Context, param1 *s3.ListObjectsInput, param2 ...request.Option) (*s3.ListObjectsOutput, error) {
	m.addCall("ListObjectsWithContext")
	m.verifyInput("ListObjectsWithContext", param0)
	return m.ListObjectsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) ListParts(param0 *s3.ListPartsInput) (*s3.ListPartsOutput, error) {
	m.addCall("ListParts")
	m.verifyInput("ListParts", param0)
	return m.ListPartsFunc(param0)
}

func (m *s3Mock) ListPartsRequest(param0 *s3.ListPartsInput) (*request.Request, *s3.ListPartsOutput) {
	m.addCall("ListPartsRequest")
	m.verifyInput("ListPartsRequest", param0)
	return m.ListPartsRequestFunc(param0)
}

func (m *s3Mock) ListPartsWithContext(param0 aws.Context, param1 *s3.ListPartsInput, param2 ...request.Option) (*s3.ListPartsOutput, error) {
	m.addCall("ListPartsWithContext")
	m.verifyInput("ListPartsWithContext", param0)
	return m.ListPartsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketAccelerateConfiguration(param0 *s3.PutBucketAccelerateConfigurationInput) (*s3.PutBucketAccelerateConfigurationOutput, error) {
	m.addCall("PutBucketAccelerateConfiguration")
	m.verifyInput("PutBucketAccelerateConfiguration", param0)
	return m.PutBucketAccelerateConfigurationFunc(param0)
}

func (m *s3Mock) PutBucketAccelerateConfigurationRequest(param0 *s3.PutBucketAccelerateConfigurationInput) (*request.Request, *s3.PutBucketAccelerateConfigurationOutput) {
	m.addCall("PutBucketAccelerateConfigurationRequest")
	m.verifyInput("PutBucketAccelerateConfigurationRequest", param0)
	return m.PutBucketAccelerateConfigurationRequestFunc(param0)
}

func (m *s3Mock) PutBucketAccelerateConfigurationWithContext(param0 aws.Context, param1 *s3.PutBucketAccelerateConfigurationInput, param2 ...request.Option) (*s3.PutBucketAccelerateConfigurationOutput, error) {
	m.addCall("PutBucketAccelerateConfigurationWithContext")
	m.verifyInput("PutBucketAccelerateConfigurationWithContext", param0)
	return m.PutBucketAccelerateConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketAcl(param0 *s3.PutBucketAclInput) (*s3.PutBucketAclOutput, error) {
	m.addCall("PutBucketAcl")
	m.verifyInput("PutBucketAcl", param0)
	return m.PutBucketAclFunc(param0)
}

func (m *s3Mock) PutBucketAclRequest(param0 *s3.PutBucketAclInput) (*request.Request, *s3.PutBucketAclOutput) {
	m.addCall("PutBucketAclRequest")
	m.verifyInput("PutBucketAclRequest", param0)
	return m.PutBucketAclRequestFunc(param0)
}

func (m *s3Mock) PutBucketAclWithContext(param0 aws.Context, param1 *s3.PutBucketAclInput, param2 ...request.Option) (*s3.PutBucketAclOutput, error) {
	m.addCall("PutBucketAclWithContext")
	m.verifyInput("PutBucketAclWithContext", param0)
	return m.PutBucketAclWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketAnalyticsConfiguration(param0 *s3.PutBucketAnalyticsConfigurationInput) (*s3.PutBucketAnalyticsConfigurationOutput, error) {
	m.addCall("PutBucketAnalyticsConfiguration")
	m.verifyInput("PutBucketAnalyticsConfiguration", param0)
	return m.PutBucketAnalyticsConfigurationFunc(param0)
}

func (m *s3Mock) PutBucketAnalyticsConfigurationRequest(param0 *s3.PutBucketAnalyticsConfigurationInput) (*request.Request, *s3.PutBucketAnalyticsConfigurationOutput) {
	m.addCall("PutBucketAnalyticsConfigurationRequest")
	m.verifyInput("PutBucketAnalyticsConfigurationRequest", param0)
	return m.PutBucketAnalyticsConfigurationRequestFunc(param0)
}

func (m *s3Mock) PutBucketAnalyticsConfigurationWithContext(param0 aws.Context, param1 *s3.PutBucketAnalyticsConfigurationInput, param2 ...request.Option) (*s3.PutBucketAnalyticsConfigurationOutput, error) {
	m.addCall("PutBucketAnalyticsConfigurationWithContext")
	m.verifyInput("PutBucketAnalyticsConfigurationWithContext", param0)
	return m.PutBucketAnalyticsConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketCors(param0 *s3.PutBucketCorsInput) (*s3.PutBucketCorsOutput, error) {
	m.addCall("PutBucketCors")
	m.verifyInput("PutBucketCors", param0)
	return m.PutBucketCorsFunc(param0)
}

func (m *s3Mock) PutBucketCorsRequest(param0 *s3.PutBucketCorsInput) (*request.Request, *s3.PutBucketCorsOutput) {
	m.addCall("PutBucketCorsRequest")
	m.verifyInput("PutBucketCorsRequest", param0)
	return m.PutBucketCorsRequestFunc(param0)
}

func (m *s3Mock) PutBucketCorsWithContext(param0 aws.Context, param1 *s3.PutBucketCorsInput, param2 ...request.Option) (*s3.PutBucketCorsOutput, error) {
	m.addCall("PutBucketCorsWithContext")
	m.verifyInput("PutBucketCorsWithContext", param0)
	return m.PutBucketCorsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketInventoryConfiguration(param0 *s3.PutBucketInventoryConfigurationInput) (*s3.PutBucketInventoryConfigurationOutput, error) {
	m.addCall("PutBucketInventoryConfiguration")
	m.verifyInput("PutBucketInventoryConfiguration", param0)
	return m.PutBucketInventoryConfigurationFunc(param0)
}

func (m *s3Mock) PutBucketInventoryConfigurationRequest(param0 *s3.PutBucketInventoryConfigurationInput) (*request.Request, *s3.PutBucketInventoryConfigurationOutput) {
	m.addCall("PutBucketInventoryConfigurationRequest")
	m.verifyInput("PutBucketInventoryConfigurationRequest", param0)
	return m.PutBucketInventoryConfigurationRequestFunc(param0)
}

func (m *s3Mock) PutBucketInventoryConfigurationWithContext(param0 aws.Context, param1 *s3.PutBucketInventoryConfigurationInput, param2 ...request.Option) (*s3.PutBucketInventoryConfigurationOutput, error) {
	m.addCall("PutBucketInventoryConfigurationWithContext")
	m.verifyInput("PutBucketInventoryConfigurationWithContext", param0)
	return m.PutBucketInventoryConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketLifecycle(param0 *s3.PutBucketLifecycleInput) (*s3.PutBucketLifecycleOutput, error) {
	m.addCall("PutBucketLifecycle")
	m.verifyInput("PutBucketLifecycle", param0)
	return m.PutBucketLifecycleFunc(param0)
}

func (m *s3Mock) PutBucketLifecycleConfiguration(param0 *s3.PutBucketLifecycleConfigurationInput) (*s3.PutBucketLifecycleConfigurationOutput, error) {
	m.addCall("PutBucketLifecycleConfiguration")
	m.verifyInput("PutBucketLifecycleConfiguration", param0)
	return m.PutBucketLifecycleConfigurationFunc(param0)
}

func (m *s3Mock) PutBucketLifecycleConfigurationRequest(param0 *s3.PutBucketLifecycleConfigurationInput) (*request.Request, *s3.PutBucketLifecycleConfigurationOutput) {
	m.addCall("PutBucketLifecycleConfigurationRequest")
	m.verifyInput("PutBucketLifecycleConfigurationRequest", param0)
	return m.PutBucketLifecycleConfigurationRequestFunc(param0)
}

func (m *s3Mock) PutBucketLifecycleConfigurationWithContext(param0 aws.Context, param1 *s3.PutBucketLifecycleConfigurationInput, param2 ...request.Option) (*s3.PutBucketLifecycleConfigurationOutput, error) {
	m.addCall("PutBucketLifecycleConfigurationWithContext")
	m.verifyInput("PutBucketLifecycleConfigurationWithContext", param0)
	return m.PutBucketLifecycleConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketLifecycleRequest(param0 *s3.PutBucketLifecycleInput) (*request.Request, *s3.PutBucketLifecycleOutput) {
	m.addCall("PutBucketLifecycleRequest")
	m.verifyInput("PutBucketLifecycleRequest", param0)
	return m.PutBucketLifecycleRequestFunc(param0)
}

func (m *s3Mock) PutBucketLifecycleWithContext(param0 aws.Context, param1 *s3.PutBucketLifecycleInput, param2 ...request.Option) (*s3.PutBucketLifecycleOutput, error) {
	m.addCall("PutBucketLifecycleWithContext")
	m.verifyInput("PutBucketLifecycleWithContext", param0)
	return m.PutBucketLifecycleWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketLogging(param0 *s3.PutBucketLoggingInput) (*s3.PutBucketLoggingOutput, error) {
	m.addCall("PutBucketLogging")
	m.verifyInput("PutBucketLogging", param0)
	return m.PutBucketLoggingFunc(param0)
}

func (m *s3Mock) PutBucketLoggingRequest(param0 *s3.PutBucketLoggingInput) (*request.Request, *s3.PutBucketLoggingOutput) {
	m.addCall("PutBucketLoggingRequest")
	m.verifyInput("PutBucketLoggingRequest", param0)
	return m.PutBucketLoggingRequestFunc(param0)
}

func (m *s3Mock) PutBucketLoggingWithContext(param0 aws.Context, param1 *s3.PutBucketLoggingInput, param2 ...request.Option) (*s3.PutBucketLoggingOutput, error) {
	m.addCall("PutBucketLoggingWithContext")
	m.verifyInput("PutBucketLoggingWithContext", param0)
	return m.PutBucketLoggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketMetricsConfiguration(param0 *s3.PutBucketMetricsConfigurationInput) (*s3.PutBucketMetricsConfigurationOutput, error) {
	m.addCall("PutBucketMetricsConfiguration")
	m.verifyInput("PutBucketMetricsConfiguration", param0)
	return m.PutBucketMetricsConfigurationFunc(param0)
}

func (m *s3Mock) PutBucketMetricsConfigurationRequest(param0 *s3.PutBucketMetricsConfigurationInput) (*request.Request, *s3.PutBucketMetricsConfigurationOutput) {
	m.addCall("PutBucketMetricsConfigurationRequest")
	m.verifyInput("PutBucketMetricsConfigurationRequest", param0)
	return m.PutBucketMetricsConfigurationRequestFunc(param0)
}

func (m *s3Mock) PutBucketMetricsConfigurationWithContext(param0 aws.Context, param1 *s3.PutBucketMetricsConfigurationInput, param2 ...request.Option) (*s3.PutBucketMetricsConfigurationOutput, error) {
	m.addCall("PutBucketMetricsConfigurationWithContext")
	m.verifyInput("PutBucketMetricsConfigurationWithContext", param0)
	return m.PutBucketMetricsConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketNotification(param0 *s3.PutBucketNotificationInput) (*s3.PutBucketNotificationOutput, error) {
	m.addCall("PutBucketNotification")
	m.verifyInput("PutBucketNotification", param0)
	return m.PutBucketNotificationFunc(param0)
}

func (m *s3Mock) PutBucketNotificationConfiguration(param0 *s3.PutBucketNotificationConfigurationInput) (*s3.PutBucketNotificationConfigurationOutput, error) {
	m.addCall("PutBucketNotificationConfiguration")
	m.verifyInput("PutBucketNotificationConfiguration", param0)
	return m.PutBucketNotificationConfigurationFunc(param0)
}

func (m *s3Mock) PutBucketNotificationConfigurationRequest(param0 *s3.PutBucketNotificationConfigurationInput) (*request.Request, *s3.PutBucketNotificationConfigurationOutput) {
	m.addCall("PutBucketNotificationConfigurationRequest")
	m.verifyInput("PutBucketNotificationConfigurationRequest", param0)
	return m.PutBucketNotificationConfigurationRequestFunc(param0)
}

func (m *s3Mock) PutBucketNotificationConfigurationWithContext(param0 aws.Context, param1 *s3.PutBucketNotificationConfigurationInput, param2 ...request.Option) (*s3.PutBucketNotificationConfigurationOutput, error) {
	m.addCall("PutBucketNotificationConfigurationWithContext")
	m.verifyInput("PutBucketNotificationConfigurationWithContext", param0)
	return m.PutBucketNotificationConfigurationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketNotificationRequest(param0 *s3.PutBucketNotificationInput) (*request.Request, *s3.PutBucketNotificationOutput) {
	m.addCall("PutBucketNotificationRequest")
	m.verifyInput("PutBucketNotificationRequest", param0)
	return m.PutBucketNotificationRequestFunc(param0)
}

func (m *s3Mock) PutBucketNotificationWithContext(param0 aws.Context, param1 *s3.PutBucketNotificationInput, param2 ...request.Option) (*s3.PutBucketNotificationOutput, error) {
	m.addCall("PutBucketNotificationWithContext")
	m.verifyInput("PutBucketNotificationWithContext", param0)
	return m.PutBucketNotificationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketPolicy(param0 *s3.PutBucketPolicyInput) (*s3.PutBucketPolicyOutput, error) {
	m.addCall("PutBucketPolicy")
	m.verifyInput("PutBucketPolicy", param0)
	return m.PutBucketPolicyFunc(param0)
}

func (m *s3Mock) PutBucketPolicyRequest(param0 *s3.PutBucketPolicyInput) (*request.Request, *s3.PutBucketPolicyOutput) {
	m.addCall("PutBucketPolicyRequest")
	m.verifyInput("PutBucketPolicyRequest", param0)
	return m.PutBucketPolicyRequestFunc(param0)
}

func (m *s3Mock) PutBucketPolicyWithContext(param0 aws.Context, param1 *s3.PutBucketPolicyInput, param2 ...request.Option) (*s3.PutBucketPolicyOutput, error) {
	m.addCall("PutBucketPolicyWithContext")
	m.verifyInput("PutBucketPolicyWithContext", param0)
	return m.PutBucketPolicyWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketReplication(param0 *s3.PutBucketReplicationInput) (*s3.PutBucketReplicationOutput, error) {
	m.addCall("PutBucketReplication")
	m.verifyInput("PutBucketReplication", param0)
	return m.PutBucketReplicationFunc(param0)
}

func (m *s3Mock) PutBucketReplicationRequest(param0 *s3.PutBucketReplicationInput) (*request.Request, *s3.PutBucketReplicationOutput) {
	m.addCall("PutBucketReplicationRequest")
	m.verifyInput("PutBucketReplicationRequest", param0)
	return m.PutBucketReplicationRequestFunc(param0)
}

func (m *s3Mock) PutBucketReplicationWithContext(param0 aws.Context, param1 *s3.PutBucketReplicationInput, param2 ...request.Option) (*s3.PutBucketReplicationOutput, error) {
	m.addCall("PutBucketReplicationWithContext")
	m.verifyInput("PutBucketReplicationWithContext", param0)
	return m.PutBucketReplicationWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketRequestPayment(param0 *s3.PutBucketRequestPaymentInput) (*s3.PutBucketRequestPaymentOutput, error) {
	m.addCall("PutBucketRequestPayment")
	m.verifyInput("PutBucketRequestPayment", param0)
	return m.PutBucketRequestPaymentFunc(param0)
}

func (m *s3Mock) PutBucketRequestPaymentRequest(param0 *s3.PutBucketRequestPaymentInput) (*request.Request, *s3.PutBucketRequestPaymentOutput) {
	m.addCall("PutBucketRequestPaymentRequest")
	m.verifyInput("PutBucketRequestPaymentRequest", param0)
	return m.PutBucketRequestPaymentRequestFunc(param0)
}

func (m *s3Mock) PutBucketRequestPaymentWithContext(param0 aws.Context, param1 *s3.PutBucketRequestPaymentInput, param2 ...request.Option) (*s3.PutBucketRequestPaymentOutput, error) {
	m.addCall("PutBucketRequestPaymentWithContext")
	m.verifyInput("PutBucketRequestPaymentWithContext", param0)
	return m.PutBucketRequestPaymentWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketTagging(param0 *s3.PutBucketTaggingInput) (*s3.PutBucketTaggingOutput, error) {
	m.addCall("PutBucketTagging")
	m.verifyInput("PutBucketTagging", param0)
	return m.PutBucketTaggingFunc(param0)
}

func (m *s3Mock) PutBucketTaggingRequest(param0 *s3.PutBucketTaggingInput) (*request.Request, *s3.PutBucketTaggingOutput) {
	m.addCall("PutBucketTaggingRequest")
	m.verifyInput("PutBucketTaggingRequest", param0)
	return m.PutBucketTaggingRequestFunc(param0)
}

func (m *s3Mock) PutBucketTaggingWithContext(param0 aws.Context, param1 *s3.PutBucketTaggingInput, param2 ...request.Option) (*s3.PutBucketTaggingOutput, error) {
	m.addCall("PutBucketTaggingWithContext")
	m.verifyInput("PutBucketTaggingWithContext", param0)
	return m.PutBucketTaggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketVersioning(param0 *s3.PutBucketVersioningInput) (*s3.PutBucketVersioningOutput, error) {
	m.addCall("PutBucketVersioning")
	m.verifyInput("PutBucketVersioning", param0)
	return m.PutBucketVersioningFunc(param0)
}

func (m *s3Mock) PutBucketVersioningRequest(param0 *s3.PutBucketVersioningInput) (*request.Request, *s3.PutBucketVersioningOutput) {
	m.addCall("PutBucketVersioningRequest")
	m.verifyInput("PutBucketVersioningRequest", param0)
	return m.PutBucketVersioningRequestFunc(param0)
}

func (m *s3Mock) PutBucketVersioningWithContext(param0 aws.Context, param1 *s3.PutBucketVersioningInput, param2 ...request.Option) (*s3.PutBucketVersioningOutput, error) {
	m.addCall("PutBucketVersioningWithContext")
	m.verifyInput("PutBucketVersioningWithContext", param0)
	return m.PutBucketVersioningWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutBucketWebsite(param0 *s3.PutBucketWebsiteInput) (*s3.PutBucketWebsiteOutput, error) {
	m.addCall("PutBucketWebsite")
	m.verifyInput("PutBucketWebsite", param0)
	return m.PutBucketWebsiteFunc(param0)
}

func (m *s3Mock) PutBucketWebsiteRequest(param0 *s3.PutBucketWebsiteInput) (*request.Request, *s3.PutBucketWebsiteOutput) {
	m.addCall("PutBucketWebsiteRequest")
	m.verifyInput("PutBucketWebsiteRequest", param0)
	return m.PutBucketWebsiteRequestFunc(param0)
}

func (m *s3Mock) PutBucketWebsiteWithContext(param0 aws.Context, param1 *s3.PutBucketWebsiteInput, param2 ...request.Option) (*s3.PutBucketWebsiteOutput, error) {
	m.addCall("PutBucketWebsiteWithContext")
	m.verifyInput("PutBucketWebsiteWithContext", param0)
	return m.PutBucketWebsiteWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutObject(param0 *s3.PutObjectInput) (*s3.PutObjectOutput, error) {
	m.addCall("PutObject")
	m.verifyInput("PutObject", param0)
	return m.PutObjectFunc(param0)
}

func (m *s3Mock) PutObjectAcl(param0 *s3.PutObjectAclInput) (*s3.PutObjectAclOutput, error) {
	m.addCall("PutObjectAcl")
	m.verifyInput("PutObjectAcl", param0)
	return m.PutObjectAclFunc(param0)
}

func (m *s3Mock) PutObjectAclRequest(param0 *s3.PutObjectAclInput) (*request.Request, *s3.PutObjectAclOutput) {
	m.addCall("PutObjectAclRequest")
	m.verifyInput("PutObjectAclRequest", param0)
	return m.PutObjectAclRequestFunc(param0)
}

func (m *s3Mock) PutObjectAclWithContext(param0 aws.Context, param1 *s3.PutObjectAclInput, param2 ...request.Option) (*s3.PutObjectAclOutput, error) {
	m.addCall("PutObjectAclWithContext")
	m.verifyInput("PutObjectAclWithContext", param0)
	return m.PutObjectAclWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutObjectRequest(param0 *s3.PutObjectInput) (*request.Request, *s3.PutObjectOutput) {
	m.addCall("PutObjectRequest")
	m.verifyInput("PutObjectRequest", param0)
	return m.PutObjectRequestFunc(param0)
}

func (m *s3Mock) PutObjectTagging(param0 *s3.PutObjectTaggingInput) (*s3.PutObjectTaggingOutput, error) {
	m.addCall("PutObjectTagging")
	m.verifyInput("PutObjectTagging", param0)
	return m.PutObjectTaggingFunc(param0)
}

func (m *s3Mock) PutObjectTaggingRequest(param0 *s3.PutObjectTaggingInput) (*request.Request, *s3.PutObjectTaggingOutput) {
	m.addCall("PutObjectTaggingRequest")
	m.verifyInput("PutObjectTaggingRequest", param0)
	return m.PutObjectTaggingRequestFunc(param0)
}

func (m *s3Mock) PutObjectTaggingWithContext(param0 aws.Context, param1 *s3.PutObjectTaggingInput, param2 ...request.Option) (*s3.PutObjectTaggingOutput, error) {
	m.addCall("PutObjectTaggingWithContext")
	m.verifyInput("PutObjectTaggingWithContext", param0)
	return m.PutObjectTaggingWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) PutObjectWithContext(param0 aws.Context, param1 *s3.PutObjectInput, param2 ...request.Option) (*s3.PutObjectOutput, error) {
	m.addCall("PutObjectWithContext")
	m.verifyInput("PutObjectWithContext", param0)
	return m.PutObjectWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) RestoreObject(param0 *s3.RestoreObjectInput) (*s3.RestoreObjectOutput, error) {
	m.addCall("RestoreObject")
	m.verifyInput("RestoreObject", param0)
	return m.RestoreObjectFunc(param0)
}

func (m *s3Mock) RestoreObjectRequest(param0 *s3.RestoreObjectInput) (*request.Request, *s3.RestoreObjectOutput) {
	m.addCall("RestoreObjectRequest")
	m.verifyInput("RestoreObjectRequest", param0)
	return m.RestoreObjectRequestFunc(param0)
}

func (m *s3Mock) RestoreObjectWithContext(param0 aws.Context, param1 *s3.RestoreObjectInput, param2 ...request.Option) (*s3.RestoreObjectOutput, error) {
	m.addCall("RestoreObjectWithContext")
	m.verifyInput("RestoreObjectWithContext", param0)
	return m.RestoreObjectWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) UploadPart(param0 *s3.UploadPartInput) (*s3.UploadPartOutput, error) {
	m.addCall("UploadPart")
	m.verifyInput("UploadPart", param0)
	return m.UploadPartFunc(param0)
}

func (m *s3Mock) UploadPartCopy(param0 *s3.UploadPartCopyInput) (*s3.UploadPartCopyOutput, error) {
	m.addCall("UploadPartCopy")
	m.verifyInput("UploadPartCopy", param0)
	return m.UploadPartCopyFunc(param0)
}

func (m *s3Mock) UploadPartCopyRequest(param0 *s3.UploadPartCopyInput) (*request.Request, *s3.UploadPartCopyOutput) {
	m.addCall("UploadPartCopyRequest")
	m.verifyInput("UploadPartCopyRequest", param0)
	return m.UploadPartCopyRequestFunc(param0)
}

func (m *s3Mock) UploadPartCopyWithContext(param0 aws.Context, param1 *s3.UploadPartCopyInput, param2 ...request.Option) (*s3.UploadPartCopyOutput, error) {
	m.addCall("UploadPartCopyWithContext")
	m.verifyInput("UploadPartCopyWithContext", param0)
	return m.UploadPartCopyWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) UploadPartRequest(param0 *s3.UploadPartInput) (*request.Request, *s3.UploadPartOutput) {
	m.addCall("UploadPartRequest")
	m.verifyInput("UploadPartRequest", param0)
	return m.UploadPartRequestFunc(param0)
}

func (m *s3Mock) UploadPartWithContext(param0 aws.Context, param1 *s3.UploadPartInput, param2 ...request.Option) (*s3.UploadPartOutput, error) {
	m.addCall("UploadPartWithContext")
	m.verifyInput("UploadPartWithContext", param0)
	return m.UploadPartWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) WaitUntilBucketExists(param0 *s3.HeadBucketInput) error {
	m.addCall("WaitUntilBucketExists")
	m.verifyInput("WaitUntilBucketExists", param0)
	return m.WaitUntilBucketExistsFunc(param0)
}

func (m *s3Mock) WaitUntilBucketExistsWithContext(param0 aws.Context, param1 *s3.HeadBucketInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilBucketExistsWithContext")
	m.verifyInput("WaitUntilBucketExistsWithContext", param0)
	return m.WaitUntilBucketExistsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) WaitUntilBucketNotExists(param0 *s3.HeadBucketInput) error {
	m.addCall("WaitUntilBucketNotExists")
	m.verifyInput("WaitUntilBucketNotExists", param0)
	return m.WaitUntilBucketNotExistsFunc(param0)
}

func (m *s3Mock) WaitUntilBucketNotExistsWithContext(param0 aws.Context, param1 *s3.HeadBucketInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilBucketNotExistsWithContext")
	m.verifyInput("WaitUntilBucketNotExistsWithContext", param0)
	return m.WaitUntilBucketNotExistsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) WaitUntilObjectExists(param0 *s3.HeadObjectInput) error {
	m.addCall("WaitUntilObjectExists")
	m.verifyInput("WaitUntilObjectExists", param0)
	return m.WaitUntilObjectExistsFunc(param0)
}

func (m *s3Mock) WaitUntilObjectExistsWithContext(param0 aws.Context, param1 *s3.HeadObjectInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilObjectExistsWithContext")
	m.verifyInput("WaitUntilObjectExistsWithContext", param0)
	return m.WaitUntilObjectExistsWithContextFunc(param0, param1, param2...)
}

func (m *s3Mock) WaitUntilObjectNotExists(param0 *s3.HeadObjectInput) error {
	m.addCall("WaitUntilObjectNotExists")
	m.verifyInput("WaitUntilObjectNotExists", param0)
	return m.WaitUntilObjectNotExistsFunc(param0)
}

func (m *s3Mock) WaitUntilObjectNotExistsWithContext(param0 aws.Context, param1 *s3.HeadObjectInput, param2 ...request.WaiterOption) error {
	m.addCall("WaitUntilObjectNotExistsWithContext")
	m.verifyInput("WaitUntilObjectNotExistsWithContext", param0)
	return m.WaitUntilObjectNotExistsWithContextFunc(param0, param1, param2...)
}

type snsMock struct {
	basicMock
	snsiface.SNSAPI
	AddPermissionFunc                                 func(param0 *sns.AddPermissionInput) (*sns.AddPermissionOutput, error)
	AddPermissionRequestFunc                          func(param0 *sns.AddPermissionInput) (*request.Request, *sns.AddPermissionOutput)
	AddPermissionWithContextFunc                      func(param0 aws.Context, param1 *sns.AddPermissionInput, param2 ...request.Option) (*sns.AddPermissionOutput, error)
	CheckIfPhoneNumberIsOptedOutFunc                  func(param0 *sns.CheckIfPhoneNumberIsOptedOutInput) (*sns.CheckIfPhoneNumberIsOptedOutOutput, error)
	CheckIfPhoneNumberIsOptedOutRequestFunc           func(param0 *sns.CheckIfPhoneNumberIsOptedOutInput) (*request.Request, *sns.CheckIfPhoneNumberIsOptedOutOutput)
	CheckIfPhoneNumberIsOptedOutWithContextFunc       func(param0 aws.Context, param1 *sns.CheckIfPhoneNumberIsOptedOutInput, param2 ...request.Option) (*sns.CheckIfPhoneNumberIsOptedOutOutput, error)
	ConfirmSubscriptionFunc                           func(param0 *sns.ConfirmSubscriptionInput) (*sns.ConfirmSubscriptionOutput, error)
	ConfirmSubscriptionRequestFunc                    func(param0 *sns.ConfirmSubscriptionInput) (*request.Request, *sns.ConfirmSubscriptionOutput)
	ConfirmSubscriptionWithContextFunc                func(param0 aws.Context, param1 *sns.ConfirmSubscriptionInput, param2 ...request.Option) (*sns.ConfirmSubscriptionOutput, error)
	CreatePlatformApplicationFunc                     func(param0 *sns.CreatePlatformApplicationInput) (*sns.CreatePlatformApplicationOutput, error)
	CreatePlatformApplicationRequestFunc              func(param0 *sns.CreatePlatformApplicationInput) (*request.Request, *sns.CreatePlatformApplicationOutput)
	CreatePlatformApplicationWithContextFunc          func(param0 aws.Context, param1 *sns.CreatePlatformApplicationInput, param2 ...request.Option) (*sns.CreatePlatformApplicationOutput, error)
	CreatePlatformEndpointFunc                        func(param0 *sns.CreatePlatformEndpointInput) (*sns.CreatePlatformEndpointOutput, error)
	CreatePlatformEndpointRequestFunc                 func(param0 *sns.CreatePlatformEndpointInput) (*request.Request, *sns.CreatePlatformEndpointOutput)
	CreatePlatformEndpointWithContextFunc             func(param0 aws.Context, param1 *sns.CreatePlatformEndpointInput, param2 ...request.Option) (*sns.CreatePlatformEndpointOutput, error)
	CreateTopicFunc                                   func(param0 *sns.CreateTopicInput) (*sns.CreateTopicOutput, error)
	CreateTopicRequestFunc                            func(param0 *sns.CreateTopicInput) (*request.Request, *sns.CreateTopicOutput)
	CreateTopicWithContextFunc                        func(param0 aws.Context, param1 *sns.CreateTopicInput, param2 ...request.Option) (*sns.CreateTopicOutput, error)
	DeleteEndpointFunc                                func(param0 *sns.DeleteEndpointInput) (*sns.DeleteEndpointOutput, error)
	DeleteEndpointRequestFunc                         func(param0 *sns.DeleteEndpointInput) (*request.Request, *sns.DeleteEndpointOutput)
	DeleteEndpointWithContextFunc                     func(param0 aws.Context, param1 *sns.DeleteEndpointInput, param2 ...request.Option) (*sns.DeleteEndpointOutput, error)
	DeletePlatformApplicationFunc                     func(param0 *sns.DeletePlatformApplicationInput) (*sns.DeletePlatformApplicationOutput, error)
	DeletePlatformApplicationRequestFunc              func(param0 *sns.DeletePlatformApplicationInput) (*request.Request, *sns.DeletePlatformApplicationOutput)
	DeletePlatformApplicationWithContextFunc          func(param0 aws.Context, param1 *sns.DeletePlatformApplicationInput, param2 ...request.Option) (*sns.DeletePlatformApplicationOutput, error)
	DeleteTopicFunc                                   func(param0 *sns.DeleteTopicInput) (*sns.DeleteTopicOutput, error)
	DeleteTopicRequestFunc                            func(param0 *sns.DeleteTopicInput) (*request.Request, *sns.DeleteTopicOutput)
	DeleteTopicWithContextFunc                        func(param0 aws.Context, param1 *sns.DeleteTopicInput, param2 ...request.Option) (*sns.DeleteTopicOutput, error)
	GetEndpointAttributesFunc                         func(param0 *sns.GetEndpointAttributesInput) (*sns.GetEndpointAttributesOutput, error)
	GetEndpointAttributesRequestFunc                  func(param0 *sns.GetEndpointAttributesInput) (*request.Request, *sns.GetEndpointAttributesOutput)
	GetEndpointAttributesWithContextFunc              func(param0 aws.Context, param1 *sns.GetEndpointAttributesInput, param2 ...request.Option) (*sns.GetEndpointAttributesOutput, error)
	GetPlatformApplicationAttributesFunc              func(param0 *sns.GetPlatformApplicationAttributesInput) (*sns.GetPlatformApplicationAttributesOutput, error)
	GetPlatformApplicationAttributesRequestFunc       func(param0 *sns.GetPlatformApplicationAttributesInput) (*request.Request, *sns.GetPlatformApplicationAttributesOutput)
	GetPlatformApplicationAttributesWithContextFunc   func(param0 aws.Context, param1 *sns.GetPlatformApplicationAttributesInput, param2 ...request.Option) (*sns.GetPlatformApplicationAttributesOutput, error)
	GetSMSAttributesFunc                              func(param0 *sns.GetSMSAttributesInput) (*sns.GetSMSAttributesOutput, error)
	GetSMSAttributesRequestFunc                       func(param0 *sns.GetSMSAttributesInput) (*request.Request, *sns.GetSMSAttributesOutput)
	GetSMSAttributesWithContextFunc                   func(param0 aws.Context, param1 *sns.GetSMSAttributesInput, param2 ...request.Option) (*sns.GetSMSAttributesOutput, error)
	GetSubscriptionAttributesFunc                     func(param0 *sns.GetSubscriptionAttributesInput) (*sns.GetSubscriptionAttributesOutput, error)
	GetSubscriptionAttributesRequestFunc              func(param0 *sns.GetSubscriptionAttributesInput) (*request.Request, *sns.GetSubscriptionAttributesOutput)
	GetSubscriptionAttributesWithContextFunc          func(param0 aws.Context, param1 *sns.GetSubscriptionAttributesInput, param2 ...request.Option) (*sns.GetSubscriptionAttributesOutput, error)
	GetTopicAttributesFunc                            func(param0 *sns.GetTopicAttributesInput) (*sns.GetTopicAttributesOutput, error)
	GetTopicAttributesRequestFunc                     func(param0 *sns.GetTopicAttributesInput) (*request.Request, *sns.GetTopicAttributesOutput)
	GetTopicAttributesWithContextFunc                 func(param0 aws.Context, param1 *sns.GetTopicAttributesInput, param2 ...request.Option) (*sns.GetTopicAttributesOutput, error)
	ListEndpointsByPlatformApplicationFunc            func(param0 *sns.ListEndpointsByPlatformApplicationInput) (*sns.ListEndpointsByPlatformApplicationOutput, error)
	ListEndpointsByPlatformApplicationRequestFunc     func(param0 *sns.ListEndpointsByPlatformApplicationInput) (*request.Request, *sns.ListEndpointsByPlatformApplicationOutput)
	ListEndpointsByPlatformApplicationWithContextFunc func(param0 aws.Context, param1 *sns.ListEndpointsByPlatformApplicationInput, param2 ...request.Option) (*sns.ListEndpointsByPlatformApplicationOutput, error)
	ListPhoneNumbersOptedOutFunc                      func(param0 *sns.ListPhoneNumbersOptedOutInput) (*sns.ListPhoneNumbersOptedOutOutput, error)
	ListPhoneNumbersOptedOutRequestFunc               func(param0 *sns.ListPhoneNumbersOptedOutInput) (*request.Request, *sns.ListPhoneNumbersOptedOutOutput)
	ListPhoneNumbersOptedOutWithContextFunc           func(param0 aws.Context, param1 *sns.ListPhoneNumbersOptedOutInput, param2 ...request.Option) (*sns.ListPhoneNumbersOptedOutOutput, error)
	ListPlatformApplicationsFunc                      func(param0 *sns.ListPlatformApplicationsInput) (*sns.ListPlatformApplicationsOutput, error)
	ListPlatformApplicationsRequestFunc               func(param0 *sns.ListPlatformApplicationsInput) (*request.Request, *sns.ListPlatformApplicationsOutput)
	ListPlatformApplicationsWithContextFunc           func(param0 aws.Context, param1 *sns.ListPlatformApplicationsInput, param2 ...request.Option) (*sns.ListPlatformApplicationsOutput, error)
	ListSubscriptionsFunc                             func(param0 *sns.ListSubscriptionsInput) (*sns.ListSubscriptionsOutput, error)
	ListSubscriptionsByTopicFunc                      func(param0 *sns.ListSubscriptionsByTopicInput) (*sns.ListSubscriptionsByTopicOutput, error)
	ListSubscriptionsByTopicRequestFunc               func(param0 *sns.ListSubscriptionsByTopicInput) (*request.Request, *sns.ListSubscriptionsByTopicOutput)
	ListSubscriptionsByTopicWithContextFunc           func(param0 aws.Context, param1 *sns.ListSubscriptionsByTopicInput, param2 ...request.Option) (*sns.ListSubscriptionsByTopicOutput, error)
	ListSubscriptionsRequestFunc                      func(param0 *sns.ListSubscriptionsInput) (*request.Request, *sns.ListSubscriptionsOutput)
	ListSubscriptionsWithContextFunc                  func(param0 aws.Context, param1 *sns.ListSubscriptionsInput, param2 ...request.Option) (*sns.ListSubscriptionsOutput, error)
	ListTopicsFunc                                    func(param0 *sns.ListTopicsInput) (*sns.ListTopicsOutput, error)
	ListTopicsRequestFunc                             func(param0 *sns.ListTopicsInput) (*request.Request, *sns.ListTopicsOutput)
	ListTopicsWithContextFunc                         func(param0 aws.Context, param1 *sns.ListTopicsInput, param2 ...request.Option) (*sns.ListTopicsOutput, error)
	OptInPhoneNumberFunc                              func(param0 *sns.OptInPhoneNumberInput) (*sns.OptInPhoneNumberOutput, error)
	OptInPhoneNumberRequestFunc                       func(param0 *sns.OptInPhoneNumberInput) (*request.Request, *sns.OptInPhoneNumberOutput)
	OptInPhoneNumberWithContextFunc                   func(param0 aws.Context, param1 *sns.OptInPhoneNumberInput, param2 ...request.Option) (*sns.OptInPhoneNumberOutput, error)
	PublishFunc                                       func(param0 *sns.PublishInput) (*sns.PublishOutput, error)
	PublishRequestFunc                                func(param0 *sns.PublishInput) (*request.Request, *sns.PublishOutput)
	PublishWithContextFunc                            func(param0 aws.Context, param1 *sns.PublishInput, param2 ...request.Option) (*sns.PublishOutput, error)
	RemovePermissionFunc                              func(param0 *sns.RemovePermissionInput) (*sns.RemovePermissionOutput, error)
	RemovePermissionRequestFunc                       func(param0 *sns.RemovePermissionInput) (*request.Request, *sns.RemovePermissionOutput)
	RemovePermissionWithContextFunc                   func(param0 aws.Context, param1 *sns.RemovePermissionInput, param2 ...request.Option) (*sns.RemovePermissionOutput, error)
	SetEndpointAttributesFunc                         func(param0 *sns.SetEndpointAttributesInput) (*sns.SetEndpointAttributesOutput, error)
	SetEndpointAttributesRequestFunc                  func(param0 *sns.SetEndpointAttributesInput) (*request.Request, *sns.SetEndpointAttributesOutput)
	SetEndpointAttributesWithContextFunc              func(param0 aws.Context, param1 *sns.SetEndpointAttributesInput, param2 ...request.Option) (*sns.SetEndpointAttributesOutput, error)
	SetPlatformApplicationAttributesFunc              func(param0 *sns.SetPlatformApplicationAttributesInput) (*sns.SetPlatformApplicationAttributesOutput, error)
	SetPlatformApplicationAttributesRequestFunc       func(param0 *sns.SetPlatformApplicationAttributesInput) (*request.Request, *sns.SetPlatformApplicationAttributesOutput)
	SetPlatformApplicationAttributesWithContextFunc   func(param0 aws.Context, param1 *sns.SetPlatformApplicationAttributesInput, param2 ...request.Option) (*sns.SetPlatformApplicationAttributesOutput, error)
	SetSMSAttributesFunc                              func(param0 *sns.SetSMSAttributesInput) (*sns.SetSMSAttributesOutput, error)
	SetSMSAttributesRequestFunc                       func(param0 *sns.SetSMSAttributesInput) (*request.Request, *sns.SetSMSAttributesOutput)
	SetSMSAttributesWithContextFunc                   func(param0 aws.Context, param1 *sns.SetSMSAttributesInput, param2 ...request.Option) (*sns.SetSMSAttributesOutput, error)
	SetSubscriptionAttributesFunc                     func(param0 *sns.SetSubscriptionAttributesInput) (*sns.SetSubscriptionAttributesOutput, error)
	SetSubscriptionAttributesRequestFunc              func(param0 *sns.SetSubscriptionAttributesInput) (*request.Request, *sns.SetSubscriptionAttributesOutput)
	SetSubscriptionAttributesWithContextFunc          func(param0 aws.Context, param1 *sns.SetSubscriptionAttributesInput, param2 ...request.Option) (*sns.SetSubscriptionAttributesOutput, error)
	SetTopicAttributesFunc                            func(param0 *sns.SetTopicAttributesInput) (*sns.SetTopicAttributesOutput, error)
	SetTopicAttributesRequestFunc                     func(param0 *sns.SetTopicAttributesInput) (*request.Request, *sns.SetTopicAttributesOutput)
	SetTopicAttributesWithContextFunc                 func(param0 aws.Context, param1 *sns.SetTopicAttributesInput, param2 ...request.Option) (*sns.SetTopicAttributesOutput, error)
	SubscribeFunc                                     func(param0 *sns.SubscribeInput) (*sns.SubscribeOutput, error)
	SubscribeRequestFunc                              func(param0 *sns.SubscribeInput) (*request.Request, *sns.SubscribeOutput)
	SubscribeWithContextFunc                          func(param0 aws.Context, param1 *sns.SubscribeInput, param2 ...request.Option) (*sns.SubscribeOutput, error)
	UnsubscribeFunc                                   func(param0 *sns.UnsubscribeInput) (*sns.UnsubscribeOutput, error)
	UnsubscribeRequestFunc                            func(param0 *sns.UnsubscribeInput) (*request.Request, *sns.UnsubscribeOutput)
	UnsubscribeWithContextFunc                        func(param0 aws.Context, param1 *sns.UnsubscribeInput, param2 ...request.Option) (*sns.UnsubscribeOutput, error)
}

func (m *snsMock) AddPermission(param0 *sns.AddPermissionInput) (*sns.AddPermissionOutput, error) {
	m.addCall("AddPermission")
	m.verifyInput("AddPermission", param0)
	return m.AddPermissionFunc(param0)
}

func (m *snsMock) AddPermissionRequest(param0 *sns.AddPermissionInput) (*request.Request, *sns.AddPermissionOutput) {
	m.addCall("AddPermissionRequest")
	m.verifyInput("AddPermissionRequest", param0)
	return m.AddPermissionRequestFunc(param0)
}

func (m *snsMock) AddPermissionWithContext(param0 aws.Context, param1 *sns.AddPermissionInput, param2 ...request.Option) (*sns.AddPermissionOutput, error) {
	m.addCall("AddPermissionWithContext")
	m.verifyInput("AddPermissionWithContext", param0)
	return m.AddPermissionWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) CheckIfPhoneNumberIsOptedOut(param0 *sns.CheckIfPhoneNumberIsOptedOutInput) (*sns.CheckIfPhoneNumberIsOptedOutOutput, error) {
	m.addCall("CheckIfPhoneNumberIsOptedOut")
	m.verifyInput("CheckIfPhoneNumberIsOptedOut", param0)
	return m.CheckIfPhoneNumberIsOptedOutFunc(param0)
}

func (m *snsMock) CheckIfPhoneNumberIsOptedOutRequest(param0 *sns.CheckIfPhoneNumberIsOptedOutInput) (*request.Request, *sns.CheckIfPhoneNumberIsOptedOutOutput) {
	m.addCall("CheckIfPhoneNumberIsOptedOutRequest")
	m.verifyInput("CheckIfPhoneNumberIsOptedOutRequest", param0)
	return m.CheckIfPhoneNumberIsOptedOutRequestFunc(param0)
}

func (m *snsMock) CheckIfPhoneNumberIsOptedOutWithContext(param0 aws.Context, param1 *sns.CheckIfPhoneNumberIsOptedOutInput, param2 ...request.Option) (*sns.CheckIfPhoneNumberIsOptedOutOutput, error) {
	m.addCall("CheckIfPhoneNumberIsOptedOutWithContext")
	m.verifyInput("CheckIfPhoneNumberIsOptedOutWithContext", param0)
	return m.CheckIfPhoneNumberIsOptedOutWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ConfirmSubscription(param0 *sns.ConfirmSubscriptionInput) (*sns.ConfirmSubscriptionOutput, error) {
	m.addCall("ConfirmSubscription")
	m.verifyInput("ConfirmSubscription", param0)
	return m.ConfirmSubscriptionFunc(param0)
}

func (m *snsMock) ConfirmSubscriptionRequest(param0 *sns.ConfirmSubscriptionInput) (*request.Request, *sns.ConfirmSubscriptionOutput) {
	m.addCall("ConfirmSubscriptionRequest")
	m.verifyInput("ConfirmSubscriptionRequest", param0)
	return m.ConfirmSubscriptionRequestFunc(param0)
}

func (m *snsMock) ConfirmSubscriptionWithContext(param0 aws.Context, param1 *sns.ConfirmSubscriptionInput, param2 ...request.Option) (*sns.ConfirmSubscriptionOutput, error) {
	m.addCall("ConfirmSubscriptionWithContext")
	m.verifyInput("ConfirmSubscriptionWithContext", param0)
	return m.ConfirmSubscriptionWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) CreatePlatformApplication(param0 *sns.CreatePlatformApplicationInput) (*sns.CreatePlatformApplicationOutput, error) {
	m.addCall("CreatePlatformApplication")
	m.verifyInput("CreatePlatformApplication", param0)
	return m.CreatePlatformApplicationFunc(param0)
}

func (m *snsMock) CreatePlatformApplicationRequest(param0 *sns.CreatePlatformApplicationInput) (*request.Request, *sns.CreatePlatformApplicationOutput) {
	m.addCall("CreatePlatformApplicationRequest")
	m.verifyInput("CreatePlatformApplicationRequest", param0)
	return m.CreatePlatformApplicationRequestFunc(param0)
}

func (m *snsMock) CreatePlatformApplicationWithContext(param0 aws.Context, param1 *sns.CreatePlatformApplicationInput, param2 ...request.Option) (*sns.CreatePlatformApplicationOutput, error) {
	m.addCall("CreatePlatformApplicationWithContext")
	m.verifyInput("CreatePlatformApplicationWithContext", param0)
	return m.CreatePlatformApplicationWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) CreatePlatformEndpoint(param0 *sns.CreatePlatformEndpointInput) (*sns.CreatePlatformEndpointOutput, error) {
	m.addCall("CreatePlatformEndpoint")
	m.verifyInput("CreatePlatformEndpoint", param0)
	return m.CreatePlatformEndpointFunc(param0)
}

func (m *snsMock) CreatePlatformEndpointRequest(param0 *sns.CreatePlatformEndpointInput) (*request.Request, *sns.CreatePlatformEndpointOutput) {
	m.addCall("CreatePlatformEndpointRequest")
	m.verifyInput("CreatePlatformEndpointRequest", param0)
	return m.CreatePlatformEndpointRequestFunc(param0)
}

func (m *snsMock) CreatePlatformEndpointWithContext(param0 aws.Context, param1 *sns.CreatePlatformEndpointInput, param2 ...request.Option) (*sns.CreatePlatformEndpointOutput, error) {
	m.addCall("CreatePlatformEndpointWithContext")
	m.verifyInput("CreatePlatformEndpointWithContext", param0)
	return m.CreatePlatformEndpointWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) CreateTopic(param0 *sns.CreateTopicInput) (*sns.CreateTopicOutput, error) {
	m.addCall("CreateTopic")
	m.verifyInput("CreateTopic", param0)
	return m.CreateTopicFunc(param0)
}

func (m *snsMock) CreateTopicRequest(param0 *sns.CreateTopicInput) (*request.Request, *sns.CreateTopicOutput) {
	m.addCall("CreateTopicRequest")
	m.verifyInput("CreateTopicRequest", param0)
	return m.CreateTopicRequestFunc(param0)
}

func (m *snsMock) CreateTopicWithContext(param0 aws.Context, param1 *sns.CreateTopicInput, param2 ...request.Option) (*sns.CreateTopicOutput, error) {
	m.addCall("CreateTopicWithContext")
	m.verifyInput("CreateTopicWithContext", param0)
	return m.CreateTopicWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) DeleteEndpoint(param0 *sns.DeleteEndpointInput) (*sns.DeleteEndpointOutput, error) {
	m.addCall("DeleteEndpoint")
	m.verifyInput("DeleteEndpoint", param0)
	return m.DeleteEndpointFunc(param0)
}

func (m *snsMock) DeleteEndpointRequest(param0 *sns.DeleteEndpointInput) (*request.Request, *sns.DeleteEndpointOutput) {
	m.addCall("DeleteEndpointRequest")
	m.verifyInput("DeleteEndpointRequest", param0)
	return m.DeleteEndpointRequestFunc(param0)
}

func (m *snsMock) DeleteEndpointWithContext(param0 aws.Context, param1 *sns.DeleteEndpointInput, param2 ...request.Option) (*sns.DeleteEndpointOutput, error) {
	m.addCall("DeleteEndpointWithContext")
	m.verifyInput("DeleteEndpointWithContext", param0)
	return m.DeleteEndpointWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) DeletePlatformApplication(param0 *sns.DeletePlatformApplicationInput) (*sns.DeletePlatformApplicationOutput, error) {
	m.addCall("DeletePlatformApplication")
	m.verifyInput("DeletePlatformApplication", param0)
	return m.DeletePlatformApplicationFunc(param0)
}

func (m *snsMock) DeletePlatformApplicationRequest(param0 *sns.DeletePlatformApplicationInput) (*request.Request, *sns.DeletePlatformApplicationOutput) {
	m.addCall("DeletePlatformApplicationRequest")
	m.verifyInput("DeletePlatformApplicationRequest", param0)
	return m.DeletePlatformApplicationRequestFunc(param0)
}

func (m *snsMock) DeletePlatformApplicationWithContext(param0 aws.Context, param1 *sns.DeletePlatformApplicationInput, param2 ...request.Option) (*sns.DeletePlatformApplicationOutput, error) {
	m.addCall("DeletePlatformApplicationWithContext")
	m.verifyInput("DeletePlatformApplicationWithContext", param0)
	return m.DeletePlatformApplicationWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) DeleteTopic(param0 *sns.DeleteTopicInput) (*sns.DeleteTopicOutput, error) {
	m.addCall("DeleteTopic")
	m.verifyInput("DeleteTopic", param0)
	return m.DeleteTopicFunc(param0)
}

func (m *snsMock) DeleteTopicRequest(param0 *sns.DeleteTopicInput) (*request.Request, *sns.DeleteTopicOutput) {
	m.addCall("DeleteTopicRequest")
	m.verifyInput("DeleteTopicRequest", param0)
	return m.DeleteTopicRequestFunc(param0)
}

func (m *snsMock) DeleteTopicWithContext(param0 aws.Context, param1 *sns.DeleteTopicInput, param2 ...request.Option) (*sns.DeleteTopicOutput, error) {
	m.addCall("DeleteTopicWithContext")
	m.verifyInput("DeleteTopicWithContext", param0)
	return m.DeleteTopicWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) GetEndpointAttributes(param0 *sns.GetEndpointAttributesInput) (*sns.GetEndpointAttributesOutput, error) {
	m.addCall("GetEndpointAttributes")
	m.verifyInput("GetEndpointAttributes", param0)
	return m.GetEndpointAttributesFunc(param0)
}

func (m *snsMock) GetEndpointAttributesRequest(param0 *sns.GetEndpointAttributesInput) (*request.Request, *sns.GetEndpointAttributesOutput) {
	m.addCall("GetEndpointAttributesRequest")
	m.verifyInput("GetEndpointAttributesRequest", param0)
	return m.GetEndpointAttributesRequestFunc(param0)
}

func (m *snsMock) GetEndpointAttributesWithContext(param0 aws.Context, param1 *sns.GetEndpointAttributesInput, param2 ...request.Option) (*sns.GetEndpointAttributesOutput, error) {
	m.addCall("GetEndpointAttributesWithContext")
	m.verifyInput("GetEndpointAttributesWithContext", param0)
	return m.GetEndpointAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) GetPlatformApplicationAttributes(param0 *sns.GetPlatformApplicationAttributesInput) (*sns.GetPlatformApplicationAttributesOutput, error) {
	m.addCall("GetPlatformApplicationAttributes")
	m.verifyInput("GetPlatformApplicationAttributes", param0)
	return m.GetPlatformApplicationAttributesFunc(param0)
}

func (m *snsMock) GetPlatformApplicationAttributesRequest(param0 *sns.GetPlatformApplicationAttributesInput) (*request.Request, *sns.GetPlatformApplicationAttributesOutput) {
	m.addCall("GetPlatformApplicationAttributesRequest")
	m.verifyInput("GetPlatformApplicationAttributesRequest", param0)
	return m.GetPlatformApplicationAttributesRequestFunc(param0)
}

func (m *snsMock) GetPlatformApplicationAttributesWithContext(param0 aws.Context, param1 *sns.GetPlatformApplicationAttributesInput, param2 ...request.Option) (*sns.GetPlatformApplicationAttributesOutput, error) {
	m.addCall("GetPlatformApplicationAttributesWithContext")
	m.verifyInput("GetPlatformApplicationAttributesWithContext", param0)
	return m.GetPlatformApplicationAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) GetSMSAttributes(param0 *sns.GetSMSAttributesInput) (*sns.GetSMSAttributesOutput, error) {
	m.addCall("GetSMSAttributes")
	m.verifyInput("GetSMSAttributes", param0)
	return m.GetSMSAttributesFunc(param0)
}

func (m *snsMock) GetSMSAttributesRequest(param0 *sns.GetSMSAttributesInput) (*request.Request, *sns.GetSMSAttributesOutput) {
	m.addCall("GetSMSAttributesRequest")
	m.verifyInput("GetSMSAttributesRequest", param0)
	return m.GetSMSAttributesRequestFunc(param0)
}

func (m *snsMock) GetSMSAttributesWithContext(param0 aws.Context, param1 *sns.GetSMSAttributesInput, param2 ...request.Option) (*sns.GetSMSAttributesOutput, error) {
	m.addCall("GetSMSAttributesWithContext")
	m.verifyInput("GetSMSAttributesWithContext", param0)
	return m.GetSMSAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) GetSubscriptionAttributes(param0 *sns.GetSubscriptionAttributesInput) (*sns.GetSubscriptionAttributesOutput, error) {
	m.addCall("GetSubscriptionAttributes")
	m.verifyInput("GetSubscriptionAttributes", param0)
	return m.GetSubscriptionAttributesFunc(param0)
}

func (m *snsMock) GetSubscriptionAttributesRequest(param0 *sns.GetSubscriptionAttributesInput) (*request.Request, *sns.GetSubscriptionAttributesOutput) {
	m.addCall("GetSubscriptionAttributesRequest")
	m.verifyInput("GetSubscriptionAttributesRequest", param0)
	return m.GetSubscriptionAttributesRequestFunc(param0)
}

func (m *snsMock) GetSubscriptionAttributesWithContext(param0 aws.Context, param1 *sns.GetSubscriptionAttributesInput, param2 ...request.Option) (*sns.GetSubscriptionAttributesOutput, error) {
	m.addCall("GetSubscriptionAttributesWithContext")
	m.verifyInput("GetSubscriptionAttributesWithContext", param0)
	return m.GetSubscriptionAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) GetTopicAttributes(param0 *sns.GetTopicAttributesInput) (*sns.GetTopicAttributesOutput, error) {
	m.addCall("GetTopicAttributes")
	m.verifyInput("GetTopicAttributes", param0)
	return m.GetTopicAttributesFunc(param0)
}

func (m *snsMock) GetTopicAttributesRequest(param0 *sns.GetTopicAttributesInput) (*request.Request, *sns.GetTopicAttributesOutput) {
	m.addCall("GetTopicAttributesRequest")
	m.verifyInput("GetTopicAttributesRequest", param0)
	return m.GetTopicAttributesRequestFunc(param0)
}

func (m *snsMock) GetTopicAttributesWithContext(param0 aws.Context, param1 *sns.GetTopicAttributesInput, param2 ...request.Option) (*sns.GetTopicAttributesOutput, error) {
	m.addCall("GetTopicAttributesWithContext")
	m.verifyInput("GetTopicAttributesWithContext", param0)
	return m.GetTopicAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ListEndpointsByPlatformApplication(param0 *sns.ListEndpointsByPlatformApplicationInput) (*sns.ListEndpointsByPlatformApplicationOutput, error) {
	m.addCall("ListEndpointsByPlatformApplication")
	m.verifyInput("ListEndpointsByPlatformApplication", param0)
	return m.ListEndpointsByPlatformApplicationFunc(param0)
}

func (m *snsMock) ListEndpointsByPlatformApplicationRequest(param0 *sns.ListEndpointsByPlatformApplicationInput) (*request.Request, *sns.ListEndpointsByPlatformApplicationOutput) {
	m.addCall("ListEndpointsByPlatformApplicationRequest")
	m.verifyInput("ListEndpointsByPlatformApplicationRequest", param0)
	return m.ListEndpointsByPlatformApplicationRequestFunc(param0)
}

func (m *snsMock) ListEndpointsByPlatformApplicationWithContext(param0 aws.Context, param1 *sns.ListEndpointsByPlatformApplicationInput, param2 ...request.Option) (*sns.ListEndpointsByPlatformApplicationOutput, error) {
	m.addCall("ListEndpointsByPlatformApplicationWithContext")
	m.verifyInput("ListEndpointsByPlatformApplicationWithContext", param0)
	return m.ListEndpointsByPlatformApplicationWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ListPhoneNumbersOptedOut(param0 *sns.ListPhoneNumbersOptedOutInput) (*sns.ListPhoneNumbersOptedOutOutput, error) {
	m.addCall("ListPhoneNumbersOptedOut")
	m.verifyInput("ListPhoneNumbersOptedOut", param0)
	return m.ListPhoneNumbersOptedOutFunc(param0)
}

func (m *snsMock) ListPhoneNumbersOptedOutRequest(param0 *sns.ListPhoneNumbersOptedOutInput) (*request.Request, *sns.ListPhoneNumbersOptedOutOutput) {
	m.addCall("ListPhoneNumbersOptedOutRequest")
	m.verifyInput("ListPhoneNumbersOptedOutRequest", param0)
	return m.ListPhoneNumbersOptedOutRequestFunc(param0)
}

func (m *snsMock) ListPhoneNumbersOptedOutWithContext(param0 aws.Context, param1 *sns.ListPhoneNumbersOptedOutInput, param2 ...request.Option) (*sns.ListPhoneNumbersOptedOutOutput, error) {
	m.addCall("ListPhoneNumbersOptedOutWithContext")
	m.verifyInput("ListPhoneNumbersOptedOutWithContext", param0)
	return m.ListPhoneNumbersOptedOutWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ListPlatformApplications(param0 *sns.ListPlatformApplicationsInput) (*sns.ListPlatformApplicationsOutput, error) {
	m.addCall("ListPlatformApplications")
	m.verifyInput("ListPlatformApplications", param0)
	return m.ListPlatformApplicationsFunc(param0)
}

func (m *snsMock) ListPlatformApplicationsRequest(param0 *sns.ListPlatformApplicationsInput) (*request.Request, *sns.ListPlatformApplicationsOutput) {
	m.addCall("ListPlatformApplicationsRequest")
	m.verifyInput("ListPlatformApplicationsRequest", param0)
	return m.ListPlatformApplicationsRequestFunc(param0)
}

func (m *snsMock) ListPlatformApplicationsWithContext(param0 aws.Context, param1 *sns.ListPlatformApplicationsInput, param2 ...request.Option) (*sns.ListPlatformApplicationsOutput, error) {
	m.addCall("ListPlatformApplicationsWithContext")
	m.verifyInput("ListPlatformApplicationsWithContext", param0)
	return m.ListPlatformApplicationsWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ListSubscriptions(param0 *sns.ListSubscriptionsInput) (*sns.ListSubscriptionsOutput, error) {
	m.addCall("ListSubscriptions")
	m.verifyInput("ListSubscriptions", param0)
	return m.ListSubscriptionsFunc(param0)
}

func (m *snsMock) ListSubscriptionsByTopic(param0 *sns.ListSubscriptionsByTopicInput) (*sns.ListSubscriptionsByTopicOutput, error) {
	m.addCall("ListSubscriptionsByTopic")
	m.verifyInput("ListSubscriptionsByTopic", param0)
	return m.ListSubscriptionsByTopicFunc(param0)
}

func (m *snsMock) ListSubscriptionsByTopicRequest(param0 *sns.ListSubscriptionsByTopicInput) (*request.Request, *sns.ListSubscriptionsByTopicOutput) {
	m.addCall("ListSubscriptionsByTopicRequest")
	m.verifyInput("ListSubscriptionsByTopicRequest", param0)
	return m.ListSubscriptionsByTopicRequestFunc(param0)
}

func (m *snsMock) ListSubscriptionsByTopicWithContext(param0 aws.Context, param1 *sns.ListSubscriptionsByTopicInput, param2 ...request.Option) (*sns.ListSubscriptionsByTopicOutput, error) {
	m.addCall("ListSubscriptionsByTopicWithContext")
	m.verifyInput("ListSubscriptionsByTopicWithContext", param0)
	return m.ListSubscriptionsByTopicWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ListSubscriptionsRequest(param0 *sns.ListSubscriptionsInput) (*request.Request, *sns.ListSubscriptionsOutput) {
	m.addCall("ListSubscriptionsRequest")
	m.verifyInput("ListSubscriptionsRequest", param0)
	return m.ListSubscriptionsRequestFunc(param0)
}

func (m *snsMock) ListSubscriptionsWithContext(param0 aws.Context, param1 *sns.ListSubscriptionsInput, param2 ...request.Option) (*sns.ListSubscriptionsOutput, error) {
	m.addCall("ListSubscriptionsWithContext")
	m.verifyInput("ListSubscriptionsWithContext", param0)
	return m.ListSubscriptionsWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) ListTopics(param0 *sns.ListTopicsInput) (*sns.ListTopicsOutput, error) {
	m.addCall("ListTopics")
	m.verifyInput("ListTopics", param0)
	return m.ListTopicsFunc(param0)
}

func (m *snsMock) ListTopicsRequest(param0 *sns.ListTopicsInput) (*request.Request, *sns.ListTopicsOutput) {
	m.addCall("ListTopicsRequest")
	m.verifyInput("ListTopicsRequest", param0)
	return m.ListTopicsRequestFunc(param0)
}

func (m *snsMock) ListTopicsWithContext(param0 aws.Context, param1 *sns.ListTopicsInput, param2 ...request.Option) (*sns.ListTopicsOutput, error) {
	m.addCall("ListTopicsWithContext")
	m.verifyInput("ListTopicsWithContext", param0)
	return m.ListTopicsWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) OptInPhoneNumber(param0 *sns.OptInPhoneNumberInput) (*sns.OptInPhoneNumberOutput, error) {
	m.addCall("OptInPhoneNumber")
	m.verifyInput("OptInPhoneNumber", param0)
	return m.OptInPhoneNumberFunc(param0)
}

func (m *snsMock) OptInPhoneNumberRequest(param0 *sns.OptInPhoneNumberInput) (*request.Request, *sns.OptInPhoneNumberOutput) {
	m.addCall("OptInPhoneNumberRequest")
	m.verifyInput("OptInPhoneNumberRequest", param0)
	return m.OptInPhoneNumberRequestFunc(param0)
}

func (m *snsMock) OptInPhoneNumberWithContext(param0 aws.Context, param1 *sns.OptInPhoneNumberInput, param2 ...request.Option) (*sns.OptInPhoneNumberOutput, error) {
	m.addCall("OptInPhoneNumberWithContext")
	m.verifyInput("OptInPhoneNumberWithContext", param0)
	return m.OptInPhoneNumberWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) Publish(param0 *sns.PublishInput) (*sns.PublishOutput, error) {
	m.addCall("Publish")
	m.verifyInput("Publish", param0)
	return m.PublishFunc(param0)
}

func (m *snsMock) PublishRequest(param0 *sns.PublishInput) (*request.Request, *sns.PublishOutput) {
	m.addCall("PublishRequest")
	m.verifyInput("PublishRequest", param0)
	return m.PublishRequestFunc(param0)
}

func (m *snsMock) PublishWithContext(param0 aws.Context, param1 *sns.PublishInput, param2 ...request.Option) (*sns.PublishOutput, error) {
	m.addCall("PublishWithContext")
	m.verifyInput("PublishWithContext", param0)
	return m.PublishWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) RemovePermission(param0 *sns.RemovePermissionInput) (*sns.RemovePermissionOutput, error) {
	m.addCall("RemovePermission")
	m.verifyInput("RemovePermission", param0)
	return m.RemovePermissionFunc(param0)
}

func (m *snsMock) RemovePermissionRequest(param0 *sns.RemovePermissionInput) (*request.Request, *sns.RemovePermissionOutput) {
	m.addCall("RemovePermissionRequest")
	m.verifyInput("RemovePermissionRequest", param0)
	return m.RemovePermissionRequestFunc(param0)
}

func (m *snsMock) RemovePermissionWithContext(param0 aws.Context, param1 *sns.RemovePermissionInput, param2 ...request.Option) (*sns.RemovePermissionOutput, error) {
	m.addCall("RemovePermissionWithContext")
	m.verifyInput("RemovePermissionWithContext", param0)
	return m.RemovePermissionWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) SetEndpointAttributes(param0 *sns.SetEndpointAttributesInput) (*sns.SetEndpointAttributesOutput, error) {
	m.addCall("SetEndpointAttributes")
	m.verifyInput("SetEndpointAttributes", param0)
	return m.SetEndpointAttributesFunc(param0)
}

func (m *snsMock) SetEndpointAttributesRequest(param0 *sns.SetEndpointAttributesInput) (*request.Request, *sns.SetEndpointAttributesOutput) {
	m.addCall("SetEndpointAttributesRequest")
	m.verifyInput("SetEndpointAttributesRequest", param0)
	return m.SetEndpointAttributesRequestFunc(param0)
}

func (m *snsMock) SetEndpointAttributesWithContext(param0 aws.Context, param1 *sns.SetEndpointAttributesInput, param2 ...request.Option) (*sns.SetEndpointAttributesOutput, error) {
	m.addCall("SetEndpointAttributesWithContext")
	m.verifyInput("SetEndpointAttributesWithContext", param0)
	return m.SetEndpointAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) SetPlatformApplicationAttributes(param0 *sns.SetPlatformApplicationAttributesInput) (*sns.SetPlatformApplicationAttributesOutput, error) {
	m.addCall("SetPlatformApplicationAttributes")
	m.verifyInput("SetPlatformApplicationAttributes", param0)
	return m.SetPlatformApplicationAttributesFunc(param0)
}

func (m *snsMock) SetPlatformApplicationAttributesRequest(param0 *sns.SetPlatformApplicationAttributesInput) (*request.Request, *sns.SetPlatformApplicationAttributesOutput) {
	m.addCall("SetPlatformApplicationAttributesRequest")
	m.verifyInput("SetPlatformApplicationAttributesRequest", param0)
	return m.SetPlatformApplicationAttributesRequestFunc(param0)
}

func (m *snsMock) SetPlatformApplicationAttributesWithContext(param0 aws.Context, param1 *sns.SetPlatformApplicationAttributesInput, param2 ...request.Option) (*sns.SetPlatformApplicationAttributesOutput, error) {
	m.addCall("SetPlatformApplicationAttributesWithContext")
	m.verifyInput("SetPlatformApplicationAttributesWithContext", param0)
	return m.SetPlatformApplicationAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) SetSMSAttributes(param0 *sns.SetSMSAttributesInput) (*sns.SetSMSAttributesOutput, error) {
	m.addCall("SetSMSAttributes")
	m.verifyInput("SetSMSAttributes", param0)
	return m.SetSMSAttributesFunc(param0)
}

func (m *snsMock) SetSMSAttributesRequest(param0 *sns.SetSMSAttributesInput) (*request.Request, *sns.SetSMSAttributesOutput) {
	m.addCall("SetSMSAttributesRequest")
	m.verifyInput("SetSMSAttributesRequest", param0)
	return m.SetSMSAttributesRequestFunc(param0)
}

func (m *snsMock) SetSMSAttributesWithContext(param0 aws.Context, param1 *sns.SetSMSAttributesInput, param2 ...request.Option) (*sns.SetSMSAttributesOutput, error) {
	m.addCall("SetSMSAttributesWithContext")
	m.verifyInput("SetSMSAttributesWithContext", param0)
	return m.SetSMSAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) SetSubscriptionAttributes(param0 *sns.SetSubscriptionAttributesInput) (*sns.SetSubscriptionAttributesOutput, error) {
	m.addCall("SetSubscriptionAttributes")
	m.verifyInput("SetSubscriptionAttributes", param0)
	return m.SetSubscriptionAttributesFunc(param0)
}

func (m *snsMock) SetSubscriptionAttributesRequest(param0 *sns.SetSubscriptionAttributesInput) (*request.Request, *sns.SetSubscriptionAttributesOutput) {
	m.addCall("SetSubscriptionAttributesRequest")
	m.verifyInput("SetSubscriptionAttributesRequest", param0)
	return m.SetSubscriptionAttributesRequestFunc(param0)
}

func (m *snsMock) SetSubscriptionAttributesWithContext(param0 aws.Context, param1 *sns.SetSubscriptionAttributesInput, param2 ...request.Option) (*sns.SetSubscriptionAttributesOutput, error) {
	m.addCall("SetSubscriptionAttributesWithContext")
	m.verifyInput("SetSubscriptionAttributesWithContext", param0)
	return m.SetSubscriptionAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) SetTopicAttributes(param0 *sns.SetTopicAttributesInput) (*sns.SetTopicAttributesOutput, error) {
	m.addCall("SetTopicAttributes")
	m.verifyInput("SetTopicAttributes", param0)
	return m.SetTopicAttributesFunc(param0)
}

func (m *snsMock) SetTopicAttributesRequest(param0 *sns.SetTopicAttributesInput) (*request.Request, *sns.SetTopicAttributesOutput) {
	m.addCall("SetTopicAttributesRequest")
	m.verifyInput("SetTopicAttributesRequest", param0)
	return m.SetTopicAttributesRequestFunc(param0)
}

func (m *snsMock) SetTopicAttributesWithContext(param0 aws.Context, param1 *sns.SetTopicAttributesInput, param2 ...request.Option) (*sns.SetTopicAttributesOutput, error) {
	m.addCall("SetTopicAttributesWithContext")
	m.verifyInput("SetTopicAttributesWithContext", param0)
	return m.SetTopicAttributesWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) Subscribe(param0 *sns.SubscribeInput) (*sns.SubscribeOutput, error) {
	m.addCall("Subscribe")
	m.verifyInput("Subscribe", param0)
	return m.SubscribeFunc(param0)
}

func (m *snsMock) SubscribeRequest(param0 *sns.SubscribeInput) (*request.Request, *sns.SubscribeOutput) {
	m.addCall("SubscribeRequest")
	m.verifyInput("SubscribeRequest", param0)
	return m.SubscribeRequestFunc(param0)
}

func (m *snsMock) SubscribeWithContext(param0 aws.Context, param1 *sns.SubscribeInput, param2 ...request.Option) (*sns.SubscribeOutput, error) {
	m.addCall("SubscribeWithContext")
	m.verifyInput("SubscribeWithContext", param0)
	return m.SubscribeWithContextFunc(param0, param1, param2...)
}

func (m *snsMock) Unsubscribe(param0 *sns.UnsubscribeInput) (*sns.UnsubscribeOutput, error) {
	m.addCall("Unsubscribe")
	m.verifyInput("Unsubscribe", param0)
	return m.UnsubscribeFunc(param0)
}

func (m *snsMock) UnsubscribeRequest(param0 *sns.UnsubscribeInput) (*request.Request, *sns.UnsubscribeOutput) {
	m.addCall("UnsubscribeRequest")
	m.verifyInput("UnsubscribeRequest", param0)
	return m.UnsubscribeRequestFunc(param0)
}

func (m *snsMock) UnsubscribeWithContext(param0 aws.Context, param1 *sns.UnsubscribeInput, param2 ...request.Option) (*sns.UnsubscribeOutput, error) {
	m.addCall("UnsubscribeWithContext")
	m.verifyInput("UnsubscribeWithContext", param0)
	return m.UnsubscribeWithContextFunc(param0, param1, param2...)
}

type sqsMock struct {
	basicMock
	sqsiface.SQSAPI
	AddPermissionFunc                           func(param0 *sqs.AddPermissionInput) (*sqs.AddPermissionOutput, error)
	AddPermissionRequestFunc                    func(param0 *sqs.AddPermissionInput) (*request.Request, *sqs.AddPermissionOutput)
	AddPermissionWithContextFunc                func(param0 aws.Context, param1 *sqs.AddPermissionInput, param2 ...request.Option) (*sqs.AddPermissionOutput, error)
	ChangeMessageVisibilityFunc                 func(param0 *sqs.ChangeMessageVisibilityInput) (*sqs.ChangeMessageVisibilityOutput, error)
	ChangeMessageVisibilityBatchFunc            func(param0 *sqs.ChangeMessageVisibilityBatchInput) (*sqs.ChangeMessageVisibilityBatchOutput, error)
	ChangeMessageVisibilityBatchRequestFunc     func(param0 *sqs.ChangeMessageVisibilityBatchInput) (*request.Request, *sqs.ChangeMessageVisibilityBatchOutput)
	ChangeMessageVisibilityBatchWithContextFunc func(param0 aws.Context, param1 *sqs.ChangeMessageVisibilityBatchInput, param2 ...request.Option) (*sqs.ChangeMessageVisibilityBatchOutput, error)
	ChangeMessageVisibilityRequestFunc          func(param0 *sqs.ChangeMessageVisibilityInput) (*request.Request, *sqs.ChangeMessageVisibilityOutput)
	ChangeMessageVisibilityWithContextFunc      func(param0 aws.Context, param1 *sqs.ChangeMessageVisibilityInput, param2 ...request.Option) (*sqs.ChangeMessageVisibilityOutput, error)
	CreateQueueFunc                             func(param0 *sqs.CreateQueueInput) (*sqs.CreateQueueOutput, error)
	CreateQueueRequestFunc                      func(param0 *sqs.CreateQueueInput) (*request.Request, *sqs.CreateQueueOutput)
	CreateQueueWithContextFunc                  func(param0 aws.Context, param1 *sqs.CreateQueueInput, param2 ...request.Option) (*sqs.CreateQueueOutput, error)
	DeleteMessageFunc                           func(param0 *sqs.DeleteMessageInput) (*sqs.DeleteMessageOutput, error)
	DeleteMessageBatchFunc                      func(param0 *sqs.DeleteMessageBatchInput) (*sqs.DeleteMessageBatchOutput, error)
	DeleteMessageBatchRequestFunc               func(param0 *sqs.DeleteMessageBatchInput) (*request.Request, *sqs.DeleteMessageBatchOutput)
	DeleteMessageBatchWithContextFunc           func(param0 aws.Context, param1 *sqs.DeleteMessageBatchInput, param2 ...request.Option) (*sqs.DeleteMessageBatchOutput, error)
	DeleteMessageRequestFunc                    func(param0 *sqs.DeleteMessageInput) (*request.Request, *sqs.DeleteMessageOutput)
	DeleteMessageWithContextFunc                func(param0 aws.Context, param1 *sqs.DeleteMessageInput, param2 ...request.Option) (*sqs.DeleteMessageOutput, error)
	DeleteQueueFunc                             func(param0 *sqs.DeleteQueueInput) (*sqs.DeleteQueueOutput, error)
	DeleteQueueRequestFunc                      func(param0 *sqs.DeleteQueueInput) (*request.Request, *sqs.DeleteQueueOutput)
	DeleteQueueWithContextFunc                  func(param0 aws.Context, param1 *sqs.DeleteQueueInput, param2 ...request.Option) (*sqs.DeleteQueueOutput, error)
	GetQueueAttributesFunc                      func(param0 *sqs.GetQueueAttributesInput) (*sqs.GetQueueAttributesOutput, error)
	GetQueueAttributesRequestFunc               func(param0 *sqs.GetQueueAttributesInput) (*request.Request, *sqs.GetQueueAttributesOutput)
	GetQueueAttributesWithContextFunc           func(param0 aws.Context, param1 *sqs.GetQueueAttributesInput, param2 ...request.Option) (*sqs.GetQueueAttributesOutput, error)
	GetQueueUrlFunc                             func(param0 *sqs.GetQueueUrlInput) (*sqs.GetQueueUrlOutput, error)
	GetQueueUrlRequestFunc                      func(param0 *sqs.GetQueueUrlInput) (*request.Request, *sqs.GetQueueUrlOutput)
	GetQueueUrlWithContextFunc                  func(param0 aws.Context, param1 *sqs.GetQueueUrlInput, param2 ...request.Option) (*sqs.GetQueueUrlOutput, error)
	ListDeadLetterSourceQueuesFunc              func(param0 *sqs.ListDeadLetterSourceQueuesInput) (*sqs.ListDeadLetterSourceQueuesOutput, error)
	ListDeadLetterSourceQueuesRequestFunc       func(param0 *sqs.ListDeadLetterSourceQueuesInput) (*request.Request, *sqs.ListDeadLetterSourceQueuesOutput)
	ListDeadLetterSourceQueuesWithContextFunc   func(param0 aws.Context, param1 *sqs.ListDeadLetterSourceQueuesInput, param2 ...request.Option) (*sqs.ListDeadLetterSourceQueuesOutput, error)
	ListQueuesFunc                              func(param0 *sqs.ListQueuesInput) (*sqs.ListQueuesOutput, error)
	ListQueuesRequestFunc                       func(param0 *sqs.ListQueuesInput) (*request.Request, *sqs.ListQueuesOutput)
	ListQueuesWithContextFunc                   func(param0 aws.Context, param1 *sqs.ListQueuesInput, param2 ...request.Option) (*sqs.ListQueuesOutput, error)
	PurgeQueueFunc                              func(param0 *sqs.PurgeQueueInput) (*sqs.PurgeQueueOutput, error)
	PurgeQueueRequestFunc                       func(param0 *sqs.PurgeQueueInput) (*request.Request, *sqs.PurgeQueueOutput)
	PurgeQueueWithContextFunc                   func(param0 aws.Context, param1 *sqs.PurgeQueueInput, param2 ...request.Option) (*sqs.PurgeQueueOutput, error)
	ReceiveMessageFunc                          func(param0 *sqs.ReceiveMessageInput) (*sqs.ReceiveMessageOutput, error)
	ReceiveMessageRequestFunc                   func(param0 *sqs.ReceiveMessageInput) (*request.Request, *sqs.ReceiveMessageOutput)
	ReceiveMessageWithContextFunc               func(param0 aws.Context, param1 *sqs.ReceiveMessageInput, param2 ...request.Option) (*sqs.ReceiveMessageOutput, error)
	RemovePermissionFunc                        func(param0 *sqs.RemovePermissionInput) (*sqs.RemovePermissionOutput, error)
	RemovePermissionRequestFunc                 func(param0 *sqs.RemovePermissionInput) (*request.Request, *sqs.RemovePermissionOutput)
	RemovePermissionWithContextFunc             func(param0 aws.Context, param1 *sqs.RemovePermissionInput, param2 ...request.Option) (*sqs.RemovePermissionOutput, error)
	SendMessageFunc                             func(param0 *sqs.SendMessageInput) (*sqs.SendMessageOutput, error)
	SendMessageBatchFunc                        func(param0 *sqs.SendMessageBatchInput) (*sqs.SendMessageBatchOutput, error)
	SendMessageBatchRequestFunc                 func(param0 *sqs.SendMessageBatchInput) (*request.Request, *sqs.SendMessageBatchOutput)
	SendMessageBatchWithContextFunc             func(param0 aws.Context, param1 *sqs.SendMessageBatchInput, param2 ...request.Option) (*sqs.SendMessageBatchOutput, error)
	SendMessageRequestFunc                      func(param0 *sqs.SendMessageInput) (*request.Request, *sqs.SendMessageOutput)
	SendMessageWithContextFunc                  func(param0 aws.Context, param1 *sqs.SendMessageInput, param2 ...request.Option) (*sqs.SendMessageOutput, error)
	SetQueueAttributesFunc                      func(param0 *sqs.SetQueueAttributesInput) (*sqs.SetQueueAttributesOutput, error)
	SetQueueAttributesRequestFunc               func(param0 *sqs.SetQueueAttributesInput) (*request.Request, *sqs.SetQueueAttributesOutput)
	SetQueueAttributesWithContextFunc           func(param0 aws.Context, param1 *sqs.SetQueueAttributesInput, param2 ...request.Option) (*sqs.SetQueueAttributesOutput, error)
}

func (m *sqsMock) AddPermission(param0 *sqs.AddPermissionInput) (*sqs.AddPermissionOutput, error) {
	m.addCall("AddPermission")
	m.verifyInput("AddPermission", param0)
	return m.AddPermissionFunc(param0)
}

func (m *sqsMock) AddPermissionRequest(param0 *sqs.AddPermissionInput) (*request.Request, *sqs.AddPermissionOutput) {
	m.addCall("AddPermissionRequest")
	m.verifyInput("AddPermissionRequest", param0)
	return m.AddPermissionRequestFunc(param0)
}

func (m *sqsMock) AddPermissionWithContext(param0 aws.Context, param1 *sqs.AddPermissionInput, param2 ...request.Option) (*sqs.AddPermissionOutput, error) {
	m.addCall("AddPermissionWithContext")
	m.verifyInput("AddPermissionWithContext", param0)
	return m.AddPermissionWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) ChangeMessageVisibility(param0 *sqs.ChangeMessageVisibilityInput) (*sqs.ChangeMessageVisibilityOutput, error) {
	m.addCall("ChangeMessageVisibility")
	m.verifyInput("ChangeMessageVisibility", param0)
	return m.ChangeMessageVisibilityFunc(param0)
}

func (m *sqsMock) ChangeMessageVisibilityBatch(param0 *sqs.ChangeMessageVisibilityBatchInput) (*sqs.ChangeMessageVisibilityBatchOutput, error) {
	m.addCall("ChangeMessageVisibilityBatch")
	m.verifyInput("ChangeMessageVisibilityBatch", param0)
	return m.ChangeMessageVisibilityBatchFunc(param0)
}

func (m *sqsMock) ChangeMessageVisibilityBatchRequest(param0 *sqs.ChangeMessageVisibilityBatchInput) (*request.Request, *sqs.ChangeMessageVisibilityBatchOutput) {
	m.addCall("ChangeMessageVisibilityBatchRequest")
	m.verifyInput("ChangeMessageVisibilityBatchRequest", param0)
	return m.ChangeMessageVisibilityBatchRequestFunc(param0)
}

func (m *sqsMock) ChangeMessageVisibilityBatchWithContext(param0 aws.Context, param1 *sqs.ChangeMessageVisibilityBatchInput, param2 ...request.Option) (*sqs.ChangeMessageVisibilityBatchOutput, error) {
	m.addCall("ChangeMessageVisibilityBatchWithContext")
	m.verifyInput("ChangeMessageVisibilityBatchWithContext", param0)
	return m.ChangeMessageVisibilityBatchWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) ChangeMessageVisibilityRequest(param0 *sqs.ChangeMessageVisibilityInput) (*request.Request, *sqs.ChangeMessageVisibilityOutput) {
	m.addCall("ChangeMessageVisibilityRequest")
	m.verifyInput("ChangeMessageVisibilityRequest", param0)
	return m.ChangeMessageVisibilityRequestFunc(param0)
}

func (m *sqsMock) ChangeMessageVisibilityWithContext(param0 aws.Context, param1 *sqs.ChangeMessageVisibilityInput, param2 ...request.Option) (*sqs.ChangeMessageVisibilityOutput, error) {
	m.addCall("ChangeMessageVisibilityWithContext")
	m.verifyInput("ChangeMessageVisibilityWithContext", param0)
	return m.ChangeMessageVisibilityWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) CreateQueue(param0 *sqs.CreateQueueInput) (*sqs.CreateQueueOutput, error) {
	m.addCall("CreateQueue")
	m.verifyInput("CreateQueue", param0)
	return m.CreateQueueFunc(param0)
}

func (m *sqsMock) CreateQueueRequest(param0 *sqs.CreateQueueInput) (*request.Request, *sqs.CreateQueueOutput) {
	m.addCall("CreateQueueRequest")
	m.verifyInput("CreateQueueRequest", param0)
	return m.CreateQueueRequestFunc(param0)
}

func (m *sqsMock) CreateQueueWithContext(param0 aws.Context, param1 *sqs.CreateQueueInput, param2 ...request.Option) (*sqs.CreateQueueOutput, error) {
	m.addCall("CreateQueueWithContext")
	m.verifyInput("CreateQueueWithContext", param0)
	return m.CreateQueueWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) DeleteMessage(param0 *sqs.DeleteMessageInput) (*sqs.DeleteMessageOutput, error) {
	m.addCall("DeleteMessage")
	m.verifyInput("DeleteMessage", param0)
	return m.DeleteMessageFunc(param0)
}

func (m *sqsMock) DeleteMessageBatch(param0 *sqs.DeleteMessageBatchInput) (*sqs.DeleteMessageBatchOutput, error) {
	m.addCall("DeleteMessageBatch")
	m.verifyInput("DeleteMessageBatch", param0)
	return m.DeleteMessageBatchFunc(param0)
}

func (m *sqsMock) DeleteMessageBatchRequest(param0 *sqs.DeleteMessageBatchInput) (*request.Request, *sqs.DeleteMessageBatchOutput) {
	m.addCall("DeleteMessageBatchRequest")
	m.verifyInput("DeleteMessageBatchRequest", param0)
	return m.DeleteMessageBatchRequestFunc(param0)
}

func (m *sqsMock) DeleteMessageBatchWithContext(param0 aws.Context, param1 *sqs.DeleteMessageBatchInput, param2 ...request.Option) (*sqs.DeleteMessageBatchOutput, error) {
	m.addCall("DeleteMessageBatchWithContext")
	m.verifyInput("DeleteMessageBatchWithContext", param0)
	return m.DeleteMessageBatchWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) DeleteMessageRequest(param0 *sqs.DeleteMessageInput) (*request.Request, *sqs.DeleteMessageOutput) {
	m.addCall("DeleteMessageRequest")
	m.verifyInput("DeleteMessageRequest", param0)
	return m.DeleteMessageRequestFunc(param0)
}

func (m *sqsMock) DeleteMessageWithContext(param0 aws.Context, param1 *sqs.DeleteMessageInput, param2 ...request.Option) (*sqs.DeleteMessageOutput, error) {
	m.addCall("DeleteMessageWithContext")
	m.verifyInput("DeleteMessageWithContext", param0)
	return m.DeleteMessageWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) DeleteQueue(param0 *sqs.DeleteQueueInput) (*sqs.DeleteQueueOutput, error) {
	m.addCall("DeleteQueue")
	m.verifyInput("DeleteQueue", param0)
	return m.DeleteQueueFunc(param0)
}

func (m *sqsMock) DeleteQueueRequest(param0 *sqs.DeleteQueueInput) (*request.Request, *sqs.DeleteQueueOutput) {
	m.addCall("DeleteQueueRequest")
	m.verifyInput("DeleteQueueRequest", param0)
	return m.DeleteQueueRequestFunc(param0)
}

func (m *sqsMock) DeleteQueueWithContext(param0 aws.Context, param1 *sqs.DeleteQueueInput, param2 ...request.Option) (*sqs.DeleteQueueOutput, error) {
	m.addCall("DeleteQueueWithContext")
	m.verifyInput("DeleteQueueWithContext", param0)
	return m.DeleteQueueWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) GetQueueAttributes(param0 *sqs.GetQueueAttributesInput) (*sqs.GetQueueAttributesOutput, error) {
	m.addCall("GetQueueAttributes")
	m.verifyInput("GetQueueAttributes", param0)
	return m.GetQueueAttributesFunc(param0)
}

func (m *sqsMock) GetQueueAttributesRequest(param0 *sqs.GetQueueAttributesInput) (*request.Request, *sqs.GetQueueAttributesOutput) {
	m.addCall("GetQueueAttributesRequest")
	m.verifyInput("GetQueueAttributesRequest", param0)
	return m.GetQueueAttributesRequestFunc(param0)
}

func (m *sqsMock) GetQueueAttributesWithContext(param0 aws.Context, param1 *sqs.GetQueueAttributesInput, param2 ...request.Option) (*sqs.GetQueueAttributesOutput, error) {
	m.addCall("GetQueueAttributesWithContext")
	m.verifyInput("GetQueueAttributesWithContext", param0)
	return m.GetQueueAttributesWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) GetQueueUrl(param0 *sqs.GetQueueUrlInput) (*sqs.GetQueueUrlOutput, error) {
	m.addCall("GetQueueUrl")
	m.verifyInput("GetQueueUrl", param0)
	return m.GetQueueUrlFunc(param0)
}

func (m *sqsMock) GetQueueUrlRequest(param0 *sqs.GetQueueUrlInput) (*request.Request, *sqs.GetQueueUrlOutput) {
	m.addCall("GetQueueUrlRequest")
	m.verifyInput("GetQueueUrlRequest", param0)
	return m.GetQueueUrlRequestFunc(param0)
}

func (m *sqsMock) GetQueueUrlWithContext(param0 aws.Context, param1 *sqs.GetQueueUrlInput, param2 ...request.Option) (*sqs.GetQueueUrlOutput, error) {
	m.addCall("GetQueueUrlWithContext")
	m.verifyInput("GetQueueUrlWithContext", param0)
	return m.GetQueueUrlWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) ListDeadLetterSourceQueues(param0 *sqs.ListDeadLetterSourceQueuesInput) (*sqs.ListDeadLetterSourceQueuesOutput, error) {
	m.addCall("ListDeadLetterSourceQueues")
	m.verifyInput("ListDeadLetterSourceQueues", param0)
	return m.ListDeadLetterSourceQueuesFunc(param0)
}

func (m *sqsMock) ListDeadLetterSourceQueuesRequest(param0 *sqs.ListDeadLetterSourceQueuesInput) (*request.Request, *sqs.ListDeadLetterSourceQueuesOutput) {
	m.addCall("ListDeadLetterSourceQueuesRequest")
	m.verifyInput("ListDeadLetterSourceQueuesRequest", param0)
	return m.ListDeadLetterSourceQueuesRequestFunc(param0)
}

func (m *sqsMock) ListDeadLetterSourceQueuesWithContext(param0 aws.Context, param1 *sqs.ListDeadLetterSourceQueuesInput, param2 ...request.Option) (*sqs.ListDeadLetterSourceQueuesOutput, error) {
	m.addCall("ListDeadLetterSourceQueuesWithContext")
	m.verifyInput("ListDeadLetterSourceQueuesWithContext", param0)
	return m.ListDeadLetterSourceQueuesWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) ListQueues(param0 *sqs.ListQueuesInput) (*sqs.ListQueuesOutput, error) {
	m.addCall("ListQueues")
	m.verifyInput("ListQueues", param0)
	return m.ListQueuesFunc(param0)
}

func (m *sqsMock) ListQueuesRequest(param0 *sqs.ListQueuesInput) (*request.Request, *sqs.ListQueuesOutput) {
	m.addCall("ListQueuesRequest")
	m.verifyInput("ListQueuesRequest", param0)
	return m.ListQueuesRequestFunc(param0)
}

func (m *sqsMock) ListQueuesWithContext(param0 aws.Context, param1 *sqs.ListQueuesInput, param2 ...request.Option) (*sqs.ListQueuesOutput, error) {
	m.addCall("ListQueuesWithContext")
	m.verifyInput("ListQueuesWithContext", param0)
	return m.ListQueuesWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) PurgeQueue(param0 *sqs.PurgeQueueInput) (*sqs.PurgeQueueOutput, error) {
	m.addCall("PurgeQueue")
	m.verifyInput("PurgeQueue", param0)
	return m.PurgeQueueFunc(param0)
}

func (m *sqsMock) PurgeQueueRequest(param0 *sqs.PurgeQueueInput) (*request.Request, *sqs.PurgeQueueOutput) {
	m.addCall("PurgeQueueRequest")
	m.verifyInput("PurgeQueueRequest", param0)
	return m.PurgeQueueRequestFunc(param0)
}

func (m *sqsMock) PurgeQueueWithContext(param0 aws.Context, param1 *sqs.PurgeQueueInput, param2 ...request.Option) (*sqs.PurgeQueueOutput, error) {
	m.addCall("PurgeQueueWithContext")
	m.verifyInput("PurgeQueueWithContext", param0)
	return m.PurgeQueueWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) ReceiveMessage(param0 *sqs.ReceiveMessageInput) (*sqs.ReceiveMessageOutput, error) {
	m.addCall("ReceiveMessage")
	m.verifyInput("ReceiveMessage", param0)
	return m.ReceiveMessageFunc(param0)
}

func (m *sqsMock) ReceiveMessageRequest(param0 *sqs.ReceiveMessageInput) (*request.Request, *sqs.ReceiveMessageOutput) {
	m.addCall("ReceiveMessageRequest")
	m.verifyInput("ReceiveMessageRequest", param0)
	return m.ReceiveMessageRequestFunc(param0)
}

func (m *sqsMock) ReceiveMessageWithContext(param0 aws.Context, param1 *sqs.ReceiveMessageInput, param2 ...request.Option) (*sqs.ReceiveMessageOutput, error) {
	m.addCall("ReceiveMessageWithContext")
	m.verifyInput("ReceiveMessageWithContext", param0)
	return m.ReceiveMessageWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) RemovePermission(param0 *sqs.RemovePermissionInput) (*sqs.RemovePermissionOutput, error) {
	m.addCall("RemovePermission")
	m.verifyInput("RemovePermission", param0)
	return m.RemovePermissionFunc(param0)
}

func (m *sqsMock) RemovePermissionRequest(param0 *sqs.RemovePermissionInput) (*request.Request, *sqs.RemovePermissionOutput) {
	m.addCall("RemovePermissionRequest")
	m.verifyInput("RemovePermissionRequest", param0)
	return m.RemovePermissionRequestFunc(param0)
}

func (m *sqsMock) RemovePermissionWithContext(param0 aws.Context, param1 *sqs.RemovePermissionInput, param2 ...request.Option) (*sqs.RemovePermissionOutput, error) {
	m.addCall("RemovePermissionWithContext")
	m.verifyInput("RemovePermissionWithContext", param0)
	return m.RemovePermissionWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) SendMessage(param0 *sqs.SendMessageInput) (*sqs.SendMessageOutput, error) {
	m.addCall("SendMessage")
	m.verifyInput("SendMessage", param0)
	return m.SendMessageFunc(param0)
}

func (m *sqsMock) SendMessageBatch(param0 *sqs.SendMessageBatchInput) (*sqs.SendMessageBatchOutput, error) {
	m.addCall("SendMessageBatch")
	m.verifyInput("SendMessageBatch", param0)
	return m.SendMessageBatchFunc(param0)
}

func (m *sqsMock) SendMessageBatchRequest(param0 *sqs.SendMessageBatchInput) (*request.Request, *sqs.SendMessageBatchOutput) {
	m.addCall("SendMessageBatchRequest")
	m.verifyInput("SendMessageBatchRequest", param0)
	return m.SendMessageBatchRequestFunc(param0)
}

func (m *sqsMock) SendMessageBatchWithContext(param0 aws.Context, param1 *sqs.SendMessageBatchInput, param2 ...request.Option) (*sqs.SendMessageBatchOutput, error) {
	m.addCall("SendMessageBatchWithContext")
	m.verifyInput("SendMessageBatchWithContext", param0)
	return m.SendMessageBatchWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) SendMessageRequest(param0 *sqs.SendMessageInput) (*request.Request, *sqs.SendMessageOutput) {
	m.addCall("SendMessageRequest")
	m.verifyInput("SendMessageRequest", param0)
	return m.SendMessageRequestFunc(param0)
}

func (m *sqsMock) SendMessageWithContext(param0 aws.Context, param1 *sqs.SendMessageInput, param2 ...request.Option) (*sqs.SendMessageOutput, error) {
	m.addCall("SendMessageWithContext")
	m.verifyInput("SendMessageWithContext", param0)
	return m.SendMessageWithContextFunc(param0, param1, param2...)
}

func (m *sqsMock) SetQueueAttributes(param0 *sqs.SetQueueAttributesInput) (*sqs.SetQueueAttributesOutput, error) {
	m.addCall("SetQueueAttributes")
	m.verifyInput("SetQueueAttributes", param0)
	return m.SetQueueAttributesFunc(param0)
}

func (m *sqsMock) SetQueueAttributesRequest(param0 *sqs.SetQueueAttributesInput) (*request.Request, *sqs.SetQueueAttributesOutput) {
	m.addCall("SetQueueAttributesRequest")
	m.verifyInput("SetQueueAttributesRequest", param0)
	return m.SetQueueAttributesRequestFunc(param0)
}

func (m *sqsMock) SetQueueAttributesWithContext(param0 aws.Context, param1 *sqs.SetQueueAttributesInput, param2 ...request.Option) (*sqs.SetQueueAttributesOutput, error) {
	m.addCall("SetQueueAttributesWithContext")
	m.verifyInput("SetQueueAttributesWithContext", param0)
	return m.SetQueueAttributesWithContextFunc(param0, param1, param2...)
}
